package compose.icons.cssggicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.EvenOdd
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.CssGgIcons

public val CssGgIcons.Readme: ImageVector
    get() {
        if (_readme != null) {
            return _readme!!
        }
        _readme = Builder(name = "Readme", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(4.0f, 5.5f)
                horizontalLineTo(9.0f)
                curveTo(10.1046f, 5.5f, 11.0f, 6.3954f, 11.0f, 7.5f)
                verticalLineTo(16.5f)
                curveTo(11.0f, 17.0523f, 10.5523f, 17.5f, 10.0f, 17.5f)
                horizontalLineTo(4.0f)
                curveTo(3.4477f, 17.5f, 3.0f, 17.0523f, 3.0f, 16.5f)
                verticalLineTo(6.5f)
                curveTo(3.0f, 5.9477f, 3.4477f, 5.5f, 4.0f, 5.5f)
                close()
                moveTo(14.0f, 19.5f)
                curveTo(13.6494f, 19.5f, 13.3128f, 19.4398f, 13.0f, 19.3293f)
                verticalLineTo(19.5f)
                curveTo(13.0f, 20.0523f, 12.5523f, 20.5f, 12.0f, 20.5f)
                curveTo(11.4477f, 20.5f, 11.0f, 20.0523f, 11.0f, 19.5f)
                verticalLineTo(19.3293f)
                curveTo(10.6872f, 19.4398f, 10.3506f, 19.5f, 10.0f, 19.5f)
                horizontalLineTo(4.0f)
                curveTo(2.3431f, 19.5f, 1.0f, 18.1569f, 1.0f, 16.5f)
                verticalLineTo(6.5f)
                curveTo(1.0f, 4.8432f, 2.3431f, 3.5f, 4.0f, 3.5f)
                horizontalLineTo(9.0f)
                curveTo(10.1947f, 3.5f, 11.2671f, 4.0238f, 12.0f, 4.8542f)
                curveTo(12.7329f, 4.0238f, 13.8053f, 3.5f, 15.0f, 3.5f)
                horizontalLineTo(20.0f)
                curveTo(21.6569f, 3.5f, 23.0f, 4.8432f, 23.0f, 6.5f)
                verticalLineTo(16.5f)
                curveTo(23.0f, 18.1569f, 21.6569f, 19.5f, 20.0f, 19.5f)
                horizontalLineTo(14.0f)
                close()
                moveTo(13.0f, 7.5f)
                verticalLineTo(16.5f)
                curveTo(13.0f, 17.0523f, 13.4477f, 17.5f, 14.0f, 17.5f)
                horizontalLineTo(20.0f)
                curveTo(20.5523f, 17.5f, 21.0f, 17.0523f, 21.0f, 16.5f)
                verticalLineTo(6.5f)
                curveTo(21.0f, 5.9477f, 20.5523f, 5.5f, 20.0f, 5.5f)
                horizontalLineTo(15.0f)
                curveTo(13.8954f, 5.5f, 13.0f, 6.3954f, 13.0f, 7.5f)
                close()
                moveTo(5.0f, 7.5f)
                horizontalLineTo(9.0f)
                verticalLineTo(9.5f)
                horizontalLineTo(5.0f)
                verticalLineTo(7.5f)
                close()
                moveTo(15.0f, 7.5f)
                horizontalLineTo(19.0f)
                verticalLineTo(9.5f)
                horizontalLineTo(15.0f)
                verticalLineTo(7.5f)
                close()
                moveTo(19.0f, 10.5f)
                horizontalLineTo(15.0f)
                verticalLineTo(12.5f)
                horizontalLineTo(19.0f)
                verticalLineTo(10.5f)
                close()
                moveTo(5.0f, 10.5f)
                horizontalLineTo(9.0f)
                verticalLineTo(12.5f)
                horizontalLineTo(5.0f)
                verticalLineTo(10.5f)
                close()
                moveTo(19.0f, 13.5f)
                horizontalLineTo(15.0f)
                verticalLineTo(15.5f)
                horizontalLineTo(19.0f)
                verticalLineTo(13.5f)
                close()
                moveTo(5.0f, 13.5f)
                horizontalLineTo(9.0f)
                verticalLineTo(15.5f)
                horizontalLineTo(5.0f)
                verticalLineTo(13.5f)
                close()
            }
        }
        .build()
        return _readme!!
    }

private var _readme: ImageVector? = null
