package compose.icons.cssggicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.EvenOdd
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.CssGgIcons

public val CssGgIcons.ShoppingBag: ImageVector
    get() {
        if (_shoppingBag != null) {
            return _shoppingBag!!
        }
        _shoppingBag = Builder(name = "ShoppingBag", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(5.0f, 4.0f)
                horizontalLineTo(19.0f)
                curveTo(19.5523f, 4.0f, 20.0f, 4.4477f, 20.0f, 5.0f)
                verticalLineTo(19.0f)
                curveTo(20.0f, 19.5523f, 19.5523f, 20.0f, 19.0f, 20.0f)
                horizontalLineTo(5.0f)
                curveTo(4.4477f, 20.0f, 4.0f, 19.5523f, 4.0f, 19.0f)
                verticalLineTo(5.0f)
                curveTo(4.0f, 4.4477f, 4.4477f, 4.0f, 5.0f, 4.0f)
                close()
                moveTo(2.0f, 5.0f)
                curveTo(2.0f, 3.3431f, 3.3431f, 2.0f, 5.0f, 2.0f)
                horizontalLineTo(19.0f)
                curveTo(20.6569f, 2.0f, 22.0f, 3.3431f, 22.0f, 5.0f)
                verticalLineTo(19.0f)
                curveTo(22.0f, 20.6569f, 20.6569f, 22.0f, 19.0f, 22.0f)
                horizontalLineTo(5.0f)
                curveTo(3.3431f, 22.0f, 2.0f, 20.6569f, 2.0f, 19.0f)
                verticalLineTo(5.0f)
                close()
                moveTo(12.0f, 12.0f)
                curveTo(9.2386f, 12.0f, 7.0f, 9.3137f, 7.0f, 6.0f)
                horizontalLineTo(9.0f)
                curveTo(9.0f, 8.5661f, 10.6691f, 10.0f, 12.0f, 10.0f)
                curveTo(13.3309f, 10.0f, 15.0f, 8.5661f, 15.0f, 6.0f)
                horizontalLineTo(17.0f)
                curveTo(17.0f, 9.3137f, 14.7614f, 12.0f, 12.0f, 12.0f)
                close()
            }
        }
        .build()
        return _shoppingBag!!
    }

private var _shoppingBag: ImageVector? = null
