package compose.icons.weathericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.WeatherIcons

public val WeatherIcons.DayHaze: ImageVector
    get() {
        if (_dayHaze != null) {
            return _dayHaze!!
        }
        _dayHaze = Builder(name = "DayHaze", defaultWidth = 30.0.dp, defaultHeight = 30.0.dp,
                viewportWidth = 30.0f, viewportHeight = 30.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(4.37f, 15.62f)
                curveToRelative(0.0f, -0.24f, 0.08f, -0.44f, 0.25f, -0.61f)
                curveToRelative(0.18f, -0.17f, 0.38f, -0.25f, 0.6f, -0.25f)
                horizontalLineToRelative(2.04f)
                curveToRelative(0.23f, 0.0f, 0.42f, 0.08f, 0.58f, 0.25f)
                curveToRelative(0.15f, 0.17f, 0.23f, 0.37f, 0.23f, 0.61f)
                curveToRelative(0.0f, 0.24f, -0.08f, 0.44f, -0.23f, 0.6f)
                curveToRelative(-0.15f, 0.17f, -0.35f, 0.25f, -0.58f, 0.25f)
                horizontalLineTo(5.23f)
                curveToRelative(-0.23f, 0.0f, -0.43f, -0.08f, -0.6f, -0.25f)
                curveTo(4.46f, 16.05f, 4.37f, 15.85f, 4.37f, 15.62f)
                close()
                moveTo(7.23f, 8.71f)
                curveToRelative(0.0f, -0.23f, 0.08f, -0.43f, 0.23f, -0.61f)
                curveToRelative(0.2f, -0.17f, 0.41f, -0.25f, 0.64f, -0.25f)
                curveToRelative(0.21f, 0.0f, 0.41f, 0.08f, 0.59f, 0.25f)
                lineToRelative(1.43f, 1.46f)
                curveToRelative(0.16f, 0.15f, 0.24f, 0.35f, 0.24f, 0.59f)
                curveToRelative(0.0f, 0.24f, -0.08f, 0.44f, -0.24f, 0.6f)
                curveToRelative(-0.16f, 0.16f, -0.36f, 0.24f, -0.6f, 0.24f)
                curveToRelative(-0.24f, 0.0f, -0.44f, -0.08f, -0.59f, -0.24f)
                lineTo(7.47f, 9.32f)
                curveTo(7.31f, 9.15f, 7.23f, 8.95f, 7.23f, 8.71f)
                close()
                moveTo(7.39f, 18.02f)
                curveToRelative(0.0f, -0.22f, 0.08f, -0.41f, 0.23f, -0.55f)
                curveToRelative(0.16f, -0.14f, 0.37f, -0.22f, 0.64f, -0.22f)
                horizontalLineToRelative(5.71f)
                curveToRelative(0.27f, 0.0f, 0.48f, 0.07f, 0.64f, 0.22f)
                curveToRelative(0.16f, 0.14f, 0.24f, 0.33f, 0.24f, 0.55f)
                curveToRelative(0.0f, 0.27f, -0.08f, 0.48f, -0.23f, 0.64f)
                curveToRelative(-0.16f, 0.16f, -0.37f, 0.24f, -0.65f, 0.24f)
                horizontalLineTo(8.26f)
                curveToRelative(-0.27f, 0.0f, -0.48f, -0.08f, -0.64f, -0.23f)
                reflectiveCurveTo(7.39f, 18.29f, 7.39f, 18.02f)
                close()
                moveTo(8.38f, 20.97f)
                curveToRelative(0.0f, -0.22f, 0.09f, -0.42f, 0.28f, -0.6f)
                curveToRelative(0.18f, -0.18f, 0.39f, -0.27f, 0.6f, -0.27f)
                curveToRelative(0.26f, 0.0f, 0.47f, 0.09f, 0.63f, 0.26f)
                curveToRelative(0.16f, 0.18f, 0.24f, 0.38f, 0.24f, 0.61f)
                curveToRelative(0.0f, 0.28f, -0.08f, 0.49f, -0.23f, 0.65f)
                reflectiveCurveToRelative(-0.37f, 0.23f, -0.64f, 0.23f)
                curveToRelative(-0.23f, 0.0f, -0.44f, -0.08f, -0.61f, -0.24f)
                curveTo(8.47f, 21.45f, 8.38f, 21.23f, 8.38f, 20.97f)
                close()
                moveTo(9.79f, 15.91f)
                verticalLineToRelative(-0.07f)
                curveToRelative(0.03f, -1.26f, 0.47f, -2.35f, 1.31f, -3.28f)
                curveToRelative(0.84f, -0.93f, 1.87f, -1.49f, 3.1f, -1.69f)
                horizontalLineToRelative(0.05f)
                curveToRelative(0.19f, -0.04f, 0.45f, -0.06f, 0.76f, -0.06f)
                curveToRelative(0.31f, 0.0f, 0.57f, 0.02f, 0.76f, 0.06f)
                horizontalLineToRelative(0.04f)
                curveToRelative(1.22f, 0.19f, 2.26f, 0.76f, 3.1f, 1.69f)
                curveToRelative(0.84f, 0.93f, 1.28f, 2.02f, 1.31f, 3.28f)
                verticalLineToRelative(0.07f)
                curveToRelative(0.0f, 0.16f, -0.08f, 0.24f, -0.23f, 0.24f)
                horizontalLineToRelative(-1.13f)
                curveToRelative(-0.12f, 0.0f, -0.2f, -0.03f, -0.25f, -0.09f)
                curveToRelative(-0.05f, -0.06f, -0.07f, -0.12f, -0.07f, -0.18f)
                curveToRelative(-0.04f, -0.93f, -0.4f, -1.72f, -1.08f, -2.37f)
                curveToRelative(-0.68f, -0.65f, -1.49f, -0.97f, -2.44f, -0.97f)
                reflectiveCurveToRelative(-1.76f, 0.32f, -2.44f, 0.97f)
                curveToRelative(-0.68f, 0.65f, -1.04f, 1.44f, -1.08f, 2.37f)
                curveToRelative(0.0f, 0.06f, -0.03f, 0.12f, -0.08f, 0.18f)
                curveToRelative(-0.05f, 0.06f, -0.14f, 0.09f, -0.26f, 0.09f)
                horizontalLineToRelative(-1.13f)
                curveTo(9.87f, 16.15f, 9.79f, 16.07f, 9.79f, 15.91f)
                close()
                moveTo(10.8f, 20.97f)
                curveToRelative(0.0f, -0.23f, 0.08f, -0.43f, 0.24f, -0.61f)
                curveToRelative(0.16f, -0.17f, 0.37f, -0.26f, 0.63f, -0.26f)
                horizontalLineToRelative(3.83f)
                curveToRelative(0.22f, 0.0f, 0.42f, 0.09f, 0.6f, 0.27f)
                curveToRelative(0.18f, 0.18f, 0.28f, 0.38f, 0.28f, 0.6f)
                curveToRelative(0.0f, 0.26f, -0.09f, 0.48f, -0.27f, 0.64f)
                reflectiveCurveToRelative(-0.38f, 0.24f, -0.61f, 0.24f)
                horizontalLineToRelative(-3.83f)
                curveToRelative(-0.27f, 0.0f, -0.48f, -0.08f, -0.64f, -0.23f)
                curveTo(10.87f, 21.46f, 10.8f, 21.25f, 10.8f, 20.97f)
                close()
                moveTo(14.14f, 7.89f)
                verticalLineTo(5.86f)
                curveToRelative(0.0f, -0.24f, 0.08f, -0.44f, 0.25f, -0.61f)
                reflectiveCurveTo(14.76f, 5.0f, 15.0f, 5.0f)
                reflectiveCurveToRelative(0.43f, 0.08f, 0.6f, 0.25f)
                curveToRelative(0.17f, 0.17f, 0.25f, 0.37f, 0.25f, 0.61f)
                verticalLineToRelative(2.03f)
                curveToRelative(0.0f, 0.23f, -0.08f, 0.43f, -0.25f, 0.58f)
                reflectiveCurveTo(15.23f, 8.71f, 15.0f, 8.71f)
                reflectiveCurveToRelative(-0.44f, -0.08f, -0.6f, -0.23f)
                reflectiveCurveTo(14.14f, 8.12f, 14.14f, 7.89f)
                close()
                moveTo(15.5f, 18.02f)
                curveToRelative(0.0f, -0.21f, 0.09f, -0.39f, 0.27f, -0.54f)
                reflectiveCurveToRelative(0.38f, -0.23f, 0.61f, -0.23f)
                reflectiveCurveToRelative(0.43f, 0.08f, 0.61f, 0.23f)
                reflectiveCurveToRelative(0.27f, 0.33f, 0.27f, 0.54f)
                curveToRelative(0.0f, 0.26f, -0.09f, 0.48f, -0.27f, 0.64f)
                curveToRelative(-0.18f, 0.16f, -0.38f, 0.24f, -0.61f, 0.24f)
                reflectiveCurveToRelative(-0.44f, -0.08f, -0.61f, -0.24f)
                curveTo(15.59f, 18.49f, 15.5f, 18.28f, 15.5f, 18.02f)
                close()
                moveTo(17.04f, 20.97f)
                curveToRelative(0.0f, -0.23f, 0.08f, -0.43f, 0.24f, -0.61f)
                curveToRelative(0.16f, -0.17f, 0.38f, -0.26f, 0.64f, -0.26f)
                horizontalLineToRelative(1.86f)
                curveToRelative(0.26f, 0.0f, 0.47f, 0.09f, 0.63f, 0.26f)
                curveToRelative(0.16f, 0.18f, 0.24f, 0.38f, 0.24f, 0.61f)
                curveToRelative(0.0f, 0.28f, -0.08f, 0.49f, -0.23f, 0.65f)
                curveToRelative(-0.15f, 0.16f, -0.37f, 0.23f, -0.64f, 0.23f)
                horizontalLineToRelative(-1.86f)
                curveToRelative(-0.27f, 0.0f, -0.48f, -0.08f, -0.64f, -0.23f)
                curveTo(17.12f, 21.46f, 17.04f, 21.25f, 17.04f, 20.97f)
                close()
                moveTo(17.92f, 18.02f)
                curveToRelative(0.0f, -0.21f, 0.09f, -0.39f, 0.27f, -0.54f)
                reflectiveCurveToRelative(0.38f, -0.23f, 0.6f, -0.23f)
                horizontalLineToRelative(3.07f)
                curveToRelative(0.22f, 0.0f, 0.4f, 0.07f, 0.54f, 0.22f)
                curveToRelative(0.14f, 0.15f, 0.22f, 0.33f, 0.22f, 0.55f)
                curveToRelative(0.0f, 0.27f, -0.07f, 0.48f, -0.21f, 0.64f)
                curveToRelative(-0.14f, 0.16f, -0.32f, 0.24f, -0.55f, 0.24f)
                horizontalLineToRelative(-3.07f)
                curveToRelative(-0.23f, 0.0f, -0.43f, -0.08f, -0.61f, -0.24f)
                curveTo(18.01f, 18.49f, 17.92f, 18.28f, 17.92f, 18.02f)
                close()
                moveTo(19.66f, 10.15f)
                curveToRelative(0.0f, -0.25f, 0.08f, -0.45f, 0.23f, -0.59f)
                lineToRelative(1.42f, -1.46f)
                curveToRelative(0.18f, -0.17f, 0.38f, -0.25f, 0.59f, -0.25f)
                curveToRelative(0.23f, 0.0f, 0.43f, 0.08f, 0.6f, 0.25f)
                curveToRelative(0.17f, 0.17f, 0.25f, 0.37f, 0.25f, 0.61f)
                curveToRelative(0.0f, 0.24f, -0.08f, 0.45f, -0.24f, 0.61f)
                lineToRelative(-1.46f, 1.42f)
                curveToRelative(-0.18f, 0.16f, -0.38f, 0.24f, -0.6f, 0.24f)
                curveToRelative(-0.23f, 0.0f, -0.41f, -0.08f, -0.56f, -0.24f)
                curveTo(19.74f, 10.59f, 19.66f, 10.39f, 19.66f, 10.15f)
                close()
                moveTo(21.92f, 15.62f)
                curveToRelative(0.0f, -0.23f, 0.08f, -0.43f, 0.24f, -0.61f)
                curveToRelative(0.17f, -0.17f, 0.36f, -0.25f, 0.57f, -0.25f)
                horizontalLineToRelative(2.02f)
                curveToRelative(0.23f, 0.0f, 0.43f, 0.09f, 0.6f, 0.26f)
                curveToRelative(0.17f, 0.17f, 0.26f, 0.37f, 0.26f, 0.6f)
                curveToRelative(0.0f, 0.23f, -0.09f, 0.43f, -0.26f, 0.6f)
                curveToRelative(-0.17f, 0.17f, -0.37f, 0.25f, -0.6f, 0.25f)
                horizontalLineToRelative(-2.02f)
                curveToRelative(-0.23f, 0.0f, -0.43f, -0.08f, -0.58f, -0.25f)
                reflectiveCurveTo(21.92f, 15.86f, 21.92f, 15.62f)
                close()
            }
        }
        .build()
        return _dayHaze!!
    }

private var _dayHaze: ImageVector? = null
