package compose.icons.weathericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.WeatherIcons

public val WeatherIcons.DayRainMix: ImageVector
    get() {
        if (_dayRainMix != null) {
            return _dayRainMix!!
        }
        _dayRainMix = Builder(name = "DayRainMix", defaultWidth = 30.0.dp, defaultHeight = 30.0.dp,
                viewportWidth = 30.0f, viewportHeight = 30.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(1.48f, 16.95f)
                curveToRelative(0.0f, 1.32f, 0.46f, 2.46f, 1.37f, 3.4f)
                curveToRelative(0.91f, 0.94f, 2.04f, 1.45f, 3.38f, 1.51f)
                curveToRelative(0.12f, 0.0f, 0.18f, -0.06f, 0.18f, -0.17f)
                verticalLineToRelative(-1.33f)
                curveToRelative(0.0f, -0.12f, -0.06f, -0.18f, -0.18f, -0.18f)
                curveToRelative(-0.86f, -0.04f, -1.58f, -0.38f, -2.17f, -1.0f)
                reflectiveCurveToRelative(-0.88f, -1.37f, -0.88f, -2.24f)
                curveToRelative(0.0f, -0.84f, 0.28f, -1.58f, 0.84f, -2.19f)
                curveToRelative(0.56f, -0.62f, 1.26f, -0.96f, 2.1f, -1.03f)
                lineToRelative(0.53f, -0.08f)
                curveToRelative(0.11f, 0.0f, 0.16f, -0.05f, 0.16f, -0.14f)
                lineToRelative(0.08f, -0.55f)
                curveToRelative(0.12f, -1.09f, 0.59f, -2.0f, 1.38f, -2.72f)
                reflectiveCurveTo(10.0f, 9.16f, 11.1f, 9.16f)
                reflectiveCurveToRelative(2.05f, 0.36f, 2.86f, 1.08f)
                curveToRelative(0.82f, 0.72f, 1.28f, 1.62f, 1.38f, 2.69f)
                lineToRelative(0.07f, 0.58f)
                curveToRelative(0.02f, 0.11f, 0.1f, 0.17f, 0.22f, 0.17f)
                horizontalLineToRelative(1.6f)
                curveToRelative(0.89f, 0.0f, 1.65f, 0.32f, 2.29f, 0.96f)
                curveToRelative(0.64f, 0.64f, 0.96f, 1.41f, 0.96f, 2.31f)
                curveToRelative(0.0f, 0.87f, -0.29f, 1.61f, -0.88f, 2.24f)
                reflectiveCurveToRelative(-1.31f, 0.95f, -2.17f, 1.0f)
                curveToRelative(-0.13f, 0.0f, -0.2f, 0.06f, -0.2f, 0.18f)
                verticalLineToRelative(1.33f)
                curveToRelative(0.0f, 0.11f, 0.07f, 0.17f, 0.2f, 0.17f)
                curveToRelative(1.33f, -0.04f, 2.45f, -0.54f, 3.37f, -1.49f)
                curveToRelative(0.91f, -0.95f, 1.37f, -2.09f, 1.37f, -3.42f)
                curveToRelative(0.0f, -0.68f, -0.13f, -1.34f, -0.38f, -2.01f)
                curveToRelative(0.78f, -0.96f, 1.16f, -2.08f, 1.16f, -3.35f)
                curveToRelative(0.0f, -0.71f, -0.14f, -1.38f, -0.41f, -2.03f)
                curveToRelative(-0.27f, -0.65f, -0.65f, -1.2f, -1.12f, -1.67f)
                reflectiveCurveToRelative(-1.03f, -0.84f, -1.67f, -1.12f)
                reflectiveCurveToRelative(-1.33f, -0.42f, -2.04f, -0.42f)
                curveToRelative(-1.54f, 0.0f, -2.83f, 0.58f, -3.86f, 1.74f)
                curveToRelative(-0.89f, -0.44f, -1.81f, -0.66f, -2.74f, -0.66f)
                curveToRelative(-1.41f, 0.0f, -2.66f, 0.44f, -3.74f, 1.31f)
                reflectiveCurveToRelative(-1.77f, 2.0f, -2.08f, 3.38f)
                curveToRelative(-1.12f, 0.26f, -2.04f, 0.83f, -2.75f, 1.73f)
                curveTo(1.83f, 14.76f, 1.48f, 15.79f, 1.48f, 16.95f)
                close()
                moveTo(6.83f, 23.98f)
                curveToRelative(0.0f, 0.17f, 0.05f, 0.34f, 0.16f, 0.51f)
                curveToRelative(0.11f, 0.17f, 0.27f, 0.28f, 0.47f, 0.35f)
                curveToRelative(0.23f, 0.07f, 0.45f, 0.06f, 0.64f, -0.04f)
                curveToRelative(0.2f, -0.09f, 0.33f, -0.28f, 0.4f, -0.56f)
                lineToRelative(0.14f, -0.61f)
                curveToRelative(0.05f, -0.23f, 0.02f, -0.44f, -0.1f, -0.63f)
                curveToRelative(-0.12f, -0.2f, -0.29f, -0.33f, -0.52f, -0.4f)
                curveToRelative(-0.23f, -0.07f, -0.44f, -0.04f, -0.64f, 0.08f)
                reflectiveCurveTo(7.06f, 22.97f, 7.0f, 23.2f)
                lineToRelative(-0.14f, 0.59f)
                curveTo(6.84f, 23.85f, 6.83f, 23.91f, 6.83f, 23.98f)
                close()
                moveTo(7.6f, 21.08f)
                curveToRelative(0.0f, 0.22f, 0.08f, 0.41f, 0.24f, 0.57f)
                curveTo(8.0f, 21.83f, 8.19f, 21.91f, 8.4f, 21.91f)
                curveToRelative(0.24f, 0.0f, 0.44f, -0.08f, 0.6f, -0.24f)
                curveToRelative(0.17f, -0.16f, 0.25f, -0.35f, 0.25f, -0.59f)
                curveToRelative(0.0f, -0.23f, -0.08f, -0.43f, -0.25f, -0.59f)
                curveToRelative(-0.17f, -0.16f, -0.37f, -0.24f, -0.6f, -0.24f)
                curveToRelative(-0.23f, 0.0f, -0.42f, 0.08f, -0.58f, 0.23f)
                reflectiveCurveTo(7.6f, 20.85f, 7.6f, 21.08f)
                close()
                moveTo(8.21f, 18.81f)
                curveToRelative(-0.01f, 0.16f, 0.03f, 0.31f, 0.13f, 0.45f)
                curveToRelative(0.1f, 0.15f, 0.26f, 0.25f, 0.48f, 0.32f)
                curveToRelative(0.21f, 0.06f, 0.41f, 0.04f, 0.62f, -0.07f)
                curveTo(9.65f, 19.4f, 9.79f, 19.23f, 9.86f, 19.0f)
                lineToRelative(0.27f, -0.9f)
                curveToRelative(0.07f, -0.24f, 0.05f, -0.46f, -0.07f, -0.65f)
                curveToRelative(-0.12f, -0.19f, -0.3f, -0.32f, -0.54f, -0.39f)
                curveToRelative(-0.22f, -0.07f, -0.43f, -0.05f, -0.63f, 0.07f)
                curveToRelative(-0.2f, 0.11f, -0.34f, 0.28f, -0.41f, 0.5f)
                lineToRelative(-0.24f, 0.92f)
                curveTo(8.22f, 18.71f, 8.21f, 18.8f, 8.21f, 18.81f)
                close()
                moveTo(9.36f, 27.1f)
                curveToRelative(0.0f, 0.17f, 0.05f, 0.33f, 0.16f, 0.49f)
                curveToRelative(0.11f, 0.16f, 0.27f, 0.27f, 0.49f, 0.33f)
                curveToRelative(0.09f, 0.02f, 0.17f, 0.03f, 0.24f, 0.03f)
                curveToRelative(0.43f, 0.0f, 0.7f, -0.2f, 0.8f, -0.61f)
                lineToRelative(0.13f, -0.59f)
                curveToRelative(0.06f, -0.26f, 0.03f, -0.48f, -0.08f, -0.68f)
                reflectiveCurveToRelative(-0.29f, -0.32f, -0.52f, -0.37f)
                curveToRelative(-0.21f, -0.07f, -0.42f, -0.05f, -0.63f, 0.07f)
                curveToRelative(-0.21f, 0.12f, -0.34f, 0.29f, -0.41f, 0.51f)
                lineTo(9.4f, 26.88f)
                curveTo(9.37f, 26.99f, 9.36f, 27.07f, 9.36f, 27.1f)
                close()
                moveTo(9.92f, 4.66f)
                curveToRelative(0.0f, 0.24f, 0.08f, 0.44f, 0.24f, 0.6f)
                lineToRelative(0.66f, 0.64f)
                curveToRelative(0.14f, 0.16f, 0.32f, 0.24f, 0.54f, 0.26f)
                curveToRelative(0.22f, 0.02f, 0.43f, -0.07f, 0.62f, -0.26f)
                curveToRelative(0.16f, -0.16f, 0.24f, -0.36f, 0.24f, -0.59f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.44f, -0.24f, -0.6f)
                lineToRelative(-0.63f, -0.65f)
                curveTo(11.2f, 3.9f, 11.0f, 3.82f, 10.77f, 3.8f)
                curveToRelative(-0.23f, 0.0f, -0.43f, 0.08f, -0.6f, 0.25f)
                curveTo(10.01f, 4.22f, 9.92f, 4.42f, 9.92f, 4.66f)
                close()
                moveTo(10.15f, 24.2f)
                curveToRelative(0.0f, 0.23f, 0.08f, 0.42f, 0.24f, 0.58f)
                curveToRelative(0.16f, 0.16f, 0.36f, 0.24f, 0.58f, 0.24f)
                curveToRelative(0.24f, 0.0f, 0.43f, -0.08f, 0.59f, -0.23f)
                curveToRelative(0.16f, -0.16f, 0.23f, -0.35f, 0.23f, -0.59f)
                curveToRelative(0.0f, -0.23f, -0.08f, -0.42f, -0.23f, -0.58f)
                curveToRelative(-0.16f, -0.16f, -0.35f, -0.23f, -0.59f, -0.23f)
                curveToRelative(-0.24f, 0.0f, -0.43f, 0.08f, -0.59f, 0.23f)
                reflectiveCurveTo(10.15f, 23.97f, 10.15f, 24.2f)
                close()
                moveTo(10.77f, 21.93f)
                curveToRelative(-0.01f, 0.15f, 0.03f, 0.31f, 0.14f, 0.47f)
                curveToRelative(0.1f, 0.16f, 0.25f, 0.26f, 0.45f, 0.3f)
                curveToRelative(0.23f, 0.06f, 0.44f, 0.04f, 0.64f, -0.06f)
                reflectiveCurveToRelative(0.33f, -0.29f, 0.41f, -0.56f)
                lineToRelative(0.26f, -0.9f)
                curveToRelative(0.07f, -0.22f, 0.05f, -0.43f, -0.07f, -0.63f)
                curveToRelative(-0.12f, -0.2f, -0.29f, -0.33f, -0.53f, -0.4f)
                curveToRelative(-0.22f, -0.07f, -0.43f, -0.04f, -0.64f, 0.08f)
                reflectiveCurveToRelative(-0.34f, 0.3f, -0.41f, 0.53f)
                lineToRelative(-0.22f, 0.9f)
                curveTo(10.78f, 21.74f, 10.77f, 21.83f, 10.77f, 21.93f)
                close()
                moveTo(13.53f, 24.08f)
                curveToRelative(0.0f, 0.17f, 0.05f, 0.33f, 0.15f, 0.48f)
                curveToRelative(0.1f, 0.15f, 0.25f, 0.26f, 0.46f, 0.32f)
                curveToRelative(0.03f, 0.0f, 0.08f, 0.01f, 0.14f, 0.02f)
                curveToRelative(0.06f, 0.01f, 0.11f, 0.02f, 0.14f, 0.02f)
                curveToRelative(0.41f, 0.0f, 0.66f, -0.22f, 0.76f, -0.66f)
                lineToRelative(0.14f, -0.6f)
                curveToRelative(0.07f, -0.21f, 0.05f, -0.42f, -0.07f, -0.63f)
                curveToRelative(-0.12f, -0.21f, -0.29f, -0.34f, -0.51f, -0.41f)
                curveToRelative(-0.25f, -0.06f, -0.48f, -0.04f, -0.68f, 0.08f)
                reflectiveCurveToRelative(-0.34f, 0.29f, -0.41f, 0.53f)
                lineToRelative(-0.09f, 0.59f)
                curveToRelative(0.0f, 0.01f, 0.0f, 0.05f, -0.01f, 0.11f)
                curveTo(13.54f, 24.0f, 13.53f, 24.04f, 13.53f, 24.08f)
                close()
                moveTo(14.27f, 21.12f)
                curveToRelative(0.0f, 0.23f, 0.08f, 0.42f, 0.24f, 0.57f)
                curveToRelative(0.15f, 0.16f, 0.34f, 0.24f, 0.58f, 0.24f)
                reflectiveCurveToRelative(0.43f, -0.08f, 0.59f, -0.23f)
                curveToRelative(0.16f, -0.16f, 0.23f, -0.35f, 0.23f, -0.58f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.43f, -0.23f, -0.59f)
                curveToRelative(-0.16f, -0.16f, -0.35f, -0.23f, -0.59f, -0.23f)
                reflectiveCurveToRelative(-0.43f, 0.08f, -0.59f, 0.23f)
                reflectiveCurveTo(14.27f, 20.88f, 14.27f, 21.12f)
                close()
                moveTo(14.88f, 18.81f)
                curveToRelative(0.0f, 0.17f, 0.05f, 0.33f, 0.16f, 0.48f)
                curveToRelative(0.11f, 0.15f, 0.27f, 0.26f, 0.49f, 0.32f)
                curveToRelative(0.02f, 0.0f, 0.06f, 0.01f, 0.12f, 0.02f)
                curveToRelative(0.06f, 0.01f, 0.11f, 0.02f, 0.14f, 0.02f)
                curveToRelative(0.11f, 0.0f, 0.23f, -0.03f, 0.37f, -0.09f)
                curveToRelative(0.21f, -0.11f, 0.34f, -0.28f, 0.4f, -0.52f)
                lineToRelative(0.24f, -0.9f)
                curveToRelative(0.06f, -0.23f, 0.04f, -0.44f, -0.07f, -0.63f)
                reflectiveCurveToRelative(-0.28f, -0.33f, -0.5f, -0.4f)
                curveToRelative(-0.23f, -0.07f, -0.45f, -0.05f, -0.64f, 0.06f)
                curveToRelative(-0.2f, 0.11f, -0.33f, 0.27f, -0.4f, 0.51f)
                lineToRelative(-0.28f, 0.91f)
                curveToRelative(0.0f, 0.02f, 0.0f, 0.05f, -0.01f, 0.11f)
                curveTo(14.89f, 18.73f, 14.88f, 18.77f, 14.88f, 18.81f)
                close()
                moveTo(15.23f, 9.09f)
                curveToRelative(0.66f, -0.66f, 1.48f, -0.99f, 2.47f, -0.99f)
                curveToRelative(0.99f, 0.0f, 1.83f, 0.34f, 2.52f, 1.02f)
                reflectiveCurveToRelative(1.04f, 1.5f, 1.04f, 2.48f)
                curveToRelative(0.0f, 0.66f, -0.18f, 1.29f, -0.53f, 1.88f)
                curveToRelative(-0.98f, -0.98f, -2.15f, -1.47f, -3.5f, -1.47f)
                horizontalLineToRelative(-0.31f)
                curveTo(16.64f, 10.91f, 16.07f, 9.94f, 15.23f, 9.09f)
                close()
                moveTo(16.88f, 3.83f)
                curveToRelative(0.0f, 0.23f, 0.08f, 0.42f, 0.23f, 0.58f)
                curveToRelative(0.15f, 0.15f, 0.35f, 0.23f, 0.59f, 0.23f)
                curveToRelative(0.24f, 0.0f, 0.45f, -0.08f, 0.62f, -0.23f)
                curveToRelative(0.17f, -0.15f, 0.25f, -0.35f, 0.25f, -0.58f)
                verticalLineTo(1.76f)
                curveToRelative(0.0f, -0.23f, -0.09f, -0.43f, -0.26f, -0.6f)
                curveToRelative(-0.17f, -0.17f, -0.38f, -0.25f, -0.61f, -0.25f)
                curveToRelative(-0.23f, 0.0f, -0.43f, 0.08f, -0.58f, 0.25f)
                curveToRelative(-0.16f, 0.17f, -0.23f, 0.37f, -0.23f, 0.6f)
                verticalLineTo(3.83f)
                close()
                moveTo(22.4f, 6.09f)
                curveToRelative(0.0f, 0.25f, 0.08f, 0.45f, 0.23f, 0.6f)
                curveToRelative(0.36f, 0.36f, 0.76f, 0.36f, 1.21f, 0.0f)
                lineToRelative(1.43f, -1.43f)
                curveToRelative(0.17f, -0.17f, 0.25f, -0.38f, 0.25f, -0.63f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.44f, -0.25f, -0.6f)
                curveToRelative(-0.17f, -0.17f, -0.37f, -0.25f, -0.6f, -0.25f)
                curveToRelative(-0.23f, 0.0f, -0.43f, 0.08f, -0.61f, 0.24f)
                lineTo(22.63f, 5.5f)
                curveTo(22.48f, 5.65f, 22.4f, 5.84f, 22.4f, 6.09f)
                close()
                moveTo(23.18f, 17.94f)
                curveToRelative(0.0f, 0.23f, 0.09f, 0.43f, 0.27f, 0.59f)
                lineToRelative(0.61f, 0.63f)
                curveToRelative(0.2f, 0.16f, 0.4f, 0.24f, 0.61f, 0.24f)
                curveToRelative(0.2f, 0.0f, 0.4f, -0.08f, 0.6f, -0.24f)
                curveToRelative(0.17f, -0.16f, 0.25f, -0.35f, 0.25f, -0.59f)
                curveToRelative(0.0f, -0.23f, -0.08f, -0.43f, -0.25f, -0.62f)
                lineToRelative(-0.65f, -0.61f)
                curveToRelative(-0.15f, -0.17f, -0.34f, -0.25f, -0.57f, -0.25f)
                reflectiveCurveToRelative(-0.43f, 0.08f, -0.6f, 0.25f)
                curveTo(23.27f, 17.51f, 23.18f, 17.71f, 23.18f, 17.94f)
                close()
                moveTo(24.66f, 11.6f)
                curveToRelative(0.0f, 0.24f, 0.09f, 0.43f, 0.26f, 0.59f)
                curveToRelative(0.18f, 0.18f, 0.39f, 0.27f, 0.62f, 0.27f)
                horizontalLineToRelative(2.03f)
                curveToRelative(0.23f, 0.0f, 0.43f, -0.08f, 0.59f, -0.25f)
                curveToRelative(0.16f, -0.17f, 0.24f, -0.37f, 0.24f, -0.61f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.44f, -0.24f, -0.6f)
                curveToRelative(-0.16f, -0.17f, -0.35f, -0.25f, -0.59f, -0.25f)
                horizontalLineToRelative(-2.03f)
                curveToRelative(-0.24f, 0.0f, -0.44f, 0.08f, -0.62f, 0.25f)
                reflectiveCurveTo(24.66f, 11.37f, 24.66f, 11.6f)
                close()
            }
        }
        .build()
        return _dayRainMix!!
    }

private var _dayRainMix: ImageVector? = null
