package compose.icons.weathericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.WeatherIcons

public val WeatherIcons.DayRainWind: ImageVector
    get() {
        if (_dayRainWind != null) {
            return _dayRainWind!!
        }
        _dayRainWind = Builder(name = "DayRainWind", defaultWidth = 30.0.dp, defaultHeight =
                30.0.dp, viewportWidth = 30.0f, viewportHeight = 30.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(1.48f, 16.91f)
                curveToRelative(0.0f, 1.12f, 0.33f, 2.13f, 1.0f, 3.01f)
                curveToRelative(0.67f, 0.88f, 1.53f, 1.47f, 2.58f, 1.77f)
                curveToRelative(0.09f, 0.01f, 0.17f, -0.01f, 0.24f, -0.08f)
                lineToRelative(1.17f, -1.41f)
                curveToRelative(-0.89f, 0.0f, -1.66f, -0.32f, -2.3f, -0.97f)
                reflectiveCurveToRelative(-0.96f, -1.42f, -0.96f, -2.33f)
                curveToRelative(0.0f, -0.83f, 0.28f, -1.55f, 0.85f, -2.17f)
                curveToRelative(0.57f, -0.61f, 1.27f, -0.97f, 2.11f, -1.07f)
                lineToRelative(0.49f, -0.03f)
                curveToRelative(0.13f, 0.0f, 0.2f, -0.06f, 0.2f, -0.19f)
                lineToRelative(0.07f, -0.54f)
                curveToRelative(0.11f, -1.08f, 0.57f, -1.99f, 1.38f, -2.72f)
                reflectiveCurveToRelative(1.77f, -1.1f, 2.86f, -1.1f)
                curveToRelative(1.1f, 0.0f, 2.06f, 0.37f, 2.88f, 1.1f)
                reflectiveCurveToRelative(1.28f, 1.64f, 1.39f, 2.72f)
                lineToRelative(0.07f, 0.59f)
                curveToRelative(0.04f, 0.11f, 0.12f, 0.17f, 0.22f, 0.17f)
                horizontalLineToRelative(1.64f)
                curveToRelative(0.88f, 0.0f, 1.64f, 0.32f, 2.28f, 0.95f)
                curveToRelative(0.64f, 0.63f, 0.96f, 1.4f, 0.96f, 2.28f)
                curveToRelative(0.0f, 0.84f, -0.28f, 1.58f, -0.85f, 2.21f)
                curveToRelative(-0.57f, 0.63f, -1.25f, 0.98f, -2.07f, 1.05f)
                curveToRelative(-0.49f, 0.06f, -0.79f, 0.15f, -0.9f, 0.28f)
                lineToRelative(-2.19f, 2.82f)
                curveToRelative(-0.14f, 0.19f, -0.19f, 0.4f, -0.16f, 0.63f)
                curveToRelative(0.03f, 0.23f, 0.13f, 0.42f, 0.31f, 0.56f)
                curveToRelative(0.15f, 0.17f, 0.35f, 0.24f, 0.6f, 0.21f)
                curveToRelative(0.25f, -0.03f, 0.45f, -0.15f, 0.6f, -0.36f)
                lineToRelative(1.92f, -2.46f)
                curveToRelative(0.82f, -0.08f, 1.57f, -0.35f, 2.25f, -0.82f)
                curveToRelative(0.68f, -0.46f, 1.21f, -1.06f, 1.61f, -1.79f)
                curveToRelative(0.39f, -0.73f, 0.59f, -1.51f, 0.59f, -2.34f)
                curveToRelative(0.0f, -0.72f, -0.14f, -1.39f, -0.42f, -2.01f)
                curveToRelative(0.79f, -0.96f, 1.18f, -2.07f, 1.18f, -3.33f)
                curveToRelative(0.0f, -0.71f, -0.14f, -1.38f, -0.42f, -2.03f)
                curveToRelative(-0.28f, -0.65f, -0.66f, -1.21f, -1.13f, -1.68f)
                curveToRelative(-0.47f, -0.47f, -1.03f, -0.84f, -1.68f, -1.12f)
                curveToRelative(-0.65f, -0.28f, -1.33f, -0.42f, -2.04f, -0.42f)
                curveToRelative(-1.5f, 0.0f, -2.79f, 0.58f, -3.88f, 1.74f)
                curveToRelative(-0.79f, -0.44f, -1.7f, -0.66f, -2.72f, -0.66f)
                curveToRelative(-1.41f, 0.0f, -2.66f, 0.44f, -3.75f, 1.32f)
                reflectiveCurveToRelative(-1.78f, 2.0f, -2.07f, 3.37f)
                curveToRelative(-1.13f, 0.26f, -2.06f, 0.83f, -2.79f, 1.73f)
                reflectiveCurveTo(1.48f, 15.76f, 1.48f, 16.91f)
                close()
                moveTo(5.38f, 25.15f)
                curveToRelative(0.07f, 0.22f, 0.23f, 0.38f, 0.46f, 0.48f)
                curveToRelative(0.22f, 0.1f, 0.44f, 0.1f, 0.67f, 0.01f)
                reflectiveCurveToRelative(0.38f, -0.25f, 0.46f, -0.47f)
                curveToRelative(0.09f, -0.21f, 0.1f, -0.41f, 0.0f, -0.62f)
                curveToRelative(-0.09f, -0.21f, -0.24f, -0.36f, -0.45f, -0.46f)
                curveToRelative(-0.22f, -0.1f, -0.44f, -0.11f, -0.66f, -0.02f)
                curveToRelative(-0.22f, 0.09f, -0.37f, 0.24f, -0.45f, 0.46f)
                curveTo(5.32f, 24.78f, 5.31f, 24.99f, 5.38f, 25.15f)
                close()
                moveTo(7.19f, 22.41f)
                verticalLineToRelative(0.11f)
                curveToRelative(0.02f, 0.22f, 0.12f, 0.4f, 0.3f, 0.55f)
                curveToRelative(0.18f, 0.15f, 0.38f, 0.22f, 0.63f, 0.2f)
                curveToRelative(0.24f, -0.02f, 0.43f, -0.12f, 0.57f, -0.29f)
                lineToRelative(2.18f, -2.82f)
                curveToRelative(0.14f, -0.18f, 0.21f, -0.39f, 0.19f, -0.63f)
                reflectiveCurveToRelative(-0.12f, -0.43f, -0.29f, -0.57f)
                curveToRelative(-0.18f, -0.15f, -0.39f, -0.21f, -0.63f, -0.19f)
                curveToRelative(-0.24f, 0.02f, -0.44f, 0.13f, -0.6f, 0.31f)
                lineToRelative(-2.15f, 2.8f)
                curveTo(7.25f, 22.04f, 7.19f, 22.22f, 7.19f, 22.41f)
                close()
                moveTo(7.7f, 27.27f)
                curveToRelative(0.0f, 0.06f, 0.02f, 0.16f, 0.06f, 0.3f)
                curveToRelative(0.09f, 0.22f, 0.24f, 0.37f, 0.46f, 0.46f)
                curveToRelative(0.11f, 0.04f, 0.23f, 0.07f, 0.36f, 0.07f)
                curveToRelative(0.09f, 0.0f, 0.2f, -0.02f, 0.31f, -0.05f)
                curveToRelative(0.21f, -0.08f, 0.36f, -0.23f, 0.44f, -0.44f)
                curveToRelative(0.1f, -0.22f, 0.11f, -0.44f, 0.02f, -0.67f)
                curveToRelative(-0.08f, -0.23f, -0.23f, -0.38f, -0.45f, -0.46f)
                curveToRelative(-0.22f, -0.1f, -0.44f, -0.1f, -0.67f, -0.01f)
                reflectiveCurveToRelative(-0.38f, 0.24f, -0.45f, 0.45f)
                curveTo(7.73f, 27.03f, 7.7f, 27.15f, 7.7f, 27.27f)
                close()
                moveTo(9.37f, 24.9f)
                verticalLineTo(25.0f)
                curveToRelative(0.02f, 0.23f, 0.13f, 0.42f, 0.33f, 0.58f)
                curveToRelative(0.15f, 0.16f, 0.35f, 0.23f, 0.6f, 0.2f)
                curveToRelative(0.25f, -0.03f, 0.45f, -0.14f, 0.6f, -0.34f)
                lineToRelative(4.14f, -5.23f)
                curveToRelative(0.14f, -0.2f, 0.19f, -0.41f, 0.17f, -0.64f)
                reflectiveCurveToRelative(-0.13f, -0.42f, -0.31f, -0.59f)
                curveToRelative(-0.18f, -0.14f, -0.39f, -0.2f, -0.62f, -0.17f)
                curveToRelative(-0.23f, 0.03f, -0.42f, 0.13f, -0.56f, 0.31f)
                lineToRelative(-4.16f, 5.26f)
                curveTo(9.43f, 24.53f, 9.37f, 24.71f, 9.37f, 24.9f)
                close()
                moveTo(9.95f, 4.61f)
                curveToRelative(0.0f, 0.24f, 0.09f, 0.44f, 0.27f, 0.59f)
                lineToRelative(0.61f, 0.66f)
                curveToRelative(0.16f, 0.16f, 0.34f, 0.24f, 0.54f, 0.26f)
                curveToRelative(0.21f, 0.03f, 0.41f, -0.04f, 0.61f, -0.22f)
                curveToRelative(0.2f, -0.18f, 0.3f, -0.39f, 0.3f, -0.64f)
                curveToRelative(0.0f, -0.22f, -0.08f, -0.43f, -0.24f, -0.6f)
                lineTo(11.4f, 4.01f)
                curveToRelative(-0.15f, -0.16f, -0.34f, -0.24f, -0.58f, -0.24f)
                curveToRelative(-0.24f, 0.0f, -0.45f, 0.08f, -0.62f, 0.24f)
                curveTo(10.04f, 4.18f, 9.95f, 4.38f, 9.95f, 4.61f)
                close()
                moveTo(12.9f, 26.04f)
                curveToRelative(0.0f, 0.12f, 0.02f, 0.22f, 0.07f, 0.31f)
                curveToRelative(0.09f, 0.22f, 0.24f, 0.37f, 0.45f, 0.46f)
                curveToRelative(0.11f, 0.05f, 0.22f, 0.08f, 0.35f, 0.08f)
                curveToRelative(0.06f, 0.0f, 0.16f, -0.02f, 0.3f, -0.06f)
                curveToRelative(0.22f, -0.09f, 0.38f, -0.24f, 0.46f, -0.46f)
                curveToRelative(0.1f, -0.22f, 0.11f, -0.44f, 0.02f, -0.66f)
                curveToRelative(-0.08f, -0.22f, -0.23f, -0.37f, -0.45f, -0.45f)
                curveToRelative(-0.22f, -0.1f, -0.44f, -0.11f, -0.67f, -0.02f)
                curveToRelative(-0.23f, 0.09f, -0.38f, 0.24f, -0.46f, 0.45f)
                curveTo(12.92f, 25.8f, 12.9f, 25.92f, 12.9f, 26.04f)
                close()
                moveTo(15.3f, 9.03f)
                curveToRelative(0.71f, -0.64f, 1.53f, -0.97f, 2.48f, -0.97f)
                curveToRelative(0.99f, 0.0f, 1.83f, 0.34f, 2.53f, 1.03f)
                reflectiveCurveToRelative(1.05f, 1.51f, 1.05f, 2.49f)
                curveToRelative(0.0f, 0.66f, -0.17f, 1.28f, -0.52f, 1.86f)
                curveToRelative(-0.97f, -0.97f, -2.13f, -1.45f, -3.48f, -1.45f)
                horizontalLineToRelative(-0.34f)
                curveTo(16.75f, 10.83f, 16.18f, 9.85f, 15.3f, 9.03f)
                close()
                moveTo(16.93f, 3.77f)
                curveToRelative(0.0f, 0.23f, 0.08f, 0.43f, 0.25f, 0.59f)
                curveToRelative(0.17f, 0.16f, 0.37f, 0.24f, 0.6f, 0.24f)
                curveToRelative(0.24f, 0.0f, 0.45f, -0.08f, 0.62f, -0.24f)
                curveTo(18.57f, 4.2f, 18.65f, 4.0f, 18.65f, 3.77f)
                verticalLineTo(1.7f)
                curveToRelative(0.0f, -0.23f, -0.09f, -0.43f, -0.26f, -0.6f)
                curveToRelative(-0.17f, -0.17f, -0.38f, -0.25f, -0.61f, -0.25f)
                curveToRelative(-0.23f, 0.0f, -0.43f, 0.08f, -0.6f, 0.25f)
                reflectiveCurveToRelative(-0.25f, 0.37f, -0.25f, 0.6f)
                verticalLineTo(3.77f)
                close()
                moveTo(22.5f, 6.05f)
                curveToRelative(0.0f, 0.24f, 0.07f, 0.44f, 0.22f, 0.6f)
                curveToRelative(0.18f, 0.17f, 0.38f, 0.25f, 0.61f, 0.26f)
                curveToRelative(0.23f, 0.0f, 0.42f, -0.08f, 0.57f, -0.26f)
                lineTo(25.4f, 5.2f)
                curveToRelative(0.16f, -0.16f, 0.24f, -0.37f, 0.24f, -0.61f)
                curveToRelative(0.0f, -0.24f, -0.09f, -0.44f, -0.26f, -0.61f)
                curveToRelative(-0.17f, -0.17f, -0.37f, -0.26f, -0.6f, -0.26f)
                curveToRelative(-0.22f, 0.0f, -0.42f, 0.08f, -0.6f, 0.25f)
                lineToRelative(-1.45f, 1.47f)
                curveTo(22.58f, 5.61f, 22.5f, 5.81f, 22.5f, 6.05f)
                close()
                moveTo(23.28f, 17.95f)
                curveToRelative(0.0f, 0.24f, 0.08f, 0.44f, 0.24f, 0.6f)
                lineToRelative(0.66f, 0.63f)
                curveToRelative(0.16f, 0.16f, 0.34f, 0.25f, 0.54f, 0.27f)
                horizontalLineToRelative(0.06f)
                curveToRelative(0.18f, 0.0f, 0.38f, -0.09f, 0.62f, -0.27f)
                curveToRelative(0.16f, -0.16f, 0.24f, -0.36f, 0.24f, -0.58f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.45f, -0.24f, -0.63f)
                lineToRelative(-0.66f, -0.62f)
                curveToRelative(-0.16f, -0.17f, -0.36f, -0.25f, -0.59f, -0.25f)
                curveToRelative(-0.24f, 0.0f, -0.45f, 0.08f, -0.62f, 0.25f)
                curveTo(23.37f, 17.51f, 23.28f, 17.72f, 23.28f, 17.95f)
                close()
                moveTo(24.78f, 11.58f)
                curveToRelative(0.0f, 0.24f, 0.08f, 0.44f, 0.24f, 0.6f)
                curveToRelative(0.16f, 0.18f, 0.36f, 0.27f, 0.6f, 0.27f)
                horizontalLineToRelative(2.04f)
                curveToRelative(0.24f, 0.0f, 0.44f, -0.09f, 0.61f, -0.26f)
                curveToRelative(0.17f, -0.17f, 0.25f, -0.38f, 0.25f, -0.61f)
                curveToRelative(0.0f, -0.23f, -0.08f, -0.43f, -0.25f, -0.59f)
                curveToRelative(-0.17f, -0.16f, -0.37f, -0.24f, -0.61f, -0.24f)
                horizontalLineToRelative(-2.04f)
                curveToRelative(-0.24f, 0.0f, -0.44f, 0.08f, -0.6f, 0.24f)
                curveTo(24.86f, 11.15f, 24.78f, 11.35f, 24.78f, 11.58f)
                close()
            }
        }
        .build()
        return _dayRainWind!!
    }

private var _dayRainWind: ImageVector? = null
