package compose.icons.weathericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.WeatherIcons

public val WeatherIcons.DaySprinkle: ImageVector
    get() {
        if (_daySprinkle != null) {
            return _daySprinkle!!
        }
        _daySprinkle = Builder(name = "DaySprinkle", defaultWidth = 30.0.dp, defaultHeight =
                30.0.dp, viewportWidth = 30.0f, viewportHeight = 30.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(1.58f, 16.89f)
                curveToRelative(0.0f, 0.87f, 0.21f, 1.68f, 0.64f, 2.42f)
                curveToRelative(0.42f, 0.75f, 1.0f, 1.35f, 1.73f, 1.8f)
                curveToRelative(0.73f, 0.45f, 1.53f, 0.69f, 2.4f, 0.73f)
                curveToRelative(0.12f, 0.0f, 0.18f, -0.06f, 0.18f, -0.17f)
                verticalLineToRelative(-1.33f)
                curveToRelative(0.0f, -0.12f, -0.06f, -0.19f, -0.18f, -0.19f)
                curveToRelative(-0.85f, -0.04f, -1.58f, -0.38f, -2.18f, -1.02f)
                reflectiveCurveToRelative(-0.9f, -1.38f, -0.9f, -2.25f)
                curveToRelative(0.0f, -0.82f, 0.28f, -1.54f, 0.84f, -2.15f)
                reflectiveCurveToRelative(1.26f, -0.96f, 2.09f, -1.06f)
                lineToRelative(0.52f, -0.03f)
                curveToRelative(0.12f, 0.0f, 0.19f, -0.06f, 0.19f, -0.18f)
                lineToRelative(0.08f, -0.54f)
                curveToRelative(0.11f, -1.08f, 0.56f, -1.98f, 1.36f, -2.71f)
                curveToRelative(0.8f, -0.73f, 1.75f, -1.09f, 2.85f, -1.09f)
                curveToRelative(1.07f, 0.0f, 2.02f, 0.36f, 2.84f, 1.09f)
                curveToRelative(0.82f, 0.73f, 1.28f, 1.63f, 1.4f, 2.7f)
                lineToRelative(0.07f, 0.58f)
                curveToRelative(0.0f, 0.11f, 0.06f, 0.17f, 0.17f, 0.17f)
                horizontalLineToRelative(1.62f)
                curveToRelative(0.88f, 0.0f, 1.65f, 0.32f, 2.29f, 0.96f)
                curveToRelative(0.65f, 0.64f, 0.97f, 1.39f, 0.97f, 2.26f)
                curveToRelative(0.0f, 0.86f, -0.3f, 1.61f, -0.9f, 2.25f)
                curveToRelative(-0.6f, 0.63f, -1.33f, 0.97f, -2.18f, 1.02f)
                curveToRelative(-0.12f, 0.0f, -0.18f, 0.06f, -0.18f, 0.19f)
                verticalLineToRelative(1.33f)
                curveToRelative(0.0f, 0.11f, 0.06f, 0.17f, 0.18f, 0.17f)
                curveToRelative(0.87f, -0.02f, 1.67f, -0.26f, 2.4f, -0.72f)
                reflectiveCurveToRelative(1.31f, -1.05f, 1.73f, -1.8f)
                reflectiveCurveToRelative(0.63f, -1.56f, 0.63f, -2.43f)
                curveToRelative(0.0f, -0.74f, -0.14f, -1.4f, -0.41f, -2.0f)
                curveToRelative(0.78f, -0.95f, 1.16f, -2.05f, 1.16f, -3.3f)
                curveToRelative(0.0f, -0.94f, -0.23f, -1.82f, -0.7f, -2.62f)
                reflectiveCurveToRelative(-1.1f, -1.44f, -1.9f, -1.9f)
                curveToRelative(-0.8f, -0.47f, -1.67f, -0.7f, -2.61f, -0.7f)
                curveToRelative(-1.55f, 0.0f, -2.84f, 0.58f, -3.87f, 1.73f)
                curveToRelative(-0.82f, -0.44f, -1.72f, -0.66f, -2.69f, -0.66f)
                curveToRelative(-1.41f, 0.0f, -2.65f, 0.44f, -3.74f, 1.31f)
                reflectiveCurveToRelative(-1.78f, 1.99f, -2.09f, 3.34f)
                curveToRelative(-1.1f, 0.26f, -2.01f, 0.84f, -2.72f, 1.73f)
                curveTo(1.93f, 14.73f, 1.58f, 15.75f, 1.58f, 16.89f)
                close()
                moveTo(7.48f, 17.77f)
                curveToRelative(0.0f, 0.38f, 0.14f, 0.71f, 0.42f, 0.98f)
                reflectiveCurveToRelative(0.62f, 0.4f, 1.01f, 0.4f)
                curveToRelative(0.4f, 0.0f, 0.73f, -0.13f, 1.0f, -0.4f)
                curveToRelative(0.27f, -0.27f, 0.4f, -0.59f, 0.4f, -0.98f)
                curveToRelative(0.0f, -0.24f, -0.12f, -0.58f, -0.35f, -1.0f)
                curveToRelative(-0.23f, -0.43f, -0.45f, -0.76f, -0.65f, -0.99f)
                curveToRelative(-0.21f, -0.22f, -0.35f, -0.37f, -0.4f, -0.42f)
                lineToRelative(-0.36f, 0.4f)
                curveToRelative(-0.27f, 0.29f, -0.52f, 0.63f, -0.74f, 1.03f)
                reflectiveCurveTo(7.48f, 17.52f, 7.48f, 17.77f)
                close()
                moveTo(9.97f, 4.66f)
                curveToRelative(0.0f, 0.26f, 0.08f, 0.46f, 0.24f, 0.61f)
                lineToRelative(0.65f, 0.66f)
                curveToRelative(0.42f, 0.31f, 0.82f, 0.31f, 1.21f, 0.0f)
                curveToRelative(0.16f, -0.19f, 0.24f, -0.41f, 0.24f, -0.64f)
                curveToRelative(0.0f, -0.23f, -0.08f, -0.43f, -0.24f, -0.59f)
                lineToRelative(-0.64f, -0.65f)
                curveToRelative(-0.19f, -0.17f, -0.39f, -0.25f, -0.61f, -0.25f)
                curveToRelative(-0.24f, 0.0f, -0.45f, 0.08f, -0.61f, 0.25f)
                curveTo(10.05f, 4.22f, 9.97f, 4.42f, 9.97f, 4.66f)
                close()
                moveTo(10.45f, 21.73f)
                curveToRelative(0.0f, 0.66f, 0.23f, 1.21f, 0.68f, 1.65f)
                reflectiveCurveToRelative(1.0f, 0.67f, 1.65f, 0.67f)
                curveToRelative(0.65f, 0.0f, 1.2f, -0.23f, 1.66f, -0.68f)
                curveToRelative(0.46f, -0.46f, 0.68f, -1.0f, 0.68f, -1.64f)
                curveToRelative(0.0f, -0.54f, -0.27f, -1.19f, -0.81f, -1.97f)
                curveToRelative(-0.46f, -0.61f, -0.89f, -1.1f, -1.28f, -1.49f)
                curveToRelative(-0.08f, -0.06f, -0.17f, -0.13f, -0.26f, -0.23f)
                lineToRelative(-0.23f, 0.23f)
                curveToRelative(-0.36f, 0.32f, -0.78f, 0.82f, -1.27f, 1.47f)
                curveTo(10.73f, 20.5f, 10.45f, 21.16f, 10.45f, 21.73f)
                close()
                moveTo(11.93f, 15.11f)
                curveToRelative(0.0f, 0.25f, 0.1f, 0.47f, 0.29f, 0.65f)
                curveToRelative(0.19f, 0.18f, 0.42f, 0.27f, 0.69f, 0.27f)
                curveToRelative(0.26f, 0.0f, 0.48f, -0.09f, 0.66f, -0.27f)
                curveToRelative(0.18f, -0.18f, 0.27f, -0.4f, 0.27f, -0.65f)
                curveToRelative(0.0f, -0.41f, -0.31f, -0.95f, -0.93f, -1.6f)
                lineToRelative(-0.24f, 0.25f)
                curveToRelative(-0.18f, 0.2f, -0.35f, 0.43f, -0.5f, 0.7f)
                curveTo(12.0f, 14.73f, 11.93f, 14.94f, 11.93f, 15.11f)
                close()
                moveTo(15.3f, 9.06f)
                curveToRelative(0.66f, -0.66f, 1.48f, -0.99f, 2.47f, -0.99f)
                curveToRelative(0.98f, 0.0f, 1.8f, 0.34f, 2.49f, 1.03f)
                curveToRelative(0.68f, 0.69f, 1.03f, 1.52f, 1.03f, 2.5f)
                curveToRelative(0.0f, 0.59f, -0.17f, 1.2f, -0.52f, 1.84f)
                curveTo(19.8f, 12.48f, 18.64f, 12.0f, 17.3f, 12.0f)
                horizontalLineToRelative(-0.33f)
                curveTo(16.68f, 10.84f, 16.12f, 9.86f, 15.3f, 9.06f)
                close()
                moveTo(16.9f, 3.8f)
                curveToRelative(0.0f, 0.24f, 0.09f, 0.44f, 0.26f, 0.61f)
                curveToRelative(0.17f, 0.17f, 0.37f, 0.25f, 0.6f, 0.25f)
                reflectiveCurveToRelative(0.43f, -0.08f, 0.58f, -0.25f)
                curveToRelative(0.16f, -0.17f, 0.23f, -0.37f, 0.23f, -0.61f)
                verticalLineTo(1.76f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.43f, -0.23f, -0.59f)
                reflectiveCurveTo(18.0f, 0.94f, 17.77f, 0.94f)
                reflectiveCurveToRelative(-0.44f, 0.08f, -0.61f, 0.23f)
                reflectiveCurveTo(16.9f, 1.52f, 16.9f, 1.76f)
                verticalLineTo(3.8f)
                close()
                moveTo(22.42f, 6.11f)
                curveToRelative(0.0f, 0.24f, 0.08f, 0.44f, 0.25f, 0.59f)
                curveToRelative(0.17f, 0.16f, 0.36f, 0.24f, 0.56f, 0.24f)
                curveToRelative(0.17f, 0.0f, 0.38f, -0.08f, 0.61f, -0.24f)
                lineToRelative(1.43f, -1.43f)
                curveToRelative(0.18f, -0.18f, 0.27f, -0.39f, 0.27f, -0.62f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.45f, -0.25f, -0.61f)
                curveToRelative(-0.17f, -0.16f, -0.37f, -0.24f, -0.61f, -0.24f)
                curveToRelative(-0.22f, 0.0f, -0.41f, 0.08f, -0.58f, 0.25f)
                lineToRelative(-1.43f, 1.43f)
                curveTo(22.5f, 5.65f, 22.42f, 5.86f, 22.42f, 6.11f)
                close()
                moveTo(23.22f, 17.89f)
                curveToRelative(0.0f, 0.25f, 0.08f, 0.46f, 0.23f, 0.64f)
                lineToRelative(0.65f, 0.58f)
                curveToRelative(0.14f, 0.18f, 0.34f, 0.27f, 0.59f, 0.27f)
                curveToRelative(0.24f, 0.0f, 0.44f, -0.09f, 0.58f, -0.27f)
                curveToRelative(0.18f, -0.16f, 0.27f, -0.36f, 0.27f, -0.58f)
                curveToRelative(0.0f, -0.22f, -0.09f, -0.41f, -0.27f, -0.58f)
                lineToRelative(-0.61f, -0.65f)
                curveToRelative(-0.18f, -0.16f, -0.38f, -0.24f, -0.61f, -0.24f)
                curveToRelative(-0.24f, 0.0f, -0.44f, 0.08f, -0.6f, 0.24f)
                reflectiveCurveTo(23.22f, 17.66f, 23.22f, 17.89f)
                close()
                moveTo(24.67f, 11.6f)
                curveToRelative(0.0f, 0.22f, 0.08f, 0.42f, 0.25f, 0.58f)
                curveToRelative(0.17f, 0.16f, 0.38f, 0.24f, 0.63f, 0.24f)
                horizontalLineToRelative(2.02f)
                curveToRelative(0.24f, 0.0f, 0.44f, -0.08f, 0.6f, -0.24f)
                curveToRelative(0.17f, -0.16f, 0.25f, -0.35f, 0.25f, -0.59f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.44f, -0.25f, -0.6f)
                reflectiveCurveToRelative(-0.37f, -0.25f, -0.6f, -0.25f)
                horizontalLineToRelative(-2.02f)
                curveToRelative(-0.24f, 0.0f, -0.44f, 0.08f, -0.62f, 0.25f)
                reflectiveCurveTo(24.67f, 11.37f, 24.67f, 11.6f)
                close()
            }
        }
        .build()
        return _daySprinkle!!
    }

private var _daySprinkle: ImageVector? = null
