package compose.icons.weathericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.WeatherIcons

public val WeatherIcons.NightAltSleet: ImageVector
    get() {
        if (_nightAltSleet != null) {
            return _nightAltSleet!!
        }
        _nightAltSleet = Builder(name = "NightAltSleet", defaultWidth = 30.0.dp, defaultHeight =
                30.0.dp, viewportWidth = 30.0f, viewportHeight = 30.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(4.09f, 17.13f)
                verticalLineToRelative(-0.37f)
                curveToRelative(0.04f, -1.12f, 0.42f, -2.11f, 1.13f, -2.97f)
                curveToRelative(0.71f, -0.86f, 1.61f, -1.42f, 2.68f, -1.67f)
                curveToRelative(0.31f, -1.36f, 1.02f, -2.48f, 2.11f, -3.36f)
                reflectiveCurveToRelative(2.35f, -1.31f, 3.76f, -1.31f)
                curveToRelative(0.74f, 0.0f, 1.53f, 0.15f, 2.38f, 0.46f)
                curveToRelative(0.28f, -0.46f, 0.61f, -0.86f, 0.99f, -1.2f)
                curveToRelative(0.38f, -0.34f, 0.77f, -0.6f, 1.18f, -0.79f)
                curveToRelative(0.41f, -0.18f, 0.8f, -0.32f, 1.19f, -0.4f)
                curveToRelative(0.38f, -0.08f, 0.76f, -0.12f, 1.13f, -0.12f)
                curveToRelative(0.39f, 0.0f, 0.8f, 0.04f, 1.24f, 0.13f)
                lineToRelative(0.8f, 0.25f)
                curveToRelative(0.12f, 0.06f, 0.17f, 0.13f, 0.14f, 0.23f)
                lineTo(22.7f, 6.63f)
                curveToRelative(-0.07f, 0.29f, -0.1f, 0.57f, -0.1f, 0.84f)
                curveToRelative(0.0f, 0.31f, 0.05f, 0.62f, 0.15f, 0.95f)
                curveToRelative(0.1f, 0.32f, 0.24f, 0.64f, 0.44f, 0.95f)
                reflectiveCurveToRelative(0.46f, 0.59f, 0.8f, 0.85f)
                curveToRelative(0.34f, 0.26f, 0.72f, 0.45f, 1.16f, 0.58f)
                lineToRelative(0.62f, 0.17f)
                curveToRelative(0.1f, 0.03f, 0.15f, 0.08f, 0.15f, 0.16f)
                curveToRelative(0.0f, 0.04f, 0.0f, 0.06f, -0.01f, 0.07f)
                lineToRelative(-0.19f, 0.68f)
                curveToRelative(-0.24f, 1.01f, -0.75f, 1.89f, -1.51f, 2.62f)
                curveToRelative(0.44f, 0.76f, 0.66f, 1.58f, 0.66f, 2.45f)
                curveToRelative(0.0f, 1.34f, -0.46f, 2.49f, -1.39f, 3.45f)
                curveToRelative(-0.93f, 0.97f, -2.06f, 1.47f, -3.39f, 1.51f)
                curveToRelative(-0.12f, 0.0f, -0.19f, -0.06f, -0.19f, -0.19f)
                verticalLineToRelative(-1.36f)
                curveToRelative(0.0f, -0.12f, 0.06f, -0.18f, 0.19f, -0.18f)
                curveToRelative(0.87f, -0.06f, 1.6f, -0.41f, 2.2f, -1.03f)
                curveToRelative(0.6f, -0.62f, 0.9f, -1.36f, 0.9f, -2.21f)
                curveToRelative(0.0f, -0.89f, -0.32f, -1.66f, -0.97f, -2.29f)
                reflectiveCurveToRelative(-1.42f, -0.95f, -2.33f, -0.95f)
                horizontalLineToRelative(-1.62f)
                curveToRelative(-0.11f, 0.0f, -0.17f, -0.06f, -0.17f, -0.18f)
                lineToRelative(-0.07f, -0.58f)
                curveToRelative(-0.11f, -1.07f, -0.58f, -1.98f, -1.4f, -2.71f)
                curveToRelative(-0.82f, -0.73f, -1.77f, -1.1f, -2.86f, -1.1f)
                curveToRelative(-1.09f, 0.0f, -2.05f, 0.37f, -2.85f, 1.1f)
                curveToRelative(-0.81f, 0.73f, -1.27f, 1.64f, -1.37f, 2.72f)
                lineToRelative(-0.07f, 0.52f)
                curveToRelative(0.0f, 0.11f, -0.07f, 0.17f, -0.2f, 0.17f)
                lineToRelative(-0.53f, 0.07f)
                curveToRelative(-0.84f, 0.1f, -1.54f, 0.46f, -2.1f, 1.07f)
                curveToRelative(-0.57f, 0.62f, -0.85f, 1.34f, -0.85f, 2.17f)
                verticalLineToRelative(0.02f)
                lineToRelative(0.01f, 0.01f)
                horizontalLineToRelative(0.02f)
                curveTo(5.83f, 17.5f, 5.95f, 18.0f, 6.19f, 18.46f)
                curveToRelative(0.24f, 0.46f, 0.56f, 0.84f, 0.97f, 1.14f)
                horizontalLineToRelative(0.01f)
                lineToRelative(0.01f, 0.01f)
                lineToRelative(0.01f, 0.01f)
                curveToRelative(0.22f, 0.16f, 0.42f, 0.27f, 0.62f, 0.35f)
                curveToRelative(0.34f, 0.15f, 0.69f, 0.23f, 1.07f, 0.24f)
                curveToRelative(0.11f, 0.0f, 0.17f, 0.06f, 0.17f, 0.17f)
                verticalLineToRelative(1.34f)
                curveToRelative(0.0f, 0.12f, -0.06f, 0.18f, -0.17f, 0.18f)
                curveToRelative(-0.93f, -0.04f, -1.78f, -0.32f, -2.55f, -0.82f)
                horizontalLineTo(6.32f)
                curveToRelative(-0.66f, -0.43f, -1.19f, -0.99f, -1.59f, -1.69f)
                curveTo(4.33f, 18.69f, 4.12f, 17.94f, 4.09f, 17.13f)
                close()
                moveTo(9.59f, 24.1f)
                curveToRelative(0.0f, -0.03f, 0.01f, -0.07f, 0.02f, -0.13f)
                reflectiveCurveToRelative(0.02f, -0.09f, 0.02f, -0.12f)
                lineToRelative(0.09f, -0.59f)
                curveToRelative(0.07f, -0.24f, 0.2f, -0.41f, 0.41f, -0.53f)
                reflectiveCurveToRelative(0.43f, -0.14f, 0.68f, -0.08f)
                curveToRelative(0.23f, 0.07f, 0.39f, 0.21f, 0.51f, 0.41f)
                curveToRelative(0.11f, 0.21f, 0.13f, 0.42f, 0.07f, 0.63f)
                lineToRelative(-0.14f, 0.6f)
                curveToRelative(-0.1f, 0.43f, -0.35f, 0.65f, -0.76f, 0.65f)
                curveToRelative(-0.03f, 0.0f, -0.08f, 0.0f, -0.15f, -0.01f)
                curveToRelative(-0.07f, -0.01f, -0.11f, -0.01f, -0.13f, -0.01f)
                curveToRelative(-0.21f, -0.06f, -0.36f, -0.17f, -0.46f, -0.33f)
                curveTo(9.64f, 24.43f, 9.59f, 24.27f, 9.59f, 24.1f)
                close()
                moveTo(10.33f, 21.16f)
                curveToRelative(0.0f, -0.24f, 0.08f, -0.43f, 0.23f, -0.59f)
                reflectiveCurveToRelative(0.35f, -0.23f, 0.59f, -0.23f)
                reflectiveCurveToRelative(0.43f, 0.08f, 0.59f, 0.23f)
                reflectiveCurveToRelative(0.23f, 0.35f, 0.23f, 0.59f)
                curveToRelative(0.0f, 0.23f, -0.08f, 0.43f, -0.23f, 0.58f)
                reflectiveCurveToRelative(-0.35f, 0.23f, -0.59f, 0.23f)
                curveToRelative(-0.23f, 0.0f, -0.42f, -0.08f, -0.57f, -0.25f)
                curveTo(10.42f, 21.57f, 10.33f, 21.38f, 10.33f, 21.16f)
                close()
                moveTo(11.97f, 27.16f)
                curveToRelative(0.0f, -0.04f, 0.01f, -0.11f, 0.04f, -0.22f)
                lineToRelative(0.13f, -0.59f)
                curveToRelative(0.07f, -0.23f, 0.21f, -0.4f, 0.41f, -0.51f)
                curveToRelative(0.21f, -0.12f, 0.42f, -0.14f, 0.63f, -0.07f)
                curveToRelative(0.23f, 0.04f, 0.41f, 0.17f, 0.53f, 0.37f)
                curveToRelative(0.12f, 0.2f, 0.15f, 0.43f, 0.08f, 0.68f)
                lineToRelative(-0.13f, 0.59f)
                curveToRelative(-0.1f, 0.41f, -0.37f, 0.61f, -0.8f, 0.61f)
                curveToRelative(-0.07f, 0.0f, -0.16f, -0.01f, -0.24f, -0.03f)
                curveToRelative(-0.22f, -0.06f, -0.38f, -0.17f, -0.49f, -0.33f)
                curveTo(12.03f, 27.49f, 11.97f, 27.33f, 11.97f, 27.16f)
                close()
                moveTo(12.76f, 24.25f)
                curveToRelative(0.0f, -0.23f, 0.08f, -0.42f, 0.23f, -0.58f)
                curveToRelative(0.16f, -0.16f, 0.35f, -0.23f, 0.59f, -0.23f)
                reflectiveCurveToRelative(0.43f, 0.08f, 0.59f, 0.23f)
                curveToRelative(0.16f, 0.16f, 0.23f, 0.35f, 0.23f, 0.58f)
                curveToRelative(0.0f, 0.24f, -0.08f, 0.43f, -0.23f, 0.59f)
                curveToRelative(-0.16f, 0.16f, -0.35f, 0.23f, -0.59f, 0.23f)
                curveToRelative(-0.23f, 0.0f, -0.42f, -0.08f, -0.58f, -0.24f)
                curveTo(12.84f, 24.67f, 12.76f, 24.48f, 12.76f, 24.25f)
                close()
                moveTo(13.38f, 21.98f)
                curveToRelative(0.0f, -0.09f, 0.01f, -0.18f, 0.03f, -0.27f)
                lineToRelative(0.23f, -0.9f)
                curveToRelative(0.07f, -0.23f, 0.21f, -0.41f, 0.41f, -0.53f)
                curveToRelative(0.21f, -0.12f, 0.42f, -0.15f, 0.64f, -0.08f)
                curveToRelative(0.24f, 0.07f, 0.41f, 0.2f, 0.53f, 0.4f)
                curveToRelative(0.12f, 0.2f, 0.14f, 0.41f, 0.07f, 0.63f)
                lineToRelative(-0.26f, 0.9f)
                curveToRelative(-0.08f, 0.28f, -0.22f, 0.46f, -0.41f, 0.56f)
                curveToRelative(-0.19f, 0.1f, -0.41f, 0.12f, -0.64f, 0.06f)
                curveToRelative(-0.2f, -0.04f, -0.35f, -0.14f, -0.45f, -0.3f)
                curveTo(13.41f, 22.29f, 13.37f, 22.13f, 13.38f, 21.98f)
                close()
                moveTo(16.14f, 24.12f)
                curveToRelative(0.0f, -0.03f, 0.0f, -0.08f, 0.01f, -0.13f)
                reflectiveCurveToRelative(0.01f, -0.09f, 0.01f, -0.11f)
                lineToRelative(0.09f, -0.59f)
                curveToRelative(0.07f, -0.24f, 0.2f, -0.41f, 0.41f, -0.53f)
                reflectiveCurveToRelative(0.43f, -0.14f, 0.68f, -0.08f)
                curveToRelative(0.23f, 0.07f, 0.4f, 0.21f, 0.51f, 0.41f)
                curveToRelative(0.12f, 0.21f, 0.14f, 0.42f, 0.07f, 0.63f)
                lineToRelative(-0.14f, 0.6f)
                curveToRelative(-0.1f, 0.44f, -0.35f, 0.66f, -0.76f, 0.66f)
                curveToRelative(-0.03f, 0.0f, -0.08f, -0.01f, -0.14f, -0.02f)
                curveToRelative(-0.06f, -0.01f, -0.11f, -0.02f, -0.14f, -0.02f)
                curveToRelative(-0.2f, -0.06f, -0.35f, -0.17f, -0.45f, -0.33f)
                reflectiveCurveTo(16.14f, 24.29f, 16.14f, 24.12f)
                close()
                moveTo(16.88f, 21.18f)
                curveToRelative(0.0f, -0.24f, 0.08f, -0.43f, 0.23f, -0.59f)
                reflectiveCurveToRelative(0.35f, -0.23f, 0.59f, -0.23f)
                curveToRelative(0.24f, 0.0f, 0.43f, 0.08f, 0.59f, 0.23f)
                curveToRelative(0.16f, 0.16f, 0.23f, 0.35f, 0.23f, 0.59f)
                curveToRelative(0.0f, 0.23f, -0.08f, 0.42f, -0.23f, 0.58f)
                curveToRelative(-0.16f, 0.16f, -0.35f, 0.23f, -0.59f, 0.23f)
                curveToRelative(-0.24f, 0.0f, -0.43f, -0.08f, -0.58f, -0.24f)
                curveTo(16.97f, 21.6f, 16.88f, 21.41f, 16.88f, 21.18f)
                close()
                moveTo(17.59f, 8.82f)
                curveToRelative(1.04f, 0.85f, 1.7f, 1.9f, 1.98f, 3.16f)
                horizontalLineToRelative(0.33f)
                curveToRelative(1.23f, 0.0f, 2.3f, 0.39f, 3.22f, 1.18f)
                curveToRelative(0.34f, -0.31f, 0.59f, -0.65f, 0.76f, -1.04f)
                curveToRelative(-0.62f, -0.3f, -1.15f, -0.7f, -1.61f, -1.21f)
                curveToRelative(-0.45f, -0.51f, -0.79f, -1.06f, -1.02f, -1.66f)
                curveToRelative(-0.23f, -0.6f, -0.34f, -1.22f, -0.34f, -1.86f)
                verticalLineTo(7.09f)
                horizontalLineToRelative(-0.22f)
                curveToRelative(-0.62f, 0.0f, -1.21f, 0.15f, -1.77f, 0.45f)
                curveTo(18.36f, 7.84f, 17.92f, 8.27f, 17.59f, 8.82f)
                close()
            }
        }
        .build()
        return _nightAltSleet!!
    }

private var _nightAltSleet: ImageVector? = null
