package compose.icons.weathericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.WeatherIcons

public val WeatherIcons.NightAltSnow: ImageVector
    get() {
        if (_nightAltSnow != null) {
            return _nightAltSnow!!
        }
        _nightAltSnow = Builder(name = "NightAltSnow", defaultWidth = 30.0.dp, defaultHeight =
                30.0.dp, viewportWidth = 30.0f, viewportHeight = 30.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(4.07f, 16.93f)
                curveToRelative(0.0f, 1.33f, 0.47f, 2.47f, 1.4f, 3.43f)
                reflectiveCurveToRelative(2.07f, 1.47f, 3.4f, 1.51f)
                curveToRelative(0.12f, 0.0f, 0.18f, -0.06f, 0.18f, -0.17f)
                verticalLineToRelative(-1.34f)
                curveToRelative(0.0f, -0.11f, -0.06f, -0.17f, -0.18f, -0.17f)
                curveToRelative(-0.85f, -0.04f, -1.58f, -0.39f, -2.18f, -1.03f)
                curveToRelative(-0.61f, -0.64f, -0.91f, -1.39f, -0.91f, -2.24f)
                curveToRelative(0.0f, -0.85f, 0.28f, -1.58f, 0.85f, -2.2f)
                curveToRelative(0.57f, -0.62f, 1.27f, -0.96f, 2.1f, -1.03f)
                lineToRelative(0.53f, -0.07f)
                curveToRelative(0.13f, 0.0f, 0.2f, -0.06f, 0.2f, -0.17f)
                lineToRelative(0.07f, -0.52f)
                curveToRelative(0.11f, -1.09f, 0.56f, -2.01f, 1.37f, -2.75f)
                reflectiveCurveToRelative(1.76f, -1.11f, 2.86f, -1.11f)
                curveToRelative(1.09f, 0.0f, 2.04f, 0.37f, 2.86f, 1.1f)
                curveToRelative(0.82f, 0.73f, 1.28f, 1.64f, 1.4f, 2.72f)
                lineToRelative(0.08f, 0.57f)
                curveToRelative(0.0f, 0.12f, 0.06f, 0.18f, 0.17f, 0.18f)
                horizontalLineToRelative(1.62f)
                curveToRelative(0.91f, 0.0f, 1.68f, 0.32f, 2.33f, 0.97f)
                curveToRelative(0.65f, 0.64f, 0.97f, 1.41f, 0.97f, 2.31f)
                curveToRelative(0.0f, 0.85f, -0.3f, 1.6f, -0.91f, 2.24f)
                curveToRelative(-0.61f, 0.64f, -1.33f, 0.98f, -2.18f, 1.03f)
                curveToRelative(-0.14f, 0.0f, -0.21f, 0.06f, -0.21f, 0.17f)
                verticalLineToRelative(1.34f)
                curveToRelative(0.0f, 0.11f, 0.07f, 0.17f, 0.21f, 0.17f)
                curveToRelative(0.88f, -0.02f, 1.68f, -0.26f, 2.41f, -0.71f)
                curveToRelative(0.73f, -0.45f, 1.31f, -1.05f, 1.73f, -1.8f)
                reflectiveCurveToRelative(0.63f, -1.56f, 0.63f, -2.43f)
                curveToRelative(0.0f, -0.91f, -0.22f, -1.74f, -0.65f, -2.48f)
                curveToRelative(0.74f, -0.66f, 1.24f, -1.52f, 1.52f, -2.58f)
                lineToRelative(0.17f, -0.72f)
                curveToRelative(0.01f, -0.01f, 0.02f, -0.04f, 0.02f, -0.08f)
                curveToRelative(0.0f, -0.07f, -0.05f, -0.13f, -0.16f, -0.16f)
                lineToRelative(-0.61f, -0.17f)
                curveToRelative(-0.44f, -0.13f, -0.83f, -0.32f, -1.17f, -0.57f)
                reflectiveCurveToRelative(-0.61f, -0.53f, -0.81f, -0.84f)
                curveToRelative(-0.2f, -0.31f, -0.34f, -0.62f, -0.44f, -0.95f)
                curveToRelative(-0.1f, -0.32f, -0.15f, -0.64f, -0.15f, -0.95f)
                curveToRelative(0.0f, -0.27f, 0.03f, -0.56f, 0.1f, -0.86f)
                lineToRelative(0.11f, -0.62f)
                curveToRelative(0.02f, -0.09f, -0.02f, -0.17f, -0.14f, -0.22f)
                lineToRelative(-0.8f, -0.24f)
                curveToRelative(-0.44f, -0.11f, -0.85f, -0.16f, -1.25f, -0.16f)
                curveToRelative(-0.37f, 0.0f, -0.74f, 0.04f, -1.12f, 0.13f)
                curveToRelative(-0.38f, 0.09f, -0.77f, 0.22f, -1.18f, 0.41f)
                curveToRelative(-0.41f, 0.19f, -0.8f, 0.45f, -1.18f, 0.8f)
                curveToRelative(-0.38f, 0.35f, -0.71f, 0.75f, -0.99f, 1.22f)
                curveToRelative(-0.81f, -0.33f, -1.6f, -0.5f, -2.38f, -0.5f)
                curveToRelative(-1.41f, 0.0f, -2.67f, 0.44f, -3.76f, 1.32f)
                reflectiveCurveToRelative(-1.8f, 2.0f, -2.11f, 3.37f)
                curveToRelative(-1.12f, 0.28f, -2.04f, 0.87f, -2.75f, 1.76f)
                curveTo(4.43f, 14.74f, 4.07f, 15.77f, 4.07f, 16.93f)
                close()
                moveTo(10.46f, 21.02f)
                curveToRelative(0.0f, 0.24f, 0.08f, 0.44f, 0.24f, 0.6f)
                curveToRelative(0.16f, 0.17f, 0.35f, 0.25f, 0.59f, 0.25f)
                curveToRelative(0.24f, 0.0f, 0.44f, -0.08f, 0.6f, -0.25f)
                reflectiveCurveToRelative(0.24f, -0.37f, 0.24f, -0.6f)
                curveToRelative(0.0f, -0.22f, -0.08f, -0.42f, -0.24f, -0.58f)
                reflectiveCurveToRelative(-0.36f, -0.24f, -0.6f, -0.24f)
                curveToRelative(-0.23f, 0.0f, -0.43f, 0.08f, -0.59f, 0.24f)
                curveTo(10.54f, 20.6f, 10.46f, 20.79f, 10.46f, 21.02f)
                close()
                moveTo(10.46f, 24.66f)
                curveToRelative(0.0f, 0.23f, 0.08f, 0.42f, 0.24f, 0.58f)
                curveToRelative(0.16f, 0.16f, 0.36f, 0.24f, 0.58f, 0.24f)
                curveToRelative(0.24f, 0.0f, 0.44f, -0.08f, 0.6f, -0.23f)
                curveToRelative(0.16f, -0.16f, 0.24f, -0.35f, 0.24f, -0.59f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.43f, -0.24f, -0.59f)
                curveToRelative(-0.16f, -0.16f, -0.36f, -0.23f, -0.6f, -0.23f)
                curveToRelative(-0.24f, 0.0f, -0.43f, 0.08f, -0.59f, 0.23f)
                curveTo(10.54f, 24.22f, 10.46f, 24.42f, 10.46f, 24.66f)
                close()
                moveTo(13.66f, 22.96f)
                curveToRelative(0.0f, 0.24f, 0.08f, 0.44f, 0.24f, 0.59f)
                curveToRelative(0.16f, 0.16f, 0.36f, 0.24f, 0.58f, 0.24f)
                curveToRelative(0.24f, 0.0f, 0.44f, -0.08f, 0.61f, -0.24f)
                reflectiveCurveToRelative(0.25f, -0.36f, 0.25f, -0.59f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.44f, -0.25f, -0.61f)
                reflectiveCurveToRelative(-0.37f, -0.26f, -0.61f, -0.26f)
                curveToRelative(-0.22f, 0.0f, -0.41f, 0.09f, -0.58f, 0.26f)
                reflectiveCurveTo(13.66f, 22.72f, 13.66f, 22.96f)
                close()
                moveTo(13.66f, 19.32f)
                curveToRelative(0.0f, 0.24f, 0.08f, 0.43f, 0.24f, 0.58f)
                curveToRelative(0.16f, 0.16f, 0.36f, 0.24f, 0.58f, 0.24f)
                curveToRelative(0.24f, 0.0f, 0.45f, -0.08f, 0.61f, -0.23f)
                reflectiveCurveToRelative(0.25f, -0.35f, 0.25f, -0.59f)
                curveToRelative(0.0f, -0.23f, -0.08f, -0.43f, -0.25f, -0.6f)
                reflectiveCurveToRelative(-0.37f, -0.25f, -0.61f, -0.25f)
                curveToRelative(-0.22f, 0.0f, -0.42f, 0.08f, -0.58f, 0.25f)
                reflectiveCurveTo(13.66f, 19.09f, 13.66f, 19.32f)
                close()
                moveTo(13.66f, 26.63f)
                curveToRelative(0.0f, 0.22f, 0.08f, 0.41f, 0.24f, 0.57f)
                curveToRelative(0.17f, 0.17f, 0.36f, 0.25f, 0.58f, 0.25f)
                curveToRelative(0.24f, 0.0f, 0.44f, -0.08f, 0.61f, -0.24f)
                curveToRelative(0.17f, -0.16f, 0.25f, -0.35f, 0.25f, -0.59f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.44f, -0.25f, -0.61f)
                curveToRelative(-0.17f, -0.17f, -0.37f, -0.26f, -0.61f, -0.26f)
                curveToRelative(-0.22f, 0.0f, -0.41f, 0.09f, -0.58f, 0.26f)
                curveTo(13.75f, 26.19f, 13.66f, 26.4f, 13.66f, 26.63f)
                close()
                moveTo(16.9f, 21.02f)
                curveToRelative(0.0f, 0.24f, 0.08f, 0.44f, 0.25f, 0.6f)
                reflectiveCurveToRelative(0.36f, 0.25f, 0.6f, 0.25f)
                reflectiveCurveToRelative(0.43f, -0.08f, 0.59f, -0.25f)
                reflectiveCurveToRelative(0.24f, -0.37f, 0.24f, -0.6f)
                curveToRelative(0.0f, -0.22f, -0.08f, -0.42f, -0.24f, -0.58f)
                reflectiveCurveToRelative(-0.35f, -0.24f, -0.59f, -0.24f)
                reflectiveCurveToRelative(-0.43f, 0.08f, -0.6f, 0.24f)
                reflectiveCurveTo(16.9f, 20.79f, 16.9f, 21.02f)
                close()
                moveTo(16.9f, 24.66f)
                curveToRelative(0.0f, 0.23f, 0.08f, 0.42f, 0.24f, 0.58f)
                curveToRelative(0.16f, 0.16f, 0.36f, 0.24f, 0.6f, 0.24f)
                reflectiveCurveToRelative(0.43f, -0.08f, 0.59f, -0.24f)
                curveToRelative(0.16f, -0.16f, 0.23f, -0.35f, 0.23f, -0.59f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.43f, -0.23f, -0.59f)
                curveToRelative(-0.16f, -0.16f, -0.35f, -0.23f, -0.59f, -0.23f)
                reflectiveCurveToRelative(-0.44f, 0.08f, -0.6f, 0.23f)
                curveTo(16.98f, 24.22f, 16.9f, 24.42f, 16.9f, 24.66f)
                close()
                moveTo(17.58f, 8.77f)
                curveToRelative(0.31f, -0.54f, 0.75f, -0.96f, 1.3f, -1.26f)
                reflectiveCurveTo(20.0f, 7.06f, 20.59f, 7.05f)
                curveToRelative(0.15f, 0.0f, 0.26f, 0.01f, 0.33f, 0.02f)
                verticalLineToRelative(0.31f)
                curveToRelative(0.0f, 0.97f, 0.26f, 1.88f, 0.78f, 2.74f)
                reflectiveCurveToRelative(1.25f, 1.51f, 2.17f, 1.96f)
                curveToRelative(-0.16f, 0.36f, -0.41f, 0.72f, -0.76f, 1.07f)
                curveToRelative(-0.89f, -0.79f, -1.96f, -1.18f, -3.23f, -1.18f)
                horizontalLineToRelative(-0.31f)
                curveTo(19.3f, 10.74f, 18.64f, 9.68f, 17.58f, 8.77f)
                close()
            }
        }
        .build()
        return _nightAltSnow!!
    }

private var _nightAltSnow: ImageVector? = null
