package compose.icons.weathericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.WeatherIcons

public val WeatherIcons.RainMix: ImageVector
    get() {
        if (_rainMix != null) {
            return _rainMix!!
        }
        _rainMix = Builder(name = "RainMix", defaultWidth = 30.0.dp, defaultHeight = 30.0.dp,
                viewportWidth = 30.0f, viewportHeight = 30.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(4.65f, 16.96f)
                curveToRelative(0.0f, 1.32f, 0.47f, 2.46f, 1.4f, 3.41f)
                curveToRelative(0.93f, 0.96f, 2.06f, 1.46f, 3.38f, 1.5f)
                curveToRelative(0.12f, 0.0f, 0.18f, -0.06f, 0.18f, -0.17f)
                verticalLineToRelative(-1.33f)
                curveToRelative(0.0f, -0.12f, -0.06f, -0.18f, -0.18f, -0.18f)
                curveToRelative(-0.84f, -0.04f, -1.57f, -0.38f, -2.17f, -1.02f)
                reflectiveCurveToRelative(-0.91f, -1.37f, -0.91f, -2.22f)
                curveToRelative(0.0f, -0.84f, 0.28f, -1.57f, 0.85f, -2.19f)
                curveToRelative(0.57f, -0.62f, 1.26f, -0.97f, 2.1f, -1.04f)
                lineToRelative(0.53f, -0.07f)
                curveToRelative(0.12f, 0.0f, 0.19f, -0.06f, 0.19f, -0.18f)
                lineToRelative(0.07f, -0.5f)
                curveToRelative(0.1f, -1.09f, 0.55f, -2.01f, 1.36f, -2.75f)
                reflectiveCurveToRelative(1.76f, -1.11f, 2.86f, -1.11f)
                curveToRelative(1.08f, 0.0f, 2.03f, 0.37f, 2.84f, 1.1f)
                curveToRelative(0.81f, 0.73f, 1.28f, 1.63f, 1.4f, 2.71f)
                lineToRelative(0.07f, 0.58f)
                curveToRelative(0.0f, 0.12f, 0.06f, 0.18f, 0.19f, 0.18f)
                horizontalLineToRelative(1.6f)
                curveToRelative(0.9f, 0.0f, 1.67f, 0.32f, 2.32f, 0.97f)
                curveToRelative(0.64f, 0.64f, 0.97f, 1.41f, 0.97f, 2.3f)
                curveToRelative(0.0f, 0.84f, -0.3f, 1.58f, -0.9f, 2.22f)
                curveToRelative(-0.6f, 0.63f, -1.33f, 0.97f, -2.18f, 1.02f)
                curveToRelative(-0.13f, 0.0f, -0.2f, 0.06f, -0.2f, 0.18f)
                verticalLineToRelative(1.33f)
                curveToRelative(0.0f, 0.11f, 0.07f, 0.17f, 0.2f, 0.17f)
                curveToRelative(1.33f, -0.04f, 2.46f, -0.54f, 3.38f, -1.5f)
                reflectiveCurveToRelative(1.38f, -2.09f, 1.38f, -3.42f)
                curveToRelative(0.0f, -0.89f, -0.22f, -1.72f, -0.67f, -2.48f)
                curveToRelative(-0.44f, -0.76f, -1.05f, -1.36f, -1.81f, -1.8f)
                curveToRelative(-0.76f, -0.44f, -1.59f, -0.66f, -2.48f, -0.66f)
                horizontalLineToRelative(-0.31f)
                curveToRelative(-0.33f, -1.34f, -1.03f, -2.43f, -2.11f, -3.29f)
                curveToRelative(-1.07f, -0.85f, -2.3f, -1.28f, -3.68f, -1.28f)
                curveToRelative(-1.41f, 0.0f, -2.66f, 0.44f, -3.75f, 1.31f)
                reflectiveCurveToRelative(-1.79f, 1.99f, -2.1f, 3.35f)
                curveToRelative(-1.13f, 0.29f, -2.04f, 0.88f, -2.75f, 1.77f)
                reflectiveCurveTo(4.65f, 15.8f, 4.65f, 16.96f)
                close()
                moveTo(10.05f, 23.98f)
                curveToRelative(0.0f, 0.17f, 0.05f, 0.34f, 0.16f, 0.51f)
                curveToRelative(0.11f, 0.17f, 0.27f, 0.28f, 0.47f, 0.35f)
                curveToRelative(0.23f, 0.07f, 0.44f, 0.06f, 0.64f, -0.04f)
                curveToRelative(0.19f, -0.09f, 0.33f, -0.28f, 0.39f, -0.56f)
                lineToRelative(0.14f, -0.61f)
                curveToRelative(0.05f, -0.23f, 0.02f, -0.44f, -0.09f, -0.63f)
                reflectiveCurveToRelative(-0.28f, -0.33f, -0.52f, -0.4f)
                curveToRelative(-0.22f, -0.07f, -0.44f, -0.04f, -0.64f, 0.08f)
                reflectiveCurveToRelative(-0.34f, 0.3f, -0.4f, 0.53f)
                lineToRelative(-0.14f, 0.59f)
                curveTo(10.06f, 23.83f, 10.05f, 23.89f, 10.05f, 23.98f)
                close()
                moveTo(10.81f, 21.08f)
                curveToRelative(0.0f, 0.21f, 0.08f, 0.4f, 0.25f, 0.57f)
                curveToRelative(0.16f, 0.17f, 0.34f, 0.25f, 0.56f, 0.25f)
                curveToRelative(0.24f, 0.0f, 0.44f, -0.08f, 0.6f, -0.24f)
                curveToRelative(0.16f, -0.16f, 0.24f, -0.35f, 0.24f, -0.59f)
                curveToRelative(0.0f, -0.23f, -0.08f, -0.43f, -0.24f, -0.59f)
                curveToRelative(-0.16f, -0.16f, -0.36f, -0.24f, -0.6f, -0.24f)
                curveToRelative(-0.23f, 0.0f, -0.42f, 0.08f, -0.58f, 0.23f)
                curveTo(10.89f, 20.65f, 10.81f, 20.85f, 10.81f, 21.08f)
                close()
                moveTo(11.42f, 18.81f)
                curveToRelative(-0.01f, 0.16f, 0.03f, 0.31f, 0.14f, 0.45f)
                curveToRelative(0.1f, 0.15f, 0.26f, 0.25f, 0.48f, 0.32f)
                curveToRelative(0.21f, 0.06f, 0.41f, 0.04f, 0.62f, -0.07f)
                reflectiveCurveTo(13.0f, 19.23f, 13.07f, 19.0f)
                lineToRelative(0.28f, -0.9f)
                curveToRelative(0.07f, -0.24f, 0.05f, -0.46f, -0.07f, -0.65f)
                curveToRelative(-0.12f, -0.19f, -0.3f, -0.32f, -0.54f, -0.39f)
                curveToRelative(-0.22f, -0.07f, -0.43f, -0.05f, -0.63f, 0.07f)
                curveToRelative(-0.2f, 0.11f, -0.34f, 0.28f, -0.41f, 0.5f)
                lineToRelative(-0.24f, 0.92f)
                curveToRelative(0.0f, 0.02f, -0.01f, 0.06f, -0.02f, 0.12f)
                curveTo(11.43f, 18.72f, 11.42f, 18.77f, 11.42f, 18.81f)
                close()
                moveTo(12.59f, 27.1f)
                curveToRelative(0.0f, 0.18f, 0.05f, 0.34f, 0.15f, 0.5f)
                curveToRelative(0.1f, 0.16f, 0.26f, 0.27f, 0.48f, 0.33f)
                curveToRelative(0.08f, 0.02f, 0.17f, 0.03f, 0.25f, 0.03f)
                curveToRelative(0.43f, 0.0f, 0.69f, -0.2f, 0.79f, -0.61f)
                lineToRelative(0.14f, -0.59f)
                curveToRelative(0.06f, -0.26f, 0.03f, -0.48f, -0.08f, -0.68f)
                curveToRelative(-0.12f, -0.2f, -0.29f, -0.32f, -0.52f, -0.37f)
                curveToRelative(-0.21f, -0.07f, -0.42f, -0.05f, -0.63f, 0.07f)
                curveToRelative(-0.21f, 0.12f, -0.34f, 0.29f, -0.41f, 0.51f)
                lineToRelative(-0.14f, 0.59f)
                curveTo(12.6f, 26.97f, 12.59f, 27.04f, 12.59f, 27.1f)
                close()
                moveTo(13.36f, 24.2f)
                curveToRelative(0.0f, 0.22f, 0.08f, 0.41f, 0.25f, 0.58f)
                curveToRelative(0.16f, 0.16f, 0.35f, 0.24f, 0.57f, 0.24f)
                curveToRelative(0.24f, 0.0f, 0.43f, -0.08f, 0.59f, -0.23f)
                curveToRelative(0.16f, -0.16f, 0.23f, -0.35f, 0.23f, -0.59f)
                curveToRelative(0.0f, -0.23f, -0.08f, -0.42f, -0.23f, -0.58f)
                curveToRelative(-0.16f, -0.16f, -0.35f, -0.23f, -0.59f, -0.23f)
                curveToRelative(-0.24f, 0.0f, -0.43f, 0.08f, -0.59f, 0.23f)
                reflectiveCurveTo(13.36f, 23.97f, 13.36f, 24.2f)
                close()
                moveTo(13.99f, 21.93f)
                curveToRelative(-0.01f, 0.15f, 0.03f, 0.31f, 0.13f, 0.47f)
                curveToRelative(0.1f, 0.16f, 0.25f, 0.26f, 0.45f, 0.3f)
                curveToRelative(0.23f, 0.06f, 0.44f, 0.04f, 0.64f, -0.06f)
                reflectiveCurveToRelative(0.33f, -0.29f, 0.41f, -0.56f)
                lineToRelative(0.27f, -0.9f)
                curveToRelative(0.07f, -0.22f, 0.05f, -0.43f, -0.07f, -0.63f)
                curveToRelative(-0.12f, -0.2f, -0.29f, -0.33f, -0.53f, -0.4f)
                curveToRelative(-0.22f, -0.07f, -0.43f, -0.04f, -0.64f, 0.08f)
                curveToRelative(-0.21f, 0.12f, -0.34f, 0.3f, -0.41f, 0.53f)
                lineToRelative(-0.23f, 0.9f)
                curveTo(14.0f, 21.74f, 13.99f, 21.83f, 13.99f, 21.93f)
                close()
                moveTo(16.75f, 24.08f)
                curveToRelative(0.0f, 0.16f, 0.05f, 0.32f, 0.15f, 0.48f)
                curveToRelative(0.1f, 0.16f, 0.26f, 0.27f, 0.46f, 0.33f)
                curveToRelative(0.03f, 0.0f, 0.08f, 0.01f, 0.14f, 0.02f)
                curveToRelative(0.06f, 0.01f, 0.1f, 0.02f, 0.14f, 0.02f)
                curveToRelative(0.41f, 0.0f, 0.66f, -0.22f, 0.76f, -0.66f)
                lineToRelative(0.14f, -0.6f)
                curveToRelative(0.07f, -0.21f, 0.05f, -0.42f, -0.07f, -0.63f)
                curveToRelative(-0.11f, -0.21f, -0.28f, -0.34f, -0.51f, -0.41f)
                curveToRelative(-0.25f, -0.06f, -0.48f, -0.04f, -0.68f, 0.08f)
                reflectiveCurveToRelative(-0.34f, 0.29f, -0.41f, 0.53f)
                lineToRelative(-0.09f, 0.59f)
                curveToRelative(0.0f, 0.02f, -0.01f, 0.07f, -0.02f, 0.12f)
                reflectiveCurveTo(16.75f, 24.04f, 16.75f, 24.08f)
                close()
                moveTo(17.49f, 21.12f)
                curveToRelative(0.0f, 0.22f, 0.08f, 0.42f, 0.25f, 0.57f)
                curveToRelative(0.15f, 0.16f, 0.34f, 0.24f, 0.57f, 0.24f)
                curveToRelative(0.24f, 0.0f, 0.43f, -0.08f, 0.59f, -0.23f)
                reflectiveCurveToRelative(0.23f, -0.35f, 0.23f, -0.58f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.43f, -0.23f, -0.59f)
                reflectiveCurveToRelative(-0.35f, -0.23f, -0.59f, -0.23f)
                curveToRelative(-0.24f, 0.0f, -0.43f, 0.08f, -0.59f, 0.23f)
                curveTo(17.57f, 20.69f, 17.49f, 20.88f, 17.49f, 21.12f)
                close()
                moveTo(18.1f, 18.81f)
                curveToRelative(0.0f, 0.17f, 0.05f, 0.33f, 0.16f, 0.48f)
                curveToRelative(0.11f, 0.15f, 0.27f, 0.26f, 0.49f, 0.32f)
                curveToRelative(0.02f, 0.0f, 0.06f, 0.01f, 0.12f, 0.02f)
                reflectiveCurveToRelative(0.11f, 0.02f, 0.14f, 0.02f)
                curveToRelative(0.1f, 0.0f, 0.22f, -0.03f, 0.36f, -0.09f)
                curveToRelative(0.21f, -0.11f, 0.35f, -0.29f, 0.41f, -0.52f)
                lineToRelative(0.24f, -0.9f)
                curveToRelative(0.06f, -0.23f, 0.04f, -0.44f, -0.08f, -0.63f)
                curveToRelative(-0.11f, -0.2f, -0.28f, -0.33f, -0.51f, -0.4f)
                curveToRelative(-0.23f, -0.07f, -0.44f, -0.05f, -0.64f, 0.06f)
                curveToRelative(-0.19f, 0.11f, -0.33f, 0.27f, -0.39f, 0.51f)
                lineToRelative(-0.28f, 0.91f)
                curveToRelative(0.0f, 0.02f, -0.01f, 0.06f, -0.02f, 0.12f)
                curveTo(18.1f, 18.74f, 18.1f, 18.78f, 18.1f, 18.81f)
                close()
            }
        }
        .build()
        return _rainMix!!
    }

private var _rainMix: ImageVector? = null
