package compose.icons.weathericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.WeatherIcons

public val WeatherIcons.Sleet: ImageVector
    get() {
        if (_sleet != null) {
            return _sleet!!
        }
        _sleet = Builder(name = "Sleet", defaultWidth = 30.0.dp, defaultHeight = 30.0.dp,
                viewportWidth = 30.0f, viewportHeight = 30.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(4.09f, 16.95f)
                curveToRelative(0.0f, -1.16f, 0.36f, -2.19f, 1.08f, -3.09f)
                reflectiveCurveToRelative(1.64f, -1.49f, 2.74f, -1.74f)
                curveToRelative(0.31f, -1.37f, 1.01f, -2.49f, 2.1f, -3.37f)
                reflectiveCurveToRelative(2.35f, -1.32f, 3.77f, -1.32f)
                curveToRelative(0.81f, 0.0f, 1.55f, 0.13f, 2.2f, 0.4f)
                curveToRelative(0.0f, 0.01f, 0.0f, 0.01f, 0.01f, 0.02f)
                curveToRelative(0.84f, 0.32f, 1.58f, 0.84f, 2.21f, 1.55f)
                horizontalLineToRelative(0.03f)
                curveToRelative(0.68f, 0.73f, 1.13f, 1.6f, 1.37f, 2.62f)
                horizontalLineToRelative(0.31f)
                curveToRelative(1.08f, 0.0f, 2.02f, 0.29f, 2.83f, 0.86f)
                verticalLineToRelative(-0.01f)
                curveToRelative(0.53f, 0.36f, 0.98f, 0.8f, 1.34f, 1.33f)
                curveToRelative(0.36f, 0.53f, 0.6f, 1.11f, 0.73f, 1.74f)
                curveToRelative(0.04f, 0.21f, 0.06f, 0.38f, 0.08f, 0.52f)
                verticalLineToRelative(0.06f)
                curveToRelative(0.0f, 0.01f, 0.0f, 0.06f, 0.01f, 0.17f)
                reflectiveCurveToRelative(0.01f, 0.19f, 0.01f, 0.24f)
                verticalLineToRelative(0.03f)
                curveToRelative(0.0f, 0.88f, -0.21f, 1.7f, -0.64f, 2.45f)
                curveToRelative(-0.42f, 0.75f, -1.0f, 1.36f, -1.74f, 1.81f)
                curveToRelative(-0.73f, 0.45f, -1.54f, 0.69f, -2.42f, 0.72f)
                curveToRelative(-0.13f, 0.0f, -0.2f, -0.06f, -0.2f, -0.17f)
                verticalLineToRelative(-1.34f)
                curveToRelative(0.0f, -0.13f, 0.07f, -0.19f, 0.2f, -0.19f)
                curveToRelative(0.86f, -0.04f, 1.58f, -0.38f, 2.18f, -1.02f)
                curveToRelative(0.6f, -0.64f, 0.9f, -1.39f, 0.9f, -2.26f)
                curveToRelative(0.0f, -0.89f, -0.32f, -1.65f, -0.97f, -2.29f)
                curveToRelative(-0.64f, -0.64f, -1.41f, -0.96f, -2.31f, -0.96f)
                horizontalLineToRelative(-1.61f)
                curveToRelative(-0.12f, 0.0f, -0.18f, -0.06f, -0.18f, -0.17f)
                lineToRelative(-0.08f, -0.59f)
                curveToRelative(-0.1f, -1.0f, -0.52f, -1.86f, -1.27f, -2.59f)
                curveToRelative(-0.01f, -0.01f, -0.01f, -0.02f, -0.02f, -0.03f)
                reflectiveCurveToRelative(-0.02f, -0.02f, -0.02f, -0.03f)
                curveToRelative(-0.01f, -0.01f, -0.02f, -0.02f, -0.04f, -0.02f)
                curveToRelative(0.0f, -0.02f, -0.01f, -0.03f, -0.02f, -0.03f)
                curveToRelative(-0.73f, -0.66f, -1.58f, -1.04f, -2.56f, -1.12f)
                curveToRelative(-0.07f, -0.01f, -0.18f, -0.01f, -0.34f, -0.01f)
                curveToRelative(-1.1f, 0.0f, -2.05f, 0.37f, -2.86f, 1.1f)
                reflectiveCurveToRelative(-1.27f, 1.64f, -1.37f, 2.72f)
                lineToRelative(-0.08f, 0.59f)
                curveToRelative(-0.03f, 0.09f, -0.11f, 0.14f, -0.22f, 0.14f)
                lineTo(8.75f, 13.7f)
                curveToRelative(-0.84f, 0.1f, -1.55f, 0.46f, -2.11f, 1.07f)
                reflectiveCurveToRelative(-0.84f, 1.34f, -0.84f, 2.18f)
                verticalLineToRelative(0.04f)
                horizontalLineToRelative(0.03f)
                curveToRelative(0.01f, 0.48f, 0.11f, 0.93f, 0.3f, 1.35f)
                curveToRelative(0.2f, 0.43f, 0.46f, 0.79f, 0.8f, 1.09f)
                curveToRelative(0.21f, 0.18f, 0.45f, 0.34f, 0.74f, 0.48f)
                verticalLineToRelative(0.01f)
                curveToRelative(0.4f, 0.19f, 0.8f, 0.3f, 1.21f, 0.32f)
                curveToRelative(0.11f, 0.0f, 0.17f, 0.06f, 0.17f, 0.18f)
                verticalLineToRelative(1.34f)
                curveToRelative(0.0f, 0.11f, -0.06f, 0.17f, -0.17f, 0.17f)
                curveToRelative(-0.52f, -0.03f, -1.01f, -0.13f, -1.48f, -0.3f)
                verticalLineToRelative(0.01f)
                curveToRelative(-0.83f, -0.29f, -1.54f, -0.77f, -2.11f, -1.43f)
                reflectiveCurveToRelative(-0.95f, -1.44f, -1.11f, -2.31f)
                verticalLineToRelative(-0.03f)
                curveToRelative(-0.01f, -0.01f, -0.01f, -0.02f, -0.01f, -0.04f)
                curveTo(4.11f, 17.57f, 4.09f, 17.27f, 4.09f, 16.95f)
                close()
                moveTo(9.59f, 24.12f)
                curveToRelative(0.0f, -0.03f, 0.01f, -0.07f, 0.02f, -0.13f)
                curveToRelative(0.01f, -0.05f, 0.02f, -0.09f, 0.02f, -0.12f)
                lineToRelative(0.09f, -0.59f)
                curveToRelative(0.07f, -0.24f, 0.2f, -0.41f, 0.41f, -0.53f)
                reflectiveCurveToRelative(0.43f, -0.14f, 0.68f, -0.08f)
                curveToRelative(0.23f, 0.07f, 0.39f, 0.21f, 0.51f, 0.41f)
                curveToRelative(0.11f, 0.21f, 0.13f, 0.42f, 0.07f, 0.63f)
                lineToRelative(-0.14f, 0.6f)
                curveToRelative(-0.1f, 0.44f, -0.35f, 0.66f, -0.76f, 0.66f)
                curveToRelative(-0.03f, 0.0f, -0.08f, -0.01f, -0.14f, -0.02f)
                curveToRelative(-0.06f, -0.01f, -0.1f, -0.02f, -0.14f, -0.02f)
                curveToRelative(-0.21f, -0.06f, -0.36f, -0.17f, -0.46f, -0.33f)
                curveTo(9.64f, 24.45f, 9.59f, 24.29f, 9.59f, 24.12f)
                close()
                moveTo(10.33f, 21.18f)
                curveToRelative(0.0f, -0.24f, 0.08f, -0.43f, 0.23f, -0.59f)
                reflectiveCurveToRelative(0.35f, -0.23f, 0.59f, -0.23f)
                reflectiveCurveToRelative(0.43f, 0.08f, 0.59f, 0.23f)
                reflectiveCurveToRelative(0.23f, 0.35f, 0.23f, 0.59f)
                curveToRelative(0.0f, 0.23f, -0.08f, 0.42f, -0.23f, 0.58f)
                reflectiveCurveToRelative(-0.35f, 0.23f, -0.59f, 0.23f)
                curveToRelative(-0.23f, 0.0f, -0.42f, -0.08f, -0.57f, -0.24f)
                curveTo(10.42f, 21.59f, 10.33f, 21.4f, 10.33f, 21.18f)
                close()
                moveTo(11.97f, 27.17f)
                curveToRelative(0.0f, -0.04f, 0.01f, -0.11f, 0.04f, -0.23f)
                lineToRelative(0.13f, -0.59f)
                curveToRelative(0.07f, -0.23f, 0.21f, -0.4f, 0.41f, -0.51f)
                curveToRelative(0.21f, -0.12f, 0.42f, -0.14f, 0.63f, -0.07f)
                curveToRelative(0.23f, 0.04f, 0.41f, 0.17f, 0.53f, 0.37f)
                curveToRelative(0.12f, 0.2f, 0.15f, 0.43f, 0.08f, 0.68f)
                lineToRelative(-0.13f, 0.59f)
                curveToRelative(-0.1f, 0.41f, -0.37f, 0.61f, -0.8f, 0.61f)
                curveToRelative(-0.07f, 0.0f, -0.16f, -0.01f, -0.24f, -0.03f)
                curveToRelative(-0.22f, -0.06f, -0.38f, -0.17f, -0.49f, -0.33f)
                curveTo(12.03f, 27.5f, 11.97f, 27.34f, 11.97f, 27.17f)
                close()
                moveTo(12.76f, 24.26f)
                curveToRelative(0.0f, -0.23f, 0.08f, -0.43f, 0.23f, -0.58f)
                curveToRelative(0.16f, -0.16f, 0.35f, -0.23f, 0.59f, -0.23f)
                reflectiveCurveToRelative(0.43f, 0.08f, 0.59f, 0.23f)
                curveToRelative(0.16f, 0.16f, 0.23f, 0.35f, 0.23f, 0.58f)
                curveToRelative(0.0f, 0.24f, -0.08f, 0.43f, -0.23f, 0.59f)
                curveToRelative(-0.16f, 0.16f, -0.35f, 0.23f, -0.59f, 0.23f)
                curveToRelative(-0.23f, 0.0f, -0.42f, -0.08f, -0.58f, -0.24f)
                curveTo(12.84f, 24.68f, 12.76f, 24.49f, 12.76f, 24.26f)
                close()
                moveTo(13.38f, 21.99f)
                curveToRelative(0.0f, -0.1f, 0.01f, -0.19f, 0.03f, -0.27f)
                lineToRelative(0.23f, -0.9f)
                curveToRelative(0.07f, -0.23f, 0.21f, -0.41f, 0.41f, -0.53f)
                curveToRelative(0.21f, -0.12f, 0.42f, -0.15f, 0.64f, -0.08f)
                curveToRelative(0.24f, 0.07f, 0.41f, 0.2f, 0.53f, 0.4f)
                reflectiveCurveToRelative(0.14f, 0.41f, 0.07f, 0.63f)
                lineToRelative(-0.26f, 0.9f)
                curveToRelative(-0.08f, 0.28f, -0.22f, 0.46f, -0.41f, 0.56f)
                curveToRelative(-0.19f, 0.1f, -0.41f, 0.12f, -0.64f, 0.06f)
                curveToRelative(-0.2f, -0.04f, -0.35f, -0.14f, -0.45f, -0.3f)
                curveTo(13.41f, 22.3f, 13.37f, 22.14f, 13.38f, 21.99f)
                close()
                moveTo(16.14f, 24.13f)
                curveToRelative(0.0f, -0.03f, 0.0f, -0.08f, 0.01f, -0.13f)
                reflectiveCurveToRelative(0.01f, -0.09f, 0.01f, -0.11f)
                lineToRelative(0.09f, -0.59f)
                curveToRelative(0.07f, -0.24f, 0.2f, -0.41f, 0.41f, -0.53f)
                reflectiveCurveToRelative(0.43f, -0.14f, 0.68f, -0.08f)
                curveToRelative(0.23f, 0.07f, 0.4f, 0.21f, 0.51f, 0.41f)
                curveToRelative(0.12f, 0.21f, 0.14f, 0.42f, 0.07f, 0.63f)
                lineToRelative(-0.14f, 0.6f)
                curveToRelative(-0.1f, 0.44f, -0.35f, 0.66f, -0.76f, 0.66f)
                curveToRelative(-0.03f, 0.0f, -0.08f, -0.01f, -0.14f, -0.02f)
                curveToRelative(-0.06f, -0.01f, -0.11f, -0.02f, -0.14f, -0.02f)
                curveToRelative(-0.2f, -0.06f, -0.35f, -0.17f, -0.45f, -0.33f)
                curveTo(16.2f, 24.46f, 16.14f, 24.3f, 16.14f, 24.13f)
                close()
                moveTo(16.88f, 21.19f)
                curveToRelative(0.0f, -0.24f, 0.08f, -0.43f, 0.23f, -0.59f)
                curveToRelative(0.16f, -0.16f, 0.35f, -0.23f, 0.59f, -0.23f)
                curveToRelative(0.24f, 0.0f, 0.43f, 0.08f, 0.59f, 0.23f)
                curveToRelative(0.16f, 0.16f, 0.23f, 0.35f, 0.23f, 0.59f)
                curveToRelative(0.0f, 0.23f, -0.08f, 0.43f, -0.23f, 0.58f)
                curveTo(18.14f, 21.92f, 17.95f, 22.0f, 17.71f, 22.0f)
                curveToRelative(-0.24f, 0.0f, -0.43f, -0.08f, -0.58f, -0.24f)
                curveTo(16.97f, 21.61f, 16.88f, 21.42f, 16.88f, 21.19f)
                close()
            }
        }
        .build()
        return _sleet!!
    }

private var _sleet: ImageVector? = null
