package compose.icons.weathericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.WeatherIcons

public val WeatherIcons.WindBeaufort5: ImageVector
    get() {
        if (_windBeaufort5 != null) {
            return _windBeaufort5!!
        }
        _windBeaufort5 = Builder(name = "WindBeaufort5", defaultWidth = 30.0.dp, defaultHeight =
                30.0.dp, viewportWidth = 30.0f, viewportHeight = 30.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(4.97f, 13.5f)
                curveToRelative(0.0f, 0.18f, 0.06f, 0.31f, 0.17f, 0.4f)
                curveToRelative(0.12f, 0.11f, 0.26f, 0.17f, 0.42f, 0.17f)
                horizontalLineToRelative(10.4f)
                curveToRelative(0.18f, 0.0f, 0.33f, 0.06f, 0.46f, 0.19f)
                curveToRelative(0.13f, 0.12f, 0.2f, 0.28f, 0.2f, 0.46f)
                reflectiveCurveToRelative(-0.07f, 0.34f, -0.2f, 0.47f)
                reflectiveCurveToRelative(-0.28f, 0.2f, -0.46f, 0.2f)
                curveToRelative(-0.18f, 0.0f, -0.34f, -0.07f, -0.47f, -0.21f)
                curveToRelative(-0.13f, -0.11f, -0.26f, -0.16f, -0.4f, -0.16f)
                curveToRelative(-0.16f, 0.0f, -0.3f, 0.05f, -0.41f, 0.16f)
                curveToRelative(-0.11f, 0.11f, -0.16f, 0.24f, -0.16f, 0.39f)
                curveToRelative(0.0f, 0.16f, 0.06f, 0.3f, 0.17f, 0.41f)
                curveToRelative(0.36f, 0.36f, 0.78f, 0.53f, 1.28f, 0.53f)
                curveToRelative(0.49f, 0.0f, 0.91f, -0.17f, 1.26f, -0.52f)
                curveToRelative(0.35f, -0.35f, 0.52f, -0.77f, 0.52f, -1.27f)
                curveToRelative(0.0f, -0.49f, -0.17f, -0.92f, -0.52f, -1.27f)
                curveToRelative(-0.35f, -0.35f, -0.77f, -0.53f, -1.26f, -0.53f)
                horizontalLineTo(5.56f)
                curveToRelative(-0.16f, 0.0f, -0.3f, 0.06f, -0.42f, 0.17f)
                curveTo(5.03f, 13.21f, 4.97f, 13.34f, 4.97f, 13.5f)
                close()
                moveTo(4.97f, 11.48f)
                curveToRelative(0.0f, 0.17f, 0.06f, 0.3f, 0.17f, 0.39f)
                curveToRelative(0.12f, 0.11f, 0.26f, 0.16f, 0.42f, 0.16f)
                horizontalLineToRelative(13.81f)
                curveToRelative(0.49f, 0.0f, 0.92f, -0.18f, 1.27f, -0.52f)
                curveToRelative(0.35f, -0.35f, 0.52f, -0.77f, 0.52f, -1.27f)
                curveToRelative(0.0f, -0.49f, -0.17f, -0.91f, -0.52f, -1.26f)
                reflectiveCurveToRelative(-0.77f, -0.52f, -1.27f, -0.52f)
                curveToRelative(-0.49f, 0.0f, -0.91f, 0.17f, -1.27f, 0.51f)
                curveTo(18.0f, 9.09f, 17.94f, 9.23f, 17.94f, 9.38f)
                curveToRelative(0.0f, 0.16f, 0.05f, 0.3f, 0.16f, 0.4f)
                curveToRelative(0.11f, 0.1f, 0.24f, 0.15f, 0.4f, 0.15f)
                curveToRelative(0.15f, 0.0f, 0.29f, -0.05f, 0.41f, -0.16f)
                curveToRelative(0.12f, -0.12f, 0.27f, -0.18f, 0.45f, -0.18f)
                curveToRelative(0.17f, 0.0f, 0.33f, 0.06f, 0.46f, 0.18f)
                curveToRelative(0.13f, 0.12f, 0.2f, 0.27f, 0.2f, 0.45f)
                curveToRelative(0.0f, 0.18f, -0.07f, 0.34f, -0.2f, 0.47f)
                curveToRelative(-0.13f, 0.13f, -0.28f, 0.2f, -0.46f, 0.2f)
                horizontalLineTo(5.56f)
                curveToRelative(-0.16f, 0.0f, -0.3f, 0.06f, -0.42f, 0.17f)
                curveTo(5.03f, 11.18f, 4.97f, 11.32f, 4.97f, 11.48f)
                close()
                moveTo(18.04f, 19.38f)
                curveToRelative(-0.02f, 0.32f, 0.01f, 0.62f, 0.12f, 0.91f)
                curveToRelative(0.1f, 0.29f, 0.27f, 0.56f, 0.5f, 0.81f)
                curveToRelative(0.23f, 0.25f, 0.55f, 0.44f, 0.98f, 0.59f)
                curveToRelative(0.42f, 0.15f, 0.92f, 0.22f, 1.49f, 0.22f)
                curveToRelative(0.58f, 0.0f, 1.09f, -0.08f, 1.53f, -0.23f)
                reflectiveCurveToRelative(0.8f, -0.34f, 1.05f, -0.57f)
                curveToRelative(0.25f, -0.22f, 0.45f, -0.49f, 0.61f, -0.79f)
                curveToRelative(0.16f, -0.3f, 0.27f, -0.57f, 0.32f, -0.82f)
                curveToRelative(0.05f, -0.25f, 0.08f, -0.49f, 0.08f, -0.74f)
                curveToRelative(0.0f, -0.67f, -0.21f, -1.21f, -0.64f, -1.61f)
                reflectiveCurveToRelative(-0.98f, -0.61f, -1.65f, -0.61f)
                curveToRelative(-0.69f, 0.0f, -1.18f, 0.14f, -1.45f, 0.43f)
                horizontalLineToRelative(-0.02f)
                lineToRelative(0.35f, -1.02f)
                horizontalLineToRelative(3.45f)
                lineToRelative(0.39f, -1.88f)
                horizontalLineToRelative(-5.24f)
                lineToRelative(-1.45f, 4.46f)
                horizontalLineToRelative(2.0f)
                curveToRelative(0.16f, -0.34f, 0.53f, -0.51f, 1.11f, -0.51f)
                curveToRelative(0.32f, 0.0f, 0.58f, 0.08f, 0.77f, 0.25f)
                curveToRelative(0.19f, 0.17f, 0.29f, 0.41f, 0.29f, 0.75f)
                curveToRelative(0.0f, 0.34f, -0.12f, 0.61f, -0.35f, 0.82f)
                curveToRelative(-0.23f, 0.21f, -0.57f, 0.31f, -1.0f, 0.31f)
                curveToRelative(-0.31f, 0.0f, -0.56f, -0.06f, -0.73f, -0.17f)
                curveToRelative(-0.21f, -0.11f, -0.33f, -0.31f, -0.36f, -0.6f)
                horizontalLineTo(18.04f)
                close()
            }
        }
        .build()
        return _windBeaufort5!!
    }

private var _windBeaufort5: ImageVector? = null
