package compose.icons.weathericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.WeatherIcons

public val WeatherIcons.WindBeaufort9: ImageVector
    get() {
        if (_windBeaufort9 != null) {
            return _windBeaufort9!!
        }
        _windBeaufort9 = Builder(name = "WindBeaufort9", defaultWidth = 30.0.dp, defaultHeight =
                30.0.dp, viewportWidth = 30.0f, viewportHeight = 30.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(5.09f, 13.5f)
                curveToRelative(0.0f, 0.18f, 0.06f, 0.31f, 0.17f, 0.4f)
                curveToRelative(0.12f, 0.11f, 0.26f, 0.17f, 0.42f, 0.17f)
                horizontalLineToRelative(10.4f)
                curveToRelative(0.18f, 0.0f, 0.33f, 0.06f, 0.46f, 0.19f)
                curveToRelative(0.13f, 0.12f, 0.2f, 0.28f, 0.2f, 0.46f)
                reflectiveCurveToRelative(-0.07f, 0.34f, -0.2f, 0.47f)
                reflectiveCurveToRelative(-0.28f, 0.2f, -0.46f, 0.2f)
                curveToRelative(-0.18f, 0.0f, -0.34f, -0.07f, -0.47f, -0.21f)
                curveToRelative(-0.13f, -0.11f, -0.26f, -0.16f, -0.4f, -0.16f)
                curveToRelative(-0.16f, 0.0f, -0.3f, 0.05f, -0.41f, 0.16f)
                curveToRelative(-0.11f, 0.11f, -0.16f, 0.24f, -0.16f, 0.39f)
                curveToRelative(0.0f, 0.16f, 0.06f, 0.3f, 0.17f, 0.41f)
                curveToRelative(0.36f, 0.36f, 0.78f, 0.53f, 1.27f, 0.53f)
                curveToRelative(0.49f, 0.0f, 0.91f, -0.17f, 1.26f, -0.52f)
                curveToRelative(0.35f, -0.35f, 0.52f, -0.77f, 0.52f, -1.27f)
                curveToRelative(0.0f, -0.49f, -0.17f, -0.92f, -0.52f, -1.27f)
                curveToRelative(-0.35f, -0.35f, -0.77f, -0.53f, -1.26f, -0.53f)
                horizontalLineTo(5.68f)
                curveToRelative(-0.16f, 0.0f, -0.3f, 0.06f, -0.42f, 0.17f)
                curveTo(5.14f, 13.21f, 5.09f, 13.34f, 5.09f, 13.5f)
                close()
                moveTo(5.09f, 11.48f)
                curveToRelative(0.0f, 0.17f, 0.06f, 0.3f, 0.17f, 0.39f)
                curveToRelative(0.12f, 0.11f, 0.26f, 0.16f, 0.42f, 0.16f)
                horizontalLineToRelative(13.81f)
                curveToRelative(0.49f, 0.0f, 0.92f, -0.18f, 1.27f, -0.52f)
                curveToRelative(0.35f, -0.35f, 0.52f, -0.77f, 0.52f, -1.27f)
                curveToRelative(0.0f, -0.49f, -0.17f, -0.91f, -0.52f, -1.26f)
                reflectiveCurveToRelative(-0.77f, -0.52f, -1.27f, -0.52f)
                curveToRelative(-0.49f, 0.0f, -0.91f, 0.17f, -1.27f, 0.51f)
                curveToRelative(-0.11f, 0.12f, -0.16f, 0.27f, -0.16f, 0.42f)
                curveToRelative(0.0f, 0.16f, 0.05f, 0.3f, 0.16f, 0.4f)
                curveToRelative(0.11f, 0.1f, 0.24f, 0.15f, 0.4f, 0.15f)
                curveToRelative(0.15f, 0.0f, 0.29f, -0.05f, 0.41f, -0.16f)
                curveToRelative(0.12f, -0.12f, 0.27f, -0.18f, 0.45f, -0.18f)
                curveToRelative(0.17f, 0.0f, 0.33f, 0.06f, 0.46f, 0.18f)
                curveToRelative(0.13f, 0.12f, 0.2f, 0.27f, 0.2f, 0.45f)
                curveToRelative(0.0f, 0.18f, -0.07f, 0.34f, -0.2f, 0.47f)
                curveToRelative(-0.13f, 0.13f, -0.28f, 0.2f, -0.46f, 0.2f)
                horizontalLineTo(5.68f)
                curveToRelative(-0.16f, 0.0f, -0.3f, 0.06f, -0.42f, 0.17f)
                curveTo(5.14f, 11.18f, 5.09f, 11.32f, 5.09f, 11.48f)
                close()
                moveTo(18.18f, 19.76f)
                curveToRelative(0.02f, 0.39f, 0.11f, 0.73f, 0.28f, 1.02f)
                curveToRelative(0.17f, 0.29f, 0.39f, 0.51f, 0.67f, 0.67f)
                curveToRelative(0.28f, 0.16f, 0.58f, 0.27f, 0.9f, 0.34f)
                reflectiveCurveToRelative(0.67f, 0.11f, 1.04f, 0.11f)
                curveToRelative(0.57f, 0.0f, 1.09f, -0.11f, 1.55f, -0.32f)
                curveToRelative(0.47f, -0.21f, 0.84f, -0.48f, 1.13f, -0.81f)
                curveToRelative(0.29f, -0.33f, 0.53f, -0.7f, 0.73f, -1.13f)
                reflectiveCurveToRelative(0.33f, -0.84f, 0.41f, -1.23f)
                reflectiveCurveToRelative(0.12f, -0.78f, 0.12f, -1.15f)
                curveToRelative(0.0f, -1.06f, -0.27f, -1.87f, -0.81f, -2.43f)
                curveToRelative(-0.54f, -0.57f, -1.26f, -0.85f, -2.17f, -0.85f)
                curveToRelative(-0.93f, 0.0f, -1.72f, 0.28f, -2.36f, 0.85f)
                curveToRelative(-0.64f, 0.57f, -0.97f, 1.32f, -0.97f, 2.24f)
                curveToRelative(0.0f, 0.66f, 0.21f, 1.2f, 0.63f, 1.62f)
                curveToRelative(0.42f, 0.42f, 0.96f, 0.63f, 1.63f, 0.63f)
                curveToRelative(0.36f, 0.0f, 0.7f, -0.07f, 1.05f, -0.22f)
                curveToRelative(0.34f, -0.14f, 0.58f, -0.33f, 0.72f, -0.54f)
                horizontalLineToRelative(0.03f)
                curveToRelative(-0.12f, 0.48f, -0.31f, 0.88f, -0.58f, 1.22f)
                curveToRelative(-0.27f, 0.34f, -0.62f, 0.51f, -1.06f, 0.51f)
                curveToRelative(-0.29f, 0.0f, -0.48f, -0.03f, -0.59f, -0.1f)
                curveToRelative(-0.12f, -0.11f, -0.21f, -0.25f, -0.24f, -0.42f)
                horizontalLineTo(18.18f)
                close()
                moveTo(20.75f, 16.88f)
                curveToRelative(0.0f, -0.31f, 0.1f, -0.58f, 0.29f, -0.81f)
                curveToRelative(0.19f, -0.23f, 0.48f, -0.34f, 0.86f, -0.34f)
                curveToRelative(0.34f, 0.0f, 0.6f, 0.09f, 0.77f, 0.26f)
                curveToRelative(0.18f, 0.17f, 0.27f, 0.43f, 0.27f, 0.76f)
                curveToRelative(0.0f, 0.09f, -0.02f, 0.2f, -0.06f, 0.31f)
                reflectiveCurveToRelative(-0.1f, 0.23f, -0.18f, 0.36f)
                curveToRelative(-0.08f, 0.12f, -0.2f, 0.23f, -0.37f, 0.31f)
                reflectiveCurveToRelative(-0.35f, 0.12f, -0.56f, 0.12f)
                reflectiveCurveToRelative(-0.39f, -0.04f, -0.54f, -0.11f)
                curveToRelative(-0.15f, -0.07f, -0.25f, -0.17f, -0.32f, -0.29f)
                curveToRelative(-0.07f, -0.12f, -0.11f, -0.22f, -0.14f, -0.31f)
                reflectiveCurveTo(20.75f, 16.96f, 20.75f, 16.88f)
                close()
            }
        }
        .build()
        return _windBeaufort9!!
    }

private var _windBeaufort9: ImageVector? = null
