package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Aviato: ImageVector
    get() {
        if (_aviato != null) {
            return _aviato!!
        }
        _aviato = Builder(name = "Aviato", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(107.2f, 283.5f)
                lineToRelative(-19.0f, -41.8f)
                lineTo(36.1f, 241.7f)
                lineToRelative(-19.0f, 41.8f)
                lineTo(0.0f, 283.5f)
                lineToRelative(62.2f, -131.4f)
                lineToRelative(62.2f, 131.4f)
                horizontalLineToRelative(-17.2f)
                close()
                moveTo(62.2f, 185.4f)
                lineToRelative(-19.6f, 42.5f)
                horizontalLineToRelative(39.2f)
                lineToRelative(-19.6f, -42.5f)
                close()
                moveTo(174.9f, 287.8f)
                lineToRelative(-62.2f, -131.4f)
                horizontalLineToRelative(17.1f)
                lineToRelative(45.1f, 96.0f)
                lineToRelative(45.1f, -96.0f)
                horizontalLineToRelative(17.0f)
                lineToRelative(-62.1f, 131.4f)
                close()
                moveTo(255.5f, 283.5f)
                lineTo(255.5f, 156.4f)
                lineTo(271.0f, 156.4f)
                verticalLineToRelative(127.1f)
                horizontalLineToRelative(-15.5f)
                close()
                moveTo(464.6f, 167.9f)
                verticalLineToRelative(115.6f)
                horizontalLineToRelative(-17.3f)
                lineTo(447.3f, 167.9f)
                horizontalLineToRelative(-41.2f)
                verticalLineToRelative(-11.5f)
                horizontalLineToRelative(99.6f)
                verticalLineToRelative(11.5f)
                horizontalLineToRelative(-41.1f)
                close()
                moveTo(640.0f, 218.8f)
                curveToRelative(0.0f, 9.2f, -1.7f, 17.8f, -5.1f, 25.8f)
                curveToRelative(-3.4f, 8.0f, -8.2f, 15.1f, -14.2f, 21.1f)
                curveToRelative(-6.0f, 6.0f, -13.1f, 10.8f, -21.1f, 14.2f)
                curveToRelative(-8.0f, 3.4f, -16.6f, 5.1f, -25.8f, 5.1f)
                reflectiveCurveToRelative(-17.8f, -1.7f, -25.8f, -5.1f)
                curveToRelative(-8.0f, -3.4f, -15.1f, -8.2f, -21.1f, -14.2f)
                curveToRelative(-6.0f, -6.0f, -10.8f, -13.0f, -14.2f, -21.1f)
                curveToRelative(-3.4f, -8.0f, -5.1f, -16.6f, -5.1f, -25.8f)
                reflectiveCurveToRelative(1.7f, -17.8f, 5.1f, -25.8f)
                curveToRelative(3.4f, -8.0f, 8.2f, -15.1f, 14.2f, -21.1f)
                curveToRelative(6.0f, -6.0f, 13.0f, -8.4f, 21.1f, -11.9f)
                curveToRelative(8.0f, -3.4f, 16.6f, -5.1f, 25.8f, -5.1f)
                reflectiveCurveToRelative(17.8f, 1.7f, 25.8f, 5.1f)
                curveToRelative(8.0f, 3.4f, 15.1f, 5.8f, 21.1f, 11.9f)
                curveToRelative(6.0f, 6.0f, 10.7f, 13.1f, 14.2f, 21.1f)
                curveToRelative(3.4f, 8.0f, 5.1f, 16.6f, 5.1f, 25.8f)
                close()
                moveTo(624.5f, 218.8f)
                curveToRelative(0.0f, -7.3f, -1.3f, -14.0f, -3.9f, -20.3f)
                curveToRelative(-2.6f, -6.3f, -6.2f, -11.7f, -10.8f, -16.3f)
                curveToRelative(-4.6f, -4.6f, -10.0f, -8.2f, -16.2f, -10.9f)
                curveToRelative(-6.2f, -2.7f, -12.8f, -4.0f, -19.8f, -4.0f)
                reflectiveCurveToRelative(-13.6f, 1.3f, -19.8f, 4.0f)
                curveToRelative(-6.2f, 2.7f, -11.6f, 6.3f, -16.2f, 10.9f)
                curveToRelative(-4.6f, 4.6f, -8.2f, 10.0f, -10.8f, 16.3f)
                curveToRelative(-2.6f, 6.3f, -3.9f, 13.1f, -3.9f, 20.3f)
                curveToRelative(0.0f, 7.3f, 1.3f, 14.0f, 3.9f, 20.3f)
                curveToRelative(2.6f, 6.3f, 6.2f, 11.7f, 10.8f, 16.3f)
                curveToRelative(4.6f, 4.6f, 10.0f, 8.2f, 16.2f, 10.9f)
                curveToRelative(6.2f, 2.7f, 12.8f, 4.0f, 19.8f, 4.0f)
                reflectiveCurveToRelative(13.6f, -1.3f, 19.8f, -4.0f)
                curveToRelative(6.2f, -2.7f, 11.6f, -6.3f, 16.2f, -10.9f)
                curveToRelative(4.6f, -4.6f, 8.2f, -10.0f, 10.8f, -16.3f)
                curveToRelative(2.6f, -6.3f, 3.9f, -13.1f, 3.9f, -20.3f)
                close()
                moveTo(529.7f, 315.5f)
                verticalLineToRelative(-6.3f)
                lineToRelative(88.9f, -10.0f)
                lineToRelative(-242.9f, 13.4f)
                curveToRelative(0.6f, -2.2f, 1.1f, -4.6f, 1.4f, -7.2f)
                curveToRelative(0.3f, -2.0f, 0.5f, -4.2f, 0.6f, -6.5f)
                lineToRelative(64.8f, -8.1f)
                lineToRelative(-64.9f, 1.9f)
                curveToRelative(0.0f, -0.4f, -0.1f, -0.7f, -0.1f, -1.1f)
                curveToRelative(-2.8f, -17.2f, -25.5f, -23.7f, -25.5f, -23.7f)
                lineToRelative(-1.1f, -26.3f)
                horizontalLineToRelative(23.8f)
                lineToRelative(19.0f, 41.8f)
                horizontalLineToRelative(17.1f)
                lineTo(348.6f, 152.0f)
                lineToRelative(-62.2f, 131.4f)
                horizontalLineToRelative(17.1f)
                lineToRelative(19.0f, -41.8f)
                horizontalLineToRelative(23.6f)
                lineTo(345.0f, 268.0f)
                reflectiveCurveToRelative(-22.7f, 6.5f, -25.5f, 23.7f)
                curveToRelative(-0.1f, 0.3f, -0.1f, 0.7f, -0.1f, 1.1f)
                lineToRelative(-64.9f, -1.9f)
                lineToRelative(64.8f, 8.1f)
                curveToRelative(0.1f, 2.3f, 0.3f, 4.4f, 0.6f, 6.5f)
                curveToRelative(0.3f, 2.6f, 0.8f, 5.0f, 1.4f, 7.2f)
                lineTo(78.4f, 299.2f)
                lineToRelative(88.9f, 10.0f)
                verticalLineToRelative(6.3f)
                curveToRelative(-5.9f, 0.9f, -10.5f, 6.0f, -10.5f, 12.2f)
                curveToRelative(0.0f, 6.8f, 5.6f, 12.4f, 12.4f, 12.4f)
                curveToRelative(6.8f, 0.0f, 12.4f, -5.6f, 12.4f, -12.4f)
                curveToRelative(0.0f, -6.2f, -4.6f, -11.3f, -10.5f, -12.2f)
                verticalLineToRelative(-5.8f)
                lineToRelative(80.3f, 9.0f)
                verticalLineToRelative(5.4f)
                curveToRelative(-5.7f, 1.1f, -9.9f, 6.2f, -9.9f, 12.1f)
                curveToRelative(0.0f, 6.8f, 5.6f, 10.2f, 12.4f, 10.2f)
                curveToRelative(6.8f, 0.0f, 12.4f, -3.4f, 12.4f, -10.2f)
                curveToRelative(0.0f, -6.0f, -4.3f, -11.0f, -9.9f, -12.1f)
                verticalLineToRelative(-4.9f)
                lineToRelative(28.4f, 3.2f)
                verticalLineToRelative(23.7f)
                horizontalLineToRelative(-5.9f)
                lineTo(278.9f, 360.0f)
                horizontalLineToRelative(5.9f)
                verticalLineToRelative(-6.6f)
                horizontalLineToRelative(5.0f)
                verticalLineToRelative(6.6f)
                horizontalLineToRelative(5.9f)
                verticalLineToRelative(-13.8f)
                horizontalLineToRelative(-5.9f)
                lineTo(289.8f, 323.0f)
                lineToRelative(38.3f, 4.3f)
                curveToRelative(8.1f, 11.4f, 19.0f, 13.6f, 19.0f, 13.6f)
                lineToRelative(-0.1f, 6.7f)
                lineToRelative(-5.1f, 0.2f)
                lineToRelative(-0.1f, 12.1f)
                horizontalLineToRelative(4.1f)
                lineToRelative(0.1f, -5.0f)
                horizontalLineToRelative(5.2f)
                lineToRelative(0.1f, 5.0f)
                horizontalLineToRelative(4.1f)
                lineToRelative(-0.1f, -12.1f)
                lineToRelative(-5.1f, -0.2f)
                lineToRelative(-0.1f, -6.7f)
                reflectiveCurveToRelative(10.9f, -2.1f, 19.0f, -13.6f)
                lineToRelative(38.3f, -4.3f)
                verticalLineToRelative(23.2f)
                horizontalLineToRelative(-5.9f)
                lineTo(401.5f, 360.0f)
                horizontalLineToRelative(5.9f)
                verticalLineToRelative(-6.6f)
                horizontalLineToRelative(5.0f)
                verticalLineToRelative(6.6f)
                horizontalLineToRelative(5.9f)
                verticalLineToRelative(-13.8f)
                horizontalLineToRelative(-5.9f)
                verticalLineToRelative(-23.7f)
                lineToRelative(28.4f, -3.2f)
                verticalLineToRelative(4.9f)
                curveToRelative(-5.7f, 1.1f, -9.9f, 6.2f, -9.9f, 12.1f)
                curveToRelative(0.0f, 6.8f, 5.6f, 10.2f, 12.4f, 10.2f)
                curveToRelative(6.8f, 0.0f, 12.4f, -3.4f, 12.4f, -10.2f)
                curveToRelative(0.0f, -6.0f, -4.3f, -11.0f, -9.9f, -12.1f)
                verticalLineToRelative(-5.4f)
                lineToRelative(80.3f, -9.0f)
                verticalLineToRelative(5.8f)
                curveToRelative(-5.9f, 0.9f, -10.5f, 6.0f, -10.5f, 12.2f)
                curveToRelative(0.0f, 6.8f, 5.6f, 12.4f, 12.4f, 12.4f)
                curveToRelative(6.8f, 0.0f, 12.4f, -5.6f, 12.4f, -12.4f)
                curveToRelative(-0.2f, -6.3f, -4.7f, -11.4f, -10.7f, -12.3f)
                close()
                moveTo(328.9f, 227.9f)
                lineToRelative(19.6f, -42.5f)
                lineToRelative(19.6f, 42.5f)
                horizontalLineToRelative(-17.9f)
                lineToRelative(-1.7f, -40.3f)
                lineToRelative(-1.7f, 40.3f)
                horizontalLineToRelative(-17.9f)
                close()
            }
        }
        .build()
        return _aviato!!
    }

private var _aviato: ImageVector? = null
