package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.CcAmazonPay: ImageVector
    get() {
        if (_ccAmazonPay != null) {
            return _ccAmazonPay!!
        }
        _ccAmazonPay = Builder(name = "CcAmazonPay", defaultWidth = 576.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 576.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(124.7f, 201.8f)
                curveToRelative(0.1f, -11.8f, 0.0f, -23.5f, 0.0f, -35.3f)
                verticalLineToRelative(-35.3f)
                curveToRelative(0.0f, -1.3f, 0.4f, -2.0f, 1.4f, -2.7f)
                curveToRelative(11.5f, -8.0f, 24.1f, -12.1f, 38.2f, -11.1f)
                curveToRelative(12.5f, 0.9f, 22.7f, 7.0f, 28.1f, 21.7f)
                curveToRelative(3.3f, 8.9f, 4.1f, 18.2f, 4.1f, 27.7f)
                curveToRelative(0.0f, 8.7f, -0.7f, 17.3f, -3.4f, 25.6f)
                curveToRelative(-5.7f, 17.8f, -18.7f, 24.7f, -35.7f, 23.9f)
                curveToRelative(-11.7f, -0.5f, -21.9f, -5.0f, -31.4f, -11.7f)
                curveToRelative(-0.9f, -0.8f, -1.4f, -1.6f, -1.3f, -2.8f)
                close()
                moveTo(279.6f, 216.4f)
                curveToRelative(4.6f, 1.8f, 9.3f, 2.0f, 14.1f, 1.5f)
                curveToRelative(11.6f, -1.2f, 21.9f, -5.7f, 31.3f, -12.5f)
                curveToRelative(0.9f, -0.6f, 1.3f, -1.3f, 1.3f, -2.5f)
                curveToRelative(-0.1f, -3.9f, 0.0f, -7.9f, 0.0f, -11.8f)
                curveToRelative(0.0f, -4.0f, -0.1f, -8.0f, 0.0f, -12.0f)
                curveToRelative(0.0f, -1.4f, -0.4f, -2.0f, -1.8f, -2.2f)
                curveToRelative(-7.0f, -0.9f, -13.9f, -2.2f, -20.9f, -2.9f)
                curveToRelative(-7.0f, -0.6f, -14.0f, -0.3f, -20.8f, 1.9f)
                curveToRelative(-6.7f, 2.2f, -11.7f, 6.2f, -13.7f, 13.1f)
                curveToRelative(-1.6f, 5.4f, -1.6f, 10.8f, 0.1f, 16.2f)
                curveToRelative(1.6f, 5.5f, 5.2f, 9.2f, 10.4f, 11.2f)
                close()
                moveTo(576.0f, 80.0f)
                verticalLineToRelative(352.0f)
                curveToRelative(0.0f, 26.5f, -21.5f, 48.0f, -48.0f, 48.0f)
                lineTo(48.0f, 480.0f)
                curveToRelative(-26.5f, 0.0f, -48.0f, -21.5f, -48.0f, -48.0f)
                lineTo(0.0f, 80.0f)
                curveToRelative(0.0f, -26.5f, 21.5f, -48.0f, 48.0f, -48.0f)
                horizontalLineToRelative(480.0f)
                curveToRelative(26.5f, 0.0f, 48.0f, 21.5f, 48.0f, 48.0f)
                close()
                moveTo(368.5f, 103.9f)
                curveToRelative(0.4f, 1.7f, 0.9f, 3.4f, 1.6f, 5.1f)
                curveToRelative(16.5f, 40.6f, 32.9f, 81.3f, 49.5f, 121.9f)
                curveToRelative(1.4f, 3.5f, 1.7f, 6.4f, 0.2f, 9.9f)
                curveToRelative(-2.8f, 6.2f, -4.9f, 12.6f, -7.8f, 18.7f)
                curveToRelative(-2.6f, 5.5f, -6.7f, 9.5f, -12.7f, 11.2f)
                curveToRelative(-4.2f, 1.1f, -8.5f, 1.3f, -12.9f, 0.9f)
                curveToRelative(-2.1f, -0.2f, -4.2f, -0.7f, -6.3f, -0.8f)
                curveToRelative(-2.8f, -0.2f, -4.2f, 1.1f, -4.3f, 4.0f)
                curveToRelative(-0.1f, 2.8f, -0.1f, 5.6f, 0.0f, 8.3f)
                curveToRelative(0.1f, 4.6f, 1.6f, 6.7f, 6.2f, 7.5f)
                curveToRelative(4.7f, 0.8f, 9.4f, 1.6f, 14.2f, 1.7f)
                curveToRelative(14.3f, 0.3f, 25.7f, -5.4f, 33.1f, -17.9f)
                curveToRelative(2.9f, -4.9f, 5.6f, -10.1f, 7.7f, -15.4f)
                curveToRelative(19.8f, -50.1f, 39.5f, -100.3f, 59.2f, -150.5f)
                curveToRelative(0.6f, -1.5f, 1.1f, -3.0f, 1.3f, -4.6f)
                curveToRelative(0.4f, -2.4f, -0.7f, -3.6f, -3.1f, -3.7f)
                curveToRelative(-5.6f, -0.1f, -11.1f, 0.0f, -16.7f, 0.0f)
                curveToRelative(-3.1f, 0.0f, -5.3f, 1.4f, -6.4f, 4.3f)
                curveToRelative(-0.4f, 1.1f, -0.9f, 2.3f, -1.3f, 3.4f)
                lineToRelative(-29.1f, 83.7f)
                curveToRelative(-2.1f, 6.1f, -4.2f, 12.1f, -6.5f, 18.6f)
                curveToRelative(-0.4f, -0.9f, -0.6f, -1.4f, -0.8f, -1.9f)
                curveToRelative(-10.8f, -29.9f, -21.6f, -59.9f, -32.4f, -89.8f)
                curveToRelative(-1.7f, -4.7f, -3.5f, -9.5f, -5.3f, -14.2f)
                curveToRelative(-0.9f, -2.5f, -2.7f, -4.0f, -5.4f, -4.0f)
                curveToRelative(-6.4f, -0.1f, -12.8f, -0.2f, -19.2f, -0.1f)
                curveToRelative(-2.2f, 0.0f, -3.3f, 1.6f, -2.8f, 3.7f)
                close()
                moveTo(242.4f, 206.0f)
                curveToRelative(1.7f, 11.7f, 7.6f, 20.8f, 18.0f, 26.6f)
                curveToRelative(9.9f, 5.5f, 20.7f, 6.2f, 31.7f, 4.6f)
                curveToRelative(12.7f, -1.9f, 23.9f, -7.3f, 33.8f, -15.5f)
                curveToRelative(0.4f, -0.3f, 0.8f, -0.6f, 1.4f, -1.0f)
                curveToRelative(0.5f, 3.2f, 0.9f, 6.2f, 1.5f, 9.2f)
                curveToRelative(0.5f, 2.6f, 2.1f, 4.3f, 4.5f, 4.4f)
                curveToRelative(4.6f, 0.1f, 9.1f, 0.1f, 13.7f, 0.0f)
                curveToRelative(2.3f, -0.1f, 3.8f, -1.6f, 4.0f, -3.9f)
                curveToRelative(0.1f, -0.8f, 0.1f, -1.6f, 0.1f, -2.3f)
                verticalLineToRelative(-88.8f)
                curveToRelative(0.0f, -3.6f, -0.2f, -7.2f, -0.7f, -10.8f)
                curveToRelative(-1.6f, -10.8f, -6.2f, -19.7f, -15.9f, -25.4f)
                curveToRelative(-5.6f, -3.3f, -11.8f, -5.0f, -18.2f, -5.9f)
                curveToRelative(-3.0f, -0.4f, -6.0f, -0.7f, -9.1f, -1.1f)
                horizontalLineToRelative(-10.0f)
                curveToRelative(-0.8f, 0.1f, -1.6f, 0.3f, -2.5f, 0.3f)
                curveToRelative(-8.2f, 0.4f, -16.3f, 1.4f, -24.2f, 3.5f)
                curveToRelative(-5.1f, 1.3f, -10.0f, 3.2f, -15.0f, 4.9f)
                curveToRelative(-3.0f, 1.0f, -4.5f, 3.2f, -4.4f, 6.5f)
                curveToRelative(0.1f, 2.8f, -0.1f, 5.6f, 0.0f, 8.3f)
                curveToRelative(0.1f, 4.1f, 1.8f, 5.2f, 5.7f, 4.1f)
                curveToRelative(6.5f, -1.7f, 13.1f, -3.5f, 19.7f, -4.8f)
                curveToRelative(10.3f, -1.9f, 20.7f, -2.7f, 31.1f, -1.2f)
                curveToRelative(5.4f, 0.8f, 10.5f, 2.4f, 14.1f, 7.0f)
                curveToRelative(3.1f, 4.0f, 4.2f, 8.8f, 4.4f, 13.7f)
                curveToRelative(0.3f, 6.9f, 0.2f, 13.9f, 0.3f, 20.8f)
                curveToRelative(0.0f, 0.4f, -0.1f, 0.7f, -0.2f, 1.2f)
                curveToRelative(-0.4f, 0.0f, -0.8f, 0.0f, -1.1f, -0.1f)
                curveToRelative(-8.8f, -2.1f, -17.7f, -3.6f, -26.8f, -4.1f)
                curveToRelative(-9.5f, -0.5f, -18.9f, 0.1f, -27.9f, 3.2f)
                curveToRelative(-10.8f, 3.8f, -19.5f, 10.3f, -24.6f, 20.8f)
                curveToRelative(-4.1f, 8.3f, -4.6f, 17.0f, -3.4f, 25.8f)
                close()
                moveTo(98.7f, 106.9f)
                verticalLineToRelative(175.3f)
                curveToRelative(0.0f, 0.8f, 0.0f, 1.7f, 0.1f, 2.5f)
                curveToRelative(0.2f, 2.5f, 1.7f, 4.1f, 4.1f, 4.2f)
                curveToRelative(5.9f, 0.1f, 11.8f, 0.1f, 17.7f, 0.0f)
                curveToRelative(2.5f, 0.0f, 4.0f, -1.7f, 4.1f, -4.1f)
                curveToRelative(0.1f, -0.8f, 0.1f, -1.7f, 0.1f, -2.5f)
                verticalLineToRelative(-60.7f)
                curveToRelative(0.9f, 0.7f, 1.4f, 1.2f, 1.9f, 1.6f)
                curveToRelative(15.0f, 12.5f, 32.2f, 16.6f, 51.1f, 12.9f)
                curveToRelative(17.1f, -3.4f, 28.9f, -13.9f, 36.7f, -29.2f)
                curveToRelative(5.8f, -11.6f, 8.3f, -24.1f, 8.7f, -37.0f)
                curveToRelative(0.5f, -14.3f, -1.0f, -28.4f, -6.8f, -41.7f)
                curveToRelative(-7.1f, -16.4f, -18.9f, -27.3f, -36.7f, -30.9f)
                curveToRelative(-2.7f, -0.6f, -5.5f, -0.8f, -8.2f, -1.2f)
                horizontalLineToRelative(-7.0f)
                curveToRelative(-1.2f, 0.2f, -2.4f, 0.3f, -3.6f, 0.5f)
                curveToRelative(-11.7f, 1.4f, -22.3f, 5.8f, -31.8f, 12.7f)
                curveToRelative(-2.0f, 1.4f, -3.9f, 3.0f, -5.9f, 4.5f)
                curveToRelative(-0.1f, -0.5f, -0.3f, -0.8f, -0.4f, -1.2f)
                curveToRelative(-0.4f, -2.3f, -0.7f, -4.6f, -1.1f, -6.9f)
                curveToRelative(-0.6f, -3.9f, -2.5f, -5.5f, -6.4f, -5.6f)
                horizontalLineToRelative(-9.7f)
                curveToRelative(-5.9f, -0.1f, -6.9f, 1.0f, -6.9f, 6.8f)
                close()
                moveTo(493.6f, 339.0f)
                curveToRelative(-2.7f, -0.7f, -5.1f, 0.0f, -7.6f, 1.0f)
                curveToRelative(-43.9f, 18.4f, -89.5f, 30.2f, -136.8f, 35.8f)
                curveToRelative(-14.5f, 1.7f, -29.1f, 2.8f, -43.7f, 3.2f)
                curveToRelative(-26.6f, 0.7f, -53.2f, -0.8f, -79.6f, -4.3f)
                curveToRelative(-17.8f, -2.4f, -35.5f, -5.7f, -53.0f, -9.9f)
                curveToRelative(-37.0f, -8.9f, -72.7f, -21.7f, -106.7f, -38.8f)
                curveToRelative(-8.8f, -4.4f, -17.4f, -9.3f, -26.1f, -14.0f)
                curveToRelative(-3.8f, -2.1f, -6.2f, -1.5f, -8.2f, 2.1f)
                verticalLineToRelative(1.7f)
                curveToRelative(1.2f, 1.6f, 2.2f, 3.4f, 3.7f, 4.8f)
                curveToRelative(36.0f, 32.2f, 76.6f, 56.5f, 122.0f, 72.9f)
                curveToRelative(21.9f, 7.9f, 44.4f, 13.7f, 67.3f, 17.5f)
                curveToRelative(14.0f, 2.3f, 28.0f, 3.8f, 42.2f, 4.5f)
                curveToRelative(3.0f, 0.1f, 6.0f, 0.2f, 9.0f, 0.4f)
                curveToRelative(0.7f, 0.0f, 1.4f, 0.2f, 2.1f, 0.3f)
                horizontalLineToRelative(17.7f)
                curveToRelative(0.7f, -0.1f, 1.4f, -0.3f, 2.1f, -0.3f)
                curveToRelative(14.9f, -0.4f, 29.8f, -1.8f, 44.6f, -4.0f)
                curveToRelative(21.4f, -3.2f, 42.4f, -8.1f, 62.9f, -14.7f)
                curveToRelative(29.6f, -9.6f, 57.7f, -22.4f, 83.4f, -40.1f)
                curveToRelative(2.8f, -1.9f, 5.7f, -3.8f, 8.0f, -6.2f)
                curveToRelative(4.3f, -4.4f, 2.3f, -10.4f, -3.3f, -11.9f)
                close()
                moveTo(544.0f, 311.3f)
                curveToRelative(-0.8f, -4.2f, -4.0f, -5.8f, -7.6f, -7.0f)
                curveToRelative(-5.7f, -1.9f, -11.6f, -2.8f, -17.6f, -3.3f)
                curveToRelative(-11.0f, -0.9f, -22.0f, -0.4f, -32.8f, 1.6f)
                curveToRelative(-12.0f, 2.2f, -23.4f, 6.1f, -33.5f, 13.1f)
                curveToRelative(-1.2f, 0.8f, -2.4f, 1.8f, -3.1f, 3.0f)
                curveToRelative(-0.6f, 0.9f, -0.7f, 2.3f, -0.5f, 3.4f)
                curveToRelative(0.3f, 1.3f, 1.7f, 1.6f, 3.0f, 1.5f)
                curveToRelative(0.6f, 0.0f, 1.2f, 0.0f, 1.8f, -0.1f)
                lineToRelative(19.5f, -2.1f)
                curveToRelative(9.6f, -0.9f, 19.2f, -1.5f, 28.8f, -0.8f)
                curveToRelative(4.1f, 0.3f, 8.1f, 1.2f, 12.0f, 2.2f)
                curveToRelative(4.3f, 1.1f, 6.2f, 4.4f, 6.4f, 8.7f)
                curveToRelative(0.3f, 6.7f, -1.2f, 13.1f, -2.9f, 19.5f)
                curveToRelative(-3.5f, 12.9f, -8.3f, 25.4f, -13.3f, 37.8f)
                curveToRelative(-0.3f, 0.8f, -0.7f, 1.7f, -0.8f, 2.5f)
                curveToRelative(-0.4f, 2.5f, 1.0f, 4.0f, 3.4f, 3.5f)
                curveToRelative(1.4f, -0.3f, 3.0f, -1.1f, 4.0f, -2.1f)
                curveToRelative(3.7f, -3.6f, 7.5f, -7.2f, 10.6f, -11.2f)
                curveToRelative(10.7f, -13.8f, 17.0f, -29.6f, 20.7f, -46.6f)
                curveToRelative(0.7f, -3.0f, 1.2f, -6.1f, 1.7f, -9.1f)
                curveToRelative(0.2f, -4.7f, 0.2f, -9.6f, 0.2f, -14.5f)
                close()
            }
        }
        .build()
        return _ccAmazonPay!!
    }

private var _ccAmazonPay: ImageVector? = null
