package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.CcJcb: ImageVector
    get() {
        if (_ccJcb != null) {
            return _ccJcb!!
        }
        _ccJcb = Builder(name = "CcJcb", defaultWidth = 576.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 576.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(431.5f, 244.3f)
                lineTo(431.5f, 212.0f)
                curveToRelative(41.2f, 0.0f, 38.5f, 0.2f, 38.5f, 0.2f)
                curveToRelative(7.3f, 1.3f, 13.3f, 7.3f, 13.3f, 16.0f)
                curveToRelative(0.0f, 8.8f, -6.0f, 14.5f, -13.3f, 15.8f)
                curveToRelative(-1.2f, 0.4f, -3.3f, 0.3f, -38.5f, 0.3f)
                close()
                moveTo(474.3f, 264.5f)
                curveToRelative(-2.8f, -0.7f, -3.3f, -0.5f, -42.8f, -0.5f)
                verticalLineToRelative(35.0f)
                curveToRelative(39.6f, 0.0f, 40.0f, 0.2f, 42.8f, -0.5f)
                curveToRelative(7.5f, -1.5f, 13.5f, -8.0f, 13.5f, -17.0f)
                curveToRelative(0.0f, -8.7f, -6.0f, -15.5f, -13.5f, -17.0f)
                close()
                moveTo(576.0f, 80.0f)
                verticalLineToRelative(352.0f)
                curveToRelative(0.0f, 26.5f, -21.5f, 48.0f, -48.0f, 48.0f)
                lineTo(48.0f, 480.0f)
                curveToRelative(-26.5f, 0.0f, -48.0f, -21.5f, -48.0f, -48.0f)
                lineTo(0.0f, 80.0f)
                curveToRelative(0.0f, -26.5f, 21.5f, -48.0f, 48.0f, -48.0f)
                horizontalLineToRelative(480.0f)
                curveToRelative(26.5f, 0.0f, 48.0f, 21.5f, 48.0f, 48.0f)
                close()
                moveTo(182.0f, 192.3f)
                horizontalLineToRelative(-57.0f)
                curveToRelative(0.0f, 67.1f, 10.7f, 109.7f, -35.8f, 109.7f)
                curveToRelative(-19.5f, 0.0f, -38.8f, -5.7f, -57.2f, -14.8f)
                verticalLineToRelative(28.0f)
                curveToRelative(30.0f, 8.3f, 68.0f, 8.3f, 68.0f, 8.3f)
                curveToRelative(97.9f, 0.0f, 82.0f, -47.7f, 82.0f, -131.2f)
                close()
                moveTo(360.5f, 196.8f)
                curveToRelative(-63.4f, -16.0f, -165.0f, -14.9f, -165.0f, 59.3f)
                curveToRelative(0.0f, 77.1f, 108.2f, 73.6f, 165.0f, 59.2f)
                lineTo(360.5f, 287.0f)
                curveTo(312.9f, 311.7f, 253.0f, 309.0f, 253.0f, 256.0f)
                reflectiveCurveToRelative(59.8f, -55.6f, 107.5f, -31.2f)
                verticalLineToRelative(-28.0f)
                close()
                moveTo(544.0f, 286.5f)
                curveToRelative(0.0f, -18.5f, -16.5f, -30.5f, -38.0f, -32.0f)
                verticalLineToRelative(-0.8f)
                curveToRelative(19.5f, -2.7f, 30.3f, -15.5f, 30.3f, -30.2f)
                curveToRelative(0.0f, -19.0f, -15.7f, -30.0f, -37.0f, -31.0f)
                curveToRelative(0.0f, 0.0f, 6.3f, -0.3f, -120.3f, -0.3f)
                verticalLineToRelative(127.5f)
                horizontalLineToRelative(122.7f)
                curveToRelative(24.3f, 0.1f, 42.3f, -12.9f, 42.3f, -33.2f)
                close()
            }
        }
        .build()
        return _ccJcb!!
    }

private var _ccJcb: ImageVector? = null
