package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Ember: ImageVector
    get() {
        if (_ember != null) {
            return _ember!!
        }
        _ember = Builder(name = "Ember", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(639.9f, 254.6f)
                curveToRelative(-1.1f, -10.7f, -10.7f, -6.8f, -10.7f, -6.8f)
                reflectiveCurveToRelative(-15.6f, 12.1f, -29.3f, 10.7f)
                curveToRelative(-13.7f, -1.3f, -9.4f, -32.0f, -9.4f, -32.0f)
                reflectiveCurveToRelative(3.0f, -28.1f, -5.1f, -30.4f)
                curveToRelative(-8.1f, -2.4f, -18.0f, 7.3f, -18.0f, 7.3f)
                reflectiveCurveToRelative(-12.4f, 13.7f, -18.3f, 31.2f)
                lineToRelative(-1.6f, 0.5f)
                reflectiveCurveToRelative(1.9f, -30.6f, -0.3f, -37.6f)
                curveToRelative(-1.6f, -3.5f, -16.4f, -3.2f, -18.8f, 3.0f)
                reflectiveCurveToRelative(-14.2f, 49.2f, -15.0f, 67.2f)
                curveToRelative(0.0f, 0.0f, -23.1f, 19.6f, -43.3f, 22.8f)
                reflectiveCurveToRelative(-25.0f, -9.4f, -25.0f, -9.4f)
                reflectiveCurveToRelative(54.8f, -15.3f, 52.9f, -59.1f)
                reflectiveCurveToRelative(-44.2f, -27.6f, -49.0f, -24.0f)
                curveToRelative(-4.6f, 3.5f, -29.4f, 18.4f, -36.6f, 59.7f)
                curveToRelative(-0.2f, 1.4f, -0.7f, 7.5f, -0.7f, 7.5f)
                reflectiveCurveToRelative(-21.2f, 14.2f, -33.0f, 18.0f)
                curveToRelative(0.0f, 0.0f, 33.0f, -55.6f, -7.3f, -80.9f)
                curveToRelative(-11.4f, -6.8f, -21.3f, -0.5f, -27.2f, 5.3f)
                curveToRelative(13.6f, -17.3f, 46.4f, -64.2f, 36.9f, -105.2f)
                curveToRelative(-5.8f, -24.4f, -18.0f, -27.1f, -29.2f, -23.1f)
                curveToRelative(-17.0f, 6.7f, -23.5f, 16.7f, -23.5f, 16.7f)
                reflectiveCurveToRelative(-22.0f, 32.0f, -27.1f, 79.5f)
                reflectiveCurveToRelative(-12.6f, 105.1f, -12.6f, 105.1f)
                reflectiveCurveToRelative(-10.5f, 10.2f, -20.2f, 10.7f)
                reflectiveCurveToRelative(-5.4f, -28.7f, -5.4f, -28.7f)
                reflectiveCurveToRelative(7.5f, -44.6f, 7.0f, -52.1f)
                reflectiveCurveToRelative(-1.1f, -11.6f, -9.9f, -14.2f)
                curveToRelative(-8.9f, -2.7f, -18.5f, 8.6f, -18.5f, 8.6f)
                reflectiveCurveToRelative(-25.5f, 38.7f, -27.7f, 44.6f)
                lineToRelative(-1.3f, 2.4f)
                lineToRelative(-1.3f, -1.6f)
                reflectiveCurveToRelative(18.0f, -52.7f, 0.8f, -53.5f)
                reflectiveCurveToRelative(-28.5f, 18.8f, -28.5f, 18.8f)
                reflectiveCurveToRelative(-19.6f, 32.8f, -20.4f, 36.5f)
                lineToRelative(-1.3f, -1.6f)
                reflectiveCurveToRelative(8.1f, -38.2f, 6.4f, -47.6f)
                curveToRelative(-1.6f, -9.4f, -10.5f, -7.5f, -10.5f, -7.5f)
                reflectiveCurveToRelative(-11.3f, -1.3f, -14.2f, 5.9f)
                reflectiveCurveToRelative(-13.7f, 55.3f, -15.0f, 70.7f)
                curveToRelative(0.0f, 0.0f, -28.2f, 20.2f, -46.8f, 20.4f)
                curveToRelative(-18.5f, 0.3f, -16.7f, -11.8f, -16.7f, -11.8f)
                reflectiveCurveToRelative(68.0f, -23.3f, 49.4f, -69.2f)
                curveToRelative(-8.3f, -11.8f, -18.0f, -15.5f, -31.7f, -15.3f)
                curveToRelative(-13.7f, 0.3f, -30.3f, 8.6f, -41.3f, 33.3f)
                curveToRelative(-5.3f, 11.8f, -6.8f, 23.0f, -7.8f, 31.5f)
                curveToRelative(0.0f, 0.0f, -12.3f, 2.4f, -18.8f, -2.9f)
                reflectiveCurveToRelative(-10.0f, 0.0f, -10.0f, 0.0f)
                reflectiveCurveToRelative(-11.2f, 14.0f, -0.1f, 18.3f)
                reflectiveCurveToRelative(28.1f, 6.1f, 28.1f, 6.1f)
                curveToRelative(1.6f, 7.5f, 6.2f, 19.5f, 19.6f, 29.7f)
                curveToRelative(20.2f, 15.3f, 58.8f, -1.3f, 58.8f, -1.3f)
                lineToRelative(15.9f, -8.8f)
                reflectiveCurveToRelative(0.5f, 14.6f, 12.1f, 16.7f)
                reflectiveCurveToRelative(16.4f, 1.0f, 36.5f, -47.9f)
                curveToRelative(11.8f, -25.0f, 12.6f, -23.6f, 12.6f, -23.6f)
                lineToRelative(1.3f, -0.3f)
                reflectiveCurveToRelative(-9.1f, 46.8f, -5.6f, 59.7f)
                curveTo(187.7f, 319.4f, 203.0f, 318.0f, 203.0f, 318.0f)
                reflectiveCurveToRelative(8.3f, 2.4f, 15.0f, -21.2f)
                reflectiveCurveToRelative(19.6f, -49.9f, 19.6f, -49.9f)
                horizontalLineToRelative(1.6f)
                reflectiveCurveToRelative(-5.6f, 48.1f, 3.0f, 63.7f)
                reflectiveCurveToRelative(30.9f, 5.3f, 30.9f, 5.3f)
                reflectiveCurveToRelative(15.6f, -7.8f, 18.0f, -10.2f)
                curveToRelative(0.0f, 0.0f, 18.5f, 15.8f, 44.6f, 12.9f)
                curveToRelative(58.3f, -11.5f, 79.1f, -25.9f, 79.1f, -25.9f)
                reflectiveCurveToRelative(10.0f, 24.4f, 41.1f, 26.7f)
                curveToRelative(35.5f, 2.7f, 54.8f, -18.6f, 54.8f, -18.6f)
                reflectiveCurveToRelative(-0.3f, 13.5f, 12.1f, 18.6f)
                reflectiveCurveToRelative(20.7f, -22.8f, 20.7f, -22.8f)
                lineToRelative(20.7f, -57.2f)
                horizontalLineToRelative(1.9f)
                reflectiveCurveToRelative(1.1f, 37.3f, 21.5f, 43.2f)
                reflectiveCurveToRelative(47.0f, -13.7f, 47.0f, -13.7f)
                reflectiveCurveToRelative(6.4f, -3.5f, 5.3f, -14.3f)
                close()
                moveTo(61.9f, 259.9f)
                curveToRelative(0.8f, -32.0f, 21.8f, -45.9f, 29.0f, -39.0f)
                curveToRelative(7.3f, 7.0f, 4.6f, 22.0f, -9.1f, 31.4f)
                curveToRelative(-13.7f, 9.5f, -19.9f, 7.6f, -19.9f, 7.6f)
                close()
                moveTo(334.7f, 136.1f)
                reflectiveCurveToRelative(19.1f, -49.7f, 23.6f, -25.5f)
                reflectiveCurveToRelative(-40.0f, 96.2f, -40.0f, 96.2f)
                curveToRelative(0.5f, -16.2f, 16.4f, -70.7f, 16.4f, -70.7f)
                close()
                moveTo(357.5f, 274.5f)
                curveToRelative(-12.6f, 33.0f, -43.3f, 19.6f, -43.3f, 19.6f)
                reflectiveCurveToRelative(-3.5f, -11.8f, 6.4f, -44.9f)
                reflectiveCurveToRelative(33.3f, -20.2f, 33.3f, -20.2f)
                reflectiveCurveToRelative(16.2f, 12.4f, 3.6f, 45.5f)
                close()
                moveTo(442.1f, 259.9f)
                reflectiveCurveToRelative(-3.0f, -10.5f, 8.1f, -30.6f)
                curveToRelative(11.0f, -20.2f, 19.6f, -9.1f, 19.6f, -9.1f)
                reflectiveCurveToRelative(9.4f, 10.2f, -1.3f, 25.5f)
                reflectiveCurveToRelative(-26.4f, 14.2f, -26.4f, 14.2f)
                close()
            }
        }
        .build()
        return _ember!!
    }

private var _ember: ImageVector? = null
