package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.GalacticRepublic: ImageVector
    get() {
        if (_galacticRepublic != null) {
            return _galacticRepublic!!
        }
        _galacticRepublic = Builder(name = "GalacticRepublic", defaultWidth = 496.0.dp,
                defaultHeight = 512.0.dp, viewportWidth = 496.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(248.0f, 504.0f)
                curveTo(111.25f, 504.0f, 0.0f, 392.75f, 0.0f, 256.0f)
                reflectiveCurveTo(111.25f, 8.0f, 248.0f, 8.0f)
                reflectiveCurveToRelative(248.0f, 111.25f, 248.0f, 248.0f)
                reflectiveCurveToRelative(-111.25f, 248.0f, -248.0f, 248.0f)
                close()
                moveTo(248.0f, 24.53f)
                curveTo(120.37f, 24.53f, 16.53f, 128.37f, 16.53f, 256.0f)
                reflectiveCurveTo(120.37f, 487.47f, 248.0f, 487.47f)
                reflectiveCurveTo(479.47f, 383.63f, 479.47f, 256.0f)
                reflectiveCurveTo(375.63f, 24.53f, 248.0f, 24.53f)
                close()
                moveTo(275.62f, 46.34f)
                verticalLineToRelative(24.62f)
                arcToRelative(185.933f, 185.933f, 0.0f, false, true, 83.57f, 34.54f)
                lineToRelative(17.39f, -17.36f)
                curveToRelative(-28.75f, -22.06f, -63.3f, -36.89f, -100.96f, -41.8f)
                close()
                moveTo(220.25f, 46.41f)
                curveToRelative(-37.64f, 4.94f, -72.16f, 19.8f, -100.88f, 41.85f)
                lineToRelative(17.28f, 17.36f)
                horizontalLineToRelative(0.08f)
                curveToRelative(24.07f, -17.84f, 52.55f, -30.06f, 83.52f, -34.67f)
                lineTo(220.25f, 46.41f)
                close()
                moveTo(232.5f, 96.58f)
                verticalLineToRelative(82.87f)
                curveToRelative(-10.04f, 2.03f, -19.42f, 5.94f, -27.67f, 11.42f)
                lineToRelative(-58.62f, -58.59f)
                lineToRelative(-21.93f, 21.93f)
                lineToRelative(58.67f, 58.67f)
                curveToRelative(-5.47f, 8.23f, -9.45f, 17.59f, -11.47f, 27.62f)
                horizontalLineToRelative(-82.9f)
                verticalLineToRelative(31.0f)
                horizontalLineToRelative(82.9f)
                curveToRelative(2.02f, 10.02f, 6.01f, 19.31f, 11.47f, 27.54f)
                lineToRelative(-58.67f, 58.69f)
                lineToRelative(21.93f, 21.93f)
                lineToRelative(58.62f, -58.62f)
                arcToRelative(77.873f, 77.873f, 0.0f, false, false, 27.67f, 11.47f)
                verticalLineToRelative(82.9f)
                horizontalLineToRelative(31.0f)
                verticalLineToRelative(-82.9f)
                curveToRelative(10.05f, -2.03f, 19.37f, -6.06f, 27.62f, -11.55f)
                lineToRelative(58.67f, 58.69f)
                lineToRelative(21.93f, -21.93f)
                lineToRelative(-58.67f, -58.69f)
                curveToRelative(5.46f, -8.23f, 9.47f, -17.52f, 11.5f, -27.54f)
                horizontalLineToRelative(82.87f)
                verticalLineToRelative(-31.0f)
                horizontalLineToRelative(-82.87f)
                curveToRelative(-2.02f, -10.02f, -6.03f, -19.38f, -11.5f, -27.62f)
                lineToRelative(58.67f, -58.67f)
                lineToRelative(-21.93f, -21.93f)
                lineToRelative(-58.67f, 58.67f)
                curveToRelative(-8.25f, -5.49f, -17.57f, -9.47f, -27.62f, -11.5f)
                lineTo(263.5f, 96.58f)
                horizontalLineToRelative(-31.0f)
                close()
                moveTo(415.74f, 127.3f)
                lineToRelative(-17.36f, 17.36f)
                arcToRelative(186.337f, 186.337f, 0.0f, false, true, 34.67f, 83.67f)
                horizontalLineToRelative(24.62f)
                curveToRelative(-4.95f, -37.69f, -19.83f, -72.29f, -41.93f, -101.03f)
                close()
                moveTo(80.19f, 127.43f)
                curveToRelative(-22.06f, 28.72f, -36.91f, 63.26f, -41.85f, 100.91f)
                horizontalLineToRelative(24.65f)
                curveToRelative(4.6f, -30.96f, 16.76f, -59.45f, 34.59f, -83.52f)
                lineToRelative(-17.39f, -17.39f)
                close()
                moveTo(38.34f, 283.67f)
                curveToRelative(4.92f, 37.64f, 19.75f, 72.18f, 41.8f, 100.9f)
                lineToRelative(17.36f, -17.39f)
                curveToRelative(-17.81f, -24.07f, -29.92f, -52.57f, -34.51f, -83.52f)
                lineTo(38.34f, 283.66f)
                close()
                moveTo(433.04f, 283.67f)
                curveToRelative(-4.61f, 30.99f, -16.8f, 59.5f, -34.67f, 83.6f)
                lineToRelative(17.36f, 17.36f)
                curveToRelative(22.08f, -28.74f, 36.98f, -63.29f, 41.93f, -100.96f)
                horizontalLineToRelative(-24.62f)
                close()
                moveTo(136.66f, 406.38f)
                lineToRelative(-17.36f, 17.36f)
                curveToRelative(28.73f, 22.09f, 63.3f, 36.98f, 100.96f, 41.93f)
                verticalLineToRelative(-24.64f)
                curveToRelative(-30.99f, -4.63f, -59.53f, -16.79f, -83.6f, -34.65f)
                close()
                moveTo(359.19f, 406.43f)
                curveToRelative(-24.09f, 17.84f, -52.58f, 30.08f, -83.57f, 34.67f)
                verticalLineToRelative(24.57f)
                curveToRelative(37.67f, -4.92f, 72.21f, -19.79f, 100.96f, -41.85f)
                lineToRelative(-17.31f, -17.39f)
                horizontalLineToRelative(-0.08f)
                close()
            }
        }
        .build()
        return _galacticRepublic!!
    }

private var _galacticRepublic: ImageVector? = null
