package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.GitSquare: ImageVector
    get() {
        if (_gitSquare != null) {
            return _gitSquare!!
        }
        _gitSquare = Builder(name = "GitSquare", defaultWidth = 448.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 448.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(100.59f, 334.24f)
                curveToRelative(48.57f, 3.31f, 58.95f, 2.11f, 58.95f, 11.94f)
                curveToRelative(0.0f, 20.0f, -65.55f, 20.06f, -65.55f, 1.52f)
                curveToRelative(0.01f, -5.09f, 3.29f, -9.4f, 6.6f, -13.46f)
                close()
                moveTo(128.54f, 217.6f)
                curveToRelative(-32.29f, 0.0f, -33.75f, 44.47f, -0.75f, 44.47f)
                curveToRelative(32.51f, 0.0f, 31.71f, -44.47f, 0.75f, -44.47f)
                close()
                moveTo(448.0f, 80.0f)
                verticalLineToRelative(352.0f)
                arcToRelative(48.0f, 48.0f, 0.0f, false, true, -48.0f, 48.0f)
                lineTo(48.0f, 480.0f)
                arcToRelative(48.0f, 48.0f, 0.0f, false, true, -48.0f, -48.0f)
                lineTo(0.0f, 80.0f)
                arcToRelative(48.0f, 48.0f, 0.0f, false, true, 48.0f, -48.0f)
                horizontalLineToRelative(352.0f)
                arcToRelative(48.0f, 48.0f, 0.0f, false, true, 48.0f, 48.0f)
                close()
                moveTo(221.0f, 149.31f)
                curveToRelative(0.0f, 14.49f, 8.38f, 22.88f, 22.86f, 22.88f)
                curveToRelative(14.74f, 0.0f, 23.13f, -8.39f, 23.13f, -22.88f)
                reflectiveCurveTo(258.62f, 127.0f, 243.88f, 127.0f)
                curveToRelative(-14.48f, 0.0f, -22.88f, 7.84f, -22.88f, 22.31f)
                close()
                moveTo(199.18f, 195.0f)
                horizontalLineToRelative(-49.55f)
                curveToRelative(-25.0f, -6.55f, -81.56f, -4.85f, -81.56f, 46.75f)
                curveToRelative(0.0f, 18.8f, 9.4f, 32.0f, 21.85f, 38.11f)
                curveTo(74.23f, 294.23f, 66.8f, 301.0f, 66.8f, 310.6f)
                curveToRelative(0.0f, 6.87f, 2.79f, 13.22f, 11.18f, 16.76f)
                curveToRelative(-8.9f, 8.4f, -14.0f, 14.48f, -14.0f, 25.92f)
                curveTo(64.0f, 373.35f, 81.53f, 385.0f, 127.52f, 385.0f)
                curveToRelative(44.22f, 0.0f, 69.87f, -16.51f, 69.87f, -45.73f)
                curveToRelative(0.0f, -36.67f, -28.23f, -35.32f, -94.77f, -39.38f)
                lineToRelative(8.38f, -13.43f)
                curveToRelative(17.0f, 4.74f, 74.19f, 6.23f, 74.19f, -42.43f)
                curveToRelative(0.0f, -11.69f, -4.83f, -19.82f, -9.4f, -25.67f)
                lineToRelative(23.38f, -1.78f)
                close()
                moveTo(283.52f, 304.84f)
                lineToRelative(-13.0f, -1.78f)
                curveToRelative(-3.82f, -0.51f, -4.07f, -1.0f, -4.07f, -5.09f)
                lineTo(266.45f, 192.52f)
                horizontalLineToRelative(-52.6f)
                lineToRelative(-2.79f, 20.57f)
                curveToRelative(15.75f, 5.55f, 17.0f, 4.86f, 17.0f, 10.17f)
                lineTo(228.06f, 298.0f)
                curveToRelative(0.0f, 5.62f, -0.31f, 4.58f, -17.0f, 6.87f)
                verticalLineToRelative(20.06f)
                horizontalLineToRelative(72.42f)
                close()
                moveTo(384.0f, 315.0f)
                lineToRelative(-6.87f, -22.37f)
                curveToRelative(-40.93f, 15.37f, -37.85f, -12.41f, -37.85f, -16.73f)
                verticalLineToRelative(-60.72f)
                horizontalLineToRelative(37.85f)
                verticalLineToRelative(-25.41f)
                horizontalLineToRelative(-35.82f)
                curveToRelative(-2.87f, 0.0f, -2.0f, 2.52f, -2.0f, -38.63f)
                horizontalLineToRelative(-24.18f)
                curveToRelative(-2.79f, 27.7f, -11.68f, 38.88f, -34.0f, 41.42f)
                verticalLineToRelative(22.62f)
                curveToRelative(20.47f, 0.0f, 19.82f, -0.85f, 19.82f, 2.54f)
                verticalLineToRelative(66.57f)
                curveToRelative(0.0f, 28.72f, 11.43f, 40.91f, 41.67f, 40.91f)
                curveToRelative(14.45f, 0.0f, 30.45f, -4.83f, 41.38f, -10.2f)
                close()
            }
        }
        .build()
        return _gitSquare!!
    }

private var _gitSquare: ImageVector? = null
