package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Grunt: ImageVector
    get() {
        if (_grunt != null) {
            return _grunt!!
        }
        _grunt = Builder(name = "Grunt", defaultWidth = 384.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 384.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(61.3f, 189.3f)
                curveToRelative(-1.1f, 10.0f, 5.2f, 19.1f, 5.2f, 19.1f)
                curveToRelative(0.7f, -7.5f, 2.2f, -12.8f, 4.0f, -16.6f)
                curveToRelative(0.4f, 10.3f, 3.2f, 23.5f, 12.8f, 34.1f)
                curveToRelative(6.9f, 7.6f, 35.6f, 23.3f, 54.9f, 6.1f)
                curveToRelative(1.0f, 2.4f, 2.1f, 5.3f, 3.0f, 8.5f)
                curveToRelative(2.9f, 10.3f, -2.7f, 25.3f, -2.7f, 25.3f)
                reflectiveCurveToRelative(15.1f, -17.1f, 13.9f, -32.5f)
                curveToRelative(10.8f, -0.5f, 21.4f, -8.4f, 21.1f, -19.5f)
                curveToRelative(0.0f, 0.0f, -18.9f, 10.4f, -35.5f, -8.8f)
                curveToRelative(-9.7f, -11.2f, -40.9f, -42.0f, -83.1f, -31.8f)
                curveToRelative(4.3f, 1.0f, 8.9f, 2.4f, 13.5f, 4.1f)
                horizontalLineToRelative(-0.1f)
                curveToRelative(-4.2f, 2.0f, -6.5f, 7.1f, -7.0f, 12.0f)
                close()
                moveTo(89.6f, 187.5f)
                curveToRelative(19.5f, 11.0f, 37.4f, 25.7f, 44.9f, 37.0f)
                curveToRelative(-5.7f, 3.3f, -21.7f, 10.4f, -38.0f, -1.7f)
                curveToRelative(-10.3f, -7.6f, -9.8f, -26.2f, -6.9f, -35.3f)
                close()
                moveTo(231.7f, 233.3f)
                curveToRelative(-1.2f, 15.5f, 13.9f, 32.5f, 13.9f, 32.5f)
                reflectiveCurveToRelative(-5.6f, -15.0f, -2.7f, -25.3f)
                curveToRelative(0.9f, -3.2f, 2.0f, -6.0f, 3.0f, -8.5f)
                curveToRelative(19.3f, 17.3f, 48.0f, 1.5f, 54.8f, -6.1f)
                curveToRelative(9.6f, -10.6f, 12.3f, -23.8f, 12.8f, -34.1f)
                curveToRelative(1.8f, 3.8f, 3.4f, 9.1f, 4.0f, 16.6f)
                curveToRelative(0.0f, 0.0f, 6.4f, -9.1f, 5.2f, -19.1f)
                curveToRelative(-0.6f, -5.0f, -2.9f, -10.0f, -7.0f, -11.8f)
                horizontalLineToRelative(-0.1f)
                curveToRelative(4.6f, -1.8f, 9.2f, -3.2f, 13.5f, -4.1f)
                curveToRelative(-42.3f, -10.2f, -73.4f, 20.6f, -83.1f, 31.8f)
                curveToRelative(-16.7f, 19.2f, -35.5f, 8.8f, -35.5f, 8.8f)
                curveToRelative(-0.2f, 10.9f, 10.4f, 18.9f, 21.2f, 19.3f)
                close()
                moveTo(294.4f, 187.5f)
                curveToRelative(3.0f, 9.1f, 3.4f, 27.7f, -7.0f, 35.4f)
                curveToRelative(-16.3f, 12.1f, -32.2f, 5.0f, -37.9f, 1.6f)
                curveToRelative(7.5f, -11.4f, 25.4f, -26.0f, 44.9f, -37.0f)
                close()
                moveTo(160.0f, 418.5f)
                horizontalLineToRelative(-29.4f)
                curveToRelative(-5.5f, 0.0f, -8.2f, 1.6f, -9.5f, 2.9f)
                curveToRelative(-1.9f, 2.0f, -2.2f, 4.7f, -0.9f, 8.1f)
                curveToRelative(3.5f, 9.1f, 11.4f, 16.5f, 13.7f, 18.6f)
                curveToRelative(3.1f, 2.7f, 7.5f, 4.3f, 11.8f, 4.3f)
                curveToRelative(4.4f, 0.0f, 8.3f, -1.7f, 11.0f, -4.6f)
                curveToRelative(7.5f, -8.2f, 11.9f, -17.1f, 13.0f, -19.8f)
                curveToRelative(0.6f, -1.5f, 1.3f, -4.5f, -0.9f, -6.8f)
                curveToRelative(-1.8f, -1.8f, -4.7f, -2.7f, -8.8f, -2.7f)
                close()
                moveTo(349.2f, 317.3f)
                curveToRelative(-2.4f, 17.9f, -13.0f, 33.8f, -24.6f, 43.7f)
                curveToRelative(-3.1f, -22.7f, -3.7f, -55.5f, -3.7f, -62.4f)
                curveToRelative(0.0f, -14.7f, 9.5f, -24.5f, 12.2f, -26.1f)
                curveToRelative(2.5f, -1.5f, 5.4f, -3.0f, 8.3f, -4.6f)
                curveToRelative(18.0f, -9.6f, 40.4f, -21.6f, 40.4f, -43.7f)
                curveToRelative(0.0f, -16.2f, -9.3f, -23.2f, -15.4f, -27.8f)
                curveToRelative(-0.8f, -0.6f, -1.5f, -1.1f, -2.2f, -1.7f)
                curveToRelative(-2.1f, -1.7f, -3.7f, -3.0f, -4.3f, -4.4f)
                curveToRelative(-4.4f, -9.8f, -3.6f, -34.2f, -1.7f, -37.6f)
                curveToRelative(0.6f, -0.6f, 16.7f, -20.9f, 11.8f, -39.2f)
                curveToRelative(-2.0f, -7.4f, -6.9f, -13.3f, -14.1f, -17.0f)
                curveToRelative(-5.3f, -2.7f, -11.9f, -4.2f, -19.5f, -4.5f)
                curveToRelative(-0.1f, -2.0f, -0.5f, -3.9f, -0.9f, -5.9f)
                curveToRelative(-0.6f, -2.6f, -1.1f, -5.3f, -0.9f, -8.1f)
                curveToRelative(0.4f, -4.7f, 0.8f, -9.0f, 2.2f, -11.3f)
                curveToRelative(8.4f, -13.3f, 28.8f, -17.6f, 29.0f, -17.6f)
                lineToRelative(12.3f, -2.4f)
                lineToRelative(-8.1f, -9.5f)
                curveToRelative(-0.1f, -0.2f, -17.3f, -17.5f, -46.3f, -17.5f)
                curveToRelative(-7.9f, 0.0f, -16.0f, 1.3f, -24.1f, 3.9f)
                curveToRelative(-24.2f, 7.8f, -42.9f, 30.5f, -49.4f, 39.3f)
                curveToRelative(-3.1f, -1.0f, -6.3f, -1.9f, -9.6f, -2.7f)
                curveToRelative(-4.2f, -15.8f, 9.0f, -38.5f, 9.0f, -38.5f)
                reflectiveCurveToRelative(-13.6f, -3.0f, -33.7f, 15.2f)
                curveToRelative(-2.6f, -6.5f, -8.1f, -20.5f, -1.8f, -37.2f)
                curveTo(184.6f, 10.1f, 177.2f, 26.0f, 175.0f, 40.4f)
                curveToRelative(-7.6f, -5.4f, -6.7f, -23.1f, -7.2f, -27.6f)
                curveToRelative(-7.5f, 0.9f, -29.2f, 21.9f, -28.2f, 48.3f)
                curveToRelative(-2.0f, 0.5f, -3.9f, 1.1f, -5.9f, 1.7f)
                curveToRelative(-6.5f, -8.8f, -25.1f, -31.5f, -49.4f, -39.3f)
                curveToRelative(-7.9f, -2.2f, -16.0f, -3.5f, -23.9f, -3.5f)
                curveToRelative(-29.0f, 0.0f, -46.1f, 17.3f, -46.3f, 17.5f)
                lineTo(6.0f, 46.9f)
                lineToRelative(12.3f, 2.4f)
                curveToRelative(0.2f, 0.0f, 20.6f, 4.3f, 29.0f, 17.6f)
                curveToRelative(1.4f, 2.2f, 1.8f, 6.6f, 2.2f, 11.3f)
                curveToRelative(0.2f, 2.8f, -0.4f, 5.5f, -0.9f, 8.1f)
                curveToRelative(-0.4f, 1.9f, -0.8f, 3.9f, -0.9f, 5.9f)
                curveToRelative(-7.7f, 0.3f, -14.2f, 1.8f, -19.5f, 4.5f)
                curveToRelative(-7.2f, 3.7f, -12.1f, 9.6f, -14.1f, 17.0f)
                curveToRelative(-5.0f, 18.2f, 11.2f, 38.5f, 11.8f, 39.2f)
                curveToRelative(1.9f, 3.4f, 2.7f, 27.8f, -1.7f, 37.6f)
                curveToRelative(-0.6f, 1.4f, -2.2f, 2.7f, -4.3f, 4.4f)
                curveToRelative(-0.7f, 0.5f, -1.4f, 1.1f, -2.2f, 1.7f)
                curveToRelative(-6.1f, 4.6f, -15.4f, 11.7f, -15.4f, 27.8f)
                curveToRelative(0.0f, 22.1f, 22.4f, 34.1f, 40.4f, 43.7f)
                curveToRelative(3.0f, 1.6f, 5.8f, 3.1f, 8.3f, 4.6f)
                curveToRelative(2.7f, 1.6f, 12.2f, 11.4f, 12.2f, 26.1f)
                curveToRelative(0.0f, 6.9f, -0.6f, 39.7f, -3.7f, 62.4f)
                curveToRelative(-11.6f, -9.9f, -22.2f, -25.9f, -24.6f, -43.8f)
                curveToRelative(0.0f, 0.0f, -29.2f, 22.6f, -20.6f, 70.8f)
                curveToRelative(5.2f, 29.5f, 23.2f, 46.1f, 47.0f, 54.7f)
                curveToRelative(8.8f, 19.1f, 29.4f, 45.7f, 67.3f, 49.6f)
                curveTo(143.0f, 504.3f, 163.0f, 512.0f, 192.2f, 512.0f)
                horizontalLineToRelative(0.2f)
                curveToRelative(29.1f, 0.0f, 49.1f, -7.7f, 63.6f, -19.5f)
                curveToRelative(37.9f, -3.9f, 58.5f, -30.5f, 67.3f, -49.6f)
                curveToRelative(23.8f, -8.7f, 41.7f, -25.2f, 47.0f, -54.7f)
                curveToRelative(8.2f, -48.4f, -21.1f, -70.9f, -21.1f, -70.9f)
                close()
                moveTo(305.7f, 37.7f)
                curveToRelative(5.6f, -1.8f, 11.6f, -2.7f, 17.7f, -2.7f)
                curveToRelative(11.0f, 0.0f, 19.9f, 3.0f, 24.7f, 5.0f)
                curveToRelative(-3.1f, 1.4f, -6.4f, 3.2f, -9.7f, 5.3f)
                curveToRelative(-2.4f, -0.4f, -5.6f, -0.8f, -9.2f, -0.8f)
                curveToRelative(-10.5f, 0.0f, -20.5f, 3.1f, -28.7f, 8.9f)
                curveToRelative(-12.3f, 8.7f, -18.0f, 16.9f, -20.7f, 22.4f)
                curveToRelative(-2.2f, -1.3f, -4.5f, -2.5f, -7.1f, -3.7f)
                curveToRelative(-1.6f, -0.8f, -3.1f, -1.5f, -4.7f, -2.2f)
                curveToRelative(6.1f, -9.1f, 19.9f, -26.5f, 37.7f, -32.2f)
                close()
                moveTo(326.7f, 55.9f)
                curveToRelative(-0.8f, 1.0f, -1.6f, 2.1f, -2.3f, 3.2f)
                curveToRelative(-3.3f, 5.2f, -3.9f, 11.6f, -4.4f, 17.8f)
                curveToRelative(-0.5f, 6.4f, -1.1f, 12.5f, -4.4f, 17.0f)
                curveToRelative(-4.2f, 0.8f, -8.1f, 1.7f, -11.5f, 2.7f)
                curveToRelative(-2.3f, -3.1f, -5.6f, -7.0f, -10.5f, -11.2f)
                curveToRelative(1.4f, -4.8f, 5.5f, -16.1f, 13.5f, -22.5f)
                curveToRelative(5.6f, -4.3f, 12.2f, -6.7f, 19.6f, -7.0f)
                close()
                moveTo(45.6f, 45.3f)
                curveToRelative(-3.3f, -2.2f, -6.6f, -4.0f, -9.7f, -5.3f)
                curveToRelative(4.8f, -2.0f, 13.7f, -5.0f, 24.7f, -5.0f)
                curveToRelative(6.1f, 0.0f, 12.0f, 0.9f, 17.7f, 2.7f)
                curveToRelative(17.8f, 5.8f, 31.6f, 23.2f, 37.7f, 32.1f)
                curveToRelative(-1.6f, 0.7f, -3.2f, 1.4f, -4.8f, 2.2f)
                curveToRelative(-2.5f, 1.2f, -4.9f, 2.5f, -7.1f, 3.7f)
                curveToRelative(-2.6f, -5.4f, -8.3f, -13.7f, -20.7f, -22.4f)
                curveToRelative(-8.3f, -5.8f, -18.2f, -8.9f, -28.8f, -8.9f)
                curveToRelative(-3.4f, 0.1f, -6.6f, 0.5f, -9.0f, 0.9f)
                close()
                moveTo(90.3f, 85.4f)
                curveToRelative(-4.9f, 4.2f, -8.3f, 8.0f, -10.5f, 11.2f)
                curveToRelative(-3.4f, -0.9f, -7.3f, -1.9f, -11.5f, -2.7f)
                curveTo(65.0f, 89.5f, 64.5f, 83.4f, 64.0f, 77.0f)
                curveToRelative(-0.5f, -6.2f, -1.1f, -12.6f, -4.4f, -17.8f)
                curveToRelative(-0.7f, -1.1f, -1.5f, -2.2f, -2.3f, -3.2f)
                curveToRelative(7.4f, 0.3f, 14.0f, 2.6f, 19.5f, 7.0f)
                curveToRelative(8.0f, 6.3f, 12.1f, 17.6f, 13.5f, 22.4f)
                close()
                moveTo(58.1f, 259.9f)
                curveToRelative(-2.7f, -1.6f, -5.6f, -3.1f, -8.4f, -4.6f)
                curveToRelative(-14.9f, -8.0f, -30.2f, -16.3f, -30.2f, -30.5f)
                curveToRelative(0.0f, -11.1f, 4.3f, -14.6f, 8.9f, -18.2f)
                lineToRelative(0.5f, -0.4f)
                curveToRelative(0.7f, -0.6f, 1.4f, -1.2f, 2.2f, -1.8f)
                curveToRelative(-0.9f, 7.2f, -1.9f, 13.3f, -2.7f, 14.9f)
                curveToRelative(0.0f, 0.0f, 12.1f, -15.0f, 15.7f, -44.3f)
                curveToRelative(1.4f, -11.5f, -1.1f, -34.3f, -5.1f, -43.0f)
                curveToRelative(0.2f, 4.9f, 0.0f, 9.8f, -0.3f, 14.4f)
                curveToRelative(-0.4f, -0.8f, -0.8f, -1.6f, -1.3f, -2.2f)
                curveToRelative(-3.2f, -4.0f, -11.8f, -17.5f, -9.4f, -26.6f)
                curveToRelative(0.9f, -3.5f, 3.1f, -6.0f, 6.7f, -7.8f)
                curveToRelative(3.8f, -1.9f, 8.8f, -2.9f, 15.1f, -2.9f)
                curveToRelative(12.3f, 0.0f, 25.9f, 3.7f, 32.9f, 6.0f)
                curveToRelative(25.1f, 8.0f, 55.4f, 30.9f, 64.1f, 37.7f)
                curveToRelative(0.2f, 0.2f, 0.4f, 0.3f, 0.4f, 0.3f)
                lineToRelative(5.6f, 3.9f)
                lineToRelative(-3.5f, -5.8f)
                curveToRelative(-0.2f, -0.3f, -19.1f, -31.4f, -53.2f, -46.5f)
                curveToRelative(2.0f, -2.9f, 7.4f, -8.1f, 21.6f, -15.1f)
                curveToRelative(21.4f, -10.5f, 46.5f, -15.8f, 74.3f, -15.8f)
                curveToRelative(27.9f, 0.0f, 52.9f, 5.3f, 74.3f, 15.8f)
                curveToRelative(14.2f, 6.9f, 19.6f, 12.2f, 21.6f, 15.1f)
                curveToRelative(-34.0f, 15.1f, -52.9f, 46.2f, -53.1f, 46.5f)
                lineToRelative(-3.5f, 5.8f)
                lineToRelative(5.6f, -3.9f)
                reflectiveCurveToRelative(0.2f, -0.1f, 0.4f, -0.3f)
                curveToRelative(8.7f, -6.8f, 39.0f, -29.8f, 64.1f, -37.7f)
                curveToRelative(7.0f, -2.2f, 20.6f, -6.0f, 32.9f, -6.0f)
                curveToRelative(6.3f, 0.0f, 11.3f, 1.0f, 15.1f, 2.9f)
                curveToRelative(3.5f, 1.8f, 5.7f, 4.4f, 6.7f, 7.8f)
                curveToRelative(2.5f, 9.1f, -6.1f, 22.6f, -9.4f, 26.6f)
                curveToRelative(-0.5f, 0.6f, -0.9f, 1.3f, -1.3f, 2.2f)
                curveToRelative(-0.3f, -4.6f, -0.5f, -9.5f, -0.3f, -14.4f)
                curveToRelative(-4.0f, 8.8f, -6.5f, 31.5f, -5.1f, 43.0f)
                curveToRelative(3.6f, 29.3f, 15.7f, 44.3f, 15.7f, 44.3f)
                curveToRelative(-0.8f, -1.6f, -1.8f, -7.7f, -2.7f, -14.9f)
                curveToRelative(0.7f, 0.6f, 1.5f, 1.2f, 2.2f, 1.8f)
                lineToRelative(0.5f, 0.4f)
                curveToRelative(4.6f, 3.7f, 8.9f, 7.1f, 8.9f, 18.2f)
                curveToRelative(0.0f, 14.2f, -15.4f, 22.5f, -30.2f, 30.5f)
                curveToRelative(-2.9f, 1.5f, -5.7f, 3.1f, -8.4f, 4.6f)
                curveToRelative(-8.7f, 5.0f, -18.0f, 16.7f, -19.1f, 34.2f)
                curveToRelative(-0.9f, 14.6f, 0.9f, 49.9f, 3.4f, 75.9f)
                curveToRelative(-12.4f, 4.8f, -26.7f, 6.4f, -39.7f, 6.8f)
                curveToRelative(-2.0f, -4.1f, -3.9f, -8.5f, -5.5f, -13.1f)
                curveToRelative(-0.7f, -2.0f, -19.6f, -51.1f, -26.4f, -62.2f)
                curveToRelative(5.5f, 39.0f, 17.5f, 73.7f, 23.5f, 89.6f)
                curveToRelative(-3.5f, -0.5f, -7.3f, -0.7f, -11.7f, -0.7f)
                horizontalLineToRelative(-117.0f)
                curveToRelative(-4.4f, 0.0f, -8.3f, 0.3f, -11.7f, 0.7f)
                curveToRelative(6.0f, -15.9f, 18.1f, -50.6f, 23.5f, -89.6f)
                curveToRelative(-6.8f, 11.2f, -25.7f, 60.3f, -26.4f, 62.2f)
                curveToRelative(-1.6f, 4.6f, -3.5f, 9.0f, -5.5f, 13.1f)
                curveToRelative(-13.0f, -0.4f, -27.2f, -2.0f, -39.7f, -6.8f)
                curveToRelative(2.5f, -26.0f, 4.3f, -61.2f, 3.4f, -75.9f)
                curveToRelative(-0.9f, -17.4f, -10.3f, -29.2f, -19.0f, -34.2f)
                close()
                moveTo(34.8f, 404.6f)
                curveToRelative(-12.1f, -20.0f, -8.7f, -54.1f, -3.7f, -59.1f)
                curveToRelative(10.9f, 34.4f, 47.2f, 44.3f, 74.4f, 45.4f)
                curveToRelative(-2.7f, 4.2f, -5.2f, 7.6f, -7.0f, 10.0f)
                lineToRelative(-1.4f, 1.4f)
                curveToRelative(-7.2f, 7.8f, -8.6f, 18.5f, -4.1f, 31.8f)
                curveToRelative(-22.7f, -0.1f, -46.3f, -9.8f, -58.2f, -29.5f)
                close()
                moveTo(80.5f, 448.1f)
                curveToRelative(6.0f, 1.1f, 12.2f, 1.9f, 18.6f, 2.4f)
                curveToRelative(3.5f, 8.0f, 7.4f, 15.9f, 12.3f, 23.1f)
                curveToRelative(-14.4f, -5.9f, -24.4f, -16.0f, -30.9f, -25.5f)
                close()
                moveTo(192.0f, 498.2f)
                curveToRelative(-60.6f, -0.1f, -78.3f, -45.8f, -84.9f, -64.7f)
                curveToRelative(-3.7f, -10.5f, -3.4f, -18.2f, 0.9f, -23.1f)
                curveToRelative(2.9f, -3.3f, 9.5f, -7.2f, 24.6f, -7.2f)
                horizontalLineToRelative(118.8f)
                curveToRelative(15.1f, 0.0f, 21.8f, 3.9f, 24.6f, 7.2f)
                curveToRelative(4.2f, 4.8f, 4.5f, 12.6f, 0.9f, 23.1f)
                curveToRelative(-6.6f, 18.8f, -24.3f, 64.6f, -84.9f, 64.7f)
                close()
                moveTo(272.6f, 473.6f)
                curveToRelative(4.9f, -7.2f, 8.8f, -15.1f, 12.3f, -23.1f)
                curveToRelative(6.4f, -0.5f, 12.6f, -1.3f, 18.6f, -2.4f)
                curveToRelative(-6.5f, 9.5f, -16.5f, 19.6f, -30.9f, 25.5f)
                close()
                moveTo(349.2f, 404.6f)
                curveToRelative(-12.0f, 19.7f, -35.6f, 29.3f, -58.1f, 29.7f)
                curveToRelative(4.5f, -13.3f, 3.1f, -24.1f, -4.1f, -31.8f)
                curveToRelative(-0.4f, -0.5f, -0.9f, -1.0f, -1.4f, -1.5f)
                curveToRelative(-1.8f, -2.4f, -4.3f, -5.8f, -7.0f, -10.0f)
                curveToRelative(27.2f, -1.2f, 63.5f, -11.0f, 74.4f, -45.4f)
                curveToRelative(5.0f, 5.0f, 8.4f, 39.1f, -3.8f, 59.0f)
                close()
                moveTo(191.9f, 187.7f)
                horizontalLineToRelative(0.2f)
                curveToRelative(12.7f, -0.1f, 27.2f, -17.8f, 27.2f, -17.8f)
                curveToRelative(-9.9f, 6.0f, -18.8f, 8.1f, -27.3f, 8.3f)
                curveToRelative(-8.5f, -0.2f, -17.4f, -2.3f, -27.3f, -8.3f)
                curveToRelative(0.0f, 0.0f, 14.5f, 17.6f, 27.2f, 17.8f)
                close()
                moveTo(253.6f, 418.4f)
                horizontalLineToRelative(-29.4f)
                curveToRelative(-4.2f, 0.0f, -7.2f, 0.9f, -8.9f, 2.7f)
                curveToRelative(-2.2f, 2.3f, -1.5f, 5.2f, -0.9f, 6.7f)
                curveToRelative(1.0f, 2.6f, 5.5f, 11.3f, 13.0f, 19.3f)
                curveToRelative(2.7f, 2.9f, 6.6f, 4.5f, 11.0f, 4.5f)
                reflectiveCurveToRelative(8.7f, -1.6f, 11.8f, -4.2f)
                curveToRelative(2.3f, -2.0f, 10.2f, -9.2f, 13.7f, -18.1f)
                curveToRelative(1.3f, -3.3f, 1.0f, -6.0f, -0.9f, -7.9f)
                curveToRelative(-1.3f, -1.3f, -4.0f, -2.9f, -9.4f, -3.0f)
                close()
            }
        }
        .build()
        return _grunt!!
    }

private var _grunt: ImageVector? = null
