package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Hips: ImageVector
    get() {
        if (_hips != null) {
            return _hips!!
        }
        _hips = Builder(name = "Hips", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(251.6f, 157.6f)
                curveToRelative(0.0f, -1.9f, -0.9f, -2.8f, -2.8f, -2.8f)
                horizontalLineToRelative(-40.9f)
                curveToRelative(-1.6f, 0.0f, -2.7f, 1.4f, -2.7f, 2.8f)
                verticalLineToRelative(201.8f)
                curveToRelative(0.0f, 1.4f, 1.1f, 2.8f, 2.7f, 2.8f)
                horizontalLineToRelative(40.9f)
                curveToRelative(1.9f, 0.0f, 2.8f, -0.9f, 2.8f, -2.8f)
                close()
                moveTo(156.5f, 168.0f)
                curveToRelative(-16.1f, -11.8f, -36.3f, -17.9f, -60.3f, -18.0f)
                curveToRelative(-18.1f, -0.1f, -34.6f, 3.7f, -49.8f, 11.4f)
                lineTo(46.4f, 80.2f)
                curveToRelative(0.0f, -1.8f, -0.9f, -2.7f, -2.8f, -2.7f)
                lineTo(2.7f, 77.5f)
                curveToRelative(-1.8f, 0.0f, -2.7f, 0.9f, -2.7f, 2.7f)
                verticalLineToRelative(279.2f)
                curveToRelative(0.0f, 1.9f, 0.9f, 2.8f, 2.7f, 2.8f)
                horizontalLineToRelative(41.0f)
                curveToRelative(1.9f, 0.0f, 2.8f, -0.9f, 2.8f, -2.8f)
                lineTo(46.5f, 223.3f)
                curveToRelative(0.0f, -0.8f, -2.8f, -27.0f, 45.8f, -27.0f)
                curveToRelative(48.5f, 0.0f, 45.8f, 26.1f, 45.8f, 27.0f)
                verticalLineToRelative(122.6f)
                curveToRelative(0.0f, 9.0f, 7.3f, 16.3f, 16.4f, 16.3f)
                horizontalLineToRelative(27.3f)
                curveToRelative(1.8f, 0.0f, 2.7f, -0.9f, 2.7f, -2.8f)
                lineTo(184.5f, 223.3f)
                curveToRelative(0.0f, -23.4f, -9.3f, -41.8f, -28.0f, -55.3f)
                close()
                moveTo(634.9f, 278.1f)
                curveToRelative(-6.8f, -15.7f, -18.4f, -27.0f, -34.9f, -34.1f)
                lineToRelative(-57.6f, -25.3f)
                curveToRelative(-8.6f, -3.6f, -9.2f, -11.2f, -2.6f, -16.1f)
                curveToRelative(7.4f, -5.5f, 44.3f, -13.9f, 84.0f, 6.8f)
                curveToRelative(1.7f, 1.0f, 4.0f, -0.3f, 4.0f, -2.4f)
                verticalLineToRelative(-44.7f)
                curveToRelative(0.0f, -1.3f, -0.6f, -2.1f, -1.9f, -2.6f)
                curveToRelative(-17.7f, -6.6f, -36.1f, -9.9f, -55.1f, -9.9f)
                curveToRelative(-26.5f, 0.0f, -45.3f, 5.8f, -58.5f, 15.4f)
                curveToRelative(-0.5f, 0.4f, -28.4f, 20.0f, -22.7f, 53.7f)
                curveToRelative(3.4f, 19.6f, 15.8f, 34.2f, 37.2f, 43.6f)
                lineToRelative(53.6f, 23.5f)
                curveToRelative(11.6f, 5.1f, 15.2f, 13.3f, 12.2f, 21.2f)
                curveToRelative(-3.7f, 9.1f, -13.2f, 13.6f, -36.5f, 13.6f)
                curveToRelative(-24.3f, 0.0f, -44.7f, -8.9f, -58.4f, -19.1f)
                curveToRelative(-2.1f, -1.4f, -4.4f, 0.2f, -4.4f, 2.3f)
                verticalLineToRelative(34.4f)
                curveToRelative(0.0f, 10.4f, 4.9f, 17.3f, 14.6f, 20.7f)
                curveToRelative(15.6f, 5.5f, 31.6f, 8.2f, 48.2f, 8.2f)
                curveToRelative(12.7f, 0.0f, 25.8f, -1.2f, 36.3f, -4.3f)
                curveToRelative(0.7f, -0.3f, 36.0f, -8.9f, 45.6f, -45.8f)
                curveToRelative(3.5f, -13.5f, 2.4f, -26.5f, -3.1f, -39.1f)
                close()
                moveTo(376.2f, 149.8f)
                curveToRelative(-31.7f, 0.0f, -104.2f, 20.1f, -104.2f, 103.5f)
                verticalLineToRelative(183.5f)
                curveToRelative(0.0f, 0.8f, 0.6f, 2.7f, 2.7f, 2.7f)
                horizontalLineToRelative(40.9f)
                curveToRelative(1.9f, 0.0f, 2.8f, -0.9f, 2.8f, -2.7f)
                lineTo(318.4f, 348.0f)
                curveToRelative(16.5f, 12.7f, 35.8f, 19.1f, 57.7f, 19.1f)
                curveToRelative(60.5f, 0.0f, 108.7f, -48.5f, 108.7f, -108.7f)
                curveToRelative(0.1f, -60.3f, -48.2f, -108.6f, -108.6f, -108.6f)
                close()
                moveTo(376.2f, 320.7f)
                curveToRelative(-17.2f, 0.0f, -31.9f, -6.1f, -44.0f, -18.2f)
                curveToRelative(-12.2f, -12.2f, -18.2f, -26.8f, -18.2f, -44.0f)
                curveToRelative(0.0f, -34.5f, 27.6f, -62.2f, 62.2f, -62.2f)
                curveToRelative(34.5f, 0.0f, 62.2f, 27.6f, 62.2f, 62.2f)
                curveToRelative(0.1f, 34.3f, -27.3f, 62.2f, -62.2f, 62.2f)
                close()
                moveTo(228.3f, 72.5f)
                curveToRelative(-15.9f, 0.0f, -28.8f, 12.9f, -28.9f, 28.9f)
                curveToRelative(0.0f, 15.6f, 12.7f, 28.9f, 28.9f, 28.9f)
                reflectiveCurveToRelative(28.9f, -13.1f, 28.9f, -28.9f)
                curveToRelative(0.0f, -16.2f, -13.0f, -28.9f, -28.9f, -28.9f)
                close()
            }
        }
        .build()
        return _hips!!
    }

private var _hips: ImageVector? = null
