package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Keybase: ImageVector
    get() {
        if (_keybase != null) {
            return _keybase!!
        }
        _keybase = Builder(name = "Keybase", defaultWidth = 448.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 448.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(286.17f, 419.0f)
                arcToRelative(18.0f, 18.0f, 0.0f, true, false, 18.0f, 18.0f)
                arcToRelative(18.0f, 18.0f, 0.0f, false, false, -18.0f, -18.0f)
                close()
                moveTo(398.09f, 271.4f)
                curveToRelative(-9.5f, -14.62f, -39.37f, -52.45f, -87.26f, -73.71f)
                quadToRelative(-9.1f, -4.06f, -18.38f, -7.27f)
                arcToRelative(78.43f, 78.43f, 0.0f, false, false, -47.88f, -104.13f)
                curveToRelative(-12.41f, -4.1f, -23.33f, -6.0f, -32.41f, -5.77f)
                curveToRelative(-0.6f, -2.0f, -1.89f, -11.0f, 9.4f, -35.0f)
                lineTo(198.66f, 32.0f)
                lineToRelative(-5.48f, 7.56f)
                curveToRelative(-8.69f, 12.06f, -16.92f, 23.55f, -24.34f, 34.89f)
                arcToRelative(51.0f, 51.0f, 0.0f, false, false, -8.29f, -1.25f)
                curveToRelative(-41.53f, -2.45f, -39.0f, -2.33f, -41.06f, -2.33f)
                curveToRelative(-50.61f, 0.0f, -50.75f, 52.12f, -50.75f, 45.88f)
                lineToRelative(-2.36f, 36.68f)
                curveToRelative(-1.61f, 27.0f, 19.75f, 50.21f, 47.63f, 51.85f)
                lineToRelative(8.93f, 0.54f)
                arcToRelative(214.0f, 214.0f, 0.0f, false, false, -46.29f, 35.54f)
                curveTo(14.0f, 304.66f, 14.0f, 374.0f, 14.0f, 429.77f)
                verticalLineToRelative(33.64f)
                lineToRelative(23.32f, -29.8f)
                arcToRelative(148.6f, 148.6f, 0.0f, false, false, 14.56f, 37.56f)
                curveToRelative(5.78f, 10.13f, 14.87f, 9.45f, 19.64f, 7.33f)
                curveToRelative(4.21f, -1.87f, 10.0f, -6.92f, 3.75f, -20.11f)
                arcToRelative(178.29f, 178.29f, 0.0f, false, true, -15.76f, -53.13f)
                lineToRelative(46.82f, -59.83f)
                lineToRelative(-24.66f, 74.11f)
                curveToRelative(58.23f, -42.4f, 157.38f, -61.76f, 236.25f, -38.59f)
                curveToRelative(34.2f, 10.05f, 67.45f, 0.69f, 84.74f, -23.84f)
                curveToRelative(0.72f, -1.0f, 1.2f, -2.16f, 1.85f, -3.22f)
                arcToRelative(156.09f, 156.09f, 0.0f, false, true, 2.8f, 28.43f)
                curveToRelative(0.0f, 23.3f, -3.69f, 52.93f, -14.88f, 81.64f)
                curveToRelative(-2.52f, 6.46f, 1.76f, 14.5f, 8.6f, 15.74f)
                curveToRelative(7.42f, 1.57f, 15.33f, -3.1f, 18.37f, -11.15f)
                curveTo(429.0f, 443.0f, 434.0f, 414.0f, 434.0f, 382.32f)
                curveToRelative(0.0f, -38.58f, -13.0f, -77.46f, -35.91f, -110.92f)
                close()
                moveTo(142.37f, 128.58f)
                lineToRelative(-15.7f, -0.93f)
                lineToRelative(-1.39f, 21.79f)
                lineToRelative(13.13f, 0.78f)
                arcToRelative(93.0f, 93.0f, 0.0f, false, false, 0.32f, 19.57f)
                lineToRelative(-22.38f, -1.34f)
                arcToRelative(12.28f, 12.28f, 0.0f, false, true, -11.76f, -12.79f)
                lineTo(107.0f, 119.0f)
                curveToRelative(1.0f, -12.17f, 13.87f, -11.27f, 13.26f, -11.32f)
                lineToRelative(29.11f, 1.73f)
                arcToRelative(144.35f, 144.35f, 0.0f, false, false, -7.0f, 19.17f)
                close()
                moveTo(290.79f, 300.76f)
                arcToRelative(10.51f, 10.51f, 0.0f, false, true, -14.35f, -1.39f)
                lineToRelative(-9.68f, -11.49f)
                lineToRelative(-34.42f, 27.0f)
                arcToRelative(8.09f, 8.09f, 0.0f, false, true, -11.13f, -1.08f)
                lineToRelative(-15.78f, -18.64f)
                arcToRelative(7.38f, 7.38f, 0.0f, false, true, 1.34f, -10.34f)
                lineToRelative(34.57f, -27.18f)
                lineToRelative(-14.14f, -16.74f)
                lineToRelative(-17.09f, 13.45f)
                arcToRelative(7.75f, 7.75f, 0.0f, false, true, -10.59f, -1.0f)
                reflectiveCurveToRelative(-3.72f, -4.42f, -3.8f, -4.53f)
                arcToRelative(7.38f, 7.38f, 0.0f, false, true, 1.37f, -10.34f)
                lineTo(214.0f, 225.19f)
                reflectiveCurveToRelative(-18.51f, -22.0f, -18.6f, -22.14f)
                arcToRelative(9.56f, 9.56f, 0.0f, false, true, 1.74f, -13.42f)
                arcToRelative(10.38f, 10.38f, 0.0f, false, true, 14.3f, 1.37f)
                lineToRelative(81.09f, 96.32f)
                arcToRelative(9.58f, 9.58f, 0.0f, false, true, -1.74f, 13.44f)
                close()
                moveTo(187.44f, 419.0f)
                arcToRelative(18.0f, 18.0f, 0.0f, true, false, 18.0f, 18.0f)
                arcToRelative(18.0f, 18.0f, 0.0f, false, false, -18.0f, -18.0f)
                close()
            }
        }
        .build()
        return _keybase!!
    }

private var _keybase: ImageVector? = null
