package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Napster: ImageVector
    get() {
        if (_napster != null) {
            return _napster!!
        }
        _napster = Builder(name = "Napster", defaultWidth = 496.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 496.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(298.3f, 373.6f)
                curveToRelative(-14.2f, 13.6f, -31.3f, 24.1f, -50.4f, 30.5f)
                curveToRelative(-19.0f, -6.4f, -36.2f, -16.9f, -50.3f, -30.5f)
                horizontalLineToRelative(100.7f)
                close()
                moveTo(342.3f, 174.0f)
                curveToRelative(20.0f, -16.9f, 43.6f, -29.2f, 69.6f, -36.2f)
                lineTo(411.9f, 299.0f)
                curveToRelative(0.0f, 219.4f, -328.0f, 217.6f, -328.0f, 0.3f)
                lineTo(83.9f, 137.7f)
                curveToRelative(25.9f, 6.9f, 49.6f, 19.6f, 69.5f, 36.4f)
                curveToRelative(56.8f, -40.0f, 132.5f, -39.9f, 188.9f, -0.1f)
                close()
                moveTo(133.5f, 115.5f)
                curveToRelative(64.4f, -60.0f, 164.3f, -60.1f, 228.9f, -0.2f)
                curveToRelative(-7.1f, 3.5f, -13.9f, 7.3f, -20.6f, 11.5f)
                curveToRelative(-58.7f, -30.5f, -129.2f, -30.4f, -187.9f, 0.1f)
                curveToRelative(-6.3f, -4.0f, -13.9f, -8.2f, -20.4f, -11.4f)
                close()
                moveTo(43.8f, 93.2f)
                verticalLineToRelative(69.3f)
                curveToRelative(-58.4f, 36.5f, -58.4f, 121.1f, 0.1f, 158.3f)
                curveToRelative(26.4f, 245.1f, 381.7f, 240.3f, 407.6f, 1.5f)
                lineToRelative(0.3f, -1.7f)
                curveToRelative(58.7f, -36.3f, 58.9f, -121.7f, 0.2f, -158.2f)
                lineTo(452.0f, 93.2f)
                curveToRelative(-17.3f, 0.5f, -34.0f, 3.0f, -50.1f, 7.4f)
                curveToRelative(-82.0f, -91.5f, -225.5f, -91.5f, -307.5f, 0.1f)
                curveToRelative(-16.3f, -4.4f, -33.1f, -7.0f, -50.6f, -7.5f)
                close()
                moveTo(259.2f, 352.0f)
                reflectiveCurveToRelative(36.0f, -0.3f, 61.3f, -1.5f)
                curveToRelative(10.2f, -0.5f, 21.1f, -4.0f, 25.5f, -6.5f)
                curveToRelative(26.3f, -15.1f, 25.4f, -39.2f, 26.2f, -47.4f)
                curveToRelative(-79.5f, -0.6f, -99.9f, -3.9f, -113.0f, 55.4f)
                close()
                moveTo(123.7f, 296.7f)
                curveToRelative(0.8f, 8.2f, -0.1f, 32.3f, 26.2f, 47.4f)
                curveToRelative(4.4f, 2.5f, 15.2f, 6.0f, 25.5f, 6.5f)
                curveToRelative(25.3f, 1.1f, 61.3f, 1.5f, 61.3f, 1.5f)
                curveToRelative(-13.2f, -59.4f, -33.7f, -56.1f, -113.0f, -55.4f)
                close()
                moveTo(292.8f, 420.1f)
                curveToRelative(-3.2f, -5.3f, -6.9f, -7.3f, -6.9f, -7.3f)
                curveToRelative(-24.8f, 7.3f, -52.2f, 6.9f, -75.9f, 0.0f)
                curveToRelative(0.0f, 0.0f, -2.9f, 1.5f, -6.4f, 6.6f)
                curveToRelative(-2.8f, 4.1f, -3.7f, 9.6f, -3.7f, 9.6f)
                curveToRelative(29.1f, 17.6f, 67.1f, 17.6f, 96.2f, 0.0f)
                curveToRelative(-0.1f, -0.1f, -0.3f, -4.0f, -3.3f, -8.9f)
                close()
            }
        }
        .build()
        return _napster!!
    }

private var _napster: ImageVector? = null
