package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Node: ImageVector
    get() {
        if (_node != null) {
            return _node!!
        }
        _node = Builder(name = "Node", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(316.3f, 452.0f)
                curveToRelative(-2.1f, 0.0f, -4.2f, -0.6f, -6.1f, -1.6f)
                lineTo(291.0f, 439.0f)
                curveToRelative(-2.9f, -1.6f, -1.5f, -2.2f, -0.5f, -2.5f)
                curveToRelative(3.8f, -1.3f, 4.6f, -1.6f, 8.7f, -4.0f)
                curveToRelative(0.4f, -0.2f, 1.0f, -0.1f, 1.4f, 0.1f)
                lineToRelative(14.8f, 8.8f)
                curveToRelative(0.5f, 0.3f, 1.3f, 0.3f, 1.8f, 0.0f)
                lineTo(375.0f, 408.0f)
                curveToRelative(0.5f, -0.3f, 0.9f, -0.9f, 0.9f, -1.6f)
                verticalLineToRelative(-66.7f)
                curveToRelative(0.0f, -0.7f, -0.3f, -1.3f, -0.9f, -1.6f)
                lineToRelative(-57.8f, -33.3f)
                curveToRelative(-0.5f, -0.3f, -1.2f, -0.3f, -1.8f, 0.0f)
                lineToRelative(-57.8f, 33.3f)
                curveToRelative(-0.6f, 0.3f, -0.9f, 1.0f, -0.9f, 1.6f)
                verticalLineToRelative(66.7f)
                curveToRelative(0.0f, 0.6f, 0.4f, 1.2f, 0.9f, 1.5f)
                lineToRelative(15.8f, 9.1f)
                curveToRelative(8.6f, 4.3f, 13.9f, -0.8f, 13.9f, -5.8f)
                verticalLineToRelative(-65.9f)
                curveToRelative(0.0f, -0.9f, 0.7f, -1.7f, 1.7f, -1.7f)
                horizontalLineToRelative(7.3f)
                curveToRelative(0.9f, 0.0f, 1.7f, 0.7f, 1.7f, 1.7f)
                verticalLineToRelative(65.9f)
                curveToRelative(0.0f, 11.5f, -6.2f, 18.0f, -17.1f, 18.0f)
                curveToRelative(-3.3f, 0.0f, -6.0f, 0.0f, -13.3f, -3.6f)
                lineToRelative(-15.2f, -8.7f)
                curveToRelative(-3.7f, -2.2f, -6.1f, -6.2f, -6.1f, -10.5f)
                verticalLineToRelative(-66.7f)
                curveToRelative(0.0f, -4.3f, 2.3f, -8.4f, 6.1f, -10.5f)
                lineToRelative(57.8f, -33.4f)
                curveToRelative(3.7f, -2.1f, 8.5f, -2.1f, 12.1f, 0.0f)
                lineToRelative(57.8f, 33.4f)
                curveToRelative(3.7f, 2.2f, 6.1f, 6.2f, 6.1f, 10.5f)
                verticalLineToRelative(66.7f)
                curveToRelative(0.0f, 4.3f, -2.3f, 8.4f, -6.1f, 10.5f)
                lineToRelative(-57.8f, 33.4f)
                curveToRelative(-1.7f, 1.1f, -3.8f, 1.7f, -6.0f, 1.7f)
                close()
                moveTo(363.0f, 386.2f)
                curveToRelative(0.0f, -12.5f, -8.4f, -15.8f, -26.2f, -18.2f)
                curveToRelative(-18.0f, -2.4f, -19.8f, -3.6f, -19.8f, -7.8f)
                curveToRelative(0.0f, -3.5f, 1.5f, -8.1f, 14.8f, -8.1f)
                curveToRelative(11.9f, 0.0f, 16.3f, 2.6f, 18.1f, 10.6f)
                curveToRelative(0.2f, 0.8f, 0.8f, 1.3f, 1.6f, 1.3f)
                horizontalLineToRelative(7.5f)
                curveToRelative(0.5f, 0.0f, 0.9f, -0.2f, 1.2f, -0.5f)
                curveToRelative(0.3f, -0.4f, 0.5f, -0.8f, 0.4f, -1.3f)
                curveToRelative(-1.2f, -13.8f, -10.3f, -20.2f, -28.8f, -20.2f)
                curveToRelative(-16.5f, 0.0f, -26.3f, 7.0f, -26.3f, 18.6f)
                curveToRelative(0.0f, 12.7f, 9.8f, 16.1f, 25.6f, 17.7f)
                curveToRelative(18.9f, 1.9f, 20.4f, 4.6f, 20.4f, 8.3f)
                curveToRelative(0.0f, 6.5f, -5.2f, 9.2f, -17.4f, 9.2f)
                curveToRelative(-15.3f, 0.0f, -18.7f, -3.8f, -19.8f, -11.4f)
                curveToRelative(-0.1f, -0.8f, -0.8f, -1.4f, -1.7f, -1.4f)
                horizontalLineToRelative(-7.5f)
                curveToRelative(-0.9f, 0.0f, -1.7f, 0.7f, -1.7f, 1.7f)
                curveToRelative(0.0f, 9.7f, 5.3f, 21.3f, 30.6f, 21.3f)
                curveToRelative(18.5f, 0.0f, 29.0f, -7.2f, 29.0f, -19.8f)
                close()
                moveTo(417.5f, 336.1f)
                curveToRelative(0.0f, 6.1f, -5.0f, 11.1f, -11.1f, 11.1f)
                reflectiveCurveToRelative(-11.1f, -5.0f, -11.1f, -11.1f)
                curveToRelative(0.0f, -6.3f, 5.2f, -11.1f, 11.1f, -11.1f)
                curveToRelative(6.0f, -0.1f, 11.1f, 4.8f, 11.1f, 11.1f)
                close()
                moveTo(415.7f, 336.1f)
                curveToRelative(0.0f, -5.2f, -4.2f, -9.3f, -9.4f, -9.3f)
                curveToRelative(-5.1f, 0.0f, -9.3f, 4.1f, -9.3f, 9.3f)
                curveToRelative(0.0f, 5.2f, 4.2f, 9.4f, 9.3f, 9.4f)
                curveToRelative(5.2f, -0.1f, 9.4f, -4.3f, 9.4f, -9.4f)
                close()
                moveTo(411.2f, 342.3f)
                horizontalLineToRelative(-2.6f)
                curveToRelative(-0.1f, -0.6f, -0.5f, -3.8f, -0.5f, -3.9f)
                curveToRelative(-0.2f, -0.7f, -0.4f, -1.1f, -1.3f, -1.1f)
                horizontalLineToRelative(-2.2f)
                verticalLineToRelative(5.0f)
                horizontalLineToRelative(-2.4f)
                verticalLineToRelative(-12.5f)
                horizontalLineToRelative(4.3f)
                curveToRelative(1.5f, 0.0f, 4.4f, 0.0f, 4.4f, 3.3f)
                curveToRelative(0.0f, 2.3f, -1.5f, 2.8f, -2.4f, 3.1f)
                curveToRelative(1.7f, 0.1f, 1.8f, 1.2f, 2.1f, 2.8f)
                curveToRelative(0.1f, 1.0f, 0.3f, 2.7f, 0.6f, 3.3f)
                close()
                moveTo(408.4f, 333.5f)
                curveToRelative(0.0f, -1.7f, -1.2f, -1.7f, -1.8f, -1.7f)
                horizontalLineToRelative(-2.0f)
                verticalLineToRelative(3.5f)
                horizontalLineToRelative(1.9f)
                curveToRelative(1.6f, 0.0f, 1.9f, -1.1f, 1.9f, -1.8f)
                close()
                moveTo(137.3f, 191.0f)
                curveToRelative(0.0f, -2.7f, -1.4f, -5.1f, -3.7f, -6.4f)
                lineToRelative(-61.3f, -35.3f)
                curveToRelative(-1.0f, -0.6f, -2.2f, -0.9f, -3.4f, -1.0f)
                horizontalLineToRelative(-0.6f)
                curveToRelative(-1.2f, 0.0f, -2.3f, 0.4f, -3.4f, 1.0f)
                lineTo(3.7f, 184.6f)
                curveTo(1.4f, 185.9f, 0.0f, 188.4f, 0.0f, 191.0f)
                lineToRelative(0.1f, 95.0f)
                curveToRelative(0.0f, 1.3f, 0.7f, 2.5f, 1.8f, 3.2f)
                curveToRelative(1.1f, 0.7f, 2.5f, 0.7f, 3.7f, 0.0f)
                lineTo(42.0f, 268.3f)
                curveToRelative(2.3f, -1.4f, 3.7f, -3.8f, 3.7f, -6.4f)
                verticalLineToRelative(-44.4f)
                curveToRelative(0.0f, -2.6f, 1.4f, -5.1f, 3.7f, -6.4f)
                lineToRelative(15.5f, -8.9f)
                curveToRelative(1.2f, -0.7f, 2.4f, -1.0f, 3.7f, -1.0f)
                curveToRelative(1.3f, 0.0f, 2.6f, 0.3f, 3.7f, 1.0f)
                lineToRelative(15.5f, 8.9f)
                curveToRelative(2.3f, 1.3f, 3.7f, 3.8f, 3.7f, 6.4f)
                verticalLineToRelative(44.4f)
                curveToRelative(0.0f, 2.6f, 1.4f, 5.1f, 3.7f, 6.4f)
                lineToRelative(36.4f, 20.9f)
                curveToRelative(1.1f, 0.7f, 2.6f, 0.7f, 3.7f, 0.0f)
                curveToRelative(1.1f, -0.6f, 1.8f, -1.9f, 1.8f, -3.2f)
                lineToRelative(0.2f, -95.0f)
                close()
                moveTo(472.5f, 87.3f)
                verticalLineToRelative(176.4f)
                curveToRelative(0.0f, 2.6f, -1.4f, 5.1f, -3.7f, 6.4f)
                lineToRelative(-61.3f, 35.4f)
                curveToRelative(-2.3f, 1.3f, -5.1f, 1.3f, -7.4f, 0.0f)
                lineToRelative(-61.3f, -35.4f)
                curveToRelative(-2.3f, -1.3f, -3.7f, -3.8f, -3.7f, -6.4f)
                verticalLineToRelative(-70.8f)
                curveToRelative(0.0f, -2.6f, 1.4f, -5.1f, 3.7f, -6.4f)
                lineToRelative(61.3f, -35.4f)
                curveToRelative(2.3f, -1.3f, 5.1f, -1.3f, 7.4f, 0.0f)
                lineToRelative(15.3f, 8.8f)
                curveToRelative(1.7f, 1.0f, 3.9f, -0.3f, 3.9f, -2.2f)
                verticalLineToRelative(-94.0f)
                curveToRelative(0.0f, -2.8f, 3.0f, -4.6f, 5.5f, -3.2f)
                lineToRelative(36.5f, 20.4f)
                curveToRelative(2.3f, 1.2f, 3.8f, 3.7f, 3.8f, 6.4f)
                close()
                moveTo(426.5f, 216.2f)
                curveToRelative(0.0f, -0.7f, -0.4f, -1.3f, -0.9f, -1.6f)
                lineToRelative(-21.0f, -12.2f)
                curveToRelative(-0.6f, -0.3f, -1.3f, -0.3f, -1.9f, 0.0f)
                lineToRelative(-21.0f, 12.2f)
                curveToRelative(-0.6f, 0.3f, -0.9f, 0.9f, -0.9f, 1.6f)
                verticalLineToRelative(24.3f)
                curveToRelative(0.0f, 0.7f, 0.4f, 1.3f, 0.9f, 1.6f)
                lineToRelative(21.0f, 12.1f)
                curveToRelative(0.6f, 0.3f, 1.3f, 0.3f, 1.8f, 0.0f)
                lineToRelative(21.0f, -12.1f)
                curveToRelative(0.6f, -0.3f, 0.9f, -0.9f, 0.9f, -1.6f)
                verticalLineToRelative(-24.3f)
                close()
                moveTo(636.3f, 215.5f)
                curveToRelative(2.3f, -1.3f, 3.7f, -3.8f, 3.7f, -6.4f)
                lineTo(640.0f, 192.0f)
                curveToRelative(0.0f, -2.6f, -1.4f, -5.1f, -3.7f, -6.4f)
                lineToRelative(-60.9f, -35.4f)
                curveToRelative(-2.3f, -1.3f, -5.1f, -1.3f, -7.4f, 0.0f)
                lineToRelative(-61.3f, 35.4f)
                curveToRelative(-2.3f, 1.3f, -3.7f, 3.8f, -3.7f, 6.4f)
                verticalLineToRelative(70.8f)
                curveToRelative(0.0f, 2.7f, 1.4f, 5.1f, 3.7f, 6.4f)
                lineToRelative(60.9f, 34.7f)
                curveToRelative(2.2f, 1.3f, 5.0f, 1.3f, 7.3f, 0.0f)
                lineToRelative(36.8f, -20.5f)
                curveToRelative(2.5f, -1.4f, 2.5f, -5.0f, 0.0f, -6.4f)
                lineTo(550.0f, 241.6f)
                curveToRelative(-1.2f, -0.7f, -1.9f, -1.9f, -1.9f, -3.2f)
                verticalLineToRelative(-22.2f)
                curveToRelative(0.0f, -1.3f, 0.7f, -2.5f, 1.9f, -3.2f)
                lineToRelative(19.2f, -11.1f)
                curveToRelative(1.1f, -0.7f, 2.6f, -0.7f, 3.7f, 0.0f)
                lineToRelative(19.2f, 11.1f)
                curveToRelative(1.1f, 0.7f, 1.9f, 1.9f, 1.9f, 3.2f)
                verticalLineToRelative(17.4f)
                curveToRelative(0.0f, 2.8f, 3.1f, 4.6f, 5.6f, 3.2f)
                lineToRelative(36.7f, -21.3f)
                close()
                moveTo(559.0f, 219.0f)
                curveToRelative(-0.4f, 0.3f, -0.7f, 0.7f, -0.7f, 1.2f)
                verticalLineToRelative(13.6f)
                curveToRelative(0.0f, 0.5f, 0.3f, 1.0f, 0.7f, 1.2f)
                lineToRelative(11.8f, 6.8f)
                curveToRelative(0.4f, 0.3f, 1.0f, 0.3f, 1.4f, 0.0f)
                lineTo(584.0f, 235.0f)
                curveToRelative(0.4f, -0.3f, 0.7f, -0.7f, 0.7f, -1.2f)
                verticalLineToRelative(-13.6f)
                curveToRelative(0.0f, -0.5f, -0.3f, -1.0f, -0.7f, -1.2f)
                lineToRelative(-11.8f, -6.8f)
                curveToRelative(-0.4f, -0.3f, -1.0f, -0.3f, -1.4f, 0.0f)
                lineTo(559.0f, 219.0f)
                close()
                moveTo(304.8f, 262.5f)
                verticalLineToRelative(-70.4f)
                curveToRelative(0.0f, -2.6f, -1.6f, -5.1f, -3.9f, -6.4f)
                lineToRelative(-61.1f, -35.2f)
                curveToRelative(-2.1f, -1.2f, -5.0f, -1.4f, -7.4f, 0.0f)
                lineToRelative(-61.1f, 35.2f)
                curveToRelative(-2.3f, 1.3f, -3.9f, 3.7f, -3.9f, 6.4f)
                verticalLineToRelative(70.4f)
                curveToRelative(0.0f, 2.8f, 1.9f, 5.2f, 4.0f, 6.4f)
                lineToRelative(61.2f, 35.2f)
                curveToRelative(2.4f, 1.4f, 5.2f, 1.3f, 7.4f, 0.0f)
                lineToRelative(61.0f, -35.2f)
                curveToRelative(1.8f, -1.0f, 3.1f, -2.7f, 3.6f, -4.7f)
                curveToRelative(0.1f, -0.5f, 0.2f, -1.1f, 0.2f, -1.7f)
                close()
                moveTo(230.5f, 137.6f)
                lineToRelative(-0.8f, 0.5f)
                horizontalLineToRelative(1.1f)
                lineToRelative(-0.3f, -0.5f)
                close()
                moveTo(306.7f, 267.8f)
                lineToRelative(-0.4f, -0.7f)
                verticalLineToRelative(0.9f)
                lineToRelative(0.4f, -0.2f)
                close()
            }
        }
        .build()
        return _node!!
    }

private var _node: ImageVector? = null
