package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Ravelry: ImageVector
    get() {
        if (_ravelry != null) {
            return _ravelry!!
        }
        _ravelry = Builder(name = "Ravelry", defaultWidth = 512.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(498.252f, 234.223f)
                curveToRelative(-1.208f, -10.34f, -1.7f, -20.826f, -3.746f, -31.0f)
                arcToRelative(310.306f, 310.306f, 0.0f, false, false, -9.622f, -36.6f)
                arcToRelative(184.068f, 184.068f, 0.0f, false, false, -30.874f, -57.5f)
                arcToRelative(251.154f, 251.154f, 0.0f, false, false, -18.818f, -21.689f)
                arcToRelative(237.362f, 237.362f, 0.0f, false, false, -47.113f, -36.116f)
                arcTo(240.8f, 240.8f, 0.0f, false, false, 331.356f, 26.65f)
                curveToRelative(-11.018f, -3.1f, -22.272f, -5.431f, -33.515f, -7.615f)
                curveToRelative(-6.78f, -1.314f, -13.749f, -1.667f, -20.627f, -2.482f)
                curveToRelative(-0.316f, -0.036f, -0.6f, -0.358f, -0.9f, -0.553f)
                quadToRelative(-16.143f, 0.009f, -32.288f, 0.006f)
                curveToRelative(-2.41f, 0.389f, -4.808f, 0.925f, -7.236f, 1.15f)
                arcToRelative(179.331f, 179.331f, 0.0f, false, false, -34.256f, 7.1f)
                arcToRelative(221.5f, 221.5f, 0.0f, false, false, -39.768f, 16.355f)
                arcToRelative(281.385f, 281.385f, 0.0f, false, false, -38.08f, 24.158f)
                curveToRelative(-6.167f, 4.61f, -12.268f, 9.36f, -17.974f, 14.518f)
                curveTo(96.539f, 88.494f, 86.34f, 97.72f, 76.785f, 107.555f)
                arcToRelative(243.878f, 243.878f, 0.0f, false, false, -33.648f, 43.95f)
                arcToRelative(206.488f, 206.488f, 0.0f, false, false, -20.494f, 44.6f)
                arcToRelative(198.2f, 198.2f, 0.0f, false, false, -7.691f, 34.759f)
                arcTo(201.13f, 201.13f, 0.0f, false, false, 13.4f, 266.385f)
                arcToRelative(299.716f, 299.716f, 0.0f, false, false, 4.425f, 40.24f)
                arcToRelative(226.865f, 226.865f, 0.0f, false, false, 16.73f, 53.3f)
                arcToRelative(210.543f, 210.543f, 0.0f, false, false, 24.0f, 39.528f)
                arcToRelative(213.589f, 213.589f, 0.0f, false, false, 26.358f, 28.416f)
                arcTo(251.313f, 251.313f, 0.0f, false, false, 126.7f, 458.455f)
                arcToRelative(287.831f, 287.831f, 0.0f, false, false, 55.9f, 25.277f)
                arcToRelative(269.5f, 269.5f, 0.0f, false, false, 40.641f, 9.835f)
                curveToRelative(6.071f, 1.01f, 12.275f, 1.253f, 18.412f, 1.873f)
                arcToRelative(4.149f, 4.149f, 0.0f, false, true, 1.19f, 0.56f)
                horizontalLineToRelative(32.289f)
                curveToRelative(2.507f, -0.389f, 5.0f, -0.937f, 7.527f, -1.143f)
                curveToRelative(16.336f, -1.332f, 32.107f, -5.335f, 47.489f, -10.717f)
                arcTo(219.992f, 219.992f, 0.0f, false, false, 379.1f, 460.322f)
                curveToRelative(9.749f, -6.447f, 19.395f, -13.077f, 28.737f, -20.1f)
                curveToRelative(5.785f, -4.348f, 10.988f, -9.5f, 16.3f, -14.457f)
                curveToRelative(3.964f, -3.7f, 7.764f, -7.578f, 11.51f, -11.5f)
                arcToRelative(232.162f, 232.162f, 0.0f, false, false, 31.427f, -41.639f)
                curveToRelative(9.542f, -16.045f, 17.355f, -32.905f, 22.3f, -50.926f)
                curveToRelative(2.859f, -10.413f, 4.947f, -21.045f, 7.017f, -31.652f)
                curveToRelative(1.032f, -5.279f, 1.251f, -10.723f, 1.87f, -16.087f)
                curveToRelative(0.036f, -0.317f, 0.358f, -0.6f, 0.552f, -0.9f)
                lineTo(498.813f, 236.005f)
                arcTo(9.757f, 9.757f, 0.0f, false, true, 498.252f, 234.223f)
                close()
                moveTo(337.135f, 233.073f)
                reflectiveCurveToRelative(-16.572f, -2.98f, -28.47f, -2.98f)
                curveToRelative(-27.2f, 0.0f, -33.57f, 14.9f, -33.57f, 37.04f)
                lineTo(275.095f, 360.8f)
                lineTo(201.582f, 360.8f)
                lineTo(201.582f, 170.062f)
                lineTo(275.1f, 170.062f)
                verticalLineToRelative(31.931f)
                curveToRelative(8.924f, -26.822f, 26.771f, -36.189f, 62.04f, -36.189f)
                close()
            }
        }
        .build()
        return _ravelry!!
    }

private var _ravelry: ImageVector? = null
