package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Shirtsinbulk: ImageVector
    get() {
        if (_shirtsinbulk != null) {
            return _shirtsinbulk!!
        }
        _shirtsinbulk = Builder(name = "Shirtsinbulk", defaultWidth = 448.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 448.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(100.0f, 410.3f)
                lineToRelative(30.6f, 13.4f)
                lineToRelative(4.4f, -9.9f)
                lineToRelative(-30.6f, -13.4f)
                close()
                moveTo(139.4f, 427.8f)
                lineToRelative(30.6f, 13.4f)
                lineToRelative(4.4f, -9.9f)
                lineToRelative(-30.6f, -13.4f)
                close()
                moveTo(311.5f, 413.8f)
                lineToRelative(4.4f, 9.9f)
                lineToRelative(30.6f, -13.4f)
                lineToRelative(-4.4f, -9.9f)
                close()
                moveTo(179.1f, 445.0f)
                lineToRelative(30.3f, 13.7f)
                lineToRelative(4.4f, -9.9f)
                lineToRelative(-30.3f, -13.4f)
                close()
                moveTo(60.4f, 392.8f)
                lineTo(91.0f, 406.2f)
                lineToRelative(4.4f, -9.6f)
                lineToRelative(-30.6f, -13.7f)
                close()
                moveTo(271.8f, 431.3f)
                lineToRelative(4.4f, 9.9f)
                lineToRelative(30.6f, -13.4f)
                lineToRelative(-4.4f, -9.9f)
                close()
                moveTo(232.5f, 448.8f)
                lineToRelative(4.4f, 9.9f)
                lineToRelative(30.6f, -13.7f)
                lineToRelative(-4.4f, -9.6f)
                close()
                moveTo(350.9f, 396.6f)
                lineToRelative(4.4f, 9.6f)
                lineToRelative(30.6f, -13.4f)
                lineToRelative(-4.4f, -9.9f)
                close()
                moveTo(170.0f, 46.6f)
                horizontalLineToRelative(-33.5f)
                verticalLineToRelative(10.5f)
                lineTo(170.0f, 57.1f)
                close()
                moveTo(122.8f, 46.6f)
                lineTo(89.2f, 46.6f)
                verticalLineToRelative(10.5f)
                horizontalLineToRelative(33.5f)
                close()
                moveTo(75.5f, 46.6f)
                lineTo(42.3f, 46.6f)
                verticalLineToRelative(10.5f)
                horizontalLineToRelative(33.3f)
                close()
                moveTo(217.0f, 46.6f)
                horizontalLineToRelative(-33.2f)
                verticalLineToRelative(10.5f)
                lineTo(217.0f, 57.1f)
                close()
                moveTo(311.5f, 46.6f)
                lineTo(278.0f, 46.6f)
                verticalLineToRelative(10.5f)
                horizontalLineToRelative(33.5f)
                close()
                moveTo(358.8f, 46.6f)
                horizontalLineToRelative(-33.5f)
                verticalLineToRelative(10.5f)
                horizontalLineToRelative(33.5f)
                close()
                moveTo(264.2f, 46.6f)
                lineTo(231.0f, 46.6f)
                verticalLineToRelative(10.5f)
                horizontalLineToRelative(33.2f)
                close()
                moveTo(405.7f, 46.6f)
                horizontalLineToRelative(-33.3f)
                verticalLineToRelative(10.5f)
                horizontalLineToRelative(33.3f)
                close()
                moveTo(52.8f, 351.1f)
                lineTo(42.0f, 351.1f)
                verticalLineToRelative(33.5f)
                horizontalLineToRelative(10.8f)
                close()
                moveTo(122.8f, 135.2f)
                lineTo(89.2f, 135.2f)
                verticalLineToRelative(10.5f)
                horizontalLineToRelative(33.5f)
                close()
                moveTo(52.8f, 145.8f)
                horizontalLineToRelative(22.8f)
                verticalLineToRelative(-10.5f)
                lineTo(42.0f, 135.3f)
                verticalLineToRelative(33.5f)
                horizontalLineToRelative(10.8f)
                close()
                moveTo(221.7f, 374.4f)
                curveToRelative(50.5f, 0.0f, 91.3f, -40.8f, 91.3f, -91.3f)
                curveToRelative(0.0f, -50.2f, -40.8f, -91.3f, -91.3f, -91.3f)
                curveToRelative(-50.2f, 0.0f, -91.3f, 41.1f, -91.3f, 91.3f)
                curveToRelative(0.0f, 50.5f, 41.1f, 91.3f, 91.3f, 91.3f)
                close()
                moveTo(173.5f, 263.3f)
                curveToRelative(0.0f, -25.4f, 29.5f, -31.8f, 49.6f, -31.8f)
                curveToRelative(16.9f, 0.0f, 29.2f, 5.8f, 44.3f, 12.0f)
                lineToRelative(-8.8f, 16.9f)
                horizontalLineToRelative(-0.9f)
                curveToRelative(-6.4f, -9.9f, -24.8f, -13.1f, -35.6f, -13.1f)
                curveToRelative(-9.0f, 0.0f, -29.8f, 1.8f, -29.8f, 14.9f)
                curveToRelative(0.0f, 21.6f, 78.5f, -10.2f, 78.5f, 37.9f)
                curveToRelative(0.0f, 25.4f, -31.5f, 31.2f, -51.0f, 31.2f)
                curveToRelative(-18.1f, 0.0f, -32.4f, -2.9f, -47.2f, -12.2f)
                lineToRelative(9.0f, -18.4f)
                horizontalLineToRelative(0.9f)
                curveToRelative(6.1f, 12.2f, 23.6f, 14.9f, 35.9f, 14.9f)
                curveToRelative(8.7f, 0.0f, 32.7f, -1.2f, 32.7f, -14.3f)
                curveToRelative(0.0f, -26.1f, -77.6f, 6.3f, -77.6f, -38.0f)
                close()
                moveTo(52.8f, 178.4f)
                lineTo(42.0f, 178.4f)
                lineTo(42.0f, 212.0f)
                horizontalLineToRelative(10.8f)
                close()
                moveTo(395.2f, 384.6f)
                lineTo(406.0f, 384.6f)
                verticalLineToRelative(-33.5f)
                horizontalLineToRelative(-10.8f)
                close()
                moveTo(52.8f, 307.9f)
                lineTo(42.0f, 307.9f)
                verticalLineToRelative(33.5f)
                horizontalLineToRelative(10.8f)
                close()
                moveTo(0.0f, 3.7f)
                verticalLineToRelative(406.0f)
                lineToRelative(221.7f, 98.6f)
                lineTo(448.0f, 409.7f)
                lineTo(448.0f, 3.7f)
                close()
                moveTo(418.8f, 390.8f)
                lineTo(222.0f, 476.5f)
                lineTo(29.2f, 390.8f)
                lineTo(29.2f, 120.7f)
                horizontalLineToRelative(389.7f)
                verticalLineToRelative(270.1f)
                close()
                moveTo(418.8f, 91.5f)
                lineTo(29.2f, 91.5f)
                lineTo(29.2f, 32.9f)
                horizontalLineToRelative(389.7f)
                verticalLineToRelative(58.6f)
                close()
                moveTo(52.8f, 221.6f)
                lineTo(42.0f, 221.6f)
                verticalLineToRelative(33.5f)
                horizontalLineToRelative(10.8f)
                close()
                moveTo(52.8f, 264.8f)
                lineTo(42.0f, 264.8f)
                verticalLineToRelative(33.5f)
                horizontalLineToRelative(10.8f)
                close()
                moveTo(170.0f, 135.2f)
                horizontalLineToRelative(-33.5f)
                verticalLineToRelative(10.5f)
                lineTo(170.0f, 145.7f)
                close()
                moveTo(395.2f, 298.3f)
                lineTo(406.0f, 298.3f)
                verticalLineToRelative(-33.5f)
                horizontalLineToRelative(-10.8f)
                close()
                moveTo(395.2f, 255.1f)
                lineTo(406.0f, 255.1f)
                verticalLineToRelative(-33.5f)
                horizontalLineToRelative(-10.8f)
                close()
                moveTo(217.0f, 135.2f)
                horizontalLineToRelative(-33.2f)
                verticalLineToRelative(10.5f)
                lineTo(217.0f, 145.7f)
                close()
                moveTo(395.2f, 212.0f)
                lineTo(406.0f, 212.0f)
                verticalLineToRelative(-33.5f)
                horizontalLineToRelative(-10.8f)
                close()
                moveTo(395.2f, 341.5f)
                lineTo(406.0f, 341.5f)
                lineTo(406.0f, 308.0f)
                horizontalLineToRelative(-10.8f)
                close()
                moveTo(264.2f, 135.2f)
                lineTo(231.0f, 135.2f)
                verticalLineToRelative(10.5f)
                horizontalLineToRelative(33.2f)
                close()
                moveTo(311.5f, 135.2f)
                lineTo(278.0f, 135.2f)
                verticalLineToRelative(10.5f)
                horizontalLineToRelative(33.5f)
                close()
                moveTo(395.2f, 168.8f)
                lineTo(406.0f, 168.8f)
                verticalLineToRelative(-33.5f)
                horizontalLineToRelative(-33.5f)
                verticalLineToRelative(10.5f)
                horizontalLineToRelative(22.8f)
                close()
                moveTo(358.8f, 135.2f)
                horizontalLineToRelative(-33.5f)
                verticalLineToRelative(10.5f)
                horizontalLineToRelative(33.5f)
                close()
            }
        }
        .build()
        return _shirtsinbulk!!
    }

private var _shirtsinbulk: ImageVector? = null
