package compose.icons.fontawesomeicons.regular

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.RegularGroup

public val RegularGroup.HandPointer: ImageVector
    get() {
        if (_handPointer != null) {
            return _handPointer!!
        }
        _handPointer = Builder(name = "HandPointer", defaultWidth = 448.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 448.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(358.182f, 179.361f)
                curveToRelative(-19.493f, -24.768f, -52.679f, -31.945f, -79.872f, -19.098f)
                curveToRelative(-15.127f, -15.687f, -36.182f, -22.487f, -56.595f, -19.629f)
                lineTo(221.715f, 67.0f)
                curveToRelative(0.0f, -36.944f, -29.736f, -67.0f, -66.286f, -67.0f)
                reflectiveCurveTo(89.143f, 30.056f, 89.143f, 67.0f)
                verticalLineToRelative(161.129f)
                curveToRelative(-19.909f, -7.41f, -43.272f, -5.094f, -62.083f, 8.872f)
                curveToRelative(-29.355f, 21.795f, -35.793f, 63.333f, -14.55f, 93.152f)
                lineToRelative(109.699f, 154.001f)
                curveTo(134.632f, 501.59f, 154.741f, 512.0f, 176.0f, 512.0f)
                horizontalLineToRelative(178.286f)
                curveToRelative(30.802f, 0.0f, 57.574f, -21.5f, 64.557f, -51.797f)
                lineToRelative(27.429f, -118.999f)
                arcTo(67.873f, 67.873f, 0.0f, false, false, 448.0f, 326.0f)
                verticalLineToRelative(-84.0f)
                curveToRelative(0.0f, -46.844f, -46.625f, -79.273f, -89.818f, -62.639f)
                close()
                moveTo(80.985f, 279.697f)
                lineToRelative(27.126f, 38.079f)
                curveToRelative(8.995f, 12.626f, 29.031f, 6.287f, 29.031f, -9.283f)
                lineTo(137.142f, 67.0f)
                curveToRelative(0.0f, -25.12f, 36.571f, -25.16f, 36.571f, 0.0f)
                verticalLineToRelative(175.0f)
                curveToRelative(0.0f, 8.836f, 7.163f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(6.857f)
                curveToRelative(8.837f, 0.0f, 16.0f, -7.164f, 16.0f, -16.0f)
                verticalLineToRelative(-35.0f)
                curveToRelative(0.0f, -25.12f, 36.571f, -25.16f, 36.571f, 0.0f)
                verticalLineToRelative(35.0f)
                curveToRelative(0.0f, 8.836f, 7.163f, 16.0f, 16.0f, 16.0f)
                lineTo(272.0f, 258.0f)
                curveToRelative(8.837f, 0.0f, 16.0f, -7.164f, 16.0f, -16.0f)
                verticalLineToRelative(-21.0f)
                curveToRelative(0.0f, -25.12f, 36.571f, -25.16f, 36.571f, 0.0f)
                verticalLineToRelative(21.0f)
                curveToRelative(0.0f, 8.836f, 7.163f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(6.857f)
                curveToRelative(8.837f, 0.0f, 16.0f, -7.164f, 16.0f, -16.0f)
                curveToRelative(0.0f, -25.121f, 36.571f, -25.16f, 36.571f, 0.0f)
                verticalLineToRelative(84.0f)
                curveToRelative(0.0f, 1.488f, -0.169f, 2.977f, -0.502f, 4.423f)
                lineToRelative(-27.43f, 119.001f)
                curveToRelative(-1.978f, 8.582f, -9.29f, 14.576f, -17.782f, 14.576f)
                lineTo(176.0f, 464.0f)
                curveToRelative(-5.769f, 0.0f, -11.263f, -2.878f, -14.697f, -7.697f)
                lineToRelative(-109.712f, -154.0f)
                curveToRelative(-14.406f, -20.223f, 14.994f, -42.818f, 29.394f, -22.606f)
                close()
                moveTo(176.143f, 400.0f)
                verticalLineToRelative(-96.0f)
                curveToRelative(0.0f, -8.837f, 6.268f, -16.0f, 14.0f, -16.0f)
                horizontalLineToRelative(6.0f)
                curveToRelative(7.732f, 0.0f, 14.0f, 7.163f, 14.0f, 16.0f)
                verticalLineToRelative(96.0f)
                curveToRelative(0.0f, 8.837f, -6.268f, 16.0f, -14.0f, 16.0f)
                horizontalLineToRelative(-6.0f)
                curveToRelative(-7.733f, 0.0f, -14.0f, -7.163f, -14.0f, -16.0f)
                close()
                moveTo(251.571f, 400.0f)
                verticalLineToRelative(-96.0f)
                curveToRelative(0.0f, -8.837f, 6.268f, -16.0f, 14.0f, -16.0f)
                horizontalLineToRelative(6.0f)
                curveToRelative(7.732f, 0.0f, 14.0f, 7.163f, 14.0f, 16.0f)
                verticalLineToRelative(96.0f)
                curveToRelative(0.0f, 8.837f, -6.268f, 16.0f, -14.0f, 16.0f)
                horizontalLineToRelative(-6.0f)
                curveToRelative(-7.732f, 0.0f, -14.0f, -7.163f, -14.0f, -16.0f)
                close()
                moveTo(327.0f, 400.0f)
                verticalLineToRelative(-96.0f)
                curveToRelative(0.0f, -8.837f, 6.268f, -16.0f, 14.0f, -16.0f)
                horizontalLineToRelative(6.0f)
                curveToRelative(7.732f, 0.0f, 14.0f, 7.163f, 14.0f, 16.0f)
                verticalLineToRelative(96.0f)
                curveToRelative(0.0f, 8.837f, -6.268f, 16.0f, -14.0f, 16.0f)
                horizontalLineToRelative(-6.0f)
                curveToRelative(-7.732f, 0.0f, -14.0f, -7.163f, -14.0f, -16.0f)
                close()
            }
        }
        .build()
        return _handPointer!!
    }

private var _handPointer: ImageVector? = null
