package compose.icons.fontawesomeicons.regular

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.RegularGroup

public val RegularGroup.Handshake: ImageVector
    get() {
        if (_handshake != null) {
            return _handshake!!
        }
        _handshake = Builder(name = "Handshake", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(519.2f, 127.9f)
                lineToRelative(-47.6f, -47.6f)
                arcTo(56.252f, 56.252f, 0.0f, false, false, 432.0f, 64.0f)
                lineTo(205.2f, 64.0f)
                curveToRelative(-14.8f, 0.0f, -29.1f, 5.9f, -39.6f, 16.3f)
                lineTo(118.0f, 127.9f)
                lineTo(0.0f, 127.9f)
                verticalLineToRelative(255.7f)
                horizontalLineToRelative(64.0f)
                curveToRelative(17.6f, 0.0f, 31.8f, -14.2f, 31.9f, -31.7f)
                horizontalLineToRelative(9.1f)
                lineToRelative(84.6f, 76.4f)
                curveToRelative(30.9f, 25.1f, 73.8f, 25.7f, 105.6f, 3.8f)
                curveToRelative(12.5f, 10.8f, 26.0f, 15.9f, 41.1f, 15.9f)
                curveToRelative(18.2f, 0.0f, 35.3f, -7.4f, 48.8f, -24.0f)
                curveToRelative(22.1f, 8.7f, 48.2f, 2.6f, 64.0f, -16.8f)
                lineToRelative(26.2f, -32.3f)
                curveToRelative(5.6f, -6.9f, 9.1f, -14.8f, 10.9f, -23.0f)
                horizontalLineToRelative(57.9f)
                curveToRelative(0.1f, 17.5f, 14.4f, 31.7f, 31.9f, 31.7f)
                horizontalLineToRelative(64.0f)
                lineTo(640.0f, 127.9f)
                lineTo(519.2f, 127.9f)
                close()
                moveTo(48.0f, 351.6f)
                curveToRelative(-8.8f, 0.0f, -16.0f, -7.2f, -16.0f, -16.0f)
                reflectiveCurveToRelative(7.2f, -16.0f, 16.0f, -16.0f)
                reflectiveCurveToRelative(16.0f, 7.2f, 16.0f, 16.0f)
                curveToRelative(0.0f, 8.9f, -7.2f, 16.0f, -16.0f, 16.0f)
                close()
                moveTo(438.0f, 344.7f)
                lineToRelative(-26.1f, 32.2f)
                curveToRelative(-2.8f, 3.4f, -7.8f, 4.0f, -11.3f, 1.2f)
                lineToRelative(-23.9f, -19.4f)
                lineToRelative(-30.0f, 36.5f)
                curveToRelative(-6.0f, 7.3f, -15.0f, 4.8f, -18.0f, 2.4f)
                lineToRelative(-36.8f, -31.5f)
                lineToRelative(-15.6f, 19.2f)
                curveToRelative(-13.9f, 17.1f, -39.2f, 19.7f, -55.3f, 6.6f)
                lineToRelative(-97.3f, -88.0f)
                lineTo(96.0f, 303.9f)
                lineTo(96.0f, 175.8f)
                horizontalLineToRelative(41.9f)
                lineToRelative(61.7f, -61.6f)
                curveToRelative(2.0f, -0.8f, 3.7f, -1.5f, 5.7f, -2.3f)
                lineTo(262.0f, 111.9f)
                lineToRelative(-38.7f, 35.5f)
                curveToRelative(-29.4f, 26.9f, -31.1f, 72.3f, -4.4f, 101.3f)
                curveToRelative(14.8f, 16.2f, 61.2f, 41.2f, 101.5f, 4.4f)
                lineToRelative(8.2f, -7.5f)
                lineToRelative(108.2f, 87.8f)
                curveToRelative(3.4f, 2.8f, 3.9f, 7.9f, 1.2f, 11.3f)
                close()
                moveTo(544.0f, 303.9f)
                horizontalLineToRelative(-69.2f)
                curveToRelative(-2.3f, -2.8f, -4.9f, -5.4f, -7.7f, -7.7f)
                lineToRelative(-102.7f, -83.4f)
                lineToRelative(12.5f, -11.4f)
                curveToRelative(6.5f, -6.0f, 7.0f, -16.1f, 1.0f, -22.6f)
                lineTo(367.0f, 167.1f)
                curveToRelative(-6.0f, -6.5f, -16.1f, -6.9f, -22.6f, -1.0f)
                lineToRelative(-55.2f, 50.6f)
                curveToRelative(-9.5f, 8.7f, -25.7f, 9.4f, -34.6f, 0.0f)
                curveToRelative(-9.3f, -9.9f, -8.5f, -25.1f, 1.2f, -33.9f)
                lineToRelative(65.6f, -60.1f)
                curveToRelative(7.4f, -6.8f, 17.0f, -10.5f, 27.0f, -10.5f)
                lineToRelative(83.7f, -0.2f)
                curveToRelative(2.1f, 0.0f, 4.1f, 0.8f, 5.5f, 2.3f)
                lineToRelative(61.7f, 61.6f)
                lineTo(544.0f, 175.9f)
                verticalLineToRelative(128.0f)
                close()
                moveTo(592.0f, 351.6f)
                curveToRelative(-8.8f, 0.0f, -16.0f, -7.2f, -16.0f, -16.0f)
                reflectiveCurveToRelative(7.2f, -16.0f, 16.0f, -16.0f)
                reflectiveCurveToRelative(16.0f, 7.2f, 16.0f, 16.0f)
                curveToRelative(0.0f, 8.9f, -7.2f, 16.0f, -16.0f, 16.0f)
                close()
            }
        }
        .build()
        return _handshake!!
    }

private var _handshake: ImageVector? = null
