package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.BlenderPhone: ImageVector
    get() {
        if (_blenderPhone != null) {
            return _blenderPhone!!
        }
        _blenderPhone = Builder(name = "BlenderPhone", defaultWidth = 576.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 576.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(392.0f, 64.0f)
                horizontalLineToRelative(166.54f)
                lineTo(576.0f, 0.0f)
                lineTo(192.0f, 0.0f)
                verticalLineToRelative(352.0f)
                horizontalLineToRelative(288.0f)
                lineToRelative(17.46f, -64.0f)
                lineTo(392.0f, 288.0f)
                curveToRelative(-4.42f, 0.0f, -8.0f, -3.58f, -8.0f, -8.0f)
                verticalLineToRelative(-16.0f)
                curveToRelative(0.0f, -4.42f, 3.58f, -8.0f, 8.0f, -8.0f)
                horizontalLineToRelative(114.18f)
                lineToRelative(17.46f, -64.0f)
                lineTo(392.0f, 192.0f)
                curveToRelative(-4.42f, 0.0f, -8.0f, -3.58f, -8.0f, -8.0f)
                verticalLineToRelative(-16.0f)
                curveToRelative(0.0f, -4.42f, 3.58f, -8.0f, 8.0f, -8.0f)
                horizontalLineToRelative(140.36f)
                lineToRelative(17.46f, -64.0f)
                lineTo(392.0f, 96.0f)
                curveToRelative(-4.42f, 0.0f, -8.0f, -3.58f, -8.0f, -8.0f)
                lineTo(384.0f, 72.0f)
                curveToRelative(0.0f, -4.42f, 3.58f, -8.0f, 8.0f, -8.0f)
                close()
                moveTo(158.8f, 335.01f)
                lineToRelative(-25.78f, -63.26f)
                curveToRelative(-2.78f, -6.81f, -9.8f, -10.99f, -17.24f, -10.26f)
                lineToRelative(-45.03f, 4.42f)
                curveToRelative(-17.28f, -46.94f, -17.65f, -99.78f, 0.0f, -147.72f)
                lineToRelative(45.03f, 4.42f)
                curveToRelative(7.43f, 0.73f, 14.46f, -3.46f, 17.24f, -10.26f)
                lineToRelative(25.78f, -63.26f)
                curveToRelative(3.02f, -7.39f, 0.2f, -15.85f, -6.68f, -20.07f)
                lineToRelative(-39.28f, -24.1f)
                curveTo(98.51f, -3.87f, 80.09f, -0.5f, 68.95f, 11.97f)
                curveToRelative(-92.57f, 103.6f, -92.0f, 259.55f, 2.1f, 362.49f)
                curveToRelative(9.87f, 10.8f, 29.12f, 12.48f, 41.65f, 4.8f)
                lineToRelative(39.41f, -24.18f)
                curveToRelative(6.89f, -4.22f, 9.7f, -12.67f, 6.69f, -20.07f)
                close()
                moveTo(480.0f, 384.0f)
                lineTo(192.0f, 384.0f)
                curveToRelative(-35.35f, 0.0f, -64.0f, 28.65f, -64.0f, 64.0f)
                verticalLineToRelative(32.0f)
                curveToRelative(0.0f, 17.67f, 14.33f, 32.0f, 32.0f, 32.0f)
                horizontalLineToRelative(352.0f)
                curveToRelative(17.67f, 0.0f, 32.0f, -14.33f, 32.0f, -32.0f)
                verticalLineToRelative(-32.0f)
                curveToRelative(0.0f, -35.35f, -28.65f, -64.0f, -64.0f, -64.0f)
                close()
                moveTo(336.0f, 480.0f)
                curveToRelative(-17.67f, 0.0f, -32.0f, -14.33f, -32.0f, -32.0f)
                reflectiveCurveToRelative(14.33f, -32.0f, 32.0f, -32.0f)
                reflectiveCurveToRelative(32.0f, 14.33f, 32.0f, 32.0f)
                reflectiveCurveToRelative(-14.33f, 32.0f, -32.0f, 32.0f)
                close()
            }
        }
        .build()
        return _blenderPhone!!
    }

private var _blenderPhone: ImageVector? = null
