package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.FileContract: ImageVector
    get() {
        if (_fileContract != null) {
            return _fileContract!!
        }
        _fileContract = Builder(name = "FileContract", defaultWidth = 384.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 384.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(224.0f, 136.0f)
                lineTo(224.0f, 0.0f)
                lineTo(24.0f, 0.0f)
                curveTo(10.7f, 0.0f, 0.0f, 10.7f, 0.0f, 24.0f)
                verticalLineToRelative(464.0f)
                curveToRelative(0.0f, 13.3f, 10.7f, 24.0f, 24.0f, 24.0f)
                horizontalLineToRelative(336.0f)
                curveToRelative(13.3f, 0.0f, 24.0f, -10.7f, 24.0f, -24.0f)
                lineTo(384.0f, 160.0f)
                lineTo(248.0f, 160.0f)
                curveToRelative(-13.2f, 0.0f, -24.0f, -10.8f, -24.0f, -24.0f)
                close()
                moveTo(64.0f, 72.0f)
                curveToRelative(0.0f, -4.42f, 3.58f, -8.0f, 8.0f, -8.0f)
                horizontalLineToRelative(80.0f)
                curveToRelative(4.42f, 0.0f, 8.0f, 3.58f, 8.0f, 8.0f)
                verticalLineToRelative(16.0f)
                curveToRelative(0.0f, 4.42f, -3.58f, 8.0f, -8.0f, 8.0f)
                lineTo(72.0f, 96.0f)
                curveToRelative(-4.42f, 0.0f, -8.0f, -3.58f, -8.0f, -8.0f)
                lineTo(64.0f, 72.0f)
                close()
                moveTo(64.0f, 136.0f)
                curveToRelative(0.0f, -4.42f, 3.58f, -8.0f, 8.0f, -8.0f)
                horizontalLineToRelative(80.0f)
                curveToRelative(4.42f, 0.0f, 8.0f, 3.58f, 8.0f, 8.0f)
                verticalLineToRelative(16.0f)
                curveToRelative(0.0f, 4.42f, -3.58f, 8.0f, -8.0f, 8.0f)
                lineTo(72.0f, 160.0f)
                curveToRelative(-4.42f, 0.0f, -8.0f, -3.58f, -8.0f, -8.0f)
                verticalLineToRelative(-16.0f)
                close()
                moveTo(256.81f, 384.0f)
                lineTo(304.0f, 384.0f)
                curveToRelative(8.84f, 0.0f, 16.0f, 7.16f, 16.0f, 16.0f)
                reflectiveCurveToRelative(-7.16f, 16.0f, -16.0f, 16.0f)
                horizontalLineToRelative(-47.19f)
                curveToRelative(-16.45f, 0.0f, -31.27f, -9.14f, -38.64f, -23.86f)
                curveToRelative(-2.95f, -5.92f, -8.09f, -6.52f, -10.17f, -6.52f)
                reflectiveCurveToRelative(-7.22f, 0.59f, -10.02f, 6.19f)
                lineToRelative(-7.67f, 15.34f)
                arcToRelative(15.986f, 15.986f, 0.0f, false, true, -14.31f, 8.84f)
                curveToRelative(-0.38f, 0.0f, -0.75f, -0.02f, -1.14f, -0.05f)
                curveToRelative(-6.45f, -0.45f, -12.0f, -4.75f, -14.03f, -10.89f)
                lineTo(144.0f, 354.59f)
                lineToRelative(-10.61f, 31.88f)
                curveToRelative(-5.89f, 17.66f, -22.38f, 29.53f, -41.0f, 29.53f)
                lineTo(80.0f, 416.0f)
                curveToRelative(-8.84f, 0.0f, -16.0f, -7.16f, -16.0f, -16.0f)
                reflectiveCurveToRelative(7.16f, -16.0f, 16.0f, -16.0f)
                horizontalLineToRelative(12.39f)
                curveToRelative(4.83f, 0.0f, 9.11f, -3.08f, 10.64f, -7.66f)
                lineToRelative(18.19f, -54.64f)
                curveToRelative(3.3f, -9.81f, 12.44f, -16.41f, 22.78f, -16.41f)
                reflectiveCurveToRelative(19.48f, 6.59f, 22.77f, 16.41f)
                lineToRelative(13.88f, 41.64f)
                curveToRelative(19.77f, -16.19f, 54.05f, -9.7f, 66.0f, 14.16f)
                curveToRelative(2.02f, 4.06f, 5.96f, 6.5f, 10.16f, 6.5f)
                close()
                moveTo(377.0f, 105.0f)
                lineTo(279.1f, 7.0f)
                curveToRelative(-4.5f, -4.5f, -10.6f, -7.0f, -17.0f, -7.0f)
                lineTo(256.0f, 0.0f)
                verticalLineToRelative(128.0f)
                horizontalLineToRelative(128.0f)
                verticalLineToRelative(-6.1f)
                curveToRelative(0.0f, -6.3f, -2.5f, -12.4f, -7.0f, -16.9f)
                close()
            }
        }
        .build()
        return _fileContract!!
    }

private var _fileContract: ImageVector? = null
