package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Hryvnia: ImageVector
    get() {
        if (_hryvnia != null) {
            return _hryvnia!!
        }
        _hryvnia = Builder(name = "Hryvnia", defaultWidth = 384.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 384.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(368.0f, 240.0f)
                curveToRelative(8.84f, 0.0f, 16.0f, -7.16f, 16.0f, -16.0f)
                verticalLineToRelative(-32.0f)
                curveToRelative(0.0f, -8.84f, -7.16f, -16.0f, -16.0f, -16.0f)
                horizontalLineToRelative(-41.86f)
                curveToRelative(13.41f, -28.63f, 13.74f, -63.33f, -4.13f, -94.05f)
                curveTo(303.34f, 49.84f, 267.1f, 32.0f, 229.96f, 32.0f)
                horizontalLineToRelative(-78.82f)
                curveToRelative(-24.32f, 0.0f, -47.86f, 8.53f, -66.54f, 24.09f)
                lineTo(72.83f, 65.9f)
                curveToRelative(-10.18f, 8.49f, -11.56f, 23.62f, -3.07f, 33.8f)
                lineToRelative(20.49f, 24.59f)
                curveToRelative(8.49f, 10.19f, 23.62f, 11.56f, 33.81f, 3.07f)
                lineToRelative(11.73f, -9.78f)
                curveToRelative(4.32f, -3.6f, 9.77f, -5.57f, 15.39f, -5.57f)
                horizontalLineToRelative(83.62f)
                curveToRelative(11.69f, 0.0f, 21.2f, 9.52f, 21.2f, 21.2f)
                curveToRelative(0.0f, 5.91f, -2.48f, 11.58f, -6.81f, 15.58f)
                lineTo(219.7f, 176.0f)
                horizontalLineTo(16.0f)
                curveToRelative(-8.84f, 0.0f, -16.0f, 7.16f, -16.0f, 16.0f)
                verticalLineToRelative(32.0f)
                curveToRelative(0.0f, 8.84f, 7.16f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(134.37f)
                lineToRelative(-34.67f, 32.0f)
                horizontalLineTo(16.0f)
                curveToRelative(-8.84f, 0.0f, -16.0f, 7.16f, -16.0f, 16.0f)
                verticalLineToRelative(32.0f)
                curveToRelative(0.0f, 8.84f, 7.16f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(41.86f)
                curveToRelative(-13.41f, 28.63f, -13.74f, 63.33f, 4.13f, 94.05f)
                curveTo(80.66f, 462.15f, 116.9f, 480.0f, 154.04f, 480.0f)
                horizontalLineToRelative(78.82f)
                curveToRelative(24.32f, 0.0f, 47.86f, -8.53f, 66.54f, -24.09f)
                lineToRelative(11.77f, -9.81f)
                curveToRelative(10.18f, -8.49f, 11.56f, -23.62f, 3.07f, -33.8f)
                lineToRelative(-20.49f, -24.59f)
                curveToRelative(-8.49f, -10.19f, -23.62f, -11.56f, -33.81f, -3.07f)
                lineToRelative(-11.75f, 9.8f)
                arcToRelative(23.992f, 23.992f, 0.0f, false, true, -15.36f, 5.56f)
                horizontalLineTo(149.2f)
                curveToRelative(-11.69f, 0.0f, -21.2f, -9.52f, -21.2f, -21.2f)
                curveToRelative(0.0f, -5.91f, 2.48f, -11.58f, 6.81f, -15.58f)
                lineTo(164.3f, 336.0f)
                horizontalLineTo(368.0f)
                curveToRelative(8.84f, 0.0f, 16.0f, -7.16f, 16.0f, -16.0f)
                verticalLineToRelative(-32.0f)
                curveToRelative(0.0f, -8.84f, -7.16f, -16.0f, -16.0f, -16.0f)
                horizontalLineTo(233.63f)
                lineToRelative(34.67f, -32.0f)
                horizontalLineTo(368.0f)
                close()
            }
        }
        .build()
        return _hryvnia!!
    }

private var _hryvnia: ImageVector? = null
