package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Language: ImageVector
    get() {
        if (_language != null) {
            return _language!!
        }
        _language = Builder(name = "Language", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(152.1f, 236.2f)
                curveToRelative(-3.5f, -12.1f, -7.8f, -33.2f, -7.8f, -33.2f)
                horizontalLineToRelative(-0.5f)
                reflectiveCurveToRelative(-4.3f, 21.1f, -7.8f, 33.2f)
                lineToRelative(-11.1f, 37.5f)
                lineTo(163.0f, 273.7f)
                close()
                moveTo(616.0f, 96.0f)
                lineTo(336.0f, 96.0f)
                verticalLineToRelative(320.0f)
                horizontalLineToRelative(280.0f)
                curveToRelative(13.3f, 0.0f, 24.0f, -10.7f, 24.0f, -24.0f)
                lineTo(640.0f, 120.0f)
                curveToRelative(0.0f, -13.3f, -10.7f, -24.0f, -24.0f, -24.0f)
                close()
                moveTo(592.0f, 216.0f)
                curveToRelative(0.0f, 6.6f, -5.4f, 12.0f, -12.0f, 12.0f)
                horizontalLineToRelative(-11.4f)
                curveToRelative(-6.9f, 23.6f, -21.7f, 47.4f, -42.7f, 69.9f)
                curveToRelative(8.4f, 6.4f, 17.1f, 12.5f, 26.1f, 18.0f)
                curveToRelative(5.5f, 3.4f, 7.3f, 10.5f, 4.1f, 16.2f)
                lineToRelative(-7.9f, 13.9f)
                curveToRelative(-3.4f, 5.9f, -10.9f, 7.8f, -16.7f, 4.3f)
                curveToRelative(-12.6f, -7.8f, -24.5f, -16.1f, -35.4f, -24.9f)
                curveToRelative(-10.9f, 8.7f, -22.7f, 17.1f, -35.4f, 24.9f)
                curveToRelative(-5.8f, 3.5f, -13.3f, 1.6f, -16.7f, -4.3f)
                lineToRelative(-7.9f, -13.9f)
                curveToRelative(-3.2f, -5.6f, -1.4f, -12.8f, 4.2f, -16.2f)
                curveToRelative(9.3f, -5.7f, 18.0f, -11.7f, 26.1f, -18.0f)
                curveToRelative(-7.9f, -8.4f, -14.9f, -17.0f, -21.0f, -25.7f)
                curveToRelative(-4.0f, -5.7f, -2.2f, -13.6f, 3.7f, -17.1f)
                lineToRelative(6.5f, -3.9f)
                lineToRelative(7.3f, -4.3f)
                curveToRelative(5.4f, -3.2f, 12.4f, -1.7f, 16.0f, 3.4f)
                curveToRelative(5.0f, 7.0f, 10.8f, 14.0f, 17.4f, 20.9f)
                curveToRelative(13.5f, -14.2f, 23.8f, -28.9f, 30.0f, -43.2f)
                lineTo(412.0f, 228.0f)
                curveToRelative(-6.6f, 0.0f, -12.0f, -5.4f, -12.0f, -12.0f)
                verticalLineToRelative(-16.0f)
                curveToRelative(0.0f, -6.6f, 5.4f, -12.0f, 12.0f, -12.0f)
                horizontalLineToRelative(64.0f)
                verticalLineToRelative(-16.0f)
                curveToRelative(0.0f, -6.6f, 5.4f, -12.0f, 12.0f, -12.0f)
                horizontalLineToRelative(16.0f)
                curveToRelative(6.6f, 0.0f, 12.0f, 5.4f, 12.0f, 12.0f)
                verticalLineToRelative(16.0f)
                horizontalLineToRelative(64.0f)
                curveToRelative(6.6f, 0.0f, 12.0f, 5.4f, 12.0f, 12.0f)
                close()
                moveTo(0.0f, 120.0f)
                verticalLineToRelative(272.0f)
                curveToRelative(0.0f, 13.3f, 10.7f, 24.0f, 24.0f, 24.0f)
                horizontalLineToRelative(280.0f)
                lineTo(304.0f, 96.0f)
                lineTo(24.0f, 96.0f)
                curveToRelative(-13.3f, 0.0f, -24.0f, 10.7f, -24.0f, 24.0f)
                close()
                moveTo(58.9f, 336.1f)
                lineTo(116.4f, 167.0f)
                curveToRelative(1.7f, -4.9f, 6.2f, -8.1f, 11.4f, -8.1f)
                horizontalLineToRelative(32.5f)
                curveToRelative(5.1f, 0.0f, 9.7f, 3.3f, 11.4f, 8.1f)
                lineToRelative(57.5f, 169.1f)
                curveToRelative(2.6f, 7.8f, -3.1f, 15.9f, -11.4f, 15.9f)
                horizontalLineToRelative(-22.9f)
                arcToRelative(12.0f, 12.0f, 0.0f, false, true, -11.5f, -8.6f)
                lineToRelative(-9.4f, -31.9f)
                horizontalLineToRelative(-60.2f)
                lineToRelative(-9.1f, 31.8f)
                curveToRelative(-1.5f, 5.1f, -6.2f, 8.7f, -11.5f, 8.7f)
                lineTo(70.3f, 352.0f)
                curveToRelative(-8.2f, 0.0f, -14.0f, -8.1f, -11.4f, -15.9f)
                close()
            }
        }
        .build()
        return _language!!
    }

private var _language: ImageVector? = null
