package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Swimmer: ImageVector
    get() {
        if (_swimmer != null) {
            return _swimmer!!
        }
        _swimmer = Builder(name = "Swimmer", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(189.61f, 310.58f)
                curveToRelative(3.54f, 3.26f, 15.27f, 9.42f, 34.39f, 9.42f)
                reflectiveCurveToRelative(30.86f, -6.16f, 34.39f, -9.42f)
                curveToRelative(16.02f, -14.77f, 34.5f, -22.58f, 53.46f, -22.58f)
                horizontalLineToRelative(16.3f)
                curveToRelative(18.96f, 0.0f, 37.45f, 7.81f, 53.46f, 22.58f)
                curveToRelative(3.54f, 3.26f, 15.27f, 9.42f, 34.39f, 9.42f)
                reflectiveCurveToRelative(30.86f, -6.16f, 34.39f, -9.42f)
                curveToRelative(14.86f, -13.71f, 31.88f, -21.12f, 49.39f, -22.16f)
                lineToRelative(-112.84f, -80.6f)
                lineToRelative(18.0f, -12.86f)
                curveToRelative(3.64f, -2.58f, 8.28f, -3.52f, 12.62f, -2.61f)
                lineToRelative(100.35f, 21.53f)
                curveToRelative(25.91f, 5.53f, 51.44f, -10.97f, 57.0f, -36.88f)
                curveToRelative(5.55f, -25.92f, -10.95f, -51.44f, -36.88f, -57.0f)
                lineTo(437.68f, 98.47f)
                curveToRelative(-30.73f, -6.58f, -63.02f, 0.12f, -88.56f, 18.38f)
                lineToRelative(-80.02f, 57.17f)
                curveToRelative(-10.38f, 7.39f, -19.36f, 16.44f, -26.72f, 26.94f)
                lineTo(173.75f, 299.0f)
                curveToRelative(5.47f, 3.23f, 10.82f, 6.93f, 15.86f, 11.58f)
                close()
                moveTo(624.0f, 352.0f)
                horizontalLineToRelative(-16.0f)
                curveToRelative(-26.04f, 0.0f, -45.8f, -8.42f, -56.09f, -17.9f)
                curveToRelative(-8.9f, -8.21f, -19.66f, -14.1f, -31.77f, -14.1f)
                horizontalLineToRelative(-16.3f)
                curveToRelative(-12.11f, 0.0f, -22.87f, 5.89f, -31.77f, 14.1f)
                curveTo(461.8f, 343.58f, 442.04f, 352.0f, 416.0f, 352.0f)
                reflectiveCurveToRelative(-45.8f, -8.42f, -56.09f, -17.9f)
                curveToRelative(-8.9f, -8.21f, -19.66f, -14.1f, -31.77f, -14.1f)
                horizontalLineToRelative(-16.3f)
                curveToRelative(-12.11f, 0.0f, -22.87f, 5.89f, -31.77f, 14.1f)
                curveTo(269.8f, 343.58f, 250.04f, 352.0f, 224.0f, 352.0f)
                reflectiveCurveToRelative(-45.8f, -8.42f, -56.09f, -17.9f)
                curveToRelative(-8.9f, -8.21f, -19.66f, -14.1f, -31.77f, -14.1f)
                horizontalLineToRelative(-16.3f)
                curveToRelative(-12.11f, 0.0f, -22.87f, 5.89f, -31.77f, 14.1f)
                curveTo(77.8f, 343.58f, 58.04f, 352.0f, 32.0f, 352.0f)
                lineTo(16.0f, 352.0f)
                curveToRelative(-8.84f, 0.0f, -16.0f, 7.16f, -16.0f, 16.0f)
                verticalLineToRelative(32.0f)
                curveToRelative(0.0f, 8.84f, 7.16f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(16.0f)
                curveToRelative(38.62f, 0.0f, 72.72f, -12.19f, 96.0f, -31.84f)
                curveToRelative(23.28f, 19.66f, 57.38f, 31.84f, 96.0f, 31.84f)
                reflectiveCurveToRelative(72.72f, -12.19f, 96.0f, -31.84f)
                curveToRelative(23.28f, 19.66f, 57.38f, 31.84f, 96.0f, 31.84f)
                reflectiveCurveToRelative(72.72f, -12.19f, 96.0f, -31.84f)
                curveToRelative(23.28f, 19.66f, 57.38f, 31.84f, 96.0f, 31.84f)
                horizontalLineToRelative(16.0f)
                curveToRelative(8.84f, 0.0f, 16.0f, -7.16f, 16.0f, -16.0f)
                verticalLineToRelative(-32.0f)
                curveToRelative(0.0f, -8.84f, -7.16f, -16.0f, -16.0f, -16.0f)
                close()
                moveTo(112.0f, 256.0f)
                curveToRelative(44.18f, 0.0f, 80.0f, -35.82f, 80.0f, -80.0f)
                reflectiveCurveToRelative(-35.82f, -80.0f, -80.0f, -80.0f)
                reflectiveCurveToRelative(-80.0f, 35.82f, -80.0f, 80.0f)
                reflectiveCurveToRelative(35.82f, 80.0f, 80.0f, 80.0f)
                close()
            }
        }
        .build()
        return _swimmer!!
    }

private var _swimmer: ImageVector? = null
