package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Tractor: ImageVector
    get() {
        if (_tractor != null) {
            return _tractor!!
        }
        _tractor = Builder(name = "Tractor", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(528.0f, 336.0f)
                curveToRelative(-48.6f, 0.0f, -88.0f, 39.4f, -88.0f, 88.0f)
                reflectiveCurveToRelative(39.4f, 88.0f, 88.0f, 88.0f)
                reflectiveCurveToRelative(88.0f, -39.4f, 88.0f, -88.0f)
                reflectiveCurveToRelative(-39.4f, -88.0f, -88.0f, -88.0f)
                close()
                moveTo(528.0f, 448.0f)
                curveToRelative(-13.23f, 0.0f, -24.0f, -10.77f, -24.0f, -24.0f)
                reflectiveCurveToRelative(10.77f, -24.0f, 24.0f, -24.0f)
                reflectiveCurveToRelative(24.0f, 10.77f, 24.0f, 24.0f)
                reflectiveCurveToRelative(-10.77f, 24.0f, -24.0f, 24.0f)
                close()
                moveTo(608.0f, 160.0f)
                horizontalLineToRelative(-64.0f)
                verticalLineToRelative(-40.2f)
                curveToRelative(0.0f, -14.12f, 4.7f, -27.76f, 13.15f, -38.84f)
                curveToRelative(4.42f, -5.8f, 3.55f, -14.06f, -1.32f, -19.49f)
                lineTo(534.2f, 37.3f)
                curveToRelative(-6.66f, -7.45f, -18.32f, -6.92f, -24.7f, 0.78f)
                curveTo(490.58f, 60.9f, 480.0f, 89.81f, 480.0f, 119.8f)
                lineTo(480.0f, 160.0f)
                lineTo(377.67f, 160.0f)
                lineTo(321.58f, 29.14f)
                arcTo(47.914f, 47.914f, 0.0f, false, false, 277.45f, 0.0f)
                lineTo(144.0f, 0.0f)
                curveToRelative(-26.47f, 0.0f, -48.0f, 21.53f, -48.0f, 48.0f)
                verticalLineToRelative(146.52f)
                curveToRelative(-8.63f, -6.73f, -20.96f, -6.46f, -28.89f, 1.47f)
                lineTo(36.0f, 227.1f)
                curveToRelative(-8.59f, 8.59f, -8.59f, 22.52f, 0.0f, 31.11f)
                lineToRelative(5.06f, 5.06f)
                curveToRelative(-4.99f, 9.26f, -8.96f, 18.82f, -11.91f, 28.72f)
                lineTo(22.0f, 291.99f)
                curveToRelative(-12.15f, 0.0f, -22.0f, 9.85f, -22.0f, 22.0f)
                verticalLineToRelative(44.0f)
                curveToRelative(0.0f, 12.15f, 9.85f, 22.0f, 22.0f, 22.0f)
                horizontalLineToRelative(7.14f)
                curveToRelative(2.96f, 9.91f, 6.92f, 19.46f, 11.91f, 28.73f)
                lineToRelative(-5.06f, 5.06f)
                curveToRelative(-8.59f, 8.59f, -8.59f, 22.52f, 0.0f, 31.11f)
                lineTo(67.1f, 476.0f)
                curveToRelative(8.59f, 8.59f, 22.52f, 8.59f, 31.11f, 0.0f)
                lineToRelative(5.06f, -5.06f)
                curveToRelative(9.26f, 4.99f, 18.82f, 8.96f, 28.72f, 11.91f)
                lineTo(131.99f, 490.0f)
                curveToRelative(0.0f, 12.15f, 9.85f, 22.0f, 22.0f, 22.0f)
                horizontalLineToRelative(44.0f)
                curveToRelative(12.15f, 0.0f, 22.0f, -9.85f, 22.0f, -22.0f)
                verticalLineToRelative(-7.14f)
                curveToRelative(9.9f, -2.95f, 19.46f, -6.92f, 28.72f, -11.91f)
                lineToRelative(5.06f, 5.06f)
                curveToRelative(8.59f, 8.59f, 22.52f, 8.59f, 31.11f, 0.0f)
                lineToRelative(31.11f, -31.11f)
                curveToRelative(8.59f, -8.59f, 8.59f, -22.52f, 0.0f, -31.11f)
                lineToRelative(-5.06f, -5.06f)
                curveToRelative(4.99f, -9.26f, 8.96f, -18.82f, 11.91f, -28.72f)
                lineTo(330.0f, 380.01f)
                curveToRelative(12.15f, 0.0f, 22.0f, -9.85f, 22.0f, -22.0f)
                verticalLineToRelative(-6.0f)
                horizontalLineToRelative(80.54f)
                curveToRelative(21.91f, -28.99f, 56.32f, -48.0f, 95.46f, -48.0f)
                curveToRelative(18.64f, 0.0f, 36.07f, 4.61f, 51.8f, 12.2f)
                lineToRelative(50.82f, -50.82f)
                curveToRelative(6.0f, -6.0f, 9.37f, -14.14f, 9.37f, -22.63f)
                lineTo(639.99f, 192.0f)
                curveToRelative(0.01f, -17.67f, -14.32f, -32.0f, -31.99f, -32.0f)
                close()
                moveTo(176.0f, 416.0f)
                curveToRelative(-44.18f, 0.0f, -80.0f, -35.82f, -80.0f, -80.0f)
                reflectiveCurveToRelative(35.82f, -80.0f, 80.0f, -80.0f)
                reflectiveCurveToRelative(80.0f, 35.82f, 80.0f, 80.0f)
                reflectiveCurveToRelative(-35.82f, 80.0f, -80.0f, 80.0f)
                close()
                moveTo(198.0f, 160.0f)
                horizontalLineToRelative(-38.0f)
                lineTo(160.0f, 64.0f)
                horizontalLineToRelative(106.89f)
                lineToRelative(41.15f, 96.0f)
                lineTo(198.0f, 160.0f)
                close()
            }
        }
        .build()
        return _tractor!!
    }

private var _tractor: ImageVector? = null
