package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.TruckMonster: ImageVector
    get() {
        if (_truckMonster != null) {
            return _truckMonster!!
        }
        _truckMonster = Builder(name = "TruckMonster", defaultWidth = 640.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(624.0f, 224.0f)
                horizontalLineToRelative(-16.0f)
                verticalLineToRelative(-64.0f)
                curveToRelative(0.0f, -17.67f, -14.33f, -32.0f, -32.0f, -32.0f)
                horizontalLineToRelative(-73.6f)
                lineTo(419.22f, 24.02f)
                arcTo(64.025f, 64.025f, 0.0f, false, false, 369.24f, 0.0f)
                lineTo(256.0f, 0.0f)
                curveToRelative(-17.67f, 0.0f, -32.0f, 14.33f, -32.0f, 32.0f)
                verticalLineToRelative(96.0f)
                lineTo(48.0f, 128.0f)
                curveToRelative(-8.84f, 0.0f, -16.0f, 7.16f, -16.0f, 16.0f)
                verticalLineToRelative(80.0f)
                lineTo(16.0f, 224.0f)
                curveToRelative(-8.84f, 0.0f, -16.0f, 7.16f, -16.0f, 16.0f)
                verticalLineToRelative(32.0f)
                curveToRelative(0.0f, 8.84f, 7.16f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(16.72f)
                curveToRelative(29.21f, -38.65f, 75.1f, -64.0f, 127.28f, -64.0f)
                reflectiveCurveToRelative(98.07f, 25.35f, 127.28f, 64.0f)
                horizontalLineToRelative(65.45f)
                curveToRelative(29.21f, -38.65f, 75.1f, -64.0f, 127.28f, -64.0f)
                reflectiveCurveToRelative(98.07f, 25.35f, 127.28f, 64.0f)
                lineTo(624.0f, 288.0f)
                curveToRelative(8.84f, 0.0f, 16.0f, -7.16f, 16.0f, -16.0f)
                verticalLineToRelative(-32.0f)
                curveToRelative(0.0f, -8.84f, -7.16f, -16.0f, -16.0f, -16.0f)
                close()
                moveTo(288.0f, 128.0f)
                lineTo(288.0f, 64.0f)
                horizontalLineToRelative(81.24f)
                lineToRelative(51.2f, 64.0f)
                lineTo(288.0f, 128.0f)
                close()
                moveTo(592.0f, 352.0f)
                horizontalLineToRelative(-5.2f)
                curveToRelative(-2.2f, -7.33f, -5.07f, -14.28f, -8.65f, -20.89f)
                lineToRelative(3.67f, -3.67f)
                curveToRelative(6.25f, -6.25f, 6.25f, -16.38f, 0.0f, -22.63f)
                lineToRelative(-22.63f, -22.63f)
                curveToRelative(-6.25f, -6.25f, -16.38f, -6.25f, -22.63f, 0.0f)
                lineToRelative(-3.67f, 3.67f)
                arcTo(110.85f, 110.85f, 0.0f, false, false, 512.0f, 277.2f)
                lineTo(512.0f, 272.0f)
                curveToRelative(0.0f, -8.84f, -7.16f, -16.0f, -16.0f, -16.0f)
                horizontalLineToRelative(-32.0f)
                curveToRelative(-8.84f, 0.0f, -16.0f, 7.16f, -16.0f, 16.0f)
                verticalLineToRelative(5.2f)
                curveToRelative(-7.33f, 2.2f, -14.28f, 5.07f, -20.89f, 8.65f)
                lineToRelative(-3.67f, -3.67f)
                curveToRelative(-6.25f, -6.25f, -16.38f, -6.25f, -22.63f, 0.0f)
                lineToRelative(-22.63f, 22.63f)
                curveToRelative(-6.25f, 6.25f, -6.25f, 16.38f, 0.0f, 22.63f)
                lineToRelative(3.67f, 3.67f)
                arcTo(110.85f, 110.85f, 0.0f, false, false, 373.2f, 352.0f)
                lineTo(368.0f, 352.0f)
                curveToRelative(-8.84f, 0.0f, -16.0f, 7.16f, -16.0f, 16.0f)
                verticalLineToRelative(32.0f)
                curveToRelative(0.0f, 8.84f, 7.16f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(5.2f)
                curveToRelative(2.2f, 7.33f, 5.07f, 14.28f, 8.65f, 20.89f)
                lineToRelative(-3.67f, 3.67f)
                curveToRelative(-6.25f, 6.25f, -6.25f, 16.38f, 0.0f, 22.63f)
                lineToRelative(22.63f, 22.63f)
                curveToRelative(6.25f, 6.25f, 16.38f, 6.25f, 22.63f, 0.0f)
                lineToRelative(3.67f, -3.67f)
                curveToRelative(6.61f, 3.57f, 13.57f, 6.45f, 20.9f, 8.65f)
                verticalLineToRelative(5.2f)
                curveToRelative(0.0f, 8.84f, 7.16f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(32.0f)
                curveToRelative(8.84f, 0.0f, 16.0f, -7.16f, 16.0f, -16.0f)
                verticalLineToRelative(-5.2f)
                curveToRelative(7.33f, -2.2f, 14.28f, -5.07f, 20.9f, -8.65f)
                lineToRelative(3.67f, 3.67f)
                curveToRelative(6.25f, 6.25f, 16.38f, 6.25f, 22.63f, 0.0f)
                lineToRelative(22.63f, -22.63f)
                curveToRelative(6.25f, -6.25f, 6.25f, -16.38f, 0.0f, -22.63f)
                lineToRelative(-3.67f, -3.67f)
                arcToRelative(110.85f, 110.85f, 0.0f, false, false, 8.65f, -20.89f)
                horizontalLineToRelative(5.2f)
                curveToRelative(8.84f, 0.0f, 16.0f, -7.16f, 16.0f, -16.0f)
                verticalLineToRelative(-32.0f)
                curveToRelative(-0.02f, -8.84f, -7.18f, -16.0f, -16.02f, -16.0f)
                close()
                moveTo(480.0f, 432.0f)
                curveToRelative(-26.51f, 0.0f, -48.0f, -21.49f, -48.0f, -48.0f)
                reflectiveCurveToRelative(21.49f, -48.0f, 48.0f, -48.0f)
                reflectiveCurveToRelative(48.0f, 21.49f, 48.0f, 48.0f)
                reflectiveCurveToRelative(-21.49f, 48.0f, -48.0f, 48.0f)
                close()
                moveTo(272.0f, 352.0f)
                horizontalLineToRelative(-5.2f)
                curveToRelative(-2.2f, -7.33f, -5.07f, -14.28f, -8.65f, -20.89f)
                lineToRelative(3.67f, -3.67f)
                curveToRelative(6.25f, -6.25f, 6.25f, -16.38f, 0.0f, -22.63f)
                lineToRelative(-22.63f, -22.63f)
                curveToRelative(-6.25f, -6.25f, -16.38f, -6.25f, -22.63f, 0.0f)
                lineToRelative(-3.67f, 3.67f)
                arcTo(110.85f, 110.85f, 0.0f, false, false, 192.0f, 277.2f)
                lineTo(192.0f, 272.0f)
                curveToRelative(0.0f, -8.84f, -7.16f, -16.0f, -16.0f, -16.0f)
                horizontalLineToRelative(-32.0f)
                curveToRelative(-8.84f, 0.0f, -16.0f, 7.16f, -16.0f, 16.0f)
                verticalLineToRelative(5.2f)
                curveToRelative(-7.33f, 2.2f, -14.28f, 5.07f, -20.89f, 8.65f)
                lineToRelative(-3.67f, -3.67f)
                curveToRelative(-6.25f, -6.25f, -16.38f, -6.25f, -22.63f, 0.0f)
                lineTo(58.18f, 304.8f)
                curveToRelative(-6.25f, 6.25f, -6.25f, 16.38f, 0.0f, 22.63f)
                lineToRelative(3.67f, 3.67f)
                arcToRelative(110.85f, 110.85f, 0.0f, false, false, -8.65f, 20.89f)
                lineTo(48.0f, 351.99f)
                curveToRelative(-8.84f, 0.0f, -16.0f, 7.16f, -16.0f, 16.0f)
                verticalLineToRelative(32.0f)
                curveToRelative(0.0f, 8.84f, 7.16f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(5.2f)
                curveToRelative(2.2f, 7.33f, 5.07f, 14.28f, 8.65f, 20.89f)
                lineToRelative(-3.67f, 3.67f)
                curveToRelative(-6.25f, 6.25f, -6.25f, 16.38f, 0.0f, 22.63f)
                lineToRelative(22.63f, 22.63f)
                curveToRelative(6.25f, 6.25f, 16.38f, 6.25f, 22.63f, 0.0f)
                lineToRelative(3.67f, -3.67f)
                curveToRelative(6.61f, 3.57f, 13.57f, 6.45f, 20.9f, 8.65f)
                verticalLineToRelative(5.2f)
                curveToRelative(0.0f, 8.84f, 7.16f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(32.0f)
                curveToRelative(8.84f, 0.0f, 16.0f, -7.16f, 16.0f, -16.0f)
                verticalLineToRelative(-5.2f)
                curveToRelative(7.33f, -2.2f, 14.28f, -5.07f, 20.9f, -8.65f)
                lineToRelative(3.67f, 3.67f)
                curveToRelative(6.25f, 6.25f, 16.38f, 6.25f, 22.63f, 0.0f)
                lineToRelative(22.63f, -22.63f)
                curveToRelative(6.25f, -6.25f, 6.25f, -16.38f, 0.0f, -22.63f)
                lineToRelative(-3.67f, -3.67f)
                arcToRelative(110.85f, 110.85f, 0.0f, false, false, 8.65f, -20.89f)
                horizontalLineToRelative(5.2f)
                curveToRelative(8.84f, 0.0f, 16.0f, -7.16f, 16.0f, -16.0f)
                verticalLineToRelative(-32.0f)
                curveTo(288.0f, 359.16f, 280.84f, 352.0f, 272.0f, 352.0f)
                close()
                moveTo(160.0f, 432.0f)
                curveToRelative(-26.51f, 0.0f, -48.0f, -21.49f, -48.0f, -48.0f)
                reflectiveCurveToRelative(21.49f, -48.0f, 48.0f, -48.0f)
                reflectiveCurveToRelative(48.0f, 21.49f, 48.0f, 48.0f)
                reflectiveCurveToRelative(-21.49f, 48.0f, -48.0f, 48.0f)
                close()
            }
        }
        .build()
        return _truckMonster!!
    }

private var _truckMonster: ImageVector? = null
