package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.WonSign: ImageVector
    get() {
        if (_wonSign != null) {
            return _wonSign!!
        }
        _wonSign = Builder(name = "WonSign", defaultWidth = 576.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 576.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(564.0f, 192.0f)
                curveToRelative(6.6f, 0.0f, 12.0f, -5.4f, 12.0f, -12.0f)
                verticalLineToRelative(-40.0f)
                curveToRelative(0.0f, -6.6f, -5.4f, -12.0f, -12.0f, -12.0f)
                horizontalLineToRelative(-48.0f)
                lineToRelative(18.6f, -80.6f)
                curveToRelative(1.7f, -7.5f, -4.0f, -14.7f, -11.7f, -14.7f)
                horizontalLineToRelative(-46.1f)
                curveToRelative(-5.7f, 0.0f, -10.6f, 4.0f, -11.7f, 9.5f)
                lineTo(450.7f, 128.0f)
                lineTo(340.8f, 128.0f)
                lineToRelative(-19.7f, -86.0f)
                curveToRelative(-1.3f, -5.5f, -6.1f, -9.3f, -11.7f, -9.3f)
                horizontalLineToRelative(-44.0f)
                curveToRelative(-5.6f, 0.0f, -10.4f, 3.8f, -11.7f, 9.3f)
                lineToRelative(-20.0f, 86.0f)
                lineTo(125.0f, 128.0f)
                lineToRelative(-17.5f, -85.7f)
                curveToRelative(-1.1f, -5.6f, -6.1f, -9.6f, -11.8f, -9.6f)
                lineTo(53.6f, 32.7f)
                curveToRelative(-7.7f, 0.0f, -13.4f, 7.1f, -11.7f, 14.6f)
                lineTo(60.0f, 128.0f)
                lineTo(12.0f, 128.0f)
                curveToRelative(-6.6f, 0.0f, -12.0f, 5.4f, -12.0f, 12.0f)
                verticalLineToRelative(40.0f)
                curveToRelative(0.0f, 6.6f, 5.4f, 12.0f, 12.0f, 12.0f)
                horizontalLineToRelative(62.3f)
                lineToRelative(7.2f, 32.0f)
                lineTo(12.0f, 224.0f)
                curveToRelative(-6.6f, 0.0f, -12.0f, 5.4f, -12.0f, 12.0f)
                verticalLineToRelative(40.0f)
                curveToRelative(0.0f, 6.6f, 5.4f, 12.0f, 12.0f, 12.0f)
                horizontalLineToRelative(83.9f)
                lineToRelative(40.9f, 182.6f)
                curveToRelative(1.2f, 5.5f, 6.1f, 9.4f, 11.7f, 9.4f)
                horizontalLineToRelative(56.8f)
                curveToRelative(5.6f, 0.0f, 10.4f, -3.9f, 11.7f, -9.3f)
                lineTo(259.3f, 288.0f)
                horizontalLineToRelative(55.1f)
                lineToRelative(42.4f, 182.7f)
                curveToRelative(1.3f, 5.4f, 6.1f, 9.3f, 11.7f, 9.3f)
                horizontalLineToRelative(56.8f)
                curveToRelative(5.6f, 0.0f, 10.4f, -3.9f, 11.7f, -9.3f)
                lineTo(479.1f, 288.0f)
                lineTo(564.0f, 288.0f)
                curveToRelative(6.6f, 0.0f, 12.0f, -5.4f, 12.0f, -12.0f)
                verticalLineToRelative(-40.0f)
                curveToRelative(0.0f, -6.6f, -5.4f, -12.0f, -12.0f, -12.0f)
                horizontalLineToRelative(-70.1f)
                lineToRelative(7.4f, -32.0f)
                close()
                moveTo(183.8f, 342.0f)
                curveToRelative(-6.2f, 25.8f, -6.8f, 47.2f, -7.3f, 47.2f)
                horizontalLineToRelative(-1.1f)
                reflectiveCurveToRelative(-1.7f, -22.0f, -6.8f, -47.2f)
                lineToRelative(-11.0f, -54.0f)
                horizontalLineToRelative(38.8f)
                close()
                moveTo(211.3f, 224.0f)
                horizontalLineToRelative(-66.8f)
                lineToRelative(-6.5f, -32.0f)
                horizontalLineToRelative(80.8f)
                close()
                moveTo(274.2f, 224.0f)
                lineToRelative(2.0f, -8.6f)
                curveToRelative(1.9f, -8.0f, 3.5f, -16.0f, 4.8f, -23.4f)
                horizontalLineToRelative(11.8f)
                curveToRelative(1.3f, 7.4f, 2.9f, 15.4f, 4.8f, 23.4f)
                lineToRelative(2.0f, 8.6f)
                close()
                moveTo(405.1f, 342.0f)
                curveToRelative(-5.1f, 25.2f, -6.8f, 47.2f, -6.8f, 47.2f)
                horizontalLineToRelative(-1.1f)
                curveToRelative(-0.6f, 0.0f, -1.1f, -21.4f, -7.3f, -47.2f)
                lineToRelative(-12.4f, -54.0f)
                horizontalLineToRelative(39.1f)
                close()
                moveTo(430.3f, 224.0f)
                horizontalLineToRelative(-67.4f)
                lineToRelative(-7.3f, -32.0f)
                horizontalLineToRelative(81.6f)
                close()
            }
        }
        .build()
        return _wonSign!!
    }

private var _wonSign: ImageVector? = null
