package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Android: ImageVector
    get() {
        if (_android != null) {
            return _android!!
        }
        _android = Builder(name = "Android", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(10.5313f, 3.5f)
                curveTo(10.3633f, 3.543f, 10.2305f, 3.6719f, 10.1797f, 3.8359f)
                curveTo(10.1289f, 4.0039f, 10.168f, 4.1836f, 10.2813f, 4.3125f)
                lineTo(11.75f, 6.4375f)
                curveTo(10.082f, 7.7188f, 9.0f, 9.7422f, 9.0f, 12.0f)
                lineTo(9.0f, 22.0f)
                curveTo(9.0f, 22.7031f, 9.4414f, 23.2031f, 10.0f, 23.5625f)
                lineTo(10.0f, 26.5f)
                curveTo(10.0f, 27.8672f, 11.1328f, 29.0f, 12.5f, 29.0f)
                curveTo(13.8672f, 29.0f, 15.0f, 27.8672f, 15.0f, 26.5f)
                lineTo(15.0f, 24.0f)
                lineTo(17.0f, 24.0f)
                lineTo(17.0f, 26.5f)
                curveTo(17.0f, 27.8672f, 18.1328f, 29.0f, 19.5f, 29.0f)
                curveTo(20.8672f, 29.0f, 22.0f, 27.8672f, 22.0f, 26.5f)
                lineTo(22.0f, 23.5625f)
                curveTo(22.5586f, 23.2031f, 23.0f, 22.7031f, 23.0f, 22.0f)
                lineTo(23.0f, 12.0f)
                curveTo(23.0f, 9.7422f, 21.918f, 7.7188f, 20.25f, 6.4375f)
                lineTo(21.7188f, 4.3125f)
                curveTo(21.8398f, 4.1602f, 21.8633f, 3.9492f, 21.7773f, 3.7773f)
                curveTo(21.6875f, 3.6016f, 21.5078f, 3.4922f, 21.3125f, 3.5f)
                curveTo(21.2813f, 3.4961f, 21.25f, 3.4961f, 21.2188f, 3.5f)
                curveTo(21.0859f, 3.5352f, 20.9727f, 3.625f, 20.9063f, 3.75f)
                lineTo(19.4063f, 5.875f)
                curveTo(18.3984f, 5.3125f, 17.2305f, 5.0f, 16.0f, 5.0f)
                curveTo(14.7695f, 5.0f, 13.6016f, 5.3125f, 12.5938f, 5.875f)
                lineTo(11.0938f, 3.75f)
                curveTo(11.0078f, 3.6016f, 10.8555f, 3.5078f, 10.6875f, 3.5f)
                curveTo(10.6563f, 3.4961f, 10.625f, 3.4961f, 10.5938f, 3.5f)
                curveTo(10.5742f, 3.5f, 10.5508f, 3.5f, 10.5313f, 3.5f)
                close()
                moveTo(16.0f, 7.0f)
                curveTo(18.4258f, 7.0f, 20.4414f, 8.7148f, 20.9063f, 11.0f)
                lineTo(11.0938f, 11.0f)
                curveTo(11.5586f, 8.7148f, 13.5742f, 7.0f, 16.0f, 7.0f)
                close()
                moveTo(14.0f, 8.0f)
                curveTo(13.4492f, 8.0f, 13.0f, 8.4492f, 13.0f, 9.0f)
                curveTo(13.0f, 9.5508f, 13.4492f, 10.0f, 14.0f, 10.0f)
                curveTo(14.5508f, 10.0f, 15.0f, 9.5508f, 15.0f, 9.0f)
                curveTo(15.0f, 8.4492f, 14.5508f, 8.0f, 14.0f, 8.0f)
                close()
                moveTo(18.0f, 8.0f)
                curveTo(17.4492f, 8.0f, 17.0f, 8.4492f, 17.0f, 9.0f)
                curveTo(17.0f, 9.5508f, 17.4492f, 10.0f, 18.0f, 10.0f)
                curveTo(18.5508f, 10.0f, 19.0f, 9.5508f, 19.0f, 9.0f)
                curveTo(19.0f, 8.4492f, 18.5508f, 8.0f, 18.0f, 8.0f)
                close()
                moveTo(6.0f, 11.0f)
                lineTo(6.0f, 21.0f)
                lineTo(8.0f, 21.0f)
                lineTo(8.0f, 11.0f)
                close()
                moveTo(24.0f, 11.0f)
                lineTo(24.0f, 21.0f)
                lineTo(26.0f, 21.0f)
                lineTo(26.0f, 11.0f)
                close()
                moveTo(11.0f, 13.0f)
                lineTo(21.0f, 13.0f)
                lineTo(21.0f, 22.0f)
                lineTo(20.0f, 22.0f)
                lineTo(20.0f, 26.5f)
                curveTo(20.0f, 26.7852f, 19.7852f, 27.0f, 19.5f, 27.0f)
                curveTo(19.2148f, 27.0f, 19.0f, 26.7852f, 19.0f, 26.5f)
                lineTo(19.0f, 22.0f)
                lineTo(13.0f, 22.0f)
                lineTo(13.0f, 26.5f)
                curveTo(13.0f, 26.7852f, 12.7852f, 27.0f, 12.5f, 27.0f)
                curveTo(12.2148f, 27.0f, 12.0f, 26.7852f, 12.0f, 26.5f)
                lineTo(12.0f, 22.0f)
                lineTo(11.0f, 22.0f)
                close()
            }
        }
        .build()
        return _android!!
    }

private var _android: ImageVector? = null
