package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Aviato: ImageVector
    get() {
        if (_aviato != null) {
            return _aviato!!
        }
        _aviato = Builder(name = "Aviato", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(3.1094f, 11.0f)
                lineTo(0.0f, 17.5703f)
                lineTo(0.8496f, 17.5703f)
                lineTo(1.8008f, 15.4805f)
                lineTo(4.4102f, 15.4805f)
                lineTo(5.3496f, 17.5703f)
                lineTo(6.2207f, 17.5703f)
                lineTo(3.1094f, 11.0f)
                close()
                moveTo(17.5f, 11.0f)
                lineTo(14.3809f, 17.5605f)
                lineTo(15.25f, 17.5605f)
                lineTo(16.1992f, 15.4707f)
                lineTo(17.4063f, 15.4707f)
                lineTo(17.3203f, 17.4004f)
                curveTo(17.3203f, 17.4004f, 16.1908f, 17.7298f, 16.0508f, 18.5898f)
                curveTo(16.0408f, 18.6098f, 16.0391f, 18.6304f, 16.0391f, 18.6504f)
                lineTo(12.8008f, 18.5508f)
                lineTo(16.0391f, 18.9609f)
                curveTo(16.0391f, 19.0709f, 16.0503f, 19.1693f, 16.0703f, 19.2793f)
                curveTo(16.0803f, 19.4093f, 16.1009f, 19.5206f, 16.1309f, 19.6406f)
                lineTo(4.0f, 19.0f)
                lineTo(8.4297f, 19.4609f)
                lineTo(8.4297f, 19.7793f)
                curveTo(8.1397f, 19.8193f, 7.9102f, 20.0806f, 7.9102f, 20.3906f)
                curveTo(7.9102f, 20.7306f, 8.1893f, 21.0098f, 8.5293f, 21.0098f)
                curveTo(8.8693f, 21.0098f, 9.1504f, 20.7306f, 9.1504f, 20.3906f)
                curveTo(9.1504f, 20.0806f, 8.9191f, 19.8193f, 8.6191f, 19.7793f)
                lineTo(8.6191f, 19.4902f)
                lineTo(12.6406f, 19.9395f)
                lineTo(12.6406f, 20.2109f)
                curveTo(12.3606f, 20.2609f, 12.1406f, 20.5203f, 12.1406f, 20.8203f)
                curveTo(12.1406f, 21.1603f, 12.4198f, 21.3301f, 12.7598f, 21.3301f)
                curveTo(13.0998f, 21.3301f, 13.3809f, 21.1603f, 13.3809f, 20.8203f)
                curveTo(13.3809f, 20.5203f, 13.1706f, 20.2609f, 12.8906f, 20.2109f)
                lineTo(12.8906f, 19.9609f)
                lineTo(14.3105f, 20.1191f)
                lineTo(14.3105f, 21.3105f)
                lineTo(14.0098f, 21.3105f)
                lineTo(14.0098f, 22.0f)
                lineTo(14.3105f, 22.0f)
                lineTo(14.3105f, 21.6797f)
                lineTo(14.5605f, 21.6797f)
                lineTo(14.5605f, 22.0f)
                lineTo(14.8496f, 22.0f)
                lineTo(14.8496f, 21.3203f)
                lineTo(14.5605f, 21.3203f)
                lineTo(14.5605f, 20.1504f)
                lineTo(16.4805f, 20.3691f)
                curveTo(16.8805f, 20.9391f, 17.4199f, 21.0508f, 17.4199f, 21.0508f)
                lineTo(17.4199f, 21.3809f)
                lineTo(17.1699f, 21.3906f)
                lineTo(17.1602f, 22.0f)
                lineTo(17.3594f, 22.0f)
                lineTo(17.3691f, 21.75f)
                lineTo(17.6309f, 21.75f)
                lineTo(17.6406f, 22.0f)
                lineTo(17.8398f, 22.0f)
                lineTo(17.8301f, 21.3906f)
                lineTo(17.5801f, 21.3809f)
                lineTo(17.5703f, 21.0508f)
                curveTo(17.5703f, 21.0508f, 18.1195f, 20.9391f, 18.5195f, 20.3691f)
                lineTo(20.4395f, 20.1504f)
                lineTo(20.4395f, 21.3203f)
                lineTo(20.1406f, 21.3203f)
                lineTo(20.1406f, 22.0f)
                lineTo(20.4395f, 22.0f)
                lineTo(20.4395f, 21.6797f)
                lineTo(20.6895f, 21.6797f)
                lineTo(20.6895f, 22.0f)
                lineTo(20.9902f, 22.0f)
                lineTo(20.9902f, 21.3203f)
                lineTo(20.6895f, 21.3203f)
                lineTo(20.6895f, 20.1309f)
                lineTo(22.1094f, 19.9707f)
                lineTo(22.1094f, 20.2207f)
                curveTo(21.8294f, 20.2707f, 21.6191f, 20.5303f, 21.6191f, 20.8203f)
                curveTo(21.6191f, 21.1603f, 21.8902f, 21.3301f, 22.2402f, 21.3301f)
                curveTo(22.5802f, 21.3301f, 22.8496f, 21.1603f, 22.8496f, 20.8203f)
                curveTo(22.8496f, 20.5203f, 22.6394f, 20.2707f, 22.3594f, 20.2207f)
                lineTo(22.3594f, 19.9395f)
                lineTo(26.3691f, 19.4902f)
                lineTo(26.3691f, 19.7793f)
                curveTo(26.0791f, 19.8293f, 25.8496f, 20.0804f, 25.8496f, 20.4004f)
                curveTo(25.8496f, 20.7304f, 26.1307f, 21.0195f, 26.4707f, 21.0195f)
                curveTo(26.8107f, 21.0195f, 27.0898f, 20.7304f, 27.0898f, 20.4004f)
                curveTo(27.0798f, 20.0804f, 26.8505f, 19.8193f, 26.5605f, 19.7793f)
                lineTo(26.5605f, 19.4609f)
                lineTo(31.0f, 19.0f)
                lineTo(18.8496f, 19.6309f)
                curveTo(18.8896f, 19.5209f, 18.9097f, 19.4093f, 18.9297f, 19.2793f)
                curveTo(18.9397f, 19.1693f, 18.9492f, 19.0692f, 18.9492f, 18.9492f)
                lineTo(22.1895f, 18.5391f)
                lineTo(18.9492f, 18.6406f)
                lineTo(18.9492f, 18.5898f)
                curveTo(18.7992f, 17.7198f, 17.6699f, 17.4004f, 17.6699f, 17.4004f)
                lineTo(17.5879f, 15.4707f)
                lineTo(18.8008f, 15.4707f)
                lineTo(19.75f, 17.5605f)
                lineTo(20.6094f, 17.5605f)
                lineTo(17.5f, 11.0f)
                close()
                moveTo(28.5f, 11.1406f)
                curveTo(28.04f, 11.1406f, 27.6109f, 11.2206f, 27.2109f, 11.3906f)
                curveTo(26.8109f, 11.5706f, 26.4602f, 11.6902f, 26.1602f, 11.9902f)
                curveTo(25.8602f, 12.2902f, 25.6095f, 12.6408f, 25.4395f, 13.0508f)
                curveTo(25.2695f, 13.4408f, 25.1895f, 13.8798f, 25.1895f, 14.3398f)
                curveTo(25.1895f, 14.7998f, 25.2695f, 15.2209f, 25.4395f, 15.6309f)
                curveTo(25.6095f, 16.0309f, 25.8602f, 16.3799f, 26.1602f, 16.6699f)
                curveTo(26.4602f, 16.9799f, 26.8109f, 17.2206f, 27.2109f, 17.3906f)
                curveTo(27.6109f, 17.5606f, 28.04f, 17.6504f, 28.5f, 17.6504f)
                curveTo(28.96f, 17.6504f, 29.3891f, 17.5606f, 29.7891f, 17.3906f)
                curveTo(30.1891f, 17.2206f, 30.5396f, 16.9799f, 30.8496f, 16.6699f)
                curveTo(31.1496f, 16.3799f, 31.3808f, 16.0209f, 31.5508f, 15.6309f)
                curveTo(31.7208f, 15.2209f, 31.8105f, 14.7998f, 31.8105f, 14.3398f)
                curveTo(31.8105f, 13.8798f, 31.7208f, 13.4408f, 31.5508f, 13.0508f)
                curveTo(31.3808f, 12.6408f, 31.1496f, 12.2902f, 30.8496f, 11.9902f)
                curveTo(30.5396f, 11.6802f, 30.1891f, 11.5706f, 29.7891f, 11.3906f)
                curveTo(29.3891f, 11.2206f, 28.96f, 11.1406f, 28.5f, 11.1406f)
                close()
                moveTo(5.8906f, 11.2109f)
                lineTo(9.0098f, 17.7793f)
                lineTo(12.1094f, 11.2109f)
                lineTo(11.2598f, 11.2109f)
                lineTo(9.0098f, 16.0098f)
                lineTo(6.75f, 11.2109f)
                lineTo(5.8906f, 11.2109f)
                close()
                moveTo(13.1152f, 11.2129f)
                lineTo(13.1152f, 17.5703f)
                lineTo(13.8848f, 17.5703f)
                lineTo(13.8848f, 11.2129f)
                lineTo(13.1152f, 11.2129f)
                close()
                moveTo(20.0156f, 11.2129f)
                lineTo(20.0156f, 11.7891f)
                lineTo(22.084f, 11.7891f)
                lineTo(22.084f, 17.5703f)
                lineTo(22.9375f, 17.5703f)
                lineTo(22.9375f, 11.7891f)
                lineTo(24.9844f, 11.7891f)
                lineTo(24.9844f, 11.2129f)
                lineTo(20.0156f, 11.2129f)
                close()
                moveTo(28.5f, 11.7598f)
                curveTo(28.84f, 11.7598f, 29.1805f, 11.8209f, 29.4805f, 11.9609f)
                curveTo(29.8005f, 12.1009f, 30.0708f, 12.27f, 30.3008f, 12.5f)
                curveTo(30.5308f, 12.74f, 30.7098f, 13.0105f, 30.8398f, 13.3105f)
                curveTo(30.9698f, 13.6305f, 31.0293f, 13.9698f, 31.0293f, 14.3398f)
                curveTo(31.0293f, 14.6898f, 30.9698f, 15.0296f, 30.8398f, 15.3496f)
                curveTo(30.7098f, 15.6596f, 30.5308f, 15.9402f, 30.3008f, 16.1602f)
                curveTo(30.0708f, 16.4002f, 29.8005f, 16.5809f, 29.4805f, 16.7109f)
                curveTo(29.1805f, 16.8509f, 28.84f, 16.9102f, 28.5f, 16.9102f)
                curveTo(28.15f, 16.9102f, 27.8198f, 16.8509f, 27.5098f, 16.7109f)
                curveTo(27.1998f, 16.5809f, 26.9192f, 16.4002f, 26.6992f, 16.1602f)
                curveTo(26.4692f, 15.9402f, 26.2802f, 15.6596f, 26.1602f, 15.3496f)
                curveTo(26.0302f, 15.0296f, 25.9609f, 14.6998f, 25.9609f, 14.3398f)
                curveTo(25.9609f, 13.9798f, 26.0302f, 13.6305f, 26.1602f, 13.3105f)
                curveTo(26.2802f, 13.0105f, 26.4692f, 12.74f, 26.6992f, 12.5f)
                curveTo(26.9392f, 12.28f, 27.1998f, 12.1009f, 27.5098f, 11.9609f)
                curveTo(27.8198f, 11.8209f, 28.15f, 11.7598f, 28.5f, 11.7598f)
                close()
                moveTo(3.1094f, 12.6602f)
                lineTo(4.0898f, 14.7891f)
                lineTo(2.1309f, 14.7891f)
                lineTo(3.1094f, 12.6602f)
                close()
                moveTo(17.5f, 12.6602f)
                lineTo(18.4707f, 14.7891f)
                lineTo(17.5586f, 14.7891f)
                lineTo(17.5f, 13.3809f)
                lineTo(17.4375f, 14.7891f)
                lineTo(16.5195f, 14.7891f)
                lineTo(17.5f, 12.6602f)
                close()
            }
        }
        .build()
        return _aviato!!
    }

private var _aviato: ImageVector? = null
