package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.BeerSolid: ImageVector
    get() {
        if (_beerSolid != null) {
            return _beerSolid!!
        }
        _beerSolid = Builder(name = "BeerSolid", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(13.5f, 4.0f)
                curveTo(12.2539f, 4.0f, 11.1914f, 4.582f, 10.375f, 5.4063f)
                curveTo(9.9297f, 5.2344f, 9.5078f, 5.0f, 9.0f, 5.0f)
                curveTo(6.8008f, 5.0f, 5.0f, 6.8008f, 5.0f, 9.0f)
                curveTo(5.0f, 10.0273f, 5.418f, 10.9453f, 6.0625f, 11.6563f)
                curveTo(6.0234f, 11.7656f, 6.0f, 11.8828f, 6.0f, 12.0f)
                lineTo(6.0f, 25.0f)
                curveTo(6.0f, 26.6445f, 7.3555f, 28.0f, 9.0f, 28.0f)
                lineTo(21.0f, 28.0f)
                curveTo(22.6445f, 28.0f, 24.0f, 26.6445f, 24.0f, 25.0f)
                lineTo(24.0f, 23.0f)
                lineTo(25.0f, 23.0f)
                curveTo(26.6445f, 23.0f, 28.0f, 21.6445f, 28.0f, 20.0f)
                lineTo(28.0f, 16.0f)
                curveTo(28.0f, 14.3555f, 26.6445f, 13.0f, 25.0f, 13.0f)
                lineTo(24.0f, 13.0f)
                lineTo(24.0f, 11.8125f)
                curveTo(24.0078f, 11.7383f, 24.0078f, 11.668f, 24.0f, 11.5938f)
                curveTo(24.6094f, 10.8906f, 25.0f, 9.9961f, 25.0f, 9.0f)
                curveTo(25.0f, 6.8008f, 23.1992f, 5.0f, 21.0f, 5.0f)
                curveTo(20.2539f, 5.0f, 19.5938f, 5.2656f, 19.0f, 5.625f)
                curveTo(18.4063f, 5.2656f, 17.7461f, 5.0f, 17.0f, 5.0f)
                curveTo(16.7422f, 5.0f, 16.5391f, 5.0781f, 16.3125f, 5.125f)
                curveTo(15.5352f, 4.4727f, 14.5938f, 4.0f, 13.5f, 4.0f)
                close()
                moveTo(13.5f, 6.0f)
                curveTo(14.2344f, 6.0f, 14.8789f, 6.332f, 15.3438f, 6.8438f)
                lineTo(15.7813f, 7.3125f)
                lineTo(16.4063f, 7.125f)
                curveTo(16.6289f, 7.0508f, 16.8086f, 7.0f, 17.0f, 7.0f)
                curveTo(17.5117f, 7.0f, 17.9805f, 7.2031f, 18.3438f, 7.5313f)
                lineTo(19.0f, 8.125f)
                lineTo(19.6563f, 7.5313f)
                curveTo(20.0195f, 7.2031f, 20.4883f, 7.0f, 21.0f, 7.0f)
                curveTo(22.1172f, 7.0f, 23.0f, 7.8828f, 23.0f, 9.0f)
                curveTo(23.0f, 10.1172f, 22.1172f, 11.0f, 21.0f, 11.0f)
                curveTo(19.8906f, 11.0f, 18.2813f, 10.5313f, 18.2813f, 10.5313f)
                lineTo(17.0f, 10.1563f)
                lineTo(17.0f, 11.5f)
                curveTo(17.0f, 12.9023f, 17.3008f, 13.9727f, 17.5625f, 14.7813f)
                curveTo(17.8242f, 15.5898f, 18.0f, 16.1055f, 18.0f, 16.5f)
                curveTo(18.0f, 17.3398f, 17.3398f, 18.0f, 16.5f, 18.0f)
                curveTo(15.6602f, 18.0f, 15.0f, 17.3398f, 15.0f, 16.5f)
                curveTo(15.0f, 16.1055f, 15.1758f, 15.5586f, 15.4375f, 14.75f)
                curveTo(15.6992f, 13.9414f, 16.0f, 12.8945f, 16.0f, 11.5f)
                lineTo(16.0f, 9.7188f)
                lineTo(14.5f, 10.6563f)
                curveTo(14.5f, 10.6563f, 14.3203f, 10.7461f, 14.0938f, 10.8438f)
                curveTo(13.8672f, 10.9414f, 13.582f, 11.0f, 13.5f, 11.0f)
                curveTo(12.8555f, 11.0f, 12.2656f, 10.7539f, 11.8125f, 10.3438f)
                lineTo(11.0938f, 9.6875f)
                lineTo(10.4375f, 10.375f)
                curveTo(10.0703f, 10.7539f, 9.5703f, 11.0f, 9.0f, 11.0f)
                curveTo(7.8828f, 11.0f, 7.0f, 10.1172f, 7.0f, 9.0f)
                curveTo(7.0f, 7.8828f, 7.8828f, 7.0f, 9.0f, 7.0f)
                curveTo(9.4063f, 7.0f, 9.7734f, 7.1367f, 10.0938f, 7.3438f)
                lineTo(10.9063f, 7.8438f)
                lineTo(11.4688f, 7.0625f)
                curveTo(11.9219f, 6.418f, 12.6484f, 6.0f, 13.5f, 6.0f)
                close()
                moveTo(11.1875f, 12.25f)
                curveTo(11.8711f, 12.6758f, 12.6367f, 13.0f, 13.5f, 13.0f)
                curveTo(13.6055f, 13.0f, 13.6523f, 12.9492f, 13.75f, 12.9375f)
                curveTo(13.668f, 13.3242f, 13.6719f, 13.8203f, 13.5625f, 14.1563f)
                curveTo(13.3242f, 14.8906f, 13.0f, 15.5938f, 13.0f, 16.5f)
                curveTo(13.0f, 18.4219f, 14.5781f, 20.0f, 16.5f, 20.0f)
                curveTo(18.4219f, 20.0f, 20.0f, 18.4219f, 20.0f, 16.5f)
                curveTo(20.0f, 15.5938f, 19.6758f, 14.8867f, 19.4375f, 14.1563f)
                curveTo(19.3086f, 13.7578f, 19.2734f, 13.1953f, 19.1875f, 12.7188f)
                curveTo(19.8281f, 12.8672f, 20.1172f, 13.0f, 21.0f, 13.0f)
                curveTo(21.3438f, 13.0f, 21.6797f, 12.9258f, 22.0f, 12.8438f)
                lineTo(22.0f, 13.6875f)
                curveTo(21.9414f, 13.8828f, 21.9414f, 14.0859f, 22.0f, 14.2813f)
                lineTo(22.0f, 21.8125f)
                curveTo(21.9727f, 21.9453f, 21.9727f, 22.0859f, 22.0f, 22.2188f)
                lineTo(22.0f, 25.0f)
                curveTo(22.0f, 25.5664f, 21.5664f, 26.0f, 21.0f, 26.0f)
                lineTo(9.0f, 26.0f)
                curveTo(8.4336f, 26.0f, 8.0f, 25.5664f, 8.0f, 25.0f)
                lineTo(8.0f, 12.8438f)
                curveTo(8.3203f, 12.9258f, 8.6563f, 13.0f, 9.0f, 13.0f)
                curveTo(9.8242f, 13.0f, 10.5508f, 12.6797f, 11.1875f, 12.25f)
                close()
                moveTo(24.0f, 15.0f)
                lineTo(25.0f, 15.0f)
                curveTo(25.5664f, 15.0f, 26.0f, 15.4336f, 26.0f, 16.0f)
                lineTo(26.0f, 20.0f)
                curveTo(26.0f, 20.5664f, 25.5664f, 21.0f, 25.0f, 21.0f)
                lineTo(24.0f, 21.0f)
                close()
            }
        }
        .build()
        return _beerSolid!!
    }

private var _beerSolid: ImageVector? = null
