package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.BirthdayCakeSolid: ImageVector
    get() {
        if (_birthdayCakeSolid != null) {
            return _birthdayCakeSolid!!
        }
        _birthdayCakeSolid = Builder(name = "BirthdayCakeSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 1.25f)
                lineTo(15.1875f, 2.4375f)
                curveTo(15.1875f, 2.4375f, 14.6484f, 3.1914f, 14.125f, 4.0938f)
                curveTo(13.8633f, 4.5469f, 13.6172f, 5.0195f, 13.4063f, 5.5f)
                curveTo(13.1953f, 5.9805f, 13.0f, 6.4219f, 13.0f, 7.0f)
                curveTo(13.0f, 8.6445f, 14.3555f, 10.0f, 16.0f, 10.0f)
                curveTo(17.6445f, 10.0f, 19.0f, 8.6445f, 19.0f, 7.0f)
                curveTo(19.0f, 6.4219f, 18.8047f, 5.9805f, 18.5938f, 5.5f)
                curveTo(18.3828f, 5.0195f, 18.1367f, 4.5469f, 17.875f, 4.0938f)
                curveTo(17.3516f, 3.1914f, 16.8125f, 2.4375f, 16.8125f, 2.4375f)
                close()
                moveTo(16.0f, 10.0f)
                lineTo(13.0f, 10.0f)
                lineTo(13.0f, 14.0f)
                lineTo(7.0f, 14.0f)
                curveTo(4.7891f, 14.0f, 3.0f, 15.7891f, 3.0f, 18.0f)
                curveTo(3.0f, 19.0156f, 3.375f, 19.9492f, 4.0f, 20.6563f)
                lineTo(4.0f, 28.0f)
                lineTo(28.0f, 28.0f)
                lineTo(28.0f, 20.6563f)
                curveTo(28.625f, 19.9492f, 29.0f, 19.0156f, 29.0f, 18.0f)
                curveTo(29.0f, 15.7891f, 27.2109f, 14.0f, 25.0f, 14.0f)
                lineTo(19.0f, 14.0f)
                lineTo(19.0f, 10.0f)
                close()
                moveTo(16.0f, 4.875f)
                curveTo(16.0664f, 4.9844f, 16.0586f, 4.9766f, 16.125f, 5.0938f)
                curveTo(16.3633f, 5.5039f, 16.6172f, 5.9414f, 16.7813f, 6.3125f)
                curveTo(16.9453f, 6.6836f, 17.0f, 7.0273f, 17.0f, 7.0f)
                curveTo(17.0f, 7.5547f, 16.5547f, 8.0f, 16.0f, 8.0f)
                curveTo(15.4453f, 8.0f, 15.0f, 7.5547f, 15.0f, 7.0f)
                curveTo(15.0f, 7.0273f, 15.0547f, 6.6836f, 15.2188f, 6.3125f)
                curveTo(15.3828f, 5.9414f, 15.6367f, 5.5039f, 15.875f, 5.0938f)
                curveTo(15.9414f, 4.9766f, 15.9336f, 4.9844f, 16.0f, 4.875f)
                close()
                moveTo(15.0f, 12.0f)
                lineTo(17.0f, 12.0f)
                lineTo(17.0f, 14.0f)
                lineTo(15.0f, 14.0f)
                close()
                moveTo(7.0f, 16.0f)
                lineTo(25.0f, 16.0f)
                curveTo(26.1914f, 16.0f, 27.0f, 16.8086f, 27.0f, 18.0f)
                curveTo(27.0f, 19.1914f, 26.1914f, 20.0f, 25.0f, 20.0f)
                curveTo(23.8086f, 20.0f, 23.0f, 19.1914f, 23.0f, 18.0f)
                lineTo(21.0f, 18.0f)
                curveTo(21.0f, 19.1914f, 20.1914f, 20.0f, 19.0f, 20.0f)
                curveTo(17.8086f, 20.0f, 17.0f, 19.1914f, 17.0f, 18.0f)
                lineTo(15.0f, 18.0f)
                curveTo(15.0f, 19.1914f, 14.1914f, 20.0f, 13.0f, 20.0f)
                curveTo(11.8086f, 20.0f, 11.0f, 19.1914f, 11.0f, 18.0f)
                lineTo(9.0f, 18.0f)
                curveTo(9.0f, 19.1914f, 8.1914f, 20.0f, 7.0f, 20.0f)
                curveTo(5.8086f, 20.0f, 5.0f, 19.1914f, 5.0f, 18.0f)
                curveTo(5.0f, 16.8086f, 5.8086f, 16.0f, 7.0f, 16.0f)
                close()
                moveTo(10.0f, 20.6563f)
                curveTo(10.7344f, 21.4844f, 11.8047f, 22.0f, 13.0f, 22.0f)
                curveTo(14.1953f, 22.0f, 15.2656f, 21.4844f, 16.0f, 20.6563f)
                curveTo(16.7344f, 21.4844f, 17.8047f, 22.0f, 19.0f, 22.0f)
                curveTo(20.1953f, 22.0f, 21.2656f, 21.4844f, 22.0f, 20.6563f)
                curveTo(22.7344f, 21.4844f, 23.8047f, 22.0f, 25.0f, 22.0f)
                curveTo(25.3477f, 22.0f, 25.6797f, 21.9258f, 26.0f, 21.8438f)
                lineTo(26.0f, 26.0f)
                lineTo(6.0f, 26.0f)
                lineTo(6.0f, 21.8438f)
                curveTo(6.3203f, 21.9258f, 6.6523f, 22.0f, 7.0f, 22.0f)
                curveTo(8.1953f, 22.0f, 9.2656f, 21.4844f, 10.0f, 20.6563f)
                close()
            }
        }
        .build()
        return _birthdayCakeSolid!!
    }

private var _birthdayCakeSolid: ImageVector? = null
