package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.CanadianMapleLeaf: ImageVector
    get() {
        if (_canadianMapleLeaf != null) {
            return _canadianMapleLeaf!!
        }
        _canadianMapleLeaf = Builder(name = "CanadianMapleLeaf", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 3.0313f)
                lineTo(15.2813f, 3.75f)
                lineTo(13.0938f, 5.9688f)
                lineTo(10.9063f, 6.6563f)
                lineTo(10.0f, 6.9375f)
                lineTo(10.2188f, 7.8438f)
                lineTo(11.4063f, 12.6563f)
                lineTo(9.6875f, 11.4688f)
                lineTo(9.0f, 11.0f)
                lineTo(6.7813f, 13.2188f)
                lineTo(3.8438f, 14.5313f)
                lineTo(2.9688f, 14.9375f)
                lineTo(3.3125f, 15.8125f)
                lineTo(4.4375f, 18.6563f)
                lineTo(4.125f, 21.0313f)
                lineTo(4.0f, 22.0313f)
                lineTo(11.0f, 22.9063f)
                lineTo(11.0f, 25.0f)
                lineTo(15.0f, 25.0f)
                lineTo(15.0f, 29.0f)
                lineTo(17.0f, 29.0f)
                lineTo(17.0f, 25.0f)
                lineTo(21.0f, 25.0f)
                lineTo(21.0f, 22.9063f)
                lineTo(28.0f, 22.0313f)
                lineTo(27.875f, 21.0313f)
                lineTo(27.5625f, 18.6563f)
                lineTo(28.6875f, 15.8125f)
                lineTo(29.0313f, 14.9375f)
                lineTo(28.1563f, 14.5313f)
                lineTo(25.2188f, 13.2188f)
                lineTo(23.0f, 11.0f)
                lineTo(22.3125f, 11.4688f)
                lineTo(20.5938f, 12.6563f)
                lineTo(21.7813f, 7.8438f)
                lineTo(22.0f, 6.9375f)
                lineTo(21.0938f, 6.6563f)
                lineTo(18.9063f, 5.9688f)
                lineTo(16.7188f, 3.75f)
                close()
                moveTo(16.0f, 5.875f)
                lineTo(17.875f, 7.75f)
                lineTo(18.0938f, 7.8125f)
                lineTo(19.625f, 8.2813f)
                lineTo(18.0313f, 14.75f)
                lineTo(17.4063f, 17.3438f)
                lineTo(19.5625f, 15.8125f)
                lineTo(22.75f, 13.5938f)
                lineTo(23.9063f, 14.7813f)
                lineTo(24.0625f, 14.9063f)
                lineTo(24.2188f, 15.0f)
                lineTo(26.4688f, 16.0f)
                lineTo(25.625f, 18.1563f)
                lineTo(25.5313f, 18.4063f)
                lineTo(25.5625f, 18.6563f)
                lineTo(25.75f, 20.2813f)
                lineTo(19.875f, 21.0f)
                lineTo(19.0f, 21.125f)
                lineTo(19.0f, 23.0f)
                lineTo(13.0f, 23.0f)
                lineTo(13.0f, 21.125f)
                lineTo(12.125f, 21.0f)
                lineTo(6.25f, 20.2813f)
                lineTo(6.4375f, 18.6563f)
                lineTo(6.4688f, 18.4063f)
                lineTo(6.375f, 18.1563f)
                lineTo(5.5313f, 16.0f)
                lineTo(7.7813f, 15.0f)
                lineTo(7.9375f, 14.9063f)
                lineTo(8.0938f, 14.7813f)
                lineTo(9.25f, 13.5938f)
                lineTo(12.4375f, 15.8125f)
                lineTo(14.5938f, 17.3438f)
                lineTo(13.9688f, 14.75f)
                lineTo(12.375f, 8.2813f)
                lineTo(13.9063f, 7.8125f)
                lineTo(14.125f, 7.75f)
                close()
            }
        }
        .build()
        return _canadianMapleLeaf!!
    }

private var _canadianMapleLeaf: ImageVector? = null
