package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.CatSolid: ImageVector
    get() {
        if (_catSolid != null) {
            return _catSolid!!
        }
        _catSolid = Builder(name = "CatSolid", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(10.0f, 4.0f)
                curveTo(10.0f, 5.1172f, 9.1172f, 6.0f, 8.0f, 6.0f)
                lineTo(7.0f, 6.0f)
                curveTo(4.8008f, 6.0f, 3.0f, 7.8008f, 3.0f, 10.0f)
                curveTo(3.0f, 12.1992f, 4.8008f, 14.0f, 7.0f, 14.0f)
                lineTo(8.1563f, 14.0f)
                curveTo(8.0547f, 14.4883f, 8.0f, 14.9844f, 8.0f, 15.5f)
                lineTo(8.0f, 28.0f)
                lineTo(10.0f, 28.0f)
                lineTo(10.0f, 15.5f)
                curveTo(10.0f, 12.4688f, 12.4688f, 10.0f, 15.5f, 10.0f)
                curveTo(16.4023f, 10.0f, 17.25f, 10.207f, 18.0f, 10.5938f)
                lineTo(18.0f, 8.4375f)
                curveTo(17.2188f, 8.1602f, 16.3789f, 8.0f, 15.5f, 8.0f)
                curveTo(12.6328f, 8.0f, 10.1367f, 9.6289f, 8.875f, 12.0f)
                lineTo(7.0f, 12.0f)
                curveTo(5.8828f, 12.0f, 5.0f, 11.1172f, 5.0f, 10.0f)
                curveTo(5.0f, 8.8828f, 5.8828f, 8.0f, 7.0f, 8.0f)
                lineTo(8.0f, 8.0f)
                curveTo(10.1992f, 8.0f, 12.0f, 6.1992f, 12.0f, 4.0f)
                close()
                moveTo(19.0f, 6.0938f)
                lineTo(19.0f, 12.5f)
                curveTo(19.0f, 15.0508f, 21.3164f, 17.0f, 24.0f, 17.0f)
                curveTo(26.6836f, 17.0f, 29.0f, 15.0508f, 29.0f, 12.5f)
                lineTo(29.0f, 6.0938f)
                lineTo(27.4375f, 7.1875f)
                lineTo(25.7813f, 8.3438f)
                curveTo(25.2109f, 8.1406f, 24.6484f, 7.9063f, 24.0f, 7.9063f)
                curveTo(23.3516f, 7.9063f, 22.7891f, 8.1406f, 22.2188f, 8.3438f)
                lineTo(20.5625f, 7.1875f)
                close()
                moveTo(24.0f, 9.9063f)
                curveTo(24.5781f, 9.9063f, 25.1094f, 10.0469f, 25.5625f, 10.2813f)
                lineTo(26.0938f, 10.5625f)
                lineTo(26.5938f, 10.2188f)
                lineTo(27.0f, 9.9375f)
                lineTo(27.0f, 12.5f)
                curveTo(27.0f, 13.8164f, 25.7344f, 15.0f, 24.0f, 15.0f)
                curveTo(22.2656f, 15.0f, 21.0f, 13.8164f, 21.0f, 12.5f)
                lineTo(21.0f, 9.9375f)
                lineTo(21.4063f, 10.2188f)
                lineTo(21.9063f, 10.5625f)
                lineTo(22.4375f, 10.2813f)
                curveTo(22.8906f, 10.0469f, 23.4219f, 9.9063f, 24.0f, 9.9063f)
                close()
                moveTo(17.0f, 15.0f)
                curveTo(14.2422f, 15.0f, 12.0f, 17.2422f, 12.0f, 20.0f)
                lineTo(12.0f, 28.0f)
                lineTo(14.0f, 28.0f)
                lineTo(14.0f, 20.0f)
                curveTo(14.0f, 18.3477f, 15.3477f, 17.0f, 17.0f, 17.0f)
                curveTo(18.6523f, 17.0f, 20.0f, 18.3477f, 20.0f, 20.0f)
                lineTo(20.0f, 28.0f)
                lineTo(22.0f, 28.0f)
                lineTo(22.0f, 20.0f)
                curveTo(22.0f, 19.0352f, 21.7266f, 18.1406f, 21.25f, 17.375f)
                curveTo(20.2852f, 16.9141f, 19.4766f, 16.2188f, 18.9063f, 15.375f)
                curveTo(18.3203f, 15.1328f, 17.6719f, 15.0f, 17.0f, 15.0f)
                close()
                moveTo(26.0f, 17.6875f)
                curveTo(25.3711f, 17.8906f, 24.7031f, 18.0f, 24.0f, 18.0f)
                lineTo(24.0f, 28.0f)
                lineTo(26.0f, 28.0f)
                close()
            }
        }
        .build()
        return _catSolid!!
    }

private var _catSolid: ImageVector? = null
