package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.CcAmazonPay: ImageVector
    get() {
        if (_ccAmazonPay != null) {
            return _ccAmazonPay!!
        }
        _ccAmazonPay = Builder(name = "CcAmazonPay", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(5.0f, 6.0f)
                curveTo(3.355f, 6.0f, 2.0f, 7.355f, 2.0f, 9.0f)
                lineTo(2.0f, 23.0f)
                curveTo(2.0f, 24.645f, 3.355f, 26.0f, 5.0f, 26.0f)
                lineTo(27.0f, 26.0f)
                curveTo(28.645f, 26.0f, 30.0f, 24.645f, 30.0f, 23.0f)
                lineTo(30.0f, 9.0f)
                curveTo(30.0f, 7.355f, 28.645f, 6.0f, 27.0f, 6.0f)
                lineTo(5.0f, 6.0f)
                close()
                moveTo(5.0f, 8.0f)
                lineTo(27.0f, 8.0f)
                curveTo(27.566f, 8.0f, 28.0f, 8.434f, 28.0f, 9.0f)
                lineTo(28.0f, 23.0f)
                curveTo(28.0f, 23.566f, 27.566f, 24.0f, 27.0f, 24.0f)
                lineTo(5.0f, 24.0f)
                curveTo(4.434f, 24.0f, 4.0f, 23.566f, 4.0f, 23.0f)
                lineTo(4.0f, 9.0f)
                curveTo(4.0f, 8.434f, 4.434f, 8.0f, 5.0f, 8.0f)
                close()
                moveTo(11.5234f, 10.0f)
                lineTo(11.3828f, 10.0234f)
                curveTo(10.9428f, 10.0784f, 10.5161f, 10.2437f, 10.1621f, 10.5117f)
                curveTo(10.0831f, 10.5587f, 10.0145f, 10.6225f, 9.9355f, 10.6855f)
                curveTo(9.9275f, 10.6695f, 9.9199f, 10.6547f, 9.9199f, 10.6387f)
                curveTo(9.9039f, 10.5517f, 9.8959f, 10.4571f, 9.8809f, 10.3711f)
                curveTo(9.8569f, 10.2291f, 9.7787f, 10.1582f, 9.6367f, 10.1582f)
                lineTo(9.2656f, 10.1582f)
                curveTo(9.0386f, 10.1562f, 9.0f, 10.2048f, 9.0f, 10.4258f)
                lineTo(9.0f, 17.25f)
                curveTo(9.008f, 17.352f, 9.0702f, 17.4061f, 9.1563f, 17.4141f)
                lineTo(9.8418f, 17.4141f)
                curveTo(9.9358f, 17.4141f, 9.99f, 17.352f, 9.998f, 17.25f)
                curveTo(10.006f, 17.219f, 10.0059f, 17.1873f, 10.0059f, 17.1563f)
                lineTo(10.0059f, 14.8281f)
                curveTo(10.0369f, 14.8591f, 10.0602f, 14.8766f, 10.0762f, 14.8926f)
                curveTo(10.6502f, 15.3726f, 11.3112f, 15.5287f, 12.0352f, 15.3867f)
                curveTo(12.6962f, 15.2527f, 13.1524f, 14.8527f, 13.4434f, 14.2637f)
                curveTo(13.6714f, 13.8157f, 13.7654f, 13.3348f, 13.7734f, 12.8398f)
                curveTo(13.7894f, 12.2958f, 13.7417f, 11.7532f, 13.5137f, 11.2422f)
                curveTo(13.2467f, 10.6132f, 12.7895f, 10.1957f, 12.1055f, 10.0547f)
                curveTo(12.0035f, 10.0307f, 11.894f, 10.0238f, 11.791f, 10.0078f)
                curveTo(11.697f, 9.9998f, 11.6104f, 10.0f, 11.5234f, 10.0f)
                close()
                moveTo(16.5254f, 10.0f)
                curveTo(16.4944f, 10.008f, 16.4626f, 10.0156f, 16.4316f, 10.0156f)
                curveTo(16.1166f, 10.0316f, 15.8109f, 10.0714f, 15.5039f, 10.1504f)
                curveTo(15.3069f, 10.1974f, 15.1187f, 10.2671f, 14.9297f, 10.3301f)
                curveTo(14.8117f, 10.3691f, 14.7559f, 10.456f, 14.7559f, 10.582f)
                curveTo(14.7639f, 10.684f, 14.7559f, 10.7945f, 14.7559f, 10.8965f)
                curveTo(14.7639f, 11.0535f, 14.8276f, 11.0947f, 14.9766f, 11.0547f)
                curveTo(15.2286f, 10.9917f, 15.4785f, 10.92f, 15.7305f, 10.873f)
                curveTo(16.1235f, 10.802f, 16.5248f, 10.7712f, 16.9258f, 10.8262f)
                curveTo(17.1378f, 10.8652f, 17.3347f, 10.9206f, 17.4688f, 11.1016f)
                curveTo(17.5868f, 11.2506f, 17.6346f, 11.4399f, 17.6426f, 11.6289f)
                curveTo(17.6506f, 11.8959f, 17.6504f, 12.1627f, 17.6504f, 12.4297f)
                curveTo(17.6504f, 12.4457f, 17.6506f, 12.4607f, 17.6426f, 12.4688f)
                lineTo(17.6035f, 12.4688f)
                curveTo(17.2655f, 12.3827f, 16.9183f, 12.3355f, 16.5723f, 12.3125f)
                curveTo(16.2103f, 12.2965f, 15.8499f, 12.3115f, 15.5039f, 12.4375f)
                curveTo(15.0869f, 12.5795f, 14.7487f, 12.8312f, 14.5527f, 13.2402f)
                curveTo(14.4037f, 13.5542f, 14.3807f, 13.8847f, 14.4277f, 14.2227f)
                curveTo(14.4987f, 14.6787f, 14.7181f, 15.0241f, 15.1191f, 15.2441f)
                curveTo(15.5041f, 15.4561f, 15.9129f, 15.481f, 16.3379f, 15.418f)
                curveTo(16.8259f, 15.347f, 17.2578f, 15.1431f, 17.6348f, 14.8281f)
                curveTo(17.6508f, 14.8121f, 17.6656f, 14.8041f, 17.6816f, 14.7891f)
                curveTo(17.7056f, 14.9151f, 17.7201f, 15.0326f, 17.7441f, 15.1426f)
                curveTo(17.7601f, 15.2446f, 17.824f, 15.3084f, 17.918f, 15.3164f)
                lineTo(18.4453f, 15.3164f)
                curveTo(18.5243f, 15.3164f, 18.5938f, 15.2442f, 18.5938f, 15.1582f)
                curveTo(18.6017f, 15.1342f, 18.6016f, 15.1043f, 18.6016f, 15.0723f)
                lineTo(18.6016f, 11.6582f)
                curveTo(18.5996f, 11.5242f, 18.5914f, 11.384f, 18.5684f, 11.25f)
                curveTo(18.5054f, 10.833f, 18.3321f, 10.4876f, 17.9551f, 10.2676f)
                curveTo(17.7431f, 10.1416f, 17.5079f, 10.0781f, 17.2559f, 10.0391f)
                curveTo(17.1379f, 10.0231f, 17.0282f, 10.015f, 16.9102f, 10.0f)
                lineTo(16.5254f, 10.0f)
                close()
                moveTo(23.2402f, 10.0f)
                curveTo(23.1302f, 9.992f, 23.0273f, 10.0621f, 22.9883f, 10.1641f)
                curveTo(22.9723f, 10.2121f, 22.9574f, 10.2518f, 22.9414f, 10.2988f)
                lineTo(21.8164f, 13.5156f)
                curveTo(21.7374f, 13.7436f, 21.6513f, 13.9785f, 21.5723f, 14.2305f)
                curveTo(21.5573f, 14.1905f, 21.551f, 14.1763f, 21.543f, 14.1523f)
                curveTo(21.127f, 13.0043f, 20.7178f, 11.855f, 20.3008f, 10.707f)
                curveTo(20.2388f, 10.519f, 20.1667f, 10.3392f, 20.0957f, 10.1582f)
                curveTo(20.0647f, 10.0722f, 19.9946f, 10.0098f, 19.8926f, 10.0098f)
                curveTo(19.6486f, 10.0018f, 19.4043f, 10.002f, 19.1523f, 10.002f)
                curveTo(19.0743f, 10.002f, 19.0348f, 10.0714f, 19.0508f, 10.1504f)
                curveTo(19.0668f, 10.2134f, 19.0893f, 10.2847f, 19.1133f, 10.3477f)
                curveTo(19.7423f, 11.9037f, 20.3806f, 13.4604f, 21.0176f, 15.0254f)
                curveTo(21.0726f, 15.1584f, 21.0806f, 15.2683f, 21.0176f, 15.4023f)
                curveTo(20.9156f, 15.6383f, 20.8288f, 15.8812f, 20.7188f, 16.1172f)
                curveTo(20.6238f, 16.3292f, 20.4665f, 16.4878f, 20.2305f, 16.5508f)
                curveTo(20.0735f, 16.5898f, 19.8994f, 16.6041f, 19.7344f, 16.5801f)
                curveTo(19.6554f, 16.5731f, 19.577f, 16.5588f, 19.498f, 16.5508f)
                curveTo(19.388f, 16.5428f, 19.3342f, 16.589f, 19.3262f, 16.707f)
                lineTo(19.3262f, 17.0215f)
                curveTo(19.3342f, 17.2025f, 19.3893f, 17.2815f, 19.5703f, 17.3125f)
                curveTo(19.7433f, 17.3445f, 19.9243f, 17.369f, 20.1133f, 17.377f)
                curveTo(20.6633f, 17.385f, 21.0959f, 17.1636f, 21.3789f, 16.6836f)
                curveTo(21.4969f, 16.4946f, 21.5917f, 16.2978f, 21.6777f, 16.0938f)
                curveTo(22.4397f, 14.1678f, 23.1942f, 12.2485f, 23.9492f, 10.3145f)
                curveTo(23.9722f, 10.2595f, 23.9881f, 10.2056f, 23.9961f, 10.1426f)
                curveTo(24.0121f, 10.0486f, 23.966f, 10.001f, 23.877f, 10.0f)
                lineTo(23.2402f, 10.0f)
                close()
                moveTo(11.5176f, 10.8184f)
                curveTo(11.9976f, 10.8574f, 12.3897f, 11.0924f, 12.5938f, 11.6504f)
                curveTo(12.7198f, 11.9964f, 12.752f, 12.3519f, 12.752f, 12.7129f)
                curveTo(12.752f, 13.0519f, 12.727f, 13.3723f, 12.625f, 13.6953f)
                curveTo(12.405f, 14.3793f, 11.9028f, 14.6462f, 11.2578f, 14.6152f)
                curveTo(10.8018f, 14.5912f, 10.4167f, 14.419f, 10.0547f, 14.168f)
                curveTo(10.0157f, 14.144f, 9.99f, 14.1054f, 9.998f, 14.0664f)
                lineTo(9.998f, 11.3535f)
                curveTo(9.99f, 11.3065f, 10.0157f, 11.2662f, 10.0547f, 11.2422f)
                curveTo(10.4947f, 10.9352f, 10.9826f, 10.7794f, 11.5176f, 10.8184f)
                close()
                moveTo(16.3789f, 12.998f)
                curveTo(16.5137f, 12.9863f, 16.6497f, 12.9884f, 16.7832f, 13.0039f)
                curveTo(17.0502f, 13.0279f, 17.3189f, 13.0743f, 17.5859f, 13.1133f)
                curveTo(17.6409f, 13.1213f, 17.6563f, 13.1454f, 17.6563f, 13.1934f)
                curveTo(17.6493f, 13.3504f, 17.6563f, 13.4993f, 17.6563f, 13.6563f)
                curveTo(17.6563f, 13.8132f, 17.6484f, 13.9543f, 17.6484f, 14.1113f)
                curveTo(17.6564f, 14.1503f, 17.6326f, 14.1821f, 17.6016f, 14.2051f)
                curveTo(17.2396f, 14.4641f, 16.8464f, 14.6375f, 16.3984f, 14.6855f)
                curveTo(16.2174f, 14.7015f, 16.0363f, 14.7019f, 15.8633f, 14.6309f)
                curveTo(15.6663f, 14.5599f, 15.5179f, 14.3952f, 15.4629f, 14.1992f)
                curveTo(15.3999f, 13.9952f, 15.3981f, 13.7821f, 15.4531f, 13.5781f)
                curveTo(15.5391f, 13.3111f, 15.7285f, 13.1602f, 15.9805f, 13.0742f)
                curveTo(16.11f, 13.0347f, 16.2442f, 13.0098f, 16.3789f, 12.998f)
                close()
                moveTo(24.5313f, 17.498f)
                curveTo(23.8312f, 17.5078f, 23.004f, 17.6635f, 22.377f, 18.1035f)
                curveTo(22.183f, 18.2375f, 22.2186f, 18.4254f, 22.4336f, 18.4004f)
                curveTo(23.1386f, 18.3164f, 24.7073f, 18.1254f, 24.9883f, 18.4844f)
                curveTo(25.2693f, 18.8434f, 24.6761f, 20.3214f, 24.4141f, 20.9824f)
                curveTo(24.3321f, 21.1794f, 24.5045f, 21.2613f, 24.6855f, 21.1113f)
                curveTo(25.8585f, 20.1283f, 26.1638f, 18.0694f, 25.9238f, 17.7734f)
                curveTo(25.8038f, 17.6254f, 25.2313f, 17.4883f, 24.5313f, 17.498f)
                close()
                moveTo(6.1445f, 17.8906f)
                curveTo(5.9989f, 17.9098f, 5.9356f, 18.0883f, 6.0879f, 18.2285f)
                curveTo(8.6999f, 20.5845f, 12.1495f, 22.0f, 15.9805f, 22.0f)
                curveTo(18.7135f, 22.0f, 21.8862f, 21.1414f, 24.0762f, 19.5254f)
                curveTo(24.4382f, 19.2574f, 24.1308f, 18.8556f, 23.7598f, 19.0156f)
                curveTo(21.3038f, 20.0576f, 18.636f, 20.5586f, 16.209f, 20.5586f)
                curveTo(12.612f, 20.5586f, 9.1295f, 19.5726f, 6.3125f, 17.9316f)
                curveTo(6.2508f, 17.8956f, 6.1931f, 17.8842f, 6.1445f, 17.8906f)
                close()
            }
        }
        .build()
        return _ccAmazonPay!!
    }

private var _ccAmazonPay: ImageVector? = null
