package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.CcJcb: ImageVector
    get() {
        if (_ccJcb != null) {
            return _ccJcb!!
        }
        _ccJcb = Builder(name = "CcJcb", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(5.0f, 6.0f)
                curveTo(3.3555f, 6.0f, 2.0f, 7.3555f, 2.0f, 9.0f)
                lineTo(2.0f, 23.0f)
                curveTo(2.0f, 24.6445f, 3.3555f, 26.0f, 5.0f, 26.0f)
                lineTo(27.0f, 26.0f)
                curveTo(28.6445f, 26.0f, 30.0f, 24.6445f, 30.0f, 23.0f)
                lineTo(30.0f, 9.0f)
                curveTo(30.0f, 7.3555f, 28.6445f, 6.0f, 27.0f, 6.0f)
                close()
                moveTo(5.0f, 8.0f)
                lineTo(27.0f, 8.0f)
                curveTo(27.5664f, 8.0f, 28.0f, 8.4336f, 28.0f, 9.0f)
                lineTo(28.0f, 23.0f)
                curveTo(28.0f, 23.5664f, 27.5664f, 24.0f, 27.0f, 24.0f)
                lineTo(5.0f, 24.0f)
                curveTo(4.4336f, 24.0f, 4.0f, 23.5664f, 4.0f, 23.0f)
                lineTo(4.0f, 9.0f)
                curveTo(4.0f, 8.4336f, 4.4336f, 8.0f, 5.0f, 8.0f)
                close()
                moveTo(8.1563f, 11.0f)
                curveTo(6.9297f, 11.0f, 6.0f, 11.7773f, 6.0f, 13.125f)
                lineTo(6.0f, 21.0f)
                lineTo(9.9375f, 21.0f)
                curveTo(10.8984f, 21.0f, 12.0f, 20.1055f, 12.0f, 18.9375f)
                lineTo(12.0f, 11.0f)
                close()
                moveTo(15.1563f, 11.0f)
                curveTo(13.9336f, 11.0f, 13.0f, 11.7813f, 13.0f, 13.125f)
                lineTo(13.0f, 20.9375f)
                lineTo(16.9375f, 20.9375f)
                curveTo(17.8945f, 20.9375f, 19.0f, 20.0391f, 19.0f, 18.875f)
                lineTo(19.0f, 11.0f)
                close()
                moveTo(22.1563f, 11.0f)
                curveTo(20.9336f, 11.0f, 20.0f, 11.7813f, 20.0f, 13.125f)
                lineTo(20.0f, 20.9375f)
                lineTo(23.9063f, 20.9375f)
                curveTo(24.8594f, 20.9375f, 26.0f, 20.0391f, 26.0f, 18.875f)
                lineTo(26.0f, 11.0f)
                close()
                moveTo(15.375f, 14.0f)
                lineTo(18.25f, 14.0f)
                lineTo(18.25f, 14.625f)
                curveTo(17.5625f, 14.4648f, 16.8906f, 14.375f, 16.5625f, 14.375f)
                curveTo(15.8438f, 14.375f, 15.2813f, 14.9922f, 15.2813f, 15.75f)
                curveTo(15.2813f, 16.5078f, 15.8438f, 17.0938f, 16.5625f, 17.0938f)
                curveTo(16.8906f, 17.0938f, 17.5625f, 17.0352f, 18.25f, 16.875f)
                lineTo(18.25f, 17.4688f)
                lineTo(15.375f, 17.4688f)
                curveTo(14.4805f, 17.4688f, 13.7188f, 16.6953f, 13.7188f, 15.75f)
                curveTo(13.7188f, 14.8047f, 14.4805f, 14.0f, 15.375f, 14.0f)
                close()
                moveTo(20.8438f, 14.0f)
                lineTo(24.5313f, 14.0f)
                curveTo(24.9805f, 14.0f, 25.3438f, 14.3945f, 25.3438f, 14.8438f)
                curveTo(25.3438f, 15.2891f, 25.043f, 15.7188f, 24.5938f, 15.7188f)
                curveTo(25.1016f, 15.7188f, 25.5f, 16.1172f, 25.5f, 16.5625f)
                curveTo(25.5f, 17.0117f, 25.1016f, 17.4375f, 24.5938f, 17.4375f)
                lineTo(20.8438f, 17.4375f)
                close()
                moveTo(9.4688f, 14.0313f)
                lineTo(11.1875f, 14.0313f)
                lineTo(11.1875f, 15.9688f)
                curveTo(11.1875f, 17.0469f, 9.8008f, 17.625f, 8.7813f, 17.625f)
                curveTo(7.6719f, 17.625f, 6.6797f, 16.9648f, 6.4688f, 16.125f)
                lineTo(7.2188f, 16.125f)
                curveTo(7.3086f, 16.6367f, 7.8047f, 17.0f, 8.375f, 17.0f)
                curveTo(9.0039f, 17.0f, 9.4688f, 16.5391f, 9.4688f, 15.9688f)
                close()
                moveTo(22.25f, 14.3438f)
                lineTo(22.25f, 15.5f)
                lineTo(23.4375f, 15.5f)
                curveTo(23.7344f, 15.5f, 24.0f, 15.2344f, 24.0f, 14.9375f)
                curveTo(24.0f, 14.6406f, 23.7344f, 14.3438f, 23.4375f, 14.3438f)
                close()
                moveTo(22.25f, 15.9375f)
                lineTo(22.25f, 17.0938f)
                lineTo(23.4688f, 17.0938f)
                curveTo(23.7695f, 17.0938f, 24.0313f, 16.8281f, 24.0313f, 16.5313f)
                curveTo(24.0313f, 16.2305f, 23.7695f, 15.9375f, 23.4688f, 15.9375f)
                close()
            }
        }
        .build()
        return _ccJcb!!
    }

private var _ccJcb: ImageVector? = null
