package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.CcVisa: ImageVector
    get() {
        if (_ccVisa != null) {
            return _ccVisa!!
        }
        _ccVisa = Builder(name = "CcVisa", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(5.0f, 6.0f)
                curveTo(3.3555f, 6.0f, 2.0f, 7.3555f, 2.0f, 9.0f)
                lineTo(2.0f, 23.0f)
                curveTo(2.0f, 24.6445f, 3.3555f, 26.0f, 5.0f, 26.0f)
                lineTo(27.0f, 26.0f)
                curveTo(28.6445f, 26.0f, 30.0f, 24.6445f, 30.0f, 23.0f)
                lineTo(30.0f, 9.0f)
                curveTo(30.0f, 7.3555f, 28.6445f, 6.0f, 27.0f, 6.0f)
                close()
                moveTo(5.0f, 8.0f)
                lineTo(27.0f, 8.0f)
                curveTo(27.5664f, 8.0f, 28.0f, 8.4336f, 28.0f, 9.0f)
                lineTo(28.0f, 23.0f)
                curveTo(28.0f, 23.5664f, 27.5664f, 24.0f, 27.0f, 24.0f)
                lineTo(5.0f, 24.0f)
                curveTo(4.4336f, 24.0f, 4.0f, 23.5664f, 4.0f, 23.0f)
                lineTo(4.0f, 9.0f)
                curveTo(4.0f, 8.4336f, 4.4336f, 8.0f, 5.0f, 8.0f)
                close()
                moveTo(19.4063f, 12.375f)
                curveTo(17.4805f, 12.375f, 16.4688f, 13.3242f, 16.4688f, 14.5313f)
                curveTo(16.4688f, 16.7109f, 19.0313f, 16.4102f, 19.0313f, 17.5313f)
                curveTo(19.0313f, 17.7227f, 18.8711f, 18.1563f, 17.8125f, 18.1563f)
                curveTo(16.7539f, 18.1563f, 16.0625f, 17.7813f, 16.0625f, 17.7813f)
                lineTo(15.75f, 19.2188f)
                curveTo(15.75f, 19.2188f, 16.4063f, 19.625f, 17.7188f, 19.625f)
                curveTo(19.0313f, 19.625f, 20.875f, 18.6172f, 20.875f, 17.1563f)
                curveTo(20.875f, 15.3984f, 18.3125f, 15.2813f, 18.3125f, 14.5f)
                curveTo(18.3125f, 14.1016f, 18.6523f, 13.7813f, 19.5625f, 13.7813f)
                curveTo(20.1563f, 13.7813f, 20.8125f, 14.25f, 20.8125f, 14.25f)
                lineTo(21.125f, 12.7188f)
                curveTo(21.125f, 12.7188f, 20.2539f, 12.375f, 19.4063f, 12.375f)
                close()
                moveTo(11.1875f, 12.5f)
                lineTo(9.5f, 17.4375f)
                curveTo(9.5f, 17.4375f, 9.4141f, 17.0117f, 9.375f, 16.75f)
                curveTo(8.4219f, 14.6094f, 6.875f, 13.8125f, 6.875f, 13.8125f)
                lineTo(8.3438f, 19.4063f)
                lineTo(10.3438f, 19.4063f)
                lineTo(13.1563f, 12.5f)
                close()
                moveTo(13.875f, 12.5f)
                lineTo(12.7813f, 19.4063f)
                lineTo(14.625f, 19.4063f)
                lineTo(15.7188f, 12.5f)
                close()
                moveTo(23.8125f, 12.5f)
                lineTo(20.8125f, 19.4063f)
                lineTo(22.625f, 19.4063f)
                lineTo(23.0f, 18.4375f)
                lineTo(25.3125f, 18.4375f)
                lineTo(25.5f, 19.4063f)
                lineTo(27.1563f, 19.4063f)
                lineTo(25.75f, 12.5f)
                close()
                moveTo(4.8438f, 12.5313f)
                curveTo(4.8438f, 12.5313f, 8.4414f, 13.6328f, 9.2813f, 16.3438f)
                lineTo(8.6563f, 13.2188f)
                curveTo(8.6563f, 13.2188f, 8.3828f, 12.5313f, 7.6563f, 12.5313f)
                close()
                moveTo(24.5f, 14.5f)
                lineTo(25.0313f, 17.0938f)
                lineTo(23.5313f, 17.0938f)
                close()
            }
        }
        .build()
        return _ccVisa!!
    }

private var _ccVisa: ImageVector? = null
