package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Centos: ImageVector
    get() {
        if (_centos != null) {
            return _centos!!
        }
        _centos = Builder(name = "Centos", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.9961f, 3.0f)
                lineTo(13.0f, 6.0039f)
                lineTo(15.0f, 6.0039f)
                lineTo(15.0f, 12.0f)
                lineTo(16.0f, 13.0f)
                lineTo(17.0f, 12.0f)
                lineTo(17.0f, 6.0039f)
                lineTo(19.0f, 6.0039f)
                lineTo(15.9961f, 3.0f)
                close()
                moveTo(7.0f, 7.0f)
                lineTo(7.0f, 11.0f)
                lineTo(8.293f, 9.707f)
                lineTo(12.5859f, 14.0f)
                lineTo(14.0f, 14.0f)
                lineTo(14.0f, 12.5859f)
                lineTo(9.707f, 8.293f)
                lineTo(11.0f, 7.0f)
                lineTo(7.0f, 7.0f)
                close()
                moveTo(12.4141f, 7.0f)
                lineTo(11.1211f, 8.293f)
                lineTo(14.0f, 11.1719f)
                lineTo(14.0f, 7.0f)
                lineTo(12.4141f, 7.0f)
                close()
                moveTo(18.0f, 7.0f)
                lineTo(18.0f, 11.1719f)
                lineTo(20.8789f, 8.293f)
                lineTo(19.5859f, 7.0f)
                lineTo(18.0f, 7.0f)
                close()
                moveTo(21.0f, 7.0f)
                lineTo(22.293f, 8.293f)
                lineTo(18.0f, 12.5859f)
                lineTo(18.0f, 14.0f)
                lineTo(19.4141f, 14.0f)
                lineTo(23.707f, 9.707f)
                lineTo(25.0f, 11.0f)
                lineTo(25.0f, 7.0f)
                lineTo(21.0f, 7.0f)
                close()
                moveTo(8.293f, 11.1211f)
                lineTo(7.0f, 12.4141f)
                lineTo(7.0f, 14.0f)
                lineTo(11.1719f, 14.0f)
                lineTo(8.293f, 11.1211f)
                close()
                moveTo(23.707f, 11.1211f)
                lineTo(20.8281f, 14.0f)
                lineTo(25.0f, 14.0f)
                lineTo(25.0f, 12.4141f)
                lineTo(23.707f, 11.1211f)
                close()
                moveTo(6.0039f, 13.0f)
                lineTo(3.0f, 16.0039f)
                lineTo(6.0039f, 19.0f)
                lineTo(6.0039f, 17.0f)
                lineTo(12.0f, 17.0f)
                lineTo(13.0f, 16.0f)
                lineTo(12.0f, 15.0f)
                lineTo(6.0039f, 15.0f)
                lineTo(6.0039f, 13.0f)
                close()
                moveTo(25.9961f, 13.0f)
                lineTo(25.9961f, 15.0f)
                lineTo(20.0f, 15.0f)
                lineTo(19.0f, 16.0f)
                lineTo(20.0f, 17.0f)
                lineTo(25.9961f, 17.0f)
                lineTo(25.9961f, 19.0f)
                lineTo(29.0f, 15.9961f)
                lineTo(25.9961f, 13.0f)
                close()
                moveTo(7.0f, 18.0f)
                lineTo(7.0f, 19.5859f)
                lineTo(8.293f, 20.8789f)
                lineTo(11.1719f, 18.0f)
                lineTo(7.0f, 18.0f)
                close()
                moveTo(12.5859f, 18.0f)
                lineTo(8.293f, 22.293f)
                lineTo(7.0f, 21.0f)
                lineTo(7.0f, 25.0f)
                lineTo(11.0f, 25.0f)
                lineTo(9.707f, 23.707f)
                lineTo(14.0f, 19.4141f)
                lineTo(14.0f, 18.0f)
                lineTo(12.5859f, 18.0f)
                close()
                moveTo(18.0f, 18.0f)
                lineTo(18.0f, 19.4141f)
                lineTo(22.293f, 23.707f)
                lineTo(21.0f, 25.0f)
                lineTo(25.0f, 25.0f)
                lineTo(25.0f, 21.0f)
                lineTo(23.707f, 22.293f)
                lineTo(19.4141f, 18.0f)
                lineTo(18.0f, 18.0f)
                close()
                moveTo(20.8281f, 18.0f)
                lineTo(23.707f, 20.8789f)
                lineTo(25.0f, 19.5859f)
                lineTo(25.0f, 18.0f)
                lineTo(20.8281f, 18.0f)
                close()
                moveTo(16.0f, 19.0f)
                lineTo(15.0f, 20.0f)
                lineTo(15.0f, 25.9961f)
                lineTo(13.0f, 25.9961f)
                lineTo(16.0039f, 29.0f)
                lineTo(19.0f, 25.9961f)
                lineTo(17.0f, 25.9961f)
                lineTo(17.0f, 20.0f)
                lineTo(16.0f, 19.0f)
                close()
                moveTo(14.0f, 20.8281f)
                lineTo(11.1211f, 23.707f)
                lineTo(12.4141f, 25.0f)
                lineTo(14.0f, 25.0f)
                lineTo(14.0f, 20.8281f)
                close()
                moveTo(18.0f, 20.8281f)
                lineTo(18.0f, 25.0f)
                lineTo(19.5859f, 25.0f)
                lineTo(20.8789f, 23.707f)
                lineTo(18.0f, 20.8281f)
                close()
            }
        }
        .build()
        return _centos!!
    }

private var _centos: ImageVector? = null
