package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.ChessQueenSolid: ImageVector
    get() {
        if (_chessQueenSolid != null) {
            return _chessQueenSolid!!
        }
        _chessQueenSolid = Builder(name = "ChessQueenSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 3.0f)
                curveTo(14.9063f, 3.0f, 14.0f, 3.9063f, 14.0f, 5.0f)
                curveTo(14.0f, 5.7305f, 14.4023f, 6.3711f, 15.0f, 6.7188f)
                lineTo(15.0f, 8.25f)
                curveTo(15.0f, 8.6758f, 14.6758f, 9.0f, 14.25f, 9.0f)
                lineTo(11.9063f, 9.0f)
                curveTo(11.5938f, 9.0f, 11.3164f, 8.8516f, 11.1563f, 8.625f)
                curveTo(11.668f, 8.2617f, 12.0f, 7.668f, 12.0f, 7.0f)
                curveTo(12.0f, 5.9063f, 11.0938f, 5.0f, 10.0f, 5.0f)
                curveTo(8.9063f, 5.0f, 8.0f, 5.9063f, 8.0f, 7.0f)
                curveTo(8.0f, 7.7305f, 8.4023f, 8.3711f, 9.0f, 8.7188f)
                lineTo(9.0f, 10.4063f)
                lineTo(9.2813f, 10.7188f)
                lineTo(11.625f, 13.0625f)
                curveTo(11.168f, 13.2344f, 10.9023f, 13.7109f, 10.9961f, 14.1875f)
                curveTo(11.0898f, 14.668f, 11.5117f, 15.0117f, 12.0f, 15.0f)
                lineTo(12.6563f, 15.0f)
                lineTo(11.0938f, 20.5625f)
                lineTo(11.0313f, 20.7188f)
                lineTo(10.375f, 22.0f)
                lineTo(9.0f, 22.0f)
                curveTo(8.9688f, 22.0f, 8.9375f, 22.0f, 8.9063f, 22.0f)
                curveTo(8.3555f, 22.0273f, 7.9258f, 22.4961f, 7.9531f, 23.0469f)
                curveTo(7.9805f, 23.5977f, 8.4492f, 24.0273f, 9.0f, 24.0f)
                lineTo(7.1875f, 26.4063f)
                lineTo(7.0f, 26.6563f)
                lineTo(7.0f, 29.0f)
                lineTo(25.0f, 29.0f)
                lineTo(25.0f, 26.6563f)
                lineTo(24.8125f, 26.4063f)
                lineTo(23.0f, 24.0f)
                curveTo(23.3594f, 24.0039f, 23.6953f, 23.8164f, 23.8789f, 23.5039f)
                curveTo(24.0586f, 23.1914f, 24.0586f, 22.8086f, 23.8789f, 22.4961f)
                curveTo(23.6953f, 22.1836f, 23.3594f, 21.9961f, 23.0f, 22.0f)
                lineTo(21.625f, 22.0f)
                lineTo(20.9688f, 20.7188f)
                lineTo(20.9375f, 20.6563f)
                lineTo(20.9063f, 20.5625f)
                lineTo(19.3438f, 15.0f)
                lineTo(20.0f, 15.0f)
                curveTo(20.4883f, 15.0117f, 20.918f, 14.6719f, 21.0078f, 14.1914f)
                curveTo(21.1016f, 13.7109f, 20.832f, 13.2344f, 20.375f, 13.0625f)
                lineTo(22.7188f, 10.7188f)
                lineTo(23.0f, 10.4063f)
                lineTo(23.0f, 8.7188f)
                curveTo(23.5977f, 8.3711f, 24.0f, 7.7305f, 24.0f, 7.0f)
                curveTo(24.0f, 5.9063f, 23.0938f, 5.0f, 22.0f, 5.0f)
                curveTo(20.9063f, 5.0f, 20.0f, 5.9063f, 20.0f, 7.0f)
                curveTo(20.0f, 7.668f, 20.332f, 8.2617f, 20.8438f, 8.625f)
                curveTo(20.6836f, 8.8516f, 20.4063f, 9.0f, 20.0938f, 9.0f)
                lineTo(17.75f, 9.0f)
                curveTo(17.3242f, 9.0f, 17.0f, 8.6758f, 17.0f, 8.25f)
                lineTo(17.0f, 6.7188f)
                curveTo(17.5977f, 6.3711f, 18.0f, 5.7305f, 18.0f, 5.0f)
                curveTo(18.0f, 3.9063f, 17.0938f, 3.0f, 16.0f, 3.0f)
                close()
                moveTo(16.0f, 10.3438f)
                curveTo(16.4805f, 10.7461f, 17.082f, 11.0f, 17.75f, 11.0f)
                lineTo(19.5625f, 11.0f)
                lineTo(17.5625f, 13.0f)
                lineTo(14.4375f, 13.0f)
                lineTo(12.4375f, 11.0f)
                lineTo(14.25f, 11.0f)
                curveTo(14.918f, 11.0f, 15.5195f, 10.7461f, 16.0f, 10.3438f)
                close()
                moveTo(14.75f, 15.0f)
                lineTo(17.25f, 15.0f)
                lineTo(19.0313f, 21.2813f)
                lineTo(19.0625f, 21.375f)
                lineTo(19.375f, 22.0f)
                lineTo(12.625f, 22.0f)
                lineTo(12.9375f, 21.375f)
                lineTo(12.9688f, 21.2813f)
                close()
                moveTo(11.5f, 24.0f)
                lineTo(20.5f, 24.0f)
                lineTo(22.75f, 27.0f)
                lineTo(9.25f, 27.0f)
                close()
            }
        }
        .build()
        return _chessQueenSolid!!
    }

private var _chessQueenSolid: ImageVector? = null
