package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.CitySolid: ImageVector
    get() {
        if (_citySolid != null) {
            return _citySolid!!
        }
        _citySolid = Builder(name = "CitySolid", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(10.0f, 3.8828f)
                lineTo(3.0f, 7.3828f)
                lineTo(3.0f, 28.0f)
                lineTo(17.0f, 28.0f)
                lineTo(29.0f, 28.0f)
                lineTo(29.0f, 10.0f)
                lineTo(17.0f, 10.0f)
                lineTo(17.0f, 7.3828f)
                lineTo(10.0f, 3.8828f)
                close()
                moveTo(10.0f, 6.1172f)
                lineTo(15.0f, 8.6172f)
                lineTo(15.0f, 26.0f)
                lineTo(5.0f, 26.0f)
                lineTo(5.0f, 8.6172f)
                lineTo(10.0f, 6.1172f)
                close()
                moveTo(7.0f, 10.0f)
                lineTo(7.0f, 12.0f)
                lineTo(9.0f, 12.0f)
                lineTo(9.0f, 10.0f)
                lineTo(7.0f, 10.0f)
                close()
                moveTo(11.0f, 10.0f)
                lineTo(11.0f, 12.0f)
                lineTo(13.0f, 12.0f)
                lineTo(13.0f, 10.0f)
                lineTo(11.0f, 10.0f)
                close()
                moveTo(17.0f, 12.0f)
                lineTo(27.0f, 12.0f)
                lineTo(27.0f, 26.0f)
                lineTo(17.0f, 26.0f)
                lineTo(17.0f, 12.0f)
                close()
                moveTo(7.0f, 14.0f)
                lineTo(7.0f, 16.0f)
                lineTo(9.0f, 16.0f)
                lineTo(9.0f, 14.0f)
                lineTo(7.0f, 14.0f)
                close()
                moveTo(11.0f, 14.0f)
                lineTo(11.0f, 16.0f)
                lineTo(13.0f, 16.0f)
                lineTo(13.0f, 14.0f)
                lineTo(11.0f, 14.0f)
                close()
                moveTo(19.0f, 14.0f)
                lineTo(19.0f, 16.0f)
                lineTo(21.0f, 16.0f)
                lineTo(21.0f, 14.0f)
                lineTo(19.0f, 14.0f)
                close()
                moveTo(23.0f, 14.0f)
                lineTo(23.0f, 16.0f)
                lineTo(25.0f, 16.0f)
                lineTo(25.0f, 14.0f)
                lineTo(23.0f, 14.0f)
                close()
                moveTo(7.0f, 18.0f)
                lineTo(7.0f, 20.0f)
                lineTo(9.0f, 20.0f)
                lineTo(9.0f, 18.0f)
                lineTo(7.0f, 18.0f)
                close()
                moveTo(11.0f, 18.0f)
                lineTo(11.0f, 20.0f)
                lineTo(13.0f, 20.0f)
                lineTo(13.0f, 18.0f)
                lineTo(11.0f, 18.0f)
                close()
                moveTo(19.0f, 18.0f)
                lineTo(19.0f, 20.0f)
                lineTo(21.0f, 20.0f)
                lineTo(21.0f, 18.0f)
                lineTo(19.0f, 18.0f)
                close()
                moveTo(23.0f, 18.0f)
                lineTo(23.0f, 20.0f)
                lineTo(25.0f, 20.0f)
                lineTo(25.0f, 18.0f)
                lineTo(23.0f, 18.0f)
                close()
                moveTo(7.0f, 22.0f)
                lineTo(7.0f, 24.0f)
                lineTo(9.0f, 24.0f)
                lineTo(9.0f, 22.0f)
                lineTo(7.0f, 22.0f)
                close()
                moveTo(11.0f, 22.0f)
                lineTo(11.0f, 24.0f)
                lineTo(13.0f, 24.0f)
                lineTo(13.0f, 22.0f)
                lineTo(11.0f, 22.0f)
                close()
                moveTo(19.0f, 22.0f)
                lineTo(19.0f, 24.0f)
                lineTo(21.0f, 24.0f)
                lineTo(21.0f, 22.0f)
                lineTo(19.0f, 22.0f)
                close()
                moveTo(23.0f, 22.0f)
                lineTo(23.0f, 24.0f)
                lineTo(25.0f, 24.0f)
                lineTo(25.0f, 22.0f)
                lineTo(23.0f, 22.0f)
                close()
            }
        }
        .build()
        return _citySolid!!
    }

private var _citySolid: ImageVector? = null
