package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.CloudRainSolid: ImageVector
    get() {
        if (_cloudRainSolid != null) {
            return _cloudRainSolid!!
        }
        _cloudRainSolid = Builder(name = "CloudRainSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 4.0f)
                curveTo(12.7734f, 4.0f, 9.9727f, 6.2578f, 9.2188f, 9.3438f)
                curveTo(7.9727f, 9.8281f, 6.9375f, 10.8125f, 6.4063f, 12.0313f)
                curveTo(2.9102f, 11.7734f, 0.0f, 14.5547f, 0.0f, 18.0f)
                curveTo(0.0f, 21.3086f, 2.6914f, 24.0f, 6.0f, 24.0f)
                lineTo(8.0f, 24.0f)
                lineTo(9.0f, 22.0f)
                lineTo(6.0f, 22.0f)
                curveTo(3.793f, 22.0f, 2.0f, 20.207f, 2.0f, 18.0f)
                curveTo(2.0f, 15.793f, 3.793f, 14.0f, 6.0f, 14.0f)
                curveTo(6.2773f, 14.0f, 6.5586f, 14.0234f, 6.875f, 14.0938f)
                lineTo(7.875f, 14.3125f)
                lineTo(8.0625f, 13.3438f)
                curveTo(8.3086f, 12.2383f, 9.207f, 11.3594f, 10.3125f, 11.0938f)
                lineTo(10.9688f, 10.9375f)
                lineTo(11.0625f, 10.2813f)
                curveTo(11.4219f, 7.8477f, 13.543f, 6.0f, 16.0f, 6.0f)
                curveTo(17.8945f, 6.0f, 19.6133f, 7.0547f, 20.4688f, 8.75f)
                lineTo(20.8438f, 9.5313f)
                lineTo(21.6875f, 9.25f)
                curveTo(22.1563f, 9.0859f, 22.582f, 9.0f, 23.0f, 9.0f)
                curveTo(25.207f, 9.0f, 27.0f, 10.793f, 27.0f, 13.0f)
                curveTo(27.0f, 13.0391f, 27.0039f, 13.0898f, 27.0f, 13.125f)
                curveTo(26.9922f, 13.1914f, 26.9766f, 13.2422f, 26.9688f, 13.3125f)
                lineTo(26.9063f, 14.0313f)
                lineTo(27.5625f, 14.3125f)
                curveTo(29.0391f, 14.9414f, 30.0f, 16.3945f, 30.0f, 18.0f)
                curveTo(30.0f, 20.207f, 28.207f, 22.0f, 26.0f, 22.0f)
                lineTo(24.0f, 22.0f)
                lineTo(25.0f, 24.0f)
                lineTo(26.0f, 24.0f)
                curveTo(29.3086f, 24.0f, 32.0f, 21.3086f, 32.0f, 18.0f)
                curveTo(32.0f, 15.8359f, 30.8438f, 13.875f, 29.0f, 12.8125f)
                curveTo(28.8945f, 9.5938f, 26.2422f, 7.0f, 23.0f, 7.0f)
                curveTo(22.6094f, 7.0f, 22.207f, 7.0391f, 21.8125f, 7.125f)
                curveTo(20.5234f, 5.1797f, 18.3711f, 4.0f, 16.0f, 4.0f)
                close()
                moveTo(18.0f, 14.0f)
                curveTo(18.0f, 14.0f, 16.0f, 16.8945f, 16.0f, 18.0f)
                curveTo(16.0f, 19.1055f, 16.8945f, 20.0f, 18.0f, 20.0f)
                curveTo(19.1055f, 20.0f, 20.0f, 19.1055f, 20.0f, 18.0f)
                curveTo(20.0f, 16.8945f, 18.0f, 14.0f, 18.0f, 14.0f)
                close()
                moveTo(13.0f, 19.0f)
                curveTo(13.0f, 19.0f, 11.0f, 21.8945f, 11.0f, 23.0f)
                curveTo(11.0f, 24.1055f, 11.8945f, 25.0f, 13.0f, 25.0f)
                curveTo(14.1055f, 25.0f, 15.0f, 24.1055f, 15.0f, 23.0f)
                curveTo(15.0f, 21.8945f, 13.0f, 19.0f, 13.0f, 19.0f)
                close()
                moveTo(21.0f, 22.0f)
                curveTo(21.0f, 22.0f, 19.0f, 24.8945f, 19.0f, 26.0f)
                curveTo(19.0f, 27.1055f, 19.8945f, 28.0f, 21.0f, 28.0f)
                curveTo(22.1055f, 28.0f, 23.0f, 27.1055f, 23.0f, 26.0f)
                curveTo(23.0f, 24.8945f, 21.0f, 22.0f, 21.0f, 22.0f)
                close()
            }
        }
        .build()
        return _cloudRainSolid!!
    }

private var _cloudRainSolid: ImageVector? = null
