package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.CogSolid: ImageVector
    get() {
        if (_cogSolid != null) {
            return _cogSolid!!
        }
        _cogSolid = Builder(name = "CogSolid", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(13.1875f, 3.0f)
                lineTo(13.0313f, 3.8125f)
                lineTo(12.4375f, 6.7813f)
                curveTo(11.4844f, 7.1563f, 10.625f, 7.6836f, 9.8438f, 8.3125f)
                lineTo(6.9375f, 7.3125f)
                lineTo(6.1563f, 7.0625f)
                lineTo(5.75f, 7.7813f)
                lineTo(3.75f, 11.2188f)
                lineTo(3.3438f, 11.9375f)
                lineTo(3.9375f, 12.4688f)
                lineTo(6.1875f, 14.4375f)
                curveTo(6.1055f, 14.9492f, 6.0f, 15.4609f, 6.0f, 16.0f)
                curveTo(6.0f, 16.5391f, 6.1055f, 17.0508f, 6.1875f, 17.5625f)
                lineTo(3.9375f, 19.5313f)
                lineTo(3.3438f, 20.0625f)
                lineTo(3.75f, 20.7813f)
                lineTo(5.75f, 24.2188f)
                lineTo(6.1563f, 24.9375f)
                lineTo(6.9375f, 24.6875f)
                lineTo(9.8438f, 23.6875f)
                curveTo(10.625f, 24.3164f, 11.4844f, 24.8438f, 12.4375f, 25.2188f)
                lineTo(13.0313f, 28.1875f)
                lineTo(13.1875f, 29.0f)
                lineTo(18.8125f, 29.0f)
                lineTo(18.9688f, 28.1875f)
                lineTo(19.5625f, 25.2188f)
                curveTo(20.5156f, 24.8438f, 21.375f, 24.3164f, 22.1563f, 23.6875f)
                lineTo(25.0625f, 24.6875f)
                lineTo(25.8438f, 24.9375f)
                lineTo(26.25f, 24.2188f)
                lineTo(28.25f, 20.7813f)
                lineTo(28.6563f, 20.0625f)
                lineTo(28.0625f, 19.5313f)
                lineTo(25.8125f, 17.5625f)
                curveTo(25.8945f, 17.0508f, 26.0f, 16.5391f, 26.0f, 16.0f)
                curveTo(26.0f, 15.4609f, 25.8945f, 14.9492f, 25.8125f, 14.4375f)
                lineTo(28.0625f, 12.4688f)
                lineTo(28.6563f, 11.9375f)
                lineTo(28.25f, 11.2188f)
                lineTo(26.25f, 7.7813f)
                lineTo(25.8438f, 7.0625f)
                lineTo(25.0625f, 7.3125f)
                lineTo(22.1563f, 8.3125f)
                curveTo(21.375f, 7.6836f, 20.5156f, 7.1563f, 19.5625f, 6.7813f)
                lineTo(18.9688f, 3.8125f)
                lineTo(18.8125f, 3.0f)
                close()
                moveTo(14.8125f, 5.0f)
                lineTo(17.1875f, 5.0f)
                lineTo(17.6875f, 7.5938f)
                lineTo(17.8125f, 8.1875f)
                lineTo(18.375f, 8.375f)
                curveTo(19.5117f, 8.7305f, 20.543f, 9.332f, 21.4063f, 10.125f)
                lineTo(21.8438f, 10.5313f)
                lineTo(22.4063f, 10.3438f)
                lineTo(24.9375f, 9.4688f)
                lineTo(26.125f, 11.5f)
                lineTo(24.125f, 13.2813f)
                lineTo(23.6563f, 13.6563f)
                lineTo(23.8125f, 14.25f)
                curveTo(23.9414f, 14.8203f, 24.0f, 15.4023f, 24.0f, 16.0f)
                curveTo(24.0f, 16.5977f, 23.9414f, 17.1797f, 23.8125f, 17.75f)
                lineTo(23.6875f, 18.3438f)
                lineTo(24.125f, 18.7188f)
                lineTo(26.125f, 20.5f)
                lineTo(24.9375f, 22.5313f)
                lineTo(22.4063f, 21.6563f)
                lineTo(21.8438f, 21.4688f)
                lineTo(21.4063f, 21.875f)
                curveTo(20.543f, 22.668f, 19.5117f, 23.2695f, 18.375f, 23.625f)
                lineTo(17.8125f, 23.8125f)
                lineTo(17.6875f, 24.4063f)
                lineTo(17.1875f, 27.0f)
                lineTo(14.8125f, 27.0f)
                lineTo(14.3125f, 24.4063f)
                lineTo(14.1875f, 23.8125f)
                lineTo(13.625f, 23.625f)
                curveTo(12.4883f, 23.2695f, 11.457f, 22.668f, 10.5938f, 21.875f)
                lineTo(10.1563f, 21.4688f)
                lineTo(9.5938f, 21.6563f)
                lineTo(7.0625f, 22.5313f)
                lineTo(5.875f, 20.5f)
                lineTo(7.875f, 18.7188f)
                lineTo(8.3438f, 18.3438f)
                lineTo(8.1875f, 17.75f)
                curveTo(8.0586f, 17.1797f, 8.0f, 16.5977f, 8.0f, 16.0f)
                curveTo(8.0f, 15.4023f, 8.0586f, 14.8203f, 8.1875f, 14.25f)
                lineTo(8.3438f, 13.6563f)
                lineTo(7.875f, 13.2813f)
                lineTo(5.875f, 11.5f)
                lineTo(7.0625f, 9.4688f)
                lineTo(9.5938f, 10.3438f)
                lineTo(10.1563f, 10.5313f)
                lineTo(10.5938f, 10.125f)
                curveTo(11.457f, 9.332f, 12.4883f, 8.7305f, 13.625f, 8.375f)
                lineTo(14.1875f, 8.1875f)
                lineTo(14.3125f, 7.5938f)
                close()
                moveTo(16.0f, 11.0f)
                curveTo(13.25f, 11.0f, 11.0f, 13.25f, 11.0f, 16.0f)
                curveTo(11.0f, 18.75f, 13.25f, 21.0f, 16.0f, 21.0f)
                curveTo(18.75f, 21.0f, 21.0f, 18.75f, 21.0f, 16.0f)
                curveTo(21.0f, 13.25f, 18.75f, 11.0f, 16.0f, 11.0f)
                close()
                moveTo(16.0f, 13.0f)
                curveTo(17.668f, 13.0f, 19.0f, 14.332f, 19.0f, 16.0f)
                curveTo(19.0f, 17.668f, 17.668f, 19.0f, 16.0f, 19.0f)
                curveTo(14.332f, 19.0f, 13.0f, 17.668f, 13.0f, 16.0f)
                curveTo(13.0f, 14.332f, 14.332f, 13.0f, 16.0f, 13.0f)
                close()
            }
        }
        .build()
        return _cogSolid!!
    }

private var _cogSolid: ImageVector? = null
