package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Dhl: ImageVector
    get() {
        if (_dhl != null) {
            return _dhl!!
        }
        _dhl = Builder(name = "Dhl", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp, viewportWidth
                = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(5.6309f, 13.0f)
                lineTo(4.6094f, 14.3906f)
                lineTo(10.1797f, 14.3906f)
                curveTo(10.4597f, 14.3906f, 10.4545f, 14.5005f, 10.3145f, 14.6855f)
                curveTo(10.1745f, 14.8755f, 9.9408f, 15.2045f, 9.8008f, 15.3945f)
                curveTo(9.7308f, 15.4945f, 9.5943f, 15.6699f, 10.0293f, 15.6699f)
                lineTo(12.3105f, 15.6699f)
                curveTo(12.3105f, 15.6699f, 12.6744f, 15.17f, 12.9844f, 14.75f)
                curveTo(13.4044f, 14.18f, 13.0204f, 13.0f, 11.5254f, 13.0f)
                lineTo(5.6309f, 13.0f)
                close()
                moveTo(15.2344f, 13.0f)
                lineTo(13.2695f, 15.6699f)
                lineTo(20.4492f, 15.6699f)
                lineTo(22.4141f, 13.0f)
                lineTo(19.4805f, 13.0f)
                lineTo(18.3555f, 14.5293f)
                lineTo(17.0449f, 14.5293f)
                lineTo(18.1699f, 13.0f)
                lineTo(15.2344f, 13.0f)
                close()
                moveTo(23.375f, 13.0f)
                lineTo(21.4102f, 15.6699f)
                lineTo(24.5195f, 15.6699f)
                lineTo(26.4844f, 13.0f)
                lineTo(23.375f, 13.0f)
                close()
                moveTo(6.2441f, 14.7402f)
                lineTo(4.1895f, 17.5293f)
                lineTo(9.1953f, 17.5293f)
                curveTo(10.8503f, 17.5293f, 11.7697f, 16.4056f, 12.0547f, 16.0156f)
                lineTo(8.6445f, 16.0156f)
                curveTo(8.2095f, 16.0156f, 8.3441f, 15.8352f, 8.4141f, 15.7402f)
                curveTo(8.5541f, 15.5502f, 8.7955f, 15.2202f, 8.9355f, 15.0352f)
                curveTo(9.0755f, 14.8502f, 9.0749f, 14.7402f, 8.7949f, 14.7402f)
                lineTo(6.2441f, 14.7402f)
                close()
                moveTo(0.0f, 16.0156f)
                lineTo(0.0f, 16.3359f)
                lineTo(4.5293f, 16.3359f)
                lineTo(4.7656f, 16.0156f)
                lineTo(0.0f, 16.0156f)
                close()
                moveTo(13.0156f, 16.0156f)
                lineTo(11.9004f, 17.5254f)
                lineTo(14.8359f, 17.5254f)
                lineTo(15.9492f, 16.0156f)
                lineTo(13.0156f, 16.0156f)
                close()
                moveTo(17.2656f, 16.0156f)
                curveTo(17.2606f, 16.0156f, 16.1504f, 17.5254f, 16.1504f, 17.5254f)
                lineTo(19.0859f, 17.5254f)
                lineTo(20.1992f, 16.0156f)
                lineTo(17.2656f, 16.0156f)
                close()
                moveTo(21.1543f, 16.0156f)
                curveTo(21.1543f, 16.0156f, 20.9409f, 16.3092f, 20.8359f, 16.4492f)
                curveTo(20.4659f, 16.9492f, 20.7891f, 17.5293f, 21.9941f, 17.5293f)
                lineTo(26.7109f, 17.5293f)
                lineTo(27.8242f, 16.0156f)
                lineTo(21.1543f, 16.0156f)
                close()
                moveTo(28.3652f, 16.0156f)
                lineTo(28.1309f, 16.3359f)
                lineTo(32.0f, 16.3359f)
                lineTo(32.0f, 16.0156f)
                lineTo(28.3652f, 16.0156f)
                close()
                moveTo(0.0f, 16.6094f)
                lineTo(0.0f, 16.9297f)
                lineTo(4.0898f, 16.9297f)
                lineTo(4.3242f, 16.6094f)
                lineTo(0.0f, 16.6094f)
                close()
                moveTo(27.9258f, 16.6094f)
                lineTo(27.6895f, 16.9297f)
                lineTo(32.0f, 16.9297f)
                lineTo(32.0f, 16.6094f)
                lineTo(27.9258f, 16.6094f)
                close()
                moveTo(0.0f, 17.2051f)
                lineTo(0.0f, 17.5254f)
                lineTo(3.6543f, 17.5254f)
                lineTo(3.8906f, 17.2051f)
                lineTo(0.0f, 17.2051f)
                close()
                moveTo(27.4844f, 17.2109f)
                lineTo(27.25f, 17.5293f)
                lineTo(32.0f, 17.5293f)
                lineTo(32.0f, 17.2109f)
                lineTo(27.4844f, 17.2109f)
                close()
            }
        }
        .build()
        return _dhl!!
    }

private var _dhl: ImageVector? = null
