package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.DragonSolid: ImageVector
    get() {
        if (_dragonSolid != null) {
            return _dragonSolid!!
        }
        _dragonSolid = Builder(name = "DragonSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(8.0f, 3.0f)
                lineTo(8.0f, 9.0f)
                lineTo(3.0f, 10.5f)
                lineTo(6.5f, 14.0f)
                lineTo(4.0f, 19.0f)
                lineTo(9.0f, 19.0f)
                lineTo(9.0f, 29.0f)
                lineTo(11.0f, 29.0f)
                lineTo(11.0f, 19.8477f)
                curveTo(12.2969f, 20.4102f, 13.6602f, 20.9883f, 16.0039f, 21.9219f)
                curveTo(16.0039f, 21.9492f, 16.0f, 21.9727f, 16.0f, 22.0f)
                curveTo(16.0f, 24.2305f, 16.6992f, 26.0469f, 17.9805f, 27.25f)
                curveTo(19.2578f, 28.457f, 21.0391f, 29.0f, 23.0f, 29.0f)
                lineTo(23.0f, 27.0f)
                curveTo(21.3984f, 27.0f, 20.1797f, 26.5742f, 19.3477f, 25.7969f)
                curveTo(18.6367f, 25.125f, 18.1563f, 24.1523f, 18.0313f, 22.7344f)
                curveTo(19.3477f, 23.2305f, 20.5313f, 23.6484f, 21.3516f, 23.8711f)
                curveTo(21.6367f, 23.9453f, 21.9297f, 23.9844f, 22.2188f, 23.9844f)
                curveTo(24.0391f, 23.9844f, 25.8008f, 22.5313f, 26.1328f, 20.6875f)
                lineTo(27.0f, 16.0f)
                lineTo(24.0f, 18.0f)
                curveTo(19.3125f, 18.0f, 18.1992f, 15.0f, 18.1992f, 15.0f)
                curveTo(18.5508f, 14.1563f, 19.2773f, 13.5586f, 20.1211f, 13.1211f)
                lineTo(21.0f, 14.0f)
                lineTo(21.0f, 12.7383f)
                curveTo(21.1875f, 12.6719f, 21.375f, 12.6172f, 21.5625f, 12.5625f)
                lineTo(23.0f, 14.0f)
                lineTo(23.0f, 12.2188f)
                curveTo(23.0586f, 12.207f, 23.125f, 12.1914f, 23.1836f, 12.1836f)
                lineTo(25.0f, 14.0f)
                lineTo(25.0f, 12.0f)
                lineTo(28.0f, 14.0f)
                lineTo(28.0f, 9.1523f)
                curveTo(28.0f, 7.6758f, 27.0f, 6.3164f, 25.5508f, 6.0508f)
                curveTo(25.3633f, 6.0156f, 25.1797f, 6.0f, 25.0f, 6.0f)
                curveTo(24.1992f, 6.0f, 23.4844f, 6.3359f, 22.9453f, 6.8516f)
                lineTo(21.5f, 3.0f)
                lineTo(20.0f, 7.0f)
                lineTo(14.0f, 7.0f)
                close()
                moveTo(10.0f, 6.7344f)
                lineTo(12.8906f, 8.6641f)
                lineTo(13.3945f, 9.0f)
                lineTo(23.6719f, 9.0f)
                lineTo(24.2656f, 8.3438f)
                curveTo(24.3828f, 8.2148f, 24.6289f, 8.0f, 25.0f, 8.0f)
                curveTo(25.0625f, 8.0f, 25.125f, 8.0039f, 25.1875f, 8.0156f)
                curveTo(25.6445f, 8.1016f, 26.0f, 8.5977f, 26.0f, 9.1523f)
                lineTo(26.0f, 10.0f)
                lineTo(25.6055f, 10.0f)
                lineTo(25.5898f, 9.9922f)
                lineTo(25.0f, 10.0f)
                lineTo(24.9688f, 10.0f)
                curveTo(24.2617f, 10.0117f, 18.0313f, 10.2305f, 16.3555f, 14.2266f)
                lineTo(16.0508f, 14.9531f)
                lineTo(16.3242f, 15.6914f)
                curveTo(16.918f, 17.293f, 19.1992f, 20.0f, 24.0f, 20.0f)
                lineTo(24.2266f, 20.0f)
                lineTo(24.1641f, 20.3398f)
                curveTo(24.0078f, 21.2148f, 23.0977f, 21.9844f, 22.2188f, 21.9844f)
                curveTo(22.0977f, 21.9844f, 21.9805f, 21.9688f, 21.8711f, 21.9375f)
                curveTo(18.7891f, 21.1094f, 9.8945f, 17.207f, 9.8047f, 17.168f)
                lineTo(9.4219f, 17.0f)
                lineTo(7.2344f, 17.0f)
                lineTo(8.2891f, 14.8945f)
                lineTo(8.9336f, 13.6055f)
                lineTo(6.7813f, 11.4531f)
                lineTo(8.5781f, 10.918f)
                lineTo(10.0f, 10.4883f)
                close()
                moveTo(13.0f, 10.0f)
                curveTo(13.0f, 10.0f, 13.2305f, 12.0f, 15.0f, 12.0f)
                curveTo(16.7695f, 12.0f, 18.0f, 10.0f, 18.0f, 10.0f)
                close()
            }
        }
        .build()
        return _dragonSolid!!
    }

private var _dragonSolid: ImageVector? = null
