package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Ebay: ImageVector
    get() {
        if (_ebay != null) {
            return _ebay!!
        }
        _ebay = Builder(name = "Ebay", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(8.5313f, 10.0f)
                lineTo(8.5313f, 15.8438f)
                curveTo(8.3555f, 14.6914f, 7.625f, 13.0f, 4.875f, 13.0f)
                curveTo(1.125f, 13.0f, 0.9805f, 15.8789f, 1.0f, 16.625f)
                curveTo(1.0f, 16.625f, 0.8125f, 20.0f, 4.7813f, 20.0f)
                curveTo(7.7188f, 20.0f, 8.25f, 18.4375f, 8.3438f, 18.0f)
                lineTo(6.75f, 18.0f)
                curveTo(6.6289f, 18.2852f, 6.168f, 19.0586f, 4.7813f, 19.0313f)
                curveTo(2.8906f, 18.9961f, 2.582f, 17.418f, 2.5313f, 17.0f)
                lineTo(8.5313f, 17.0f)
                lineTo(8.5313f, 20.0f)
                lineTo(10.0f, 20.0f)
                lineTo(10.0f, 19.0938f)
                curveTo(10.0f, 19.0938f, 10.7461f, 20.0f, 12.75f, 20.0f)
                curveTo(14.4492f, 20.0f, 15.8398f, 19.1016f, 16.25f, 17.4375f)
                curveTo(16.3242f, 17.1406f, 16.3672f, 16.8438f, 16.375f, 16.5f)
                curveTo(16.4141f, 14.2188f, 14.668f, 13.0117f, 12.7813f, 13.0f)
                curveTo(10.8945f, 12.9883f, 10.0f, 14.2813f, 10.0f, 14.2813f)
                lineTo(10.0f, 10.0f)
                close()
                moveTo(16.25f, 17.4375f)
                curveTo(15.9414f, 19.4063f, 17.7266f, 20.0078f, 19.125f, 20.0f)
                curveTo(20.5234f, 19.9922f, 21.4063f, 19.582f, 22.0f, 18.8438f)
                lineTo(22.0f, 20.0f)
                lineTo(23.5313f, 20.0f)
                lineTo(23.5313f, 15.6563f)
                curveTo(23.4922f, 14.918f, 23.3828f, 13.1328f, 20.125f, 13.0f)
                curveTo(20.125f, 13.0f, 17.0117f, 12.7188f, 16.6875f, 15.0f)
                lineTo(18.2813f, 15.0f)
                curveTo(18.2813f, 15.0f, 18.4102f, 13.9688f, 20.0313f, 14.0f)
                curveTo(21.5625f, 14.0313f, 22.0078f, 15.0898f, 22.0f, 16.0f)
                curveTo(22.0f, 16.0f, 20.5f, 15.9961f, 20.0625f, 16.0f)
                curveTo(19.2734f, 16.0039f, 16.6563f, 15.9063f, 16.25f, 17.4375f)
                close()
                moveTo(22.5313f, 13.0f)
                lineTo(26.0f, 19.4688f)
                lineTo(24.6563f, 22.0f)
                lineTo(26.3438f, 22.0f)
                lineTo(31.0f, 13.0f)
                lineTo(29.4063f, 13.0f)
                lineTo(26.8438f, 18.0f)
                lineTo(24.2813f, 13.0f)
                close()
                moveTo(4.8438f, 14.0f)
                curveTo(6.9922f, 14.0f, 7.0f, 16.0f, 7.0f, 16.0f)
                lineTo(2.5313f, 16.0f)
                curveTo(2.5313f, 16.0f, 2.6875f, 14.0f, 4.8438f, 14.0f)
                close()
                moveTo(12.4375f, 14.0f)
                curveTo(14.8633f, 13.9375f, 14.7813f, 16.5f, 14.7813f, 16.5f)
                curveTo(14.7813f, 16.5f, 14.8203f, 18.9688f, 12.4375f, 19.0f)
                curveTo(10.0547f, 19.0313f, 10.0938f, 16.4688f, 10.0938f, 16.4688f)
                curveTo(10.0938f, 16.4688f, 10.0117f, 14.0625f, 12.4375f, 14.0f)
                close()
                moveTo(19.75f, 17.0f)
                curveTo(19.9688f, 16.9883f, 20.125f, 17.0f, 20.125f, 17.0f)
                lineTo(21.8438f, 17.0f)
                curveTo(21.8438f, 17.0f, 22.125f, 19.0977f, 19.4063f, 19.0625f)
                curveTo(19.4063f, 19.0625f, 17.8711f, 19.0664f, 17.7813f, 17.875f)
                curveTo(17.7813f, 17.2109f, 19.0938f, 17.0352f, 19.75f, 17.0f)
                close()
            }
        }
        .build()
        return _ebay!!
    }

private var _ebay: ImageVector? = null
