package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.EyeSlashSolid: ImageVector
    get() {
        if (_eyeSlashSolid != null) {
            return _eyeSlashSolid!!
        }
        _eyeSlashSolid = Builder(name = "EyeSlashSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(3.7188f, 2.2813f)
                lineTo(2.2813f, 3.7188f)
                lineTo(8.4688f, 9.875f)
                lineTo(21.4375f, 22.8438f)
                lineTo(28.2813f, 29.7188f)
                lineTo(29.7188f, 28.2813f)
                lineTo(23.375f, 21.9375f)
                curveTo(27.4727f, 19.8516f, 30.5273f, 16.9102f, 30.7188f, 16.7188f)
                lineTo(31.375f, 16.0625f)
                lineTo(30.75f, 15.3438f)
                curveTo(30.4922f, 15.043f, 24.3945f, 8.0f, 16.0f, 8.0f)
                curveTo(14.0078f, 8.0f, 12.1523f, 8.418f, 10.4688f, 9.0313f)
                close()
                moveTo(16.0f, 10.0f)
                curveTo(18.1641f, 10.0f, 20.1602f, 10.5547f, 21.9375f, 11.3438f)
                curveTo(22.6133f, 12.4453f, 23.0f, 13.6992f, 23.0f, 15.0f)
                curveTo(23.0f, 16.8164f, 22.3008f, 18.4688f, 21.1563f, 19.7188f)
                lineTo(18.3125f, 16.875f)
                curveTo(18.7266f, 16.3633f, 19.0f, 15.7109f, 19.0f, 15.0f)
                curveTo(19.0f, 13.3477f, 17.6523f, 12.0f, 16.0f, 12.0f)
                curveTo(15.2891f, 12.0f, 14.6367f, 12.2734f, 14.125f, 12.6875f)
                lineTo(12.0625f, 10.625f)
                curveTo(13.3008f, 10.2539f, 14.6094f, 10.0f, 16.0f, 10.0f)
                close()
                moveTo(6.625f, 10.875f)
                curveTo(3.3867f, 12.8633f, 1.3945f, 15.1719f, 1.25f, 15.3438f)
                lineTo(0.625f, 16.0625f)
                lineTo(1.2813f, 16.7188f)
                curveTo(1.5664f, 17.0039f, 8.0977f, 23.3828f, 15.0625f, 23.9375f)
                lineTo(15.125f, 23.9375f)
                curveTo(15.4141f, 23.9609f, 15.7109f, 24.0f, 16.0f, 24.0f)
                curveTo(16.2891f, 24.0f, 16.5859f, 23.9609f, 16.875f, 23.9375f)
                lineTo(16.9375f, 23.9375f)
                curveTo(17.7344f, 23.875f, 18.5352f, 23.7305f, 19.3125f, 23.5313f)
                lineTo(17.5938f, 21.8125f)
                curveTo(17.3438f, 21.8711f, 17.0742f, 21.9102f, 16.8125f, 21.9375f)
                lineTo(16.6875f, 21.9688f)
                curveTo(16.2188f, 22.0078f, 15.7773f, 22.0078f, 15.3125f, 21.9688f)
                lineTo(15.2188f, 21.9375f)
                curveTo(11.6797f, 21.5391f, 9.0f, 18.5664f, 9.0f, 15.0f)
                curveTo(9.0f, 14.4648f, 9.0664f, 13.9492f, 9.1875f, 13.4375f)
                close()
                moveTo(7.2813f, 12.8438f)
                curveTo(7.1055f, 13.5469f, 7.0f, 14.2617f, 7.0f, 15.0f)
                curveTo(7.0f, 16.6133f, 7.4375f, 18.1211f, 8.1875f, 19.4375f)
                curveTo(6.0664f, 18.1758f, 4.3203f, 16.75f, 3.4063f, 15.9375f)
                curveTo(4.1523f, 15.1953f, 5.5078f, 13.9883f, 7.2813f, 12.8438f)
                close()
                moveTo(24.7188f, 12.8438f)
                curveTo(26.4922f, 13.9883f, 27.8164f, 15.2266f, 28.5625f, 15.9688f)
                curveTo(27.6484f, 16.7813f, 25.9336f, 18.1758f, 23.8125f, 19.4375f)
                curveTo(24.5625f, 18.1211f, 25.0f, 16.6133f, 25.0f, 15.0f)
                curveTo(25.0f, 14.2656f, 24.8906f, 13.5469f, 24.7188f, 12.8438f)
                close()
                moveTo(16.0f, 14.0f)
                curveTo(16.5508f, 14.0f, 17.0f, 14.4492f, 17.0f, 15.0f)
                curveTo(17.0f, 15.1641f, 16.9453f, 15.3008f, 16.875f, 15.4375f)
                lineTo(15.5625f, 14.125f)
                curveTo(15.6992f, 14.0547f, 15.8359f, 14.0f, 16.0f, 14.0f)
                close()
            }
        }
        .build()
        return _eyeSlashSolid!!
    }

private var _eyeSlashSolid: ImageVector? = null
