package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.FastBackwardSolid: ImageVector
    get() {
        if (_fastBackwardSolid != null) {
            return _fastBackwardSolid!!
        }
        _fastBackwardSolid = Builder(name = "FastBackwardSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(17.0f, 5.0f)
                lineTo(15.4063f, 6.1875f)
                lineTo(3.4063f, 15.1875f)
                lineTo(2.3438f, 16.0f)
                lineTo(3.4063f, 16.8125f)
                lineTo(15.4063f, 25.8125f)
                lineTo(17.0f, 27.0f)
                lineTo(17.0f, 19.625f)
                lineTo(25.4063f, 25.8125f)
                lineTo(27.0f, 26.9688f)
                lineTo(27.0f, 5.0313f)
                lineTo(25.4063f, 6.1875f)
                lineTo(17.0f, 12.375f)
                close()
                moveTo(25.0f, 8.9688f)
                lineTo(25.0f, 23.0313f)
                lineTo(16.5938f, 16.8438f)
                lineTo(15.4688f, 16.0f)
                lineTo(16.5938f, 15.1563f)
                close()
                moveTo(15.0f, 9.0f)
                lineTo(15.0f, 23.0f)
                lineTo(5.6875f, 16.0f)
                close()
            }
        }
        .build()
        return _fastBackwardSolid!!
    }

private var _fastBackwardSolid: ImageVector? = null
