package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.FileCsvSolid: ImageVector
    get() {
        if (_fileCsvSolid != null) {
            return _fileCsvSolid!!
        }
        _fileCsvSolid = Builder(name = "FileCsvSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(6.0f, 3.0f)
                lineTo(6.0f, 10.0f)
                lineTo(8.0f, 10.0f)
                lineTo(8.0f, 5.0f)
                lineTo(24.0f, 5.0f)
                lineTo(24.0f, 10.0f)
                lineTo(26.0f, 10.0f)
                lineTo(26.0f, 3.0f)
                close()
                moveTo(9.5f, 12.0f)
                curveTo(8.1172f, 12.0f, 7.0f, 13.1172f, 7.0f, 14.5f)
                lineTo(7.0f, 17.5f)
                curveTo(7.0f, 18.8828f, 8.1172f, 20.0f, 9.5f, 20.0f)
                curveTo(10.8828f, 20.0f, 12.0f, 18.8828f, 12.0f, 17.5f)
                lineTo(12.0f, 17.0f)
                lineTo(10.0f, 17.0f)
                lineTo(10.0f, 17.5f)
                curveTo(10.0f, 17.7148f, 9.7148f, 18.0f, 9.5f, 18.0f)
                curveTo(9.2852f, 18.0f, 9.0f, 17.7148f, 9.0f, 17.5f)
                lineTo(9.0f, 14.5f)
                curveTo(9.0f, 14.2852f, 9.2852f, 14.0f, 9.5f, 14.0f)
                curveTo(9.7148f, 14.0f, 10.0f, 14.2852f, 10.0f, 14.5f)
                lineTo(10.0f, 15.0f)
                lineTo(12.0f, 15.0f)
                lineTo(12.0f, 14.5f)
                curveTo(12.0f, 13.1172f, 10.8828f, 12.0f, 9.5f, 12.0f)
                close()
                moveTo(15.5f, 12.0f)
                curveTo(14.1172f, 12.0f, 13.0f, 13.1172f, 13.0f, 14.5f)
                curveTo(13.0f, 15.8828f, 14.1172f, 17.0f, 15.5f, 17.0f)
                curveTo(15.7148f, 17.0f, 16.0f, 17.2852f, 16.0f, 17.5f)
                curveTo(16.0f, 17.8008f, 15.8828f, 18.0f, 15.5f, 18.0f)
                curveTo(15.1328f, 18.0f, 15.0742f, 17.9219f, 15.0625f, 17.9063f)
                curveTo(15.0508f, 17.8906f, 15.0f, 17.8281f, 15.0f, 17.5938f)
                lineTo(13.0f, 17.5938f)
                curveTo(13.0f, 18.1602f, 13.1641f, 18.7969f, 13.625f, 19.2813f)
                curveTo(14.0859f, 19.7656f, 14.7695f, 20.0f, 15.5f, 20.0f)
                curveTo(16.918f, 20.0f, 18.0f, 18.8008f, 18.0f, 17.5f)
                curveTo(18.0f, 16.1172f, 16.8828f, 15.0f, 15.5f, 15.0f)
                curveTo(15.2852f, 15.0f, 15.0f, 14.7148f, 15.0f, 14.5f)
                curveTo(15.0f, 14.2852f, 15.2852f, 14.0f, 15.5f, 14.0f)
                curveTo(15.7656f, 14.0f, 15.8477f, 14.0625f, 15.9063f, 14.125f)
                curveTo(15.9648f, 14.1875f, 16.0f, 14.293f, 16.0f, 14.4063f)
                lineTo(18.0f, 14.4063f)
                curveTo(18.0f, 13.8164f, 17.7852f, 13.2148f, 17.3438f, 12.75f)
                curveTo(16.9023f, 12.2852f, 16.2344f, 12.0f, 15.5f, 12.0f)
                close()
                moveTo(19.0f, 12.0f)
                lineTo(19.0f, 13.1563f)
                lineTo(19.0625f, 13.3125f)
                lineTo(21.0625f, 19.3125f)
                lineTo(22.0f, 22.1563f)
                lineTo(22.9375f, 19.3125f)
                lineTo(24.9375f, 13.3125f)
                lineTo(25.0f, 13.1563f)
                lineTo(25.0f, 12.0f)
                lineTo(23.0f, 12.0f)
                lineTo(23.0f, 12.875f)
                lineTo(22.0f, 15.875f)
                lineTo(21.0f, 12.875f)
                lineTo(21.0f, 12.0f)
                close()
                moveTo(6.0f, 22.0f)
                lineTo(6.0f, 29.0f)
                lineTo(26.0f, 29.0f)
                lineTo(26.0f, 22.0f)
                lineTo(24.0f, 22.0f)
                lineTo(24.0f, 27.0f)
                lineTo(8.0f, 27.0f)
                lineTo(8.0f, 22.0f)
                close()
            }
        }
        .build()
        return _fileCsvSolid!!
    }

private var _fileCsvSolid: ImageVector? = null
