package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.FileSignatureSolid: ImageVector
    get() {
        if (_fileSignatureSolid != null) {
            return _fileSignatureSolid!!
        }
        _fileSignatureSolid = Builder(name = "FileSignatureSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(6.0f, 3.0f)
                lineTo(6.0f, 29.0f)
                lineTo(26.0f, 29.0f)
                lineTo(26.0f, 9.5996f)
                lineTo(25.6992f, 9.3008f)
                lineTo(19.6992f, 3.3008f)
                lineTo(19.4004f, 3.0f)
                lineTo(6.0f, 3.0f)
                close()
                moveTo(8.0f, 5.0f)
                lineTo(18.0f, 5.0f)
                lineTo(18.0f, 11.0f)
                lineTo(24.0f, 11.0f)
                lineTo(24.0f, 27.0f)
                lineTo(8.0f, 27.0f)
                lineTo(8.0f, 5.0f)
                close()
                moveTo(20.0f, 6.4004f)
                lineTo(22.5996f, 9.0f)
                lineTo(20.0f, 9.0f)
                lineTo(20.0f, 6.4004f)
                close()
                moveTo(10.0f, 13.0f)
                lineTo(10.0f, 15.0f)
                lineTo(22.0f, 15.0f)
                lineTo(22.0f, 13.0f)
                lineTo(10.0f, 13.0f)
                close()
                moveTo(13.5f, 16.0f)
                curveTo(12.6f, 16.0f, 11.9f, 16.6008f, 11.5f, 17.3008f)
                curveTo(11.1f, 18.0008f, 11.0f, 18.9004f, 11.0f, 19.9004f)
                curveTo(11.0f, 20.5004f, 11.2008f, 21.0992f, 11.3008f, 21.6992f)
                curveTo(10.9008f, 21.7992f, 10.5f, 22.0996f, 10.0f, 22.0996f)
                lineTo(10.0f, 24.0996f)
                curveTo(10.7f, 24.0996f, 11.4f, 24.0008f, 12.0f, 23.8008f)
                curveTo(12.1f, 24.0008f, 12.1008f, 24.1008f, 12.3008f, 24.3008f)
                curveTo(12.7008f, 24.7008f, 13.3f, 25.0f, 14.0f, 25.0f)
                curveTo(15.6f, 25.0f, 16.6008f, 23.8996f, 17.3008f, 23.0996f)
                curveTo(17.4008f, 22.8996f, 17.4996f, 22.7992f, 17.5996f, 22.6992f)
                curveTo(17.5996f, 22.7992f, 17.5992f, 22.9f, 17.6992f, 23.0f)
                curveTo(17.7992f, 23.2f, 17.8996f, 23.3996f, 18.0996f, 23.5996f)
                curveTo(18.2996f, 23.7996f, 18.7f, 24.0f, 19.0f, 24.0f)
                curveTo(19.6f, 24.0f, 19.9992f, 23.6004f, 20.1992f, 23.4004f)
                curveTo(20.3992f, 23.2004f, 20.6008f, 22.8992f, 20.8008f, 22.6992f)
                curveTo(21.2008f, 22.2992f, 21.5004f, 22.0f, 21.9004f, 22.0f)
                lineTo(21.9004f, 20.0f)
                curveTo(20.7004f, 20.0f, 19.8008f, 20.7008f, 19.3008f, 21.3008f)
                curveTo(19.3008f, 21.2008f, 19.2992f, 21.1f, 19.1992f, 21.0f)
                curveTo(19.0992f, 20.8f, 19.0008f, 20.6008f, 18.8008f, 20.3008f)
                curveTo(18.6008f, 20.0008f, 18.3f, 20.0f, 18.0f, 20.0f)
                curveTo(17.2f, 20.0f, 16.8996f, 20.5008f, 16.5996f, 20.8008f)
                curveTo(16.2996f, 21.1008f, 16.0008f, 21.5004f, 15.8008f, 21.9004f)
                curveTo(15.2008f, 22.6004f, 14.8f, 23.0f, 14.0f, 23.0f)
                curveTo(13.9f, 23.0f, 13.9008f, 22.9004f, 13.8008f, 22.9004f)
                curveTo(13.9008f, 22.9004f, 13.9f, 22.8008f, 14.0f, 22.8008f)
                curveTo(15.1f, 21.9008f, 16.0f, 20.6996f, 16.0f, 19.0996f)
                curveTo(16.0f, 18.2996f, 15.8004f, 17.6f, 15.4004f, 17.0f)
                curveTo(15.0004f, 16.4f, 14.3f, 16.0f, 13.5f, 16.0f)
                close()
                moveTo(13.4004f, 18.0f)
                curveTo(13.7004f, 18.0f, 13.7008f, 17.9992f, 13.8008f, 18.1992f)
                curveTo(13.9008f, 18.3992f, 14.0f, 18.6992f, 14.0f, 19.1992f)
                curveTo(14.0f, 19.7992f, 13.6992f, 20.4004f, 13.1992f, 20.9004f)
                curveTo(13.1992f, 20.6004f, 13.0f, 20.2f, 13.0f, 20.0f)
                curveTo(13.0f, 19.2f, 13.1008f, 18.6008f, 13.3008f, 18.3008f)
                curveTo(13.4008f, 18.1008f, 13.4004f, 18.0f, 13.4004f, 18.0f)
                close()
            }
        }
        .build()
        return _fileSignatureSolid!!
    }

private var _fileSignatureSolid: ImageVector? = null
