package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.GamepadSolid: ImageVector
    get() {
        if (_gamepadSolid != null) {
            return _gamepadSolid!!
        }
        _gamepadSolid = Builder(name = "GamepadSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 7.0f)
                curveTo(9.6172f, 7.0f, 4.0313f, 9.0625f, 4.0313f, 9.0625f)
                lineTo(3.4375f, 9.2813f)
                lineTo(3.375f, 9.875f)
                lineTo(2.0313f, 20.125f)
                curveTo(1.668f, 22.9609f, 3.6953f, 25.6055f, 6.5313f, 25.9688f)
                curveTo(9.1719f, 26.3086f, 11.5391f, 24.5273f, 12.1563f, 22.0f)
                lineTo(19.8438f, 22.0f)
                curveTo(20.4648f, 24.5273f, 22.8281f, 26.3086f, 25.4688f, 25.9688f)
                curveTo(28.3047f, 25.6055f, 30.332f, 22.9609f, 29.9688f, 20.125f)
                lineTo(28.625f, 9.875f)
                lineTo(28.5625f, 9.2813f)
                lineTo(27.9688f, 9.0625f)
                curveTo(27.9688f, 9.0625f, 22.3828f, 7.0f, 16.0f, 7.0f)
                close()
                moveTo(16.0f, 9.0f)
                curveTo(21.4844f, 9.0f, 26.0078f, 10.5234f, 26.75f, 10.7813f)
                lineTo(27.9688f, 20.4063f)
                curveTo(28.1953f, 22.168f, 26.9805f, 23.7422f, 25.2188f, 23.9688f)
                curveTo(23.457f, 24.1953f, 21.8516f, 22.9805f, 21.625f, 21.2188f)
                lineTo(21.5938f, 20.875f)
                lineTo(21.4688f, 20.0f)
                lineTo(10.5313f, 20.0f)
                lineTo(10.4063f, 20.875f)
                lineTo(10.375f, 21.2188f)
                curveTo(10.1484f, 22.9805f, 8.543f, 24.1953f, 6.7813f, 23.9688f)
                curveTo(5.0195f, 23.7422f, 3.8047f, 22.168f, 4.0313f, 20.4063f)
                lineTo(5.25f, 10.7813f)
                curveTo(5.9922f, 10.5234f, 10.5156f, 9.0f, 16.0f, 9.0f)
                close()
                moveTo(9.0f, 12.0f)
                lineTo(9.0f, 14.0f)
                lineTo(7.0f, 14.0f)
                lineTo(7.0f, 16.0f)
                lineTo(9.0f, 16.0f)
                lineTo(9.0f, 18.0f)
                lineTo(11.0f, 18.0f)
                lineTo(11.0f, 16.0f)
                lineTo(13.0f, 16.0f)
                lineTo(13.0f, 14.0f)
                lineTo(11.0f, 14.0f)
                lineTo(11.0f, 12.0f)
                close()
                moveTo(22.0f, 12.0f)
                curveTo(21.4492f, 12.0f, 21.0f, 12.4492f, 21.0f, 13.0f)
                curveTo(21.0f, 13.5508f, 21.4492f, 14.0f, 22.0f, 14.0f)
                curveTo(22.5508f, 14.0f, 23.0f, 13.5508f, 23.0f, 13.0f)
                curveTo(23.0f, 12.4492f, 22.5508f, 12.0f, 22.0f, 12.0f)
                close()
                moveTo(20.0f, 14.0f)
                curveTo(19.4492f, 14.0f, 19.0f, 14.4492f, 19.0f, 15.0f)
                curveTo(19.0f, 15.5508f, 19.4492f, 16.0f, 20.0f, 16.0f)
                curveTo(20.5508f, 16.0f, 21.0f, 15.5508f, 21.0f, 15.0f)
                curveTo(21.0f, 14.4492f, 20.5508f, 14.0f, 20.0f, 14.0f)
                close()
                moveTo(24.0f, 14.0f)
                curveTo(23.4492f, 14.0f, 23.0f, 14.4492f, 23.0f, 15.0f)
                curveTo(23.0f, 15.5508f, 23.4492f, 16.0f, 24.0f, 16.0f)
                curveTo(24.5508f, 16.0f, 25.0f, 15.5508f, 25.0f, 15.0f)
                curveTo(25.0f, 14.4492f, 24.5508f, 14.0f, 24.0f, 14.0f)
                close()
                moveTo(22.0f, 16.0f)
                curveTo(21.4492f, 16.0f, 21.0f, 16.4492f, 21.0f, 17.0f)
                curveTo(21.0f, 17.5508f, 21.4492f, 18.0f, 22.0f, 18.0f)
                curveTo(22.5508f, 18.0f, 23.0f, 17.5508f, 23.0f, 17.0f)
                curveTo(23.0f, 16.4492f, 22.5508f, 16.0f, 22.0f, 16.0f)
                close()
            }
        }
        .build()
        return _gamepadSolid!!
    }

private var _gamepadSolid: ImageVector? = null
