package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.GlobeAsiaSolid: ImageVector
    get() {
        if (_globeAsiaSolid != null) {
            return _globeAsiaSolid!!
        }
        _globeAsiaSolid = Builder(name = "GlobeAsiaSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 4.0f)
                curveTo(9.3828f, 4.0f, 4.0f, 9.3828f, 4.0f, 16.0f)
                curveTo(4.0f, 22.6172f, 9.3828f, 28.0f, 16.0f, 28.0f)
                curveTo(22.6172f, 28.0f, 28.0f, 22.6172f, 28.0f, 16.0f)
                curveTo(28.0f, 9.3828f, 22.6172f, 4.0f, 16.0f, 4.0f)
                close()
                moveTo(16.4063f, 6.0313f)
                curveTo(17.3672f, 6.0703f, 18.2852f, 6.2109f, 19.1563f, 6.5f)
                lineTo(18.6875f, 7.1563f)
                lineTo(19.0625f, 7.9375f)
                lineTo(18.5625f, 8.9375f)
                lineTo(20.6875f, 9.2188f)
                lineTo(21.4688f, 12.8438f)
                lineTo(23.1875f, 15.1875f)
                lineTo(24.7188f, 16.1563f)
                lineTo(24.125f, 14.5f)
                lineTo(24.6875f, 13.8125f)
                lineTo(25.8438f, 14.125f)
                curveTo(25.957f, 14.7305f, 26.0f, 15.3633f, 26.0f, 16.0f)
                curveTo(26.0f, 16.1484f, 25.9766f, 16.293f, 25.9688f, 16.4375f)
                lineTo(25.875f, 16.25f)
                lineTo(24.9063f, 16.6563f)
                lineTo(24.6563f, 17.2813f)
                lineTo(24.125f, 17.4688f)
                lineTo(24.3125f, 19.0938f)
                lineTo(24.7188f, 19.6875f)
                lineTo(24.4375f, 20.4688f)
                lineTo(22.9375f, 22.8438f)
                lineTo(22.8125f, 23.3125f)
                curveTo(21.0273f, 24.9727f, 18.6406f, 26.0f, 16.0f, 26.0f)
                curveTo(12.9336f, 26.0f, 10.207f, 24.6289f, 8.375f, 22.4688f)
                lineTo(6.9688f, 19.0f)
                lineTo(7.7813f, 17.625f)
                lineTo(6.5625f, 16.9375f)
                lineTo(7.9375f, 16.2813f)
                lineTo(8.0f, 15.5313f)
                lineTo(7.5938f, 14.4688f)
                lineTo(8.375f, 14.5625f)
                lineTo(9.1563f, 15.75f)
                lineTo(9.875f, 16.0938f)
                lineTo(9.6563f, 15.2813f)
                lineTo(10.4063f, 14.5313f)
                lineTo(11.625f, 15.4063f)
                lineTo(12.2813f, 14.875f)
                lineTo(12.0f, 13.5f)
                lineTo(12.9688f, 12.125f)
                lineTo(12.8438f, 10.75f)
                lineTo(14.0313f, 10.0313f)
                lineTo(13.2188f, 8.0313f)
                lineTo(15.4688f, 7.9063f)
                lineTo(16.7188f, 6.3125f)
                close()
                moveTo(15.0f, 15.5938f)
                lineTo(12.3438f, 17.5938f)
                lineTo(12.5313f, 20.0938f)
                lineTo(13.2188f, 20.6875f)
                lineTo(14.75f, 19.875f)
                lineTo(15.5313f, 20.0938f)
                lineTo(16.875f, 21.5313f)
                lineTo(17.6875f, 21.3125f)
                lineTo(18.5313f, 19.3125f)
                lineTo(18.0f, 17.9375f)
                lineTo(16.9375f, 15.875f)
                lineTo(16.1563f, 17.125f)
                close()
                moveTo(20.0f, 19.8125f)
                lineTo(19.8125f, 19.875f)
                lineTo(19.75f, 21.1563f)
                lineTo(19.3125f, 21.75f)
                lineTo(19.8125f, 22.2188f)
                lineTo(20.4375f, 21.5f)
                close()
                moveTo(18.9063f, 22.25f)
                lineTo(17.625f, 23.7188f)
                lineTo(17.9688f, 24.0938f)
                lineTo(19.4688f, 22.6563f)
                close()
            }
        }
        .build()
        return _globeAsiaSolid!!
    }

private var _globeAsiaSolid: ImageVector? = null
