package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.GopuramSolid: ImageVector
    get() {
        if (_gopuramSolid != null) {
            return _gopuramSolid!!
        }
        _gopuramSolid = Builder(name = "GopuramSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(9.0f, 5.0f)
                lineTo(9.0f, 10.0f)
                lineTo(8.0f, 10.0f)
                lineTo(8.0f, 14.0f)
                lineTo(6.0f, 14.0f)
                lineTo(6.0f, 20.0f)
                lineTo(4.0f, 20.0f)
                lineTo(4.0f, 27.0f)
                lineTo(9.0f, 27.0f)
                lineTo(9.0f, 20.0f)
                lineTo(10.0f, 20.0f)
                lineTo(10.0f, 14.0f)
                lineTo(11.0f, 14.0f)
                lineTo(11.0f, 10.0f)
                lineTo(13.0f, 10.0f)
                lineTo(13.0f, 14.0f)
                lineTo(12.0f, 14.0f)
                lineTo(12.0f, 20.0f)
                lineTo(11.0f, 20.0f)
                lineTo(11.0f, 27.0f)
                lineTo(13.0f, 27.0f)
                lineTo(13.0f, 25.0f)
                curveTo(13.0f, 23.343f, 14.343f, 22.0f, 16.0f, 22.0f)
                curveTo(17.657f, 22.0f, 19.0f, 23.343f, 19.0f, 25.0f)
                lineTo(19.0f, 27.0f)
                lineTo(21.0f, 27.0f)
                lineTo(21.0f, 20.0f)
                lineTo(20.0f, 20.0f)
                lineTo(20.0f, 14.0f)
                lineTo(19.0f, 14.0f)
                lineTo(19.0f, 10.0f)
                lineTo(21.0f, 10.0f)
                lineTo(21.0f, 14.0f)
                lineTo(22.0f, 14.0f)
                lineTo(22.0f, 20.0f)
                lineTo(23.0f, 20.0f)
                lineTo(23.0f, 27.0f)
                lineTo(28.0f, 27.0f)
                lineTo(28.0f, 20.0f)
                lineTo(26.0f, 20.0f)
                lineTo(26.0f, 14.0f)
                lineTo(24.0f, 14.0f)
                lineTo(24.0f, 10.0f)
                lineTo(23.0f, 10.0f)
                lineTo(23.0f, 5.0f)
                lineTo(21.0f, 5.0f)
                lineTo(21.0f, 7.0f)
                lineTo(19.0f, 7.0f)
                lineTo(19.0f, 5.0f)
                lineTo(17.0f, 5.0f)
                lineTo(17.0f, 7.0f)
                lineTo(15.0f, 7.0f)
                lineTo(15.0f, 5.0f)
                lineTo(13.0f, 5.0f)
                lineTo(13.0f, 7.0f)
                lineTo(11.0f, 7.0f)
                lineTo(11.0f, 5.0f)
                lineTo(9.0f, 5.0f)
                close()
                moveTo(16.0f, 11.0f)
                curveTo(16.552f, 11.0f, 17.0f, 11.448f, 17.0f, 12.0f)
                lineTo(17.0f, 14.0f)
                lineTo(15.0f, 14.0f)
                lineTo(15.0f, 12.0f)
                curveTo(15.0f, 11.448f, 15.448f, 11.0f, 16.0f, 11.0f)
                close()
                moveTo(16.0f, 16.0f)
                curveTo(17.105f, 16.0f, 18.0f, 16.895f, 18.0f, 18.0f)
                lineTo(18.0f, 20.0f)
                lineTo(14.0f, 20.0f)
                lineTo(14.0f, 18.0f)
                curveTo(14.0f, 16.895f, 14.895f, 16.0f, 16.0f, 16.0f)
                close()
            }
        }
        .build()
        return _gopuramSolid!!
    }

private var _gopuramSolid: ImageVector? = null
