package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.GraduationCapSolid: ImageVector
    get() {
        if (_graduationCapSolid != null) {
            return _graduationCapSolid!!
        }
        _graduationCapSolid = Builder(name = "GraduationCapSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 4.875f)
                lineTo(15.5313f, 5.125f)
                lineTo(2.0313f, 12.125f)
                lineTo(0.3125f, 13.0f)
                lineTo(2.0f, 13.8438f)
                lineTo(2.0f, 22.2813f)
                curveTo(1.4023f, 22.6289f, 1.0f, 23.2617f, 1.0f, 24.0f)
                curveTo(1.0f, 25.1055f, 1.8945f, 26.0f, 3.0f, 26.0f)
                curveTo(4.1055f, 26.0f, 5.0f, 25.1055f, 5.0f, 24.0f)
                curveTo(5.0f, 23.2617f, 4.5977f, 22.6289f, 4.0f, 22.2813f)
                lineTo(4.0f, 14.875f)
                lineTo(6.0f, 15.9063f)
                lineTo(6.0f, 21.0f)
                curveTo(6.0f, 21.4414f, 6.2031f, 21.8398f, 6.4375f, 22.0938f)
                curveTo(6.6719f, 22.3477f, 6.957f, 22.5f, 7.25f, 22.6563f)
                curveTo(7.8398f, 22.9648f, 8.5391f, 23.1836f, 9.4063f, 23.375f)
                curveTo(11.1406f, 23.7617f, 13.4531f, 24.0f, 16.0f, 24.0f)
                curveTo(18.5469f, 24.0f, 20.8594f, 23.7617f, 22.5938f, 23.375f)
                curveTo(23.4609f, 23.1836f, 24.1602f, 22.9648f, 24.75f, 22.6563f)
                curveTo(25.043f, 22.5f, 25.3281f, 22.3477f, 25.5625f, 22.0938f)
                curveTo(25.7969f, 21.8398f, 26.0f, 21.4414f, 26.0f, 21.0f)
                lineTo(26.0f, 15.9063f)
                lineTo(29.9688f, 13.875f)
                lineTo(31.6875f, 13.0f)
                lineTo(29.9688f, 12.125f)
                lineTo(16.4688f, 5.125f)
                close()
                moveTo(16.0f, 7.125f)
                lineTo(27.3125f, 13.0f)
                lineTo(25.5313f, 13.9063f)
                curveTo(25.3047f, 13.668f, 25.0313f, 13.4922f, 24.75f, 13.3438f)
                curveTo(24.1641f, 13.0352f, 23.4609f, 12.8164f, 22.5938f, 12.625f)
                curveTo(20.8633f, 12.2383f, 18.5586f, 12.0f, 16.0f, 12.0f)
                curveTo(13.4414f, 12.0f, 11.1367f, 12.2383f, 9.4063f, 12.625f)
                curveTo(8.5391f, 12.8164f, 7.8359f, 13.0352f, 7.25f, 13.3438f)
                curveTo(6.9688f, 13.4922f, 6.6953f, 13.668f, 6.4688f, 13.9063f)
                lineTo(4.6875f, 13.0f)
                close()
                moveTo(16.0f, 14.0f)
                curveTo(18.4414f, 14.0f, 20.6367f, 14.2227f, 22.1563f, 14.5625f)
                curveTo(22.9141f, 14.7305f, 23.5234f, 14.9258f, 23.8438f, 15.0938f)
                curveTo(23.9453f, 15.1484f, 23.9609f, 15.1875f, 24.0f, 15.2188f)
                lineTo(24.0f, 19.0313f)
                curveTo(23.582f, 18.8789f, 23.125f, 18.7422f, 22.5938f, 18.625f)
                curveTo(20.8594f, 18.2383f, 18.5469f, 18.0f, 16.0f, 18.0f)
                curveTo(13.4531f, 18.0f, 11.1406f, 18.2383f, 9.4063f, 18.625f)
                curveTo(8.875f, 18.7422f, 8.418f, 18.8789f, 8.0f, 19.0313f)
                lineTo(8.0f, 15.2188f)
                curveTo(8.0391f, 15.1875f, 8.0547f, 15.1484f, 8.1563f, 15.0938f)
                curveTo(8.4766f, 14.9258f, 9.0859f, 14.7305f, 9.8438f, 14.5625f)
                curveTo(11.3633f, 14.2227f, 13.5586f, 14.0f, 16.0f, 14.0f)
                close()
                moveTo(16.0f, 20.0f)
                curveTo(18.4258f, 20.0f, 20.6328f, 20.2227f, 22.1563f, 20.5625f)
                curveTo(22.7891f, 20.7031f, 23.1875f, 20.8516f, 23.5313f, 21.0f)
                curveTo(23.1875f, 21.1484f, 22.7891f, 21.2969f, 22.1563f, 21.4375f)
                curveTo(20.6328f, 21.7773f, 18.4258f, 22.0f, 16.0f, 22.0f)
                curveTo(13.5742f, 22.0f, 11.3672f, 21.7773f, 9.8438f, 21.4375f)
                curveTo(9.2109f, 21.2969f, 8.8125f, 21.1484f, 8.4688f, 21.0f)
                curveTo(8.8125f, 20.8516f, 9.2109f, 20.7031f, 9.8438f, 20.5625f)
                curveTo(11.3672f, 20.2227f, 13.5742f, 20.0f, 16.0f, 20.0f)
                close()
            }
        }
        .build()
        return _graduationCapSolid!!
    }

private var _graduationCapSolid: ImageVector? = null
