package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.HandPeaceSolid: ImageVector
    get() {
        if (_handPeaceSolid != null) {
            return _handPeaceSolid!!
        }
        _handPeaceSolid = Builder(name = "HandPeaceSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.0f, 2.0f)
                curveTo(13.3555f, 2.0f, 12.0f, 3.3555f, 12.0f, 5.0f)
                lineTo(12.0f, 6.5313f)
                lineTo(11.875f, 6.125f)
                curveTo(11.3984f, 4.5508f, 9.6992f, 3.6484f, 8.125f, 4.125f)
                curveTo(6.5508f, 4.6016f, 5.6484f, 6.3008f, 6.125f, 7.875f)
                lineTo(8.7188f, 16.3125f)
                curveTo(8.5313f, 16.3867f, 8.3281f, 16.4727f, 8.125f, 16.5938f)
                curveTo(7.2891f, 17.0938f, 6.3438f, 18.1055f, 6.0625f, 19.7188f)
                curveTo(5.8516f, 20.9141f, 6.082f, 21.9648f, 6.25f, 22.5313f)
                curveTo(6.25f, 22.543f, 6.25f, 22.5508f, 6.25f, 22.5625f)
                lineTo(7.0313f, 25.0625f)
                curveTo(7.9336f, 27.9961f, 10.6523f, 30.0f, 13.7188f, 30.0f)
                lineTo(19.0f, 30.0f)
                curveTo(22.8555f, 30.0f, 26.0f, 26.8555f, 26.0f, 23.0f)
                lineTo(26.0f, 13.0938f)
                curveTo(26.0f, 13.0508f, 26.0f, 13.0117f, 26.0f, 12.9688f)
                curveTo(26.0f, 12.9492f, 26.0f, 12.9258f, 26.0f, 12.9063f)
                curveTo(26.0f, 12.8945f, 26.0f, 12.8867f, 26.0f, 12.875f)
                curveTo(25.9922f, 12.8438f, 25.9805f, 12.8125f, 25.9688f, 12.7813f)
                curveTo(25.8789f, 11.6797f, 25.2109f, 10.6523f, 24.125f, 10.2188f)
                curveTo(23.3711f, 9.918f, 22.5781f, 9.9609f, 21.875f, 10.25f)
                curveTo(21.5508f, 9.6367f, 21.0273f, 9.1172f, 20.3438f, 8.8438f)
                curveTo(19.5586f, 8.5313f, 18.7227f, 8.582f, 18.0f, 8.9063f)
                lineTo(18.0f, 5.0f)
                curveTo(18.0f, 3.3555f, 16.6445f, 2.0f, 15.0f, 2.0f)
                close()
                moveTo(15.0f, 4.0f)
                curveTo(15.5664f, 4.0f, 16.0f, 4.4336f, 16.0f, 5.0f)
                lineTo(16.0f, 11.5938f)
                lineTo(14.9688f, 14.2188f)
                curveTo(14.8203f, 14.5898f, 14.75f, 14.9922f, 14.75f, 15.375f)
                lineTo(10.6563f, 15.9063f)
                lineTo(8.0625f, 7.2813f)
                curveTo(7.8984f, 6.7422f, 8.1797f, 6.1953f, 8.7188f, 6.0313f)
                curveTo(9.2578f, 5.8672f, 9.8047f, 6.1797f, 9.9688f, 6.7188f)
                lineTo(12.0313f, 13.5625f)
                lineTo(13.1563f, 13.2188f)
                lineTo(14.0f, 13.2188f)
                lineTo(14.0f, 5.0f)
                curveTo(14.0f, 4.4336f, 14.4336f, 4.0f, 15.0f, 4.0f)
                close()
                moveTo(19.1875f, 10.625f)
                curveTo(19.3164f, 10.6211f, 19.4648f, 10.6367f, 19.5938f, 10.6875f)
                curveTo(20.1172f, 10.8984f, 20.3672f, 11.4766f, 20.1563f, 12.0f)
                lineTo(19.0938f, 14.6563f)
                lineTo(19.0938f, 14.6875f)
                lineTo(18.6875f, 15.7188f)
                curveTo(18.668f, 15.7734f, 18.6211f, 15.7969f, 18.5938f, 15.8438f)
                curveTo(18.0859f, 15.4492f, 17.4453f, 15.1953f, 16.7813f, 15.1875f)
                curveTo(16.793f, 15.1133f, 16.7813f, 15.043f, 16.8125f, 14.9688f)
                lineTo(18.3125f, 11.25f)
                curveTo(18.4688f, 10.8555f, 18.8008f, 10.6328f, 19.1875f, 10.625f)
                close()
                moveTo(22.9688f, 12.0f)
                curveTo(23.1016f, 12.0f, 23.2422f, 12.0117f, 23.375f, 12.0625f)
                curveTo(23.7695f, 12.2188f, 23.9922f, 12.5742f, 24.0f, 12.9688f)
                curveTo(24.0f, 12.9805f, 24.0f, 12.9883f, 24.0f, 13.0f)
                curveTo(24.0f, 13.1211f, 23.9844f, 13.2539f, 23.9375f, 13.375f)
                lineTo(22.8125f, 16.1563f)
                curveTo(22.6016f, 16.6797f, 22.0234f, 16.9297f, 21.5f, 16.7188f)
                curveTo(20.9766f, 16.5078f, 20.7578f, 15.9297f, 20.9688f, 15.4063f)
                lineTo(22.0313f, 12.75f)
                curveTo(22.0469f, 12.7109f, 22.0469f, 12.6641f, 22.0625f, 12.625f)
                curveTo(22.168f, 12.3633f, 22.3594f, 12.1641f, 22.5938f, 12.0625f)
                curveTo(22.7109f, 12.0117f, 22.8359f, 12.0f, 22.9688f, 12.0f)
                close()
                moveTo(16.5f, 17.1563f)
                curveTo(17.0273f, 17.0313f, 17.5313f, 17.3477f, 17.6563f, 17.875f)
                curveTo(17.7344f, 18.1992f, 17.6914f, 18.3633f, 17.5938f, 18.5313f)
                curveTo(17.4961f, 18.6992f, 17.2891f, 18.9063f, 16.8438f, 19.0625f)
                lineTo(12.0f, 20.3125f)
                curveTo(11.7031f, 20.3906f, 11.4609f, 20.6016f, 11.3398f, 20.8789f)
                curveTo(11.2188f, 21.1602f, 11.2305f, 21.4805f, 11.375f, 21.75f)
                lineTo(12.2813f, 23.4063f)
                curveTo(12.5469f, 23.8906f, 13.1563f, 24.0664f, 13.6406f, 23.7969f)
                curveTo(14.125f, 23.5313f, 14.3008f, 22.9219f, 14.0313f, 22.4375f)
                lineTo(13.75f, 21.9375f)
                lineTo(17.4375f, 20.9688f)
                curveTo(17.4688f, 20.9609f, 17.5f, 20.9492f, 17.5313f, 20.9375f)
                curveTo(18.3047f, 20.668f, 18.9258f, 20.207f, 19.3125f, 19.5625f)
                curveTo(19.6289f, 19.0352f, 19.75f, 18.4219f, 19.6875f, 17.8125f)
                curveTo(19.9805f, 18.1289f, 20.3555f, 18.3906f, 20.7813f, 18.5625f)
                curveTo(21.9258f, 19.0195f, 23.1836f, 18.7305f, 24.0f, 17.9063f)
                lineTo(24.0f, 23.0f)
                curveTo(24.0f, 25.7734f, 21.7734f, 28.0f, 19.0f, 28.0f)
                lineTo(13.7188f, 28.0f)
                curveTo(11.5195f, 28.0f, 9.5859f, 26.5703f, 8.9375f, 24.4688f)
                lineTo(8.1875f, 21.9688f)
                curveTo(8.1055f, 21.6992f, 7.9414f, 20.7539f, 8.0625f, 20.0625f)
                curveTo(8.25f, 18.9883f, 8.7188f, 18.5742f, 9.1563f, 18.3125f)
                curveTo(9.5938f, 18.0508f, 9.9063f, 18.0313f, 9.9063f, 18.0313f)
                curveTo(9.9258f, 18.0313f, 9.9492f, 18.0313f, 9.9688f, 18.0313f)
                lineTo(16.4063f, 17.1875f)
                curveTo(16.4375f, 17.1797f, 16.4688f, 17.168f, 16.5f, 17.1563f)
                close()
            }
        }
        .build()
        return _handPeaceSolid!!
    }

private var _handPeaceSolid: ImageVector? = null
