package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.HandshakeSolid: ImageVector
    get() {
        if (_handshakeSolid != null) {
            return _handshakeSolid!!
        }
        _handshakeSolid = Builder(name = "HandshakeSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(19.3125f, 6.9688f)
                curveTo(18.7578f, 6.9727f, 18.207f, 7.0f, 17.625f, 7.1563f)
                curveTo(17.043f, 7.3125f, 16.4609f, 7.5625f, 15.8438f, 7.9688f)
                curveTo(15.0781f, 7.5195f, 14.3359f, 7.1484f, 13.625f, 7.0625f)
                curveTo(12.7422f, 6.9531f, 11.9219f, 7.0117f, 10.9688f, 7.0313f)
                curveTo(9.8398f, 7.0547f, 9.1016f, 7.6328f, 7.9063f, 8.0938f)
                curveTo(6.7109f, 8.5547f, 5.1719f, 9.0f, 3.0f, 9.0f)
                lineTo(2.0f, 9.0f)
                lineTo(2.0f, 18.625f)
                lineTo(2.5625f, 18.9063f)
                lineTo(4.4063f, 19.8125f)
                lineTo(10.9688f, 27.125f)
                lineTo(11.0f, 27.1563f)
                curveTo(11.75f, 27.8984f, 12.7617f, 28.082f, 13.6563f, 28.0313f)
                curveTo(14.5508f, 27.9805f, 15.3906f, 27.7188f, 16.0625f, 27.3125f)
                curveTo(17.5391f, 26.4219f, 21.5625f, 23.625f, 21.5625f, 23.625f)
                lineTo(21.6563f, 23.5625f)
                lineTo(21.7188f, 23.5f)
                curveTo(22.1953f, 23.0273f, 22.4336f, 22.4492f, 22.5938f, 21.8438f)
                lineTo(26.4375f, 19.9063f)
                lineTo(29.3125f, 18.9375f)
                lineTo(30.0f, 18.7188f)
                lineTo(30.0f, 9.0f)
                lineTo(29.0f, 9.0f)
                curveTo(26.832f, 9.0f, 25.2891f, 8.5313f, 24.0938f, 8.0625f)
                curveTo(22.8984f, 7.5938f, 22.1719f, 7.0234f, 21.0313f, 7.0f)
                curveTo(20.4219f, 6.9883f, 19.8672f, 6.9648f, 19.3125f, 6.9688f)
                close()
                moveTo(19.3438f, 8.9688f)
                curveTo(19.793f, 8.9648f, 20.3125f, 8.9883f, 20.9688f, 9.0f)
                curveTo(21.0742f, 9.0039f, 22.0352f, 9.4141f, 23.375f, 9.9375f)
                curveTo(24.5078f, 10.3828f, 26.082f, 10.7773f, 28.0f, 10.9063f)
                lineTo(28.0f, 17.2813f)
                lineTo(25.6875f, 18.0625f)
                lineTo(25.625f, 18.0625f)
                lineTo(25.5625f, 18.0938f)
                lineTo(22.5313f, 19.625f)
                curveTo(22.3633f, 19.168f, 22.1328f, 18.7461f, 21.7813f, 18.375f)
                lineTo(21.7188f, 18.2813f)
                lineTo(17.4688f, 13.0625f)
                lineTo(16.8438f, 12.2813f)
                lineTo(16.0625f, 12.9063f)
                lineTo(13.375f, 15.0938f)
                curveTo(12.4727f, 15.7188f, 11.7422f, 15.5391f, 11.0f, 15.1875f)
                curveTo(10.7852f, 15.0859f, 10.7969f, 15.0547f, 10.625f, 14.9375f)
                lineTo(15.1875f, 11.1563f)
                lineTo(15.25f, 11.0938f)
                curveTo(16.6055f, 9.75f, 17.4375f, 9.2852f, 18.1563f, 9.0938f)
                curveTo(18.5156f, 8.9961f, 18.8945f, 8.9727f, 19.3438f, 8.9688f)
                close()
                moveTo(12.375f, 9.0f)
                curveTo(12.7578f, 8.9922f, 13.0781f, 8.9961f, 13.375f, 9.0313f)
                curveTo(13.6367f, 9.0625f, 13.9336f, 9.2852f, 14.1875f, 9.375f)
                curveTo(14.0859f, 9.4688f, 14.0117f, 9.5234f, 13.9063f, 9.625f)
                curveTo(13.8828f, 9.6484f, 13.8672f, 9.6641f, 13.8438f, 9.6875f)
                lineTo(8.375f, 14.2188f)
                lineTo(7.5313f, 14.9063f)
                lineTo(8.2813f, 15.6875f)
                curveTo(8.2813f, 15.6875f, 9.0039f, 16.4688f, 10.125f, 17.0f)
                curveTo(11.2461f, 17.5313f, 12.9766f, 17.832f, 14.5313f, 16.75f)
                lineTo(14.5938f, 16.6875f)
                lineTo(16.5313f, 15.0938f)
                lineTo(20.2188f, 19.625f)
                lineTo(20.25f, 19.6875f)
                lineTo(20.2813f, 19.7188f)
                curveTo(20.9414f, 20.3711f, 20.9258f, 21.3984f, 20.2813f, 22.0625f)
                curveTo(20.2734f, 22.0703f, 20.2891f, 22.0859f, 20.2813f, 22.0938f)
                curveTo(20.2734f, 22.0977f, 20.1406f, 22.1758f, 20.125f, 22.1875f)
                lineTo(18.8125f, 20.4063f)
                lineTo(17.1875f, 21.5938f)
                lineTo(18.4688f, 23.3125f)
                curveTo(17.9492f, 23.6641f, 17.7148f, 23.8477f, 17.1563f, 24.2188f)
                lineTo(15.8125f, 22.4063f)
                lineTo(14.1875f, 23.5938f)
                lineTo(15.4688f, 25.3125f)
                curveTo(15.3555f, 25.3828f, 15.1211f, 25.5391f, 15.0313f, 25.5938f)
                curveTo(14.7148f, 25.7852f, 14.1055f, 26.0f, 13.5625f, 26.0313f)
                curveTo(13.0508f, 26.0586f, 12.6602f, 25.9414f, 12.4688f, 25.7813f)
                lineTo(12.4375f, 25.75f)
                lineTo(5.75f, 18.3438f)
                lineTo(5.625f, 18.1875f)
                lineTo(4.0f, 17.375f)
                lineTo(4.0f, 10.9063f)
                curveTo(5.9102f, 10.7813f, 7.4961f, 10.4023f, 8.625f, 9.9688f)
                curveTo(9.9609f, 9.457f, 10.9141f, 9.0352f, 11.0313f, 9.0313f)
                curveTo(11.543f, 9.0195f, 11.9922f, 9.0078f, 12.375f, 9.0f)
                close()
            }
        }
        .build()
        return _handshakeSolid!!
    }

private var _handshakeSolid: ImageVector? = null
