package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.HelicopterSolid: ImageVector
    get() {
        if (_helicopterSolid != null) {
            return _helicopterSolid!!
        }
        _helicopterSolid = Builder(name = "HelicopterSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(18.0f, 6.0f)
                lineTo(18.0f, 10.0625f)
                curveTo(16.1523f, 10.2227f, 14.7422f, 10.7852f, 13.7813f, 11.4688f)
                curveTo(13.2188f, 11.8711f, 12.8242f, 12.3164f, 12.5313f, 12.7188f)
                curveTo(12.4648f, 12.8086f, 12.4609f, 12.918f, 12.4063f, 13.0f)
                lineTo(5.8125f, 13.0f)
                curveTo(5.3945f, 11.8438f, 4.293f, 11.0f, 3.0f, 11.0f)
                curveTo(1.3555f, 11.0f, 0.0f, 12.3555f, 0.0f, 14.0f)
                curveTo(0.0f, 15.6445f, 1.3555f, 17.0f, 3.0f, 17.0f)
                curveTo(4.293f, 17.0f, 5.3945f, 16.1563f, 5.8125f, 15.0f)
                lineTo(14.0f, 15.0f)
                lineTo(14.0f, 14.1563f)
                curveTo(14.0117f, 14.1055f, 14.0469f, 13.9805f, 14.125f, 13.875f)
                curveTo(14.2773f, 13.6641f, 14.5469f, 13.3711f, 14.9375f, 13.0938f)
                curveTo(15.7227f, 12.5352f, 17.0156f, 12.0f, 19.0f, 12.0f)
                curveTo(19.4492f, 12.0f, 19.9102f, 12.1563f, 20.375f, 12.2188f)
                curveTo(19.8516f, 13.0664f, 19.6875f, 14.1445f, 19.6875f, 15.7813f)
                curveTo(19.6875f, 16.5117f, 19.9375f, 17.2461f, 20.4688f, 17.7813f)
                curveTo(21.0f, 18.3164f, 21.7734f, 18.625f, 22.625f, 18.625f)
                curveTo(24.6406f, 18.625f, 25.9727f, 18.5508f, 26.9688f, 18.375f)
                curveTo(27.0547f, 18.3594f, 27.0742f, 18.3008f, 27.1563f, 18.2813f)
                curveTo(27.1133f, 18.3555f, 27.1172f, 18.4961f, 27.0625f, 18.5625f)
                curveTo(26.793f, 18.9063f, 26.3906f, 19.1836f, 25.8125f, 19.4063f)
                curveTo(24.6563f, 19.8555f, 22.9023f, 20.0f, 21.1563f, 20.0f)
                lineTo(16.2188f, 20.0f)
                curveTo(14.9883f, 20.0f, 14.0f, 19.0117f, 14.0f, 17.7813f)
                lineTo(14.0f, 16.0f)
                lineTo(12.0f, 16.0f)
                lineTo(12.0f, 17.7813f)
                curveTo(12.0f, 20.0938f, 13.9063f, 22.0f, 16.2188f, 22.0f)
                lineTo(21.1563f, 22.0f)
                curveTo(22.9844f, 22.0f, 24.9063f, 21.9102f, 26.5313f, 21.2813f)
                curveTo(27.3438f, 20.9648f, 28.1055f, 20.4844f, 28.6563f, 19.7813f)
                curveTo(29.207f, 19.0781f, 29.5f, 18.1641f, 29.5f, 17.125f)
                curveTo(29.5f, 14.9531f, 27.9336f, 13.1914f, 25.9375f, 11.9688f)
                curveTo(25.1758f, 11.5039f, 24.2852f, 11.1875f, 23.4063f, 10.875f)
                curveTo(22.3008f, 10.4805f, 21.1563f, 10.1797f, 20.0f, 10.0625f)
                lineTo(20.0f, 6.0f)
                close()
                moveTo(7.0f, 7.0f)
                lineTo(7.0f, 9.0f)
                lineTo(17.0f, 9.0f)
                lineTo(17.0f, 7.0f)
                close()
                moveTo(21.0f, 7.0f)
                lineTo(21.0f, 9.0f)
                lineTo(31.0f, 9.0f)
                lineTo(31.0f, 7.0f)
                close()
                moveTo(23.0625f, 12.9063f)
                curveTo(23.6875f, 13.1484f, 24.3398f, 13.3633f, 24.875f, 13.6875f)
                curveTo(26.0977f, 14.4336f, 26.7969f, 15.3047f, 27.1563f, 16.1875f)
                curveTo(27.0f, 16.2578f, 26.9922f, 16.3398f, 26.625f, 16.4063f)
                curveTo(25.8711f, 16.5391f, 24.5977f, 16.625f, 22.625f, 16.625f)
                curveTo(22.2109f, 16.625f, 22.0039f, 16.5078f, 21.875f, 16.375f)
                curveTo(21.7461f, 16.2422f, 21.6875f, 16.0547f, 21.6875f, 15.7813f)
                curveTo(21.6875f, 14.0781f, 21.9102f, 13.3086f, 22.0625f, 13.125f)
                curveTo(22.1367f, 13.0313f, 22.207f, 12.9883f, 22.4063f, 12.9375f)
                curveTo(22.5352f, 12.9023f, 22.8164f, 12.918f, 23.0625f, 12.9063f)
                close()
                moveTo(3.0f, 13.0f)
                curveTo(3.5625f, 13.0f, 4.0f, 13.4375f, 4.0f, 14.0f)
                curveTo(4.0f, 14.5625f, 3.5625f, 15.0f, 3.0f, 15.0f)
                curveTo(2.4375f, 15.0f, 2.0f, 14.5625f, 2.0f, 14.0f)
                curveTo(2.0f, 13.4375f, 2.4375f, 13.0f, 3.0f, 13.0f)
                close()
                moveTo(28.0f, 22.0f)
                curveTo(28.0f, 22.5664f, 27.5664f, 23.0f, 27.0f, 23.0f)
                lineTo(11.0f, 23.0f)
                lineTo(11.0f, 25.0f)
                lineTo(27.0f, 25.0f)
                curveTo(28.6445f, 25.0f, 30.0f, 23.6445f, 30.0f, 22.0f)
                close()
            }
        }
        .build()
        return _helicopterSolid!!
    }

private var _helicopterSolid: ImageVector? = null
