package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.JournalWhillsSolid: ImageVector
    get() {
        if (_journalWhillsSolid != null) {
            return _journalWhillsSolid!!
        }
        _journalWhillsSolid = Builder(name = "JournalWhillsSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(9.0f, 4.0f)
                curveTo(7.355f, 4.0f, 6.0f, 5.355f, 6.0f, 7.0f)
                lineTo(6.0f, 25.0f)
                curveTo(6.0f, 26.645f, 7.355f, 28.0f, 9.0f, 28.0f)
                lineTo(26.0f, 28.0f)
                lineTo(26.0f, 4.0f)
                lineTo(9.0f, 4.0f)
                close()
                moveTo(9.0f, 6.0f)
                lineTo(24.0f, 6.0f)
                lineTo(24.0f, 22.0f)
                lineTo(9.0f, 22.0f)
                curveTo(8.648f, 22.0f, 8.316f, 22.0735f, 8.0f, 22.1875f)
                lineTo(8.0f, 7.0f)
                curveTo(8.0f, 6.434f, 8.434f, 6.0f, 9.0f, 6.0f)
                close()
                moveTo(16.0f, 8.2148f)
                curveTo(15.886f, 8.2148f, 15.7902f, 8.3049f, 15.7852f, 8.4199f)
                lineTo(15.5371f, 14.3574f)
                lineTo(14.8945f, 13.9199f)
                curveTo(14.8105f, 13.8649f, 14.7f, 13.8714f, 14.627f, 13.9414f)
                curveTo(14.554f, 14.0094f, 14.5388f, 14.121f, 14.5898f, 14.207f)
                lineTo(15.0488f, 14.9746f)
                lineTo(14.0879f, 15.1738f)
                curveTo(13.9879f, 15.1948f, 13.918f, 15.2818f, 13.918f, 15.3828f)
                curveTo(13.918f, 15.4838f, 13.9879f, 15.5728f, 14.0879f, 15.5938f)
                lineTo(15.0488f, 15.793f)
                lineTo(14.5898f, 16.5586f)
                curveTo(14.5388f, 16.6446f, 14.554f, 16.7552f, 14.627f, 16.8242f)
                curveTo(14.668f, 16.8622f, 14.7194f, 16.8828f, 14.7734f, 16.8828f)
                curveTo(14.8154f, 16.8828f, 14.8575f, 16.8697f, 14.8945f, 16.8457f)
                lineTo(15.4512f, 16.4688f)
                lineTo(15.3789f, 18.2207f)
                curveTo(14.0209f, 17.9337f, 13.0f, 16.7282f, 13.0f, 15.2852f)
                curveTo(13.0f, 14.4792f, 13.3228f, 13.7519f, 13.8398f, 13.2129f)
                curveTo(13.0718f, 12.5839f, 12.5703f, 11.6393f, 12.5703f, 10.5703f)
                curveTo(12.5703f, 9.9133f, 12.7649f, 9.3072f, 13.0859f, 8.7852f)
                curveTo(12.0079f, 9.3902f, 11.1376f, 10.3038f, 10.6016f, 11.4238f)
                lineTo(12.0176f, 12.8398f)
                curveTo(12.1846f, 13.0068f, 12.1846f, 13.2783f, 12.0176f, 13.4453f)
                curveTo(11.9336f, 13.5283f, 11.8248f, 13.5703f, 11.7148f, 13.5703f)
                curveTo(11.6048f, 13.5703f, 11.4942f, 13.5293f, 11.4102f, 13.4453f)
                lineTo(10.2715f, 12.3066f)
                curveTo(10.1115f, 12.8476f, 9.999f, 13.408f, 10.0f, 14.0f)
                curveTo(10.0f, 14.028f, 10.0088f, 14.0521f, 10.0098f, 14.0801f)
                lineTo(11.9961f, 15.8203f)
                curveTo(12.1741f, 15.9753f, 12.1931f, 16.2478f, 12.0371f, 16.4258f)
                curveTo(11.9521f, 16.5228f, 11.8338f, 16.5703f, 11.7148f, 16.5703f)
                curveTo(11.6108f, 16.5703f, 11.5096f, 16.5338f, 11.4316f, 16.4648f)
                lineTo(10.168f, 15.3594f)
                curveTo(10.786f, 18.0164f, 13.156f, 20.0f, 16.0f, 20.0f)
                curveTo(18.844f, 20.0f, 21.214f, 18.0154f, 21.832f, 15.3594f)
                lineTo(20.5684f, 16.4668f)
                curveTo(20.4874f, 16.5378f, 20.3862f, 16.5723f, 20.2852f, 16.5723f)
                curveTo(20.1612f, 16.5723f, 20.0439f, 16.5188f, 19.9629f, 16.4258f)
                curveTo(19.9629f, 16.4258f, 19.9629f, 16.4238f, 19.9629f, 16.4238f)
                curveTo(19.8079f, 16.2458f, 19.8259f, 15.9753f, 20.0039f, 15.8203f)
                lineTo(21.9922f, 14.0801f)
                curveTo(21.9922f, 14.0521f, 22.0f, 14.028f, 22.0f, 14.0f)
                curveTo(22.0f, 13.408f, 21.8865f, 12.8476f, 21.7285f, 12.3066f)
                lineTo(20.5898f, 13.4453f)
                curveTo(20.5058f, 13.5283f, 20.3971f, 13.5703f, 20.2871f, 13.5703f)
                curveTo(20.1771f, 13.5703f, 20.0684f, 13.5293f, 19.9844f, 13.4453f)
                curveTo(19.8174f, 13.2783f, 19.8174f, 13.0068f, 19.9844f, 12.8398f)
                lineTo(21.3984f, 11.4238f)
                curveTo(20.8624f, 10.3038f, 19.9921f, 9.3892f, 18.9141f, 8.7852f)
                curveTo(19.2341f, 9.3072f, 19.4297f, 9.9133f, 19.4297f, 10.5703f)
                curveTo(19.4297f, 11.6403f, 18.9282f, 12.5839f, 18.1602f, 13.2129f)
                curveTo(18.6772f, 13.7519f, 19.0f, 14.4792f, 19.0f, 15.2852f)
                curveTo(19.0f, 16.7282f, 17.979f, 17.9317f, 16.623f, 18.2188f)
                lineTo(16.5469f, 16.3828f)
                lineTo(17.2266f, 16.8438f)
                curveTo(17.2636f, 16.8687f, 17.3057f, 16.8809f, 17.3477f, 16.8809f)
                curveTo(17.3997f, 16.8809f, 17.4531f, 16.8613f, 17.4941f, 16.8223f)
                curveTo(17.5671f, 16.7543f, 17.5823f, 16.6446f, 17.5313f, 16.5586f)
                lineTo(17.0723f, 15.791f)
                lineTo(18.0332f, 15.5918f)
                curveTo(18.1332f, 15.5708f, 18.2031f, 15.4838f, 18.2031f, 15.3828f)
                curveTo(18.2031f, 15.2818f, 18.1332f, 15.1929f, 18.0332f, 15.1719f)
                lineTo(17.0723f, 14.9727f)
                lineTo(17.5313f, 14.2051f)
                curveTo(17.5823f, 14.1191f, 17.5671f, 14.0104f, 17.4941f, 13.9414f)
                curveTo(17.4201f, 13.8734f, 17.3106f, 13.8649f, 17.2266f, 13.9199f)
                lineTo(16.4648f, 14.4355f)
                lineTo(16.2148f, 8.4199f)
                curveTo(16.2098f, 8.3059f, 16.115f, 8.2148f, 16.0f, 8.2148f)
                close()
                moveTo(9.0f, 24.0f)
                lineTo(24.0f, 24.0f)
                lineTo(24.0f, 26.0f)
                lineTo(9.0f, 26.0f)
                curveTo(8.434f, 26.0f, 8.0f, 25.566f, 8.0f, 25.0f)
                curveTo(8.0f, 24.434f, 8.434f, 24.0f, 9.0f, 24.0f)
                close()
            }
        }
        .build()
        return _journalWhillsSolid!!
    }

private var _journalWhillsSolid: ImageVector? = null
