package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Linode: ImageVector
    get() {
        if (_linode != null) {
            return _linode!!
        }
        _linode = Builder(name = "Linode", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.5f, 3.0f)
                lineTo(5.5313f, 4.9063f)
                lineTo(9.875f, 7.5625f)
                lineTo(16.25f, 5.1563f)
                lineTo(11.875f, 3.0625f)
                curveTo(11.7695f, 3.0078f, 11.6055f, 3.0f, 11.5f, 3.0f)
                close()
                moveTo(5.0f, 5.8438f)
                lineTo(6.3125f, 12.1875f)
                curveTo(6.3125f, 12.293f, 6.4258f, 12.3945f, 6.5313f, 12.5f)
                lineTo(10.3438f, 15.5f)
                lineTo(9.3125f, 8.4688f)
                close()
                moveTo(16.7188f, 6.0938f)
                lineTo(10.4063f, 8.4688f)
                lineTo(11.4688f, 15.4375f)
                lineTo(16.7188f, 12.7188f)
                curveTo(16.875f, 12.6641f, 16.9688f, 12.4609f, 16.9688f, 12.25f)
                close()
                moveTo(22.9688f, 12.2188f)
                curveTo(22.875f, 12.2188f, 22.7656f, 12.2617f, 22.6875f, 12.3125f)
                lineTo(19.7188f, 14.1875f)
                lineTo(23.1875f, 16.3438f)
                lineTo(26.375f, 14.0313f)
                lineTo(23.2188f, 12.3125f)
                curveTo(23.1406f, 12.2617f, 23.0625f, 12.2188f, 22.9688f, 12.2188f)
                close()
                moveTo(6.7188f, 13.9688f)
                lineTo(7.8438f, 19.5313f)
                curveTo(7.8438f, 19.6367f, 7.8945f, 19.7578f, 8.0f, 19.8125f)
                lineTo(11.4688f, 23.0625f)
                lineTo(10.625f, 17.0625f)
                close()
                moveTo(17.0313f, 13.9688f)
                lineTo(11.7813f, 16.9688f)
                lineTo(12.5f, 23.0625f)
                lineTo(17.0313f, 20.0313f)
                curveTo(17.1875f, 19.9258f, 17.3047f, 19.7422f, 17.25f, 19.5313f)
                close()
                moveTo(27.0f, 14.875f)
                lineTo(26.9063f, 14.9688f)
                curveTo(26.8516f, 15.0234f, 26.8633f, 15.0938f, 26.8125f, 15.0938f)
                lineTo(23.5938f, 17.2813f)
                lineTo(23.4375f, 20.6563f)
                lineTo(23.4375f, 20.8438f)
                lineTo(26.3125f, 18.5938f)
                curveTo(26.418f, 18.4883f, 26.4805f, 18.3867f, 26.5313f, 18.2813f)
                close()
                moveTo(18.5938f, 14.9375f)
                curveTo(18.4961f, 14.9375f, 18.3867f, 14.9805f, 18.2813f, 15.0313f)
                lineTo(18.1875f, 15.0938f)
                lineTo(18.3438f, 19.5313f)
                curveTo(18.3438f, 19.6367f, 18.3359f, 19.8008f, 18.2813f, 19.9063f)
                lineTo(22.0625f, 17.125f)
                lineTo(18.875f, 15.0313f)
                curveTo(18.7969f, 14.9805f, 18.6914f, 14.9375f, 18.5938f, 14.9375f)
                close()
                moveTo(22.6563f, 17.9688f)
                lineTo(18.4375f, 20.9063f)
                lineTo(18.5625f, 24.5313f)
                lineTo(18.5625f, 24.8125f)
                lineTo(22.2188f, 21.9063f)
                curveTo(22.3242f, 21.8008f, 22.4375f, 21.6875f, 22.4375f, 21.5313f)
                close()
                moveTo(8.3125f, 21.2188f)
                lineTo(9.0938f, 25.4375f)
                curveTo(9.0938f, 25.543f, 9.1445f, 25.582f, 9.25f, 25.6875f)
                lineTo(12.4063f, 29.0f)
                lineTo(12.3125f, 28.7813f)
                lineTo(11.625f, 24.4375f)
                close()
                moveTo(17.4375f, 21.2813f)
                lineTo(12.7188f, 24.3125f)
                lineTo(13.3438f, 28.6875f)
                lineTo(13.4063f, 29.0f)
                lineTo(17.3438f, 25.8438f)
                curveTo(17.5f, 25.7383f, 17.5625f, 25.5938f, 17.5625f, 25.4375f)
                close()
            }
        }
        .build()
        return _linode!!
    }

private var _linode: ImageVector? = null
