package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Linux: ImageVector
    get() {
        if (_linux != null) {
            return _linux!!
        }
        _linux = Builder(name = "Linux", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 5.0f)
                curveTo(10.4883f, 5.0f, 6.0f, 9.4883f, 6.0f, 15.0f)
                lineTo(6.0f, 23.0f)
                curveTo(6.0f, 24.1172f, 5.1172f, 25.0f, 4.0f, 25.0f)
                lineTo(4.0f, 27.0f)
                curveTo(6.1992f, 27.0f, 8.0f, 25.1992f, 8.0f, 23.0f)
                lineTo(8.0f, 15.0f)
                curveTo(8.0f, 10.5703f, 11.5703f, 7.0f, 16.0f, 7.0f)
                curveTo(17.0156f, 7.0f, 17.9844f, 7.1875f, 18.875f, 7.5313f)
                curveTo(18.582f, 7.9453f, 18.7383f, 8.6758f, 19.2813f, 9.2188f)
                curveTo(19.8672f, 9.8047f, 20.6719f, 9.9531f, 21.0625f, 9.5625f)
                curveTo(21.207f, 9.418f, 21.25f, 9.1953f, 21.25f, 8.9688f)
                curveTo(22.9297f, 10.4336f, 24.0f, 12.5859f, 24.0f, 15.0f)
                lineTo(24.0f, 23.0f)
                curveTo(24.0f, 25.1992f, 25.8008f, 27.0f, 28.0f, 27.0f)
                lineTo(28.0f, 25.0f)
                curveTo(26.8828f, 25.0f, 26.0f, 24.1172f, 26.0f, 23.0f)
                lineTo(26.0f, 15.0f)
                curveTo(26.0f, 9.4883f, 21.5117f, 5.0f, 16.0f, 5.0f)
                close()
                moveTo(13.0f, 11.0f)
                curveTo(11.4805f, 11.0f, 10.332f, 11.8516f, 9.75f, 12.875f)
                curveTo(9.168f, 13.8984f, 9.0f, 15.0469f, 9.0f, 16.0f)
                curveTo(9.0f, 17.3555f, 9.4141f, 18.3477f, 9.875f, 18.9688f)
                curveTo(9.918f, 19.0273f, 9.957f, 19.0703f, 10.0f, 19.125f)
                curveTo(9.3867f, 19.7813f, 9.0f, 20.5938f, 9.0f, 21.5f)
                curveTo(9.0f, 22.9297f, 9.9727f, 24.0977f, 11.25f, 24.8438f)
                curveTo(12.5273f, 25.5898f, 14.1836f, 26.0f, 16.0f, 26.0f)
                curveTo(17.8164f, 26.0f, 19.4727f, 25.5898f, 20.75f, 24.8438f)
                curveTo(22.0273f, 24.0977f, 23.0f, 22.9297f, 23.0f, 21.5f)
                curveTo(23.0f, 20.5938f, 22.6133f, 19.7813f, 22.0f, 19.125f)
                curveTo(22.043f, 19.0703f, 22.082f, 19.0273f, 22.125f, 18.9688f)
                curveTo(22.5859f, 18.3477f, 23.0f, 17.3555f, 23.0f, 16.0f)
                curveTo(23.0f, 15.0469f, 22.832f, 13.8984f, 22.25f, 12.875f)
                curveTo(21.668f, 11.8516f, 20.5195f, 11.0f, 19.0f, 11.0f)
                curveTo(17.668f, 11.0f, 16.6289f, 11.6523f, 16.0f, 12.5f)
                curveTo(15.3711f, 11.6523f, 14.332f, 11.0f, 13.0f, 11.0f)
                close()
                moveTo(13.0f, 13.0f)
                curveTo(13.8672f, 13.0f, 14.2109f, 13.3125f, 14.5313f, 13.875f)
                curveTo(14.8516f, 14.4375f, 15.0f, 15.293f, 15.0f, 16.0f)
                lineTo(17.0f, 16.0f)
                curveTo(17.0f, 15.293f, 17.1484f, 14.4375f, 17.4688f, 13.875f)
                curveTo(17.7891f, 13.3125f, 18.1328f, 13.0f, 19.0f, 13.0f)
                curveTo(19.8672f, 13.0f, 20.2109f, 13.3125f, 20.5313f, 13.875f)
                curveTo(20.8516f, 14.4375f, 21.0f, 15.293f, 21.0f, 16.0f)
                curveTo(21.0f, 16.9609f, 20.7227f, 17.4805f, 20.5f, 17.7813f)
                curveTo(20.4297f, 17.8789f, 20.3906f, 17.9219f, 20.3438f, 17.9688f)
                curveTo(20.1172f, 17.8555f, 19.8984f, 17.7188f, 19.6563f, 17.625f)
                curveTo(19.8672f, 17.3516f, 20.0f, 16.9531f, 20.0f, 16.5f)
                curveTo(20.0f, 15.6719f, 19.5508f, 15.0f, 19.0f, 15.0f)
                curveTo(18.4492f, 15.0f, 18.0f, 15.6719f, 18.0f, 16.5f)
                curveTo(18.0f, 16.7656f, 18.0781f, 17.0039f, 18.1563f, 17.2188f)
                curveTo(17.4688f, 17.082f, 16.7578f, 17.0f, 16.0f, 17.0f)
                curveTo(15.2422f, 17.0f, 14.5313f, 17.082f, 13.8438f, 17.2188f)
                curveTo(13.9219f, 17.0039f, 14.0f, 16.7656f, 14.0f, 16.5f)
                curveTo(14.0f, 15.6719f, 13.5508f, 15.0f, 13.0f, 15.0f)
                curveTo(12.4492f, 15.0f, 12.0f, 15.6719f, 12.0f, 16.5f)
                curveTo(12.0f, 16.9531f, 12.1328f, 17.3516f, 12.3438f, 17.625f)
                curveTo(12.1016f, 17.7188f, 11.8828f, 17.8555f, 11.6563f, 17.9688f)
                curveTo(11.6094f, 17.9219f, 11.5703f, 17.8789f, 11.5f, 17.7813f)
                curveTo(11.2773f, 17.4805f, 11.0f, 16.9609f, 11.0f, 16.0f)
                curveTo(11.0f, 15.293f, 11.1484f, 14.4375f, 11.4688f, 13.875f)
                curveTo(11.7891f, 13.3125f, 12.1328f, 13.0f, 13.0f, 13.0f)
                close()
                moveTo(16.0f, 19.0f)
                curveTo(17.5f, 19.0f, 18.8555f, 19.3516f, 19.75f, 19.875f)
                curveTo(20.6445f, 20.3984f, 21.0f, 20.9961f, 21.0f, 21.5f)
                curveTo(21.0f, 22.0039f, 20.6445f, 22.6016f, 19.75f, 23.125f)
                curveTo(18.8555f, 23.6484f, 17.5f, 24.0f, 16.0f, 24.0f)
                curveTo(14.5f, 24.0f, 13.1445f, 23.6484f, 12.25f, 23.125f)
                curveTo(11.3555f, 22.6016f, 11.0f, 22.0039f, 11.0f, 21.5f)
                curveTo(11.0f, 20.9961f, 11.3555f, 20.3984f, 12.25f, 19.875f)
                curveTo(13.1445f, 19.3516f, 14.5f, 19.0f, 16.0f, 19.0f)
                close()
                moveTo(13.5f, 20.4375f)
                lineTo(12.5f, 22.1563f)
                curveTo(12.5f, 22.1563f, 13.9258f, 23.0f, 16.0f, 23.0f)
                curveTo(18.0742f, 23.0f, 19.5f, 22.1563f, 19.5f, 22.1563f)
                lineTo(18.5f, 20.4375f)
                curveTo(18.5f, 20.4375f, 17.5469f, 21.0f, 16.0f, 21.0f)
                curveTo(14.4531f, 21.0f, 13.5f, 20.4375f, 13.5f, 20.4375f)
                close()
            }
        }
        .build()
        return _linux!!
    }

private var _linux: ImageVector? = null
