package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.MoneyCheckAltSolid: ImageVector
    get() {
        if (_moneyCheckAltSolid != null) {
            return _moneyCheckAltSolid!!
        }
        _moneyCheckAltSolid = Builder(name = "MoneyCheckAltSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(2.0f, 7.0f)
                lineTo(2.0f, 25.0f)
                lineTo(30.0f, 25.0f)
                lineTo(30.0f, 7.0f)
                close()
                moveTo(4.0f, 9.0f)
                lineTo(28.0f, 9.0f)
                lineTo(28.0f, 23.0f)
                lineTo(4.0f, 23.0f)
                close()
                moveTo(6.0f, 11.0f)
                lineTo(6.0f, 13.0f)
                lineTo(16.0f, 13.0f)
                lineTo(16.0f, 11.0f)
                close()
                moveTo(22.0f, 11.0f)
                lineTo(22.0f, 12.0625f)
                curveTo(20.875f, 12.25f, 20.0f, 13.2031f, 20.0f, 14.375f)
                curveTo(20.0f, 15.1289f, 20.418f, 15.8203f, 21.0938f, 16.1563f)
                lineTo(24.0f, 17.625f)
                curveTo(24.0f, 17.8477f, 23.8477f, 18.0f, 23.625f, 18.0f)
                lineTo(22.375f, 18.0f)
                curveTo(22.1523f, 18.0f, 22.0f, 17.8477f, 22.0f, 17.625f)
                lineTo(22.0f, 17.0f)
                lineTo(20.0f, 17.0f)
                lineTo(20.0f, 17.625f)
                curveTo(20.0f, 18.7969f, 20.875f, 19.75f, 22.0f, 19.9375f)
                lineTo(22.0f, 21.0f)
                lineTo(24.0f, 21.0f)
                lineTo(24.0f, 19.9375f)
                curveTo(25.125f, 19.75f, 26.0f, 18.7969f, 26.0f, 17.625f)
                curveTo(26.0f, 16.8711f, 25.582f, 16.1836f, 24.9063f, 15.8438f)
                lineTo(22.0f, 14.375f)
                curveTo(22.0f, 14.1523f, 22.1523f, 14.0f, 22.375f, 14.0f)
                lineTo(23.625f, 14.0f)
                curveTo(23.8477f, 14.0f, 24.0f, 14.1523f, 24.0f, 14.375f)
                lineTo(24.0f, 15.0f)
                lineTo(26.0f, 15.0f)
                lineTo(26.0f, 14.375f)
                curveTo(26.0f, 13.2031f, 25.125f, 12.25f, 24.0f, 12.0625f)
                lineTo(24.0f, 11.0f)
                close()
                moveTo(6.0f, 14.0f)
                lineTo(6.0f, 16.0f)
                lineTo(13.0f, 16.0f)
                lineTo(13.0f, 14.0f)
                close()
                moveTo(8.5f, 17.0f)
                curveTo(7.8945f, 17.0f, 7.4688f, 17.3438f, 7.1875f, 17.6563f)
                curveTo(6.9063f, 17.9688f, 6.6992f, 18.3164f, 6.5313f, 18.6875f)
                curveTo(6.1953f, 19.4336f, 6.0f, 20.2383f, 6.0f, 21.0f)
                lineTo(8.0f, 21.0f)
                curveTo(8.0f, 20.6797f, 8.1563f, 19.9844f, 8.375f, 19.5f)
                curveTo(8.4375f, 19.3594f, 8.5f, 19.3125f, 8.5625f, 19.2188f)
                curveTo(8.6367f, 19.3203f, 8.6914f, 19.3867f, 8.7813f, 19.5313f)
                curveTo(8.9258f, 19.7656f, 9.0859f, 20.0469f, 9.2813f, 20.3125f)
                curveTo(9.4766f, 20.5781f, 9.7148f, 21.0156f, 10.4688f, 21.0313f)
                curveTo(11.0625f, 21.043f, 11.2461f, 20.8281f, 11.4375f, 20.6875f)
                curveTo(11.6289f, 20.5469f, 11.7617f, 20.4141f, 11.9063f, 20.2813f)
                curveTo(12.0039f, 20.1914f, 12.082f, 20.125f, 12.1563f, 20.0625f)
                curveTo(12.1836f, 20.1016f, 12.293f, 20.168f, 12.8438f, 20.4063f)
                curveTo(13.5117f, 20.6992f, 14.5234f, 21.0f, 16.0f, 21.0f)
                lineTo(16.0f, 19.0f)
                curveTo(14.7695f, 19.0f, 14.1289f, 18.8008f, 13.6563f, 18.5938f)
                curveTo(13.1836f, 18.3867f, 12.8242f, 18.0f, 12.0f, 18.0f)
                curveTo(11.3984f, 18.0f, 11.2461f, 18.2344f, 11.0625f, 18.375f)
                curveTo(10.8984f, 18.5f, 10.7852f, 18.6328f, 10.6563f, 18.75f)
                curveTo(10.5977f, 18.6563f, 10.5703f, 18.6094f, 10.5f, 18.5f)
                curveTo(10.332f, 18.2266f, 10.1328f, 17.918f, 9.8438f, 17.625f)
                curveTo(9.5547f, 17.332f, 9.0977f, 17.0f, 8.5f, 17.0f)
                close()
            }
        }
        .build()
        return _moneyCheckAltSolid!!
    }

private var _moneyCheckAltSolid: ImageVector? = null
