package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.MosqueSolid: ImageVector
    get() {
        if (_mosqueSolid != null) {
            return _mosqueSolid!!
        }
        _mosqueSolid = Builder(name = "MosqueSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(6.4375f, 4.1563f)
                lineTo(5.5313f, 6.6563f)
                lineTo(4.0625f, 10.6563f)
                lineTo(4.0f, 10.8125f)
                lineTo(4.0f, 28.0f)
                lineTo(15.0f, 28.0f)
                lineTo(15.0f, 25.0f)
                curveTo(15.0f, 24.4102f, 15.1016f, 24.1523f, 15.1875f, 24.0f)
                curveTo(15.2734f, 23.8477f, 15.3711f, 23.7578f, 15.5938f, 23.5938f)
                curveTo(15.707f, 23.5117f, 15.8398f, 23.418f, 16.0f, 23.2813f)
                curveTo(16.1602f, 23.418f, 16.293f, 23.5117f, 16.4063f, 23.5938f)
                curveTo(16.6289f, 23.7578f, 16.7266f, 23.8477f, 16.8125f, 24.0f)
                curveTo(16.8984f, 24.1523f, 17.0f, 24.4102f, 17.0f, 25.0f)
                lineTo(17.0f, 28.0f)
                lineTo(28.0f, 28.0f)
                lineTo(28.0f, 10.8125f)
                lineTo(27.9375f, 10.625f)
                lineTo(26.4063f, 6.625f)
                lineTo(25.4375f, 4.1563f)
                lineTo(24.5313f, 6.6563f)
                lineTo(23.0625f, 10.6563f)
                lineTo(23.0f, 10.8125f)
                lineTo(23.0f, 17.0f)
                lineTo(22.9063f, 17.0f)
                curveTo(22.5859f, 14.2891f, 21.0195f, 12.6367f, 19.5625f, 11.6563f)
                curveTo(18.75f, 11.1094f, 17.9805f, 10.7266f, 17.5f, 10.4063f)
                curveTo(17.2617f, 10.2461f, 17.0938f, 10.1055f, 17.0313f, 10.0313f)
                curveTo(16.9688f, 9.957f, 17.0f, 9.9883f, 17.0f, 10.0f)
                lineTo(17.0f, 9.0f)
                lineTo(15.0f, 9.0f)
                lineTo(15.0f, 10.0f)
                curveTo(15.0f, 9.9883f, 15.0313f, 9.9531f, 14.9688f, 10.0313f)
                curveTo(14.9063f, 10.1094f, 14.7422f, 10.2734f, 14.5f, 10.4375f)
                curveTo(14.0195f, 10.7656f, 13.25f, 11.168f, 12.4375f, 11.7188f)
                curveTo(10.9883f, 12.7031f, 9.4219f, 14.3359f, 9.0938f, 17.0f)
                lineTo(9.0f, 17.0f)
                lineTo(9.0f, 10.8125f)
                lineTo(8.9375f, 10.625f)
                lineTo(7.4063f, 6.625f)
                close()
                moveTo(6.4688f, 9.875f)
                lineTo(7.0f, 11.2188f)
                lineTo(7.0f, 26.0f)
                lineTo(6.0f, 26.0f)
                lineTo(6.0f, 11.1875f)
                close()
                moveTo(25.4688f, 9.875f)
                lineTo(26.0f, 11.2188f)
                lineTo(26.0f, 26.0f)
                lineTo(25.0f, 26.0f)
                lineTo(25.0f, 11.1875f)
                close()
                moveTo(16.0f, 11.7813f)
                curveTo(16.125f, 11.8789f, 16.2461f, 11.9766f, 16.375f, 12.0625f)
                curveTo(17.0195f, 12.4922f, 17.75f, 12.8828f, 18.4375f, 13.3438f)
                curveTo(19.6172f, 14.1406f, 20.6367f, 15.0781f, 20.9063f, 17.0f)
                lineTo(11.0938f, 17.0f)
                curveTo(11.3633f, 15.1016f, 12.3789f, 14.1484f, 13.5625f, 13.3438f)
                curveTo(14.25f, 12.875f, 14.9805f, 12.5f, 15.625f, 12.0625f)
                curveTo(15.7539f, 11.9727f, 15.875f, 11.8789f, 16.0f, 11.7813f)
                close()
                moveTo(9.0f, 19.0f)
                lineTo(23.0f, 19.0f)
                lineTo(23.0f, 26.0f)
                lineTo(19.0f, 26.0f)
                lineTo(19.0f, 25.0f)
                curveTo(19.0f, 24.1758f, 18.8516f, 23.5117f, 18.5625f, 23.0f)
                curveTo(18.2734f, 22.4883f, 17.8711f, 22.168f, 17.5938f, 21.9688f)
                curveTo(17.3164f, 21.7695f, 17.1836f, 21.6719f, 17.125f, 21.5938f)
                curveTo(17.0664f, 21.5156f, 17.0f, 21.4141f, 17.0f, 21.0f)
                lineTo(15.0f, 21.0f)
                curveTo(15.0f, 21.4141f, 14.9336f, 21.5156f, 14.875f, 21.5938f)
                curveTo(14.8164f, 21.6719f, 14.6836f, 21.7695f, 14.4063f, 21.9688f)
                curveTo(14.1289f, 22.168f, 13.7266f, 22.4883f, 13.4375f, 23.0f)
                curveTo(13.1484f, 23.5117f, 13.0f, 24.1758f, 13.0f, 25.0f)
                lineTo(13.0f, 26.0f)
                lineTo(9.0f, 26.0f)
                close()
            }
        }
        .build()
        return _mosqueSolid!!
    }

private var _mosqueSolid: ImageVector? = null
