package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Paypal: ImageVector
    get() {
        if (_paypal != null) {
            return _paypal!!
        }
        _paypal = Builder(name = "Paypal", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(8.9063f, 5.0f)
                lineTo(8.7188f, 5.7813f)
                lineTo(5.0313f, 22.7813f)
                lineTo(4.75f, 24.0f)
                lineTo(9.625f, 24.0f)
                lineTo(9.0313f, 26.7813f)
                lineTo(8.75f, 28.0f)
                lineTo(15.7188f, 28.0f)
                lineTo(15.875f, 27.1875f)
                lineTo(16.9063f, 22.375f)
                lineTo(19.5938f, 22.375f)
                curveTo(23.3555f, 22.375f, 26.6602f, 19.9297f, 27.5f, 16.0f)
                curveTo(27.9414f, 13.9336f, 27.4727f, 12.1836f, 26.5f, 11.0f)
                curveTo(25.7109f, 10.0391f, 24.6406f, 9.4609f, 23.5313f, 9.1875f)
                curveTo(23.3164f, 8.1992f, 22.8633f, 7.3594f, 22.25f, 6.7188f)
                curveTo(21.1133f, 5.5352f, 19.5352f, 5.0f, 18.0625f, 5.0f)
                close()
                moveTo(10.5313f, 7.0f)
                lineTo(18.0625f, 7.0f)
                curveTo(19.043f, 7.0f, 20.125f, 7.3789f, 20.8125f, 8.0938f)
                curveTo(21.5f, 8.8086f, 21.9023f, 9.8281f, 21.5313f, 11.5625f)
                curveTo(20.8711f, 14.6563f, 18.5352f, 16.375f, 15.5938f, 16.375f)
                lineTo(11.2813f, 16.375f)
                lineTo(11.125f, 17.1563f)
                lineTo(10.0938f, 22.0f)
                lineTo(7.25f, 22.0f)
                close()
                moveTo(13.0625f, 8.4688f)
                lineTo(12.875f, 9.25f)
                lineTo(11.8438f, 13.875f)
                lineTo(11.5625f, 15.0938f)
                lineTo(15.0938f, 15.0938f)
                curveTo(16.8711f, 15.0938f, 18.4063f, 13.8008f, 18.8438f, 12.0625f)
                lineTo(18.875f, 12.0625f)
                curveTo(18.8789f, 12.043f, 18.8711f, 12.0195f, 18.875f, 12.0f)
                curveTo(19.0938f, 11.125f, 18.9531f, 10.2266f, 18.4688f, 9.5625f)
                curveTo(17.9727f, 8.8828f, 17.1367f, 8.4688f, 16.25f, 8.4688f)
                close()
                moveTo(14.6563f, 10.4688f)
                lineTo(16.25f, 10.4688f)
                curveTo(16.5625f, 10.4688f, 16.7266f, 10.5586f, 16.8438f, 10.7188f)
                curveTo(16.9609f, 10.8789f, 17.043f, 11.1367f, 16.9375f, 11.5313f)
                lineTo(16.9375f, 11.5625f)
                curveTo(16.75f, 12.3711f, 15.793f, 13.0938f, 15.0938f, 13.0938f)
                lineTo(14.0625f, 13.0938f)
                close()
                moveTo(23.5938f, 11.3438f)
                curveTo(24.1211f, 11.5586f, 24.6172f, 11.8516f, 24.9688f, 12.2813f)
                curveTo(25.5508f, 12.9883f, 25.8711f, 13.9648f, 25.5313f, 15.5625f)
                curveTo(24.8711f, 18.6563f, 22.5352f, 20.375f, 19.5938f, 20.375f)
                lineTo(15.2813f, 20.375f)
                lineTo(15.125f, 21.1563f)
                lineTo(14.0938f, 26.0f)
                lineTo(11.25f, 26.0f)
                lineTo(11.6875f, 24.0f)
                lineTo(11.7188f, 24.0f)
                lineTo(11.875f, 23.1875f)
                lineTo(12.9063f, 18.375f)
                lineTo(15.5938f, 18.375f)
                curveTo(19.3555f, 18.375f, 22.6602f, 15.9297f, 23.5f, 12.0f)
                curveTo(23.5469f, 11.7734f, 23.5664f, 11.5625f, 23.5938f, 11.3438f)
                close()
            }
        }
        .build()
        return _paypal!!
    }

private var _paypal: ImageVector? = null
