package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.PepperHotSolid: ImageVector
    get() {
        if (_pepperHotSolid != null) {
            return _pepperHotSolid!!
        }
        _pepperHotSolid = Builder(name = "PepperHotSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(28.0f, 5.0f)
                lineTo(28.0f, 3.0f)
                curveTo(26.0117f, 3.0f, 24.4609f, 3.5547f, 23.3945f, 4.6406f)
                curveTo(22.7773f, 5.2695f, 22.4453f, 5.9688f, 22.2539f, 6.5703f)
                curveTo(21.7461f, 6.2188f, 21.1563f, 6.0f, 20.5f, 6.0f)
                curveTo(17.9766f, 6.0f, 17.0234f, 8.0078f, 17.0f, 9.375f)
                curveTo(17.0f, 9.5938f, 16.9922f, 9.8242f, 16.9766f, 10.0625f)
                curveTo(16.3047f, 12.0508f, 15.0f, 10.7344f, 15.0f, 8.0f)
                curveTo(11.7773f, 11.4219f, 15.25f, 12.6836f, 13.2695f, 14.6641f)
                curveTo(12.8477f, 15.0859f, 11.8398f, 15.25f, 11.2109f, 14.4766f)
                curveTo(10.3789f, 13.4883f, 12.0703f, 11.8633f, 10.4688f, 10.6484f)
                curveTo(10.7617f, 12.4766f, 9.3516f, 12.0977f, 8.875f, 11.707f)
                curveTo(8.2539f, 11.1992f, 7.125f, 10.082f, 9.0f, 7.0f)
                curveTo(7.082f, 7.875f, 5.9258f, 9.6523f, 6.0f, 11.0f)
                curveTo(6.1992f, 14.5352f, 11.6641f, 17.6055f, 9.457f, 19.668f)
                curveTo(8.3438f, 20.7109f, 6.1563f, 19.3008f, 7.0f, 17.0f)
                curveTo(5.9492f, 17.5352f, 4.7148f, 18.8086f, 5.1094f, 20.7891f)
                curveTo(5.3828f, 22.1602f, 7.375f, 25.25f, 4.0f, 27.0f)
                curveTo(4.0f, 27.0f, 4.0156f, 27.0039f, 4.043f, 27.0117f)
                lineTo(3.957f, 29.0f)
                curveTo(4.0234f, 29.0039f, 4.293f, 29.0117f, 4.7266f, 29.0117f)
                curveTo(7.5391f, 29.0117f, 17.2734f, 28.5781f, 23.2656f, 22.8398f)
                curveTo(26.4063f, 19.832f, 28.0f, 15.8477f, 28.0f, 11.0f)
                curveTo(28.0f, 9.6172f, 27.3711f, 7.0f, 25.0f, 7.0f)
                curveTo(24.707f, 7.0f, 24.4336f, 7.0391f, 24.1758f, 7.1016f)
                curveTo(24.2891f, 6.7656f, 24.4844f, 6.3828f, 24.8203f, 6.0391f)
                curveTo(25.5f, 5.3516f, 26.5664f, 5.0f, 28.0f, 5.0f)
                close()
                moveTo(25.0f, 9.0f)
                curveTo(25.9453f, 9.0f, 26.0f, 10.9844f, 26.0f, 11.0f)
                curveTo(26.0f, 15.2773f, 24.6133f, 18.7734f, 21.8867f, 21.3906f)
                curveTo(17.4609f, 25.6328f, 10.4883f, 26.6836f, 6.7031f, 26.9336f)
                curveTo(7.625f, 26.7227f, 8.7344f, 26.293f, 9.9492f, 25.4727f)
                curveTo(15.8008f, 22.2656f, 18.8789f, 14.7031f, 18.9922f, 9.668f)
                lineTo(19.0f, 9.668f)
                lineTo(19.0f, 9.3945f)
                curveTo(19.0039f, 9.1602f, 19.0977f, 8.0f, 20.5f, 8.0f)
                curveTo(21.3555f, 8.0f, 22.0f, 9.2148f, 22.0f, 10.0f)
                lineTo(24.0f, 10.0f)
                curveTo(24.0f, 9.5703f, 24.1055f, 9.0f, 25.0f, 9.0f)
                close()
            }
        }
        .build()
        return _pepperHotSolid!!
    }

private var _pepperHotSolid: ImageVector? = null
