package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.PersonBoothSolid: ImageVector
    get() {
        if (_personBoothSolid != null) {
            return _personBoothSolid!!
        }
        _personBoothSolid = Builder(name = "PersonBoothSolid", defaultWidth = 32.0.dp, defaultHeight
                = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(7.5f, 4.0f)
                curveTo(5.578f, 4.0f, 4.0f, 5.578f, 4.0f, 7.5f)
                curveTo(4.0f, 9.422f, 5.578f, 11.0f, 7.5f, 11.0f)
                curveTo(9.422f, 11.0f, 11.0f, 9.422f, 11.0f, 7.5f)
                curveTo(11.0f, 5.578f, 9.422f, 4.0f, 7.5f, 4.0f)
                close()
                moveTo(12.0f, 4.0f)
                lineTo(12.0f, 11.8438f)
                curveTo(12.232f, 12.1287f, 12.4433f, 12.4325f, 12.6133f, 12.7715f)
                lineTo(13.5684f, 14.6836f)
                lineTo(14.0f, 15.0059f)
                lineTo(14.0f, 6.0f)
                lineTo(15.1328f, 6.0f)
                lineTo(16.9824f, 18.9473f)
                lineTo(16.0293f, 22.7578f)
                lineTo(16.0f, 23.5f)
                curveTo(16.0f, 24.879f, 17.121f, 26.0f, 18.5f, 26.0f)
                curveTo(19.141f, 26.0f, 19.7191f, 25.7505f, 20.1621f, 25.3535f)
                curveTo(20.6721f, 25.7515f, 21.304f, 26.0f, 22.0f, 26.0f)
                curveTo(22.771f, 26.0f, 23.468f, 25.6997f, 24.0f, 25.2207f)
                curveTo(24.532f, 25.7007f, 25.229f, 26.0f, 26.0f, 26.0f)
                curveTo(26.352f, 26.0f, 26.686f, 25.9284f, 27.0f, 25.8164f)
                lineTo(27.0f, 28.0f)
                lineTo(29.0f, 28.0f)
                lineTo(29.0f, 4.0f)
                lineTo(28.0f, 4.0f)
                lineTo(27.0f, 4.0f)
                lineTo(14.0f, 4.0f)
                lineTo(13.0f, 4.0f)
                lineTo(12.0f, 4.0f)
                close()
                moveTo(7.5f, 6.0f)
                curveTo(8.34f, 6.0f, 9.0f, 6.66f, 9.0f, 7.5f)
                curveTo(9.0f, 8.34f, 8.34f, 9.0f, 7.5f, 9.0f)
                curveTo(6.66f, 9.0f, 6.0f, 8.34f, 6.0f, 7.5f)
                curveTo(6.0f, 6.66f, 6.66f, 6.0f, 7.5f, 6.0f)
                close()
                moveTo(17.1523f, 6.0f)
                lineTo(27.0f, 6.0f)
                lineTo(27.0f, 23.0f)
                curveTo(27.0f, 23.552f, 26.552f, 24.0f, 26.0f, 24.0f)
                curveTo(25.448f, 24.0f, 25.0f, 23.552f, 25.0f, 23.0f)
                lineTo(23.0f, 23.0f)
                curveTo(23.0f, 23.552f, 22.552f, 24.0f, 22.0f, 24.0f)
                curveTo(21.448f, 24.0f, 21.0f, 23.552f, 21.0f, 23.0f)
                lineTo(19.0f, 23.0f)
                lineTo(19.0f, 23.5f)
                curveTo(19.0f, 23.771f, 18.771f, 24.0f, 18.5f, 24.0f)
                curveTo(18.229f, 24.0f, 18.0f, 23.771f, 18.0f, 23.5f)
                lineTo(18.0f, 23.123f)
                lineTo(19.0176f, 19.0527f)
                lineTo(17.1523f, 6.0f)
                close()
                moveTo(7.0f, 12.0f)
                curveTo(4.793f, 12.0f, 3.0f, 13.793f, 3.0f, 16.0f)
                lineTo(3.0f, 21.25f)
                lineTo(5.0f, 22.25f)
                lineTo(5.0f, 28.0f)
                lineTo(7.0f, 28.0f)
                lineTo(7.0f, 21.0f)
                lineTo(5.0f, 20.0f)
                lineTo(5.0f, 16.0f)
                curveTo(5.0f, 14.898f, 5.898f, 14.0f, 7.0f, 14.0f)
                lineTo(8.1563f, 14.0f)
                curveTo(8.9183f, 14.0f, 9.5975f, 14.4097f, 9.9375f, 15.0938f)
                lineTo(11.2188f, 17.6563f)
                lineTo(13.8672f, 19.6289f)
                lineTo(15.0f, 18.0f)
                lineTo(12.7813f, 16.3438f)
                lineTo(11.7188f, 14.2188f)
                curveTo(11.0347f, 12.8547f, 9.6803f, 12.0f, 8.1563f, 12.0f)
                lineTo(7.0f, 12.0f)
                close()
                moveTo(12.0f, 20.4844f)
                lineTo(12.0f, 28.0f)
                lineTo(14.0f, 28.0f)
                lineTo(14.0f, 21.9727f)
                lineTo(13.2715f, 21.4297f)
                lineTo(12.0f, 20.4844f)
                close()
                moveTo(8.0f, 21.0f)
                lineTo(8.0f, 28.0f)
                lineTo(10.0f, 28.0f)
                lineTo(10.0f, 21.0f)
                lineTo(8.0f, 21.0f)
                close()
            }
        }
        .build()
        return _personBoothSolid!!
    }

private var _personBoothSolid: ImageVector? = null
