package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.PlaneArrivalSolid: ImageVector
    get() {
        if (_planeArrivalSolid != null) {
            return _planeArrivalSolid!!
        }
        _planeArrivalSolid = Builder(name = "PlaneArrivalSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(3.4063f, 3.9688f)
                lineTo(3.3438f, 5.25f)
                lineTo(3.0f, 14.0313f)
                lineTo(2.9688f, 14.8125f)
                lineTo(3.7188f, 15.0313f)
                lineTo(10.125f, 16.9688f)
                lineTo(4.6875f, 20.75f)
                lineTo(3.1563f, 21.8125f)
                lineTo(4.875f, 22.5f)
                lineTo(7.7188f, 23.625f)
                lineTo(8.0938f, 23.7813f)
                lineTo(8.4688f, 23.625f)
                lineTo(18.4688f, 19.4688f)
                lineTo(24.875f, 21.4063f)
                curveTo(26.5625f, 21.9141f, 28.3672f, 20.9336f, 28.875f, 19.25f)
                curveTo(29.3828f, 17.5625f, 28.4023f, 15.7578f, 26.7188f, 15.25f)
                lineTo(21.0313f, 13.5f)
                lineTo(17.25f, 7.25f)
                lineTo(17.0313f, 6.9063f)
                lineTo(16.6563f, 6.7813f)
                lineTo(14.0f, 6.0625f)
                lineTo(12.5313f, 5.6875f)
                lineTo(12.75f, 7.1875f)
                lineTo(13.2813f, 11.0938f)
                lineTo(9.0313f, 9.7813f)
                lineTo(7.4063f, 5.5938f)
                lineTo(7.2188f, 5.125f)
                lineTo(6.75f, 4.9688f)
                lineTo(4.625f, 4.3438f)
                close()
                moveTo(5.2813f, 6.625f)
                lineTo(5.7188f, 6.75f)
                lineTo(7.3125f, 10.9375f)
                lineTo(7.4688f, 11.4063f)
                lineTo(7.9375f, 11.5313f)
                lineTo(26.125f, 17.1563f)
                curveTo(26.7773f, 17.3516f, 27.1328f, 18.0078f, 26.9375f, 18.6563f)
                curveTo(26.7422f, 19.3086f, 26.0859f, 19.6641f, 25.4375f, 19.4688f)
                lineTo(18.6875f, 17.4375f)
                lineTo(18.3438f, 17.3438f)
                lineTo(18.0313f, 17.4688f)
                lineTo(8.0938f, 21.625f)
                lineTo(7.3438f, 21.3125f)
                lineTo(12.9688f, 17.4375f)
                lineTo(14.6875f, 16.25f)
                lineTo(12.6875f, 15.6563f)
                lineTo(5.0313f, 13.3438f)
                close()
                moveTo(14.9063f, 8.4063f)
                lineTo(15.7188f, 8.625f)
                lineTo(18.1563f, 12.5938f)
                lineTo(15.3438f, 11.75f)
                close()
                moveTo(20.5f, 21.0f)
                curveTo(19.6719f, 21.0f, 19.0f, 21.6719f, 19.0f, 22.5f)
                curveTo(19.0f, 23.3281f, 19.6719f, 24.0f, 20.5f, 24.0f)
                curveTo(21.3281f, 24.0f, 22.0f, 23.3281f, 22.0f, 22.5f)
                curveTo(22.0f, 21.6719f, 21.3281f, 21.0f, 20.5f, 21.0f)
                close()
                moveTo(3.0f, 26.0f)
                lineTo(3.0f, 28.0f)
                lineTo(29.0f, 28.0f)
                lineTo(29.0f, 26.0f)
                close()
            }
        }
        .build()
        return _planeArrivalSolid!!
    }

private var _planeArrivalSolid: ImageVector? = null
