package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.RestroomSolid: ImageVector
    get() {
        if (_restroomSolid != null) {
            return _restroomSolid!!
        }
        _restroomSolid = Builder(name = "RestroomSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(9.0f, 4.0f)
                curveTo(6.8008f, 4.0f, 5.0f, 5.8008f, 5.0f, 8.0f)
                curveTo(5.0f, 9.1133f, 5.4766f, 10.1172f, 6.2188f, 10.8438f)
                curveTo(4.8867f, 11.7461f, 4.0f, 13.2852f, 4.0f, 15.0f)
                lineTo(4.0f, 20.625f)
                lineTo(6.0f, 21.625f)
                lineTo(6.0f, 28.0f)
                lineTo(12.0f, 28.0f)
                lineTo(12.0f, 21.625f)
                lineTo(14.0f, 20.625f)
                lineTo(14.0f, 15.0f)
                curveTo(14.0f, 13.2852f, 13.1133f, 11.7461f, 11.7813f, 10.8438f)
                curveTo(12.5234f, 10.1172f, 13.0f, 9.1133f, 13.0f, 8.0f)
                curveTo(13.0f, 5.8008f, 11.1992f, 4.0f, 9.0f, 4.0f)
                close()
                moveTo(22.0f, 4.0f)
                curveTo(19.8008f, 4.0f, 18.0f, 5.8008f, 18.0f, 8.0f)
                curveTo(18.0f, 9.1523f, 18.5234f, 10.1758f, 19.3125f, 10.9063f)
                curveTo(18.4063f, 11.5859f, 17.7461f, 12.5977f, 17.5313f, 13.8125f)
                curveTo(17.5313f, 13.8242f, 17.5313f, 13.832f, 17.5313f, 13.8438f)
                lineTo(16.0313f, 21.8125f)
                lineTo(15.7813f, 23.0f)
                lineTo(19.0f, 23.0f)
                lineTo(19.0f, 28.0f)
                lineTo(25.0f, 28.0f)
                lineTo(25.0f, 23.0f)
                lineTo(28.2188f, 23.0f)
                lineTo(27.9688f, 21.8125f)
                lineTo(26.4688f, 13.8438f)
                curveTo(26.4688f, 13.832f, 26.4688f, 13.8242f, 26.4688f, 13.8125f)
                curveTo(26.2539f, 12.5977f, 25.5938f, 11.5859f, 24.6875f, 10.9063f)
                curveTo(25.4766f, 10.1758f, 26.0f, 9.1523f, 26.0f, 8.0f)
                curveTo(26.0f, 5.8008f, 24.1992f, 4.0f, 22.0f, 4.0f)
                close()
                moveTo(9.0f, 6.0f)
                curveTo(10.1172f, 6.0f, 11.0f, 6.8828f, 11.0f, 8.0f)
                curveTo(11.0f, 9.1172f, 10.1172f, 10.0f, 9.0f, 10.0f)
                curveTo(7.8828f, 10.0f, 7.0f, 9.1172f, 7.0f, 8.0f)
                curveTo(7.0f, 6.8828f, 7.8828f, 6.0f, 9.0f, 6.0f)
                close()
                moveTo(22.0f, 6.0f)
                curveTo(23.1172f, 6.0f, 24.0f, 6.8828f, 24.0f, 8.0f)
                curveTo(24.0f, 9.1172f, 23.1172f, 10.0f, 22.0f, 10.0f)
                curveTo(20.8828f, 10.0f, 20.0f, 9.1172f, 20.0f, 8.0f)
                curveTo(20.0f, 6.8828f, 20.8828f, 6.0f, 22.0f, 6.0f)
                close()
                moveTo(9.0f, 12.0f)
                curveTo(10.6563f, 12.0f, 12.0f, 13.3438f, 12.0f, 15.0f)
                lineTo(12.0f, 19.375f)
                lineTo(10.0f, 20.375f)
                lineTo(10.0f, 26.0f)
                lineTo(8.0f, 26.0f)
                lineTo(8.0f, 20.375f)
                lineTo(6.0f, 19.375f)
                lineTo(6.0f, 15.0f)
                curveTo(6.0f, 13.3438f, 7.3438f, 12.0f, 9.0f, 12.0f)
                close()
                moveTo(22.0f, 12.0f)
                curveTo(23.2305f, 12.0f, 24.2773f, 12.8164f, 24.5f, 14.1563f)
                lineTo(24.5f, 14.1875f)
                lineTo(24.5313f, 14.1875f)
                lineTo(25.8125f, 21.0f)
                lineTo(23.0f, 21.0f)
                lineTo(23.0f, 26.0f)
                lineTo(21.0f, 26.0f)
                lineTo(21.0f, 21.0f)
                lineTo(18.1875f, 21.0f)
                lineTo(19.4688f, 14.1875f)
                lineTo(19.5f, 14.1875f)
                lineTo(19.5f, 14.1563f)
                curveTo(19.7227f, 12.8164f, 20.7695f, 12.0f, 22.0f, 12.0f)
                close()
            }
        }
        .build()
        return _restroomSolid!!
    }

private var _restroomSolid: ImageVector? = null
