package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Schlix: ImageVector
    get() {
        if (_schlix != null) {
            return _schlix!!
        }
        _schlix = Builder(name = "Schlix", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(25.4551f, 5.0f)
                lineTo(21.1953f, 7.2637f)
                lineTo(24.3418f, 9.9395f)
                lineTo(30.0f, 7.5645f)
                lineTo(25.4551f, 5.0f)
                close()
                moveTo(17.7949f, 6.2363f)
                lineTo(15.1426f, 7.873f)
                lineTo(16.5938f, 9.9277f)
                lineTo(19.8086f, 8.2441f)
                lineTo(17.7949f, 6.2363f)
                close()
                moveTo(13.2168f, 6.9727f)
                lineTo(11.3652f, 8.2559f)
                lineTo(12.084f, 9.9277f)
                lineTo(14.2148f, 8.6211f)
                lineTo(13.2168f, 6.9727f)
                close()
                moveTo(10.1699f, 7.4668f)
                lineTo(8.7813f, 8.5176f)
                lineTo(9.1367f, 9.9219f)
                lineTo(10.6855f, 8.8594f)
                lineTo(10.1699f, 7.4668f)
                close()
                moveTo(8.5098f, 10.2227f)
                lineTo(7.2148f, 11.123f)
                lineTo(7.4238f, 12.7715f)
                lineTo(8.8633f, 11.8887f)
                lineTo(8.5098f, 10.2227f)
                close()
                moveTo(11.2207f, 10.293f)
                lineTo(9.502f, 11.3555f)
                lineTo(10.0137f, 13.375f)
                lineTo(11.9805f, 12.3418f)
                lineTo(11.2207f, 10.293f)
                close()
                moveTo(15.2988f, 10.3926f)
                lineTo(12.8496f, 11.6914f)
                lineTo(13.9766f, 14.293f)
                lineTo(16.9238f, 13.0566f)
                lineTo(15.2988f, 10.3926f)
                close()
                moveTo(22.1191f, 10.5605f)
                lineTo(18.2129f, 12.2305f)
                lineTo(20.7773f, 15.877f)
                lineTo(25.9199f, 14.3555f)
                lineTo(22.1191f, 10.5605f)
                close()
                moveTo(6.8555f, 12.9902f)
                lineTo(5.6484f, 13.7344f)
                lineTo(5.7188f, 15.625f)
                lineTo(7.0469f, 14.9297f)
                lineTo(6.8555f, 12.9902f)
                close()
                moveTo(9.2285f, 13.6113f)
                lineTo(7.6387f, 14.4473f)
                lineTo(7.9414f, 16.8164f)
                lineTo(9.7461f, 16.0625f)
                lineTo(9.2285f, 13.6113f)
                close()
                moveTo(12.8047f, 14.5469f)
                lineTo(10.5586f, 15.5098f)
                lineTo(11.3535f, 18.6504f)
                lineTo(14.0332f, 17.8613f)
                lineTo(12.8047f, 14.5469f)
                close()
                moveTo(5.1953f, 15.748f)
                lineTo(4.0801f, 16.3398f)
                lineTo(4.0f, 18.4766f)
                lineTo(5.2188f, 17.9648f)
                lineTo(5.1953f, 15.748f)
                close()
                moveTo(18.7871f, 16.1133f)
                lineTo(15.2305f, 17.1992f)
                lineTo(17.2207f, 21.7969f)
                lineTo(21.8516f, 21.1406f)
                lineTo(18.7871f, 16.1133f)
                close()
                moveTo(7.2324f, 16.9277f)
                lineTo(5.7754f, 17.5488f)
                lineTo(5.8691f, 20.2637f)
                lineTo(7.5117f, 19.7813f)
                lineTo(7.2324f, 16.9277f)
                close()
                moveTo(10.3086f, 18.6953f)
                lineTo(8.2656f, 19.3223f)
                lineTo(8.7363f, 23.0078f)
                lineTo(11.1504f, 22.666f)
                lineTo(10.3086f, 18.6953f)
                close()
                moveTo(15.457f, 21.6738f)
                lineTo(12.2539f, 22.1719f)
                lineTo(13.6621f, 27.7324f)
                lineTo(17.7773f, 27.9238f)
                lineTo(15.457f, 21.6738f)
                close()
            }
        }
        .build()
        return _schlix!!
    }

private var _schlix: ImageVector? = null
