package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.ScrewdriverSolid: ImageVector
    get() {
        if (_screwdriverSolid != null) {
            return _screwdriverSolid!!
        }
        _screwdriverSolid = Builder(name = "ScrewdriverSolid", defaultWidth = 32.0.dp, defaultHeight
                = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(27.1875f, 1.7813f)
                lineTo(26.5313f, 2.125f)
                curveTo(26.5313f, 2.125f, 25.4102f, 2.7227f, 24.0938f, 3.5313f)
                curveTo(22.7773f, 4.3398f, 21.2578f, 5.3047f, 20.2813f, 6.2813f)
                curveTo(18.8008f, 7.7617f, 17.5469f, 9.6406f, 16.9375f, 10.5f)
                lineTo(16.7188f, 10.2813f)
                lineTo(16.0f, 9.5938f)
                lineTo(15.2813f, 10.2813f)
                lineTo(12.8125f, 12.7813f)
                lineTo(12.0938f, 13.5f)
                lineTo(12.8125f, 14.1875f)
                lineTo(13.5938f, 14.9688f)
                lineTo(6.5938f, 21.9688f)
                lineTo(4.4688f, 23.0313f)
                lineTo(4.3125f, 23.3438f)
                lineTo(2.3125f, 27.375f)
                lineTo(2.0f, 28.0f)
                lineTo(2.5f, 28.5313f)
                lineTo(3.5f, 29.5f)
                lineTo(4.0f, 30.0f)
                lineTo(4.6563f, 29.6875f)
                lineTo(8.9688f, 27.5313f)
                lineTo(10.0313f, 25.4063f)
                lineTo(17.0313f, 18.4063f)
                lineTo(17.8125f, 19.1875f)
                lineTo(18.5f, 19.9063f)
                lineTo(19.2188f, 19.1875f)
                lineTo(21.7188f, 16.7188f)
                lineTo(22.4063f, 16.0f)
                lineTo(21.7188f, 15.2813f)
                lineTo(21.5f, 15.0625f)
                curveTo(22.3281f, 14.4844f, 24.1133f, 13.3242f, 25.7188f, 11.7188f)
                curveTo(27.8086f, 9.6289f, 29.875f, 5.4688f, 29.875f, 5.4688f)
                lineTo(30.2188f, 4.8125f)
                lineTo(29.7188f, 4.2813f)
                lineTo(27.7188f, 2.2813f)
                close()
                moveTo(26.8125f, 4.25f)
                lineTo(27.75f, 5.1875f)
                curveTo(27.25f, 6.0898f, 25.6328f, 8.9297f, 24.2813f, 10.2813f)
                curveTo(22.5781f, 11.9844f, 19.4375f, 14.1875f, 19.4375f, 14.1875f)
                lineTo(18.4375f, 14.8438f)
                lineTo(19.2813f, 15.7188f)
                lineTo(19.5625f, 16.0f)
                lineTo(18.5f, 17.0625f)
                lineTo(18.4063f, 17.0f)
                lineTo(17.7188f, 16.2813f)
                lineTo(15.7188f, 14.2813f)
                lineTo(15.0f, 13.5938f)
                lineTo(14.9375f, 13.5f)
                lineTo(16.0f, 12.4375f)
                lineTo(17.125f, 13.5625f)
                lineTo(17.8125f, 12.5625f)
                curveTo(17.8125f, 12.5625f, 20.1914f, 9.2461f, 21.7188f, 7.7188f)
                curveTo(22.4102f, 7.0273f, 23.8906f, 5.9961f, 25.1563f, 5.2188f)
                curveTo(26.0625f, 4.6641f, 26.4297f, 4.4609f, 26.8125f, 4.25f)
                close()
                moveTo(15.0f, 16.4375f)
                lineTo(15.5625f, 17.0f)
                lineTo(8.5f, 24.0625f)
                lineTo(8.4063f, 24.1875f)
                lineTo(8.3125f, 24.3438f)
                lineTo(7.4688f, 26.0313f)
                lineTo(4.5f, 27.5f)
                lineTo(5.9688f, 24.5313f)
                lineTo(7.6563f, 23.6875f)
                lineTo(7.8125f, 23.5938f)
                lineTo(7.9375f, 23.5f)
                close()
            }
        }
        .build()
        return _screwdriverSolid!!
    }

private var _screwdriverSolid: ImageVector? = null
