package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Shirtsinbulk: ImageVector
    get() {
        if (_shirtsinbulk != null) {
            return _shirtsinbulk!!
        }
        _shirtsinbulk = Builder(name = "Shirtsinbulk", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(5.0f, 4.0f)
                lineTo(5.0f, 23.4375f)
                lineTo(5.5938f, 23.6875f)
                lineTo(15.4688f, 27.9063f)
                lineTo(15.8438f, 28.0938f)
                lineTo(16.25f, 27.9375f)
                lineTo(26.375f, 23.6875f)
                lineTo(27.0f, 23.4375f)
                lineTo(27.0f, 4.0f)
                close()
                moveTo(7.0f, 6.0f)
                lineTo(25.0f, 6.0f)
                lineTo(25.0f, 9.0f)
                lineTo(7.0f, 9.0f)
                close()
                moveTo(7.0f, 11.0f)
                lineTo(25.0f, 11.0f)
                lineTo(25.0f, 22.0938f)
                lineTo(15.8438f, 25.9063f)
                lineTo(7.0f, 22.0938f)
                close()
                moveTo(16.0f, 13.0f)
                curveTo(13.2383f, 13.0f, 11.0f, 15.2383f, 11.0f, 18.0f)
                curveTo(11.0f, 20.7617f, 13.2383f, 23.0f, 16.0f, 23.0f)
                curveTo(18.7617f, 23.0f, 21.0f, 20.7617f, 21.0f, 18.0f)
                curveTo(21.0f, 15.2383f, 18.7617f, 13.0f, 16.0f, 13.0f)
                close()
                moveTo(16.1875f, 15.0313f)
                curveTo(17.5938f, 15.0313f, 18.7344f, 15.8398f, 18.7813f, 15.875f)
                lineTo(18.0313f, 16.9063f)
                curveTo(18.0234f, 16.8984f, 17.1719f, 16.2813f, 16.1875f, 16.2813f)
                curveTo(15.5859f, 16.2813f, 14.5625f, 16.4492f, 14.5625f, 17.0625f)
                curveTo(14.7852f, 17.3203f, 15.6563f, 17.3086f, 16.0313f, 17.3125f)
                lineTo(16.2188f, 17.3125f)
                curveTo(17.8516f, 17.3125f, 18.9063f, 17.9336f, 18.9063f, 18.9375f)
                curveTo(18.9063f, 19.8711f, 18.168f, 20.9688f, 16.125f, 20.9688f)
                curveTo(14.5859f, 20.9688f, 13.3047f, 20.1602f, 13.25f, 20.125f)
                lineTo(13.9375f, 19.0938f)
                curveTo(13.9492f, 19.1016f, 14.9609f, 19.7188f, 16.125f, 19.7188f)
                curveTo(16.8242f, 19.7188f, 17.6563f, 19.5078f, 17.6563f, 18.9375f)
                curveTo(17.6563f, 18.7773f, 17.0391f, 18.5625f, 16.2188f, 18.5625f)
                lineTo(16.0625f, 18.5625f)
                curveTo(15.3008f, 18.5586f, 14.2656f, 18.543f, 13.6875f, 17.9688f)
                curveTo(13.4414f, 17.7227f, 13.3125f, 17.4258f, 13.3125f, 17.0625f)
                curveTo(13.3125f, 15.832f, 14.4414f, 15.0313f, 16.1875f, 15.0313f)
                close()
            }
        }
        .build()
        return _shirtsinbulk!!
    }

private var _shirtsinbulk: ImageVector? = null
