package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.SpiderSolid: ImageVector
    get() {
        if (_spiderSolid != null) {
            return _spiderSolid!!
        }
        _spiderSolid = Builder(name = "SpiderSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(7.0f, 3.0f)
                lineTo(7.0f, 8.4688f)
                lineTo(7.375f, 8.7813f)
                lineTo(11.4063f, 12.0f)
                lineTo(8.3438f, 12.0f)
                lineTo(4.5938f, 9.1875f)
                lineTo(3.4063f, 10.8125f)
                lineTo(7.6563f, 14.0f)
                lineTo(11.2188f, 14.0f)
                lineTo(7.625f, 17.0f)
                lineTo(3.0f, 17.0f)
                lineTo(3.0f, 19.0f)
                lineTo(8.375f, 19.0f)
                lineTo(8.625f, 18.7813f)
                lineTo(10.0313f, 17.625f)
                curveTo(10.0234f, 17.75f, 10.0f, 17.8711f, 10.0f, 18.0f)
                curveTo(10.0f, 18.1758f, 10.0156f, 18.3516f, 10.0313f, 18.5313f)
                lineTo(6.2813f, 22.2813f)
                lineTo(6.0f, 22.5938f)
                lineTo(6.0f, 29.0f)
                lineTo(8.0f, 29.0f)
                lineTo(8.0f, 23.4375f)
                lineTo(10.5625f, 20.875f)
                curveTo(10.8359f, 21.6289f, 11.1836f, 22.375f, 11.625f, 23.0625f)
                curveTo(12.6328f, 24.6289f, 14.1094f, 26.0f, 16.0f, 26.0f)
                curveTo(17.8906f, 26.0f, 19.3672f, 24.6289f, 20.375f, 23.0625f)
                curveTo(20.8164f, 22.375f, 21.1641f, 21.6289f, 21.4375f, 20.875f)
                lineTo(24.0f, 23.4375f)
                lineTo(24.0f, 29.0f)
                lineTo(26.0f, 29.0f)
                lineTo(26.0f, 22.5938f)
                lineTo(25.7188f, 22.2813f)
                lineTo(21.9688f, 18.5313f)
                curveTo(21.9844f, 18.3516f, 22.0f, 18.1758f, 22.0f, 18.0f)
                curveTo(22.0f, 17.8789f, 21.9766f, 17.7734f, 21.9688f, 17.6563f)
                lineTo(23.375f, 18.7813f)
                lineTo(23.6563f, 19.0f)
                lineTo(29.0f, 19.0f)
                lineTo(29.0f, 17.0f)
                lineTo(24.3438f, 17.0f)
                lineTo(20.5938f, 14.0f)
                lineTo(24.3438f, 14.0f)
                lineTo(28.5938f, 10.8125f)
                lineTo(27.4063f, 9.1875f)
                lineTo(23.6563f, 12.0f)
                lineTo(20.5938f, 12.0f)
                lineTo(24.625f, 8.7813f)
                lineTo(25.0f, 8.4688f)
                lineTo(25.0f, 3.0f)
                lineTo(23.0f, 3.0f)
                lineTo(23.0f, 7.5313f)
                lineTo(19.875f, 10.0313f)
                curveTo(19.7188f, 9.4102f, 19.4063f, 8.875f, 19.0f, 8.4063f)
                lineTo(19.0f, 5.0f)
                lineTo(17.0f, 5.0f)
                lineTo(17.0f, 7.1563f)
                curveTo(16.6797f, 7.0742f, 16.3438f, 7.0f, 16.0f, 7.0f)
                curveTo(15.6563f, 7.0f, 15.3203f, 7.0742f, 15.0f, 7.1563f)
                lineTo(15.0f, 5.0f)
                lineTo(13.0f, 5.0f)
                lineTo(13.0f, 8.4063f)
                curveTo(12.5938f, 8.875f, 12.2813f, 9.4102f, 12.125f, 10.0313f)
                lineTo(9.0f, 7.5313f)
                lineTo(9.0f, 3.0f)
                close()
                moveTo(16.0f, 9.0f)
                curveTo(17.1172f, 9.0f, 18.0f, 9.8828f, 18.0f, 11.0f)
                curveTo(18.0f, 12.1172f, 17.1172f, 13.0f, 16.0f, 13.0f)
                curveTo(14.8828f, 13.0f, 14.0f, 12.1172f, 14.0f, 11.0f)
                curveTo(14.0f, 9.8828f, 14.8828f, 9.0f, 16.0f, 9.0f)
                close()
                moveTo(16.0f, 15.0f)
                curveTo(17.2305f, 15.0f, 18.2656f, 15.2969f, 18.9375f, 15.7813f)
                curveTo(19.6094f, 16.2656f, 20.0f, 16.8906f, 20.0f, 18.0f)
                curveTo(20.0f, 19.1094f, 19.4883f, 20.7539f, 18.6875f, 22.0f)
                curveTo(17.8867f, 23.2461f, 16.8672f, 24.0f, 16.0f, 24.0f)
                curveTo(15.1328f, 24.0f, 14.1133f, 23.2461f, 13.3125f, 22.0f)
                curveTo(12.5117f, 20.7539f, 12.0f, 19.1094f, 12.0f, 18.0f)
                curveTo(12.0f, 16.8906f, 12.3906f, 16.2656f, 13.0625f, 15.7813f)
                curveTo(13.7344f, 15.2969f, 14.7695f, 15.0f, 16.0f, 15.0f)
                close()
            }
        }
        .build()
        return _spiderSolid!!
    }

private var _spiderSolid: ImageVector? = null
