package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.ToiletPaperSolid: ImageVector
    get() {
        if (_toiletPaperSolid != null) {
            return _toiletPaperSolid!!
        }
        _toiletPaperSolid = Builder(name = "ToiletPaperSolid", defaultWidth = 32.0.dp, defaultHeight
                = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(9.0f, 4.0f)
                curveTo(7.3906f, 4.0f, 6.1055f, 5.1758f, 5.2813f, 6.7188f)
                curveTo(4.457f, 8.2617f, 4.0f, 10.2852f, 4.0f, 12.5f)
                lineTo(4.0f, 28.0f)
                lineTo(20.0f, 28.0f)
                lineTo(20.0f, 19.375f)
                curveTo(20.7813f, 20.3398f, 21.8047f, 21.0f, 23.0f, 21.0f)
                curveTo(24.6094f, 21.0f, 25.8945f, 19.8242f, 26.7188f, 18.2813f)
                curveTo(27.543f, 16.7383f, 28.0f, 14.7148f, 28.0f, 12.5f)
                curveTo(28.0f, 10.2852f, 27.543f, 8.2617f, 26.7188f, 6.7188f)
                curveTo(25.8945f, 5.1758f, 24.6094f, 4.0f, 23.0f, 4.0f)
                close()
                moveTo(9.0f, 6.0f)
                lineTo(19.7188f, 6.0f)
                curveTo(19.5625f, 6.2266f, 19.4141f, 6.4688f, 19.2813f, 6.7188f)
                curveTo(18.457f, 8.2617f, 18.0f, 10.2852f, 18.0f, 12.5f)
                curveTo(18.0f, 12.6719f, 18.0273f, 12.832f, 18.0313f, 13.0f)
                lineTo(18.0f, 13.0f)
                lineTo(18.0f, 26.0f)
                lineTo(6.0f, 26.0f)
                lineTo(6.0f, 12.5f)
                curveTo(6.0f, 10.5742f, 6.4375f, 8.8281f, 7.0625f, 7.6563f)
                curveTo(7.6875f, 6.4844f, 8.4023f, 6.0f, 9.0f, 6.0f)
                close()
                moveTo(23.0f, 6.0f)
                curveTo(23.5977f, 6.0f, 24.3125f, 6.4844f, 24.9375f, 7.6563f)
                curveTo(25.5625f, 8.8281f, 26.0f, 10.5742f, 26.0f, 12.5f)
                curveTo(26.0f, 14.4258f, 25.5625f, 16.1719f, 24.9375f, 17.3438f)
                curveTo(24.3125f, 18.5156f, 23.5977f, 19.0f, 23.0f, 19.0f)
                curveTo(22.4023f, 19.0f, 21.6875f, 18.5156f, 21.0625f, 17.3438f)
                curveTo(20.4375f, 16.1719f, 20.0f, 14.4258f, 20.0f, 12.5f)
                curveTo(20.0f, 10.5742f, 20.4375f, 8.8281f, 21.0625f, 7.6563f)
                curveTo(21.6875f, 6.4844f, 22.4023f, 6.0f, 23.0f, 6.0f)
                close()
                moveTo(23.0f, 10.0f)
                curveTo(22.4492f, 10.0f, 22.0f, 11.1211f, 22.0f, 12.5f)
                curveTo(22.0f, 13.8789f, 22.4492f, 15.0f, 23.0f, 15.0f)
                curveTo(23.5508f, 15.0f, 24.0f, 13.8789f, 24.0f, 12.5f)
                curveTo(24.0f, 11.1211f, 23.5508f, 10.0f, 23.0f, 10.0f)
                close()
                moveTo(9.0f, 13.0f)
                curveTo(8.4492f, 13.0f, 8.0f, 13.4492f, 8.0f, 14.0f)
                curveTo(8.0f, 14.5508f, 8.4492f, 15.0f, 9.0f, 15.0f)
                curveTo(9.5508f, 15.0f, 10.0f, 14.5508f, 10.0f, 14.0f)
                curveTo(10.0f, 13.4492f, 9.5508f, 13.0f, 9.0f, 13.0f)
                close()
                moveTo(12.0f, 13.0f)
                curveTo(11.4492f, 13.0f, 11.0f, 13.4492f, 11.0f, 14.0f)
                curveTo(11.0f, 14.5508f, 11.4492f, 15.0f, 12.0f, 15.0f)
                curveTo(12.5508f, 15.0f, 13.0f, 14.5508f, 13.0f, 14.0f)
                curveTo(13.0f, 13.4492f, 12.5508f, 13.0f, 12.0f, 13.0f)
                close()
                moveTo(15.0f, 13.0f)
                curveTo(14.4492f, 13.0f, 14.0f, 13.4492f, 14.0f, 14.0f)
                curveTo(14.0f, 14.5508f, 14.4492f, 15.0f, 15.0f, 15.0f)
                curveTo(15.5508f, 15.0f, 16.0f, 14.5508f, 16.0f, 14.0f)
                curveTo(16.0f, 13.4492f, 15.5508f, 13.0f, 15.0f, 13.0f)
                close()
            }
        }
        .build()
        return _toiletPaperSolid!!
    }

private var _toiletPaperSolid: ImageVector? = null
