package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.TshirtSolid: ImageVector
    get() {
        if (_tshirtSolid != null) {
            return _tshirtSolid!!
        }
        _tshirtSolid = Builder(name = "TshirtSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 3.0f)
                curveTo(15.0742f, 3.0f, 14.0547f, 3.2695f, 13.1875f, 3.5313f)
                curveTo(12.3359f, 3.7891f, 11.7109f, 4.0547f, 11.6875f, 4.0625f)
                curveTo(11.6875f, 4.0625f, 11.6563f, 4.0625f, 11.6563f, 4.0625f)
                lineTo(8.7813f, 5.0313f)
                lineTo(8.6875f, 5.0625f)
                curveTo(8.6289f, 5.0781f, 8.5352f, 5.1055f, 8.3125f, 5.1875f)
                lineTo(8.0f, 5.2813f)
                lineTo(8.0f, 5.3125f)
                curveTo(7.1641f, 5.6719f, 5.8555f, 6.4492f, 5.0938f, 8.0625f)
                curveTo(4.0586f, 10.25f, 4.0f, 12.9688f, 4.0f, 12.9688f)
                lineTo(4.0f, 15.0f)
                lineTo(8.0f, 15.0f)
                lineTo(8.0f, 29.0f)
                lineTo(24.0f, 29.0f)
                lineTo(24.0f, 15.0f)
                lineTo(28.0f, 15.0f)
                lineTo(28.0f, 12.9063f)
                curveTo(28.0f, 12.9063f, 27.9141f, 12.0586f, 27.75f, 11.0313f)
                curveTo(27.5859f, 10.0039f, 27.418f, 8.8711f, 26.8438f, 7.9688f)
                curveTo(25.9102f, 6.5f, 24.75f, 5.7539f, 24.0f, 5.375f)
                lineTo(24.0f, 5.2813f)
                lineTo(23.5938f, 5.1563f)
                curveTo(23.5352f, 5.1289f, 23.5469f, 5.1445f, 23.5f, 5.125f)
                lineTo(23.3125f, 5.0625f)
                lineTo(20.3438f, 4.0625f)
                curveTo(20.3438f, 4.0625f, 20.3125f, 4.0625f, 20.3125f, 4.0625f)
                curveTo(20.2891f, 4.0547f, 19.6641f, 3.7891f, 18.8125f, 3.5313f)
                curveTo(17.9453f, 3.2695f, 16.9258f, 3.0f, 16.0f, 3.0f)
                close()
                moveTo(16.0f, 5.0f)
                curveTo(16.4336f, 5.0f, 17.4258f, 5.2305f, 18.2188f, 5.4688f)
                curveTo(18.4258f, 5.5313f, 18.4141f, 5.5352f, 18.5938f, 5.5938f)
                curveTo(18.5313f, 5.6875f, 18.4844f, 5.7773f, 18.4063f, 5.875f)
                curveTo(17.9375f, 6.457f, 17.2813f, 7.0f, 16.0f, 7.0f)
                curveTo(14.7188f, 7.0f, 14.0625f, 6.457f, 13.5938f, 5.875f)
                curveTo(13.5156f, 5.7773f, 13.4688f, 5.6875f, 13.4063f, 5.5938f)
                curveTo(13.5859f, 5.5352f, 13.5742f, 5.5313f, 13.7813f, 5.4688f)
                curveTo(14.5742f, 5.2305f, 15.5664f, 5.0f, 16.0f, 5.0f)
                close()
                moveTo(11.4375f, 6.2188f)
                curveTo(11.5859f, 6.5039f, 11.7773f, 6.8086f, 12.0313f, 7.125f)
                curveTo(12.7695f, 8.043f, 14.0938f, 9.0f, 16.0f, 9.0f)
                curveTo(17.9063f, 9.0f, 19.2305f, 8.043f, 19.9688f, 7.125f)
                curveTo(20.2227f, 6.8086f, 20.4141f, 6.5039f, 20.5625f, 6.2188f)
                lineTo(22.0f, 6.7188f)
                lineTo(22.0f, 27.0f)
                lineTo(10.0f, 27.0f)
                lineTo(10.0f, 6.7188f)
                close()
                moveTo(8.0f, 7.5625f)
                lineTo(8.0f, 13.0f)
                lineTo(6.0f, 13.0f)
                curveTo(6.0039f, 12.9453f, 6.1563f, 10.5234f, 6.9063f, 8.9375f)
                curveTo(7.207f, 8.3008f, 7.6055f, 7.8594f, 8.0f, 7.5625f)
                close()
                moveTo(24.0f, 7.7188f)
                curveTo(24.3672f, 8.0273f, 24.7734f, 8.4297f, 25.1563f, 9.0313f)
                curveTo(25.3164f, 9.2852f, 25.6289f, 10.4063f, 25.7813f, 11.3438f)
                curveTo(25.9258f, 12.2305f, 25.9922f, 12.9219f, 26.0f, 13.0f)
                lineTo(24.0f, 13.0f)
                close()
            }
        }
        .build()
        return _tshirtSolid!!
    }

private var _tshirtSolid: ImageVector? = null
