package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.UsersCogSolid: ImageVector
    get() {
        if (_usersCogSolid != null) {
            return _usersCogSolid!!
        }
        _usersCogSolid = Builder(name = "UsersCogSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(8.0f, 5.0f)
                curveTo(4.7f, 5.0f, 2.0f, 7.7f, 2.0f, 11.0f)
                curveTo(2.0f, 13.0f, 3.0f, 14.8008f, 4.5f, 15.8008f)
                curveTo(1.8f, 17.2008f, 0.0f, 19.9f, 0.0f, 23.0f)
                lineTo(2.0f, 23.0f)
                curveTo(2.0f, 19.7f, 4.7f, 17.0f, 8.0f, 17.0f)
                curveTo(11.3f, 17.0f, 14.0f, 19.7f, 14.0f, 23.0f)
                lineTo(16.0f, 23.0f)
                curveTo(16.0f, 19.8f, 18.6008f, 17.1f, 21.8008f, 17.0f)
                lineTo(22.0f, 17.0f)
                curveTo(24.5f, 17.0f, 26.6f, 15.5004f, 27.5f, 13.4004f)
                curveTo(27.5f, 13.4004f, 27.4996f, 13.3008f, 27.5996f, 13.3008f)
                curveTo(27.6996f, 13.2008f, 27.6992f, 13.0004f, 27.6992f, 12.9004f)
                curveTo(27.6992f, 12.8004f, 27.7008f, 12.7992f, 27.8008f, 12.6992f)
                curveTo(27.8008f, 12.5992f, 27.9004f, 12.4008f, 27.9004f, 12.3008f)
                curveTo(27.9004f, 12.2008f, 27.9f, 12.1f, 28.0f, 12.0f)
                curveTo(28.0f, 11.9f, 27.9996f, 11.7992f, 28.0996f, 11.6992f)
                lineTo(28.0996f, 11.1992f)
                lineTo(28.0996f, 11.0996f)
                curveTo(28.0996f, 7.7996f, 25.3996f, 5.0996f, 22.0996f, 5.0996f)
                curveTo(18.7996f, 5.0996f, 16.0996f, 7.7996f, 16.0996f, 11.0996f)
                curveTo(16.0996f, 13.0996f, 17.0996f, 14.9004f, 18.5996f, 15.9004f)
                curveTo(17.0996f, 16.6004f, 15.8996f, 17.7992f, 15.0996f, 19.1992f)
                curveTo(14.2996f, 17.7992f, 13.0996f, 16.6004f, 11.5996f, 15.9004f)
                curveTo(12.9996f, 14.8004f, 14.0f, 13.0f, 14.0f, 11.0f)
                curveTo(14.0f, 7.7f, 11.3f, 5.0f, 8.0f, 5.0f)
                close()
                moveTo(8.0f, 7.0f)
                curveTo(10.2f, 7.0f, 12.0f, 8.8f, 12.0f, 11.0f)
                curveTo(12.0f, 13.2f, 10.2f, 15.0f, 8.0f, 15.0f)
                curveTo(5.8f, 15.0f, 4.0f, 13.2f, 4.0f, 11.0f)
                curveTo(4.0f, 8.8f, 5.8f, 7.0f, 8.0f, 7.0f)
                close()
                moveTo(22.0f, 7.0f)
                curveTo(24.2f, 7.0f, 26.0f, 8.8f, 26.0f, 11.0f)
                curveTo(26.0f, 13.2f, 24.2f, 15.0f, 22.0f, 15.0f)
                curveTo(19.8f, 15.0f, 18.0f, 13.2f, 18.0f, 11.0f)
                curveTo(18.0f, 8.8f, 19.8f, 7.0f, 22.0f, 7.0f)
                close()
                moveTo(24.0996f, 18.0f)
                lineTo(24.0996f, 20.0996f)
                curveTo(23.4996f, 20.1996f, 22.9004f, 20.5008f, 22.4004f, 20.8008f)
                lineTo(20.9004f, 19.3008f)
                lineTo(19.5f, 20.6992f)
                lineTo(21.0f, 22.1992f)
                curveTo(20.6f, 22.6992f, 20.4008f, 23.3f, 20.3008f, 24.0f)
                lineTo(18.0f, 24.0f)
                lineTo(18.0f, 26.0f)
                lineTo(20.0996f, 26.0f)
                curveTo(20.1996f, 26.6f, 20.5008f, 27.2008f, 20.8008f, 27.8008f)
                lineTo(19.3008f, 29.3008f)
                lineTo(20.6992f, 30.6992f)
                lineTo(22.1992f, 29.1992f)
                curveTo(22.6992f, 29.4992f, 23.3004f, 29.8004f, 23.9004f, 29.9004f)
                lineTo(23.9004f, 32.0f)
                lineTo(25.9004f, 32.0f)
                lineTo(25.9004f, 29.9004f)
                curveTo(26.5004f, 29.8004f, 27.0996f, 29.4992f, 27.5996f, 29.1992f)
                lineTo(29.0996f, 30.6992f)
                lineTo(30.5f, 29.3008f)
                lineTo(29.0f, 27.8008f)
                curveTo(29.4f, 27.3008f, 29.5992f, 26.7f, 29.6992f, 26.0f)
                lineTo(32.0f, 26.0f)
                lineTo(32.0f, 24.0f)
                lineTo(29.9004f, 24.0f)
                curveTo(29.8004f, 23.4f, 29.4992f, 22.7992f, 29.1992f, 22.1992f)
                lineTo(30.6992f, 20.6992f)
                lineTo(29.3008f, 19.3008f)
                lineTo(27.8008f, 20.8008f)
                curveTo(27.3008f, 20.5008f, 26.6996f, 20.1996f, 26.0996f, 20.0996f)
                lineTo(26.0996f, 18.0f)
                lineTo(24.0996f, 18.0f)
                close()
                moveTo(25.0f, 22.0f)
                curveTo(26.7f, 22.0f, 28.0f, 23.3f, 28.0f, 25.0f)
                curveTo(28.0f, 26.7f, 26.7f, 28.0f, 25.0f, 28.0f)
                curveTo(23.3f, 28.0f, 22.0f, 26.7f, 22.0f, 25.0f)
                curveTo(22.0f, 23.3f, 23.3f, 22.0f, 25.0f, 22.0f)
                close()
                moveTo(25.0f, 24.0f)
                curveTo(24.875f, 24.0f, 24.75f, 24.0313f, 24.6328f, 24.0859f)
                curveTo(24.5156f, 24.1406f, 24.4063f, 24.2188f, 24.3125f, 24.3125f)
                curveTo(24.2188f, 24.4063f, 24.1406f, 24.5156f, 24.0859f, 24.6328f)
                curveTo(24.0313f, 24.75f, 24.0f, 24.875f, 24.0f, 25.0f)
                curveTo(24.0f, 25.125f, 24.0313f, 25.25f, 24.0859f, 25.3672f)
                curveTo(24.1406f, 25.4844f, 24.2188f, 25.5938f, 24.3125f, 25.6875f)
                curveTo(24.4063f, 25.7813f, 24.5156f, 25.8594f, 24.6328f, 25.9141f)
                curveTo(24.75f, 25.9688f, 24.875f, 26.0f, 25.0f, 26.0f)
                curveTo(25.5f, 26.0f, 26.0f, 25.5f, 26.0f, 25.0f)
                curveTo(26.0f, 24.5f, 25.5f, 24.0f, 25.0f, 24.0f)
                close()
            }
        }
        .build()
        return _usersCogSolid!!
    }

private var _usersCogSolid: ImageVector? = null
