package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.VrCardboardSolid: ImageVector
    get() {
        if (_vrCardboardSolid != null) {
            return _vrCardboardSolid!!
        }
        _vrCardboardSolid = Builder(name = "VrCardboardSolid", defaultWidth = 32.0.dp, defaultHeight
                = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(8.0f, 5.0f)
                curveTo(6.1719f, 5.0f, 4.9961f, 6.0742f, 4.5f, 7.0625f)
                curveTo(4.3008f, 7.457f, 4.1953f, 7.832f, 4.125f, 8.1563f)
                curveTo(2.9063f, 8.5391f, 2.0f, 9.6641f, 2.0f, 11.0f)
                lineTo(2.0f, 24.0f)
                curveTo(2.0f, 25.6445f, 3.3555f, 27.0f, 5.0f, 27.0f)
                lineTo(12.0f, 27.0f)
                curveTo(13.3203f, 27.0f, 14.5195f, 26.2031f, 15.0625f, 25.0f)
                lineTo(16.9375f, 25.0f)
                curveTo(17.4766f, 26.2031f, 18.6797f, 27.0f, 20.0f, 27.0f)
                lineTo(27.0f, 27.0f)
                curveTo(28.6445f, 27.0f, 30.0f, 25.6445f, 30.0f, 24.0f)
                lineTo(30.0f, 11.0f)
                curveTo(30.0f, 9.6641f, 29.0938f, 8.5391f, 27.875f, 8.1563f)
                curveTo(27.8047f, 7.832f, 27.6992f, 7.457f, 27.5f, 7.0625f)
                curveTo(27.0039f, 6.0781f, 25.8203f, 5.0f, 24.0f, 5.0f)
                close()
                moveTo(8.0f, 7.0f)
                lineTo(24.0f, 7.0f)
                curveTo(25.1484f, 7.0f, 25.457f, 7.4219f, 25.7188f, 7.9375f)
                curveTo(25.7305f, 7.9609f, 25.7383f, 7.9766f, 25.75f, 8.0f)
                lineTo(6.25f, 8.0f)
                curveTo(6.2617f, 7.9766f, 6.2695f, 7.9609f, 6.2813f, 7.9375f)
                curveTo(6.5391f, 7.4258f, 6.8398f, 7.0f, 8.0f, 7.0f)
                close()
                moveTo(5.0f, 10.0f)
                lineTo(27.0f, 10.0f)
                curveTo(27.5664f, 10.0f, 28.0f, 10.4336f, 28.0f, 11.0f)
                lineTo(28.0f, 24.0f)
                curveTo(28.0f, 24.5664f, 27.5664f, 25.0f, 27.0f, 25.0f)
                lineTo(20.0f, 25.0f)
                curveTo(19.457f, 25.0f, 18.9648f, 24.668f, 18.75f, 24.1563f)
                lineTo(17.7188f, 21.4063f)
                lineTo(17.7188f, 21.375f)
                lineTo(17.6875f, 21.3438f)
                curveTo(17.3906f, 20.6484f, 16.7266f, 20.1875f, 15.9688f, 20.1875f)
                curveTo(15.207f, 20.1875f, 14.5156f, 20.6484f, 14.2188f, 21.3438f)
                lineTo(14.1875f, 21.375f)
                lineTo(14.1875f, 21.4375f)
                lineTo(13.25f, 24.1563f)
                curveTo(13.0313f, 24.668f, 12.543f, 25.0f, 12.0f, 25.0f)
                lineTo(5.0f, 25.0f)
                curveTo(4.4336f, 25.0f, 4.0f, 24.5664f, 4.0f, 24.0f)
                lineTo(4.0f, 11.0f)
                curveTo(4.0f, 10.4336f, 4.4336f, 10.0f, 5.0f, 10.0f)
                close()
                moveTo(10.0f, 13.0f)
                curveTo(7.8008f, 13.0f, 6.0f, 14.8008f, 6.0f, 17.0f)
                curveTo(6.0f, 19.1992f, 7.8008f, 21.0f, 10.0f, 21.0f)
                curveTo(12.1992f, 21.0f, 14.0f, 19.1992f, 14.0f, 17.0f)
                curveTo(14.0f, 14.8008f, 12.1992f, 13.0f, 10.0f, 13.0f)
                close()
                moveTo(22.0f, 13.0f)
                curveTo(19.8008f, 13.0f, 18.0f, 14.8008f, 18.0f, 17.0f)
                curveTo(18.0f, 19.1992f, 19.8008f, 21.0f, 22.0f, 21.0f)
                curveTo(24.1992f, 21.0f, 26.0f, 19.1992f, 26.0f, 17.0f)
                curveTo(26.0f, 14.8008f, 24.1992f, 13.0f, 22.0f, 13.0f)
                close()
                moveTo(10.0f, 15.0f)
                curveTo(11.1172f, 15.0f, 12.0f, 15.8828f, 12.0f, 17.0f)
                curveTo(12.0f, 18.1172f, 11.1172f, 19.0f, 10.0f, 19.0f)
                curveTo(8.8828f, 19.0f, 8.0f, 18.1172f, 8.0f, 17.0f)
                curveTo(8.0f, 15.8828f, 8.8828f, 15.0f, 10.0f, 15.0f)
                close()
                moveTo(22.0f, 15.0f)
                curveTo(23.1172f, 15.0f, 24.0f, 15.8828f, 24.0f, 17.0f)
                curveTo(24.0f, 18.1172f, 23.1172f, 19.0f, 22.0f, 19.0f)
                curveTo(20.8828f, 19.0f, 20.0f, 18.1172f, 20.0f, 17.0f)
                curveTo(20.0f, 15.8828f, 20.8828f, 15.0f, 22.0f, 15.0f)
                close()
                moveTo(15.9688f, 22.4375f)
                lineTo(16.1875f, 23.0f)
                lineTo(15.7813f, 23.0f)
                close()
            }
        }
        .build()
        return _vrCardboardSolid!!
    }

private var _vrCardboardSolid: ImageVector? = null
