package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Wpbeginner: ImageVector
    get() {
        if (_wpbeginner != null) {
            return _wpbeginner!!
        }
        _wpbeginner = Builder(name = "Wpbeginner", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 4.0f)
                curveTo(9.4f, 4.0f, 4.0f, 8.5f, 4.0f, 14.0f)
                curveTo(4.0f, 15.7f, 4.5004f, 17.3008f, 5.4004f, 18.8008f)
                curveTo(4.5004f, 19.6008f, 4.0f, 20.8f, 4.0f, 22.0f)
                curveTo(4.0f, 24.8f, 6.7f, 27.0f, 10.0f, 27.0f)
                curveTo(12.5f, 27.0f, 14.6f, 25.8f, 15.5f, 24.0f)
                lineTo(16.5f, 24.0f)
                curveTo(17.4f, 25.8f, 19.5f, 27.0f, 22.0f, 27.0f)
                curveTo(25.3f, 27.0f, 28.0f, 24.8f, 28.0f, 22.0f)
                curveTo(28.0f, 20.8f, 27.4996f, 19.6008f, 26.5996f, 18.8008f)
                curveTo(27.4996f, 17.4008f, 28.0f, 15.8f, 28.0f, 14.0f)
                curveTo(28.0f, 8.5f, 22.6f, 4.0f, 16.0f, 4.0f)
                close()
                moveTo(16.0f, 6.0f)
                curveTo(21.5f, 6.0f, 26.0f, 9.6f, 26.0f, 14.0f)
                curveTo(26.0f, 14.3091f, 25.9736f, 14.611f, 25.9297f, 14.9102f)
                curveTo(25.9235f, 14.9536f, 25.9133f, 14.9959f, 25.9063f, 15.0391f)
                curveTo(25.8617f, 15.3042f, 25.8035f, 15.5666f, 25.7266f, 15.8262f)
                curveTo(25.7161f, 15.8614f, 25.7063f, 15.8966f, 25.6953f, 15.9316f)
                curveTo(25.622f, 16.1655f, 25.5297f, 16.398f, 25.4316f, 16.6289f)
                curveTo(25.0071f, 17.5793f, 24.3583f, 18.4482f, 23.5f, 19.1992f)
                curveTo(24.9761f, 19.6912f, 25.9628f, 20.7658f, 25.9941f, 21.9434f)
                curveTo(25.9617f, 23.525f, 24.1799f, 24.9004f, 22.0f, 24.9004f)
                curveTo(20.4f, 24.9004f, 18.9008f, 24.1f, 18.3008f, 23.0f)
                lineTo(17.6992f, 22.0f)
                lineTo(16.5f, 22.0f)
                lineTo(15.5f, 22.0f)
                lineTo(14.3008f, 22.0f)
                lineTo(13.6992f, 23.0996f)
                curveTo(13.0992f, 24.1996f, 11.6f, 25.0f, 10.0f, 25.0f)
                curveTo(7.8f, 25.0f, 6.0f, 23.6f, 6.0f, 22.0f)
                curveTo(6.0f, 21.8035f, 6.0301f, 21.6196f, 6.0801f, 21.4473f)
                curveTo(6.0823f, 21.4387f, 6.0856f, 21.4304f, 6.0879f, 21.4219f)
                curveTo(6.2283f, 20.959f, 6.5055f, 20.5911f, 6.7227f, 20.3047f)
                curveTo(7.1584f, 19.833f, 7.768f, 19.4432f, 8.5f, 19.1992f)
                curveTo(7.9481f, 18.7163f, 7.4865f, 18.1832f, 7.1094f, 17.6133f)
                curveTo(7.1063f, 17.6086f, 7.1027f, 17.6043f, 7.0996f, 17.5996f)
                curveTo(6.7504f, 17.0509f, 6.4765f, 16.4774f, 6.2891f, 15.8789f)
                curveTo(6.2878f, 15.875f, 6.2864f, 15.8711f, 6.2852f, 15.8672f)
                curveTo(6.2005f, 15.5951f, 6.1393f, 15.3175f, 6.0918f, 15.0352f)
                curveTo(6.085f, 14.9934f, 6.0763f, 14.9522f, 6.0703f, 14.9102f)
                curveTo(6.0264f, 14.6124f, 6.0f, 14.3091f, 6.0f, 14.0f)
                curveTo(6.0f, 9.6f, 10.5f, 6.0f, 16.0f, 6.0f)
                close()
                moveTo(10.0f, 12.0f)
                lineTo(10.0f, 15.0f)
                lineTo(12.0f, 15.0f)
                lineTo(12.0f, 12.0f)
                lineTo(10.0f, 12.0f)
                close()
                moveTo(13.0f, 12.0f)
                lineTo(13.0f, 15.0f)
                lineTo(21.0f, 15.0f)
                lineTo(21.0f, 12.0f)
                lineTo(13.0f, 12.0f)
                close()
                moveTo(11.0f, 16.1992f)
                lineTo(11.0f, 17.5996f)
                curveTo(13.5f, 19.9996f, 17.3f, 20.6008f, 20.0f, 19.3008f)
                lineTo(20.0f, 18.0f)
                curveTo(17.1f, 19.1f, 13.6f, 18.4992f, 11.0f, 16.1992f)
                close()
            }
        }
        .build()
        return _wpbeginner!!
    }

private var _wpbeginner: ImageVector? = null
