package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Wpressr: ImageVector
    get() {
        if (_wpressr != null) {
            return _wpressr!!
        }
        _wpressr = Builder(name = "Wpressr", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 3.0f)
                curveTo(8.8f, 3.0f, 3.0f, 8.8f, 3.0f, 16.0f)
                curveTo(3.0f, 23.2f, 8.8f, 29.0f, 16.0f, 29.0f)
                curveTo(23.2f, 29.0f, 29.0f, 23.2f, 29.0f, 16.0f)
                curveTo(29.0f, 8.8f, 23.2f, 3.0f, 16.0f, 3.0f)
                close()
                moveTo(16.0f, 5.0f)
                curveTo(22.1f, 5.0f, 27.0f, 9.9f, 27.0f, 16.0f)
                curveTo(27.0f, 22.1f, 22.1f, 27.0f, 16.0f, 27.0f)
                curveTo(9.9f, 27.0f, 5.0f, 22.1f, 5.0f, 16.0f)
                curveTo(5.0f, 9.9f, 9.9f, 5.0f, 16.0f, 5.0f)
                close()
                moveTo(10.5996f, 11.0f)
                curveTo(10.3996f, 11.0f, 10.2992f, 11.1008f, 10.1992f, 11.3008f)
                curveTo(9.5992f, 12.7008f, 8.9008f, 14.1996f, 8.3008f, 15.5996f)
                curveTo(7.9008f, 16.5996f, 7.4f, 17.5f, 7.0f, 18.5f)
                lineTo(7.0f, 19.0f)
                curveTo(7.6f, 19.6f, 8.0992f, 20.2008f, 8.6992f, 20.8008f)
                curveTo(8.7992f, 20.9008f, 8.8996f, 21.0f, 9.0996f, 21.0f)
                lineTo(16.0f, 21.0f)
                curveTo(16.1f, 21.0f, 16.3004f, 20.8992f, 16.4004f, 20.6992f)
                curveTo(16.9004f, 19.4992f, 17.4004f, 18.3992f, 17.9004f, 17.1992f)
                curveTo(18.0004f, 16.9992f, 18.2004f, 16.9004f, 18.4004f, 16.9004f)
                lineTo(21.8008f, 16.9004f)
                curveTo(22.1008f, 16.9004f, 22.3004f, 16.8f, 22.4004f, 16.5f)
                curveTo(23.2004f, 14.8f, 23.9008f, 13.1004f, 24.8008f, 11.4004f)
                curveTo(24.9008f, 11.1004f, 24.8f, 11.0f, 24.5f, 11.0f)
                lineTo(18.0f, 11.0f)
                curveTo(17.8f, 11.0f, 17.6996f, 11.1008f, 17.5996f, 11.3008f)
                curveTo(17.5996f, 11.5008f, 17.2008f, 12.1992f, 16.8008f, 13.1992f)
                curveTo(16.8008f, 13.2992f, 16.9f, 13.3008f, 17.0f, 13.3008f)
                lineTo(20.6992f, 13.3008f)
                curveTo(21.1992f, 13.3008f, 21.1f, 14.0f, 20.5f, 14.0f)
                lineTo(16.5996f, 14.0f)
                curveTo(16.4996f, 14.0f, 16.5004f, 14.0996f, 16.4004f, 14.0996f)
                curveTo(15.5004f, 15.9996f, 14.5f, 18.3008f, 14.5f, 18.3008f)
                curveTo(14.3f, 18.6008f, 13.7004f, 18.6f, 13.9004f, 18.0f)
                curveTo(14.3004f, 17.1f, 14.6996f, 16.0992f, 15.0996f, 15.1992f)
                curveTo(15.1996f, 14.9992f, 15.1008f, 14.8008f, 14.8008f, 14.8008f)
                lineTo(12.5f, 14.8008f)
                curveTo(12.4f, 14.8008f, 12.2992f, 14.8f, 12.1992f, 15.0f)
                curveTo(10.5992f, 18.5f, 10.6992f, 18.3008f, 10.6992f, 18.3008f)
                curveTo(10.5992f, 18.6008f, 9.9992f, 18.4f, 10.1992f, 18.0f)
                curveTo(10.3992f, 17.4f, 10.7f, 16.6996f, 11.0f, 16.0996f)
                curveTo(11.7f, 14.4996f, 12.3f, 13.0f, 13.0f, 11.5f)
                curveTo(13.2f, 11.2f, 12.9992f, 11.0f, 12.6992f, 11.0f)
                lineTo(10.5996f, 11.0f)
                close()
            }
        }
        .build()
        return _wpressr!!
    }

private var _wpressr: ImageVector? = null
