package compose.icons.octicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.EvenOdd
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.Octicons

public val Octicons.Thumbsdown16: ImageVector
    get() {
        if (_thumbsdown16 != null) {
            return _thumbsdown16!!
        }
        _thumbsdown16 = Builder(name = "Thumbsdown16", defaultWidth = 16.0.dp, defaultHeight =
                16.0.dp, viewportWidth = 16.0f, viewportHeight = 16.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(7.083f, 15.986f)
                curveToRelative(1.34f, 0.153f, 2.334f, -0.982f, 2.334f, -2.183f)
                verticalLineToRelative(-0.5f)
                curveToRelative(0.0f, -1.329f, 0.646f, -2.123f, 1.317f, -2.614f)
                curveToRelative(0.329f, -0.24f, 0.66f, -0.403f, 0.919f, -0.508f)
                arcToRelative(1.75f, 1.75f, 0.0f, false, false, 1.514f, 0.872f)
                horizontalLineToRelative(1.0f)
                arcToRelative(1.75f, 1.75f, 0.0f, false, false, 1.75f, -1.75f)
                verticalLineToRelative(-7.5f)
                arcToRelative(1.75f, 1.75f, 0.0f, false, false, -1.75f, -1.75f)
                horizontalLineToRelative(-1.0f)
                arcToRelative(1.75f, 1.75f, 0.0f, false, false, -1.662f, 1.2f)
                curveToRelative(-0.525f, -0.074f, -1.068f, -0.228f, -1.726f, -0.415f)
                lineTo(9.305f, 0.705f)
                curveTo(8.151f, 0.385f, 6.765f, 0.053f, 4.917f, 0.053f)
                curveToRelative(-1.706f, 0.0f, -2.97f, 0.152f, -3.722f, 1.139f)
                curveToRelative(-0.353f, 0.463f, -0.537f, 1.042f, -0.669f, 1.672f)
                curveTo(0.41f, 3.424f, 0.32f, 4.108f, 0.214f, 4.897f)
                lineToRelative(-0.04f, 0.306f)
                curveToRelative(-0.25f, 1.869f, -0.266f, 3.318f, 0.188f, 4.316f)
                curveToRelative(0.244f, 0.537f, 0.622f, 0.943f, 1.136f, 1.2f)
                curveToRelative(0.495f, 0.248f, 1.066f, 0.334f, 1.669f, 0.334f)
                horizontalLineToRelative(1.422f)
                lineToRelative(-0.015f, 0.112f)
                curveToRelative(-0.07f, 0.518f, -0.157f, 1.17f, -0.157f, 1.638f)
                curveToRelative(0.0f, 0.921f, 0.151f, 1.718f, 0.655f, 2.299f)
                curveToRelative(0.512f, 0.589f, 1.248f, 0.797f, 2.011f, 0.884f)
                close()
                moveTo(11.417f, 2.754f)
                curveToRelative(-0.706f, -0.089f, -1.39f, -0.284f, -2.072f, -0.479f)
                arcToRelative(63.914f, 63.914f, 0.0f, false, false, -0.441f, -0.125f)
                curveToRelative(-1.096f, -0.304f, -2.335f, -0.597f, -3.987f, -0.597f)
                curveToRelative(-1.794f, 0.0f, -2.28f, 0.222f, -2.529f, 0.548f)
                curveToRelative(-0.147f, 0.193f, -0.275f, 0.505f, -0.393f, 1.07f)
                curveToRelative(-0.105f, 0.502f, -0.188f, 1.124f, -0.295f, 1.93f)
                lineToRelative(-0.04f, 0.3f)
                curveToRelative(-0.25f, 1.882f, -0.19f, 2.933f, 0.067f, 3.497f)
                arcToRelative(0.921f, 0.921f, 0.0f, false, false, 0.443f, 0.48f)
                curveToRelative(0.208f, 0.104f, 0.52f, 0.175f, 0.997f, 0.175f)
                horizontalLineToRelative(1.75f)
                curveToRelative(0.685f, 0.0f, 1.295f, 0.577f, 1.205f, 1.335f)
                curveToRelative(-0.022f, 0.192f, -0.049f, 0.39f, -0.075f, 0.586f)
                curveToRelative(-0.066f, 0.488f, -0.13f, 0.97f, -0.13f, 1.329f)
                curveToRelative(0.0f, 0.808f, 0.144f, 1.15f, 0.288f, 1.316f)
                curveToRelative(0.137f, 0.157f, 0.401f, 0.303f, 1.048f, 0.377f)
                curveToRelative(0.307f, 0.035f, 0.664f, -0.237f, 0.664f, -0.693f)
                verticalLineToRelative(-0.5f)
                curveToRelative(0.0f, -1.922f, 0.978f, -3.127f, 1.932f, -3.825f)
                arcToRelative(5.862f, 5.862f, 0.0f, false, true, 1.568f, -0.809f)
                lineTo(11.417f, 2.754f)
                close()
                moveTo(13.167f, 9.552f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, true, -0.25f, -0.25f)
                verticalLineToRelative(-7.5f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, true, 0.25f, -0.25f)
                horizontalLineToRelative(1.0f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, true, 0.25f, 0.25f)
                verticalLineToRelative(7.5f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, true, -0.25f, 0.25f)
                horizontalLineToRelative(-1.0f)
                close()
            }
        }
        .build()
        return _thumbsdown16!!
    }

private var _thumbsdown16: ImageVector? = null
