package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Adobeindesign: ImageVector
    get() {
        if (_adobeindesign != null) {
            return _adobeindesign!!
        }
        _adobeindesign = Builder(name = "Adobeindesign", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(4.25f, 0.3f)
                curveTo(1.9f, 0.3f, 0.0f, 2.2f, 0.0f, 4.55f)
                verticalLineToRelative(14.9f)
                curveToRelative(0.0f, 2.35f, 1.9f, 4.25f, 4.25f, 4.25f)
                horizontalLineToRelative(15.5f)
                curveToRelative(2.35f, 0.0f, 4.25f, -1.9f, 4.25f, -4.25f)
                lineTo(24.0f, 4.55f)
                curveTo(24.0f, 2.2f, 22.1f, 0.3f, 19.75f, 0.3f)
                close()
                moveTo(15.56f, 5.43f)
                horizontalLineToRelative(2.03f)
                curveToRelative(0.05f, -0.01f, 0.09f, 0.03f, 0.1f, 0.07f)
                verticalLineToRelative(9.54f)
                curveToRelative(0.0f, 0.18f, 0.01f, 0.38f, 0.02f, 0.6f)
                curveToRelative(0.02f, 0.21f, 0.03f, 0.41f, 0.04f, 0.58f)
                curveToRelative(0.0f, 0.07f, -0.03f, 0.13f, -0.1f, 0.16f)
                curveToRelative(-0.52f, 0.22f, -1.07f, 0.38f, -1.63f, 0.48f)
                curveToRelative(-0.5f, 0.09f, -1.02f, 0.14f, -1.54f, 0.14f)
                curveToRelative(-0.74f, 0.01f, -1.48f, -0.14f, -2.15f, -0.45f)
                curveToRelative(-0.63f, -0.29f, -1.15f, -0.77f, -1.51f, -1.36f)
                curveToRelative(-0.37f, -0.61f, -0.55f, -1.37f, -0.55f, -2.28f)
                curveToRelative(-0.01f, -0.74f, 0.18f, -1.47f, 0.55f, -2.11f)
                curveToRelative(0.38f, -0.65f, 0.93f, -1.19f, 1.59f, -1.55f)
                curveToRelative(0.7f, -0.39f, 1.54f, -0.58f, 2.53f, -0.58f)
                curveToRelative(0.05f, 0.0f, 0.12f, 0.0f, 0.21f, 0.01f)
                reflectiveCurveToRelative(0.19f, 0.01f, 0.31f, 0.02f)
                lineTo(15.46f, 5.54f)
                curveToRelative(0.0f, -0.07f, 0.03f, -0.11f, 0.1f, -0.11f)
                close()
                moveTo(6.63f, 6.29f)
                horizontalLineToRelative(1.95f)
                curveToRelative(0.06f, -0.01f, 0.12f, 0.03f, 0.13f, 0.1f)
                curveToRelative(0.01f, 0.01f, 0.01f, 0.02f, 0.01f, 0.03f)
                verticalLineToRelative(10.26f)
                curveToRelative(0.0f, 0.11f, -0.05f, 0.16f, -0.14f, 0.16f)
                lineTo(6.62f, 16.84f)
                curveToRelative(-0.09f, 0.0f, -0.13f, -0.05f, -0.13f, -0.16f)
                lineTo(6.49f, 6.42f)
                curveToRelative(0.0f, -0.09f, 0.05f, -0.13f, 0.14f, -0.13f)
                close()
                moveTo(14.86f, 10.53f)
                curveToRelative(-0.39f, 0.0f, -0.78f, 0.08f, -1.13f, 0.26f)
                curveToRelative(-0.34f, 0.17f, -0.63f, 0.42f, -0.85f, 0.74f)
                curveToRelative(-0.22f, 0.32f, -0.33f, 0.75f, -0.33f, 1.27f)
                curveToRelative(-0.01f, 0.35f, 0.05f, 0.7f, 0.17f, 1.03f)
                curveToRelative(0.1f, 0.27f, 0.25f, 0.51f, 0.45f, 0.71f)
                curveToRelative(0.19f, 0.18f, 0.42f, 0.32f, 0.68f, 0.4f)
                curveToRelative(0.27f, 0.09f, 0.55f, 0.13f, 0.83f, 0.13f)
                curveToRelative(0.15f, 0.0f, 0.29f, -0.01f, 0.42f, -0.02f)
                curveToRelative(0.13f, 0.01f, 0.25f, -0.01f, 0.36f, -0.05f)
                verticalLineToRelative(-4.4f)
                curveToRelative(-0.09f, -0.02f, -0.18f, -0.04f, -0.27f, -0.05f)
                curveToRelative(-0.11f, -0.01f, -0.22f, -0.02f, -0.33f, -0.02f)
                close()
            }
        }
        .build()
        return _adobeindesign!!
    }

private var _adobeindesign: ImageVector? = null
