package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Bilibili: ImageVector
    get() {
        if (_bilibili != null) {
            return _bilibili!!
        }
        _bilibili = Builder(name = "Bilibili", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(17.813f, 4.653f)
                horizontalLineToRelative(0.854f)
                curveToRelative(1.51f, 0.054f, 2.769f, 0.578f, 3.773f, 1.574f)
                curveToRelative(1.004f, 0.995f, 1.524f, 2.249f, 1.56f, 3.76f)
                verticalLineToRelative(7.36f)
                curveToRelative(-0.036f, 1.51f, -0.556f, 2.769f, -1.56f, 3.773f)
                reflectiveCurveToRelative(-2.262f, 1.524f, -3.773f, 1.56f)
                lineTo(5.333f, 22.68f)
                curveToRelative(-1.51f, -0.036f, -2.769f, -0.556f, -3.773f, -1.56f)
                reflectiveCurveTo(0.036f, 18.858f, 0.0f, 17.347f)
                verticalLineToRelative(-7.36f)
                curveToRelative(0.036f, -1.511f, 0.556f, -2.765f, 1.56f, -3.76f)
                curveToRelative(1.004f, -0.996f, 2.262f, -1.52f, 3.773f, -1.574f)
                horizontalLineToRelative(0.774f)
                lineToRelative(-1.174f, -1.12f)
                arcToRelative(1.234f, 1.234f, 0.0f, false, true, -0.373f, -0.906f)
                curveToRelative(0.0f, -0.356f, 0.124f, -0.658f, 0.373f, -0.907f)
                lineToRelative(0.027f, -0.027f)
                curveToRelative(0.267f, -0.249f, 0.573f, -0.373f, 0.92f, -0.373f)
                curveToRelative(0.347f, 0.0f, 0.653f, 0.124f, 0.92f, 0.373f)
                lineTo(9.653f, 4.44f)
                curveToRelative(0.071f, 0.071f, 0.134f, 0.142f, 0.187f, 0.213f)
                horizontalLineToRelative(4.267f)
                arcToRelative(0.836f, 0.836f, 0.0f, false, true, 0.16f, -0.213f)
                lineToRelative(2.853f, -2.747f)
                curveToRelative(0.267f, -0.249f, 0.573f, -0.373f, 0.92f, -0.373f)
                curveToRelative(0.347f, 0.0f, 0.662f, 0.151f, 0.929f, 0.4f)
                curveToRelative(0.267f, 0.249f, 0.391f, 0.551f, 0.391f, 0.907f)
                curveToRelative(0.0f, 0.355f, -0.124f, 0.657f, -0.373f, 0.906f)
                close()
                moveTo(5.333f, 7.24f)
                curveToRelative(-0.746f, 0.018f, -1.373f, 0.276f, -1.88f, 0.773f)
                curveToRelative(-0.506f, 0.498f, -0.769f, 1.13f, -0.786f, 1.894f)
                verticalLineToRelative(7.52f)
                curveToRelative(0.017f, 0.764f, 0.28f, 1.395f, 0.786f, 1.893f)
                curveToRelative(0.507f, 0.498f, 1.134f, 0.756f, 1.88f, 0.773f)
                horizontalLineToRelative(13.334f)
                curveToRelative(0.746f, -0.017f, 1.373f, -0.275f, 1.88f, -0.773f)
                curveToRelative(0.506f, -0.498f, 0.769f, -1.129f, 0.786f, -1.893f)
                verticalLineToRelative(-7.52f)
                curveToRelative(-0.017f, -0.765f, -0.28f, -1.396f, -0.786f, -1.894f)
                curveToRelative(-0.507f, -0.497f, -1.134f, -0.755f, -1.88f, -0.773f)
                close()
                moveTo(8.0f, 11.107f)
                curveToRelative(0.373f, 0.0f, 0.684f, 0.124f, 0.933f, 0.373f)
                curveToRelative(0.25f, 0.249f, 0.383f, 0.569f, 0.4f, 0.96f)
                verticalLineToRelative(1.173f)
                curveToRelative(-0.017f, 0.391f, -0.15f, 0.711f, -0.4f, 0.96f)
                curveToRelative(-0.249f, 0.25f, -0.56f, 0.374f, -0.933f, 0.374f)
                reflectiveCurveToRelative(-0.684f, -0.125f, -0.933f, -0.374f)
                curveToRelative(-0.25f, -0.249f, -0.383f, -0.569f, -0.4f, -0.96f)
                lineTo(6.667f, 12.44f)
                curveToRelative(0.0f, -0.373f, 0.129f, -0.689f, 0.386f, -0.947f)
                curveToRelative(0.258f, -0.257f, 0.574f, -0.386f, 0.947f, -0.386f)
                close()
                moveTo(16.0f, 11.107f)
                curveToRelative(0.373f, 0.0f, 0.684f, 0.124f, 0.933f, 0.373f)
                curveToRelative(0.25f, 0.249f, 0.383f, 0.569f, 0.4f, 0.96f)
                verticalLineToRelative(1.173f)
                curveToRelative(-0.017f, 0.391f, -0.15f, 0.711f, -0.4f, 0.96f)
                curveToRelative(-0.249f, 0.25f, -0.56f, 0.374f, -0.933f, 0.374f)
                reflectiveCurveToRelative(-0.684f, -0.125f, -0.933f, -0.374f)
                curveToRelative(-0.25f, -0.249f, -0.383f, -0.569f, -0.4f, -0.96f)
                lineTo(14.667f, 12.44f)
                curveToRelative(0.017f, -0.391f, 0.15f, -0.711f, 0.4f, -0.96f)
                curveToRelative(0.249f, -0.249f, 0.56f, -0.373f, 0.933f, -0.373f)
                close()
            }
        }
        .build()
        return _bilibili!!
    }

private var _bilibili: ImageVector? = null
