package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Curseforge: ImageVector
    get() {
        if (_curseforge != null) {
            return _curseforge!!
        }
        _curseforge = Builder(name = "Curseforge", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(6.307f, 5.581f)
                lineToRelative(0.391f, 1.675f)
                lineTo(0.0f, 7.256f)
                reflectiveCurveToRelative(0.112f, 0.502f, 0.167f, 0.558f)
                curveToRelative(0.168f, 0.279f, 0.335f, 0.614f, 0.559f, 0.837f)
                curveToRelative(1.06f, 1.228f, 2.902f, 1.73f, 4.409f, 2.009f)
                curveToRelative(1.06f, 0.224f, 2.121f, 0.28f, 3.181f, 0.335f)
                lineToRelative(1.228f, 3.293f)
                horizontalLineToRelative(0.67f)
                lineToRelative(0.391f, 1.061f)
                horizontalLineToRelative(-0.558f)
                lineToRelative(-0.949f, 3.07f)
                horizontalLineToRelative(9.321f)
                lineToRelative(-0.949f, -3.07f)
                horizontalLineToRelative(-0.558f)
                lineToRelative(0.39f, -1.061f)
                horizontalLineToRelative(0.67f)
                reflectiveCurveToRelative(0.558f, -3.404f, 2.288f, -4.967f)
                curveTo(21.935f, 7.758f, 24.0f, 7.535f, 24.0f, 7.535f)
                lineTo(24.0f, 5.581f)
                lineTo(6.307f, 5.581f)
                close()
                moveTo(15.684f, 14.009f)
                curveToRelative(-0.447f, 0.279f, -0.949f, 0.279f, -1.284f, 0.503f)
                curveToRelative(-0.223f, 0.111f, -0.335f, 0.446f, -0.335f, 0.446f)
                curveToRelative(-0.223f, -0.502f, -0.502f, -0.67f, -0.837f, -0.781f)
                curveToRelative(-0.335f, -0.112f, -0.949f, -0.056f, -1.786f, -0.782f)
                curveToRelative(-0.558f, -0.502f, -0.614f, -1.172f, -0.558f, -1.507f)
                verticalLineToRelative(-0.167f)
                curveToRelative(0.0f, -0.056f, 0.0f, -0.112f, 0.056f, -0.168f)
                curveToRelative(0.111f, -0.334f, 0.39f, -0.669f, 0.948f, -0.893f)
                curveToRelative(0.0f, 0.0f, -0.39f, 0.559f, 0.0f, 1.117f)
                curveToRelative(0.224f, 0.335f, 0.67f, 0.502f, 1.061f, 0.279f)
                curveToRelative(0.167f, -0.112f, 0.279f, -0.335f, 0.335f, -0.503f)
                curveToRelative(0.111f, -0.39f, 0.111f, -0.781f, -0.224f, -1.06f)
                curveToRelative(-0.502f, -0.446f, -0.613f, -1.06f, -0.279f, -1.451f)
                curveToRelative(0.0f, 0.0f, 0.112f, 0.502f, 0.614f, 0.446f)
                curveToRelative(0.335f, 0.0f, 0.335f, -0.111f, 0.224f, -0.223f)
                curveToRelative(-0.056f, -0.167f, -0.782f, -1.228f, 0.279f, -2.009f)
                curveToRelative(0.0f, 0.0f, 0.669f, -0.447f, 1.451f, -0.391f)
                curveToRelative(-0.447f, 0.056f, -0.949f, 0.335f, -1.116f, 0.782f)
                verticalLineToRelative(0.055f)
                curveToRelative(-0.168f, 0.447f, -0.056f, 0.949f, 0.279f, 1.396f)
                curveToRelative(0.223f, 0.335f, 0.502f, 0.614f, 0.614f, 1.06f)
                curveToRelative(-0.168f, -0.056f, -0.279f, 0.0f, -0.391f, 0.112f)
                arcToRelative(0.533f, 0.533f, 0.0f, false, false, -0.112f, 0.502f)
                curveToRelative(0.056f, 0.112f, 0.168f, 0.223f, 0.279f, 0.223f)
                horizontalLineToRelative(0.168f)
                curveToRelative(0.167f, -0.055f, 0.279f, -0.279f, 0.223f, -0.446f)
                curveToRelative(0.112f, 0.111f, 0.167f, 0.391f, 0.112f, 0.558f)
                curveToRelative(0.0f, 0.167f, -0.112f, 0.335f, -0.168f, 0.446f)
                curveToRelative(-0.056f, 0.112f, -0.167f, 0.224f, -0.223f, 0.335f)
                curveToRelative(-0.056f, 0.112f, -0.112f, 0.224f, -0.112f, 0.335f)
                curveToRelative(0.0f, 0.112f, 0.0f, 0.279f, 0.056f, 0.391f)
                curveToRelative(0.223f, 0.335f, 0.67f, 0.0f, 0.782f, -0.279f)
                curveToRelative(0.167f, -0.335f, 0.111f, -0.726f, -0.112f, -1.061f)
                curveToRelative(0.0f, 0.0f, 0.391f, 0.224f, 0.67f, 1.005f)
                curveToRelative(0.223f, 0.67f, -0.168f, 1.451f, -0.614f, 1.73f)
                close()
            }
        }
        .build()
        return _curseforge!!
    }

private var _curseforge: ImageVector? = null
