package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Geeksforgeeks: ImageVector
    get() {
        if (_geeksforgeeks != null) {
            return _geeksforgeeks!!
        }
        _geeksforgeeks = Builder(name = "Geeksforgeeks", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(5.665f, 5.823f)
                curveToRelative(-0.667f, 0.0f, -1.247f, 0.08f, -1.741f, 0.241f)
                curveToRelative(-0.495f, 0.161f, -0.93f, 0.356f, -1.308f, 0.583f)
                lineToRelative(-0.342f, -0.566f)
                horizontalLineToRelative(-0.666f)
                lineToRelative(-0.075f, 4.132f)
                horizontalLineToRelative(0.683f)
                arcToRelative(11.2f, 11.2f, 0.0f, false, true, 0.433f, -1.341f)
                curveToRelative(0.172f, -0.445f, 0.394f, -0.842f, 0.666f, -1.192f)
                arcToRelative(3.02f, 3.02f, 0.0f, false, true, 1.0f, -0.833f)
                curveToRelative(0.389f, -0.21f, 0.855f, -0.316f, 1.4f, -0.316f)
                curveToRelative(0.594f, 0.0f, 1.124f, 0.122f, 1.59f, 0.366f)
                curveToRelative(0.467f, 0.24f, 0.873f, 0.597f, 1.217f, 1.075f)
                curveToRelative(0.339f, 0.461f, 0.6f, 1.036f, 0.783f, 1.724f)
                curveToRelative(0.184f, 0.69f, 0.275f, 1.458f, 0.275f, 2.308f)
                curveToRelative(0.0f, 0.192f, -0.006f, 0.38f, -0.017f, 0.567f)
                lineTo(0.0f, 12.571f)
                verticalLineToRelative(0.608f)
                curveToRelative(0.133f, 0.016f, 0.314f, 0.044f, 0.541f, 0.083f)
                curveToRelative(0.222f, 0.033f, 0.403f, 0.083f, 0.542f, 0.15f)
                arcToRelative(0.748f, 0.748f, 0.0f, false, true, 0.358f, 0.358f)
                curveToRelative(0.067f, 0.15f, 0.1f, 0.328f, 0.1f, 0.534f)
                verticalLineToRelative(0.916f)
                curveToRelative(0.0f, 0.666f, -0.003f, 1.116f, -0.008f, 1.35f)
                arcToRelative(22.14f, 22.14f, 0.0f, false, true, -0.033f, 0.574f)
                arcToRelative(12.57f, 12.57f, 0.0f, false, false, 2.207f, 0.767f)
                arcToRelative(9.138f, 9.138f, 0.0f, false, false, 2.158f, 0.266f)
                curveToRelative(0.755f, 0.0f, 1.483f, -0.141f, 2.183f, -0.425f)
                arcToRelative(5.46f, 5.46f, 0.0f, false, false, 1.832f, -1.208f)
                arcToRelative(5.815f, 5.815f, 0.0f, false, false, 1.258f, -1.924f)
                arcToRelative(6.09f, 6.09f, 0.0f, false, false, 0.389f, -1.441f)
                horizontalLineToRelative(0.946f)
                curveToRelative(0.075f, 0.511f, 0.204f, 0.992f, 0.389f, 1.44f)
                curveToRelative(0.31f, 0.756f, 0.73f, 1.398f, 1.258f, 1.925f)
                arcToRelative(5.46f, 5.46f, 0.0f, false, false, 1.833f, 1.208f)
                curveToRelative(0.7f, 0.284f, 1.427f, 0.425f, 2.182f, 0.425f)
                curveToRelative(0.705f, 0.0f, 1.425f, -0.089f, 2.158f, -0.266f)
                arcToRelative(12.57f, 12.57f, 0.0f, false, false, 2.208f, -0.767f)
                curveToRelative(-0.012f, -0.15f, -0.023f, -0.341f, -0.034f, -0.575f)
                arcToRelative(66.751f, 66.751f, 0.0f, false, true, -0.008f, -1.35f)
                verticalLineToRelative(-0.915f)
                curveToRelative(0.0f, -0.206f, 0.033f, -0.384f, 0.1f, -0.534f)
                arcToRelative(0.748f, 0.748f, 0.0f, false, true, 0.358f, -0.358f)
                curveToRelative(0.14f, -0.067f, 0.32f, -0.117f, 0.542f, -0.15f)
                curveToRelative(0.228f, -0.039f, 0.408f, -0.067f, 0.541f, -0.083f)
                verticalLineToRelative(-0.608f)
                horizontalLineToRelative(-9.563f)
                arcToRelative(9.108f, 9.108f, 0.0f, false, true, -0.017f, -0.567f)
                curveToRelative(0.0f, -0.85f, 0.092f, -1.619f, 0.275f, -2.308f)
                curveToRelative(0.183f, -0.688f, 0.444f, -1.263f, 0.783f, -1.724f)
                curveToRelative(0.344f, -0.478f, 0.75f, -0.836f, 1.216f, -1.075f)
                curveToRelative(0.467f, -0.244f, 0.997f, -0.366f, 1.592f, -0.366f)
                curveToRelative(0.544f, 0.0f, 1.01f, 0.105f, 1.399f, 0.316f)
                arcToRelative(3.02f, 3.02f, 0.0f, false, true, 1.0f, 0.833f)
                curveToRelative(0.272f, 0.35f, 0.494f, 0.747f, 0.666f, 1.192f)
                curveToRelative(0.172f, 0.439f, 0.317f, 0.886f, 0.433f, 1.341f)
                horizontalLineToRelative(0.684f)
                lineToRelative(-0.075f, -4.132f)
                horizontalLineToRelative(-0.667f)
                lineToRelative(-0.342f, 0.566f)
                arcToRelative(6.317f, 6.317f, 0.0f, false, false, -1.307f, -0.583f)
                curveToRelative(-0.495f, -0.16f, -1.075f, -0.241f, -1.742f, -0.241f)
                arcToRelative(5.95f, 5.95f, 0.0f, false, false, -2.349f, 0.466f)
                arcToRelative(5.503f, 5.503f, 0.0f, false, false, -1.883f, 1.291f)
                arcToRelative(5.996f, 5.996f, 0.0f, false, false, -1.266f, 2.008f)
                arcToRelative(6.913f, 6.913f, 0.0f, false, false, -0.442f, 2.5f)
                curveToRelative(0.0f, 0.164f, 0.007f, 0.324f, 0.017f, 0.483f)
                horizontalLineToRelative(-0.823f)
                curveToRelative(0.01f, -0.159f, 0.016f, -0.32f, 0.016f, -0.484f)
                curveToRelative(0.0f, -0.9f, -0.147f, -1.732f, -0.441f, -2.499f)
                arcTo(5.996f, 5.996f, 0.0f, false, false, 9.897f, 7.58f)
                arcToRelative(5.503f, 5.503f, 0.0f, false, false, -1.882f, -1.29f)
                arcToRelative(5.953f, 5.953f, 0.0f, false, false, -2.35f, -0.467f)
                close()
                moveTo(5.182f, 13.179f)
                horizontalLineToRelative(4.32f)
                arcToRelative(7.714f, 7.714f, 0.0f, false, true, -0.188f, 0.95f)
                arcToRelative(5.43f, 5.43f, 0.0f, false, true, -0.792f, 1.716f)
                arcToRelative(3.76f, 3.76f, 0.0f, false, true, -1.291f, 1.166f)
                curveToRelative(-0.517f, 0.283f, -1.103f, 0.425f, -1.758f, 0.425f)
                arcToRelative(3.77f, 3.77f, 0.0f, false, true, -1.333f, -0.225f)
                curveToRelative(-0.405f, -0.15f, -0.691f, -0.308f, -0.858f, -0.475f)
                arcToRelative(5.749f, 5.749f, 0.0f, false, true, -0.066f, -0.875f)
                arcToRelative(36.8f, 36.8f, 0.0f, false, true, -0.008f, -0.75f)
                verticalLineToRelative(-0.65f)
                curveToRelative(0.0f, -0.232f, 0.033f, -0.438f, 0.1f, -0.616f)
                arcToRelative(0.648f, 0.648f, 0.0f, false, true, 0.391f, -0.4f)
                curveToRelative(0.183f, -0.083f, 0.433f, -0.144f, 0.75f, -0.183f)
                arcToRelative(9.87f, 9.87f, 0.0f, false, true, 0.733f, -0.083f)
                close()
                moveTo(14.498f, 13.179f)
                horizontalLineToRelative(4.32f)
                curveToRelative(0.178f, 0.01f, 0.422f, 0.039f, 0.733f, 0.083f)
                curveToRelative(0.317f, 0.039f, 0.567f, 0.1f, 0.75f, 0.183f)
                curveToRelative(0.2f, 0.084f, 0.33f, 0.217f, 0.392f, 0.4f)
                curveToRelative(0.066f, 0.178f, 0.1f, 0.384f, 0.1f, 0.617f)
                verticalLineToRelative(0.65f)
                curveToRelative(0.0f, 0.205f, -0.004f, 0.455f, -0.009f, 0.75f)
                curveToRelative(0.0f, 0.294f, -0.022f, 0.585f, -0.066f, 0.874f)
                curveToRelative(-0.167f, 0.167f, -0.453f, 0.325f, -0.858f, 0.475f)
                curveToRelative(-0.4f, 0.15f, -0.845f, 0.225f, -1.333f, 0.225f)
                curveToRelative(-0.656f, 0.0f, -1.242f, -0.142f, -1.758f, -0.425f)
                arcToRelative(3.76f, 3.76f, 0.0f, false, true, -1.291f, -1.166f)
                arcToRelative(5.43f, 5.43f, 0.0f, false, true, -0.792f, -1.717f)
                arcToRelative(7.712f, 7.712f, 0.0f, false, true, -0.188f, -0.95f)
                close()
            }
        }
        .build()
        return _geeksforgeeks!!
    }

private var _geeksforgeeks: ImageVector? = null
