package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Gentoo: ImageVector
    get() {
        if (_gentoo != null) {
            return _gentoo!!
        }
        _gentoo = Builder(name = "Gentoo", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(9.94f, 0.0f)
                arcToRelative(7.31f, 7.31f, 0.0f, false, false, -1.26f, 0.116f)
                curveToRelative(-4.344f, 0.795f, -7.4f, 4.555f, -7.661f, 7.031f)
                curveToRelative(-0.126f, 1.215f, 0.53f, 2.125f, 0.89f, 2.526f)
                curveToRelative(0.977f, 1.085f, 2.924f, 1.914f, 4.175f, 2.601f)
                curveToRelative(-1.81f, 1.543f, -2.64f, 2.296f, -3.457f, 3.154f)
                curveTo(1.403f, 16.712f, 0.543f, 18.125f, 0.54f, 19.138f)
                curveToRelative(0.0f, 0.325f, -0.053f, 1.365f, 0.371f, 2.187f)
                curveToRelative(0.16f, 0.309f, 0.613f, 1.338f, 1.98f, 2.109f)
                curveToRelative(0.874f, 0.494f, 2.119f, 0.675f, 3.337f, 0.501f)
                curveToRelative(3.772f, -0.538f, 8.823f, -3.737f, 12.427f, -6.716f)
                curveToRelative(2.297f, -1.9f, 3.977f, -3.739f, 4.462f, -4.644f)
                curveToRelative(0.39f, -0.731f, 0.434f, -2.043f, 0.207f, -2.866f)
                curveToRelative(-0.645f, -2.337f, -5.887f, -7.125f, -10.172f, -9.051f)
                arcTo(7.824f, 7.824f, 0.0f, false, false, 9.94f, 0.0f)
                close()
                moveTo(9.932f, 0.068f)
                arcToRelative(7.4f, 7.4f, 0.0f, false, true, 3.344f, 0.755f)
                curveToRelative(3.46f, 1.7f, 9.308f, 6.482f, 9.739f, 8.886f)
                curveToRelative(0.534f, 2.972f, -9.931f, 11.017f, -16.297f, 12.272f)
                curveToRelative(-2.47f, 0.485f, -4.576f, 0.618f, -5.537f, -1.99f)
                curveToRelative(-0.832f, -2.262f, 0.783f, -3.916f, 3.16f, -6.09f)
                arcToRelative(92.546f, 92.546f, 0.0f, false, true, 2.96f, -2.576f)
                curveToRelative(0.065f, -0.069f, -5.706f, -2.059f, -5.89f, -4.343f)
                curveTo(1.221f, 4.634f, 4.938f, 0.3f, 9.697f, 0.076f)
                curveToRelative(0.08f, -0.004f, 0.157f, -0.007f, 0.235f, -0.008f)
                close()
                moveTo(9.82f, 0.588f)
                arcToRelative(5.647f, 5.647f, 0.0f, false, false, -0.506f, 0.032f)
                curveToRelative(-2.337f, 0.245f, -2.785f, 0.547f, -4.903f, 2.149f)
                curveToRelative(-0.71f, 0.537f, -2.016f, 1.844f, -2.35f, 3.393f)
                curveToRelative(-0.128f, 0.59f, 0.024f, 1.1f, 0.448f, 1.458f)
                curveToRelative(1.36f, 1.144f, 3.639f, 2.072f, 5.509f, 2.97f)
                curveToRelative(0.547f, 0.263f, 0.185f, 0.74f, -0.698f, 1.505f)
                curveToRelative(-2.227f, 1.928f, -5.24f, 4.276f, -5.45f, 6.066f)
                curveToRelative(-0.099f, 0.842f, 0.19f, 1.988f, 1.213f, 2.574f)
                curveToRelative(1.195f, 0.685f, 3.676f, 0.238f, 5.333f, -0.379f)
                curveToRelative(2.422f, -0.902f, 5.602f, -2.892f, 8.127f, -4.848f)
                curveToRelative(2.625f, -2.034f, 5.067f, -4.617f, 5.188f, -5.038f)
                curveToRelative(0.148f, -0.517f, 0.133f, -0.996f, -0.154f, -1.546f)
                curveToRelative(-0.448f, -0.862f, -1.049f, -1.503f, -1.694f, -2.22f)
                curveToRelative(-1.732f, -1.825f, -3.563f, -3.43f, -5.754f, -4.658f)
                curveTo(12.694f, 1.242f, 11.417f, 0.564f, 9.82f, 0.588f)
                close()
                moveTo(10.895f, 4.211f)
                curveToRelative(0.546f, 0.0f, 1.176f, 0.173f, 1.853f, 0.5f)
                curveToRelative(1.688f, 0.817f, 3.422f, 2.961f, -0.015f, 4.195f)
                curveToRelative(-0.935f, 0.336f, -3.9f, -0.824f, -3.81f, -2.407f)
                curveToRelative(0.09f, -1.57f, 0.854f, -2.289f, 1.972f, -2.288f)
                close()
                moveTo(11.18f, 5.578f)
                curveToRelative(-0.317f, -0.002f, -0.575f, 0.079f, -0.694f, 0.263f)
                curveToRelative(-0.557f, 0.861f, -0.303f, 1.472f, 0.212f, 1.862f)
                curveToRelative(0.192f, -0.457f, 2.156f, 0.043f, 2.148f, 0.472f)
                arcToRelative(0.32f, 0.32f, 0.0f, false, false, 0.055f, -0.032f)
                curveToRelative(1.704f, -1.282f, -0.472f, -2.557f, -1.72f, -2.565f)
                close()
            }
        }
        .build()
        return _gentoo!!
    }

private var _gentoo: ImageVector? = null
