package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Googleads: ImageVector
    get() {
        if (_googleads != null) {
            return _googleads!!
        }
        _googleads = Builder(name = "Googleads", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.994f, 1.046f)
                horizontalLineToRelative(0.022f)
                curveToRelative(0.899f, 0.002f, 1.73f, 0.301f, 2.398f, 0.805f)
                lineToRelative(0.003f, 0.001f)
                lineToRelative(0.001f, 0.001f)
                arcToRelative(4.0f, 4.0f, 0.0f, false, true, 1.116f, 1.299f)
                lineToRelative(4.467f, 7.769f)
                lineToRelative(0.025f, 0.065f)
                lineToRelative(3.419f, 5.927f)
                arcTo(3.98f, 3.98f, 0.0f, false, true, 24.0f, 18.948f)
                curveToRelative(0.0f, 0.565f, -0.117f, 1.104f, -0.329f, 1.592f)
                lineToRelative(0.006f, 0.016f)
                arcToRelative(3.93f, 3.93f, 0.0f, false, true, -0.634f, 0.993f)
                arcToRelative(3.97f, 3.97f, 0.0f, false, true, -1.045f, 0.868f)
                arcToRelative(3.984f, 3.984f, 0.0f, false, true, -1.946f, 0.537f)
                horizontalLineToRelative(-0.068f)
                arcToRelative(3.984f, 3.984f, 0.0f, false, true, -2.398f, -0.805f)
                lineToRelative(-0.003f, -0.001f)
                verticalLineToRelative(-0.001f)
                horizontalLineToRelative(-0.001f)
                arcToRelative(4.0f, 4.0f, 0.0f, false, true, -1.116f, -1.299f)
                lineToRelative(-4.467f, -7.769f)
                lineToRelative(-0.025f, -0.065f)
                lineToRelative(-3.419f, -5.927f)
                lineToRelative(-0.005f, -0.009f)
                lineToRelative(-0.011f, -0.019f)
                arcTo(3.981f, 3.981f, 0.0f, false, true, 8.0f, 5.052f)
                curveToRelative(0.0f, -0.424f, 0.066f, -0.832f, 0.188f, -1.215f)
                verticalLineToRelative(-0.001f)
                lineToRelative(0.008f, -0.025f)
                lineToRelative(0.01f, -0.03f)
                curveToRelative(0.052f, -0.157f, 0.117f, -0.337f, 0.117f, -0.337f)
                curveToRelative(0.158f, -0.358f, 0.371f, -0.689f, 0.626f, -0.984f)
                lineToRelative(0.063f, -0.072f)
                lineToRelative(0.014f, -0.015f)
                lineToRelative(0.002f, -0.003f)
                lineToRelative(0.001f, -0.001f)
                lineToRelative(0.002f, -0.002f)
                lineToRelative(0.009f, -0.01f)
                lineToRelative(0.006f, -0.007f)
                curveToRelative(0.27f, -0.296f, 0.59f, -0.557f, 0.956f, -0.767f)
                arcToRelative(3.984f, 3.984f, 0.0f, false, true, 1.946f, -0.537f)
                horizontalLineToRelative(0.046f)
                close()
                moveTo(4.006f, 22.954f)
                horizontalLineToRelative(-0.058f)
                arcToRelative(3.984f, 3.984f, 0.0f, false, true, -1.946f, -0.537f)
                arcToRelative(3.97f, 3.97f, 0.0f, false, true, -1.045f, -0.868f)
                arcToRelative(3.93f, 3.93f, 0.0f, false, true, -0.634f, -0.993f)
                lineToRelative(0.006f, -0.016f)
                arcTo(3.988f, 3.988f, 0.0f, false, true, 0.0f, 18.948f)
                curveToRelative(0.0f, -0.743f, 0.202f, -1.439f, 0.555f, -2.035f)
                lineToRelative(3.419f, -5.927f)
                lineToRelative(0.025f, -0.065f)
                lineToRelative(3.039f, -5.286f)
                curveToRelative(0.076f, 0.648f, 0.276f, 1.281f, 0.596f, 1.856f)
                lineToRelative(0.057f, 0.1f)
                lineToRelative(3.377f, 5.854f)
                lineToRelative(-0.003f, -0.01f)
                lineToRelative(0.067f, 0.142f)
                lineToRelative(0.291f, 0.507f)
                lineToRelative(-3.889f, 6.764f)
                arcToRelative(4.0f, 4.0f, 0.0f, false, true, -1.116f, 1.299f)
                horizontalLineToRelative(-0.001f)
                verticalLineToRelative(0.001f)
                lineToRelative(-0.003f, 0.001f)
                arcToRelative(3.984f, 3.984f, 0.0f, false, true, -2.398f, 0.805f)
                horizontalLineToRelative(-0.01f)
                close()
            }
        }
        .build()
        return _googleads!!
    }

private var _googleads: ImageVector? = null
