package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Gutenberg: ImageVector
    get() {
        if (_gutenberg != null) {
            return _gutenberg!!
        }
        _gutenberg = Builder(name = "Gutenberg", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.34f, 0.0f)
                arcToRelative(0.205f, 0.205f, 0.0f, false, false, -0.18f, 0.116f)
                curveToRelative(-0.05f, 0.105f, -0.01f, 0.23f, 0.095f, 0.28f)
                curveToRelative(0.503f, 0.25f, 0.459f, 0.692f, 0.418f, 0.87f)
                curveToRelative(-0.08f, 0.352f, -0.391f, 0.723f, -0.8f, 0.723f)
                curveToRelative(-0.522f, 0.0f, -0.772f, -0.263f, -1.052f, -0.746f)
                curveToRelative(-0.138f, -0.236f, -0.523f, -0.81f, -1.113f, -0.982f)
                arcToRelative(1.615f, 1.615f, 0.0f, false, false, -1.718f, 0.533f)
                arcToRelative(1.615f, 1.615f, 0.0f, false, false, -1.717f, -0.533f)
                curveToRelative(-0.59f, 0.172f, -0.975f, 0.746f, -1.114f, 0.982f)
                curveToRelative(-0.28f, 0.483f, -0.53f, 0.746f, -1.042f, 0.746f)
                lineTo(8.11f, 1.989f)
                arcToRelative(0.833f, 0.833f, 0.0f, false, true, -0.81f, -0.62f)
                curveToRelative(-0.04f, -0.146f, -0.124f, -0.642f, 0.442f, -0.98f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, false, 0.071f, -0.286f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, false, -0.286f, -0.071f)
                curveToRelative(-0.652f, 0.388f, -0.753f, 1.002f, -0.631f, 1.447f)
                curveToRelative(0.148f, 0.55f, 0.637f, 0.921f, 1.21f, 0.925f)
                horizontalLineToRelative(0.01f)
                curveToRelative(0.787f, 0.0f, 1.138f, -0.493f, 1.404f, -0.952f)
                curveToRelative(0.088f, -0.151f, 0.412f, -0.658f, 0.871f, -0.79f)
                curveToRelative(0.567f, -0.164f, 1.17f, 0.099f, 1.407f, 0.615f)
                arcToRelative(0.212f, 0.212f, 0.0f, false, false, 0.182f, 0.121f)
                horizontalLineToRelative(0.024f)
                arcToRelative(0.211f, 0.211f, 0.0f, false, false, 0.182f, -0.121f)
                curveToRelative(0.236f, -0.516f, 0.84f, -0.78f, 1.407f, -0.614f)
                curveToRelative(0.459f, 0.135f, 0.783f, 0.638f, 0.87f, 0.79f)
                curveToRelative(0.267f, 0.462f, 0.618f, 0.95f, 1.414f, 0.95f)
                curveToRelative(0.479f, 0.0f, 1.046f, -0.357f, 1.204f, -1.042f)
                curveToRelative(0.132f, -0.566f, -0.11f, -1.08f, -0.64f, -1.34f)
                arcToRelative(0.215f, 0.215f, 0.0f, false, false, -0.102f, -0.02f)
                close()
                moveTo(3.821f, 0.093f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, 0.209f)
                curveToRelative(0.0f, 0.115f, 0.092f, 0.21f, 0.21f, 0.21f)
                lineTo(6.41f, 0.512f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.209f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.21f)
                close()
                moveTo(17.684f, 0.093f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.209f, 0.209f)
                curveToRelative(0.0f, 0.115f, 0.095f, 0.21f, 0.21f, 0.21f)
                horizontalLineToRelative(2.587f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.21f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.21f)
                close()
                moveTo(2.904f, 0.096f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.206f, 0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.21f, 0.208f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.209f, -0.209f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.209f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.003f, 0.0f)
                close()
                moveTo(21.144f, 0.096f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.206f, 0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.209f, 0.208f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.21f, -0.209f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.209f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.004f, 0.0f)
                close()
                moveTo(1.754f, 0.096f)
                arcToRelative(0.209f, 0.209f, 0.0f, false, false, -0.196f, 0.21f)
                verticalLineToRelative(2.216f)
                curveToRelative(0.0f, 0.115f, 0.091f, 0.21f, 0.206f, 0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.21f, -0.21f)
                lineTo(1.974f, 0.859f)
                lineToRelative(1.015f, 1.153f)
                arcToRelative(0.209f, 0.209f, 0.0f, false, false, 0.313f, -0.273f)
                lineTo(1.922f, 0.167f)
                arcToRelative(0.211f, 0.211f, 0.0f, false, false, -0.167f, -0.07f)
                close()
                moveTo(22.266f, 0.096f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.168f, 0.07f)
                lineToRelative(-1.38f, 1.57f)
                arcToRelative(0.205f, 0.205f, 0.0f, false, false, 0.02f, 0.293f)
                curveToRelative(0.082f, 0.078f, 0.213f, 0.068f, 0.29f, -0.02f)
                lineTo(22.045f, 0.855f)
                lineTo(22.045f, 2.52f)
                curveToRelative(0.0f, 0.114f, 0.095f, 0.209f, 0.21f, 0.209f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.209f, -0.21f)
                lineTo(22.464f, 0.306f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, false, -0.197f, -0.208f)
                close()
                moveTo(8.235f, 0.526f)
                arcToRelative(0.564f, 0.564f, 0.0f, true, false, 0.563f, 0.563f)
                arcToRelative(0.564f, 0.564f, 0.0f, false, false, -0.563f, -0.563f)
                close()
                moveTo(15.826f, 0.526f)
                arcToRelative(0.564f, 0.564f, 0.0f, false, false, 0.0f, 1.126f)
                arcToRelative(0.565f, 0.565f, 0.0f, false, false, 0.0f, -1.126f)
                close()
                moveTo(19.416f, 0.75f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, false, -0.212f, 0.164f)
                curveToRelative(-0.078f, 0.354f, -0.034f, 0.637f, 0.134f, 0.846f)
                curveToRelative(0.243f, 0.304f, 0.635f, 0.314f, 0.679f, 0.314f)
                arcToRelative(0.209f, 0.209f, 0.0f, false, false, 0.202f, -0.158f)
                curveToRelative(0.078f, -0.29f, 0.047f, -0.547f, -0.094f, -0.756f)
                curveToRelative(-0.226f, -0.338f, -0.641f, -0.402f, -0.689f, -0.408f)
                arcToRelative(0.214f, 0.214f, 0.0f, false, false, -0.02f, -0.002f)
                close()
                moveTo(4.581f, 0.75f)
                curveToRelative(-0.007f, 0.0f, -0.013f, 0.0f, -0.02f, 0.002f)
                curveToRelative(-0.047f, 0.006f, -0.459f, 0.07f, -0.688f, 0.408f)
                curveToRelative(-0.139f, 0.209f, -0.172f, 0.462f, -0.098f, 0.759f)
                arcToRelative(0.213f, 0.213f, 0.0f, false, false, 0.202f, 0.159f)
                curveToRelative(0.044f, 0.0f, 0.435f, -0.01f, 0.678f, -0.314f)
                curveToRelative(0.169f, -0.21f, 0.213f, -0.496f, 0.135f, -0.847f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, false, -0.209f, -0.167f)
                close()
                moveTo(8.235f, 0.94f)
                arcToRelative(0.15f, 0.15f, 0.0f, false, true, 0.148f, 0.149f)
                arcToRelative(0.15f, 0.15f, 0.0f, false, true, -0.148f, 0.148f)
                arcToRelative(0.15f, 0.15f, 0.0f, false, true, -0.148f, -0.148f)
                arcToRelative(0.15f, 0.15f, 0.0f, false, true, 0.148f, -0.148f)
                close()
                moveTo(15.826f, 0.94f)
                arcToRelative(0.15f, 0.15f, 0.0f, false, true, 0.149f, 0.149f)
                arcToRelative(0.15f, 0.15f, 0.0f, false, true, -0.149f, 0.148f)
                arcToRelative(0.15f, 0.15f, 0.0f, false, true, -0.148f, -0.148f)
                arcToRelative(0.15f, 0.15f, 0.0f, false, true, 0.148f, -0.148f)
                close()
                moveTo(4.41f, 1.234f)
                arcToRelative(0.41f, 0.41f, 0.0f, false, true, -0.078f, 0.267f)
                arcToRelative(0.395f, 0.395f, 0.0f, false, true, -0.178f, 0.121f)
                curveToRelative(0.0f, -0.088f, 0.023f, -0.165f, 0.064f, -0.226f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, 0.192f, -0.162f)
                close()
                moveTo(19.59f, 1.234f)
                curveToRelative(0.07f, 0.034f, 0.144f, 0.088f, 0.192f, 0.162f)
                curveToRelative(0.04f, 0.064f, 0.064f, 0.138f, 0.064f, 0.226f)
                arcToRelative(0.404f, 0.404f, 0.0f, false, true, -0.176f, -0.121f)
                arcToRelative(0.412f, 0.412f, 0.0f, false, true, -0.08f, -0.267f)
                close()
                moveTo(12.997f, 1.369f)
                arcToRelative(1.3f, 1.3f, 0.0f, false, false, -0.439f, 0.07f)
                arcToRelative(0.206f, 0.206f, 0.0f, false, false, -0.121f, 0.267f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.266f, 0.125f)
                curveToRelative(0.034f, -0.013f, 0.844f, -0.283f, 1.464f, 0.682f)
                curveToRelative(0.04f, 0.06f, 0.108f, 0.094f, 0.176f, 0.094f)
                curveToRelative(0.037f, 0.0f, 0.077f, -0.01f, 0.111f, -0.034f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, false, 0.064f, -0.286f)
                curveToRelative(-0.465f, -0.72f, -1.07f, -0.918f, -1.52f, -0.918f)
                close()
                moveTo(11.008f, 1.372f)
                arcToRelative(1.577f, 1.577f, 0.0f, false, false, -0.262f, 0.017f)
                curveToRelative(-0.35f, 0.05f, -0.853f, 0.25f, -1.272f, 0.901f)
                arcToRelative(0.207f, 0.207f, 0.0f, false, false, 0.064f, 0.287f)
                arcToRelative(0.196f, 0.196f, 0.0f, false, false, 0.112f, 0.034f)
                arcToRelative(0.212f, 0.212f, 0.0f, false, false, 0.175f, -0.095f)
                curveToRelative(0.618f, -0.965f, 1.427f, -0.695f, 1.464f, -0.681f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, false, 0.267f, -0.125f)
                arcToRelative(0.211f, 0.211f, 0.0f, false, false, -0.125f, -0.27f)
                curveToRelative(-0.023f, -0.008f, -0.184f, -0.065f, -0.423f, -0.068f)
                close()
                moveTo(11.984f, 1.534f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.205f, 0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.209f, 0.209f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.209f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.209f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.003f, 0.0f)
                close()
                moveTo(18.763f, 1.837f)
                curveToRelative(-0.2f, -0.007f, -0.455f, 0.052f, -0.77f, 0.244f)
                arcToRelative(3.24f, 3.24f, 0.0f, false, false, -0.533f, 0.415f)
                curveToRelative(-0.513f, 0.452f, -0.941f, 0.442f, -0.965f, 0.442f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, false, -0.1f, 0.395f)
                curveToRelative(0.33f, 0.155f, 0.63f, 0.216f, 0.9f, 0.216f)
                curveToRelative(0.516f, 0.0f, 0.928f, -0.226f, 1.215f, -0.463f)
                curveToRelative(0.458f, -0.378f, 0.695f, -0.853f, 0.705f, -0.873f)
                arcToRelative(0.206f, 0.206f, 0.0f, false, false, -0.081f, -0.27f)
                arcToRelative(0.777f, 0.777f, 0.0f, false, false, -0.372f, -0.106f)
                close()
                moveTo(5.329f, 1.839f)
                arcToRelative(0.796f, 0.796f, 0.0f, false, false, -0.372f, 0.104f)
                arcToRelative(0.206f, 0.206f, 0.0f, false, false, -0.081f, 0.27f)
                curveToRelative(0.01f, 0.02f, 0.246f, 0.495f, 0.705f, 0.873f)
                curveToRelative(0.287f, 0.237f, 0.695f, 0.463f, 1.214f, 0.463f)
                curveToRelative(0.274f, 0.0f, 0.574f, -0.061f, 0.901f, -0.216f)
                arcToRelative(0.207f, 0.207f, 0.0f, false, false, 0.112f, -0.24f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, false, -0.213f, -0.158f)
                curveToRelative(-0.017f, 0.0f, -0.449f, 0.013f, -0.962f, -0.44f)
                arcTo(3.237f, 3.237f, 0.0f, false, false, 6.1f, 2.08f)
                curveToRelative(-0.315f, -0.19f, -0.57f, -0.248f, -0.77f, -0.242f)
                close()
                moveTo(12.0f, 2.114f)
                curveToRelative(-0.263f, 0.0f, -0.469f, 0.273f, -0.627f, 0.634f)
                curveToRelative(-1.677f, 0.074f, -3.762f, 1.157f, -3.85f, 1.201f)
                curveToRelative(-1.427f, 0.719f, -2.898f, -0.638f, -3.273f, -1.019f)
                curveToRelative(-0.057f, -0.064f, -0.097f, -0.101f, -0.1f, -0.108f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, false, -0.304f, 0.283f)
                lineToRelative(0.26f, 0.294f)
                curveToRelative(0.151f, 0.189f, 0.343f, 0.462f, 0.505f, 0.79f)
                curveToRelative(0.405f, 0.82f, 0.412f, 1.565f, 0.024f, 2.22f)
                arcToRelative(8.822f, 8.822f, 0.0f, false, false, -1.174f, 1.896f)
                curveToRelative(-1.13f, 0.368f, -1.535f, -0.32f, -1.552f, -0.351f)
                curveToRelative(0.0f, -0.004f, -0.003f, -0.003f, -0.003f, -0.007f)
                curveToRelative(-0.213f, -0.357f, -0.129f, -0.84f, 0.195f, -1.147f)
                curveToRelative(0.25f, -0.236f, 0.685f, -0.256f, 0.82f, -0.256f)
                horizontalLineToRelative(0.003f)
                curveToRelative(0.453f, 0.0f, 0.918f, -0.071f, 1.219f, -0.59f)
                curveToRelative(0.229f, -0.399f, 0.168f, -0.892f, -0.156f, -1.219f)
                curveToRelative(-0.327f, -0.334f, -0.82f, -0.391f, -1.258f, -0.148f)
                arcToRelative(0.206f, 0.206f, 0.0f, false, false, -0.081f, 0.283f)
                arcToRelative(0.206f, 0.206f, 0.0f, false, false, 0.283f, 0.081f)
                curveToRelative(0.28f, -0.152f, 0.564f, -0.125f, 0.76f, 0.078f)
                arcToRelative(0.596f, 0.596f, 0.0f, false, true, 0.09f, 0.718f)
                curveToRelative(-0.185f, 0.32f, -0.438f, 0.385f, -0.843f, 0.385f)
                horizontalLineToRelative(-0.014f)
                curveToRelative(-0.185f, 0.0f, -0.617f, 0.027f, -0.961f, 0.25f)
                lineTo(1.963f, 3.335f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.208f, 0.21f)
                verticalLineToRelative(3.509f)
                curveToRelative(-0.23f, 0.412f, -0.243f, 0.914f, -0.007f, 1.32f)
                curveToRelative(0.023f, 0.043f, 0.168f, 0.286f, 0.492f, 0.468f)
                curveToRelative(0.186f, 0.105f, 0.453f, 0.203f, 0.807f, 0.203f)
                curveToRelative(0.128f, 0.0f, 0.27f, -0.014f, 0.421f, -0.044f)
                curveToRelative(-0.364f, 0.978f, -0.546f, 2.03f, -0.553f, 3.178f)
                verticalLineToRelative(0.037f)
                arcToRelative(9.1f, 9.1f, 0.0f, false, false, 2.052f, 5.729f)
                arcToRelative(9.45f, 9.45f, 0.0f, false, false, 4.527f, 3.047f)
                arcToRelative(3.84f, 3.84f, 0.0f, false, false, -3.634f, 1.491f)
                arcToRelative(1.391f, 1.391f, 0.0f, false, false, -0.192f, -0.206f)
                arcToRelative(0.77f, 0.77f, 0.0f, false, false, 0.375f, -0.658f)
                arcToRelative(0.767f, 0.767f, 0.0f, false, false, -0.989f, -0.732f)
                arcToRelative(1.175f, 1.175f, 0.0f, false, false, -0.087f, -0.368f)
                curveToRelative(-0.324f, -0.725f, -0.915f, -0.847f, -1.445f, -0.904f)
                curveToRelative(-0.175f, -0.02f, -0.765f, -0.108f, -1.076f, -0.472f)
                curveToRelative(-0.391f, -0.442f, -0.398f, -1.1f, -0.023f, -1.525f)
                arcToRelative(0.208f, 0.208f, 0.0f, true, false, -0.31f, -0.277f)
                curveToRelative(-0.51f, 0.58f, -0.507f, 1.474f, 0.006f, 2.082f)
                curveToRelative(0.067f, 0.08f, 0.145f, 0.148f, 0.226f, 0.209f)
                arcToRelative(1.738f, 1.738f, 0.0f, false, false, -0.651f, 0.334f)
                curveToRelative(-0.496f, 0.408f, -0.75f, 1.09f, -0.756f, 2.017f)
                arcToRelative(0.212f, 0.212f, 0.0f, false, false, 0.095f, 0.22f)
                curveToRelative(0.033f, 0.02f, 0.07f, 0.03f, 0.107f, 0.03f)
                curveToRelative(0.014f, 0.0f, 0.03f, -0.003f, 0.044f, -0.007f)
                horizontalLineToRelative(0.004f)
                curveToRelative(0.006f, 0.0f, 0.01f, -0.003f, 0.017f, -0.007f)
                curveToRelative(0.01f, -0.003f, 0.023f, -0.007f, 0.033f, -0.013f)
                curveToRelative(0.004f, 0.0f, 0.004f, -0.003f, 0.007f, -0.003f)
                arcToRelative(0.242f, 0.242f, 0.0f, false, false, 0.084f, -0.081f)
                curveToRelative(0.081f, -0.105f, 0.415f, -0.237f, 0.692f, -0.294f)
                curveToRelative(1.083f, -0.236f, 1.31f, -0.968f, 1.275f, -1.32f)
                arcToRelative(0.208f, 0.208f, 0.0f, true, false, -0.415f, 0.038f)
                curveToRelative(0.0f, 0.003f, 0.004f, 0.064f, -0.016f, 0.155f)
                curveToRelative(-0.051f, 0.21f, -0.237f, 0.57f, -0.932f, 0.722f)
                horizontalLineToRelative(-0.006f)
                arcToRelative(2.772f, 2.772f, 0.0f, false, false, -0.55f, 0.179f)
                curveToRelative(0.06f, -0.6f, 0.253f, -1.04f, 0.58f, -1.312f)
                curveToRelative(0.503f, -0.419f, 1.167f, -0.3f, 1.174f, -0.297f)
                arcToRelative(0.203f, 0.203f, 0.0f, false, false, 0.064f, 0.0f)
                arcToRelative(2.5f, 2.5f, 0.0f, false, false, 0.277f, 0.043f)
                curveToRelative(0.557f, 0.061f, 0.897f, 0.183f, 1.11f, 0.658f)
                curveToRelative(0.165f, 0.375f, -0.047f, 0.807f, -0.334f, 1.023f)
                curveToRelative(-0.145f, 0.111f, -0.533f, 0.33f, -0.968f, -0.027f)
                arcToRelative(0.209f, 0.209f, 0.0f, false, false, -0.267f, 0.32f)
                curveToRelative(0.196f, 0.162f, 0.415f, 0.257f, 0.641f, 0.284f)
                curveToRelative(-0.29f, 0.236f, -0.486f, 0.533f, -0.573f, 0.688f)
                curveToRelative(-0.284f, 0.49f, -0.513f, 0.752f, -0.895f, 0.756f)
                verticalLineToRelative(-1.461f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.209f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.209f, 0.21f)
                verticalLineToRelative(1.694f)
                curveToRelative(0.0f, 0.084f, 0.05f, 0.155f, 0.122f, 0.189f)
                curveToRelative(0.037f, 0.027f, 0.08f, 0.047f, 0.128f, 0.047f)
                horizontalLineToRelative(4.858f)
                arcToRelative(0.212f, 0.212f, 0.0f, false, false, 0.176f, -0.095f)
                arcToRelative(0.22f, 0.22f, 0.0f, false, false, 0.06f, -0.1f)
                arcToRelative(1.686f, 1.686f, 0.0f, false, true, 3.192f, -0.223f)
                horizontalLineToRelative(-0.445f)
                arcToRelative(1.204f, 1.204f, 0.0f, false, false, -1.117f, -0.75f)
                curveToRelative(-0.543f, 0.0f, -1.022f, 0.368f, -1.167f, 0.891f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.145f, 0.257f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.256f, -0.145f)
                arcToRelative(0.791f, 0.791f, 0.0f, false, true, 1.407f, -0.253f)
                horizontalLineToRelative(-0.121f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, 0.209f)
                curveToRelative(0.0f, 0.114f, 0.095f, 0.209f, 0.21f, 0.209f)
                horizontalLineToRelative(0.421f)
                lineToRelative(0.024f, 0.003f)
                curveToRelative(0.01f, 0.0f, 0.02f, 0.0f, 0.027f, -0.003f)
                horizontalLineToRelative(0.837f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.209f, -0.21f)
                curveToRelative(0.0f, -0.01f, 0.0f, -0.02f, -0.004f, -0.03f)
                arcToRelative(0.257f, 0.257f, 0.0f, false, false, -0.003f, -0.087f)
                arcToRelative(2.106f, 2.106f, 0.0f, false, false, -4.035f, -0.092f)
                horizontalLineToRelative(-1.09f)
                curveToRelative(0.088f, -0.28f, 0.206f, -0.54f, 0.354f, -0.782f)
                curveToRelative(0.01f, -0.014f, 0.017f, -0.027f, 0.027f, -0.04f)
                arcToRelative(3.434f, 3.434f, 0.0f, false, true, 4.862f, -0.97f)
                curveToRelative(0.017f, 0.011f, 0.034f, 0.021f, 0.05f, 0.025f)
                curveToRelative(0.088f, 0.104f, 0.176f, 0.215f, 0.26f, 0.33f)
                lineToRelative(0.058f, 0.081f)
                curveToRelative(-0.02f, 0.429f, 0.212f, 0.877f, 0.695f, 1.336f)
                curveToRelative(0.017f, 0.05f, 0.034f, 0.095f, 0.044f, 0.128f)
                verticalLineToRelative(0.044f)
                curveToRelative(0.0f, 0.115f, 0.094f, 0.21f, 0.209f, 0.21f)
                arcToRelative(0.203f, 0.203f, 0.0f, false, false, 0.199f, -0.156f)
                curveToRelative(0.0f, -0.003f, 0.03f, -0.104f, 0.091f, -0.273f)
                curveToRelative(0.435f, -0.425f, 0.651f, -0.84f, 0.648f, -1.242f)
                arcToRelative(6.449f, 6.449f, 0.0f, false, true, 0.381f, -0.496f)
                arcToRelative(3.393f, 3.393f, 0.0f, false, true, 1.947f, -0.607f)
                arcToRelative(3.42f, 3.42f, 0.0f, false, true, 3.273f, 2.413f)
                horizontalLineToRelative(-1.09f)
                arcToRelative(2.1f, 2.1f, 0.0f, false, false, -2.004f, -1.461f)
                curveToRelative(-0.948f, 0.0f, -1.782f, 0.637f, -2.031f, 1.552f)
                arcToRelative(0.173f, 0.173f, 0.0f, false, false, 0.0f, 0.1f)
                verticalLineToRelative(0.018f)
                curveToRelative(0.0f, 0.114f, 0.094f, 0.209f, 0.209f, 0.209f)
                horizontalLineToRelative(1.828f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.21f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.208f)
                horizontalLineToRelative(-0.664f)
                arcToRelative(0.791f, 0.791f, 0.0f, false, true, 1.41f, 0.263f)
                arcToRelative(0.206f, 0.206f, 0.0f, false, false, 0.253f, 0.148f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.152f, -0.253f)
                arcToRelative(1.21f, 1.21f, 0.0f, false, false, -2.288f, -0.159f)
                horizontalLineToRelative(-0.421f)
                arcToRelative(1.687f, 1.687f, 0.0f, false, true, 3.191f, 0.223f)
                curveToRelative(0.004f, 0.017f, 0.014f, 0.034f, 0.02f, 0.05f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, false, 0.2f, 0.146f)
                horizontalLineToRelative(4.95f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.208f, -0.21f)
                verticalLineToRelative(-0.067f)
                curveToRelative(0.004f, -0.02f, 0.004f, -0.04f, 0.004f, -0.06f)
                curveToRelative(0.0f, -0.004f, 0.0f, -0.008f, -0.004f, -0.011f)
                verticalLineToRelative(-1.582f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.209f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.209f, 0.21f)
                verticalLineToRelative(1.417f)
                curveToRelative(-0.35f, -0.027f, -0.57f, -0.287f, -0.84f, -0.752f)
                arcToRelative(2.65f, 2.65f, 0.0f, false, false, -0.54f, -0.658f)
                curveToRelative(0.186f, -0.04f, 0.364f, -0.129f, 0.53f, -0.267f)
                arcToRelative(0.209f, 0.209f, 0.0f, false, false, -0.267f, -0.32f)
                curveToRelative(-0.432f, 0.357f, -0.82f, 0.138f, -0.968f, 0.027f)
                curveToRelative(-0.287f, -0.216f, -0.5f, -0.652f, -0.334f, -1.023f)
                curveToRelative(0.212f, -0.475f, 0.553f, -0.6f, 1.11f, -0.658f)
                curveToRelative(0.07f, -0.006f, 0.165f, -0.02f, 0.277f, -0.043f)
                curveToRelative(0.02f, 0.003f, 0.043f, 0.003f, 0.067f, 0.0f)
                curveToRelative(0.007f, 0.0f, 0.665f, -0.122f, 1.17f, 0.296f)
                curveToRelative(0.331f, 0.274f, 0.527f, 0.712f, 0.584f, 1.316f)
                arcToRelative(2.762f, 2.762f, 0.0f, false, false, -0.553f, -0.182f)
                horizontalLineToRelative(-0.007f)
                curveToRelative(-0.691f, -0.152f, -0.88f, -0.51f, -0.93f, -0.719f)
                arcToRelative(0.468f, 0.468f, 0.0f, false, true, -0.018f, -0.155f)
                arcToRelative(0.208f, 0.208f, 0.0f, true, false, -0.415f, -0.037f)
                curveToRelative(-0.033f, 0.354f, 0.193f, 1.083f, 1.28f, 1.32f)
                curveToRelative(0.28f, 0.06f, 0.633f, 0.198f, 0.698f, 0.303f)
                arcToRelative(0.356f, 0.356f, 0.0f, false, false, 0.034f, 0.04f)
                lineToRelative(0.01f, 0.007f)
                curveToRelative(0.01f, 0.007f, 0.02f, 0.017f, 0.03f, 0.02f)
                curveToRelative(0.003f, 0.003f, 0.01f, 0.007f, 0.013f, 0.007f)
                curveToRelative(0.01f, 0.007f, 0.02f, 0.01f, 0.03f, 0.014f)
                lineToRelative(0.014f, 0.003f)
                curveToRelative(0.014f, 0.003f, 0.03f, 0.007f, 0.047f, 0.007f)
                curveToRelative(0.014f, 0.0f, 0.024f, 0.0f, 0.037f, -0.003f)
                curveToRelative(0.004f, 0.0f, 0.007f, 0.0f, 0.01f, -0.003f)
                curveToRelative(0.01f, -0.003f, 0.02f, -0.007f, 0.034f, -0.01f)
                horizontalLineToRelative(0.004f)
                curveToRelative(0.01f, -0.003f, 0.017f, -0.01f, 0.027f, -0.014f)
                lineToRelative(0.003f, -0.003f)
                curveToRelative(0.007f, -0.003f, 0.014f, -0.01f, 0.017f, -0.013f)
                curveToRelative(0.003f, -0.003f, 0.01f, -0.007f, 0.014f, -0.014f)
                lineToRelative(0.013f, -0.013f)
                curveToRelative(0.003f, -0.007f, 0.01f, -0.01f, 0.013f, -0.017f)
                lineToRelative(0.01f, -0.017f)
                lineToRelative(0.01f, -0.017f)
                curveToRelative(0.004f, -0.007f, 0.004f, -0.014f, 0.007f, -0.02f)
                curveToRelative(0.004f, -0.007f, 0.004f, -0.014f, 0.007f, -0.02f)
                curveToRelative(0.0f, -0.007f, 0.004f, -0.014f, 0.004f, -0.017f)
                curveToRelative(0.0f, -0.007f, 0.003f, -0.014f, 0.003f, -0.024f)
                verticalLineToRelative(-0.003f)
                curveToRelative(-0.003f, -0.955f, -0.26f, -1.646f, -0.763f, -2.061f)
                arcToRelative(1.69f, 1.69f, 0.0f, false, false, -0.65f, -0.334f)
                curveToRelative(0.08f, -0.061f, 0.158f, -0.132f, 0.225f, -0.21f)
                curveToRelative(0.517f, -0.607f, 0.52f, -1.5f, 0.007f, -2.081f)
                arcToRelative(0.205f, 0.205f, 0.0f, false, false, -0.293f, -0.017f)
                arcToRelative(0.205f, 0.205f, 0.0f, false, false, -0.017f, 0.293f)
                curveToRelative(0.374f, 0.426f, 0.367f, 1.083f, -0.014f, 1.536f)
                curveToRelative(-0.31f, 0.364f, -0.9f, 0.452f, -1.076f, 0.472f)
                curveToRelative(-0.53f, 0.057f, -1.124f, 0.179f, -1.444f, 0.904f)
                curveToRelative(-0.05f, 0.111f, -0.081f, 0.236f, -0.088f, 0.371f)
                arcToRelative(0.767f, 0.767f, 0.0f, false, false, -1.002f, 0.729f)
                curveToRelative(0.0f, 0.29f, 0.162f, 0.543f, 0.402f, 0.671f)
                curveToRelative(-0.071f, 0.065f, -0.139f, 0.135f, -0.2f, 0.216f)
                arcToRelative(3.847f, 3.847f, 0.0f, false, false, -3.62f, -1.518f)
                arcToRelative(9.413f, 9.413f, 0.0f, false, false, 5.55f, -4.619f)
                arcToRelative(8.912f, 8.912f, 0.0f, false, false, 1.016f, -4.153f)
                lineTo(21.309f, 11.977f)
                arcToRelative(8.487f, 8.487f, 0.0f, false, false, -0.644f, -3.168f)
                curveToRelative(0.138f, 0.027f, 0.27f, 0.037f, 0.388f, 0.037f)
                curveToRelative(0.873f, 0.0f, 1.258f, -0.6f, 1.299f, -0.671f)
                arcToRelative(1.3f, 1.3f, 0.0f, false, false, 0.11f, -1.05f)
                curveToRelative(0.004f, -0.01f, 0.004f, -0.023f, 0.004f, -0.037f)
                lineTo(22.466f, 3.286f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.209f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, 0.21f)
                lineTo(22.047f, 6.48f)
                curveToRelative(-0.353f, -0.307f, -0.866f, -0.34f, -1.079f, -0.34f)
                curveToRelative(-0.411f, 0.003f, -0.668f, -0.062f, -0.857f, -0.385f)
                arcToRelative(0.592f, 0.592f, 0.0f, false, true, 0.091f, -0.72f)
                curveToRelative(0.2f, -0.202f, 0.483f, -0.228f, 0.76f, -0.077f)
                arcToRelative(0.209f, 0.209f, 0.0f, false, false, 0.202f, -0.364f)
                curveToRelative(-0.439f, -0.243f, -0.931f, -0.182f, -1.259f, 0.148f)
                curveToRelative(-0.323f, 0.331f, -0.384f, 0.82f, -0.155f, 1.218f)
                curveToRelative(0.3f, 0.517f, 0.756f, 0.59f, 1.205f, 0.59f)
                horizontalLineToRelative(0.017f)
                curveToRelative(0.135f, 0.0f, 0.57f, 0.021f, 0.82f, 0.257f)
                curveToRelative(0.323f, 0.307f, 0.408f, 0.79f, 0.195f, 1.147f)
                curveToRelative(0.0f, 0.0f, -0.003f, 0.004f, -0.003f, 0.007f)
                curveToRelative(-0.017f, 0.03f, -0.419f, 0.712f, -1.539f, 0.354f)
                arcToRelative(10.48f, 10.48f, 0.0f, false, false, -1.093f, -1.808f)
                lineToRelative(-0.165f, 0.125f)
                lineToRelative(0.165f, -0.128f)
                lineToRelative(-0.067f, -0.088f)
                curveToRelative(-0.719f, -1.205f, 0.111f, -2.487f, 0.543f, -3.03f)
                lineToRelative(0.243f, -0.277f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, false, -0.304f, -0.283f)
                arcToRelative(2.71f, 2.71f, 0.0f, false, false, -0.101f, 0.108f)
                curveToRelative(-0.375f, 0.381f, -1.839f, 1.73f, -3.26f, 1.026f)
                lineToRelative(-0.04f, -0.027f)
                lineToRelative(-0.02f, -0.014f)
                curveToRelative(-1.272f, -0.685f, -2.527f, -1.08f, -3.725f, -1.18f)
                curveToRelative(-0.155f, -0.355f, -0.36f, -0.625f, -0.62f, -0.625f)
                close()
                moveTo(3.491f, 2.191f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.205f, 0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.209f, 0.209f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.209f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.209f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.003f, 0.0f)
                close()
                moveTo(20.401f, 2.191f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.206f, 0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.21f, 0.209f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.209f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.209f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.003f, 0.0f)
                close()
                moveTo(5.384f, 2.252f)
                curveToRelative(0.35f, 0.017f, 0.8f, 0.385f, 0.958f, 0.543f)
                lineToRelative(0.01f, 0.01f)
                curveToRelative(0.159f, 0.142f, 0.318f, 0.247f, 0.463f, 0.324f)
                curveToRelative(-0.73f, 0.007f, -1.212f, -0.55f, -1.43f, -0.877f)
                close()
                moveTo(18.708f, 2.252f)
                arcToRelative(2.62f, 2.62f, 0.0f, false, true, -0.46f, 0.513f)
                curveToRelative(-0.303f, 0.25f, -0.627f, 0.37f, -0.97f, 0.364f)
                curveToRelative(0.14f, -0.074f, 0.3f, -0.182f, 0.461f, -0.324f)
                lineToRelative(0.01f, -0.01f)
                curveToRelative(0.159f, -0.158f, 0.608f, -0.526f, 0.959f, -0.543f)
                close()
                moveTo(11.99f, 2.535f)
                curveToRelative(0.186f, 0.071f, 0.473f, 0.945f, 0.56f, 1.539f)
                curveToRelative(0.017f, 0.118f, 0.027f, 0.226f, 0.027f, 0.314f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, -1.18f, 0.0f)
                arcToRelative(2.91f, 2.91f, 0.0f, false, true, 0.03f, -0.31f)
                curveToRelative(0.09f, -0.632f, 0.401f, -1.475f, 0.563f, -1.543f)
                close()
                moveTo(3.15f, 2.848f)
                lineToRelative(-0.02f, 0.001f)
                curveToRelative(-0.047f, 0.007f, -0.459f, 0.071f, -0.688f, 0.408f)
                curveToRelative(-0.138f, 0.21f, -0.172f, 0.463f, -0.098f, 0.76f)
                arcToRelative(0.213f, 0.213f, 0.0f, false, false, 0.203f, 0.158f)
                curveToRelative(0.043f, 0.0f, 0.435f, -0.01f, 0.678f, -0.314f)
                curveToRelative(0.168f, -0.209f, 0.212f, -0.496f, 0.135f, -0.846f)
                arcToRelative(0.206f, 0.206f, 0.0f, false, false, -0.21f, -0.167f)
                close()
                moveTo(20.877f, 2.848f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, false, -0.213f, 0.163f)
                curveToRelative(-0.077f, 0.354f, -0.033f, 0.638f, 0.135f, 0.847f)
                curveToRelative(0.25f, 0.304f, 0.641f, 0.314f, 0.682f, 0.317f)
                arcToRelative(0.209f, 0.209f, 0.0f, false, false, 0.202f, -0.158f)
                curveToRelative(0.075f, -0.297f, 0.044f, -0.55f, -0.097f, -0.76f)
                curveToRelative(-0.226f, -0.337f, -0.641f, -0.401f, -0.689f, -0.408f)
                arcToRelative(0.213f, 0.213f, 0.0f, false, false, -0.02f, -0.001f)
                close()
                moveTo(12.767f, 3.173f)
                curveToRelative(1.082f, 0.122f, 2.212f, 0.493f, 3.363f, 1.11f)
                lineToRelative(0.044f, 0.03f)
                lineToRelative(0.023f, 0.014f)
                curveToRelative(0.334f, 0.169f, 0.692f, 0.253f, 1.063f, 0.253f)
                curveToRelative(0.392f, 0.0f, 0.8f, -0.094f, 1.211f, -0.283f)
                lineToRelative(-1.08f, 1.231f)
                arcToRelative(0.761f, 0.761f, 0.0f, false, false, -0.732f, 0.047f)
                arcToRelative(7.877f, 7.877f, 0.0f, false, false, -3.69f, -1.46f)
                arcToRelative(6.766f, 6.766f, 0.0f, false, false, -0.203f, -0.942f)
                close()
                moveTo(11.211f, 3.18f)
                curveToRelative(-0.101f, 0.34f, -0.169f, 0.695f, -0.203f, 0.938f)
                arcToRelative(7.879f, 7.879f, 0.0f, false, false, -3.735f, 1.504f)
                arcToRelative(0.752f, 0.752f, 0.0f, false, false, -0.712f, -0.03f)
                lineTo(5.429f, 4.3f)
                curveToRelative(0.415f, 0.186f, 0.82f, 0.28f, 1.211f, 0.28f)
                arcToRelative(2.36f, 2.36f, 0.0f, false, false, 1.066f, -0.253f)
                curveToRelative(0.02f, -0.01f, 1.947f, -1.012f, 3.506f, -1.147f)
                close()
                moveTo(2.981f, 3.332f)
                curveToRelative(0.0f, 0.11f, -0.026f, 0.199f, -0.077f, 0.266f)
                arcToRelative(0.395f, 0.395f, 0.0f, false, true, -0.179f, 0.122f)
                curveToRelative(0.0f, -0.088f, 0.024f, -0.166f, 0.065f, -0.226f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, 0.192f, -0.162f)
                close()
                moveTo(21.052f, 3.332f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, 0.193f, 0.162f)
                curveToRelative(0.04f, 0.064f, 0.064f, 0.138f, 0.064f, 0.226f)
                arcToRelative(0.404f, 0.404f, 0.0f, false, true, -0.176f, -0.122f)
                arcToRelative(0.412f, 0.412f, 0.0f, false, true, -0.08f, -0.266f)
                close()
                moveTo(11.002f, 4.539f)
                arcToRelative(0.994f, 0.994f, 0.0f, false, false, 0.79f, 0.837f)
                verticalLineToRelative(0.145f)
                arcTo(6.472f, 6.472f, 0.0f, false, false, 7.83f, 7.036f)
                lineToRelative(-0.297f, -0.34f)
                arcToRelative(0.76f, 0.76f, 0.0f, false, false, 0.037f, -0.77f)
                arcToRelative(7.488f, 7.488f, 0.0f, false, true, 3.432f, -1.387f)
                close()
                moveTo(12.985f, 4.539f)
                arcToRelative(7.472f, 7.472f, 0.0f, false, true, 3.398f, 1.353f)
                arcToRelative(0.755f, 0.755f, 0.0f, false, false, 0.044f, 0.746f)
                lineToRelative(-1.68f, 1.916f)
                arcToRelative(0.205f, 0.205f, 0.0f, false, false, 0.02f, 0.294f)
                arcToRelative(0.212f, 0.212f, 0.0f, false, false, 0.297f, -0.02f)
                lineToRelative(1.677f, -1.913f)
                arcToRelative(0.752f, 0.752f, 0.0f, false, false, 0.749f, -0.047f)
                arcToRelative(7.506f, 7.506f, 0.0f, false, true, 1.96f, 4.15f)
                arcToRelative(1.008f, 1.008f, 0.0f, false, false, -0.715f, 0.769f)
                lineToRelative(-0.24f, 0.01f)
                arcToRelative(6.48f, 6.48f, 0.0f, false, false, -1.69f, -4.157f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, false, -0.307f, 0.28f)
                arcToRelative(6.07f, 6.07f, 0.0f, false, true, 1.569f, 3.63f)
                lineToRelative(-2.244f, -2.236f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, false, -0.294f, 0.293f)
                lineToRelative(2.41f, 2.409f)
                lineTo(12.0f, 17.954f)
                lineToRelative(-5.938f, -5.938f)
                lineToRelative(2.389f, -2.389f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, false, -0.294f, -0.293f)
                lineTo(5.941f, 11.55f)
                arcToRelative(6.07f, 6.07f, 0.0f, false, true, 1.855f, -3.92f)
                lineToRelative(1.046f, 1.194f)
                curveToRelative(0.04f, 0.048f, 0.098f, 0.071f, 0.159f, 0.071f)
                arcToRelative(0.219f, 0.219f, 0.0f, false, false, 0.138f, -0.05f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, false, 0.02f, -0.294f)
                lineTo(8.11f, 7.353f)
                arcToRelative(6.043f, 6.043f, 0.0f, false, true, 3.428f, -1.396f)
                lineTo(9.757f, 7.72f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, false, 0.148f, 0.354f)
                curveToRelative(0.054f, 0.0f, 0.105f, -0.02f, 0.149f, -0.06f)
                lineToRelative(1.956f, -1.937f)
                lineToRelative(1.9f, 1.9f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, false, 0.293f, -0.294f)
                lineToRelative(-1.727f, -1.727f)
                arcToRelative(6.03f, 6.03f, 0.0f, false, true, 2.976f, 1.049f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.29f, -0.054f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.054f, -0.29f)
                arcToRelative(6.435f, 6.435f, 0.0f, false, false, -3.468f, -1.134f)
                lineTo(12.22f, 5.38f)
                curveToRelative(0.39f, -0.095f, 0.705f, -0.429f, 0.765f, -0.84f)
                close()
                moveTo(5.235f, 4.709f)
                lineToRelative(1.013f, 1.156f)
                arcToRelative(0.76f, 0.76f, 0.0f, false, false, -0.058f, 0.73f)
                arcToRelative(7.912f, 7.912f, 0.0f, false, false, -2.058f, 4.399f)
                curveToRelative(-0.3f, 0.047f, -0.698f, 0.175f, -0.998f, 0.367f)
                curveToRelative(0.118f, -1.78f, 0.715f, -3.323f, 1.822f, -4.693f)
                lineToRelative(0.016f, -0.023f)
                curveToRelative(0.351f, -0.58f, 0.439f, -1.242f, 0.264f, -1.937f)
                close()
                moveTo(18.67f, 4.712f)
                curveToRelative(-0.182f, 0.695f, -0.094f, 1.353f, 0.257f, 1.936f)
                lineToRelative(0.088f, 0.118f)
                curveToRelative(0.765f, 1.023f, 1.663f, 2.605f, 1.835f, 4.575f)
                arcToRelative(2.526f, 2.526f, 0.0f, false, false, -0.989f, -0.354f)
                arcToRelative(7.916f, 7.916f, 0.0f, false, false, -2.098f, -4.44f)
                arcToRelative(0.748f, 0.748f, 0.0f, false, false, -0.05f, -0.742f)
                close()
                moveTo(17.048f, 5.879f)
                horizontalLineToRelative(0.043f)
                curveToRelative(0.156f, 0.01f, 0.287f, 0.121f, 0.321f, 0.27f)
                curveToRelative(0.003f, 0.02f, 0.007f, 0.037f, 0.007f, 0.057f)
                curveToRelative(-0.004f, 0.004f, 0.0f, 0.01f, 0.0f, 0.017f)
                arcToRelative(0.353f, 0.353f, 0.0f, false, true, -0.24f, 0.33f)
                arcToRelative(0.38f, 0.38f, 0.0f, false, true, -0.108f, 0.018f)
                horizontalLineToRelative(-0.033f)
                arcToRelative(0.344f, 0.344f, 0.0f, false, true, -0.314f, -0.345f)
                arcToRelative(0.348f, 0.348f, 0.0f, false, true, 0.324f, -0.348f)
                close()
                moveTo(6.862f, 5.936f)
                horizontalLineToRelative(0.023f)
                curveToRelative(0.159f, 0.0f, 0.294f, 0.108f, 0.334f, 0.257f)
                curveToRelative(0.007f, 0.03f, 0.014f, 0.06f, 0.014f, 0.09f)
                arcToRelative(0.345f, 0.345f, 0.0f, false, true, -0.32f, 0.344f)
                horizontalLineToRelative(-0.028f)
                arcToRelative(0.347f, 0.347f, 0.0f, false, true, -0.344f, -0.344f)
                curveToRelative(0.0f, -0.016f, 0.0f, -0.03f, 0.004f, -0.046f)
                curveToRelative(0.0f, -0.01f, 0.003f, -0.017f, 0.003f, -0.027f)
                arcToRelative(0.345f, 0.345f, 0.0f, false, true, 0.314f, -0.274f)
                close()
                moveTo(2.817f, 6.874f)
                arcToRelative(0.621f, 0.621f, 0.0f, true, false, 0.0f, 1.243f)
                arcToRelative(0.621f, 0.621f, 0.0f, false, false, 0.0f, -1.243f)
                close()
                moveTo(21.113f, 6.874f)
                arcToRelative(0.621f, 0.621f, 0.0f, true, false, 0.001f, 1.243f)
                arcToRelative(0.621f, 0.621f, 0.0f, false, false, 0.0f, -1.243f)
                close()
                moveTo(6.46f, 6.918f)
                arcToRelative(0.78f, 0.78f, 0.0f, false, false, 0.756f, 0.054f)
                lineToRelative(0.3f, 0.344f)
                arcToRelative(6.486f, 6.486f, 0.0f, false, false, -2.01f, 4.477f)
                lineToRelative(-0.17f, -0.01f)
                arcToRelative(1.008f, 1.008f, 0.0f, false, false, -0.782f, -0.786f)
                arcTo(7.49f, 7.49f, 0.0f, false, true, 6.46f, 6.918f)
                close()
                moveTo(6.683f, 7.286f)
                arcToRelative(0.199f, 0.199f, 0.0f, false, false, -0.145f, 0.064f)
                curveToRelative(-0.054f, 0.054f, -1.296f, 1.343f, -1.508f, 3.165f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.185f, 0.23f)
                horizontalLineToRelative(0.024f)
                arcToRelative(0.205f, 0.205f, 0.0f, false, false, 0.206f, -0.186f)
                curveToRelative(0.192f, -1.677f, 1.38f, -2.909f, 1.39f, -2.919f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, false, -0.004f, -0.293f)
                arcToRelative(0.207f, 0.207f, 0.0f, false, false, -0.148f, -0.06f)
                close()
                moveTo(17.333f, 7.288f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, false, -0.15f, 0.353f)
                curveToRelative(0.013f, 0.013f, 1.2f, 1.244f, 1.393f, 2.921f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, false, 0.206f, 0.186f)
                horizontalLineToRelative(0.023f)
                arcToRelative(0.209f, 0.209f, 0.0f, false, false, 0.183f, -0.233f)
                curveToRelative(-0.21f, -1.822f, -1.455f, -3.111f, -1.509f, -3.165f)
                arcToRelative(0.212f, 0.212f, 0.0f, false, false, -0.146f, -0.062f)
                close()
                moveTo(2.817f, 7.293f)
                curveToRelative(0.11f, 0.0f, 0.202f, 0.09f, 0.202f, 0.202f)
                arcToRelative(0.203f, 0.203f, 0.0f, false, true, -0.202f, 0.203f)
                arcToRelative(0.203f, 0.203f, 0.0f, false, true, -0.203f, -0.203f)
                curveToRelative(0.0f, -0.111f, 0.091f, -0.202f, 0.203f, -0.202f)
                close()
                moveTo(21.113f, 7.293f)
                curveToRelative(0.112f, 0.0f, 0.203f, 0.09f, 0.203f, 0.202f)
                arcToRelative(0.203f, 0.203f, 0.0f, false, true, -0.203f, 0.203f)
                arcToRelative(0.199f, 0.199f, 0.0f, false, true, -0.202f, -0.203f)
                curveToRelative(0.0f, -0.111f, 0.09f, -0.202f, 0.202f, -0.202f)
                close()
                moveTo(1.741f, 9.026f)
                arcToRelative(0.206f, 0.206f, 0.0f, false, false, -0.22f, 0.207f)
                verticalLineToRelative(3.802f)
                arcToRelative(0.202f, 0.202f, 0.0f, false, false, 0.206f, 0.206f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.209f, -0.21f)
                lineTo(1.936f, 9.628f)
                curveToRelative(0.337f, 0.156f, 0.668f, 0.145f, 0.688f, 0.145f)
                arcToRelative(0.205f, 0.205f, 0.0f, false, false, 0.2f, -0.215f)
                arcToRelative(0.205f, 0.205f, 0.0f, false, false, -0.217f, -0.2f)
                curveToRelative(-0.003f, 0.0f, -0.455f, 0.01f, -0.728f, -0.27f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.138f, -0.061f)
                close()
                moveTo(22.241f, 9.026f)
                arcToRelative(0.213f, 0.213f, 0.0f, false, false, -0.14f, 0.062f)
                curveToRelative(-0.273f, 0.28f, -0.721f, 0.27f, -0.728f, 0.27f)
                horizontalLineToRelative(-0.007f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.209f, 0.199f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, false, 0.2f, 0.215f)
                curveToRelative(0.02f, 0.0f, 0.35f, 0.01f, 0.687f, -0.145f)
                verticalLineToRelative(3.405f)
                curveToRelative(0.0f, 0.114f, 0.095f, 0.209f, 0.21f, 0.209f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.209f, -0.21f)
                lineTo(22.463f, 9.234f)
                arcToRelative(0.214f, 0.214f, 0.0f, false, false, -0.132f, -0.193f)
                arcToRelative(0.216f, 0.216f, 0.0f, false, false, -0.09f, -0.014f)
                close()
                moveTo(12.007f, 9.85f)
                curveToRelative(-0.49f, 0.0f, -0.884f, 0.162f, -1.184f, 0.483f)
                curveToRelative(-0.284f, 0.3f, -0.432f, 0.695f, -0.449f, 1.18f)
                lineToRelative(-0.003f, 0.102f)
                lineToRelative(0.003f, 0.948f)
                horizontalLineToRelative(-0.003f)
                curveToRelative(0.0f, 0.536f, 0.152f, 0.965f, 0.452f, 1.285f)
                curveToRelative(0.3f, 0.32f, 0.695f, 0.483f, 1.184f, 0.483f)
                curveToRelative(0.412f, 0.0f, 0.752f, -0.098f, 1.026f, -0.297f)
                curveToRelative(0.25f, -0.182f, 0.398f, -0.422f, 0.448f, -0.719f)
                lineToRelative(0.01f, -1.06f)
                curveToRelative(0.308f, -0.074f, 0.726f, -0.242f, 0.989f, -0.64f)
                arcToRelative(0.173f, 0.173f, 0.0f, false, false, -0.044f, -0.257f)
                arcToRelative(0.185f, 0.185f, 0.0f, false, false, -0.256f, 0.05f)
                curveToRelative(-0.334f, 0.504f, -1.043f, 0.53f, -1.08f, 0.53f)
                horizontalLineToRelative(-0.017f)
                curveToRelative(-0.874f, 0.0f, -1.208f, 0.746f, -1.221f, 0.777f)
                arcToRelative(0.186f, 0.186f, 0.0f, false, false, 0.169f, 0.26f)
                curveToRelative(0.07f, 0.0f, 0.138f, -0.041f, 0.168f, -0.112f)
                curveToRelative(0.004f, -0.007f, 0.233f, -0.52f, 0.824f, -0.553f)
                verticalLineToRelative(0.954f)
                arcToRelative(0.668f, 0.668f, 0.0f, false, true, -0.294f, 0.49f)
                curveToRelative(-0.179f, 0.125f, -0.418f, 0.189f, -0.712f, 0.189f)
                curveToRelative(-0.35f, 0.0f, -0.638f, -0.122f, -0.85f, -0.361f)
                curveToRelative(-0.216f, -0.24f, -0.324f, -0.58f, -0.324f, -1.02f)
                lineToRelative(0.003f, -1.052f)
                curveToRelative(0.017f, -0.388f, 0.122f, -0.695f, 0.32f, -0.914f)
                curveToRelative(0.217f, -0.24f, 0.5f, -0.361f, 0.851f, -0.361f)
                curveToRelative(0.294f, 0.0f, 0.533f, 0.064f, 0.712f, 0.189f)
                curveToRelative(0.179f, 0.125f, 0.28f, 0.297f, 0.297f, 0.52f)
                verticalLineToRelative(0.023f)
                arcToRelative(0.233f, 0.233f, 0.0f, false, false, 0.466f, 0.0f)
                verticalLineToRelative(-0.024f)
                arcToRelative(1.076f, 1.076f, 0.0f, false, false, -0.46f, -0.796f)
                curveToRelative(-0.273f, -0.2f, -0.613f, -0.297f, -1.025f, -0.297f)
                close()
                moveTo(19.713f, 11.392f)
                curveToRelative(0.06f, 0.0f, 0.125f, 0.007f, 0.189f, 0.017f)
                curveToRelative(0.455f, 0.074f, 0.968f, 0.381f, 0.978f, 0.567f)
                verticalLineToRelative(0.01f)
                curveToRelative(-0.006f, 0.189f, -0.523f, 0.496f, -0.978f, 0.57f)
                curveToRelative(-0.064f, 0.01f, -0.128f, 0.017f, -0.189f, 0.017f)
                arcToRelative(0.592f, 0.592f, 0.0f, false, true, -0.59f, -0.59f)
                arcToRelative(0.592f, 0.592f, 0.0f, false, true, 0.59f, -0.591f)
                close()
                moveTo(4.352f, 11.395f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, 0.59f, 0.59f)
                arcToRelative(0.591f, 0.591f, 0.0f, false, true, -0.59f, 0.591f)
                curveToRelative(-0.078f, 0.0f, -0.166f, -0.01f, -0.257f, -0.03f)
                curveToRelative(-0.428f, -0.091f, -0.971f, -0.361f, -0.978f, -0.557f)
                verticalLineToRelative(-0.01f)
                curveToRelative(0.007f, -0.196f, 0.55f, -0.466f, 0.978f, -0.553f)
                curveToRelative(0.095f, -0.02f, 0.182f, -0.03f, 0.257f, -0.03f)
                close()
                moveTo(5.333f, 12.202f)
                lineToRelative(0.173f, 0.01f)
                arcToRelative(6.49f, 6.49f, 0.0f, false, false, 2.405f, 4.852f)
                arcToRelative(7.728f, 7.728f, 0.0f, false, false, -1.613f, -0.193f)
                arcToRelative(7.5f, 7.5f, 0.0f, false, true, -1.744f, -3.903f)
                curveToRelative(0.388f, -0.081f, 0.695f, -0.382f, 0.78f, -0.766f)
                close()
                moveTo(18.735f, 12.202f)
                curveToRelative(0.08f, 0.36f, 0.354f, 0.65f, 0.711f, 0.749f)
                arcToRelative(7.492f, 7.492f, 0.0f, false, true, -1.747f, 3.92f)
                curveToRelative(-0.462f, 0.0f, -0.999f, 0.054f, -1.606f, 0.186f)
                arcToRelative(6.486f, 6.486f, 0.0f, false, false, 2.399f, -4.845f)
                close()
                moveTo(5.937f, 12.478f)
                lineToRelative(5.598f, 5.598f)
                arcToRelative(6.089f, 6.089f, 0.0f, false, true, -5.598f, -5.598f)
                close()
                moveTo(18.06f, 12.478f)
                arcToRelative(6.085f, 6.085f, 0.0f, false, true, -3.533f, 5.065f)
                curveToRelative(-0.135f, 0.054f, -0.23f, 0.097f, -0.276f, 0.118f)
                curveToRelative(-0.56f, 0.222f, -1.16f, 0.367f, -1.788f, 0.415f)
                close()
                moveTo(3.137f, 12.6f)
                curveToRelative(0.3f, 0.196f, 0.702f, 0.324f, 0.999f, 0.371f)
                arcToRelative(7.892f, 7.892f, 0.0f, false, false, 1.643f, 3.92f)
                arcToRelative(4.867f, 4.867f, 0.0f, false, false, -1.006f, 0.196f)
                arcTo(8.538f, 8.538f, 0.0f, false, true, 3.137f, 12.6f)
                close()
                moveTo(20.86f, 12.623f)
                arcToRelative(8.481f, 8.481f, 0.0f, false, true, -0.948f, 3.354f)
                curveToRelative(-0.202f, 0.388f, -0.435f, 0.76f, -0.692f, 1.117f)
                arcToRelative(4.765f, 4.765f, 0.0f, false, false, -1.002f, -0.2f)
                arcToRelative(7.944f, 7.944f, 0.0f, false, false, 1.643f, -3.913f)
                curveToRelative(0.29f, -0.034f, 0.692f, -0.158f, 1.0f, -0.358f)
                close()
                moveTo(22.267f, 13.501f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, 0.209f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.21f, 0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.21f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.21f)
                close()
                moveTo(1.717f, 13.511f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.206f, 0.209f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.209f, 0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.21f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.004f, 0.0f)
                close()
                moveTo(21.953f, 14.121f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.209f, 0.21f)
                curveToRelative(0.0f, 0.114f, 0.095f, 0.209f, 0.21f, 0.209f)
                horizontalLineToRelative(0.333f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.21f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.208f)
                close()
                moveTo(1.7f, 14.129f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, 0.21f)
                curveToRelative(0.0f, 0.114f, 0.095f, 0.209f, 0.21f, 0.209f)
                horizontalLineToRelative(0.334f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.209f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.209f)
                close()
                moveTo(21.774f, 14.719f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.209f, 0.21f)
                curveToRelative(0.0f, 0.115f, 0.095f, 0.209f, 0.21f, 0.209f)
                horizontalLineToRelative(0.512f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.21f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.208f)
                close()
                moveTo(1.7f, 14.723f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, 0.21f)
                curveToRelative(0.0f, 0.117f, 0.095f, 0.208f, 0.21f, 0.208f)
                horizontalLineToRelative(0.513f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.209f, -0.209f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.209f)
                close()
                moveTo(21.535f, 15.313f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, 0.21f)
                curveToRelative(0.0f, 0.114f, 0.095f, 0.209f, 0.21f, 0.209f)
                horizontalLineToRelative(0.752f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.21f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.209f)
                close()
                moveTo(1.7f, 15.32f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, 0.21f)
                curveToRelative(0.0f, 0.114f, 0.095f, 0.209f, 0.21f, 0.209f)
                horizontalLineToRelative(0.752f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.21f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.209f)
                close()
                moveTo(21.238f, 15.91f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, 0.21f)
                curveToRelative(0.0f, 0.114f, 0.095f, 0.209f, 0.21f, 0.209f)
                horizontalLineToRelative(1.05f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.209f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.208f)
                close()
                moveTo(1.7f, 15.917f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, 0.21f)
                curveToRelative(0.0f, 0.114f, 0.095f, 0.209f, 0.21f, 0.209f)
                horizontalLineToRelative(1.05f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.208f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.209f, -0.209f)
                close()
                moveTo(20.938f, 16.504f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, 0.21f)
                curveToRelative(0.0f, 0.114f, 0.095f, 0.209f, 0.21f, 0.209f)
                horizontalLineToRelative(1.35f)
                curveToRelative(0.114f, 0.0f, 0.209f, -0.091f, 0.209f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.209f)
                close()
                moveTo(1.7f, 16.51f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, 0.21f)
                curveToRelative(0.0f, 0.117f, 0.095f, 0.208f, 0.21f, 0.208f)
                horizontalLineToRelative(1.35f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.209f, -0.209f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.209f)
                close()
                moveTo(20.577f, 17.094f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, 0.209f)
                curveToRelative(0.0f, 0.115f, 0.095f, 0.21f, 0.21f, 0.21f)
                horizontalLineToRelative(0.52f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.209f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.21f)
                close()
                moveTo(2.891f, 17.104f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, 0.21f)
                curveToRelative(0.0f, 0.114f, 0.095f, 0.208f, 0.21f, 0.208f)
                horizontalLineToRelative(0.52f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.209f, -0.209f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.209f)
                close()
                moveTo(17.782f, 17.281f)
                curveToRelative(0.386f, 0.005f, 0.78f, 0.05f, 1.162f, 0.157f)
                arcToRelative(8.757f, 8.757f, 0.0f, false, true, -0.554f, 0.62f)
                curveToRelative(-0.283f, -0.077f, -1.005f, -0.225f, -1.98f, -0.12f)
                curveToRelative(-1.06f, 0.114f, -2.618f, 0.566f, -4.21f, 2.037f)
                verticalLineToRelative(-0.368f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.209f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.209f, 0.21f)
                verticalLineToRelative(0.347f)
                curveToRelative(-1.582f, -1.454f, -3.134f, -1.903f, -4.187f, -2.018f)
                curveToRelative(-0.999f, -0.108f, -1.73f, 0.054f, -1.997f, 0.128f)
                arcToRelative(9.934f, 9.934f, 0.0f, false, true, -0.523f, -0.587f)
                curveToRelative(-0.01f, -0.013f, -0.02f, -0.023f, -0.03f, -0.037f)
                curveToRelative(1.015f, -0.28f, 2.125f, -0.131f, 2.904f, 0.054f)
                curveToRelative(0.942f, 0.226f, 1.63f, 0.554f, 1.637f, 0.557f)
                lineToRelative(0.003f, -0.007f)
                arcToRelative(6.5f, 6.5f, 0.0f, false, false, 4.808f, 0.004f)
                lineToRelative(0.02f, -0.01f)
                curveToRelative(0.088f, -0.038f, 0.179f, -0.075f, 0.263f, -0.115f)
                curveToRelative(0.287f, -0.118f, 0.77f, -0.294f, 1.35f, -0.432f)
                arcToRelative(7.204f, 7.204f, 0.0f, false, true, 1.753f, -0.211f)
                close()
                moveTo(20.104f, 17.688f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.209f, 0.209f)
                curveToRelative(0.0f, 0.115f, 0.095f, 0.209f, 0.21f, 0.209f)
                horizontalLineToRelative(1.288f)
                curveToRelative(0.115f, 0.0f, 0.21f, -0.091f, 0.21f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.208f)
                close()
                moveTo(2.594f, 17.698f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, 0.209f)
                curveToRelative(0.0f, 0.115f, 0.095f, 0.21f, 0.21f, 0.21f)
                horizontalLineToRelative(1.289f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.209f, -0.21f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, false, -0.21f, -0.21f)
                close()
                moveTo(19.568f, 18.285f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, 0.209f)
                curveToRelative(0.0f, 0.115f, 0.095f, 0.21f, 0.21f, 0.21f)
                horizontalLineToRelative(1.009f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.209f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.21f)
                close()
                moveTo(21.423f, 18.285f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.205f, 0.209f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.209f, 0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.21f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.004f, 0.0f)
                close()
                moveTo(2.563f, 18.292f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.209f, 0.209f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.21f, 0.209f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.209f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.208f)
                close()
                moveTo(3.41f, 18.292f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.209f, 0.209f)
                curveToRelative(0.0f, 0.114f, 0.095f, 0.209f, 0.21f, 0.209f)
                horizontalLineToRelative(1.008f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.21f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.208f)
                close()
                moveTo(6.957f, 18.325f)
                curveToRelative(0.192f, 0.001f, 0.401f, 0.012f, 0.623f, 0.037f)
                curveToRelative(1.873f, 0.21f, 3.31f, 1.28f, 4.211f, 2.177f)
                verticalLineToRelative(0.61f)
                arcToRelative(0.983f, 0.983f, 0.0f, false, false, -0.101f, 0.064f)
                arcToRelative(6.845f, 6.845f, 0.0f, false, false, -0.867f, -0.924f)
                curveToRelative(-0.85f, -0.753f, -2.281f, -1.603f, -4.258f, -1.367f)
                verticalLineToRelative(0.004f)
                arcToRelative(8.758f, 8.758f, 0.0f, false, true, -0.604f, -0.51f)
                curveToRelative(0.232f, -0.046f, 0.574f, -0.092f, 0.996f, -0.09f)
                close()
                moveTo(17.053f, 18.327f)
                curveToRelative(0.416f, -0.002f, 0.755f, 0.042f, 0.987f, 0.086f)
                arcToRelative(7.807f, 7.807f, 0.0f, false, true, -0.601f, 0.506f)
                curveToRelative(-1.97f, -0.23f, -3.394f, 0.618f, -4.244f, 1.367f)
                arcToRelative(6.788f, 6.788f, 0.0f, false, false, -0.878f, 0.94f)
                curveToRelative(-0.04f, -0.026f, -0.077f, -0.053f, -0.11f, -0.07f)
                verticalLineToRelative(-0.594f)
                curveToRelative(1.595f, -1.602f, 3.18f, -2.081f, 4.233f, -2.2f)
                curveToRelative(0.219f, -0.024f, 0.424f, -0.034f, 0.613f, -0.035f)
                close()
                moveTo(18.913f, 18.882f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.209f, 0.21f)
                curveToRelative(0.0f, 0.114f, 0.095f, 0.208f, 0.21f, 0.208f)
                horizontalLineToRelative(0.573f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.21f, -0.209f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.209f)
                close()
                moveTo(20.084f, 18.882f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.209f, 0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.21f, 0.208f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.208f, -0.209f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.209f, -0.209f)
                close()
                moveTo(3.903f, 18.889f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.206f, 0.209f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.21f, 0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.208f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.209f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.003f, 0.0f)
                close()
                moveTo(4.5f, 18.889f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, 0.209f)
                curveToRelative(0.0f, 0.115f, 0.095f, 0.21f, 0.21f, 0.21f)
                horizontalLineToRelative(0.574f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.209f, -0.21f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, -0.21f, -0.21f)
                close()
                moveTo(7.21f, 19.299f)
                curveToRelative(1.225f, -0.008f, 2.339f, 0.424f, 3.326f, 1.29f)
                curveToRelative(0.35f, 0.307f, 0.628f, 0.624f, 0.837f, 0.898f)
                curveToRelative(-0.064f, 0.07f, -0.122f, 0.148f, -0.172f, 0.236f)
                arcToRelative(5.338f, 5.338f, 0.0f, false, false, -1.259f, -1.174f)
                lineToRelative(0.004f, -0.01f)
                arcToRelative(0.098f, 0.098f, 0.0f, false, false, -0.03f, -0.007f)
                arcToRelative(5.006f, 5.006f, 0.0f, false, false, -2.022f, -0.76f)
                arcToRelative(8.77f, 8.77f, 0.0f, false, true, -0.803f, -0.472f)
                lineToRelative(0.12f, -0.002f)
                close()
                moveTo(16.791f, 19.299f)
                lineToRelative(0.118f, 0.001f)
                arcToRelative(8.91f, 8.91f, 0.0f, false, true, -0.81f, 0.476f)
                curveToRelative(-1.443f, 0.22f, -2.432f, 0.968f, -3.066f, 1.69f)
                arcToRelative(4.511f, 4.511f, 0.0f, false, false, -0.23f, 0.28f)
                arcToRelative(1.594f, 1.594f, 0.0f, false, false, -0.168f, -0.24f)
                curveToRelative(0.209f, -0.272f, 0.492f, -0.6f, 0.85f, -0.913f)
                curveToRelative(0.98f, -0.863f, 2.09f, -1.296f, 3.306f, -1.294f)
                close()
                moveTo(5.064f, 21.069f)
                arcToRelative(0.347f, 0.347f, 0.0f, true, true, 0.0f, 0.693f)
                arcToRelative(0.347f, 0.347f, 0.0f, false, true, 0.0f, -0.694f)
                close()
                moveTo(18.92f, 21.069f)
                arcToRelative(0.347f, 0.347f, 0.0f, true, true, 0.001f, 0.693f)
                arcToRelative(0.347f, 0.347f, 0.0f, false, true, 0.0f, -0.694f)
                close()
                moveTo(11.99f, 21.514f)
                horizontalLineToRelative(0.004f)
                curveToRelative(0.023f, 0.013f, 0.047f, 0.03f, 0.077f, 0.05f)
                arcToRelative(1.16f, 1.16f, 0.0f, false, true, 0.307f, 0.294f)
                arcToRelative(0.763f, 0.763f, 0.0f, false, true, 0.139f, 0.32f)
                curveToRelative(0.037f, 0.247f, -0.068f, 0.517f, -0.307f, 0.81f)
                arcToRelative(2.7f, 2.7f, 0.0f, false, true, -0.213f, 0.226f)
                lineToRelative(-0.003f, 0.003f)
                lineToRelative(-0.004f, 0.003f)
                verticalLineToRelative(-0.007f)
                curveToRelative(-0.007f, -0.007f, -0.017f, -0.013f, -0.024f, -0.023f)
                arcToRelative(2.324f, 2.324f, 0.0f, false, true, -0.178f, -0.193f)
                curveToRelative(-0.247f, -0.293f, -0.355f, -0.567f, -0.317f, -0.816f)
                curveToRelative(0.003f, -0.02f, 0.006f, -0.04f, 0.013f, -0.061f)
                arcToRelative(0.794f, 0.794f, 0.0f, false, true, 0.138f, -0.283f)
                curveToRelative(0.051f, -0.068f, 0.108f, -0.125f, 0.166f, -0.176f)
                curveToRelative(0.05f, -0.044f, 0.1f, -0.08f, 0.145f, -0.111f)
                curveToRelative(0.02f, -0.014f, 0.037f, -0.024f, 0.054f, -0.034f)
                curveToRelative(0.0f, 0.0f, 0.003f, 0.0f, 0.003f, -0.003f)
                close()
                moveTo(11.994f, 23.217f)
                curveToRelative(0.003f, -0.003f, 0.0f, -0.003f, 0.0f, -0.007f)
                close()
                moveTo(11.994f, 22.101f)
                horizontalLineToRelative(0.003f)
                close()
                moveTo(19.619f, 22.101f)
                curveToRelative(0.117f, 0.0f, 0.237f, 0.016f, 0.354f, 0.05f)
                curveToRelative(0.459f, 0.135f, 0.783f, 0.638f, 0.87f, 0.79f)
                curveToRelative(0.108f, 0.189f, 0.253f, 0.438f, 0.466f, 0.634f)
                horizontalLineToRelative(-2.331f)
                arcToRelative(3.873f, 3.873f, 0.0f, false, false, -0.372f, -0.894f)
                curveToRelative(0.2f, -0.358f, 0.595f, -0.577f, 1.013f, -0.58f)
                close()
                moveTo(4.494f, 22.139f)
                curveToRelative(0.381f, 0.005f, 0.713f, 0.19f, 0.9f, 0.512f)
                arcToRelative(3.999f, 3.999f, 0.0f, false, false, -0.388f, 0.924f)
                lineTo(2.81f, 23.575f)
                arcToRelative(2.86f, 2.86f, 0.0f, false, false, 0.418f, -0.59f)
                curveToRelative(0.088f, -0.152f, 0.412f, -0.658f, 0.87f, -0.79f)
                curveToRelative(0.136f, -0.04f, 0.268f, -0.058f, 0.396f, -0.056f)
                close()
            }
        }
        .build()
        return _gutenberg!!
    }

private var _gutenberg: ImageVector? = null
