package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Husqvarna: ImageVector
    get() {
        if (_husqvarna != null) {
            return _husqvarna!!
        }
        _husqvarna = Builder(name = "Husqvarna", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.001f, 14.457f)
                curveToRelative(2.04f, 0.0f, 1.997f, 0.0f, 1.997f, 0.645f)
                verticalLineToRelative(4.054f)
                horizontalLineToRelative(2.775f)
                verticalLineTo(7.927f)
                horizontalLineToRelative(-2.775f)
                verticalLineToRelative(3.371f)
                curveToRelative(0.0f, 0.664f, 0.042f, 0.662f, -1.997f, 0.662f)
                horizontalLineToRelative(0.001f)
                curveToRelative(-2.04f, 0.0f, -1.996f, 0.002f, -1.996f, -0.662f)
                verticalLineToRelative(-3.37f)
                horizontalLineTo(7.23f)
                verticalLineToRelative(11.228f)
                horizontalLineToRelative(2.775f)
                verticalLineToRelative(-4.054f)
                curveToRelative(0.0f, -0.644f, -0.043f, -0.645f, 1.996f, -0.645f)
                moveTo(12.0f, 0.0f)
                curveToRelative(1.04f, 0.0f, 1.72f, 0.18f, 2.004f, 0.241f)
                curveToRelative(-0.143f, 1.307f, -0.1f, 2.355f, 0.0f, 2.657f)
                curveToRelative(0.347f, 1.006f, 2.32f, 1.475f, 3.115f, 1.012f)
                curveToRelative(0.878f, -0.523f, 0.676f, -2.109f, 0.676f, -3.155f)
                curveToRelative(0.0f, 0.0f, 1.294f, 0.301f, 2.086f, 0.594f)
                curveToRelative(0.644f, 0.238f, 1.593f, 0.703f, 1.593f, 0.703f)
                curveToRelative(0.188f, 1.323f, 0.01f, 3.281f, -1.316f, 3.945f)
                curveToRelative(1.0f, 0.985f, 1.335f, 2.152f, 1.764f, 4.304f)
                curveToRelative(0.346f, 1.932f, 0.265f, 3.28f, 0.243f, 4.405f)
                curveToRelative(-0.101f, 1.53f, -0.101f, 2.354f, -0.468f, 3.743f)
                curveToRelative(-0.53f, 1.588f, -0.844f, 2.335f, -1.918f, 3.438f)
                curveTo(17.599f, 24.131f, 14.045f, 24.0f, 12.0f, 23.998f)
                curveToRelative(-2.045f, 0.001f, -5.598f, 0.133f, -7.779f, -2.11f)
                curveToRelative(-1.074f, -1.104f, -1.388f, -1.85f, -1.918f, -3.439f)
                curveToRelative(-0.367f, -1.389f, -0.367f, -2.213f, -0.469f, -3.743f)
                curveToRelative(-0.02f, -1.126f, -0.102f, -2.473f, 0.245f, -4.405f)
                curveToRelative(0.428f, -2.152f, 0.763f, -3.319f, 1.763f, -4.304f)
                curveToRelative(-1.326f, -0.664f, -1.504f, -2.622f, -1.316f, -3.945f)
                curveToRelative(0.0f, 0.0f, 0.95f, -0.465f, 1.593f, -0.703f)
                curveToRelative(0.792f, -0.293f, 2.085f, -0.594f, 2.085f, -0.594f)
                curveToRelative(0.0f, 1.046f, -0.201f, 2.632f, 0.676f, 3.155f)
                curveToRelative(0.797f, 0.463f, 2.768f, -0.006f, 3.116f, -1.012f)
                curveToRelative(0.102f, -0.302f, 0.142f, -1.35f, 0.0f, -2.657f)
                curveTo(10.28f, 0.181f, 10.959f, 0.0f, 12.0f, 0.0f)
                moveToRelative(-0.004f, 21.125f)
                curveToRelative(2.387f, 0.0f, 3.149f, 0.0f, 4.331f, -0.322f)
                curveToRelative(0.408f, -0.14f, 1.143f, -0.341f, 1.674f, -1.166f)
                curveToRelative(0.979f, -1.65f, 0.979f, -4.747f, 0.979f, -6.236f)
                curveToRelative(0.0f, -1.49f, 0.0f, -4.125f, -0.979f, -5.754f)
                curveToRelative(-0.53f, -0.846f, -1.255f, -1.078f, -1.674f, -1.188f)
                curveToRelative(-1.208f, -0.316f, -1.983f, -0.297f, -4.331f, -0.302f)
                horizontalLineToRelative(0.002f)
                curveToRelative(-2.348f, 0.005f, -3.123f, -0.014f, -4.331f, 0.302f)
                curveToRelative(-0.418f, 0.11f, -1.143f, 0.342f, -1.674f, 1.188f)
                curveToRelative(-0.979f, 1.63f, -0.979f, 4.264f, -0.979f, 5.754f)
                curveToRelative(0.0f, 1.489f, 0.0f, 4.586f, 0.98f, 6.236f)
                curveToRelative(0.53f, 0.825f, 1.264f, 1.025f, 1.673f, 1.166f)
                curveToRelative(1.182f, 0.323f, 1.944f, 0.322f, 4.33f, 0.322f)
                close()
            }
        }
        .build()
        return _husqvarna!!
    }

private var _husqvarna: ImageVector? = null
