package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Iveco: ImageVector
    get() {
        if (_iveco != null) {
            return _iveco!!
        }
        _iveco = Builder(name = "Iveco", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(0.24f, 14.402f)
                horizontalLineToRelative(1.433f)
                curveToRelative(0.12f, 0.0f, 0.239f, -0.1f, 0.239f, -0.243f)
                lineTo(1.912f, 9.87f)
                arcToRelative(0.243f, 0.243f, 0.0f, false, false, -0.244f, -0.242f)
                lineTo(0.24f, 9.628f)
                arcToRelative(0.237f, 0.237f, 0.0f, false, false, -0.24f, 0.24f)
                verticalLineToRelative(4.294f)
                curveToRelative(0.0f, 0.169f, 0.148f, 0.239f, 0.24f, 0.239f)
                moveToRelative(2.566f, -4.424f)
                lineToRelative(1.01f, 3.737f)
                curveToRelative(0.064f, 0.25f, 0.244f, 0.435f, 0.391f, 0.53f)
                curveToRelative(0.17f, 0.11f, 0.338f, 0.156f, 0.61f, 0.156f)
                horizontalLineToRelative(1.119f)
                curveToRelative(0.474f, 0.0f, 0.833f, -0.294f, 0.963f, -0.794f)
                lineToRelative(0.91f, -3.62f)
                arcToRelative(0.431f, 0.431f, 0.0f, false, false, 0.014f, -0.108f)
                arcToRelative(0.238f, 0.238f, 0.0f, false, false, -0.24f, -0.25f)
                horizontalLineToRelative(-0.827f)
                arcToRelative(0.24f, 0.24f, 0.0f, false, false, -0.235f, 0.182f)
                lineToRelative(-0.718f, 3.135f)
                curveToRelative(-0.022f, 0.108f, -0.076f, 0.131f, -0.134f, 0.131f)
                arcToRelative(0.117f, 0.117f, 0.0f, false, true, -0.112f, -0.1f)
                lineToRelative(-0.762f, -3.11f)
                curveToRelative(-0.02f, -0.157f, -0.122f, -0.239f, -0.242f, -0.239f)
                lineTo(3.03f, 9.627f)
                curveToRelative(-0.188f, 0.0f, -0.254f, 0.17f, -0.243f, 0.273f)
                curveToRelative(0.001f, 0.022f, 0.013f, 0.043f, 0.019f, 0.077f)
                moveToRelative(7.728f, 1.49f)
                lineToRelative(-0.002f, -0.413f)
                curveToRelative(0.0f, -0.15f, 0.116f, -0.25f, 0.24f, -0.25f)
                horizontalLineToRelative(1.7f)
                arcToRelative(0.24f, 0.24f, 0.0f, false, false, 0.238f, -0.24f)
                lineToRelative(0.001f, -0.695f)
                arcToRelative(0.243f, 0.243f, 0.0f, false, false, -0.244f, -0.242f)
                lineTo(9.57f, 9.627f)
                curveToRelative(-0.468f, 0.0f, -0.948f, 0.364f, -0.948f, 1.024f)
                verticalLineToRelative(2.79f)
                curveToRelative(0.0f, 0.602f, 0.508f, 0.959f, 0.945f, 0.959f)
                horizontalLineToRelative(2.93f)
                curveToRelative(0.124f, 0.0f, 0.249f, -0.093f, 0.243f, -0.265f)
                verticalLineToRelative(-0.69f)
                arcToRelative(0.24f, 0.24f, 0.0f, false, false, -0.24f, -0.24f)
                horizontalLineToRelative(-1.7f)
                curveToRelative(-0.159f, 0.0f, -0.266f, -0.093f, -0.266f, -0.243f)
                verticalLineToRelative(-0.397f)
                horizontalLineToRelative(1.494f)
                arcToRelative(0.242f, 0.242f, 0.0f, false, false, 0.238f, -0.251f)
                verticalLineToRelative(-0.61f)
                arcToRelative(0.24f, 0.24f, 0.0f, false, false, -0.244f, -0.238f)
                horizontalLineToRelative(-1.488f)
                close()
                moveTo(16.045f, 10.803f)
                arcToRelative(11.9f, 11.9f, 0.0f, false, true, 1.283f, 0.0f)
                arcToRelative(0.238f, 0.238f, 0.0f, false, false, 0.239f, -0.239f)
                verticalLineToRelative(-0.005f)
                lineToRelative(0.005f, -0.762f)
                arcToRelative(0.239f, 0.239f, 0.0f, false, false, -0.217f, -0.238f)
                arcToRelative(12.611f, 12.611f, 0.0f, false, false, -0.893f, -0.024f)
                curveToRelative(-0.42f, 0.0f, -0.833f, 0.022f, -1.237f, 0.069f)
                lineToRelative(0.025f, -0.002f)
                curveToRelative(-0.879f, 0.07f, -1.595f, 0.72f, -1.756f, 1.57f)
                arcToRelative(5.162f, 5.162f, 0.0f, false, false, -0.074f, 0.82f)
                curveToRelative(0.0f, 0.27f, 0.02f, 0.527f, 0.058f, 0.776f)
                arcToRelative(1.943f, 1.943f, 0.0f, false, false, 1.63f, 1.622f)
                lineToRelative(-0.026f, -0.004f)
                arcToRelative(9.788f, 9.788f, 0.0f, false, false, 2.303f, 0.053f)
                arcToRelative(0.239f, 0.239f, 0.0f, false, false, 0.216f, -0.236f)
                lineToRelative(-0.001f, 0.017f)
                lineToRelative(0.002f, -0.766f)
                arcToRelative(0.239f, 0.239f, 0.0f, false, false, -0.239f, -0.239f)
                horizontalLineToRelative(-0.007f)
                curveToRelative(-0.239f, 0.012f, -0.479f, 0.012f, -0.722f, 0.007f)
                arcToRelative(12.965f, 12.965f, 0.0f, false, true, -0.61f, -0.021f)
                arcToRelative(0.675f, 0.675f, 0.0f, false, true, -0.588f, -0.594f)
                arcToRelative(6.287f, 6.287f, 0.0f, false, true, -0.022f, -1.131f)
                arcToRelative(0.678f, 0.678f, 0.0f, false, true, 0.631f, -0.673f)
                moveTo(24.0f, 12.05f)
                curveToRelative(0.003f, -0.434f, -0.06f, -0.83f, -0.178f, -1.195f)
                arcToRelative(1.916f, 1.916f, 0.0f, false, false, -1.59f, -1.285f)
                arcToRelative(9.213f, 9.213f, 0.0f, false, false, -1.085f, -0.062f)
                curveToRelative(-0.406f, 0.0f, -0.76f, 0.01f, -1.156f, 0.06f)
                arcToRelative(1.932f, 1.932f, 0.0f, false, false, -1.6f, 1.392f)
                arcToRelative(3.792f, 3.792f, 0.0f, false, false, 0.029f, 2.172f)
                arcToRelative(1.906f, 1.906f, 0.0f, false, false, 1.596f, 1.306f)
                curveToRelative(0.342f, 0.037f, 0.684f, 0.054f, 1.037f, 0.054f)
                curveToRelative(0.443f, 0.0f, 0.805f, 0.0f, 1.232f, -0.058f)
                curveToRelative(0.85f, -0.153f, 1.452f, -0.752f, 1.613f, -1.511f)
                curveToRelative(0.065f, -0.282f, 0.1f, -0.57f, 0.102f, -0.873f)
                moveToRelative(-1.91f, -0.02f)
                curveToRelative(0.0f, 0.222f, -0.01f, 0.434f, -0.037f, 0.65f)
                arcToRelative(0.677f, 0.677f, 0.0f, false, true, -0.62f, 0.565f)
                arcToRelative(8.625f, 8.625f, 0.0f, false, true, -0.541f, 0.007f)
                arcToRelative(0.674f, 0.674f, 0.0f, false, true, -0.664f, -0.576f)
                arcToRelative(5.302f, 5.302f, 0.0f, false, true, -0.014f, -1.337f)
                arcToRelative(0.677f, 0.677f, 0.0f, false, true, 0.625f, -0.601f)
                arcToRelative(8.615f, 8.615f, 0.0f, false, true, 0.532f, -0.004f)
                curveToRelative(0.353f, 0.0f, 0.643f, 0.268f, 0.675f, 0.612f)
                curveToRelative(0.03f, 0.223f, 0.044f, 0.452f, 0.044f, 0.684f)
            }
        }
        .build()
        return _iveco!!
    }

private var _iveco: ImageVector? = null
