package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Kodi: ImageVector
    get() {
        if (_kodi != null) {
            return _kodi!!
        }
        _kodi = Builder(name = "Kodi", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.03f, 0.047f)
                curveToRelative(-0.226f, 0.0f, -0.452f, 0.107f, -0.669f, 0.324f)
                curveToRelative(-0.922f, 0.922f, -1.842f, 1.845f, -2.763f, 2.768f)
                curveToRelative(-0.233f, 0.233f, -0.455f, 0.48f, -0.703f, 0.695f)
                curveToRelative(-0.31f, 0.267f, -0.405f, 0.583f, -0.399f, 0.988f)
                curveToRelative(0.02f, 1.399f, 0.008f, 2.799f, 0.008f, 4.198f)
                curveToRelative(0.0f, 1.453f, -0.002f, 2.907f, 0.0f, 4.36f)
                curveToRelative(0.0f, 0.11f, 0.002f, 0.223f, 0.03f, 0.327f)
                curveToRelative(0.087f, 0.337f, 0.303f, 0.393f, 0.546f, 0.15f)
                curveToRelative(1.31f, -1.31f, 2.618f, -2.622f, 3.928f, -3.933f)
                lineToRelative(4.449f, -4.453f)
                curveToRelative(0.43f, -0.431f, 0.43f, -0.905f, 0.0f, -1.336f)
                lineTo(12.697f, 0.37f)
                curveToRelative(-0.216f, -0.217f, -0.442f, -0.324f, -0.668f, -0.324f)
                close()
                moveTo(19.254f, 7.277f)
                curveToRelative(-0.223f, 0.0f, -0.445f, 0.104f, -0.65f, 0.309f)
                lineTo(14.82f, 11.37f)
                curveToRelative(-0.428f, 0.429f, -0.427f, 0.895f, 0.0f, 1.322f)
                lineToRelative(3.76f, 3.766f)
                curveToRelative(0.44f, 0.44f, 0.908f, 0.44f, 1.346f, 0.002f)
                curveToRelative(1.215f, -1.216f, 2.427f, -2.433f, 3.644f, -3.647f)
                curveToRelative(0.182f, -0.18f, 0.353f, -0.364f, 0.43f, -0.615f)
                verticalLineToRelative(-0.33f)
                curveToRelative(-0.077f, -0.251f, -0.246f, -0.436f, -0.428f, -0.617f)
                curveToRelative(-1.224f, -1.22f, -2.443f, -2.445f, -3.666f, -3.668f)
                curveToRelative(-0.205f, -0.205f, -0.429f, -0.307f, -0.652f, -0.307f)
                close()
                moveTo(4.18f, 7.611f)
                curveToRelative(-0.086f, 0.014f, -0.145f, 0.094f, -0.207f, 0.157f)
                lineTo(0.209f, 11.572f)
                curveToRelative(-0.28f, 0.284f, -0.278f, 0.677f, 0.004f, 0.96f)
                lineToRelative(2.043f, 2.046f)
                curveToRelative(0.59f, 0.59f, 1.177f, 1.182f, 1.767f, 1.772f)
                curveToRelative(0.169f, 0.168f, 0.33f, 0.139f, 0.416f, -0.084f)
                curveToRelative(0.044f, -0.114f, 0.062f, -0.242f, 0.063f, -0.364f)
                curveToRelative(0.004f, -1.283f, 0.004f, -2.567f, 0.004f, -3.851f)
                horizontalLineToRelative(-0.002f)
                lineTo(4.504f, 8.184f)
                curveToRelative(0.0f, -0.085f, -0.01f, -0.169f, -0.022f, -0.252f)
                curveToRelative(-0.019f, -0.135f, -0.072f, -0.258f, -0.207f, -0.309f)
                arcToRelative(0.186f, 0.186f, 0.0f, false, false, -0.095f, -0.012f)
                close()
                moveTo(12.088f, 14.449f)
                curveToRelative(-0.224f, 0.0f, -0.447f, 0.106f, -0.656f, 0.315f)
                lineTo(7.66f, 18.537f)
                curveToRelative(-0.433f, 0.434f, -0.433f, 0.899f, 0.002f, 1.334f)
                curveToRelative(1.215f, 1.216f, 2.43f, 2.43f, 3.643f, 3.649f)
                curveToRelative(0.18f, 0.18f, 0.361f, 0.354f, 0.611f, 0.433f)
                horizontalLineToRelative(0.33f)
                curveToRelative(0.244f, -0.069f, 0.423f, -0.226f, 0.598f, -0.402f)
                curveToRelative(1.222f, -1.23f, 2.45f, -2.453f, 3.676f, -3.68f)
                curveToRelative(0.43f, -0.43f, 0.427f, -0.905f, -0.004f, -1.338f)
                lineToRelative(-3.772f, -3.773f)
                curveToRelative(-0.208f, -0.208f, -0.432f, -0.311f, -0.656f, -0.31f)
                close()
            }
        }
        .build()
        return _kodi!!
    }

private var _kodi: ImageVector? = null
