package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Latex: ImageVector
    get() {
        if (_latex != null) {
            return _latex!!
        }
        _latex = Builder(name = "Latex", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(2.176f, 2.814f)
                curveToRelative(0.233f, 0.42f, 0.476f, 0.78f, 0.73f, 1.09f)
                curveToRelative(0.247f, -0.013f, 1.132f, 0.456f, 1.312f, 0.523f)
                curveToRelative(0.508f, 0.282f, 1.063f, 0.63f, 1.567f, 0.966f)
                curveToRelative(0.505f, 0.337f, 0.96f, 0.662f, 1.272f, 0.9f)
                curveToRelative(0.156f, 0.12f, 0.278f, 0.218f, 0.352f, 0.286f)
                arcToRelative(0.483f, 0.483f, 0.0f, false, true, 0.078f, 0.082f)
                arcToRelative(0.08f, 0.08f, 0.0f, false, true, 0.01f, 0.021f)
                arcToRelative(0.06f, 0.06f, 0.0f, false, true, -0.004f, 0.047f)
                arcToRelative(0.057f, 0.057f, 0.0f, false, true, -0.04f, 0.03f)
                arcToRelative(0.077f, 0.077f, 0.0f, false, true, -0.028f, 0.0f)
                curveToRelative(-0.057f, 0.0f, -0.203f, -0.163f, -0.497f, -0.415f)
                arcToRelative(23.474f, 23.474f, 0.0f, false, false, -2.759f, -1.827f)
                curveToRelative(-0.504f, -0.28f, -0.956f, -0.542f, -1.264f, -0.613f)
                arcToRelative(2.322f, 2.322f, 0.0f, false, false, -0.36f, -0.025f)
                arcToRelative(2.706f, 2.706f, 0.0f, false, false, -0.788f, 0.133f)
                curveToRelative(0.494f, 0.414f, 0.91f, 0.716f, 1.28f, 0.949f)
                curveToRelative(-0.57f, -0.182f, -1.182f, -0.21f, -1.902f, 0.133f)
                curveToRelative(0.526f, 0.329f, 0.967f, 0.567f, 1.354f, 0.745f)
                curveToRelative(1.103f, 0.156f, 2.258f, 0.696f, 3.224f, 1.309f)
                curveToRelative(0.483f, 0.307f, 0.904f, 0.615f, 1.219f, 0.867f)
                curveToRelative(0.157f, 0.125f, 0.29f, 0.237f, 0.39f, 0.328f)
                curveToRelative(0.098f, 0.091f, 0.174f, 0.154f, 0.197f, 0.21f)
                curveToRelative(0.03f, 0.073f, -0.019f, 0.104f, -0.084f, 0.058f)
                curveToRelative(-0.032f, -0.022f, -0.088f, -0.102f, -0.184f, -0.191f)
                arcToRelative(7.35f, 7.35f, 0.0f, false, false, -0.384f, -0.327f)
                curveToRelative(-0.312f, -0.25f, -0.729f, -0.552f, -1.209f, -0.857f)
                curveToRelative(-0.893f, -0.562f, -2.232f, -1.013f, -3.173f, -1.397f)
                curveToRelative(-0.602f, -0.11f, -1.225f, -0.06f, -1.906f, 0.39f)
                curveToRelative(0.449f, 0.2f, 0.837f, 0.349f, 1.182f, 0.463f)
                curveToRelative(0.812f, 0.0f, 1.892f, 0.365f, 2.935f, 0.922f)
                curveToRelative(1.042f, 0.556f, 2.04f, 1.214f, 2.523f, 1.774f)
                curveToRelative(0.066f, 0.077f, -0.016f, 0.126f, -0.074f, 0.07f)
                curveToRelative(-0.52f, -0.495f, -1.463f, -1.204f, -2.498f, -1.756f)
                curveToRelative(-0.639f, -0.337f, -2.153f, -1.01f, -2.886f, -1.01f)
                lineToRelative(0.004f, 0.002f)
                curveToRelative(-0.567f, 0.02f, -1.13f, 0.195f, -1.679f, 0.716f)
                curveToRelative(0.477f, 0.118f, 0.885f, 0.196f, 1.244f, 0.249f)
                curveToRelative(-0.44f, 0.088f, -0.87f, 0.3f, -1.289f, 0.722f)
                curveToRelative(0.324f, 0.07f, 0.616f, 0.122f, 0.882f, 0.162f)
                curveToRelative(-0.328f, 0.159f, -0.639f, 0.404f, -0.923f, 0.78f)
                curveToRelative(0.373f, 0.03f, 0.703f, 0.042f, 1.0f, 0.044f)
                curveToRelative(-0.36f, 0.166f, -0.696f, 0.43f, -0.996f, 0.85f)
                curveToRelative(0.533f, 0.027f, 0.98f, 0.025f, 1.364f, 0.003f)
                curveToRelative(-0.422f, 0.172f, -0.812f, 0.464f, -1.145f, 0.968f)
                curveToRelative(0.662f, 0.01f, 1.188f, -0.022f, 1.628f, -0.076f)
                lineToRelative(-0.006f, 0.002f)
                curveToRelative(0.99f, -0.073f, 2.297f, 0.127f, 2.962f, 0.847f)
                curveToRelative(0.052f, 0.057f, -0.024f, 0.118f, -0.072f, 0.074f)
                curveToRelative(-0.648f, -0.58f, -1.493f, -0.827f, -2.89f, -0.921f)
                horizontalLineToRelative(-0.002f)
                curveToRelative(-0.543f, 0.149f, -1.046f, 0.446f, -1.46f, 1.074f)
                curveToRelative(0.536f, 0.008f, 0.982f, -0.013f, 1.366f, -0.05f)
                curveToRelative(-0.469f, 0.257f, -0.873f, 0.644f, -1.139f, 1.306f)
                curveToRelative(0.483f, -0.092f, 0.888f, -0.19f, 1.237f, -0.292f)
                curveToRelative(-0.363f, 0.265f, -0.668f, 0.636f, -0.873f, 1.194f)
                curveToRelative(0.324f, -0.072f, 0.612f, -0.146f, 0.871f, -0.221f)
                arcToRelative(2.519f, 2.519f, 0.0f, false, false, -0.513f, 1.095f)
                curveToRelative(0.352f, -0.13f, 0.655f, -0.254f, 0.926f, -0.377f)
                curveToRelative(-0.257f, 0.3f, -0.453f, 0.681f, -0.55f, 1.19f)
                curveToRelative(0.495f, -0.199f, 0.899f, -0.388f, 1.238f, -0.568f)
                curveToRelative(-0.31f, 0.333f, -0.543f, 0.76f, -0.635f, 1.356f)
                arcToRelative(11.816f, 11.816f, 0.0f, false, false, 1.442f, -0.744f)
                curveToRelative(-0.433f, 0.362f, -0.764f, 0.843f, -0.879f, 1.587f)
                curveToRelative(0.788f, -0.348f, 1.339f, -0.663f, 1.767f, -0.955f)
                curveToRelative(-0.184f, 0.372f, -0.282f, 0.806f, -0.235f, 1.348f)
                curveToRelative(0.762f, -0.584f, 1.243f, -1.056f, 1.602f, -1.473f)
                curveToRelative(-0.024f, 0.269f, -0.003f, 0.56f, 0.077f, 0.884f)
                curveToRelative(0.546f, -0.939f, 1.089f, -1.212f, 1.65f, -1.526f)
                curveToRelative(-0.895f, 0.451f, -0.762f, 0.79f, -0.762f, 1.184f)
                curveToRelative(0.683f, -0.72f, 1.635f, -1.482f, 1.927f, -1.96f)
                curveToRelative(-0.39f, 0.585f, -0.547f, 1.14f, -0.65f, 1.63f)
                curveToRelative(-1.993f, 1.054f, -3.207f, 1.329f, -4.568f, 1.75f)
                curveToRelative(0.528f, 0.194f, 1.093f, 0.383f, 0.859f, 0.652f)
                lineToRelative(-0.624f, 0.622f)
                curveToRelative(0.399f, -0.124f, 0.805f, -0.3f, 1.158f, -0.059f)
                curveToRelative(-0.035f, 0.327f, -0.447f, 0.492f, -0.8f, 0.683f)
                curveToRelative(0.621f, -0.224f, 0.756f, -0.172f, 0.92f, -0.12f)
                curveToRelative(0.081f, 0.393f, -0.203f, 0.603f, -0.388f, 0.862f)
                curveToRelative(1.565f, -1.19f, 3.606f, -2.13f, 5.044f, -2.522f)
                curveToRelative(2.022f, -0.681f, 4.63f, -1.389f, 5.339f, -3.115f)
                lineToRelative(0.712f, -2.847f)
                lineToRelative(-0.004f, 0.004f)
                curveToRelative(-0.111f, -0.034f, -0.246f, -0.063f, -0.35f, -0.133f)
                arcToRelative(0.651f, 0.651f, 0.0f, false, true, -0.235f, -0.297f)
                curveToRelative(-0.252f, 0.065f, -0.44f, 0.03f, -0.56f, -0.088f)
                curveToRelative(-0.117f, -0.117f, -0.167f, -0.296f, -0.203f, -0.491f)
                curveToRelative(-0.203f, 0.041f, -0.362f, 0.016f, -0.467f, -0.077f)
                curveToRelative(-0.116f, -0.101f, -0.17f, -0.26f, -0.198f, -0.444f)
                lineToRelative(-0.008f, -0.039f)
                lineToRelative(0.037f, -0.015f)
                arcToRelative(0.842f, 0.842f, 0.0f, false, false, 0.302f, -0.194f)
                arcToRelative(0.257f, 0.257f, 0.0f, false, false, 0.07f, -0.225f)
                lineToRelative(-0.006f, -0.037f)
                lineToRelative(0.03f, -0.016f)
                curveToRelative(0.163f, -0.093f, 0.345f, -0.169f, 0.428f, -0.28f)
                arcToRelative(0.274f, 0.274f, 0.0f, false, false, 0.053f, -0.21f)
                arcToRelative(0.88f, 0.88f, 0.0f, false, false, -0.155f, -0.357f)
                lineToRelative(-0.027f, -0.04f)
                lineToRelative(0.04f, -0.027f)
                curveToRelative(0.118f, -0.09f, 0.244f, -0.179f, 0.308f, -0.26f)
                curveToRelative(0.032f, -0.04f, 0.048f, -0.076f, 0.047f, -0.11f)
                curveToRelative(0.0f, -0.033f, -0.015f, -0.07f, -0.064f, -0.117f)
                lineToRelative(-0.098f, -0.094f)
                lineToRelative(0.135f, 0.006f)
                curveToRelative(0.213f, 0.01f, 0.395f, -0.007f, 0.538f, -0.053f)
                arcToRelative(0.504f, 0.504f, 0.0f, false, false, 0.274f, -0.197f)
                curveToRelative(-0.007f, -0.033f, -0.02f, -0.063f, -0.02f, -0.098f)
                arcToRelative(0.484f, 0.484f, 0.0f, false, true, 0.967f, 0.0f)
                curveToRelative(0.0f, 0.044f, -0.015f, 0.084f, -0.026f, 0.125f)
                curveToRelative(0.177f, 0.014f, 0.347f, 0.01f, 0.507f, -0.06f)
                lineToRelative(0.002f, 0.001f)
                lineToRelative(0.035f, -0.013f)
                curveToRelative(0.236f, -0.085f, 0.334f, 0.045f, 0.72f, -0.456f)
                curveToRelative(-1.69f, -2.19f, -4.157f, -0.635f, -4.977f, 1.622f)
                curveToRelative(-0.21f, 0.576f, -1.405f, 0.578f, -1.751f, 0.0f)
                curveToRelative(-1.37f, -2.95f, -5.53f, -6.068f, -9.07f, -7.218f)
                close()
                moveTo(3.036f, 4.959f)
                curveToRelative(0.906f, 0.293f, 1.913f, 0.782f, 2.77f, 1.328f)
                curveToRelative(0.43f, 0.273f, 0.813f, 0.543f, 1.114f, 0.779f)
                curveToRelative(0.301f, 0.236f, 0.566f, 0.473f, 0.62f, 0.575f)
                curveToRelative(0.054f, 0.102f, 0.0f, 0.14f, -0.082f, 0.06f)
                curveToRelative(-0.081f, -0.078f, -0.303f, -0.32f, -0.6f, -0.553f)
                curveToRelative(-0.298f, -0.234f, -0.68f, -0.505f, -1.106f, -0.777f)
                curveToRelative(-0.775f, -0.49f, -1.982f, -0.958f, -2.716f, -1.412f)
                close()
                moveTo(1.336f, 7.659f)
                curveToRelative(1.116f, 0.014f, 2.35f, 0.447f, 3.434f, 0.997f)
                curveToRelative(0.541f, 0.275f, 1.023f, 0.567f, 1.395f, 0.83f)
                curveToRelative(0.372f, 0.263f, 0.672f, 0.524f, 0.734f, 0.657f)
                curveToRelative(0.061f, 0.134f, -0.02f, 0.13f, -0.087f, 0.055f)
                arcToRelative(4.401f, 4.401f, 0.0f, false, false, -0.704f, -0.626f)
                arcToRelative(11.47f, 11.47f, 0.0f, false, false, -1.385f, -0.826f)
                curveTo(3.76f, 8.264f, 2.439f, 7.82f, 1.336f, 7.66f)
                close()
                moveTo(16.252f, 8.431f)
                arcToRelative(0.381f, 0.381f, 0.0f, true, false, 0.0f, 0.762f)
                arcToRelative(0.381f, 0.381f, 0.0f, false, false, 0.0f, -0.762f)
                close()
                moveTo(1.7f, 8.478f)
                curveToRelative(0.822f, 0.072f, 1.72f, 0.368f, 2.534f, 0.75f)
                curveToRelative(1.086f, 0.509f, 2.035f, 1.158f, 2.434f, 1.667f)
                curveToRelative(0.035f, 0.045f, -0.014f, 0.131f, -0.08f, 0.062f)
                curveToRelative(-0.428f, -0.44f, -1.322f, -1.131f, -2.397f, -1.635f)
                curveToRelative(-0.913f, -0.421f, -2.282f, -0.87f, -3.262f, -0.78f)
                curveToRelative(0.251f, -0.03f, 0.497f, -0.088f, 0.771f, -0.064f)
                close()
                moveTo(18.039f, 8.488f)
                curveToRelative(-0.366f, 0.475f, -0.53f, 0.423f, -0.703f, 0.464f)
                curveToRelative(0.094f, 0.43f, 0.35f, 0.586f, 0.585f, 0.77f)
                lineToRelative(-0.06f, 0.012f)
                curveToRelative(2.315f, -0.447f, 4.186f, -0.286f, 6.139f, -0.236f)
                lineToRelative(-5.961f, -1.01f)
                close()
                moveTo(17.861f, 9.734f)
                horizontalLineToRelative(-0.002f)
                lineToRelative(-0.004f, 0.016f)
                lineToRelative(0.006f, -0.016f)
                close()
                moveTo(17.236f, 8.977f)
                curveToRelative(-0.183f, 0.074f, -0.373f, 0.076f, -0.563f, 0.059f)
                arcToRelative(0.477f, 0.477f, 0.0f, false, true, -0.42f, 0.26f)
                arcToRelative(0.483f, 0.483f, 0.0f, false, true, -0.435f, -0.278f)
                arcToRelative(0.609f, 0.609f, 0.0f, false, true, -0.274f, 0.188f)
                curveToRelative(-0.139f, 0.045f, -0.308f, 0.057f, -0.493f, 0.055f)
                curveToRelative(0.02f, 0.035f, 0.054f, 0.068f, 0.055f, 0.104f)
                arcToRelative(0.273f, 0.273f, 0.0f, false, true, -0.069f, 0.174f)
                curveToRelative(-0.073f, 0.092f, -0.189f, 0.17f, -0.295f, 0.248f)
                curveToRelative(0.087f, 0.141f, 0.137f, 0.26f, 0.149f, 0.362f)
                arcToRelative(0.39f, 0.39f, 0.0f, false, true, -0.07f, 0.284f)
                curveToRelative(-0.106f, 0.14f, -0.288f, 0.21f, -0.439f, 0.293f)
                arcToRelative(0.374f, 0.374f, 0.0f, false, true, -0.09f, 0.268f)
                arcToRelative(0.89f, 0.89f, 0.0f, false, true, -0.297f, 0.198f)
                curveToRelative(0.027f, 0.156f, 0.074f, 0.283f, 0.154f, 0.354f)
                curveToRelative(0.086f, 0.076f, 0.211f, 0.103f, 0.425f, 0.047f)
                lineToRelative(0.055f, -0.014f)
                lineToRelative(0.01f, 0.055f)
                curveToRelative(0.033f, 0.207f, 0.088f, 0.385f, 0.187f, 0.483f)
                curveToRelative(0.1f, 0.099f, 0.244f, 0.135f, 0.503f, 0.055f)
                lineToRelative(0.049f, -0.015f)
                lineToRelative(0.016f, 0.048f)
                curveToRelative(0.05f, 0.142f, 0.12f, 0.223f, 0.209f, 0.282f)
                curveToRelative(0.087f, 0.06f, 0.247f, 0.112f, 0.358f, 0.147f)
                curveToRelative(0.798f, -0.869f, 1.525f, -1.772f, 1.884f, -2.86f)
                curveToRelative(-0.225f, -0.177f, -0.506f, -0.338f, -0.609f, -0.797f)
                close()
                moveTo(1.006f, 9.363f)
                curveToRelative(1.165f, -0.08f, 2.283f, 0.196f, 3.202f, 0.626f)
                curveToRelative(0.92f, 0.43f, 1.658f, 0.939f, 1.974f, 1.307f)
                curveToRelative(0.075f, 0.087f, -0.019f, 0.12f, -0.072f, 0.072f)
                arcToRelative(8.187f, 8.187f, 0.0f, false, false, -1.947f, -1.29f)
                curveToRelative(-0.904f, -0.414f, -2.193f, -0.644f, -3.157f, -0.715f)
                close()
                moveTo(1.87f, 10.165f)
                curveToRelative(0.61f, 0.02f, 1.24f, 0.155f, 1.806f, 0.352f)
                curveToRelative(0.756f, 0.262f, 1.421f, 0.614f, 1.747f, 0.98f)
                curveToRelative(0.045f, 0.05f, -0.007f, 0.127f, -0.074f, 0.069f)
                curveToRelative(-0.349f, -0.304f, -0.961f, -0.693f, -1.706f, -0.951f)
                curveToRelative(-0.574f, -0.195f, -1.613f, -0.369f, -2.268f, -0.397f)
                curveToRelative(0.197f, -0.022f, 0.292f, -0.06f, 0.495f, -0.053f)
                close()
                moveTo(2.92f, 11.953f)
                curveToRelative(0.423f, 0.034f, 0.886f, 0.133f, 1.341f, 0.407f)
                curveToRelative(0.043f, 0.026f, 0.049f, 0.136f, -0.049f, 0.09f)
                curveToRelative(-0.856f, -0.402f, -1.326f, -0.49f, -2.457f, -0.31f)
                curveToRelative(0.386f, -0.128f, 0.74f, -0.221f, 1.164f, -0.187f)
                close()
                moveTo(2.88f, 12.741f)
                curveToRelative(0.4f, -0.035f, 0.784f, -0.002f, 1.297f, 0.204f)
                curveToRelative(0.044f, 0.018f, 0.08f, 0.126f, -0.033f, 0.094f)
                curveToRelative(-0.857f, -0.243f, -1.167f, -0.328f, -2.287f, 0.104f)
                curveToRelative(0.28f, -0.229f, 0.622f, -0.366f, 1.023f, -0.402f)
                close()
                moveTo(4.165f, 13.428f)
                curveToRelative(0.317f, -0.023f, 0.635f, -0.026f, 0.934f, 0.006f)
                curveToRelative(0.052f, 0.006f, 0.055f, 0.105f, -0.006f, 0.102f)
                arcToRelative(7.87f, 7.87f, 0.0f, false, false, -1.837f, 0.115f)
                curveToRelative(-0.243f, 0.046f, -0.423f, 0.043f, -1.405f, 0.458f)
                curveToRelative(0.287f, -0.233f, 0.794f, -0.452f, 1.385f, -0.56f)
                arcToRelative(8.91f, 8.91f, 0.0f, false, true, 0.93f, -0.12f)
                close()
                moveTo(5.445f, 13.918f)
                curveToRelative(0.099f, 0.003f, 0.062f, 0.104f, 0.006f, 0.103f)
                curveToRelative(-0.728f, -0.01f, -1.304f, 0.132f, -1.875f, 0.295f)
                arcToRelative(9.78f, 9.78f, 0.0f, false, false, -1.318f, 0.525f)
                curveToRelative(0.283f, -0.23f, 0.713f, -0.457f, 1.291f, -0.622f)
                curveToRelative(0.579f, -0.166f, 1.248f, -0.326f, 1.896f, -0.302f)
                close()
                moveTo(5.973f, 14.316f)
                curveToRelative(0.036f, -0.005f, 0.105f, 0.084f, 0.018f, 0.1f)
                curveToRelative(-0.73f, 0.137f, -1.244f, 0.267f, -1.794f, 0.454f)
                curveToRelative(-0.216f, 0.074f, -0.58f, 0.207f, -1.243f, 0.587f)
                curveToRelative(0.26f, -0.269f, 0.656f, -0.492f, 1.213f, -0.68f)
                curveToRelative(0.558f, -0.19f, 1.196f, -0.37f, 1.806f, -0.46f)
                close()
                moveTo(6.284f, 14.823f)
                curveToRelative(0.075f, -0.012f, 0.097f, 0.087f, 0.02f, 0.102f)
                curveToRelative(-1.217f, 0.241f, -1.76f, 0.556f, -2.54f, 1.144f)
                curveToRelative(0.504f, -0.523f, 1.297f, -1.051f, 2.52f, -1.246f)
                close()
                moveTo(6.879f, 15.271f)
                curveToRelative(0.087f, -0.013f, 0.11f, 0.087f, 0.021f, 0.1f)
                curveToRelative(-0.872f, 0.13f, -1.477f, 0.553f, -2.255f, 1.33f)
                curveToRelative(0.295f, -0.493f, 1.004f, -1.24f, 2.234f, -1.43f)
                close()
                moveTo(7.251f, 15.661f)
                curveToRelative(0.046f, -0.006f, 0.114f, 0.073f, 0.023f, 0.1f)
                arcToRelative(2.634f, 2.634f, 0.0f, false, false, -0.669f, 0.3f)
                curveToRelative(-0.182f, 0.118f, -0.3f, 0.2f, -0.597f, 0.507f)
                curveToRelative(0.111f, -0.245f, 0.296f, -0.434f, 0.542f, -0.59f)
                curveToRelative(0.247f, -0.157f, 0.509f, -0.293f, 0.7f, -0.317f)
                close()
            }
        }
        .build()
        return _latex!!
    }

private var _latex: ImageVector? = null
