package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Mailchimp: ImageVector
    get() {
        if (_mailchimp != null) {
            return _mailchimp!!
        }
        _mailchimp = Builder(name = "Mailchimp", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.267f, 0.0f)
                curveTo(6.791f, -0.015f, -1.82f, 10.246f, 1.397f, 12.964f)
                lineToRelative(0.79f, 0.669f)
                arcToRelative(3.88f, 3.88f, 0.0f, false, false, -0.22f, 1.792f)
                curveToRelative(0.084f, 0.84f, 0.518f, 1.644f, 1.22f, 2.266f)
                curveToRelative(0.666f, 0.59f, 1.542f, 0.964f, 2.392f, 0.964f)
                curveToRelative(1.406f, 3.24f, 4.62f, 5.228f, 8.386f, 5.34f)
                curveToRelative(4.04f, 0.12f, 7.433f, -1.776f, 8.854f, -5.182f)
                curveToRelative(0.093f, -0.24f, 0.488f, -1.316f, 0.488f, -2.267f)
                curveToRelative(0.0f, -0.956f, -0.54f, -1.352f, -0.885f, -1.352f)
                curveToRelative(-0.01f, -0.037f, -0.078f, -0.286f, -0.172f, -0.586f)
                curveToRelative(-0.093f, -0.3f, -0.19f, -0.51f, -0.19f, -0.51f)
                curveToRelative(0.375f, -0.563f, 0.382f, -1.065f, 0.332f, -1.35f)
                curveToRelative(-0.053f, -0.353f, -0.2f, -0.653f, -0.496f, -0.964f)
                curveToRelative(-0.296f, -0.311f, -0.902f, -0.63f, -1.753f, -0.868f)
                lineToRelative(-0.446f, -0.124f)
                curveToRelative(-0.002f, -0.019f, -0.024f, -1.053f, -0.043f, -1.497f)
                curveToRelative(-0.014f, -0.32f, -0.042f, -0.822f, -0.197f, -1.315f)
                curveToRelative(-0.186f, -0.668f, -0.508f, -1.253f, -0.911f, -1.627f)
                curveToRelative(1.112f, -1.152f, 1.806f, -2.422f, 1.804f, -3.511f)
                curveToRelative(-0.003f, -2.095f, -2.576f, -2.729f, -5.746f, -1.416f)
                lineToRelative(-0.672f, 0.285f)
                arcTo(678.22f, 678.22f, 0.0f, false, false, 12.7f, 0.504f)
                curveTo(12.304f, 0.159f, 11.817f, 0.002f, 11.267f, 0.0f)
                close()
                moveTo(11.34f, 0.873f)
                curveToRelative(0.166f, 0.0f, 0.322f, 0.019f, 0.465f, 0.058f)
                curveToRelative(0.297f, 0.084f, 1.28f, 1.224f, 1.28f, 1.224f)
                reflectiveCurveToRelative(-1.826f, 1.013f, -3.52f, 2.426f)
                curveToRelative(-2.28f, 1.757f, -4.005f, 4.311f, -5.037f, 7.082f)
                curveToRelative(-0.811f, 0.158f, -1.526f, 0.618f, -1.963f, 1.253f)
                curveToRelative(-0.261f, -0.218f, -0.748f, -0.64f, -0.834f, -0.804f)
                curveToRelative(-0.698f, -1.326f, 0.761f, -3.902f, 1.781f, -5.357f)
                curveTo(5.834f, 3.44f, 9.37f, 0.867f, 11.34f, 0.873f)
                close()
                moveTo(14.626f, 4.146f)
                curveToRelative(0.04f, -0.002f, 0.06f, 0.05f, 0.028f, 0.074f)
                curveToRelative(-0.143f, 0.11f, -0.299f, 0.26f, -0.413f, 0.414f)
                arcToRelative(0.04f, 0.04f, 0.0f, false, false, 0.031f, 0.064f)
                curveToRelative(0.659f, 0.004f, 1.587f, 0.235f, 2.192f, 0.574f)
                curveToRelative(0.041f, 0.023f, 0.012f, 0.103f, -0.034f, 0.092f)
                curveToRelative(-0.915f, -0.21f, -2.414f, -0.369f, -3.97f, 0.01f)
                curveToRelative(-1.39f, 0.34f, -2.45f, 0.863f, -3.224f, 1.426f)
                curveToRelative(-0.04f, 0.028f, -0.086f, -0.023f, -0.055f, -0.06f)
                curveToRelative(0.896f, -1.035f, 1.999f, -1.935f, 2.987f, -2.44f)
                curveToRelative(0.034f, -0.018f, 0.07f, 0.019f, 0.052f, 0.052f)
                curveToRelative(-0.079f, 0.143f, -0.23f, 0.447f, -0.278f, 0.678f)
                curveToRelative(-0.007f, 0.035f, 0.032f, 0.063f, 0.062f, 0.042f)
                curveToRelative(0.615f, -0.42f, 1.684f, -0.868f, 2.622f, -0.926f)
                close()
                moveTo(17.649f, 7.351f)
                lineToRelative(0.056f, 0.001f)
                arcToRelative(0.896f, 0.896f, 0.0f, false, true, 0.456f, 0.146f)
                curveToRelative(0.534f, 0.355f, 0.61f, 1.216f, 0.638f, 1.845f)
                curveToRelative(0.015f, 0.36f, 0.059f, 1.229f, 0.074f, 1.478f)
                curveToRelative(0.034f, 0.571f, 0.184f, 0.651f, 0.487f, 0.751f)
                curveToRelative(0.17f, 0.057f, 0.33f, 0.098f, 0.563f, 0.164f)
                curveToRelative(0.706f, 0.198f, 1.125f, 0.4f, 1.39f, 0.658f)
                curveToRelative(0.157f, 0.162f, 0.23f, 0.333f, 0.253f, 0.497f)
                curveToRelative(0.083f, 0.608f, -0.472f, 1.36f, -1.942f, 2.041f)
                curveToRelative(-1.607f, 0.746f, -3.557f, 0.935f, -4.904f, 0.785f)
                lineToRelative(-0.471f, -0.053f)
                curveToRelative(-1.078f, -0.145f, -1.693f, 1.247f, -1.046f, 2.201f)
                curveToRelative(0.417f, 0.615f, 1.552f, 1.015f, 2.688f, 1.015f)
                curveToRelative(2.604f, 0.0f, 4.605f, -1.111f, 5.35f, -2.072f)
                arcToRelative(0.987f, 0.987f, 0.0f, false, false, 0.06f, -0.085f)
                curveToRelative(0.036f, -0.055f, 0.006f, -0.085f, -0.04f, -0.054f)
                curveToRelative(-0.608f, 0.416f, -3.31f, 2.069f, -6.2f, 1.571f)
                curveToRelative(0.0f, 0.0f, -0.351f, -0.057f, -0.672f, -0.182f)
                curveToRelative(-0.255f, -0.1f, -0.788f, -0.344f, -0.853f, -0.891f)
                curveToRelative(2.333f, 0.72f, 3.801f, 0.039f, 3.801f, 0.039f)
                arcToRelative(0.072f, 0.072f, 0.0f, false, false, 0.042f, -0.072f)
                arcToRelative(0.067f, 0.067f, 0.0f, false, false, -0.074f, -0.06f)
                reflectiveCurveToRelative(-1.911f, 0.283f, -3.718f, -0.378f)
                curveToRelative(0.197f, -0.64f, 0.72f, -0.408f, 1.51f, -0.345f)
                arcToRelative(11.045f, 11.045f, 0.0f, false, false, 3.647f, -0.394f)
                curveToRelative(0.818f, -0.234f, 1.892f, -0.697f, 2.727f, -1.356f)
                curveToRelative(0.281f, 0.618f, 0.38f, 1.299f, 0.38f, 1.299f)
                reflectiveCurveToRelative(0.219f, -0.04f, 0.4f, 0.073f)
                curveToRelative(0.173f, 0.106f, 0.299f, 0.326f, 0.213f, 0.895f)
                curveToRelative(-0.176f, 1.063f, -0.628f, 1.926f, -1.387f, 2.72f)
                arcToRelative(5.714f, 5.714f, 0.0f, false, true, -1.666f, 1.244f)
                curveToRelative(-0.34f, 0.18f, -0.704f, 0.334f, -1.087f, 0.46f)
                curveToRelative(-2.863f, 0.935f, -5.794f, -0.093f, -6.739f, -2.3f)
                arcToRelative(3.545f, 3.545f, 0.0f, false, true, -0.189f, -0.522f)
                curveToRelative(-0.403f, -1.455f, -0.06f, -3.2f, 1.008f, -4.299f)
                curveToRelative(0.065f, -0.07f, 0.132f, -0.153f, 0.132f, -0.256f)
                curveToRelative(0.0f, -0.087f, -0.055f, -0.179f, -0.102f, -0.243f)
                curveToRelative(-0.374f, -0.543f, -1.669f, -1.466f, -1.409f, -3.254f)
                curveToRelative(0.187f, -1.284f, 1.31f, -2.189f, 2.357f, -2.135f)
                curveToRelative(0.089f, 0.004f, 0.177f, 0.01f, 0.266f, 0.015f)
                curveToRelative(0.453f, 0.027f, 0.85f, 0.085f, 1.223f, 0.1f)
                curveToRelative(0.625f, 0.028f, 1.187f, -0.063f, 1.853f, -0.618f)
                curveToRelative(0.225f, -0.187f, 0.405f, -0.35f, 0.71f, -0.401f)
                curveToRelative(0.028f, -0.005f, 0.092f, -0.028f, 0.215f, -0.028f)
                close()
                moveTo(17.671f, 9.531f)
                arcToRelative(0.42f, 0.42f, 0.0f, false, false, -0.06f, 0.005f)
                curveToRelative(-0.335f, 0.054f, -0.347f, 0.468f, -0.228f, 1.04f)
                curveToRelative(0.068f, 0.32f, 0.187f, 0.595f, 0.32f, 0.765f)
                curveToRelative(0.175f, -0.02f, 0.343f, -0.022f, 0.498f, 0.0f)
                curveToRelative(0.089f, -0.205f, 0.104f, -0.557f, 0.024f, -0.942f)
                curveToRelative(-0.112f, -0.535f, -0.261f, -0.872f, -0.554f, -0.868f)
                close()
                moveTo(14.011f, 11.077f)
                arcToRelative(1.724f, 1.724f, 0.0f, false, false, -1.016f, 0.326f)
                curveToRelative(-0.16f, 0.117f, -0.311f, 0.28f, -0.29f, 0.378f)
                curveToRelative(0.008f, 0.032f, 0.031f, 0.056f, 0.088f, 0.063f)
                curveToRelative(0.131f, 0.015f, 0.592f, -0.217f, 1.122f, -0.25f)
                curveToRelative(0.374f, -0.023f, 0.684f, 0.094f, 0.923f, 0.2f)
                curveToRelative(0.239f, 0.104f, 0.386f, 0.173f, 0.443f, 0.113f)
                curveToRelative(0.037f, -0.038f, 0.026f, -0.11f, -0.031f, -0.204f)
                curveToRelative(-0.118f, -0.192f, -0.36f, -0.387f, -0.618f, -0.497f)
                arcToRelative(1.601f, 1.601f, 0.0f, false, false, -0.621f, -0.129f)
                close()
                moveTo(18.093f, 11.887f)
                curveToRelative(-0.171f, -0.003f, -0.313f, 0.186f, -0.317f, 0.42f)
                curveToRelative(-0.004f, 0.236f, 0.131f, 0.43f, 0.303f, 0.432f)
                curveToRelative(0.172f, 0.003f, 0.314f, -0.185f, 0.318f, -0.42f)
                curveToRelative(0.004f, -0.236f, -0.132f, -0.429f, -0.304f, -0.432f)
                close()
                moveTo(14.513f, 12.059f)
                curveToRelative(-0.05f, 0.0f, -0.102f, 0.002f, -0.155f, 0.008f)
                curveToRelative(-0.311f, 0.05f, -0.483f, 0.152f, -0.593f, 0.247f)
                curveToRelative(-0.094f, 0.082f, -0.152f, 0.173f, -0.152f, 0.237f)
                arcToRelative(0.075f, 0.075f, 0.0f, false, false, 0.075f, 0.076f)
                curveToRelative(0.07f, 0.0f, 0.228f, -0.063f, 0.228f, -0.063f)
                arcToRelative(1.98f, 1.98f, 0.0f, false, true, 1.001f, -0.104f)
                curveToRelative(0.157f, 0.018f, 0.23f, 0.027f, 0.265f, -0.026f)
                curveToRelative(0.01f, -0.016f, 0.022f, -0.049f, -0.01f, -0.1f)
                curveToRelative(-0.063f, -0.103f, -0.311f, -0.269f, -0.66f, -0.275f)
                close()
                moveTo(16.773f, 12.459f)
                curveToRelative(-0.127f, 0.0f, -0.235f, 0.051f, -0.283f, 0.148f)
                curveToRelative(-0.075f, 0.154f, 0.035f, 0.363f, 0.246f, 0.466f)
                curveToRelative(0.21f, 0.104f, 0.443f, 0.063f, 0.52f, -0.09f)
                curveToRelative(0.075f, -0.155f, -0.035f, -0.364f, -0.246f, -0.467f)
                arcToRelative(0.542f, 0.542f, 0.0f, false, false, -0.237f, -0.058f)
                close()
                moveTo(5.138f, 12.483f)
                curveToRelative(0.048f, 0.0f, 0.098f, 0.0f, 0.149f, 0.003f)
                curveToRelative(0.73f, 0.04f, 1.806f, 0.6f, 2.052f, 2.19f)
                curveToRelative(0.217f, 1.41f, -0.128f, 2.843f, -1.449f, 3.069f)
                curveToRelative(-0.123f, 0.02f, -0.248f, 0.029f, -0.374f, 0.026f)
                curveToRelative(-1.22f, -0.033f, -2.539f, -1.132f, -2.67f, -2.435f)
                curveToRelative(-0.145f, -1.44f, 0.591f, -2.548f, 1.894f, -2.811f)
                curveToRelative(0.117f, -0.024f, 0.252f, -0.04f, 0.398f, -0.042f)
                close()
                moveTo(5.068f, 13.41f)
                arcToRelative(1.144f, 1.144f, 0.0f, false, false, -0.847f, 0.364f)
                curveToRelative(-0.38f, 0.418f, -0.439f, 0.988f, -0.366f, 1.19f)
                curveToRelative(0.027f, 0.073f, 0.07f, 0.094f, 0.1f, 0.098f)
                curveToRelative(0.064f, 0.008f, 0.16f, -0.039f, 0.22f, -0.2f)
                arcToRelative(1.2f, 1.2f, 0.0f, false, false, 0.017f, -0.052f)
                arcToRelative(1.58f, 1.58f, 0.0f, false, true, 0.157f, -0.37f)
                arcToRelative(0.689f, 0.689f, 0.0f, false, true, 0.955f, -0.199f)
                curveToRelative(0.266f, 0.174f, 0.369f, 0.5f, 0.255f, 0.81f)
                curveToRelative(-0.058f, 0.161f, -0.154f, 0.469f, -0.133f, 0.721f)
                curveToRelative(0.043f, 0.511f, 0.357f, 0.717f, 0.64f, 0.738f)
                curveToRelative(0.274f, 0.01f, 0.466f, -0.143f, 0.515f, -0.256f)
                curveToRelative(0.029f, -0.067f, 0.005f, -0.107f, -0.011f, -0.125f)
                curveToRelative(-0.043f, -0.053f, -0.113f, -0.037f, -0.18f, -0.021f)
                arcToRelative(0.638f, 0.638f, 0.0f, false, true, -0.16f, 0.022f)
                arcToRelative(0.347f, 0.347f, 0.0f, false, true, -0.294f, -0.148f)
                curveToRelative(-0.078f, -0.12f, -0.073f, -0.3f, 0.013f, -0.504f)
                curveToRelative(0.011f, -0.028f, 0.025f, -0.058f, 0.04f, -0.092f)
                curveToRelative(0.138f, -0.308f, 0.368f, -0.825f, 0.11f, -1.317f)
                curveToRelative(-0.195f, -0.37f, -0.513f, -0.602f, -0.894f, -0.65f)
                arcToRelative(1.135f, 1.135f, 0.0f, false, false, -0.138f, -0.01f)
                close()
            }
        }
        .build()
        return _mailchimp!!
    }

private var _mailchimp: ImageVector? = null
