package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Minecraft: ImageVector
    get() {
        if (_minecraft != null) {
            return _minecraft!!
        }
        _minecraft = Builder(name = "Minecraft", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(23.7397f, 10.0058f)
                lineToRelative(-2.4424f, 0.0023f)
                lineToRelative(-0.076f, 0.1198f)
                lineToRelative(-0.03f, -0.1175f)
                horizontalLineToRelative(-2.4586f)
                lineToRelative(-0.0599f, 0.136f)
                lineToRelative(-0.023f, -0.136f)
                lineToRelative(-2.4793f, 0.0023f)
                lineToRelative(-0.0438f, 0.1613f)
                lineToRelative(-0.0161f, -0.1613f)
                lineToRelative(-2.5023f, 0.0023f)
                lineToRelative(-0.023f, 0.265f)
                lineToRelative(-0.007f, -0.265f)
                lineToRelative(-2.5184f, 0.0046f)
                lineToRelative(-0.0092f, 0.242f)
                lineToRelative(-0.0254f, -0.242f)
                lineToRelative(-2.4954f, 0.0023f)
                lineToRelative(-0.016f, 0.1567f)
                lineToRelative(-0.0439f, -0.1567f)
                lineTo(7.2673f, 10.0219f)
                lineToRelative(-0.0968f, 0.6705f)
                lineToRelative(-0.0553f, -0.1382f)
                lineToRelative(-0.0254f, -0.0024f)
                lineToRelative(-0.2096f, -0.53f)
                lineToRelative(-1.189f, 0.0024f)
                lineToRelative(-0.023f, 0.129f)
                lineToRelative(-0.0622f, -0.129f)
                lineTo(4.431f, 10.0242f)
                lineToRelative(-0.03f, 0.1198f)
                lineToRelative(-0.0691f, -0.1198f)
                lineToRelative(-1.1659f, 0.0023f)
                lineToRelative(-0.136f, 0.523f)
                horizontalLineToRelative(-0.3156f)
                lineToRelative(-0.06f, 0.2282f)
                lineToRelative(-0.5506f, -0.7512f)
                lineToRelative(-1.1337f, 0.0023f)
                lineTo(0.0f, 13.0403f)
                lineToRelative(1.03f, 0.954f)
                horizontalLineToRelative(1.1244f)
                lineToRelative(0.1774f, -0.6706f)
                lineToRelative(0.0876f, 0.0968f)
                horizontalLineToRelative(0.2995f)
                lineToRelative(0.5f, 0.5737f)
                horizontalLineToRelative(1.1544f)
                lineToRelative(0.023f, -0.1082f)
                lineToRelative(0.0807f, 0.1082f)
                horizontalLineToRelative(1.1636f)
                lineToRelative(0.0207f, -0.1175f)
                lineToRelative(0.0737f, 0.1175f)
                horizontalLineToRelative(1.1751f)
                lineToRelative(0.09f, -0.629f)
                lineToRelative(0.3018f, 0.629f)
                horizontalLineToRelative(1.1889f)
                lineToRelative(0.0138f, -0.1451f)
                lineToRelative(0.0507f, 0.1451f)
                lineTo(11.03f, 13.9942f)
                lineToRelative(0.0093f, -0.228f)
                lineToRelative(0.0276f, 0.228f)
                horizontalLineToRelative(2.4954f)
                lineToRelative(0.023f, -0.2511f)
                lineToRelative(0.0093f, 0.2511f)
                horizontalLineToRelative(1.2235f)
                lineToRelative(0.0392f, -0.175f)
                lineToRelative(0.0115f, 0.175f)
                horizontalLineToRelative(1.2097f)
                lineToRelative(0.0506f, -0.152f)
                lineToRelative(0.0139f, 0.152f)
                horizontalLineToRelative(1.1958f)
                lineToRelative(0.0622f, -0.1336f)
                lineToRelative(0.0185f, 0.1336f)
                horizontalLineToRelative(1.1843f)
                lineToRelative(0.0714f, -0.122f)
                lineToRelative(0.0208f, 0.122f)
                horizontalLineToRelative(1.175f)
                lineToRelative(0.6798f, -0.9677f)
                lineToRelative(-0.0323f, -0.1544f)
                horizontalLineToRelative(0.3756f)
                lineToRelative(0.5346f, -0.7396f)
                lineToRelative(0.4562f, 1.8594f)
                horizontalLineToRelative(1.152f)
                lineTo(24.0f, 13.0334f)
                lineToRelative(-0.0184f, -0.0737f)
                lineToRelative(-0.0738f, -0.2535f)
                lineToRelative(-0.069f, -0.2327f)
                reflectiveCurveToRelative(-0.219f, -0.712f, -0.2466f, -0.8065f)
                curveToRelative(-0.0346f, -0.1152f, -0.0714f, -0.2327f, -0.1037f, -0.3456f)
                lineToRelative(-0.0046f, -0.0184f)
                lineToRelative(0.4838f, -0.583f)
                close()
                moveTo(21.4147f, 10.174f)
                horizontalLineToRelative(2.2005f)
                lineToRelative(0.1567f, 0.493f)
                horizontalLineToRelative(-0.6383f)
                lineToRelative(0.0046f, 0.0162f)
                curveToRelative(0.0254f, 0.1083f, 0.0554f, 0.2189f, 0.0853f, 0.3295f)
                curveToRelative(0.03f, 0.1129f, 0.0645f, 0.2258f, 0.0968f, 0.3433f)
                curveToRelative(0.0345f, 0.1152f, 0.069f, 0.235f, 0.106f, 0.3525f)
                curveToRelative(0.0368f, 0.1199f, 0.0737f, 0.2374f, 0.1083f, 0.3572f)
                curveToRelative(0.023f, 0.0737f, 0.0438f, 0.1451f, 0.0668f, 0.2189f)
                curveToRelative(0.023f, 0.0737f, 0.046f, 0.1497f, 0.0691f, 0.2235f)
                lineToRelative(0.0692f, 0.228f)
                curveToRelative(0.023f, 0.0761f, 0.0437f, 0.1522f, 0.0667f, 0.2282f)
                horizontalLineToRelative(-0.9976f)
                lineToRelative(-0.6268f, -2.2973f)
                horizontalLineToRelative(-0.6405f)
                close()
                moveTo(21.0599f, 10.1763f)
                lineToRelative(0.1222f, 0.493f)
                horizontalLineToRelative(-1.295f)
                lineToRelative(0.1175f, 0.56f)
                horizontalLineToRelative(1.3134f)
                lineToRelative(0.136f, 0.553f)
                horizontalLineToRelative(-1.3342f)
                lineToRelative(0.2466f, 1.182f)
                lineToRelative(-0.9954f, 0.0023f)
                lineToRelative(-0.5093f, -2.788f)
                close()
                moveTo(18.5069f, 10.1786f)
                lineToRelative(0.4816f, 2.788f)
                horizontalLineToRelative(-0.9954f)
                lineToRelative(-0.129f, -0.8986f)
                horizontalLineToRelative(-0.3733f)
                lineToRelative(0.1221f, 0.8986f)
                horizontalLineToRelative(-0.9954f)
                lineToRelative(-0.3064f, -2.7857f)
                close()
                moveTo(15.9585f, 10.1809f)
                lineToRelative(0.1037f, 1.0322f)
                horizontalLineToRelative(-0.3272f)
                lineToRelative(0.03f, 0.3111f)
                horizontalLineToRelative(0.3272f)
                lineToRelative(0.1451f, 1.4424f)
                horizontalLineToRelative(-0.993f)
                lineToRelative(-0.09f, -1.1751f)
                lineToRelative(-0.3686f, -0.0092f)
                lineToRelative(0.076f, 1.1843f)
                horizontalLineToRelative(-0.993f)
                lineToRelative(-0.1037f, -2.7834f)
                close()
                moveTo(13.4125f, 10.1832f)
                lineToRelative(0.0138f, 0.493f)
                horizontalLineToRelative(-1.272f)
                lineToRelative(-0.0299f, 1.719f)
                horizontalLineToRelative(1.3503f)
                lineToRelative(0.016f, 0.5737f)
                horizontalLineToRelative(-2.364f)
                lineToRelative(0.0945f, -2.7834f)
                close()
                moveTo(10.8687f, 10.1855f)
                lineToRelative(-0.0208f, 0.493f)
                lineTo(9.56f, 10.6785f)
                lineToRelative(-0.0415f, 0.5692f)
                lineToRelative(1.3042f, 0.0023f)
                lineToRelative(-0.023f, 0.5369f)
                lineToRelative(-1.3296f, 0.0023f)
                lineToRelative(-0.0437f, 0.6014f)
                lineToRelative(1.3456f, 0.0045f)
                lineToRelative(-0.0253f, 0.5738f)
                lineTo(8.387f, 12.9689f)
                lineToRelative(0.2926f, -2.7811f)
                close()
                moveTo(8.3295f, 10.1878f)
                lineToRelative(-0.3226f, 2.781f)
                horizontalLineToRelative(-0.9908f)
                lineToRelative(0.1245f, -0.8847f)
                lineToRelative(-0.3273f, -0.0092f)
                lineToRelative(0.083f, -0.5737f)
                lineToRelative(-0.3594f, -0.007f)
                lineToRelative(-0.235f, 1.477f)
                lineTo(5.311f, 12.9712f)
                lineToRelative(0.5184f, -2.7811f)
                horizontalLineToRelative(0.917f)
                lineToRelative(-0.0806f, 0.5138f)
                lineToRelative(0.3157f, 0.0092f)
                lineToRelative(-0.076f, 0.5369f)
                lineToRelative(0.3548f, 0.0046f)
                lineTo(7.41f, 10.19f)
                close()
                moveTo(3.2949f, 10.1924f)
                horizontalLineToRelative(0.9171f)
                lineToRelative(-0.6475f, 2.7788f)
                horizontalLineToRelative(-0.9884f)
                lineToRelative(0.2972f, -1.1797f)
                lineTo(2.516f, 11.7915f)
                lineToRelative(-0.1543f, 0.5737f)
                horizontalLineToRelative(-0.6406f)
                lineToRelative(0.159f, -0.5737f)
                horizontalLineToRelative(-0.3595f)
                lineToRelative(-0.3502f, 1.1797f)
                horizontalLineToRelative(-0.97f)
                lineToRelative(0.8917f, -2.7765f)
                horizontalLineToRelative(0.8986f)
                lineToRelative(-0.1475f, 0.5046f)
                lineToRelative(0.3134f, 0.0115f)
                lineTo(2.0f, 11.257f)
                horizontalLineToRelative(0.6959f)
                lineToRelative(0.1451f, -0.5391f)
                horizontalLineToRelative(0.318f)
                close()
                moveTo(5.4769f, 10.197f)
                lineToRelative(-0.546f, 2.7811f)
                horizontalLineToRelative(-0.9885f)
                lineToRelative(0.6175f, -2.7788f)
                close()
                moveTo(17.6452f, 10.6187f)
                lineToRelative(0.0391f, 0.3248f)
                lineToRelative(-0.341f, -0.0023f)
                lineToRelative(-0.0437f, -0.3202f)
                horizontalLineToRelative(-0.4217f)
                lineToRelative(0.0438f, 0.3525f)
                horizontalLineToRelative(0.387f)
                lineToRelative(0.0185f, 0.129f)
                horizontalLineToRelative(-0.1936f)
                lineToRelative(0.0715f, 0.5461f)
                horizontalLineToRelative(0.2327f)
                lineToRelative(-0.0184f, -0.1843f)
                lineToRelative(0.3456f, -0.0023f)
                lineToRelative(0.03f, 0.1866f)
                horizontalLineToRelative(0.2373f)
                lineToRelative(-0.083f, -0.5414f)
                horizontalLineToRelative(-0.1935f)
                lineToRelative(-0.0162f, -0.1314f)
                lineToRelative(0.3963f, -0.0023f)
                lineToRelative(-0.0553f, -0.3548f)
                close()
                moveTo(14.7166f, 10.674f)
                lineToRelative(0.0369f, 0.5737f)
                horizontalLineToRelative(0.364f)
                lineToRelative(-0.0438f, -0.5737f)
                close()
                moveTo(13.5208f, 11.6786f)
                lineToRelative(0.0184f, 0.5484f)
                lineToRelative(-1.2166f, -0.0023f)
                lineToRelative(0.0115f, -0.4102f)
                horizontalLineToRelative(1.1774f)
                close()
            }
        }
        .build()
        return _minecraft!!
    }

private var _minecraft: ImageVector? = null
