package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Plesk: ImageVector
    get() {
        if (_plesk != null) {
            return _plesk!!
        }
        _plesk = Builder(name = "Plesk", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(6.102f, 7.021f)
                verticalLineToRelative(7.353f)
                horizontalLineToRelative(0.736f)
                lineTo(6.838f, 7.02f)
                close()
                moveTo(19.757f, 7.031f)
                verticalLineToRelative(7.343f)
                horizontalLineToRelative(0.735f)
                lineTo(20.492f, 7.032f)
                close()
                moveTo(20.492f, 11.664f)
                lineToRelative(2.479f, 2.71f)
                horizontalLineToRelative(1.019f)
                lineToRelative(-2.574f, -2.731f)
                lineTo(24.0f, 9.122f)
                horizontalLineToRelative(-0.987f)
                close()
                moveTo(16.484f, 9.028f)
                curveToRelative(-0.536f, 0.0f, -0.972f, 0.125f, -1.31f, 0.378f)
                curveToRelative(-0.337f, 0.252f, -0.505f, 0.609f, -0.505f, 1.07f)
                curveToRelative(0.0f, 0.26f, 0.049f, 0.474f, 0.148f, 0.642f)
                curveToRelative(0.1f, 0.168f, 0.226f, 0.306f, 0.38f, 0.415f)
                curveToRelative(0.154f, 0.108f, 0.328f, 0.198f, 0.522f, 0.267f)
                curveToRelative(0.194f, 0.07f, 0.39f, 0.134f, 0.59f, 0.19f)
                curveToRelative(0.175f, 0.049f, 0.342f, 0.1f, 0.5f, 0.152f)
                curveToRelative(0.158f, 0.052f, 0.297f, 0.117f, 0.418f, 0.194f)
                curveToRelative(0.12f, 0.077f, 0.216f, 0.17f, 0.286f, 0.278f)
                curveToRelative(0.07f, 0.109f, 0.104f, 0.244f, 0.104f, 0.405f)
                curveToRelative(0.0f, 0.21f, -0.095f, 0.388f, -0.286f, 0.535f)
                curveToRelative(-0.19f, 0.147f, -0.484f, 0.221f, -0.88f, 0.221f)
                curveToRelative(-0.609f, 0.0f, -1.104f, -0.245f, -1.485f, -0.735f)
                lineToRelative(-0.572f, 0.504f)
                curveToRelative(0.286f, 0.315f, 0.59f, 0.54f, 0.913f, 0.678f)
                curveToRelative(0.322f, 0.136f, 0.693f, 0.204f, 1.11f, 0.204f)
                curveToRelative(0.272f, 0.0f, 0.527f, -0.033f, 0.766f, -0.1f)
                arcToRelative(1.89f, 1.89f, 0.0f, false, false, 0.621f, -0.294f)
                curveToRelative(0.176f, -0.13f, 0.316f, -0.288f, 0.419f, -0.478f)
                curveToRelative(0.102f, -0.189f, 0.153f, -0.402f, 0.153f, -0.64f)
                curveToRelative(0.0f, -0.26f, -0.051f, -0.474f, -0.153f, -0.646f)
                arcToRelative(1.46f, 1.46f, 0.0f, false, false, -0.402f, -0.436f)
                arcToRelative(2.284f, 2.284f, 0.0f, false, false, -0.545f, -0.289f)
                arcToRelative(13.019f, 13.019f, 0.0f, false, false, -0.594f, -0.205f)
                curveToRelative(-0.161f, -0.049f, -0.317f, -0.1f, -0.467f, -0.152f)
                arcToRelative(2.013f, 2.013f, 0.0f, false, true, -0.397f, -0.184f)
                arcToRelative(0.923f, 0.923f, 0.0f, false, true, -0.275f, -0.252f)
                arcToRelative(0.598f, 0.598f, 0.0f, false, true, -0.104f, -0.357f)
                curveToRelative(0.0f, -0.203f, 0.075f, -0.371f, 0.225f, -0.504f)
                curveToRelative(0.15f, -0.133f, 0.413f, -0.2f, 0.787f, -0.2f)
                curveToRelative(0.293f, 0.0f, 0.546f, 0.055f, 0.759f, 0.163f)
                curveToRelative(0.213f, 0.109f, 0.41f, 0.278f, 0.594f, 0.51f)
                lineToRelative(0.011f, 0.01f)
                lineToRelative(0.54f, -0.494f)
                curveToRelative(-0.272f, -0.315f, -0.556f, -0.535f, -0.853f, -0.661f)
                arcToRelative(2.586f, 2.586f, 0.0f, false, false, -1.018f, -0.19f)
                close()
                moveTo(1.796f, 9.069f)
                curveToRelative(-0.588f, 0.0f, -1.187f, 0.095f, -1.796f, 0.284f)
                verticalLineToRelative(7.626f)
                horizontalLineToRelative(0.725f)
                verticalLineToRelative(-2.72f)
                curveToRelative(0.182f, 0.048f, 0.364f, 0.087f, 0.546f, 0.115f)
                arcToRelative(3.539f, 3.539f, 0.0f, false, false, 1.586f, -0.11f)
                curveToRelative(0.336f, -0.102f, 0.635f, -0.261f, 0.898f, -0.478f)
                curveToRelative(0.263f, -0.217f, 0.474f, -0.494f, 0.636f, -0.83f)
                curveToRelative(0.16f, -0.336f, 0.241f, -0.739f, 0.241f, -1.208f)
                curveToRelative(0.0f, -0.385f, -0.067f, -0.742f, -0.2f, -1.071f)
                arcToRelative(2.42f, 2.42f, 0.0f, false, false, -0.572f, -0.851f)
                arcToRelative(2.636f, 2.636f, 0.0f, false, false, -0.898f, -0.557f)
                curveToRelative(-0.35f, -0.133f, -0.739f, -0.2f, -1.166f, -0.2f)
                close()
                moveTo(10.682f, 9.069f)
                curveToRelative(-0.322f, 0.0f, -0.627f, 0.055f, -0.914f, 0.163f)
                curveToRelative(-0.287f, 0.11f, -0.54f, 0.275f, -0.756f, 0.5f)
                arcToRelative(2.391f, 2.391f, 0.0f, false, false, -0.515f, 0.845f)
                curveToRelative(-0.126f, 0.34f, -0.189f, 0.74f, -0.189f, 1.202f)
                curveToRelative(0.0f, 0.35f, 0.052f, 0.683f, 0.157f, 0.998f)
                curveToRelative(0.106f, 0.315f, 0.263f, 0.596f, 0.473f, 0.84f)
                curveToRelative(0.21f, 0.246f, 0.473f, 0.44f, 0.788f, 0.583f)
                curveToRelative(0.315f, 0.144f, 0.683f, 0.216f, 1.103f, 0.216f)
                curveToRelative(0.455f, 0.0f, 0.844f, -0.068f, 1.166f, -0.205f)
                curveToRelative(0.322f, -0.137f, 0.605f, -0.338f, 0.85f, -0.604f)
                lineToRelative(-0.44f, -0.462f)
                curveToRelative(-0.204f, 0.224f, -0.431f, 0.387f, -0.683f, 0.488f)
                arcToRelative(2.226f, 2.226f, 0.0f, false, true, -0.84f, 0.153f)
                curveToRelative(-0.554f, 0.0f, -0.992f, -0.175f, -1.314f, -0.526f)
                curveToRelative(-0.322f, -0.35f, -0.493f, -0.822f, -0.514f, -1.417f)
                horizontalLineToRelative(3.939f)
                curveToRelative(0.013f, -0.904f, -0.176f, -1.592f, -0.568f, -2.064f)
                curveToRelative(-0.392f, -0.473f, -0.973f, -0.71f, -1.743f, -0.71f)
                close()
                moveTo(10.713f, 9.689f)
                curveToRelative(0.26f, 0.0f, 0.487f, 0.04f, 0.683f, 0.121f)
                curveToRelative(0.196f, 0.08f, 0.355f, 0.187f, 0.478f, 0.32f)
                curveToRelative(0.122f, 0.133f, 0.217f, 0.295f, 0.284f, 0.484f)
                curveToRelative(0.066f, 0.189f, 0.1f, 0.392f, 0.1f, 0.609f)
                lineTo(9.074f, 11.223f)
                arcToRelative(2.126f, 2.126f, 0.0f, false, true, 0.494f, -1.103f)
                curveToRelative(0.111f, -0.126f, 0.264f, -0.23f, 0.456f, -0.31f)
                curveToRelative(0.193f, -0.08f, 0.422f, -0.12f, 0.688f, -0.12f)
                close()
                moveTo(1.86f, 9.7f)
                curveToRelative(0.616f, 0.0f, 1.094f, 0.188f, 1.434f, 0.563f)
                curveToRelative(0.34f, 0.374f, 0.51f, 0.866f, 0.51f, 1.475f)
                curveToRelative(0.0f, 0.659f, -0.185f, 1.165f, -0.552f, 1.518f)
                curveToRelative(-0.368f, 0.354f, -0.863f, 0.53f, -1.486f, 0.53f)
                curveToRelative(-0.168f, 0.0f, -0.342f, -0.018f, -0.52f, -0.057f)
                arcToRelative(4.836f, 4.836f, 0.0f, false, true, -0.52f, -0.142f)
                lineTo(0.726f, 9.868f)
                curveToRelative(0.182f, -0.063f, 0.367f, -0.107f, 0.557f, -0.132f)
                curveToRelative(0.189f, -0.024f, 0.38f, -0.036f, 0.577f, -0.036f)
                close()
                moveTo(4.237f, 16.288f)
                verticalLineToRelative(0.692f)
                lineTo(8.66f, 16.98f)
                verticalLineToRelative(-0.692f)
                close()
            }
        }
        .build()
        return _plesk!!
    }

private var _plesk: ImageVector? = null
