package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Pypi: ImageVector
    get() {
        if (_pypi != null) {
            return _pypi!!
        }
        _pypi = Builder(name = "Pypi", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(23.922f, 13.58f)
                verticalLineToRelative(3.912f)
                lineTo(20.55f, 18.72f)
                lineToRelative(-0.078f, 0.055f)
                lineToRelative(0.052f, 0.037f)
                lineToRelative(3.45f, -1.256f)
                lineToRelative(0.026f, -0.036f)
                verticalLineToRelative(-3.997f)
                lineToRelative(-0.053f, -0.036f)
                lineToRelative(-0.025f, 0.092f)
                close()
                moveTo(23.621f, 5.618f)
                lineToRelative(-3.04f, 1.107f)
                verticalLineToRelative(3.912f)
                lineToRelative(3.339f, -1.215f)
                lineTo(23.92f, 5.509f)
                close()
                moveTo(23.92f, 13.457f)
                lineTo(23.92f, 9.544f)
                lineToRelative(-3.336f, 1.215f)
                verticalLineToRelative(3.913f)
                close()
                moveTo(20.47f, 14.71f)
                lineTo(20.47f, 10.8f)
                lineTo(17.17f, 12.0f)
                verticalLineToRelative(3.913f)
                close()
                moveTo(17.034f, 19.996f)
                verticalLineToRelative(-3.912f)
                lineToRelative(-3.313f, 1.206f)
                verticalLineToRelative(3.912f)
                close()
                moveTo(17.17f, 16.057f)
                verticalLineToRelative(3.868f)
                lineToRelative(3.314f, -1.206f)
                lineTo(20.484f, 14.85f)
                lineToRelative(-3.314f, 1.206f)
                close()
                moveTo(19.263f, 17.939f)
                curveToRelative(-0.367f, 0.134f, -0.663f, -0.074f, -0.663f, -0.463f)
                reflectiveCurveToRelative(0.296f, -0.814f, 0.663f, -0.947f)
                curveToRelative(0.365f, -0.133f, 0.662f, 0.075f, 0.662f, 0.464f)
                reflectiveCurveToRelative(-0.297f, 0.814f, -0.662f, 0.946f)
                close()
                moveTo(13.225f, 9.315f)
                lineToRelative(0.365f, -0.132f)
                lineToRelative(-3.285f, -1.197f)
                lineToRelative(-3.323f, 1.21f)
                lineToRelative(0.102f, 0.037f)
                lineToRelative(3.184f, 1.16f)
                close()
                moveTo(20.507f, 10.664f)
                lineTo(20.507f, 6.751f)
                lineTo(17.17f, 7.965f)
                verticalLineToRelative(3.913f)
                close()
                moveTo(17.058f, 11.918f)
                lineTo(17.058f, 8.005f)
                lineToRelative(-3.302f, 1.202f)
                verticalLineToRelative(3.912f)
                close()
                moveTo(13.643f, 9.246f)
                lineToRelative(-3.336f, 1.215f)
                verticalLineToRelative(3.913f)
                lineToRelative(3.336f, -1.215f)
                close()
                moveTo(6.907f, 13.165f)
                lineToRelative(3.322f, 1.209f)
                verticalLineToRelative(-3.913f)
                lineTo(6.907f, 9.252f)
                close()
                moveTo(10.34f, 7.873f)
                lineToRelative(3.281f, 1.193f)
                lineTo(13.621f, 5.198f)
                lineToRelative(-3.28f, -1.193f)
                close()
                moveTo(20.507f, 2.715f)
                lineTo(17.19f, 3.922f)
                verticalLineToRelative(3.913f)
                lineToRelative(3.317f, -1.207f)
                close()
                moveTo(16.95f, 3.903f)
                lineTo(13.724f, 2.73f)
                lineToRelative(-3.269f, 1.19f)
                lineToRelative(3.225f, 1.174f)
                close()
                moveTo(15.365f, 4.606f)
                lineToRelative(-1.624f, 0.592f)
                verticalLineToRelative(3.868f)
                lineToRelative(3.317f, -1.207f)
                lineTo(17.058f, 3.991f)
                lineToRelative(-1.693f, 0.615f)
                close()
                moveTo(14.974f, 7.384f)
                curveToRelative(-0.367f, 0.134f, -0.662f, -0.074f, -0.662f, -0.464f)
                reflectiveCurveToRelative(0.295f, -0.813f, 0.662f, -0.946f)
                curveToRelative(0.366f, -0.133f, 0.663f, 0.074f, 0.663f, 0.464f)
                reflectiveCurveToRelative(-0.297f, 0.813f, -0.663f, 0.946f)
                close()
                moveTo(10.229f, 18.41f)
                verticalLineToRelative(-3.914f)
                lineToRelative(-3.322f, -1.209f)
                lineTo(6.907f, 17.2f)
                close()
                moveTo(13.678f, 17.182f)
                verticalLineToRelative(-3.913f)
                lineToRelative(-3.371f, 1.227f)
                verticalLineToRelative(3.913f)
                close()
                moveTo(13.756f, 17.154f)
                lineToRelative(3.3f, -1.2f)
                lineTo(17.056f, 12.04f)
                lineToRelative(-3.3f, 1.2f)
                close()
                moveTo(13.678f, 21.217f)
                lineToRelative(-3.371f, 1.227f)
                verticalLineToRelative(-3.912f)
                horizontalLineToRelative(-0.078f)
                verticalLineToRelative(3.912f)
                lineToRelative(-3.322f, -1.209f)
                verticalLineToRelative(-3.913f)
                lineToRelative(-0.053f, -0.058f)
                lineToRelative(-0.025f, -0.06f)
                lineToRelative(-3.336f, -1.21f)
                verticalLineToRelative(-3.948f)
                lineToRelative(0.034f, 0.013f)
                lineToRelative(3.287f, 1.196f)
                lineToRelative(0.015f, -0.078f)
                lineToRelative(-3.261f, -1.187f)
                lineToRelative(3.26f, -1.187f)
                verticalLineToRelative(-0.109f)
                lineTo(3.876f, 9.62f)
                lineToRelative(-0.307f, -0.112f)
                lineToRelative(3.26f, -1.188f)
                verticalLineToRelative(0.877f)
                lineToRelative(0.079f, -0.055f)
                lineTo(6.908f, 6.769f)
                lineToRelative(3.257f, 1.185f)
                lineToRelative(0.058f, -0.061f)
                lineTo(7.084f, 6.75f)
                lineToRelative(-0.102f, -0.037f)
                lineToRelative(3.24f, -1.179f)
                verticalLineToRelative(-0.083f)
                lineTo(6.854f, 6.677f)
                verticalLineToRelative(0.018f)
                lineToRelative(-0.025f, 0.018f)
                verticalLineToRelative(1.523f)
                lineTo(3.44f, 9.47f)
                verticalLineToRelative(0.02f)
                lineToRelative(-0.025f, 0.017f)
                verticalLineToRelative(4.007f)
                lineToRelative(-3.39f, 1.233f)
                verticalLineToRelative(0.019f)
                lineTo(0.0f, 14.784f)
                verticalLineToRelative(3.995f)
                lineToRelative(0.025f, 0.037f)
                lineToRelative(3.4f, 1.237f)
                lineToRelative(0.008f, -0.006f)
                lineToRelative(0.007f, 0.01f)
                lineToRelative(3.4f, 1.238f)
                lineToRelative(0.008f, -0.006f)
                lineToRelative(0.006f, 0.01f)
                lineToRelative(3.4f, 1.237f)
                lineToRelative(0.014f, -0.009f)
                lineToRelative(0.012f, 0.01f)
                lineToRelative(3.45f, -1.256f)
                lineToRelative(0.026f, -0.037f)
                lineToRelative(-0.078f, -0.027f)
                close()
                moveTo(3.493f, 9.563f)
                lineToRelative(3.257f, 1.185f)
                lineToRelative(-3.257f, 1.187f)
                lineTo(3.493f, 9.562f)
                close()
                moveTo(3.4f, 19.96f)
                lineTo(0.078f, 18.752f)
                verticalLineToRelative(-3.913f)
                lineToRelative(2.361f, 0.86f)
                lineToRelative(0.96f, 0.349f)
                verticalLineToRelative(3.913f)
                close()
                moveTo(3.415f, 15.97f)
                lineTo(0.335f, 14.85f)
                lineToRelative(-0.182f, -0.066f)
                lineToRelative(3.262f, -1.187f)
                verticalLineToRelative(2.374f)
                close()
                moveTo(6.814f, 21.201f)
                lineToRelative(-3.321f, -1.209f)
                verticalLineToRelative(-3.912f)
                lineToRelative(3.321f, 1.209f)
                verticalLineToRelative(3.912f)
                close()
                moveTo(23.791f, 5.434f)
                lineToRelative(-3.21f, -1.17f)
                verticalLineToRelative(2.338f)
                close()
                moveTo(20.387f, 2.643f)
                lineToRelative(-3.24f, -1.18f)
                lineToRelative(-3.27f, 1.19f)
                lineToRelative(3.247f, 1.182f)
                close()
            }
        }
        .build()
        return _pypi!!
    }

private var _pypi: ImageVector? = null
