package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Python: ImageVector
    get() {
        if (_python != null) {
            return _python!!
        }
        _python = Builder(name = "Python", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(14.25f, 0.18f)
                lineToRelative(0.9f, 0.2f)
                lineToRelative(0.73f, 0.26f)
                lineToRelative(0.59f, 0.3f)
                lineToRelative(0.45f, 0.32f)
                lineToRelative(0.34f, 0.34f)
                lineToRelative(0.25f, 0.34f)
                lineToRelative(0.16f, 0.33f)
                lineToRelative(0.1f, 0.3f)
                lineToRelative(0.04f, 0.26f)
                lineToRelative(0.02f, 0.2f)
                lineToRelative(-0.01f, 0.13f)
                lineTo(17.82f, 8.5f)
                lineToRelative(-0.05f, 0.63f)
                lineToRelative(-0.13f, 0.55f)
                lineToRelative(-0.21f, 0.46f)
                lineToRelative(-0.26f, 0.38f)
                lineToRelative(-0.3f, 0.31f)
                lineToRelative(-0.33f, 0.25f)
                lineToRelative(-0.35f, 0.19f)
                lineToRelative(-0.35f, 0.14f)
                lineToRelative(-0.33f, 0.1f)
                lineToRelative(-0.3f, 0.07f)
                lineToRelative(-0.26f, 0.04f)
                lineToRelative(-0.21f, 0.02f)
                lineTo(8.77f, 11.64f)
                lineToRelative(-0.69f, 0.05f)
                lineToRelative(-0.59f, 0.14f)
                lineToRelative(-0.5f, 0.22f)
                lineToRelative(-0.41f, 0.27f)
                lineToRelative(-0.33f, 0.32f)
                lineToRelative(-0.27f, 0.35f)
                lineToRelative(-0.2f, 0.36f)
                lineToRelative(-0.15f, 0.37f)
                lineToRelative(-0.1f, 0.35f)
                lineToRelative(-0.07f, 0.32f)
                lineToRelative(-0.04f, 0.27f)
                lineToRelative(-0.02f, 0.21f)
                verticalLineToRelative(3.06f)
                lineTo(3.17f, 17.93f)
                lineToRelative(-0.21f, -0.03f)
                lineToRelative(-0.28f, -0.07f)
                lineToRelative(-0.32f, -0.12f)
                lineToRelative(-0.35f, -0.18f)
                lineToRelative(-0.36f, -0.26f)
                lineToRelative(-0.36f, -0.36f)
                lineToRelative(-0.35f, -0.46f)
                lineToRelative(-0.32f, -0.59f)
                lineToRelative(-0.28f, -0.73f)
                lineToRelative(-0.21f, -0.88f)
                lineToRelative(-0.14f, -1.05f)
                lineToRelative(-0.05f, -1.23f)
                lineToRelative(0.06f, -1.22f)
                lineToRelative(0.16f, -1.04f)
                lineToRelative(0.24f, -0.87f)
                lineToRelative(0.32f, -0.71f)
                lineToRelative(0.36f, -0.57f)
                lineToRelative(0.4f, -0.44f)
                lineToRelative(0.42f, -0.33f)
                lineToRelative(0.42f, -0.24f)
                lineToRelative(0.4f, -0.16f)
                lineToRelative(0.36f, -0.1f)
                lineToRelative(0.32f, -0.05f)
                lineToRelative(0.24f, -0.01f)
                horizontalLineToRelative(0.16f)
                lineToRelative(0.06f, 0.01f)
                horizontalLineToRelative(8.16f)
                verticalLineToRelative(-0.83f)
                lineTo(6.18f, 5.41f)
                lineToRelative(-0.01f, -2.75f)
                lineToRelative(-0.02f, -0.37f)
                lineToRelative(0.05f, -0.34f)
                lineToRelative(0.11f, -0.31f)
                lineToRelative(0.17f, -0.28f)
                lineToRelative(0.25f, -0.26f)
                lineToRelative(0.31f, -0.23f)
                lineToRelative(0.38f, -0.2f)
                lineToRelative(0.44f, -0.18f)
                lineToRelative(0.51f, -0.15f)
                lineToRelative(0.58f, -0.12f)
                lineToRelative(0.64f, -0.1f)
                lineToRelative(0.71f, -0.06f)
                lineToRelative(0.77f, -0.04f)
                lineToRelative(0.84f, -0.02f)
                lineToRelative(1.27f, 0.05f)
                close()
                moveTo(7.95f, 2.16f)
                lineToRelative(-0.23f, 0.33f)
                lineToRelative(-0.08f, 0.41f)
                lineToRelative(0.08f, 0.41f)
                lineToRelative(0.23f, 0.34f)
                lineToRelative(0.33f, 0.22f)
                lineToRelative(0.41f, 0.09f)
                lineToRelative(0.41f, -0.09f)
                lineToRelative(0.33f, -0.22f)
                lineToRelative(0.23f, -0.34f)
                lineToRelative(0.08f, -0.41f)
                lineToRelative(-0.08f, -0.41f)
                lineToRelative(-0.23f, -0.33f)
                lineToRelative(-0.33f, -0.22f)
                lineToRelative(-0.41f, -0.09f)
                lineToRelative(-0.41f, 0.09f)
                close()
                moveTo(21.04f, 6.11f)
                lineToRelative(0.28f, 0.06f)
                lineToRelative(0.32f, 0.12f)
                lineToRelative(0.35f, 0.18f)
                lineToRelative(0.36f, 0.27f)
                lineToRelative(0.36f, 0.35f)
                lineToRelative(0.35f, 0.47f)
                lineToRelative(0.32f, 0.59f)
                lineToRelative(0.28f, 0.73f)
                lineToRelative(0.21f, 0.88f)
                lineToRelative(0.14f, 1.04f)
                lineToRelative(0.05f, 1.23f)
                lineToRelative(-0.06f, 1.23f)
                lineToRelative(-0.16f, 1.04f)
                lineToRelative(-0.24f, 0.86f)
                lineToRelative(-0.32f, 0.71f)
                lineToRelative(-0.36f, 0.57f)
                lineToRelative(-0.4f, 0.45f)
                lineToRelative(-0.42f, 0.33f)
                lineToRelative(-0.42f, 0.24f)
                lineToRelative(-0.4f, 0.16f)
                lineToRelative(-0.36f, 0.09f)
                lineToRelative(-0.32f, 0.05f)
                lineToRelative(-0.24f, 0.02f)
                lineToRelative(-0.16f, -0.01f)
                horizontalLineToRelative(-8.22f)
                verticalLineToRelative(0.82f)
                horizontalLineToRelative(5.84f)
                lineToRelative(0.01f, 2.76f)
                lineToRelative(0.02f, 0.36f)
                lineToRelative(-0.05f, 0.34f)
                lineToRelative(-0.11f, 0.31f)
                lineToRelative(-0.17f, 0.29f)
                lineToRelative(-0.25f, 0.25f)
                lineToRelative(-0.31f, 0.24f)
                lineToRelative(-0.38f, 0.2f)
                lineToRelative(-0.44f, 0.17f)
                lineToRelative(-0.51f, 0.15f)
                lineToRelative(-0.58f, 0.13f)
                lineToRelative(-0.64f, 0.09f)
                lineToRelative(-0.71f, 0.07f)
                lineToRelative(-0.77f, 0.04f)
                lineToRelative(-0.84f, 0.01f)
                lineToRelative(-1.27f, -0.04f)
                lineToRelative(-1.07f, -0.14f)
                lineToRelative(-0.9f, -0.2f)
                lineToRelative(-0.73f, -0.25f)
                lineToRelative(-0.59f, -0.3f)
                lineToRelative(-0.45f, -0.33f)
                lineToRelative(-0.34f, -0.34f)
                lineToRelative(-0.25f, -0.34f)
                lineToRelative(-0.16f, -0.33f)
                lineToRelative(-0.1f, -0.3f)
                lineToRelative(-0.04f, -0.25f)
                lineToRelative(-0.02f, -0.2f)
                lineToRelative(0.01f, -0.13f)
                verticalLineToRelative(-5.34f)
                lineToRelative(0.05f, -0.64f)
                lineToRelative(0.13f, -0.54f)
                lineToRelative(0.21f, -0.46f)
                lineToRelative(0.26f, -0.38f)
                lineToRelative(0.3f, -0.32f)
                lineToRelative(0.33f, -0.24f)
                lineToRelative(0.35f, -0.2f)
                lineToRelative(0.35f, -0.14f)
                lineToRelative(0.33f, -0.1f)
                lineToRelative(0.3f, -0.06f)
                lineToRelative(0.26f, -0.04f)
                lineToRelative(0.21f, -0.02f)
                lineToRelative(0.13f, -0.01f)
                horizontalLineToRelative(5.84f)
                lineToRelative(0.69f, -0.05f)
                lineToRelative(0.59f, -0.14f)
                lineToRelative(0.5f, -0.21f)
                lineToRelative(0.41f, -0.28f)
                lineToRelative(0.33f, -0.32f)
                lineToRelative(0.27f, -0.35f)
                lineToRelative(0.2f, -0.36f)
                lineToRelative(0.15f, -0.36f)
                lineToRelative(0.1f, -0.35f)
                lineToRelative(0.07f, -0.32f)
                lineToRelative(0.04f, -0.28f)
                lineToRelative(0.02f, -0.21f)
                lineTo(18.6f, 6.07f)
                horizontalLineToRelative(2.09f)
                lineToRelative(0.14f, 0.01f)
                close()
                moveTo(14.57f, 20.36f)
                lineToRelative(-0.23f, 0.33f)
                lineToRelative(-0.08f, 0.41f)
                lineToRelative(0.08f, 0.41f)
                lineToRelative(0.23f, 0.33f)
                lineToRelative(0.33f, 0.23f)
                lineToRelative(0.41f, 0.08f)
                lineToRelative(0.41f, -0.08f)
                lineToRelative(0.33f, -0.23f)
                lineToRelative(0.23f, -0.33f)
                lineToRelative(0.08f, -0.41f)
                lineToRelative(-0.08f, -0.41f)
                lineToRelative(-0.23f, -0.33f)
                lineToRelative(-0.33f, -0.23f)
                lineToRelative(-0.41f, -0.08f)
                lineToRelative(-0.41f, 0.08f)
                close()
            }
        }
        .build()
        return _python!!
    }

private var _python: ImageVector? = null
