package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Readthedocs: ImageVector
    get() {
        if (_readthedocs != null) {
            return _readthedocs!!
        }
        _readthedocs = Builder(name = "Readthedocs", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(7.732f, 0.0f)
                arcToRelative(59.316f, 59.316f, 0.0f, false, false, -4.977f, 0.218f)
                lineTo(2.755f, 24.0f)
                arcToRelative(62.933f, 62.933f, 0.0f, false, true, 3.619f, -0.687f)
                curveToRelative(0.17f, -0.028f, 0.34f, -0.053f, 0.509f, -0.078f)
                curveToRelative(0.215f, -0.033f, 0.43f, -0.066f, 0.644f, -0.096f)
                lineToRelative(0.205f, -0.03f)
                close()
                moveTo(8.912f, 0.003f)
                lineTo(8.912f, 22.96f)
                arcToRelative(61.042f, 61.042f, 0.0f, false, true, 12.333f, -0.213f)
                lineTo(21.245f, 1.485f)
                arcTo(60.859f, 60.859f, 0.0f, false, false, 8.912f, 0.003f)
                close()
                moveTo(10.619f, 1.813f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, 0.015f, 0.0f)
                curveToRelative(3.06f, 0.088f, 6.125f, 0.404f, 9.167f, 0.95f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, 0.476f, 0.686f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, -0.569f, 0.484f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, -0.116f, -0.009f)
                arcToRelative(60.622f, 60.622f, 0.0f, false, false, -8.992f, -0.931f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, -0.573f, -0.607f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, 0.592f, -0.572f)
                close()
                moveTo(6.407f, 1.841f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, 0.578f, 0.565f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, -0.564f, 0.614f)
                arcToRelative(59.74f, 59.74f, 0.0f, false, false, -2.355f, 0.144f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, -0.04f, 0.002f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, -0.595f, -0.542f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, 0.54f, -0.635f)
                curveToRelative(0.8f, -0.065f, 1.6f, -0.114f, 2.401f, -0.148f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, 0.035f, 0.0f)
                close()
                moveTo(10.609f, 4.675f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, 0.015f, 0.0f)
                arcToRelative(61.6f, 61.6f, 0.0f, false, true, 9.167f, 0.8f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, 0.488f, 0.677f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, -0.602f, 0.494f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, -0.076f, -0.006f)
                arcToRelative(60.376f, 60.376f, 0.0f, false, false, -8.99f, -0.786f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, -0.584f, -0.596f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, 0.582f, -0.583f)
                close()
                moveTo(6.398f, 4.772f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, 0.587f, 0.555f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, -0.554f, 0.622f)
                curveToRelative(-0.786f, 0.046f, -1.572f, 0.107f, -2.356f, 0.184f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, -0.04f, 0.003f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, -0.603f, -0.533f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, 0.53f, -0.644f)
                curveToRelative(0.8f, -0.078f, 1.599f, -0.14f, 2.4f, -0.187f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, 0.036f, 0.0f)
                close()
                moveTo(10.6f, 7.535f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, 0.015f, 0.0f)
                curveToRelative(3.06f, -0.013f, 6.125f, 0.204f, 9.167f, 0.65f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, 0.498f, 0.67f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, -0.593f, 0.504f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, -0.076f, -0.006f)
                arcToRelative(60.142f, 60.142f, 0.0f, false, false, -8.992f, -0.638f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, -0.592f, -0.588f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, 0.573f, -0.592f)
                close()
                moveTo(11.753f, 10.381f)
                arcToRelative(61.093f, 61.093f, 0.0f, false, true, 8.02f, 0.515f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, 0.509f, 0.66f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, -0.586f, 0.514f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, -0.076f, -0.005f)
                arcToRelative(59.982f, 59.982f, 0.0f, false, false, -8.99f, -0.492f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, -0.603f, -0.577f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, 0.578f, -0.603f)
                curveToRelative(0.382f, -0.008f, 0.765f, -0.012f, 1.148f, -0.012f)
                close()
                moveTo(12.892f, 13.213f)
                arcToRelative(60.92f, 60.92f, 0.0f, false, true, 6.871f, 0.394f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, 0.52f, 0.652f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, -0.577f, 0.523f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, -0.076f, -0.004f)
                arcToRelative(59.936f, 59.936f, 0.0f, false, false, -8.991f, -0.344f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, -0.61f, -0.568f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, 0.567f, -0.611f)
                curveToRelative(0.765f, -0.028f, 1.53f, -0.042f, 2.296f, -0.042f)
                close()
            }
        }
        .build()
        return _readthedocs!!
    }

private var _readthedocs: ImageVector? = null
