package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Webgl: ImageVector
    get() {
        if (_webgl != null) {
            return _webgl!!
        }
        _webgl = Builder(name = "Webgl", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(18.928f, 14.179f)
                curveToRelative(-0.214f, 0.09f, -0.427f, 0.135f, -0.643f, 0.135f)
                curveToRelative(-0.342f, 0.0f, -0.65f, -0.059f, -0.923f, -0.178f)
                arcToRelative(1.963f, 1.963f, 0.0f, false, true, -0.69f, -0.491f)
                curveToRelative(-0.187f, -0.209f, -0.332f, -0.453f, -0.432f, -0.735f)
                reflectiveCurveToRelative(-0.149f, -0.586f, -0.149f, -0.911f)
                curveToRelative(0.0f, -0.335f, 0.05f, -0.643f, 0.149f, -0.93f)
                curveToRelative(0.1f, -0.287f, 0.242f, -0.536f, 0.429f, -0.747f)
                arcToRelative(1.96f, 1.96f, 0.0f, false, true, 0.69f, -0.501f)
                arcToRelative(2.25f, 2.25f, 0.0f, false, true, 0.923f, -0.183f)
                curveToRelative(0.23f, 0.0f, 0.451f, 0.036f, 0.664f, 0.104f)
                curveToRelative(0.214f, 0.069f, 0.408f, 0.171f, 0.581f, 0.304f)
                reflectiveCurveToRelative(0.316f, 0.299f, 0.427f, 0.496f)
                arcToRelative(1.7f, 1.7f, 0.0f, false, true, 0.206f, 0.676f)
                horizontalLineToRelative(-0.935f)
                curveToRelative(-0.059f, -0.249f, -0.171f, -0.437f, -0.337f, -0.562f)
                arcToRelative(0.973f, 0.973f, 0.0f, false, false, -0.607f, -0.187f)
                curveToRelative(-0.221f, 0.0f, -0.408f, 0.043f, -0.562f, 0.128f)
                reflectiveCurveToRelative(-0.28f, 0.199f, -0.375f, 0.344f)
                curveToRelative(-0.095f, 0.145f, -0.166f, 0.308f, -0.209f, 0.491f)
                reflectiveCurveToRelative(-0.066f, 0.372f, -0.066f, 0.569f)
                curveToRelative(0.0f, 0.187f, 0.021f, 0.37f, 0.066f, 0.548f)
                curveToRelative(0.043f, 0.178f, 0.114f, 0.337f, 0.209f, 0.479f)
                curveToRelative(0.095f, 0.142f, 0.221f, 0.256f, 0.375f, 0.342f)
                reflectiveCurveToRelative(0.342f, 0.128f, 0.562f, 0.128f)
                curveToRelative(0.325f, 0.0f, 0.577f, -0.083f, 0.754f, -0.247f)
                curveToRelative(0.178f, -0.164f, 0.28f, -0.401f, 0.311f, -0.714f)
                horizontalLineToRelative(-0.987f)
                lineTo(18.359f, 11.8f)
                horizontalLineToRelative(1.872f)
                verticalLineToRelative(2.413f)
                horizontalLineToRelative(-0.624f)
                lineToRelative(-0.1f, -0.505f)
                arcToRelative(1.444f, 1.444f, 0.0f, false, true, -0.579f, 0.471f)
                close()
                moveTo(21.824f, 9.75f)
                verticalLineToRelative(3.632f)
                lineTo(24.0f, 13.382f)
                verticalLineToRelative(0.828f)
                horizontalLineToRelative(-3.155f)
                lineTo(20.845f, 9.75f)
                horizontalLineToRelative(0.979f)
                close()
                moveTo(2.785f, 11.999f)
                curveToRelative(0.0f, -0.709f, 0.343f, -1.376f, 0.948f, -1.962f)
                lineToRelative(1.109f, 4.221f)
                horizontalLineToRelative(0.764f)
                lineToRelative(1.075f, -3.815f)
                lineToRelative(1.06f, 3.815f)
                horizontalLineToRelative(0.766f)
                lineToRelative(1.321f, -4.856f)
                horizontalLineToRelative(-0.86f)
                lineToRelative(-0.861f, 3.725f)
                lineToRelative(-1.039f, -3.726f)
                lineTo(6.28f, 9.401f)
                lineToRelative(-1.039f, 3.725f)
                lineToRelative(-0.84f, -3.632f)
                curveToRelative(1.489f, -1.025f, 3.868f, -1.69f, 6.548f, -1.69f)
                curveToRelative(2.512f, 0.0f, 4.764f, 0.529f, 6.261f, 1.445f)
                curveToRelative(-1.632f, -1.535f, -4.565f, -2.612f, -7.915f, -2.614f)
                curveTo(4.161f, 6.635f, 0.0f, 9.036f, 0.0f, 11.999f)
                reflectiveCurveToRelative(4.161f, 5.367f, 9.293f, 5.367f)
                curveToRelative(3.338f, 0.0f, 6.261f, -1.075f, 7.9f, -2.6f)
                curveToRelative(-1.497f, 0.911f, -3.741f, 1.428f, -6.244f, 1.428f)
                curveToRelative(-4.51f, -0.001f, -8.164f, -1.877f, -8.164f, -4.195f)
                close()
                moveTo(11.979f, 11.446f)
                arcToRelative(1.184f, 1.184f, 0.0f, false, false, -0.444f, -0.384f)
                arcToRelative(1.378f, 1.378f, 0.0f, false, false, -0.622f, -0.135f)
                curveToRelative(-0.261f, 0.0f, -0.496f, 0.047f, -0.7f, 0.14f)
                arcToRelative(1.313f, 1.313f, 0.0f, false, false, -0.489f, 0.387f)
                curveToRelative(-0.244f, 0.311f, -0.372f, 0.75f, -0.372f, 1.269f)
                curveToRelative(0.0f, 0.23f, 0.033f, 0.448f, 0.097f, 0.643f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.285f, 0.515f)
                curveToRelative(0.261f, 0.304f, 0.633f, 0.465f, 1.077f, 0.465f)
                curveToRelative(0.233f, 0.0f, 0.422f, -0.024f, 0.581f, -0.074f)
                curveToRelative(0.138f, -0.043f, 0.23f, -0.1f, 0.306f, -0.149f)
                arcToRelative(1.357f, 1.357f, 0.0f, false, false, 0.444f, -0.489f)
                curveToRelative(0.09f, -0.166f, 0.135f, -0.323f, 0.145f, -0.403f)
                lineToRelative(0.007f, -0.055f)
                horizontalLineToRelative(-0.633f)
                lineToRelative(-0.002f, 0.045f)
                curveToRelative(-0.017f, 0.206f, -0.287f, 0.574f, -0.769f, 0.574f)
                curveToRelative(-0.688f, 0.0f, -0.852f, -0.498f, -0.864f, -0.937f)
                horizontalLineToRelative(2.306f)
                verticalLineToRelative(-0.05f)
                arcToRelative(3.15f, 3.15f, 0.0f, false, false, -0.085f, -0.766f)
                arcToRelative(1.84f, 1.84f, 0.0f, false, false, -0.268f, -0.596f)
                close()
                moveTo(10.84f, 11.496f)
                curveToRelative(0.51f, 0.0f, 0.783f, 0.275f, 0.833f, 0.84f)
                horizontalLineToRelative(-1.651f)
                curveToRelative(0.025f, -0.458f, 0.388f, -0.84f, 0.818f, -0.84f)
                close()
                moveTo(15.518f, 11.911f)
                arcToRelative(1.575f, 1.575f, 0.0f, false, false, -0.268f, -0.515f)
                arcToRelative(1.25f, 1.25f, 0.0f, false, false, -0.437f, -0.346f)
                arcToRelative(1.36f, 1.36f, 0.0f, false, false, -0.586f, -0.126f)
                arcToRelative(1.141f, 1.141f, 0.0f, false, false, -0.531f, 0.128f)
                arcToRelative(1.1f, 1.1f, 0.0f, false, false, -0.346f, 0.28f)
                verticalLineToRelative(-1.49f)
                horizontalLineToRelative(-0.631f)
                verticalLineToRelative(4.413f)
                horizontalLineToRelative(0.6f)
                verticalLineToRelative(-0.301f)
                arcToRelative(0.964f, 0.964f, 0.0f, false, false, 0.211f, 0.206f)
                curveToRelative(0.171f, 0.123f, 0.382f, 0.185f, 0.626f, 0.185f)
                curveToRelative(0.263f, 0.0f, 0.501f, -0.059f, 0.7f, -0.176f)
                curveToRelative(0.178f, -0.104f, 0.33f, -0.254f, 0.448f, -0.444f)
                arcToRelative(1.93f, 1.93f, 0.0f, false, false, 0.235f, -0.584f)
                arcToRelative(2.66f, 2.66f, 0.0f, false, false, 0.069f, -0.603f)
                arcToRelative(1.986f, 1.986f, 0.0f, false, false, -0.09f, -0.627f)
                close()
                moveTo(14.951f, 12.628f)
                curveToRelative(0.0f, 0.346f, -0.069f, 0.636f, -0.202f, 0.84f)
                arcToRelative(0.682f, 0.682f, 0.0f, false, true, -0.605f, 0.325f)
                curveToRelative(-0.377f, 0.0f, -0.819f, -0.263f, -0.819f, -1.008f)
                curveToRelative(0.0f, -0.356f, 0.045f, -0.631f, 0.135f, -0.84f)
                curveToRelative(0.13f, -0.301f, 0.351f, -0.446f, 0.671f, -0.446f)
                curveToRelative(0.342f, 0.0f, 0.572f, 0.133f, 0.7f, 0.41f)
                curveToRelative(0.106f, 0.227f, 0.12f, 0.505f, 0.12f, 0.719f)
                close()
            }
        }
        .build()
        return _webgl!!
    }

private var _webgl: ImageVector? = null
