package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Webmin: ImageVector
    get() {
        if (_webmin != null) {
            return _webmin!!
        }
        _webmin = Builder(name = "Webmin", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(9.3006f, 0.0f)
                curveToRelative(-1.5504f, 0.0058f, -2.6602f, 1.1575f, -2.503f, 3.0064f)
                curveToRelative(0.1018f, 1.2276f, 0.2082f, 2.4735f, 0.3125f, 3.7292f)
                curveToRelative(-1.0796f, 0.4547f, -2.2182f, 0.9333f, -3.4283f, 1.4455f)
                curveToRelative(-1.2547f, 0.5358f, -2.1224f, 1.6093f, -2.4566f, 2.8852f)
                curveToRelative(-0.3401f, 1.3009f, -0.1354f, 2.808f, 0.7228f, 4.143f)
                curveToRelative(0.7636f, 1.1953f, 1.8562f, 2.0058f, 3.2547f, 2.4454f)
                curveToRelative(-0.0804f, 1.0912f, 0.0302f, 2.0788f, 0.3407f, 2.954f)
                arcToRelative(5.464f, 5.464f, 0.0f, false, false, 0.5328f, 1.0981f)
                curveToRelative(0.798f, 1.2684f, 1.9783f, 2.029f, 3.183f, 2.2356f)
                curveToRelative(1.184f, 0.2028f, 2.3797f, -0.13f, 3.294f, -0.9992f)
                curveToRelative(0.98f, -0.9452f, 1.9066f, -1.8373f, 2.7905f, -2.6834f)
                curveToRelative(1.0466f, 0.6293f, 2.0551f, 1.2355f, 3.0367f, 1.8269f)
                curveToRelative(1.6047f, 0.957f, 3.2437f, -0.0836f, 3.6308f, -2.1144f)
                curveToRelative(0.1616f, -0.8468f, 0.0895f, -1.7933f, -0.2113f, -2.863f)
                curveToRelative(0.571f, -0.3511f, 0.926f, -0.901f, 1.0664f, -1.671f)
                curveToRelative(0.3057f, -1.6334f, -0.5026f, -3.7813f, -1.8262f, -4.8797f)
                arcToRelative(944.4632f, 944.4632f, 0.0f, false, false, -2.166f, -1.7848f)
                curveToRelative(-0.0034f, -0.0188f, -0.371f, -2.1056f, -0.5514f, -3.1098f)
                curveToRelative(-0.306f, -1.7243f, -1.7984f, -3.5393f, -3.3736f, -4.0403f)
                curveToRelative(-0.7224f, -0.2305f, -1.3943f, -0.1586f, -2.036f, 0.2239f)
                curveToRelative(-0.7784f, -0.8241f, -1.5919f, -1.379f, -2.4788f, -1.6628f)
                curveTo(10.0398f, 0.0586f, 9.6584f, -0.0013f, 9.3006f, 0.0f)
                close()
                moveTo(10.319f, 2.4795f)
                arcToRelative(1.322f, 1.322f, 0.0f, false, true, 0.3814f, 0.0473f)
                curveToRelative(0.4661f, 0.1252f, 0.9114f, 0.4903f, 1.1543f, 0.9326f)
                curveToRelative(0.1987f, 0.3678f, 0.29f, 0.6704f, 0.3703f, 1.2978f)
                curveToRelative(0.1317f, 1.03f, 0.2665f, 2.0738f, 0.4035f, 3.143f)
                curveToRelative(0.0136f, 0.0984f, 0.027f, 0.1947f, 0.0384f, 0.2927f)
                curveToRelative(0.1154f, 0.8888f, 0.644f, 1.5284f, 1.3295f, 1.6192f)
                curveToRelative(0.6596f, 0.0878f, 1.0102f, -0.4298f, 0.8898f, -1.2608f)
                arcToRelative(12.1931f, 12.1931f, 0.0f, false, false, -0.0377f, -0.2763f)
                arcToRelative(2387.9438f, 2387.9438f, 0.0f, false, false, -0.4412f, -3.0057f)
                curveToRelative(-0.0635f, -0.425f, -0.0843f, -0.75f, -0.0495f, -0.96f)
                curveToRelative(0.0511f, -0.4654f, 0.4213f, -0.7077f, 0.895f, -0.5794f)
                curveToRelative(0.4787f, 0.1313f, 0.9267f, 0.5723f, 1.1337f, 1.0982f)
                curveToRelative(0.1067f, 0.266f, 0.1547f, 0.4722f, 0.2365f, 0.9637f)
                curveToRelative(0.157f, 0.941f, 0.3118f, 1.89f, 0.4722f, 2.8674f)
                curveToRelative(0.1177f, 0.638f, 0.1772f, 1.202f, 1.0443f, 1.8048f)
                curveToRelative(0.7299f, 0.5736f, 1.442f, 1.1397f, 2.1417f, 1.6864f)
                curveToRelative(0.4207f, 0.3311f, 0.5725f, 0.4842f, 0.739f, 0.7176f)
                curveToRelative(0.2694f, 0.3795f, 0.382f, 0.933f, 0.2875f, 1.3576f)
                curveToRelative(-0.087f, 0.3928f, -0.341f, 0.628f, -0.6585f, 0.5905f)
                curveToRelative(-0.2603f, -0.031f, -0.4792f, -0.1375f, -0.9238f, -0.4648f)
                curveToRelative(-0.7333f, -0.5498f, -1.4835f, -1.113f, -2.2592f, -1.6843f)
                curveToRelative(-0.0681f, -0.048f, -0.144f, -0.1008f, -0.2136f, -0.1522f)
                curveToRelative(-0.6455f, -0.4757f, -1.2088f, -0.384f, -1.424f, 0.266f)
                curveToRelative(-0.223f, 0.666f, 0.0904f, 1.448f, 0.7545f, 1.9134f)
                curveToRelative(0.0715f, 0.0492f, 0.1528f, 0.1067f, 0.2224f, 0.1574f)
                curveToRelative(0.8094f, 0.5672f, 1.6055f, 1.1207f, 2.3804f, 1.6599f)
                curveToRelative(0.3285f, 0.2293f, 0.573f, 0.444f, 0.7346f, 0.6377f)
                curveToRelative(0.3572f, 0.4094f, 0.5276f, 1.0814f, 0.4043f, 1.6429f)
                curveToRelative(-0.1325f, 0.593f, -0.5142f, 0.9019f, -0.9785f, 0.796f)
                curveToRelative(-0.2342f, -0.05f, -0.4106f, -0.1448f, -0.8314f, -0.4176f)
                curveToRelative(-0.817f, -0.5301f, -1.657f, -1.0785f, -2.523f, -1.637f)
                arcToRelative(5.0836f, 5.0836f, 0.0f, false, true, -0.2373f, -0.1589f)
                curveToRelative(-0.2724f, -0.1672f, -0.5363f, -0.2426f, -0.7678f, -0.2335f)
                horizontalLineToRelative(-0.0022f)
                curveToRelative(-0.2596f, -0.017f, -0.5308f, 0.0771f, -0.7915f, 0.286f)
                curveToRelative(-0.0727f, 0.0594f, -0.1459f, 0.1171f, -0.2136f, 0.181f)
                curveToRelative(-0.8083f, 0.6649f, -1.6461f, 1.3742f, -2.5342f, 2.121f)
                curveToRelative(-0.4805f, 0.4008f, -0.6964f, 0.5576f, -1.0169f, 0.6704f)
                curveToRelative(-0.6459f, 0.2463f, -1.359f, -0.0303f, -1.8054f, -0.7398f)
                curveToRelative(-0.4212f, -0.692f, -0.4027f, -1.5886f, 0.0332f, -2.1542f)
                curveToRelative(0.185f, -0.2517f, 0.498f, -0.539f, 0.9297f, -0.8448f)
                curveToRelative(0.9396f, -0.672f, 1.83f, -1.3056f, 2.676f, -1.9126f)
                arcToRelative(10.921f, 10.921f, 0.0f, false, false, 0.2277f, -0.1581f)
                curveToRelative(0.6417f, -0.4552f, 0.764f, -1.2606f, 0.3119f, -2.0117f)
                curveToRelative(-0.4409f, -0.7492f, -1.1696f, -0.976f, -1.861f, -0.5587f)
                arcToRelative(5.3786f, 5.3786f, 0.0f, false, false, -0.2335f, 0.1456f)
                curveToRelative(-0.8948f, 0.549f, -1.834f, 1.1279f, -2.8238f, 1.739f)
                curveToRelative(-0.6383f, 0.3848f, -0.9758f, 0.5083f, -1.4522f, 0.5306f)
                curveToRelative(-0.5892f, 0.0302f, -1.2047f, -0.3318f, -1.5638f, -0.9031f)
                curveToRelative(-0.4068f, -0.6365f, -0.4212f, -1.4274f, -0.0303f, -1.9178f)
                curveToRelative(0.2194f, -0.2883f, 0.455f, -0.4634f, 1.1292f, -0.8092f)
                arcToRelative(274.597f, 274.597f, 0.0f, false, true, 2.996f, -1.5261f)
                curveToRelative(0.0814f, -0.0492f, 0.1625f, -0.083f, 0.2461f, -0.1242f)
                arcToRelative(1.0729f, 1.0729f, 0.0f, false, false, 0.1597f, -0.0976f)
                curveToRelative(0.4253f, -0.1876f, 0.6323f, -0.6568f, 0.566f, -1.2933f)
                curveToRelative(-0.0117f, -0.1063f, -0.019f, -0.209f, -0.0369f, -0.311f)
                arcToRelative(375.454f, 375.454f, 0.0f, false, false, -0.351f, -3.3161f)
                curveToRelative(-0.0693f, -0.66f, -0.0626f, -0.8925f, 0.0214f, -1.1544f)
                curveToRelative(0.1f, -0.3124f, 0.39f, -0.4922f, 0.7516f, -0.5025f)
                close()
                moveTo(7.1101f, 6.737f)
                lineToRelative(0.0023f, 0.0252f)
                curveToRelative(-9.0E-4f, -0.0012f, -0.0016f, -0.001f, -0.003f, -0.0045f)
                verticalLineToRelative(-0.0051f)
                arcToRelative(0.236f, 0.236f, 0.0f, false, false, -7.0E-4f, -0.0133f)
                reflectiveCurveToRelative(0.001f, -0.0013f, 0.0015f, -0.0023f)
                close()
                moveTo(7.1131f, 6.7784f)
                curveToRelative(0.0025f, 0.0304f, 0.0056f, 0.0598f, 0.0081f, 0.0902f)
                curveToRelative(-0.0034f, -0.0271f, -0.0064f, -0.0524f, -0.011f, -0.0828f)
                curveToRelative(0.0f, -0.0016f, 0.0018f, -0.0047f, 0.0029f, -0.0074f)
                close()
                moveTo(7.1249f, 6.9144f)
                lineToRelative(0.0023f, 0.0251f)
                horizontalLineToRelative(-0.0023f)
                lineTo(7.1249f, 6.924f)
                curveToRelative(0.0f, -0.0026f, 0.002f, -0.005f, -7.0E-4f, -0.0081f)
                curveToRelative(0.0f, 0.0f, 6.0E-4f, -0.001f, 7.0E-4f, -0.0015f)
                close()
                moveTo(7.1286f, 6.9558f)
                curveToRelative(5.0E-4f, 0.0052f, 3.0E-4f, 0.0103f, 8.0E-4f, 0.0155f)
                curveToRelative(-2.0E-4f, -0.0011f, -8.0E-4f, -0.0026f, -8.0E-4f, -0.0037f)
                curveToRelative(-7.0E-4f, -0.0027f, -0.003f, -0.0047f, -0.003f, -0.0074f)
                curveToRelative(0.0027f, -0.0012f, 0.0027f, -0.0028f, 0.003f, -0.0044f)
                close()
            }
        }
        .build()
        return _webmin!!
    }

private var _webmin: ImageVector? = null
