package compose.icons.tablericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Round
import androidx.compose.ui.graphics.StrokeJoin
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.TablerIcons

public val TablerIcons.BrandGitlab: ImageVector
    get() {
        if (_brandGitlab != null) {
            return _brandGitlab!!
        }
        _brandGitlab = Builder(name = "BrandGitlab", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0x00000000)), stroke = SolidColor(Color(0xFF000000)),
                    strokeLineWidth = 2.0f, strokeLineCap = Round, strokeLineJoin =
                    StrokeJoin.Round, strokeLineMiter = 4.0f, pathFillType = NonZero) {
                moveTo(21.0f, 14.0f)
                lineToRelative(-9.0f, 7.0f)
                lineToRelative(-9.0f, -7.0f)
                lineToRelative(3.0f, -11.0f)
                lineToRelative(3.0f, 7.0f)
                horizontalLineToRelative(6.0f)
                lineToRelative(3.0f, -7.0f)
                close()
            }
        }
        .build()
        return _brandGitlab!!
    }

private var _brandGitlab: ImageVector? = null
